{#HEADER_BEGIN#}
{

Copyright (c) 2013-2014 The Khronos Group Inc.

Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and/or associated documentation files (the
"Materials"), to deal in the Materials without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Materials, and to
permit persons to whom the Materials are furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Materials.

THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.

------------------------------------------------------------------------

This file, gl.xml, is the OpenGL and OpenGL API Registry. The older
".spec" file format has been retired and will no longer be updated with
new extensions and API versions. The canonical version of the registry,
together with documentation, schema, and Python generator scripts used
to generate C header files for OpenGL and OpenGL ES, can always be found
in the Khronos Registry at
        http://www.opengl.org/registry/
    
------------------------------------------------------------------------
 Generated by <GLHeaderGen.exe> generate OpenGL header unit for Delphi  
               GLHeaderGen.exe  Author : 2014.2 T.Maeda
------------------------------------------------------------------------
 This unit is released under the zlib/libpng license:
}
{#HEADER_END#}
unit OpenGL.Apis;
{ if you want to use Macapi.OpenGL&Macapi.CocoaTypes, should be locate it before this unit in uses.}

interface
uses
{$ifdef MSWINDOWS}
  Winapi.Windows
{$endif}
{$ifdef MACOS}
  Macapi.AppKit
{$endif}
{$ifdef ANDROID}
  Androidapi.AppGlue
{$endif}
  ;
type
    GLenum = LongWord;
    PGLenum = ^GLenum;
    GLboolean = BYTE;
    PGLboolean = ^GLboolean;
    PPGLboolean = ^PGLboolean;
    GLbitfield = LongWord;
    PGLbitfield = ^GLbitfield;
    //GLvoid = void; //Not an actual GL type, though used in headers in the past
    PGLvoid = Pointer;
    GLbyte = ShortInt;
    PGLbyte = ^GLbyte;
    GLshort = SmallInt;
    PGLshort = ^GLshort;
    GLushort = Word;
    PGLushort = ^GLushort;
    GLint = Integer;
    PGLint = ^GLint;
    GLclampx = Integer;
    PGLclampx = ^GLclampx;
    GLubyte = BYTE;
    PGLubyte = ^GLubyte;
    GLuint = LongWord;
    PGLuint = ^GLuint;
    GLsizei = Integer;
    PGLsizei = ^GLsizei;
    GLfloat = Single;
    PGLfloat = ^GLfloat;
    GLclampf = Single;
    PGLclampf = ^GLclampf;
    GLdouble = Double;
    PGLdouble = ^GLdouble;
    GLclampd = Double;
    PGLclampd = ^GLclampd;
    GLeglmageOES = Pointer;
    PGLeglmageOES = ^GLeglmageOES;
{$ifdef ANDROID}
    GLchar = ShortInt;
    GLcharARB = ShortInt;
    PGLchar = MarshaledAString;
    PAnsiChar = MarshaledAString;
{$else}
    GLchar = AnsiChar;
    GLcharARB = AnsiChar;
    PGLchar = PAnsiChar;
{$endif}
    PPGLchar = ^PGLchar;
    PGLcharARB = ^GLcharARB;
    PPGLcharARB = ^PGLcharARB;
{$ifdef APPLE}
    GLhandleARB = Pointer;
{$else}
    GLhandleARB = LongWord;
{$endif}
    PGLhandleARB = ^GLhandleARB;
    GLhalfARB = Word;
    PGLhalfARB = ^GLhalfARB;
    GLhalf = Word;
    PGLhalf = ^GLhalf;
    GLfixed = GLint; //Must be 32 bits
    PGLfixed = ^GLfixed;
    GLintptr = NativeInt;
    PGLintptr = ^GLintptr;
    GLsizeiptr = NativeInt;
    PGLsizeiptr = ^GLsizeiptr;
    GLint64 = int64;
    PGLint64 = ^GLint64;
    GLuint64 = uint64;
    PGLuint64 = ^GLuint64;
    GLintptrARB = NativeInt;
    PGLintptrARB = ^GLintptrARB;
    GLsizeiptrARB = NativeInt;
    PGLsizeiptrARB = ^GLsizeiptrARB;
    GLint64EXT = int64;
    PGLint64EXT = ^GLint64EXT;
    GLuint64EXT = uint64;
    PGLuint64EXT = ^GLuint64EXT;
    GLsync = Pointer;
    PGLsync = ^GLsync;
    GLeglImageOES = Pointer;
    PGLeglImageOES = ^GLeglImageOES;

    _cl_context = NativeInt;
    P_cl_context = ^_cl_context;
    _cl_event = NativeInt;
    P_cl_event = ^_cl_event;
    GLDEBUGPROC = procedure(source : GLenum; typ : GLenum; id : GLuint; severity : GLenum; length : GLsizei; const msg : PGLchar; const userParam : Pointer);
    GLDEBUGPROCARB = procedure(source : GLenum; typ : GLenum; id : GLuint; severity : GLenum; length : GLsizei; const msg : PGLchar; const userParam : Pointer);
    GLDEBUGPROCKHR = procedure(source : GLenum; typ : GLenum; id : GLuint; severity : GLenum; length : GLsizei; const msg : PGLchar; const userParam : Pointer);
    GLDEBUGPROCAMD = procedure(int : GLuint; category : GLenum; severity : GLenum; length : GLsizei; const msg : PGLchar; userParam : Pointer);

    GLhalfNV = Word;
    PGLhalfNV = ^GLhalfNV;
    GLvdpauSurfaceNV = GLintptr;
    PGLvdpauSurfaceNV = ^GLvdpauSurfaceNV;

    EGLSyncNV = Pointer;
    PEGLSyncNV = ^EGLSyncNV;
    EGLSyncKHR = Pointer;
    PEGLSyncKHR = ^EGLSyncKHR;
    EGLTimeNV = Pointer;
    EGLStreamKHR = Pointer;
    EGLTimeKHR = Pointer;
    PEGLTimeKHR = ^EGLTimeKHR;
    EGLuint64KHR = uint64;
    PEGLuint64KHR = ^EGLuint64KHR;

    PEGLClientPixmapHI = Pointer;
    PEGLAttribKHR = Pointer;

    EGLuint64NV = int64;

    EGLBoolean = UInt32;
    EGLenum = UInt32;
    EGLint = Integer;
    PEGLint = ^EGLint;

    EGLConfig  = Pointer;
    EGLContext = Pointer;
    EGLDisplay = Pointer;
    EGLSurface = Pointer;
    EGLClientBuffer = Pointer;
    EGLDeviceEXT = Pointer;
    PEGLDeviceEXT = ^EGLDeviceEXT;
    EGLOutputLayerEXT = Pointer;
    PEGLOutputLayerEXT = ^EGLOutputLayerEXT;
    EGLOutputPortEXT = Pointer;
    PEGLOutputPortEXT = ^EGLOutputPortEXT;
    EGLSync = Pointer;
    EGLImage = Pointer;
    EGLAttrib = Pointer;
    PEGLAttrib = ^EGLAttrib;
    EGLTime = UInt64;
    PEGLConfig = ^EGLConfig;
{$ifdef MSWINDOWS}
    EGLNativeDisplayType = HDC;
    EGLNativeWindowType = HWND;
    EGLNativePixmapType = Pointer;
{$else}
    EGLNativeDisplayType = Pointer;
    EGLNativeWindowType = Pointer;
    EGLNativePixmapType = Pointer;
{$endif}
    PEGLNativeDisplayType = ^EGLNativeDisplayType;
    PEGLNativeWindowType = ^EGLNativeWindowType;
    PEGLNativePixmapType = ^EGLNativePixmapType;

    EGLImageKHR = Pointer;
    EGLNativeFileDescriptorKHR = Pointer;
    EGLSetBlobFuncANDROID = Pointer;
    EGLGetBlobFuncANDROID = Pointer;

    __eglMustCastToProperFunctionPointerType = Pointer;

    TGLContextInfo = record
      Display : EGLDisplay;
      Surface : EGLSurface;
      Context : EGLContext;
    {$ifdef ANDROID}
      Width   : GLint;
      Height  : GLint;
    {$endif}
    {$ifdef MSWINDOWS}
      DC : HDC;
      RenderingContext : HGLRC;
    {$endif}
    {$ifdef MACOS}
      View : NSView;
      RenderingContext : NSOpenGLContext;
    {$endif}
    end;

    TGLOption = record
      RSize : integer;
      GSize : integer;
      BSize : integer;
      ASize : integer;
      DepthSize : integer;
      StencilSize : integer;
      DoubleBuffered : Boolean;
      Flags : LongWord;

      constructor Create(R,G,B,A,Depth,Stencil : integer; doublebuffered : Boolean);
    end;

    TGLLibHandle = HMODULE;
    TGetProcFunc = function(name : string; majorver, minorver : integer; var validated_flag : Boolean) : Pointer;

const
  PLATFORM_PROC = -2;
  EXTENSION_PROC = -1;

const
{#ENUMS_BEGIN#}
  GL_CURRENT_BIT                 = $00000001;
  GL_POINT_BIT                   = $00000002;
  GL_LINE_BIT                    = $00000004;
  GL_POLYGON_BIT                 = $00000008;
  GL_POLYGON_STIPPLE_BIT         = $00000010;
  GL_PIXEL_MODE_BIT              = $00000020;
  GL_LIGHTING_BIT                = $00000040;
  GL_FOG_BIT                     = $00000080;
  GL_DEPTH_BUFFER_BIT            = $00000100;
  GL_ACCUM_BUFFER_BIT            = $00000200;
  GL_STENCIL_BUFFER_BIT          = $00000400;
  GL_VIEWPORT_BIT                = $00000800;
  GL_TRANSFORM_BIT               = $00001000;
  GL_ENABLE_BIT                  = $00002000;
  GL_COLOR_BUFFER_BIT            = $00004000;
  GL_HINT_BIT                    = $00008000;
  GL_EVAL_BIT                    = $00010000;
  GL_LIST_BIT                    = $00020000;
  GL_TEXTURE_BIT                 = $00040000;
  GL_SCISSOR_BIT                 = $00080000;
  GL_MULTISAMPLE_BIT             = $20000000;
  GL_MULTISAMPLE_BIT_ARB         = $20000000;
  GL_MULTISAMPLE_BIT_EXT         = $20000000;
  GL_MULTISAMPLE_BIT_3DFX        = $20000000;
  GL_ALL_ATTRIB_BITS             = $FFFFFFFF;
  GL_COVERAGE_BUFFER_BIT_NV      = $00008000;
  GL_CLIENT_PIXEL_STORE_BIT      = $00000001;
  GL_CLIENT_VERTEX_ARRAY_BIT     = $00000002;
  GL_CLIENT_ALL_ATTRIB_BITS      = $FFFFFFFF;
  GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT  = $00000001;
  GL_CONTEXT_FLAG_DEBUG_BIT      = $00000002;
  GL_CONTEXT_FLAG_DEBUG_BIT_KHR  = $00000002;
  GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT_ARB  = $00000004;
  GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT  = $00000004;
  GL_CONTEXT_CORE_PROFILE_BIT    = $00000001;
  GL_CONTEXT_COMPATIBILITY_PROFILE_BIT  = $00000002;
  GL_MAP_READ_BIT                = $0001;
  GL_MAP_READ_BIT_EXT            = $0001;
  GL_MAP_WRITE_BIT               = $0002;
  GL_MAP_WRITE_BIT_EXT           = $0002;
  GL_MAP_INVALIDATE_RANGE_BIT    = $0004;
  GL_MAP_INVALIDATE_RANGE_BIT_EXT  = $0004;
  GL_MAP_INVALIDATE_BUFFER_BIT   = $0008;
  GL_MAP_INVALIDATE_BUFFER_BIT_EXT  = $0008;
  GL_MAP_FLUSH_EXPLICIT_BIT      = $0010;
  GL_MAP_FLUSH_EXPLICIT_BIT_EXT  = $0010;
  GL_MAP_UNSYNCHRONIZED_BIT      = $0020;
  GL_MAP_UNSYNCHRONIZED_BIT_EXT  = $0020;
  GL_MAP_PERSISTENT_BIT          = $0040;
  GL_MAP_COHERENT_BIT            = $0080;
  GL_DYNAMIC_STORAGE_BIT         = $0100;
  GL_CLIENT_STORAGE_BIT          = $0200;
  GL_SPARSE_STORAGE_BIT_ARB      = $0400;
  GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT  = $00000001;
  GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT_EXT  = $00000001;
  GL_ELEMENT_ARRAY_BARRIER_BIT   = $00000002;
  GL_ELEMENT_ARRAY_BARRIER_BIT_EXT  = $00000002;
  GL_UNIFORM_BARRIER_BIT         = $00000004;
  GL_UNIFORM_BARRIER_BIT_EXT     = $00000004;
  GL_TEXTURE_FETCH_BARRIER_BIT   = $00000008;
  GL_TEXTURE_FETCH_BARRIER_BIT_EXT  = $00000008;
  GL_SHADER_GLOBAL_ACCESS_BARRIER_BIT_NV  = $00000010;
  GL_SHADER_IMAGE_ACCESS_BARRIER_BIT  = $00000020;
  GL_SHADER_IMAGE_ACCESS_BARRIER_BIT_EXT  = $00000020;
  GL_COMMAND_BARRIER_BIT         = $00000040;
  GL_COMMAND_BARRIER_BIT_EXT     = $00000040;
  GL_PIXEL_BUFFER_BARRIER_BIT    = $00000080;
  GL_PIXEL_BUFFER_BARRIER_BIT_EXT  = $00000080;
  GL_TEXTURE_UPDATE_BARRIER_BIT  = $00000100;
  GL_TEXTURE_UPDATE_BARRIER_BIT_EXT  = $00000100;
  GL_BUFFER_UPDATE_BARRIER_BIT   = $00000200;
  GL_BUFFER_UPDATE_BARRIER_BIT_EXT  = $00000200;
  GL_FRAMEBUFFER_BARRIER_BIT     = $00000400;
  GL_FRAMEBUFFER_BARRIER_BIT_EXT  = $00000400;
  GL_TRANSFORM_FEEDBACK_BARRIER_BIT  = $00000800;
  GL_TRANSFORM_FEEDBACK_BARRIER_BIT_EXT  = $00000800;
  GL_ATOMIC_COUNTER_BARRIER_BIT  = $00001000;
  GL_ATOMIC_COUNTER_BARRIER_BIT_EXT  = $00001000;
  GL_SHADER_STORAGE_BARRIER_BIT  = $00002000;
  GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT  = $00004000;
  GL_QUERY_BUFFER_BARRIER_BIT    = $00008000;
  GL_ALL_BARRIER_BITS            = $FFFFFFFF;
  GL_ALL_BARRIER_BITS_EXT        = $FFFFFFFF;
  GL_QUERY_DEPTH_PASS_EVENT_BIT_AMD  = $00000001;
  GL_QUERY_DEPTH_FAIL_EVENT_BIT_AMD  = $00000002;
  GL_QUERY_STENCIL_FAIL_EVENT_BIT_AMD  = $00000004;
  GL_QUERY_DEPTH_BOUNDS_FAIL_EVENT_BIT_AMD  = $00000008;
  GL_QUERY_ALL_EVENT_BITS_AMD    = $FFFFFFFF;
  GL_SYNC_FLUSH_COMMANDS_BIT     = $00000001;
  GL_SYNC_FLUSH_COMMANDS_BIT_APPLE  = $00000001;
  GL_VERTEX_SHADER_BIT           = $00000001;
  GL_VERTEX_SHADER_BIT_EXT       = $00000001;
  GL_FRAGMENT_SHADER_BIT         = $00000002;
  GL_FRAGMENT_SHADER_BIT_EXT     = $00000002;
  GL_GEOMETRY_SHADER_BIT         = $00000004;
  GL_GEOMETRY_SHADER_BIT_EXT     = $00000004;
  GL_TESS_CONTROL_SHADER_BIT     = $00000008;
  GL_TESS_CONTROL_SHADER_BIT_EXT  = $00000008;
  GL_TESS_EVALUATION_SHADER_BIT  = $00000010;
  GL_TESS_EVALUATION_SHADER_BIT_EXT  = $00000010;
  GL_COMPUTE_SHADER_BIT          = $00000020;
  GL_ALL_SHADER_BITS             = $FFFFFFFF;
  GL_ALL_SHADER_BITS_EXT         = $FFFFFFFF;
  GL_TEXTURE_STORAGE_SPARSE_BIT_AMD  = $00000001;
  GL_RED_BIT_ATI                 = $00000001;
  GL_GREEN_BIT_ATI               = $00000002;
  GL_BLUE_BIT_ATI                = $00000004;
  GL_2X_BIT_ATI                  = $00000001;
  GL_4X_BIT_ATI                  = $00000002;
  GL_8X_BIT_ATI                  = $00000004;
  GL_HALF_BIT_ATI                = $00000008;
  GL_QUARTER_BIT_ATI             = $00000010;
  GL_EIGHTH_BIT_ATI              = $00000020;
  GL_SATURATE_BIT_ATI            = $00000040;
  GL_COMP_BIT_ATI                = $00000002;
  GL_NEGATE_BIT_ATI              = $00000004;
  GL_BIAS_BIT_ATI                = $00000008;
  GL_BOLD_BIT_NV                 = $01;
  GL_ITALIC_BIT_NV               = $02;
  GL_GLYPH_WIDTH_BIT_NV          = $01;
  GL_GLYPH_HEIGHT_BIT_NV         = $02;
  GL_GLYPH_HORIZONTAL_BEARING_X_BIT_NV  = $04;
  GL_GLYPH_HORIZONTAL_BEARING_Y_BIT_NV  = $08;
  GL_GLYPH_HORIZONTAL_BEARING_ADVANCE_BIT_NV  = $10;
  GL_GLYPH_VERTICAL_BEARING_X_BIT_NV  = $20;
  GL_GLYPH_VERTICAL_BEARING_Y_BIT_NV  = $40;
  GL_GLYPH_VERTICAL_BEARING_ADVANCE_BIT_NV  = $80;
  GL_GLYPH_HAS_KERNING_BIT_NV    = $100;
  GL_FONT_X_MIN_BOUNDS_BIT_NV    = $00010000;
  GL_FONT_Y_MIN_BOUNDS_BIT_NV    = $00020000;
  GL_FONT_X_MAX_BOUNDS_BIT_NV    = $00040000;
  GL_FONT_Y_MAX_BOUNDS_BIT_NV    = $00080000;
  GL_FONT_UNITS_PER_EM_BIT_NV    = $00100000;
  GL_FONT_ASCENDER_BIT_NV        = $00200000;
  GL_FONT_DESCENDER_BIT_NV       = $00400000;
  GL_FONT_HEIGHT_BIT_NV          = $00800000;
  GL_FONT_MAX_ADVANCE_WIDTH_BIT_NV  = $01000000;
  GL_FONT_MAX_ADVANCE_HEIGHT_BIT_NV  = $02000000;
  GL_FONT_UNDERLINE_POSITION_BIT_NV  = $04000000;
  GL_FONT_UNDERLINE_THICKNESS_BIT_NV  = $08000000;
  GL_FONT_HAS_KERNING_BIT_NV     = $10000000;
  GL_FONT_NUM_GLYPH_INDICES_BIT_NV  = $20000000;
  GL_PERFQUERY_SINGLE_CONTEXT_INTEL  = $00000000;
  GL_PERFQUERY_GLOBAL_CONTEXT_INTEL  = $00000001;
  GL_VERTEX23_BIT_PGI            = $00000004;
  GL_VERTEX4_BIT_PGI             = $00000008;
  GL_COLOR3_BIT_PGI              = $00010000;
  GL_COLOR4_BIT_PGI              = $00020000;
  GL_EDGEFLAG_BIT_PGI            = $00040000;
  GL_INDEX_BIT_PGI               = $00080000;
  GL_MAT_AMBIENT_BIT_PGI         = $00100000;
  GL_MAT_AMBIENT_AND_DIFFUSE_BIT_PGI  = $00200000;
  GL_MAT_DIFFUSE_BIT_PGI         = $00400000;
  GL_MAT_EMISSION_BIT_PGI        = $00800000;
  GL_MAT_COLOR_INDEXES_BIT_PGI   = $01000000;
  GL_MAT_SHININESS_BIT_PGI       = $02000000;
  GL_MAT_SPECULAR_BIT_PGI        = $04000000;
  GL_NORMAL_BIT_PGI              = $08000000;
  GL_TEXCOORD1_BIT_PGI           = $10000000;
  GL_TEXCOORD2_BIT_PGI           = $20000000;
  GL_TEXCOORD3_BIT_PGI           = $40000000;
  GL_TEXCOORD4_BIT_PGI           = $80000000;
  GL_COLOR_BUFFER_BIT0_QCOM      = $00000001;
  GL_COLOR_BUFFER_BIT1_QCOM      = $00000002;
  GL_COLOR_BUFFER_BIT2_QCOM      = $00000004;
  GL_COLOR_BUFFER_BIT3_QCOM      = $00000008;
  GL_COLOR_BUFFER_BIT4_QCOM      = $00000010;
  GL_COLOR_BUFFER_BIT5_QCOM      = $00000020;
  GL_COLOR_BUFFER_BIT6_QCOM      = $00000040;
  GL_COLOR_BUFFER_BIT7_QCOM      = $00000080;
  GL_DEPTH_BUFFER_BIT0_QCOM      = $00000100;
  GL_DEPTH_BUFFER_BIT1_QCOM      = $00000200;
  GL_DEPTH_BUFFER_BIT2_QCOM      = $00000400;
  GL_DEPTH_BUFFER_BIT3_QCOM      = $00000800;
  GL_DEPTH_BUFFER_BIT4_QCOM      = $00001000;
  GL_DEPTH_BUFFER_BIT5_QCOM      = $00002000;
  GL_DEPTH_BUFFER_BIT6_QCOM      = $00004000;
  GL_DEPTH_BUFFER_BIT7_QCOM      = $00008000;
  GL_STENCIL_BUFFER_BIT0_QCOM    = $00010000;
  GL_STENCIL_BUFFER_BIT1_QCOM    = $00020000;
  GL_STENCIL_BUFFER_BIT2_QCOM    = $00040000;
  GL_STENCIL_BUFFER_BIT3_QCOM    = $00080000;
  GL_STENCIL_BUFFER_BIT4_QCOM    = $00100000;
  GL_STENCIL_BUFFER_BIT5_QCOM    = $00200000;
  GL_STENCIL_BUFFER_BIT6_QCOM    = $00400000;
  GL_STENCIL_BUFFER_BIT7_QCOM    = $00800000;
  GL_MULTISAMPLE_BUFFER_BIT0_QCOM  = $01000000;
  GL_MULTISAMPLE_BUFFER_BIT1_QCOM  = $02000000;
  GL_MULTISAMPLE_BUFFER_BIT2_QCOM  = $04000000;
  GL_MULTISAMPLE_BUFFER_BIT3_QCOM  = $08000000;
  GL_MULTISAMPLE_BUFFER_BIT4_QCOM  = $10000000;
  GL_MULTISAMPLE_BUFFER_BIT5_QCOM  = $20000000;
  GL_MULTISAMPLE_BUFFER_BIT6_QCOM  = $40000000;
  GL_MULTISAMPLE_BUFFER_BIT7_QCOM  = $80000000;
  GL_TEXTURE_DEFORMATION_BIT_SGIX  = $00000001;
  GL_GEOMETRY_DEFORMATION_BIT_SGIX  = $00000002;
  GL_RESTART_SUN                 = $0001;
  GL_REPLACE_MIDDLE_SUN          = $0002;
  GL_REPLACE_OLDEST_SUN          = $0003;
  GL_LAYOUT_DEFAULT_INTEL        = 0;
  GL_LAYOUT_LINEAR_INTEL         = 1;
  GL_LAYOUT_LINEAR_CPU_CACHED_INTEL  = 2;
  GL_NEXT_BUFFER_NV              = -2;
  GL_SKIP_COMPONENTS4_NV         = -3;
  GL_SKIP_COMPONENTS3_NV         = -4;
  GL_SKIP_COMPONENTS2_NV         = -5;
  GL_SKIP_COMPONENTS1_NV         = -6;
  GL_CLOSE_PATH_NV               = $00;
  GL_MOVE_TO_NV                  = $02;
  GL_RELATIVE_MOVE_TO_NV         = $03;
  GL_LINE_TO_NV                  = $04;
  GL_RELATIVE_LINE_TO_NV         = $05;
  GL_HORIZONTAL_LINE_TO_NV       = $06;
  GL_RELATIVE_HORIZONTAL_LINE_TO_NV  = $07;
  GL_VERTICAL_LINE_TO_NV         = $08;
  GL_RELATIVE_VERTICAL_LINE_TO_NV  = $09;
  GL_QUADRATIC_CURVE_TO_NV       = $0A;
  GL_RELATIVE_QUADRATIC_CURVE_TO_NV  = $0B;
  GL_CUBIC_CURVE_TO_NV           = $0C;
  GL_RELATIVE_CUBIC_CURVE_TO_NV  = $0D;
  GL_SMOOTH_QUADRATIC_CURVE_TO_NV  = $0E;
  GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV  = $0F;
  GL_SMOOTH_CUBIC_CURVE_TO_NV    = $10;
  GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV  = $11;
  GL_SMALL_CCW_ARC_TO_NV         = $12;
  GL_RELATIVE_SMALL_CCW_ARC_TO_NV  = $13;
  GL_SMALL_CW_ARC_TO_NV          = $14;
  GL_RELATIVE_SMALL_CW_ARC_TO_NV  = $15;
  GL_LARGE_CCW_ARC_TO_NV         = $16;
  GL_RELATIVE_LARGE_CCW_ARC_TO_NV  = $17;
  GL_LARGE_CW_ARC_TO_NV          = $18;
  GL_RELATIVE_LARGE_CW_ARC_TO_NV  = $19;
  GL_CONIC_CURVE_TO_NV           = $1A;
  GL_RELATIVE_CONIC_CURVE_TO_NV  = $1B;
  GL_SHARED_EDGE_NV              = $C0;
  GL_ROUNDED_RECT_NV             = $E8;
  GL_RELATIVE_ROUNDED_RECT_NV    = $E9;
  GL_ROUNDED_RECT2_NV            = $EA;
  GL_RELATIVE_ROUNDED_RECT2_NV   = $EB;
  GL_ROUNDED_RECT4_NV            = $EC;
  GL_RELATIVE_ROUNDED_RECT4_NV   = $ED;
  GL_ROUNDED_RECT8_NV            = $EE;
  GL_RELATIVE_ROUNDED_RECT8_NV   = $EF;
  GL_RESTART_PATH_NV             = $F0;
  GL_DUP_FIRST_CUBIC_CURVE_TO_NV  = $F2;
  GL_DUP_LAST_CUBIC_CURVE_TO_NV  = $F4;
  GL_RECT_NV                     = $F6;
  GL_RELATIVE_RECT_NV            = $F7;
  GL_CIRCULAR_CCW_ARC_TO_NV      = $F8;
  GL_CIRCULAR_CW_ARC_TO_NV       = $FA;
  GL_CIRCULAR_TANGENT_ARC_TO_NV  = $FC;
  GL_ARC_TO_NV                   = $FE;
  GL_RELATIVE_ARC_TO_NV          = $FF;
  GL_FALSE                       = 0;
  GL_NO_ERROR                    = 0;
  GL_ZERO                        = 0;
  GL_NONE                        = 0;
  GL_NONE_OES                    = 0;
  GL_TRUE                        = 1;
  GL_ONE                         = 1;
  GL_INVALID_INDEX               = $FFFFFFFF;
  GL_TIMEOUT_IGNORED             = $FFFFFFFFFFFFFFFF;
  GL_TIMEOUT_IGNORED_APPLE       = $FFFFFFFFFFFFFFFF;
  GL_VERSION_ES_CL_1_0           = 1;
  GL_VERSION_ES_CM_1_1           = 1;
  GL_VERSION_ES_CL_1_1           = 1;
  GL_POINTS                      = $0000;
  GL_LINES                       = $0001;
  GL_LINE_LOOP                   = $0002;
  GL_LINE_STRIP                  = $0003;
  GL_TRIANGLES                   = $0004;
  GL_TRIANGLE_STRIP              = $0005;
  GL_TRIANGLE_FAN                = $0006;
  GL_QUADS                       = $0007;
  GL_QUADS_EXT                   = $0007;
  GL_QUAD_STRIP                  = $0008;
  GL_POLYGON                     = $0009;
  GL_LINES_ADJACENCY             = $000A;
  GL_LINES_ADJACENCY_ARB         = $000A;
  GL_LINES_ADJACENCY_EXT         = $000A;
  GL_LINE_STRIP_ADJACENCY        = $000B;
  GL_LINE_STRIP_ADJACENCY_ARB    = $000B;
  GL_LINE_STRIP_ADJACENCY_EXT    = $000B;
  GL_TRIANGLES_ADJACENCY         = $000C;
  GL_TRIANGLES_ADJACENCY_ARB     = $000C;
  GL_TRIANGLES_ADJACENCY_EXT     = $000C;
  GL_TRIANGLE_STRIP_ADJACENCY    = $000D;
  GL_TRIANGLE_STRIP_ADJACENCY_ARB  = $000D;
  GL_TRIANGLE_STRIP_ADJACENCY_EXT  = $000D;
  GL_PATCHES                     = $000E;
  GL_PATCHES_EXT                 = $000E;
  GL_ACCUM                       = $0100;
  GL_LOAD                        = $0101;
  GL_RETURN                      = $0102;
  GL_MULT                        = $0103;
  GL_ADD                         = $0104;
  GL_NEVER                       = $0200;
  GL_LESS                        = $0201;
  GL_EQUAL                       = $0202;
  GL_LEQUAL                      = $0203;
  GL_GREATER                     = $0204;
  GL_NOTEQUAL                    = $0205;
  GL_GEQUAL                      = $0206;
  GL_ALWAYS                      = $0207;
  GL_SRC_COLOR                   = $0300;
  GL_ONE_MINUS_SRC_COLOR         = $0301;
  GL_SRC_ALPHA                   = $0302;
  GL_ONE_MINUS_SRC_ALPHA         = $0303;
  GL_DST_ALPHA                   = $0304;
  GL_ONE_MINUS_DST_ALPHA         = $0305;
  GL_DST_COLOR                   = $0306;
  GL_ONE_MINUS_DST_COLOR         = $0307;
  GL_SRC_ALPHA_SATURATE          = $0308;
  GL_FRONT_LEFT                  = $0400;
  GL_FRONT_RIGHT                 = $0401;
  GL_BACK_LEFT                   = $0402;
  GL_BACK_RIGHT                  = $0403;
  GL_FRONT                       = $0404;
  GL_BACK                        = $0405;
  GL_LEFT                        = $0406;
  GL_RIGHT                       = $0407;
  GL_FRONT_AND_BACK              = $0408;
  GL_AUX0                        = $0409;
  GL_AUX1                        = $040A;
  GL_AUX2                        = $040B;
  GL_AUX3                        = $040C;
  GL_INVALID_ENUM                = $0500;
  GL_INVALID_VALUE               = $0501;
  GL_INVALID_OPERATION           = $0502;
  GL_STACK_OVERFLOW              = $0503;
  GL_STACK_OVERFLOW_KHR          = $0503;
  GL_STACK_UNDERFLOW             = $0504;
  GL_STACK_UNDERFLOW_KHR         = $0504;
  GL_OUT_OF_MEMORY               = $0505;
  GL_INVALID_FRAMEBUFFER_OPERATION  = $0506;
  GL_INVALID_FRAMEBUFFER_OPERATION_EXT  = $0506;
  GL_INVALID_FRAMEBUFFER_OPERATION_OES  = $0506;
  GL_CONTEXT_LOST                = $0507;
  GL_CONTEXT_LOST_KHR            = $0507;
  GL_2D                          = $0600;
  GL_3D                          = $0601;
  GL_3D_COLOR                    = $0602;
  GL_3D_COLOR_TEXTURE            = $0603;
  GL_4D_COLOR_TEXTURE            = $0604;
  GL_PASS_THROUGH_TOKEN          = $0700;
  GL_POINT_TOKEN                 = $0701;
  GL_LINE_TOKEN                  = $0702;
  GL_POLYGON_TOKEN               = $0703;
  GL_BITMAP_TOKEN                = $0704;
  GL_DRAW_PIXEL_TOKEN            = $0705;
  GL_COPY_PIXEL_TOKEN            = $0706;
  GL_LINE_RESET_TOKEN            = $0707;
  GL_EXP                         = $0800;
  GL_EXP2                        = $0801;
  GL_CW                          = $0900;
  GL_CCW                         = $0901;
  GL_COEFF                       = $0A00;
  GL_ORDER                       = $0A01;
  GL_DOMAIN                      = $0A02;
  GL_CURRENT_COLOR               = $0B00;
  GL_CURRENT_INDEX               = $0B01;
  GL_CURRENT_NORMAL              = $0B02;
  GL_CURRENT_TEXTURE_COORDS      = $0B03;
  GL_CURRENT_RASTER_COLOR        = $0B04;
  GL_CURRENT_RASTER_INDEX        = $0B05;
  GL_CURRENT_RASTER_TEXTURE_COORDS  = $0B06;
  GL_CURRENT_RASTER_POSITION     = $0B07;
  GL_CURRENT_RASTER_POSITION_VALID  = $0B08;
  GL_CURRENT_RASTER_DISTANCE     = $0B09;
  GL_POINT_SMOOTH                = $0B10;
  GL_POINT_SIZE                  = $0B11;
  GL_POINT_SIZE_RANGE            = $0B12;
  GL_SMOOTH_POINT_SIZE_RANGE     = $0B12;
  GL_POINT_SIZE_GRANULARITY      = $0B13;
  GL_SMOOTH_POINT_SIZE_GRANULARITY  = $0B13;
  GL_LINE_SMOOTH                 = $0B20;
  GL_LINE_WIDTH                  = $0B21;
  GL_LINE_WIDTH_RANGE            = $0B22;
  GL_SMOOTH_LINE_WIDTH_RANGE     = $0B22;
  GL_LINE_WIDTH_GRANULARITY      = $0B23;
  GL_SMOOTH_LINE_WIDTH_GRANULARITY  = $0B23;
  GL_LINE_STIPPLE                = $0B24;
  GL_LINE_STIPPLE_PATTERN        = $0B25;
  GL_LINE_STIPPLE_REPEAT         = $0B26;
  GL_LIST_MODE                   = $0B30;
  GL_MAX_LIST_NESTING            = $0B31;
  GL_LIST_BASE                   = $0B32;
  GL_LIST_INDEX                  = $0B33;
  GL_POLYGON_MODE                = $0B40;
  GL_POLYGON_SMOOTH              = $0B41;
  GL_POLYGON_STIPPLE             = $0B42;
  GL_EDGE_FLAG                   = $0B43;
  GL_CULL_FACE                   = $0B44;
  GL_CULL_FACE_MODE              = $0B45;
  GL_FRONT_FACE                  = $0B46;
  GL_LIGHTING                    = $0B50;
  GL_LIGHT_MODEL_LOCAL_VIEWER    = $0B51;
  GL_LIGHT_MODEL_TWO_SIDE        = $0B52;
  GL_LIGHT_MODEL_AMBIENT         = $0B53;
  GL_SHADE_MODEL                 = $0B54;
  GL_COLOR_MATERIAL_FACE         = $0B55;
  GL_COLOR_MATERIAL_PARAMETER    = $0B56;
  GL_COLOR_MATERIAL              = $0B57;
  GL_FOG                         = $0B60;
  GL_FOG_INDEX                   = $0B61;
  GL_FOG_DENSITY                 = $0B62;
  GL_FOG_START                   = $0B63;
  GL_FOG_END                     = $0B64;
  GL_FOG_MODE                    = $0B65;
  GL_FOG_COLOR                   = $0B66;
  GL_DEPTH_RANGE                 = $0B70;
  GL_DEPTH_TEST                  = $0B71;
  GL_DEPTH_WRITEMASK             = $0B72;
  GL_DEPTH_CLEAR_VALUE           = $0B73;
  GL_DEPTH_FUNC                  = $0B74;
  GL_ACCUM_CLEAR_VALUE           = $0B80;
  GL_STENCIL_TEST                = $0B90;
  GL_STENCIL_CLEAR_VALUE         = $0B91;
  GL_STENCIL_FUNC                = $0B92;
  GL_STENCIL_VALUE_MASK          = $0B93;
  GL_STENCIL_FAIL                = $0B94;
  GL_STENCIL_PASS_DEPTH_FAIL     = $0B95;
  GL_STENCIL_PASS_DEPTH_PASS     = $0B96;
  GL_STENCIL_REF                 = $0B97;
  GL_STENCIL_WRITEMASK           = $0B98;
  GL_MATRIX_MODE                 = $0BA0;
  GL_NORMALIZE                   = $0BA1;
  GL_VIEWPORT                    = $0BA2;
  GL_MODELVIEW_STACK_DEPTH       = $0BA3;
  GL_MODELVIEW0_STACK_DEPTH_EXT  = $0BA3;
  GL_PATH_MODELVIEW_STACK_DEPTH_NV  = $0BA3;
  GL_PROJECTION_STACK_DEPTH      = $0BA4;
  GL_PATH_PROJECTION_STACK_DEPTH_NV  = $0BA4;
  GL_TEXTURE_STACK_DEPTH         = $0BA5;
  GL_MODELVIEW_MATRIX            = $0BA6;
  GL_MODELVIEW0_MATRIX_EXT       = $0BA6;
  GL_PATH_MODELVIEW_MATRIX_NV    = $0BA6;
  GL_PROJECTION_MATRIX           = $0BA7;
  GL_PATH_PROJECTION_MATRIX_NV   = $0BA7;
  GL_TEXTURE_MATRIX              = $0BA8;
  GL_ATTRIB_STACK_DEPTH          = $0BB0;
  GL_CLIENT_ATTRIB_STACK_DEPTH   = $0BB1;
  GL_ALPHA_TEST                  = $0BC0;
  GL_ALPHA_TEST_QCOM             = $0BC0;
  GL_ALPHA_TEST_FUNC             = $0BC1;
  GL_ALPHA_TEST_FUNC_QCOM        = $0BC1;
  GL_ALPHA_TEST_REF              = $0BC2;
  GL_ALPHA_TEST_REF_QCOM         = $0BC2;
  GL_DITHER                      = $0BD0;
  GL_BLEND_DST                   = $0BE0;
  GL_BLEND_SRC                   = $0BE1;
  GL_BLEND                       = $0BE2;
  GL_LOGIC_OP_MODE               = $0BF0;
  GL_INDEX_LOGIC_OP              = $0BF1;
  GL_LOGIC_OP                    = $0BF1;
  GL_COLOR_LOGIC_OP              = $0BF2;
  GL_AUX_BUFFERS                 = $0C00;
  GL_DRAW_BUFFER                 = $0C01;
  GL_DRAW_BUFFER_EXT             = $0C01;
  GL_READ_BUFFER                 = $0C02;
  GL_READ_BUFFER_EXT             = $0C02;
  GL_READ_BUFFER_NV              = $0C02;
  GL_SCISSOR_BOX                 = $0C10;
  GL_SCISSOR_TEST                = $0C11;
  GL_INDEX_CLEAR_VALUE           = $0C20;
  GL_INDEX_WRITEMASK             = $0C21;
  GL_COLOR_CLEAR_VALUE           = $0C22;
  GL_COLOR_WRITEMASK             = $0C23;
  GL_INDEX_MODE                  = $0C30;
  GL_RGBA_MODE                   = $0C31;
  GL_DOUBLEBUFFER                = $0C32;
  GL_STEREO                      = $0C33;
  GL_RENDER_MODE                 = $0C40;
  GL_PERSPECTIVE_CORRECTION_HINT  = $0C50;
  GL_POINT_SMOOTH_HINT           = $0C51;
  GL_LINE_SMOOTH_HINT            = $0C52;
  GL_POLYGON_SMOOTH_HINT         = $0C53;
  GL_FOG_HINT                    = $0C54;
  GL_TEXTURE_GEN_S               = $0C60;
  GL_TEXTURE_GEN_T               = $0C61;
  GL_TEXTURE_GEN_R               = $0C62;
  GL_TEXTURE_GEN_Q               = $0C63;
  GL_PIXEL_MAP_I_TO_I            = $0C70;
  GL_PIXEL_MAP_S_TO_S            = $0C71;
  GL_PIXEL_MAP_I_TO_R            = $0C72;
  GL_PIXEL_MAP_I_TO_G            = $0C73;
  GL_PIXEL_MAP_I_TO_B            = $0C74;
  GL_PIXEL_MAP_I_TO_A            = $0C75;
  GL_PIXEL_MAP_R_TO_R            = $0C76;
  GL_PIXEL_MAP_G_TO_G            = $0C77;
  GL_PIXEL_MAP_B_TO_B            = $0C78;
  GL_PIXEL_MAP_A_TO_A            = $0C79;
  GL_PIXEL_MAP_I_TO_I_SIZE       = $0CB0;
  GL_PIXEL_MAP_S_TO_S_SIZE       = $0CB1;
  GL_PIXEL_MAP_I_TO_R_SIZE       = $0CB2;
  GL_PIXEL_MAP_I_TO_G_SIZE       = $0CB3;
  GL_PIXEL_MAP_I_TO_B_SIZE       = $0CB4;
  GL_PIXEL_MAP_I_TO_A_SIZE       = $0CB5;
  GL_PIXEL_MAP_R_TO_R_SIZE       = $0CB6;
  GL_PIXEL_MAP_G_TO_G_SIZE       = $0CB7;
  GL_PIXEL_MAP_B_TO_B_SIZE       = $0CB8;
  GL_PIXEL_MAP_A_TO_A_SIZE       = $0CB9;
  GL_UNPACK_SWAP_BYTES           = $0CF0;
  GL_UNPACK_LSB_FIRST            = $0CF1;
  GL_UNPACK_ROW_LENGTH           = $0CF2;
  GL_UNPACK_ROW_LENGTH_EXT       = $0CF2;
  GL_UNPACK_SKIP_ROWS            = $0CF3;
  GL_UNPACK_SKIP_ROWS_EXT        = $0CF3;
  GL_UNPACK_SKIP_PIXELS          = $0CF4;
  GL_UNPACK_SKIP_PIXELS_EXT      = $0CF4;
  GL_UNPACK_ALIGNMENT            = $0CF5;
  GL_PACK_SWAP_BYTES             = $0D00;
  GL_PACK_LSB_FIRST              = $0D01;
  GL_PACK_ROW_LENGTH             = $0D02;
  GL_PACK_SKIP_ROWS              = $0D03;
  GL_PACK_SKIP_PIXELS            = $0D04;
  GL_PACK_ALIGNMENT              = $0D05;
  GL_MAP_COLOR                   = $0D10;
  GL_MAP_STENCIL                 = $0D11;
  GL_INDEX_SHIFT                 = $0D12;
  GL_INDEX_OFFSET                = $0D13;
  GL_RED_SCALE                   = $0D14;
  GL_RED_BIAS                    = $0D15;
  GL_ZOOM_X                      = $0D16;
  GL_ZOOM_Y                      = $0D17;
  GL_GREEN_SCALE                 = $0D18;
  GL_GREEN_BIAS                  = $0D19;
  GL_BLUE_SCALE                  = $0D1A;
  GL_BLUE_BIAS                   = $0D1B;
  GL_ALPHA_SCALE                 = $0D1C;
  GL_ALPHA_BIAS                  = $0D1D;
  GL_DEPTH_SCALE                 = $0D1E;
  GL_DEPTH_BIAS                  = $0D1F;
  GL_MAX_EVAL_ORDER              = $0D30;
  GL_MAX_LIGHTS                  = $0D31;
  GL_MAX_CLIP_PLANES             = $0D32;
  GL_MAX_CLIP_PLANES_IMG         = $0D32;
  GL_MAX_CLIP_DISTANCES          = $0D32;
  GL_MAX_CLIP_DISTANCES_APPLE    = $0D32;
  GL_MAX_TEXTURE_SIZE            = $0D33;
  GL_MAX_PIXEL_MAP_TABLE         = $0D34;
  GL_MAX_ATTRIB_STACK_DEPTH      = $0D35;
  GL_MAX_MODELVIEW_STACK_DEPTH   = $0D36;
  GL_PATH_MAX_MODELVIEW_STACK_DEPTH_NV  = $0D36;
  GL_MAX_NAME_STACK_DEPTH        = $0D37;
  GL_MAX_PROJECTION_STACK_DEPTH  = $0D38;
  GL_PATH_MAX_PROJECTION_STACK_DEPTH_NV  = $0D38;
  GL_MAX_TEXTURE_STACK_DEPTH     = $0D39;
  GL_MAX_VIEWPORT_DIMS           = $0D3A;
  GL_MAX_CLIENT_ATTRIB_STACK_DEPTH  = $0D3B;
  GL_SUBPIXEL_BITS               = $0D50;
  GL_INDEX_BITS                  = $0D51;
  GL_RED_BITS                    = $0D52;
  GL_GREEN_BITS                  = $0D53;
  GL_BLUE_BITS                   = $0D54;
  GL_ALPHA_BITS                  = $0D55;
  GL_DEPTH_BITS                  = $0D56;
  GL_STENCIL_BITS                = $0D57;
  GL_ACCUM_RED_BITS              = $0D58;
  GL_ACCUM_GREEN_BITS            = $0D59;
  GL_ACCUM_BLUE_BITS             = $0D5A;
  GL_ACCUM_ALPHA_BITS            = $0D5B;
  GL_NAME_STACK_DEPTH            = $0D70;
  GL_AUTO_NORMAL                 = $0D80;
  GL_MAP1_COLOR_4                = $0D90;
  GL_MAP1_INDEX                  = $0D91;
  GL_MAP1_NORMAL                 = $0D92;
  GL_MAP1_TEXTURE_COORD_1        = $0D93;
  GL_MAP1_TEXTURE_COORD_2        = $0D94;
  GL_MAP1_TEXTURE_COORD_3        = $0D95;
  GL_MAP1_TEXTURE_COORD_4        = $0D96;
  GL_MAP1_VERTEX_3               = $0D97;
  GL_MAP1_VERTEX_4               = $0D98;
  GL_MAP2_COLOR_4                = $0DB0;
  GL_MAP2_INDEX                  = $0DB1;
  GL_MAP2_NORMAL                 = $0DB2;
  GL_MAP2_TEXTURE_COORD_1        = $0DB3;
  GL_MAP2_TEXTURE_COORD_2        = $0DB4;
  GL_MAP2_TEXTURE_COORD_3        = $0DB5;
  GL_MAP2_TEXTURE_COORD_4        = $0DB6;
  GL_MAP2_VERTEX_3               = $0DB7;
  GL_MAP2_VERTEX_4               = $0DB8;
  GL_MAP1_GRID_DOMAIN            = $0DD0;
  GL_MAP1_GRID_SEGMENTS          = $0DD1;
  GL_MAP2_GRID_DOMAIN            = $0DD2;
  GL_MAP2_GRID_SEGMENTS          = $0DD3;
  GL_TEXTURE_1D                  = $0DE0;
  GL_TEXTURE_2D                  = $0DE1;
  GL_FEEDBACK_BUFFER_POINTER     = $0DF0;
  GL_FEEDBACK_BUFFER_SIZE        = $0DF1;
  GL_FEEDBACK_BUFFER_TYPE        = $0DF2;
  GL_SELECTION_BUFFER_POINTER    = $0DF3;
  GL_SELECTION_BUFFER_SIZE       = $0DF4;
  GL_TEXTURE_WIDTH               = $1000;
  GL_TEXTURE_HEIGHT              = $1001;
  GL_TEXTURE_INTERNAL_FORMAT     = $1003;
  GL_TEXTURE_COMPONENTS          = $1003;
  GL_TEXTURE_BORDER_COLOR        = $1004;
  GL_TEXTURE_BORDER_COLOR_EXT    = $1004;
  GL_TEXTURE_BORDER_COLOR_NV     = $1004;
  GL_TEXTURE_BORDER              = $1005;
  GL_TEXTURE_TARGET              = $1006;
  GL_DONT_CARE                   = $1100;
  GL_FASTEST                     = $1101;
  GL_NICEST                      = $1102;
  GL_AMBIENT                     = $1200;
  GL_DIFFUSE                     = $1201;
  GL_SPECULAR                    = $1202;
  GL_POSITION                    = $1203;
  GL_SPOT_DIRECTION              = $1204;
  GL_SPOT_EXPONENT               = $1205;
  GL_SPOT_CUTOFF                 = $1206;
  GL_CONSTANT_ATTENUATION        = $1207;
  GL_LINEAR_ATTENUATION          = $1208;
  GL_QUADRATIC_ATTENUATION       = $1209;
  GL_COMPILE                     = $1300;
  GL_COMPILE_AND_EXECUTE         = $1301;
  GL_BYTE                        = $1400;
  GL_UNSIGNED_BYTE               = $1401;
  GL_SHORT                       = $1402;
  GL_UNSIGNED_SHORT              = $1403;
  GL_INT                         = $1404;
  GL_UNSIGNED_INT                = $1405;
  GL_FLOAT                       = $1406;
  GL_2_BYTES                     = $1407;
  GL_2_BYTES_NV                  = $1407;
  GL_3_BYTES                     = $1408;
  GL_3_BYTES_NV                  = $1408;
  GL_4_BYTES                     = $1409;
  GL_4_BYTES_NV                  = $1409;
  GL_DOUBLE                      = $140A;
  GL_HALF_FLOAT                  = $140B;
  GL_HALF_FLOAT_ARB              = $140B;
  GL_HALF_FLOAT_NV               = $140B;
  GL_HALF_APPLE                  = $140B;
  GL_FIXED                       = $140C;
  GL_FIXED_OES                   = $140C;
  GL_INT64_NV                    = $140E;
  GL_UNSIGNED_INT64_ARB          = $140F;
  GL_UNSIGNED_INT64_NV           = $140F;
  GL_CLEAR                       = $1500;
  GL_AND                         = $1501;
  GL_AND_REVERSE                 = $1502;
  GL_COPY                        = $1503;
  GL_AND_INVERTED                = $1504;
  GL_NOOP                        = $1505;
  GL_XOR                         = $1506;
  GL_XOR_NV                      = $1506;
  GL_OR                          = $1507;
  GL_NOR                         = $1508;
  GL_EQUIV                       = $1509;
  GL_INVERT                      = $150A;
  GL_OR_REVERSE                  = $150B;
  GL_COPY_INVERTED               = $150C;
  GL_OR_INVERTED                 = $150D;
  GL_NAND                        = $150E;
  GL_SET                         = $150F;
  GL_EMISSION                    = $1600;
  GL_SHININESS                   = $1601;
  GL_AMBIENT_AND_DIFFUSE         = $1602;
  GL_COLOR_INDEXES               = $1603;
  GL_MODELVIEW                   = $1700;
  GL_MODELVIEW0_ARB              = $1700;
  GL_MODELVIEW0_EXT              = $1700;
  GL_PATH_MODELVIEW_NV           = $1700;
  GL_PROJECTION                  = $1701;
  GL_PATH_PROJECTION_NV          = $1701;
  GL_TEXTURE                     = $1702;
  GL_COLOR                       = $1800;
  GL_COLOR_EXT                   = $1800;
  GL_DEPTH                       = $1801;
  GL_DEPTH_EXT                   = $1801;
  GL_STENCIL                     = $1802;
  GL_STENCIL_EXT                 = $1802;
  GL_COLOR_INDEX                 = $1900;
  GL_STENCIL_INDEX               = $1901;
  GL_STENCIL_INDEX_OES           = $1901;
  GL_DEPTH_COMPONENT             = $1902;
  GL_RED                         = $1903;
  GL_RED_EXT                     = $1903;
  GL_RED_NV                      = $1903;
  GL_GREEN                       = $1904;
  GL_GREEN_NV                    = $1904;
  GL_BLUE                        = $1905;
  GL_BLUE_NV                     = $1905;
  GL_ALPHA                       = $1906;
  GL_RGB                         = $1907;
  GL_RGBA                        = $1908;
  GL_LUMINANCE                   = $1909;
  GL_LUMINANCE_ALPHA             = $190A;
  GL_BITMAP                      = $1A00;
  GL_POINT                       = $1B00;
  GL_LINE                        = $1B01;
  GL_FILL                        = $1B02;
  GL_RENDER                      = $1C00;
  GL_FEEDBACK                    = $1C01;
  GL_SELECT                      = $1C02;
  GL_FLAT                        = $1D00;
  GL_SMOOTH                      = $1D01;
  GL_KEEP                        = $1E00;
  GL_REPLACE                     = $1E01;
  GL_INCR                        = $1E02;
  GL_DECR                        = $1E03;
  GL_VENDOR                      = $1F00;
  GL_RENDERER                    = $1F01;
  GL_VERSION                     = $1F02;
  GL_EXTENSIONS                  = $1F03;
  GL_S                           = $2000;
  GL_T                           = $2001;
  GL_R                           = $2002;
  GL_Q                           = $2003;
  GL_MODULATE                    = $2100;
  GL_DECAL                       = $2101;
  GL_TEXTURE_ENV_MODE            = $2200;
  GL_TEXTURE_ENV_COLOR           = $2201;
  GL_TEXTURE_ENV                 = $2300;
  GL_EYE_LINEAR                  = $2400;
  GL_EYE_LINEAR_NV               = $2400;
  GL_OBJECT_LINEAR               = $2401;
  GL_OBJECT_LINEAR_NV            = $2401;
  GL_SPHERE_MAP                  = $2402;
  GL_TEXTURE_GEN_MODE            = $2500;
  GL_TEXTURE_GEN_MODE_OES        = $2500;
  GL_OBJECT_PLANE                = $2501;
  GL_EYE_PLANE                   = $2502;
  GL_NEAREST                     = $2600;
  GL_LINEAR                      = $2601;
  GL_NEAREST_MIPMAP_NEAREST      = $2700;
  GL_LINEAR_MIPMAP_NEAREST       = $2701;
  GL_NEAREST_MIPMAP_LINEAR       = $2702;
  GL_LINEAR_MIPMAP_LINEAR        = $2703;
  GL_TEXTURE_MAG_FILTER          = $2800;
  GL_TEXTURE_MIN_FILTER          = $2801;
  GL_TEXTURE_WRAP_S              = $2802;
  GL_TEXTURE_WRAP_T              = $2803;
  GL_CLAMP                       = $2900;
  GL_REPEAT                      = $2901;
  GL_POLYGON_OFFSET_UNITS        = $2A00;
  GL_POLYGON_OFFSET_POINT        = $2A01;
  GL_POLYGON_OFFSET_LINE         = $2A02;
  GL_R3_G3_B2                    = $2A10;
  GL_V2F                         = $2A20;
  GL_V3F                         = $2A21;
  GL_C4UB_V2F                    = $2A22;
  GL_C4UB_V3F                    = $2A23;
  GL_C3F_V3F                     = $2A24;
  GL_N3F_V3F                     = $2A25;
  GL_C4F_N3F_V3F                 = $2A26;
  GL_T2F_V3F                     = $2A27;
  GL_T4F_V4F                     = $2A28;
  GL_T2F_C4UB_V3F                = $2A29;
  GL_T2F_C3F_V3F                 = $2A2A;
  GL_T2F_N3F_V3F                 = $2A2B;
  GL_T2F_C4F_N3F_V3F             = $2A2C;
  GL_T4F_C4F_N3F_V4F             = $2A2D;
  GL_CLIP_PLANE0                 = $3000;
  GL_CLIP_PLANE0_IMG             = $3000;
  GL_CLIP_DISTANCE0              = $3000;
  GL_CLIP_DISTANCE0_APPLE        = $3000;
  GL_CLIP_PLANE1                 = $3001;
  GL_CLIP_PLANE1_IMG             = $3001;
  GL_CLIP_DISTANCE1              = $3001;
  GL_CLIP_DISTANCE1_APPLE        = $3001;
  GL_CLIP_PLANE2                 = $3002;
  GL_CLIP_PLANE2_IMG             = $3002;
  GL_CLIP_DISTANCE2              = $3002;
  GL_CLIP_DISTANCE2_APPLE        = $3002;
  GL_CLIP_PLANE3                 = $3003;
  GL_CLIP_PLANE3_IMG             = $3003;
  GL_CLIP_DISTANCE3              = $3003;
  GL_CLIP_DISTANCE3_APPLE        = $3003;
  GL_CLIP_PLANE4                 = $3004;
  GL_CLIP_PLANE4_IMG             = $3004;
  GL_CLIP_DISTANCE4              = $3004;
  GL_CLIP_DISTANCE4_APPLE        = $3004;
  GL_CLIP_PLANE5                 = $3005;
  GL_CLIP_PLANE5_IMG             = $3005;
  GL_CLIP_DISTANCE5              = $3005;
  GL_CLIP_DISTANCE5_APPLE        = $3005;
  GL_CLIP_DISTANCE6              = $3006;
  GL_CLIP_DISTANCE6_APPLE        = $3006;
  GL_CLIP_DISTANCE7              = $3007;
  GL_CLIP_DISTANCE7_APPLE        = $3007;
  GL_LIGHT0                      = $4000;
  GL_LIGHT1                      = $4001;
  GL_LIGHT2                      = $4002;
  GL_LIGHT3                      = $4003;
  GL_LIGHT4                      = $4004;
  GL_LIGHT5                      = $4005;
  GL_LIGHT6                      = $4006;
  GL_LIGHT7                      = $4007;
  GL_ABGR_EXT                    = $8000;
  GL_CONSTANT_COLOR              = $8001;
  GL_CONSTANT_COLOR_EXT          = $8001;
  GL_ONE_MINUS_CONSTANT_COLOR    = $8002;
  GL_ONE_MINUS_CONSTANT_COLOR_EXT  = $8002;
  GL_CONSTANT_ALPHA              = $8003;
  GL_CONSTANT_ALPHA_EXT          = $8003;
  GL_ONE_MINUS_CONSTANT_ALPHA    = $8004;
  GL_ONE_MINUS_CONSTANT_ALPHA_EXT  = $8004;
  GL_BLEND_COLOR                 = $8005;
  GL_BLEND_COLOR_EXT             = $8005;
  GL_FUNC_ADD                    = $8006;
  GL_FUNC_ADD_EXT                = $8006;
  GL_FUNC_ADD_OES                = $8006;
  GL_MIN                         = $8007;
  GL_MIN_EXT                     = $8007;
  GL_MAX                         = $8008;
  GL_MAX_EXT                     = $8008;
  GL_BLEND_EQUATION              = $8009;
  GL_BLEND_EQUATION_EXT          = $8009;
  GL_BLEND_EQUATION_OES          = $8009;
  GL_BLEND_EQUATION_RGB          = $8009;
  GL_BLEND_EQUATION_RGB_EXT      = $8009;
  GL_BLEND_EQUATION_RGB_OES      = $8009;
  GL_FUNC_SUBTRACT               = $800A;
  GL_FUNC_SUBTRACT_EXT           = $800A;
  GL_FUNC_SUBTRACT_OES           = $800A;
  GL_FUNC_REVERSE_SUBTRACT       = $800B;
  GL_FUNC_REVERSE_SUBTRACT_EXT   = $800B;
  GL_FUNC_REVERSE_SUBTRACT_OES   = $800B;
  GL_CMYK_EXT                    = $800C;
  GL_CMYKA_EXT                   = $800D;
  GL_PACK_CMYK_HINT_EXT          = $800E;
  GL_UNPACK_CMYK_HINT_EXT        = $800F;
  GL_CONVOLUTION_1D              = $8010;
  GL_CONVOLUTION_1D_EXT          = $8010;
  GL_CONVOLUTION_2D              = $8011;
  GL_CONVOLUTION_2D_EXT          = $8011;
  GL_SEPARABLE_2D                = $8012;
  GL_SEPARABLE_2D_EXT            = $8012;
  GL_CONVOLUTION_BORDER_MODE     = $8013;
  GL_CONVOLUTION_BORDER_MODE_EXT  = $8013;
  GL_CONVOLUTION_FILTER_SCALE    = $8014;
  GL_CONVOLUTION_FILTER_SCALE_EXT  = $8014;
  GL_CONVOLUTION_FILTER_BIAS     = $8015;
  GL_CONVOLUTION_FILTER_BIAS_EXT  = $8015;
  GL_REDUCE                      = $8016;
  GL_REDUCE_EXT                  = $8016;
  GL_CONVOLUTION_FORMAT          = $8017;
  GL_CONVOLUTION_FORMAT_EXT      = $8017;
  GL_CONVOLUTION_WIDTH           = $8018;
  GL_CONVOLUTION_WIDTH_EXT       = $8018;
  GL_CONVOLUTION_HEIGHT          = $8019;
  GL_CONVOLUTION_HEIGHT_EXT      = $8019;
  GL_MAX_CONVOLUTION_WIDTH       = $801A;
  GL_MAX_CONVOLUTION_WIDTH_EXT   = $801A;
  GL_MAX_CONVOLUTION_HEIGHT      = $801B;
  GL_MAX_CONVOLUTION_HEIGHT_EXT  = $801B;
  GL_POST_CONVOLUTION_RED_SCALE  = $801C;
  GL_POST_CONVOLUTION_RED_SCALE_EXT  = $801C;
  GL_POST_CONVOLUTION_GREEN_SCALE  = $801D;
  GL_POST_CONVOLUTION_GREEN_SCALE_EXT  = $801D;
  GL_POST_CONVOLUTION_BLUE_SCALE  = $801E;
  GL_POST_CONVOLUTION_BLUE_SCALE_EXT  = $801E;
  GL_POST_CONVOLUTION_ALPHA_SCALE  = $801F;
  GL_POST_CONVOLUTION_ALPHA_SCALE_EXT  = $801F;
  GL_POST_CONVOLUTION_RED_BIAS   = $8020;
  GL_POST_CONVOLUTION_RED_BIAS_EXT  = $8020;
  GL_POST_CONVOLUTION_GREEN_BIAS  = $8021;
  GL_POST_CONVOLUTION_GREEN_BIAS_EXT  = $8021;
  GL_POST_CONVOLUTION_BLUE_BIAS  = $8022;
  GL_POST_CONVOLUTION_BLUE_BIAS_EXT  = $8022;
  GL_POST_CONVOLUTION_ALPHA_BIAS  = $8023;
  GL_POST_CONVOLUTION_ALPHA_BIAS_EXT  = $8023;
  GL_HISTOGRAM                   = $8024;
  GL_HISTOGRAM_EXT               = $8024;
  GL_PROXY_HISTOGRAM             = $8025;
  GL_PROXY_HISTOGRAM_EXT         = $8025;
  GL_HISTOGRAM_WIDTH             = $8026;
  GL_HISTOGRAM_WIDTH_EXT         = $8026;
  GL_HISTOGRAM_FORMAT            = $8027;
  GL_HISTOGRAM_FORMAT_EXT        = $8027;
  GL_HISTOGRAM_RED_SIZE          = $8028;
  GL_HISTOGRAM_RED_SIZE_EXT      = $8028;
  GL_HISTOGRAM_GREEN_SIZE        = $8029;
  GL_HISTOGRAM_GREEN_SIZE_EXT    = $8029;
  GL_HISTOGRAM_BLUE_SIZE         = $802A;
  GL_HISTOGRAM_BLUE_SIZE_EXT     = $802A;
  GL_HISTOGRAM_ALPHA_SIZE        = $802B;
  GL_HISTOGRAM_ALPHA_SIZE_EXT    = $802B;
  GL_HISTOGRAM_LUMINANCE_SIZE    = $802C;
  GL_HISTOGRAM_LUMINANCE_SIZE_EXT  = $802C;
  GL_HISTOGRAM_SINK              = $802D;
  GL_HISTOGRAM_SINK_EXT          = $802D;
  GL_MINMAX                      = $802E;
  GL_MINMAX_EXT                  = $802E;
  GL_MINMAX_FORMAT               = $802F;
  GL_MINMAX_FORMAT_EXT           = $802F;
  GL_MINMAX_SINK                 = $8030;
  GL_MINMAX_SINK_EXT             = $8030;
  GL_TABLE_TOO_LARGE_EXT         = $8031;
  GL_TABLE_TOO_LARGE             = $8031;
  GL_UNSIGNED_BYTE_3_3_2         = $8032;
  GL_UNSIGNED_BYTE_3_3_2_EXT     = $8032;
  GL_UNSIGNED_SHORT_4_4_4_4      = $8033;
  GL_UNSIGNED_SHORT_4_4_4_4_EXT  = $8033;
  GL_UNSIGNED_SHORT_5_5_5_1      = $8034;
  GL_UNSIGNED_SHORT_5_5_5_1_EXT  = $8034;
  GL_UNSIGNED_INT_8_8_8_8        = $8035;
  GL_UNSIGNED_INT_8_8_8_8_EXT    = $8035;
  GL_UNSIGNED_INT_10_10_10_2     = $8036;
  GL_UNSIGNED_INT_10_10_10_2_EXT  = $8036;
  GL_POLYGON_OFFSET_EXT          = $8037;
  GL_POLYGON_OFFSET_FILL         = $8037;
  GL_POLYGON_OFFSET_FACTOR       = $8038;
  GL_POLYGON_OFFSET_FACTOR_EXT   = $8038;
  GL_POLYGON_OFFSET_BIAS_EXT     = $8039;
  GL_RESCALE_NORMAL              = $803A;
  GL_RESCALE_NORMAL_EXT          = $803A;
  GL_ALPHA4                      = $803B;
  GL_ALPHA4_EXT                  = $803B;
  GL_ALPHA8                      = $803C;
  GL_ALPHA8_EXT                  = $803C;
  GL_ALPHA8_OES                  = $803C;
  GL_ALPHA12                     = $803D;
  GL_ALPHA12_EXT                 = $803D;
  GL_ALPHA16                     = $803E;
  GL_ALPHA16_EXT                 = $803E;
  GL_LUMINANCE4                  = $803F;
  GL_LUMINANCE4_EXT              = $803F;
  GL_LUMINANCE8                  = $8040;
  GL_LUMINANCE8_EXT              = $8040;
  GL_LUMINANCE8_OES              = $8040;
  GL_LUMINANCE12                 = $8041;
  GL_LUMINANCE12_EXT             = $8041;
  GL_LUMINANCE16                 = $8042;
  GL_LUMINANCE16_EXT             = $8042;
  GL_LUMINANCE4_ALPHA4           = $8043;
  GL_LUMINANCE4_ALPHA4_EXT       = $8043;
  GL_LUMINANCE4_ALPHA4_OES       = $8043;
  GL_LUMINANCE6_ALPHA2           = $8044;
  GL_LUMINANCE6_ALPHA2_EXT       = $8044;
  GL_LUMINANCE8_ALPHA8           = $8045;
  GL_LUMINANCE8_ALPHA8_EXT       = $8045;
  GL_LUMINANCE8_ALPHA8_OES       = $8045;
  GL_LUMINANCE12_ALPHA4          = $8046;
  GL_LUMINANCE12_ALPHA4_EXT      = $8046;
  GL_LUMINANCE12_ALPHA12         = $8047;
  GL_LUMINANCE12_ALPHA12_EXT     = $8047;
  GL_LUMINANCE16_ALPHA16         = $8048;
  GL_LUMINANCE16_ALPHA16_EXT     = $8048;
  GL_INTENSITY                   = $8049;
  GL_INTENSITY_EXT               = $8049;
  GL_INTENSITY4                  = $804A;
  GL_INTENSITY4_EXT              = $804A;
  GL_INTENSITY8                  = $804B;
  GL_INTENSITY8_EXT              = $804B;
  GL_INTENSITY12                 = $804C;
  GL_INTENSITY12_EXT             = $804C;
  GL_INTENSITY16                 = $804D;
  GL_INTENSITY16_EXT             = $804D;
  GL_RGB2_EXT                    = $804E;
  GL_RGB4                        = $804F;
  GL_RGB4_EXT                    = $804F;
  GL_RGB5                        = $8050;
  GL_RGB5_EXT                    = $8050;
  GL_RGB8                        = $8051;
  GL_RGB8_EXT                    = $8051;
  GL_RGB8_OES                    = $8051;
  GL_RGB10                       = $8052;
  GL_RGB10_EXT                   = $8052;
  GL_RGB12                       = $8053;
  GL_RGB12_EXT                   = $8053;
  GL_RGB16                       = $8054;
  GL_RGB16_EXT                   = $8054;
  GL_RGBA2                       = $8055;
  GL_RGBA2_EXT                   = $8055;
  GL_RGBA4                       = $8056;
  GL_RGBA4_EXT                   = $8056;
  GL_RGBA4_OES                   = $8056;
  GL_RGB5_A1                     = $8057;
  GL_RGB5_A1_EXT                 = $8057;
  GL_RGB5_A1_OES                 = $8057;
  GL_RGBA8                       = $8058;
  GL_RGBA8_EXT                   = $8058;
  GL_RGBA8_OES                   = $8058;
  GL_RGB10_A2                    = $8059;
  GL_RGB10_A2_EXT                = $8059;
  GL_RGBA12                      = $805A;
  GL_RGBA12_EXT                  = $805A;
  GL_RGBA16                      = $805B;
  GL_RGBA16_EXT                  = $805B;
  GL_TEXTURE_RED_SIZE            = $805C;
  GL_TEXTURE_RED_SIZE_EXT        = $805C;
  GL_TEXTURE_GREEN_SIZE          = $805D;
  GL_TEXTURE_GREEN_SIZE_EXT      = $805D;
  GL_TEXTURE_BLUE_SIZE           = $805E;
  GL_TEXTURE_BLUE_SIZE_EXT       = $805E;
  GL_TEXTURE_ALPHA_SIZE          = $805F;
  GL_TEXTURE_ALPHA_SIZE_EXT      = $805F;
  GL_TEXTURE_LUMINANCE_SIZE      = $8060;
  GL_TEXTURE_LUMINANCE_SIZE_EXT  = $8060;
  GL_TEXTURE_INTENSITY_SIZE      = $8061;
  GL_TEXTURE_INTENSITY_SIZE_EXT  = $8061;
  GL_REPLACE_EXT                 = $8062;
  GL_PROXY_TEXTURE_1D            = $8063;
  GL_PROXY_TEXTURE_1D_EXT        = $8063;
  GL_PROXY_TEXTURE_2D            = $8064;
  GL_PROXY_TEXTURE_2D_EXT        = $8064;
  GL_TEXTURE_TOO_LARGE_EXT       = $8065;
  GL_TEXTURE_PRIORITY            = $8066;
  GL_TEXTURE_PRIORITY_EXT        = $8066;
  GL_TEXTURE_RESIDENT            = $8067;
  GL_TEXTURE_RESIDENT_EXT        = $8067;
  GL_TEXTURE_1D_BINDING_EXT      = $8068;
  GL_TEXTURE_BINDING_1D          = $8068;
  GL_TEXTURE_2D_BINDING_EXT      = $8069;
  GL_TEXTURE_BINDING_2D          = $8069;
  GL_TEXTURE_3D_BINDING_EXT      = $806A;
  GL_TEXTURE_BINDING_3D          = $806A;
  GL_TEXTURE_BINDING_3D_OES      = $806A;
  GL_PACK_SKIP_IMAGES            = $806B;
  GL_PACK_SKIP_IMAGES_EXT        = $806B;
  GL_PACK_IMAGE_HEIGHT           = $806C;
  GL_PACK_IMAGE_HEIGHT_EXT       = $806C;
  GL_UNPACK_SKIP_IMAGES          = $806D;
  GL_UNPACK_SKIP_IMAGES_EXT      = $806D;
  GL_UNPACK_IMAGE_HEIGHT         = $806E;
  GL_UNPACK_IMAGE_HEIGHT_EXT     = $806E;
  GL_TEXTURE_3D                  = $806F;
  GL_TEXTURE_3D_EXT              = $806F;
  GL_TEXTURE_3D_OES              = $806F;
  GL_PROXY_TEXTURE_3D            = $8070;
  GL_PROXY_TEXTURE_3D_EXT        = $8070;
  GL_TEXTURE_DEPTH               = $8071;
  GL_TEXTURE_DEPTH_EXT           = $8071;
  GL_TEXTURE_WRAP_R              = $8072;
  GL_TEXTURE_WRAP_R_EXT          = $8072;
  GL_TEXTURE_WRAP_R_OES          = $8072;
  GL_MAX_3D_TEXTURE_SIZE         = $8073;
  GL_MAX_3D_TEXTURE_SIZE_EXT     = $8073;
  GL_MAX_3D_TEXTURE_SIZE_OES     = $8073;
  GL_VERTEX_ARRAY                = $8074;
  GL_VERTEX_ARRAY_EXT            = $8074;
  GL_VERTEX_ARRAY_KHR            = $8074;
  GL_NORMAL_ARRAY                = $8075;
  GL_NORMAL_ARRAY_EXT            = $8075;
  GL_COLOR_ARRAY                 = $8076;
  GL_COLOR_ARRAY_EXT             = $8076;
  GL_INDEX_ARRAY                 = $8077;
  GL_INDEX_ARRAY_EXT             = $8077;
  GL_TEXTURE_COORD_ARRAY         = $8078;
  GL_TEXTURE_COORD_ARRAY_EXT     = $8078;
  GL_EDGE_FLAG_ARRAY             = $8079;
  GL_EDGE_FLAG_ARRAY_EXT         = $8079;
  GL_VERTEX_ARRAY_SIZE           = $807A;
  GL_VERTEX_ARRAY_SIZE_EXT       = $807A;
  GL_VERTEX_ARRAY_TYPE           = $807B;
  GL_VERTEX_ARRAY_TYPE_EXT       = $807B;
  GL_VERTEX_ARRAY_STRIDE         = $807C;
  GL_VERTEX_ARRAY_STRIDE_EXT     = $807C;
  GL_VERTEX_ARRAY_COUNT_EXT      = $807D;
  GL_NORMAL_ARRAY_TYPE           = $807E;
  GL_NORMAL_ARRAY_TYPE_EXT       = $807E;
  GL_NORMAL_ARRAY_STRIDE         = $807F;
  GL_NORMAL_ARRAY_STRIDE_EXT     = $807F;
  GL_NORMAL_ARRAY_COUNT_EXT      = $8080;
  GL_COLOR_ARRAY_SIZE            = $8081;
  GL_COLOR_ARRAY_SIZE_EXT        = $8081;
  GL_COLOR_ARRAY_TYPE            = $8082;
  GL_COLOR_ARRAY_TYPE_EXT        = $8082;
  GL_COLOR_ARRAY_STRIDE          = $8083;
  GL_COLOR_ARRAY_STRIDE_EXT      = $8083;
  GL_COLOR_ARRAY_COUNT_EXT       = $8084;
  GL_INDEX_ARRAY_TYPE            = $8085;
  GL_INDEX_ARRAY_TYPE_EXT        = $8085;
  GL_INDEX_ARRAY_STRIDE          = $8086;
  GL_INDEX_ARRAY_STRIDE_EXT      = $8086;
  GL_INDEX_ARRAY_COUNT_EXT       = $8087;
  GL_TEXTURE_COORD_ARRAY_SIZE    = $8088;
  GL_TEXTURE_COORD_ARRAY_SIZE_EXT  = $8088;
  GL_TEXTURE_COORD_ARRAY_TYPE    = $8089;
  GL_TEXTURE_COORD_ARRAY_TYPE_EXT  = $8089;
  GL_TEXTURE_COORD_ARRAY_STRIDE  = $808A;
  GL_TEXTURE_COORD_ARRAY_STRIDE_EXT  = $808A;
  GL_TEXTURE_COORD_ARRAY_COUNT_EXT  = $808B;
  GL_EDGE_FLAG_ARRAY_STRIDE      = $808C;
  GL_EDGE_FLAG_ARRAY_STRIDE_EXT  = $808C;
  GL_EDGE_FLAG_ARRAY_COUNT_EXT   = $808D;
  GL_VERTEX_ARRAY_POINTER        = $808E;
  GL_VERTEX_ARRAY_POINTER_EXT    = $808E;
  GL_NORMAL_ARRAY_POINTER        = $808F;
  GL_NORMAL_ARRAY_POINTER_EXT    = $808F;
  GL_COLOR_ARRAY_POINTER         = $8090;
  GL_COLOR_ARRAY_POINTER_EXT     = $8090;
  GL_INDEX_ARRAY_POINTER         = $8091;
  GL_INDEX_ARRAY_POINTER_EXT     = $8091;
  GL_TEXTURE_COORD_ARRAY_POINTER  = $8092;
  GL_TEXTURE_COORD_ARRAY_POINTER_EXT  = $8092;
  GL_EDGE_FLAG_ARRAY_POINTER     = $8093;
  GL_EDGE_FLAG_ARRAY_POINTER_EXT  = $8093;
  GL_INTERLACE_SGIX              = $8094;
  GL_DETAIL_TEXTURE_2D_SGIS      = $8095;
  GL_DETAIL_TEXTURE_2D_BINDING_SGIS  = $8096;
  GL_LINEAR_DETAIL_SGIS          = $8097;
  GL_LINEAR_DETAIL_ALPHA_SGIS    = $8098;
  GL_LINEAR_DETAIL_COLOR_SGIS    = $8099;
  GL_DETAIL_TEXTURE_LEVEL_SGIS   = $809A;
  GL_DETAIL_TEXTURE_MODE_SGIS    = $809B;
  GL_DETAIL_TEXTURE_FUNC_POINTS_SGIS  = $809C;
  GL_MULTISAMPLE                 = $809D;
  GL_MULTISAMPLE_ARB             = $809D;
  GL_MULTISAMPLE_EXT             = $809D;
  GL_MULTISAMPLE_SGIS            = $809D;
  GL_SAMPLE_ALPHA_TO_COVERAGE    = $809E;
  GL_SAMPLE_ALPHA_TO_COVERAGE_ARB  = $809E;
  GL_SAMPLE_ALPHA_TO_MASK_EXT    = $809E;
  GL_SAMPLE_ALPHA_TO_MASK_SGIS   = $809E;
  GL_SAMPLE_ALPHA_TO_ONE         = $809F;
  GL_SAMPLE_ALPHA_TO_ONE_ARB     = $809F;
  GL_SAMPLE_ALPHA_TO_ONE_EXT     = $809F;
  GL_SAMPLE_ALPHA_TO_ONE_SGIS    = $809F;
  GL_SAMPLE_COVERAGE             = $80A0;
  GL_SAMPLE_COVERAGE_ARB         = $80A0;
  GL_SAMPLE_MASK_EXT             = $80A0;
  GL_SAMPLE_MASK_SGIS            = $80A0;
  GL_1PASS_EXT                   = $80A1;
  GL_1PASS_SGIS                  = $80A1;
  GL_2PASS_0_EXT                 = $80A2;
  GL_2PASS_0_SGIS                = $80A2;
  GL_2PASS_1_EXT                 = $80A3;
  GL_2PASS_1_SGIS                = $80A3;
  GL_4PASS_0_EXT                 = $80A4;
  GL_4PASS_0_SGIS                = $80A4;
  GL_4PASS_1_EXT                 = $80A5;
  GL_4PASS_1_SGIS                = $80A5;
  GL_4PASS_2_EXT                 = $80A6;
  GL_4PASS_2_SGIS                = $80A6;
  GL_4PASS_3_EXT                 = $80A7;
  GL_4PASS_3_SGIS                = $80A7;
  GL_SAMPLE_BUFFERS              = $80A8;
  GL_SAMPLE_BUFFERS_ARB          = $80A8;
  GL_SAMPLE_BUFFERS_EXT          = $80A8;
  GL_SAMPLE_BUFFERS_SGIS         = $80A8;
  GL_SAMPLES                     = $80A9;
  GL_SAMPLES_ARB                 = $80A9;
  GL_SAMPLES_EXT                 = $80A9;
  GL_SAMPLES_SGIS                = $80A9;
  GL_SAMPLE_COVERAGE_VALUE       = $80AA;
  GL_SAMPLE_COVERAGE_VALUE_ARB   = $80AA;
  GL_SAMPLE_MASK_VALUE_EXT       = $80AA;
  GL_SAMPLE_MASK_VALUE_SGIS      = $80AA;
  GL_SAMPLE_COVERAGE_INVERT      = $80AB;
  GL_SAMPLE_COVERAGE_INVERT_ARB  = $80AB;
  GL_SAMPLE_MASK_INVERT_EXT      = $80AB;
  GL_SAMPLE_MASK_INVERT_SGIS     = $80AB;
  GL_SAMPLE_PATTERN_EXT          = $80AC;
  GL_SAMPLE_PATTERN_SGIS         = $80AC;
  GL_LINEAR_SHARPEN_SGIS         = $80AD;
  GL_LINEAR_SHARPEN_ALPHA_SGIS   = $80AE;
  GL_LINEAR_SHARPEN_COLOR_SGIS   = $80AF;
  GL_SHARPEN_TEXTURE_FUNC_POINTS_SGIS  = $80B0;
  GL_COLOR_MATRIX                = $80B1;
  GL_COLOR_MATRIX_SGI            = $80B1;
  GL_COLOR_MATRIX_STACK_DEPTH    = $80B2;
  GL_COLOR_MATRIX_STACK_DEPTH_SGI  = $80B2;
  GL_MAX_COLOR_MATRIX_STACK_DEPTH  = $80B3;
  GL_MAX_COLOR_MATRIX_STACK_DEPTH_SGI  = $80B3;
  GL_POST_COLOR_MATRIX_RED_SCALE  = $80B4;
  GL_POST_COLOR_MATRIX_RED_SCALE_SGI  = $80B4;
  GL_POST_COLOR_MATRIX_GREEN_SCALE  = $80B5;
  GL_POST_COLOR_MATRIX_GREEN_SCALE_SGI  = $80B5;
  GL_POST_COLOR_MATRIX_BLUE_SCALE  = $80B6;
  GL_POST_COLOR_MATRIX_BLUE_SCALE_SGI  = $80B6;
  GL_POST_COLOR_MATRIX_ALPHA_SCALE  = $80B7;
  GL_POST_COLOR_MATRIX_ALPHA_SCALE_SGI  = $80B7;
  GL_POST_COLOR_MATRIX_RED_BIAS  = $80B8;
  GL_POST_COLOR_MATRIX_RED_BIAS_SGI  = $80B8;
  GL_POST_COLOR_MATRIX_GREEN_BIAS  = $80B9;
  GL_POST_COLOR_MATRIX_GREEN_BIAS_SGI  = $80B9;
  GL_POST_COLOR_MATRIX_BLUE_BIAS  = $80BA;
  GL_POST_COLOR_MATRIX_BLUE_BIAS_SGI  = $80BA;
  GL_POST_COLOR_MATRIX_ALPHA_BIAS  = $80BB;
  GL_POST_COLOR_MATRIX_ALPHA_BIAS_SGI  = $80BB;
  GL_TEXTURE_COLOR_TABLE_SGI     = $80BC;
  GL_PROXY_TEXTURE_COLOR_TABLE_SGI  = $80BD;
  GL_TEXTURE_ENV_BIAS_SGIX       = $80BE;
  GL_SHADOW_AMBIENT_SGIX         = $80BF;
  GL_TEXTURE_COMPARE_FAIL_VALUE_ARB  = $80BF;
  GL_BLEND_DST_RGB               = $80C8;
  GL_BLEND_DST_RGB_EXT           = $80C8;
  GL_BLEND_DST_RGB_OES           = $80C8;
  GL_BLEND_SRC_RGB               = $80C9;
  GL_BLEND_SRC_RGB_EXT           = $80C9;
  GL_BLEND_SRC_RGB_OES           = $80C9;
  GL_BLEND_DST_ALPHA             = $80CA;
  GL_BLEND_DST_ALPHA_EXT         = $80CA;
  GL_BLEND_DST_ALPHA_OES         = $80CA;
  GL_BLEND_SRC_ALPHA             = $80CB;
  GL_BLEND_SRC_ALPHA_EXT         = $80CB;
  GL_BLEND_SRC_ALPHA_OES         = $80CB;
  GL_422_EXT                     = $80CC;
  GL_422_REV_EXT                 = $80CD;
  GL_422_AVERAGE_EXT             = $80CE;
  GL_422_REV_AVERAGE_EXT         = $80CF;
  GL_COLOR_TABLE                 = $80D0;
  GL_COLOR_TABLE_SGI             = $80D0;
  GL_POST_CONVOLUTION_COLOR_TABLE  = $80D1;
  GL_POST_CONVOLUTION_COLOR_TABLE_SGI  = $80D1;
  GL_POST_COLOR_MATRIX_COLOR_TABLE  = $80D2;
  GL_POST_COLOR_MATRIX_COLOR_TABLE_SGI  = $80D2;
  GL_PROXY_COLOR_TABLE           = $80D3;
  GL_PROXY_COLOR_TABLE_SGI       = $80D3;
  GL_PROXY_POST_CONVOLUTION_COLOR_TABLE  = $80D4;
  GL_PROXY_POST_CONVOLUTION_COLOR_TABLE_SGI  = $80D4;
  GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE  = $80D5;
  GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE_SGI  = $80D5;
  GL_COLOR_TABLE_SCALE           = $80D6;
  GL_COLOR_TABLE_SCALE_SGI       = $80D6;
  GL_COLOR_TABLE_BIAS            = $80D7;
  GL_COLOR_TABLE_BIAS_SGI        = $80D7;
  GL_COLOR_TABLE_FORMAT          = $80D8;
  GL_COLOR_TABLE_FORMAT_SGI      = $80D8;
  GL_COLOR_TABLE_WIDTH           = $80D9;
  GL_COLOR_TABLE_WIDTH_SGI       = $80D9;
  GL_COLOR_TABLE_RED_SIZE        = $80DA;
  GL_COLOR_TABLE_RED_SIZE_SGI    = $80DA;
  GL_COLOR_TABLE_GREEN_SIZE      = $80DB;
  GL_COLOR_TABLE_GREEN_SIZE_SGI  = $80DB;
  GL_COLOR_TABLE_BLUE_SIZE       = $80DC;
  GL_COLOR_TABLE_BLUE_SIZE_SGI   = $80DC;
  GL_COLOR_TABLE_ALPHA_SIZE      = $80DD;
  GL_COLOR_TABLE_ALPHA_SIZE_SGI  = $80DD;
  GL_COLOR_TABLE_LUMINANCE_SIZE  = $80DE;
  GL_COLOR_TABLE_LUMINANCE_SIZE_SGI  = $80DE;
  GL_COLOR_TABLE_INTENSITY_SIZE  = $80DF;
  GL_COLOR_TABLE_INTENSITY_SIZE_SGI  = $80DF;
  GL_BGR                         = $80E0;
  GL_BGR_EXT                     = $80E0;
  GL_BGRA                        = $80E1;
  GL_BGRA_EXT                    = $80E1;
  GL_BGRA_IMG                    = $80E1;
  GL_COLOR_INDEX1_EXT            = $80E2;
  GL_COLOR_INDEX2_EXT            = $80E3;
  GL_COLOR_INDEX4_EXT            = $80E4;
  GL_COLOR_INDEX8_EXT            = $80E5;
  GL_COLOR_INDEX12_EXT           = $80E6;
  GL_COLOR_INDEX16_EXT           = $80E7;
  GL_MAX_ELEMENTS_VERTICES       = $80E8;
  GL_MAX_ELEMENTS_VERTICES_EXT   = $80E8;
  GL_MAX_ELEMENTS_INDICES        = $80E9;
  GL_MAX_ELEMENTS_INDICES_EXT    = $80E9;
  GL_PHONG_WIN                   = $80EA;
  GL_PHONG_HINT_WIN              = $80EB;
  GL_FOG_SPECULAR_TEXTURE_WIN    = $80EC;
  GL_TEXTURE_INDEX_SIZE_EXT      = $80ED;
  GL_PARAMETER_BUFFER_ARB        = $80EE;
  GL_PARAMETER_BUFFER_BINDING_ARB  = $80EF;
  GL_CLIP_VOLUME_CLIPPING_HINT_EXT  = $80F0;
  GL_DUAL_ALPHA4_SGIS            = $8110;
  GL_DUAL_ALPHA8_SGIS            = $8111;
  GL_DUAL_ALPHA12_SGIS           = $8112;
  GL_DUAL_ALPHA16_SGIS           = $8113;
  GL_DUAL_LUMINANCE4_SGIS        = $8114;
  GL_DUAL_LUMINANCE8_SGIS        = $8115;
  GL_DUAL_LUMINANCE12_SGIS       = $8116;
  GL_DUAL_LUMINANCE16_SGIS       = $8117;
  GL_DUAL_INTENSITY4_SGIS        = $8118;
  GL_DUAL_INTENSITY8_SGIS        = $8119;
  GL_DUAL_INTENSITY12_SGIS       = $811A;
  GL_DUAL_INTENSITY16_SGIS       = $811B;
  GL_DUAL_LUMINANCE_ALPHA4_SGIS  = $811C;
  GL_DUAL_LUMINANCE_ALPHA8_SGIS  = $811D;
  GL_QUAD_ALPHA4_SGIS            = $811E;
  GL_QUAD_ALPHA8_SGIS            = $811F;
  GL_QUAD_LUMINANCE4_SGIS        = $8120;
  GL_QUAD_LUMINANCE8_SGIS        = $8121;
  GL_QUAD_INTENSITY4_SGIS        = $8122;
  GL_QUAD_INTENSITY8_SGIS        = $8123;
  GL_DUAL_TEXTURE_SELECT_SGIS    = $8124;
  GL_QUAD_TEXTURE_SELECT_SGIS    = $8125;
  GL_POINT_SIZE_MIN              = $8126;
  GL_POINT_SIZE_MIN_ARB          = $8126;
  GL_POINT_SIZE_MIN_EXT          = $8126;
  GL_POINT_SIZE_MIN_SGIS         = $8126;
  GL_POINT_SIZE_MAX              = $8127;
  GL_POINT_SIZE_MAX_ARB          = $8127;
  GL_POINT_SIZE_MAX_EXT          = $8127;
  GL_POINT_SIZE_MAX_SGIS         = $8127;
  GL_POINT_FADE_THRESHOLD_SIZE   = $8128;
  GL_POINT_FADE_THRESHOLD_SIZE_ARB  = $8128;
  GL_POINT_FADE_THRESHOLD_SIZE_EXT  = $8128;
  GL_POINT_FADE_THRESHOLD_SIZE_SGIS  = $8128;
  GL_DISTANCE_ATTENUATION_EXT    = $8129;
  GL_DISTANCE_ATTENUATION_SGIS   = $8129;
  GL_POINT_DISTANCE_ATTENUATION  = $8129;
  GL_POINT_DISTANCE_ATTENUATION_ARB  = $8129;
  GL_FOG_FUNC_SGIS               = $812A;
  GL_FOG_FUNC_POINTS_SGIS        = $812B;
  GL_MAX_FOG_FUNC_POINTS_SGIS    = $812C;
  GL_CLAMP_TO_BORDER             = $812D;
  GL_CLAMP_TO_BORDER_ARB         = $812D;
  GL_CLAMP_TO_BORDER_EXT         = $812D;
  GL_CLAMP_TO_BORDER_NV          = $812D;
  GL_CLAMP_TO_BORDER_SGIS        = $812D;
  GL_TEXTURE_MULTI_BUFFER_HINT_SGIX  = $812E;
  GL_CLAMP_TO_EDGE               = $812F;
  GL_CLAMP_TO_EDGE_SGIS          = $812F;
  GL_PACK_SKIP_VOLUMES_SGIS      = $8130;
  GL_PACK_IMAGE_DEPTH_SGIS       = $8131;
  GL_UNPACK_SKIP_VOLUMES_SGIS    = $8132;
  GL_UNPACK_IMAGE_DEPTH_SGIS     = $8133;
  GL_TEXTURE_4D_SGIS             = $8134;
  GL_PROXY_TEXTURE_4D_SGIS       = $8135;
  GL_TEXTURE_4DSIZE_SGIS         = $8136;
  GL_TEXTURE_WRAP_Q_SGIS         = $8137;
  GL_MAX_4D_TEXTURE_SIZE_SGIS    = $8138;
  GL_PIXEL_TEX_GEN_SGIX          = $8139;
  GL_TEXTURE_MIN_LOD             = $813A;
  GL_TEXTURE_MIN_LOD_SGIS        = $813A;
  GL_TEXTURE_MAX_LOD             = $813B;
  GL_TEXTURE_MAX_LOD_SGIS        = $813B;
  GL_TEXTURE_BASE_LEVEL          = $813C;
  GL_TEXTURE_BASE_LEVEL_SGIS     = $813C;
  GL_TEXTURE_MAX_LEVEL           = $813D;
  GL_TEXTURE_MAX_LEVEL_APPLE     = $813D;
  GL_TEXTURE_MAX_LEVEL_SGIS      = $813D;
  GL_PIXEL_TILE_BEST_ALIGNMENT_SGIX  = $813E;
  GL_PIXEL_TILE_CACHE_INCREMENT_SGIX  = $813F;
  GL_PIXEL_TILE_WIDTH_SGIX       = $8140;
  GL_PIXEL_TILE_HEIGHT_SGIX      = $8141;
  GL_PIXEL_TILE_GRID_WIDTH_SGIX  = $8142;
  GL_PIXEL_TILE_GRID_HEIGHT_SGIX  = $8143;
  GL_PIXEL_TILE_GRID_DEPTH_SGIX  = $8144;
  GL_PIXEL_TILE_CACHE_SIZE_SGIX  = $8145;
  GL_FILTER4_SGIS                = $8146;
  GL_TEXTURE_FILTER4_SIZE_SGIS   = $8147;
  GL_SPRITE_SGIX                 = $8148;
  GL_SPRITE_MODE_SGIX            = $8149;
  GL_SPRITE_AXIS_SGIX            = $814A;
  GL_SPRITE_TRANSLATION_SGIX     = $814B;
  GL_SPRITE_AXIAL_SGIX           = $814C;
  GL_SPRITE_OBJECT_ALIGNED_SGIX  = $814D;
  GL_SPRITE_EYE_ALIGNED_SGIX     = $814E;
  GL_TEXTURE_4D_BINDING_SGIS     = $814F;
  GL_IGNORE_BORDER_HP            = $8150;
  GL_CONSTANT_BORDER             = $8151;
  GL_CONSTANT_BORDER_HP          = $8151;
  GL_REPLICATE_BORDER            = $8153;
  GL_REPLICATE_BORDER_HP         = $8153;
  GL_CONVOLUTION_BORDER_COLOR    = $8154;
  GL_CONVOLUTION_BORDER_COLOR_HP  = $8154;
  GL_IMAGE_SCALE_X_HP            = $8155;
  GL_IMAGE_SCALE_Y_HP            = $8156;
  GL_IMAGE_TRANSLATE_X_HP        = $8157;
  GL_IMAGE_TRANSLATE_Y_HP        = $8158;
  GL_IMAGE_ROTATE_ANGLE_HP       = $8159;
  GL_IMAGE_ROTATE_ORIGIN_X_HP    = $815A;
  GL_IMAGE_ROTATE_ORIGIN_Y_HP    = $815B;
  GL_IMAGE_MAG_FILTER_HP         = $815C;
  GL_IMAGE_MIN_FILTER_HP         = $815D;
  GL_IMAGE_CUBIC_WEIGHT_HP       = $815E;
  GL_CUBIC_HP                    = $815F;
  GL_AVERAGE_HP                  = $8160;
  GL_IMAGE_TRANSFORM_2D_HP       = $8161;
  GL_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP  = $8162;
  GL_PROXY_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP  = $8163;
  GL_OCCLUSION_TEST_HP           = $8165;
  GL_OCCLUSION_TEST_RESULT_HP    = $8166;
  GL_TEXTURE_LIGHTING_MODE_HP    = $8167;
  GL_TEXTURE_POST_SPECULAR_HP    = $8168;
  GL_TEXTURE_PRE_SPECULAR_HP     = $8169;
  GL_LINEAR_CLIPMAP_LINEAR_SGIX  = $8170;
  GL_TEXTURE_CLIPMAP_CENTER_SGIX  = $8171;
  GL_TEXTURE_CLIPMAP_FRAME_SGIX  = $8172;
  GL_TEXTURE_CLIPMAP_OFFSET_SGIX  = $8173;
  GL_TEXTURE_CLIPMAP_VIRTUAL_DEPTH_SGIX  = $8174;
  GL_TEXTURE_CLIPMAP_LOD_OFFSET_SGIX  = $8175;
  GL_TEXTURE_CLIPMAP_DEPTH_SGIX  = $8176;
  GL_MAX_CLIPMAP_DEPTH_SGIX      = $8177;
  GL_MAX_CLIPMAP_VIRTUAL_DEPTH_SGIX  = $8178;
  GL_POST_TEXTURE_FILTER_BIAS_SGIX  = $8179;
  GL_POST_TEXTURE_FILTER_SCALE_SGIX  = $817A;
  GL_POST_TEXTURE_FILTER_BIAS_RANGE_SGIX  = $817B;
  GL_POST_TEXTURE_FILTER_SCALE_RANGE_SGIX  = $817C;
  GL_REFERENCE_PLANE_SGIX        = $817D;
  GL_REFERENCE_PLANE_EQUATION_SGIX  = $817E;
  GL_IR_INSTRUMENT1_SGIX         = $817F;
  GL_INSTRUMENT_BUFFER_POINTER_SGIX  = $8180;
  GL_INSTRUMENT_MEASUREMENTS_SGIX  = $8181;
  GL_LIST_PRIORITY_SGIX          = $8182;
  GL_CALLIGRAPHIC_FRAGMENT_SGIX  = $8183;
  GL_FRAMEZOOM_SGIX              = $818B;
  GL_FRAMEZOOM_FACTOR_SGIX       = $818C;
  GL_MAX_FRAMEZOOM_FACTOR_SGIX   = $818D;
  GL_TEXTURE_LOD_BIAS_S_SGIX     = $818E;
  GL_TEXTURE_LOD_BIAS_T_SGIX     = $818F;
  GL_TEXTURE_LOD_BIAS_R_SGIX     = $8190;
  GL_GENERATE_MIPMAP             = $8191;
  GL_GENERATE_MIPMAP_SGIS        = $8191;
  GL_GENERATE_MIPMAP_HINT        = $8192;
  GL_GENERATE_MIPMAP_HINT_SGIS   = $8192;
  GL_GEOMETRY_DEFORMATION_SGIX   = $8194;
  GL_TEXTURE_DEFORMATION_SGIX    = $8195;
  GL_DEFORMATIONS_MASK_SGIX      = $8196;
  GL_MAX_DEFORMATION_ORDER_SGIX  = $8197;
  GL_FOG_OFFSET_SGIX             = $8198;
  GL_FOG_OFFSET_VALUE_SGIX       = $8199;
  GL_TEXTURE_COMPARE_SGIX        = $819A;
  GL_TEXTURE_COMPARE_OPERATOR_SGIX  = $819B;
  GL_TEXTURE_LEQUAL_R_SGIX       = $819C;
  GL_TEXTURE_GEQUAL_R_SGIX       = $819D;
  GL_DEPTH_COMPONENT16           = $81A5;
  GL_DEPTH_COMPONENT16_ARB       = $81A5;
  GL_DEPTH_COMPONENT16_OES       = $81A5;
  GL_DEPTH_COMPONENT16_SGIX      = $81A5;
  GL_DEPTH_COMPONENT24           = $81A6;
  GL_DEPTH_COMPONENT24_ARB       = $81A6;
  GL_DEPTH_COMPONENT24_OES       = $81A6;
  GL_DEPTH_COMPONENT24_SGIX      = $81A6;
  GL_DEPTH_COMPONENT32           = $81A7;
  GL_DEPTH_COMPONENT32_ARB       = $81A7;
  GL_DEPTH_COMPONENT32_OES       = $81A7;
  GL_DEPTH_COMPONENT32_SGIX      = $81A7;
  GL_ARRAY_ELEMENT_LOCK_FIRST_EXT  = $81A8;
  GL_ARRAY_ELEMENT_LOCK_COUNT_EXT  = $81A9;
  GL_CULL_VERTEX_EXT             = $81AA;
  GL_CULL_VERTEX_EYE_POSITION_EXT  = $81AB;
  GL_CULL_VERTEX_OBJECT_POSITION_EXT  = $81AC;
  GL_IUI_V2F_EXT                 = $81AD;
  GL_IUI_V3F_EXT                 = $81AE;
  GL_IUI_N3F_V2F_EXT             = $81AF;
  GL_IUI_N3F_V3F_EXT             = $81B0;
  GL_T2F_IUI_V2F_EXT             = $81B1;
  GL_T2F_IUI_V3F_EXT             = $81B2;
  GL_T2F_IUI_N3F_V2F_EXT         = $81B3;
  GL_T2F_IUI_N3F_V3F_EXT         = $81B4;
  GL_INDEX_TEST_EXT              = $81B5;
  GL_INDEX_TEST_FUNC_EXT         = $81B6;
  GL_INDEX_TEST_REF_EXT          = $81B7;
  GL_INDEX_MATERIAL_EXT          = $81B8;
  GL_INDEX_MATERIAL_PARAMETER_EXT  = $81B9;
  GL_INDEX_MATERIAL_FACE_EXT     = $81BA;
  GL_YCRCB_422_SGIX              = $81BB;
  GL_YCRCB_444_SGIX              = $81BC;
  GL_WRAP_BORDER_SUN             = $81D4;
  GL_UNPACK_CONSTANT_DATA_SUNX   = $81D5;
  GL_TEXTURE_CONSTANT_DATA_SUNX  = $81D6;
  GL_TRIANGLE_LIST_SUN           = $81D7;
  GL_REPLACEMENT_CODE_SUN        = $81D8;
  GL_GLOBAL_ALPHA_SUN            = $81D9;
  GL_GLOBAL_ALPHA_FACTOR_SUN     = $81DA;
  GL_TEXTURE_COLOR_WRITEMASK_SGIS  = $81EF;
  GL_EYE_DISTANCE_TO_POINT_SGIS  = $81F0;
  GL_OBJECT_DISTANCE_TO_POINT_SGIS  = $81F1;
  GL_EYE_DISTANCE_TO_LINE_SGIS   = $81F2;
  GL_OBJECT_DISTANCE_TO_LINE_SGIS  = $81F3;
  GL_EYE_POINT_SGIS              = $81F4;
  GL_OBJECT_POINT_SGIS           = $81F5;
  GL_EYE_LINE_SGIS               = $81F6;
  GL_OBJECT_LINE_SGIS            = $81F7;
  GL_LIGHT_MODEL_COLOR_CONTROL   = $81F8;
  GL_LIGHT_MODEL_COLOR_CONTROL_EXT  = $81F8;
  GL_SINGLE_COLOR                = $81F9;
  GL_SINGLE_COLOR_EXT            = $81F9;
  GL_SEPARATE_SPECULAR_COLOR     = $81FA;
  GL_SEPARATE_SPECULAR_COLOR_EXT  = $81FA;
  GL_SHARED_TEXTURE_PALETTE_EXT  = $81FB;
  GL_TEXT_FRAGMENT_SHADER_ATI    = $8200;
  GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING  = $8210;
  GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT  = $8210;
  GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE  = $8211;
  GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT  = $8211;
  GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE  = $8212;
  GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE  = $8213;
  GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE  = $8214;
  GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE  = $8215;
  GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE  = $8216;
  GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE  = $8217;
  GL_FRAMEBUFFER_DEFAULT         = $8218;
  GL_FRAMEBUFFER_UNDEFINED       = $8219;
  GL_FRAMEBUFFER_UNDEFINED_OES   = $8219;
  GL_DEPTH_STENCIL_ATTACHMENT    = $821A;
  GL_MAJOR_VERSION               = $821B;
  GL_MINOR_VERSION               = $821C;
  GL_NUM_EXTENSIONS              = $821D;
  GL_CONTEXT_FLAGS               = $821E;
  GL_BUFFER_IMMUTABLE_STORAGE    = $821F;
  GL_BUFFER_STORAGE_FLAGS        = $8220;
  GL_PRIMITIVE_RESTART_FOR_PATCHES_SUPPORTED  = $8221;
  GL_INDEX                       = $8222;
  GL_COMPRESSED_RED              = $8225;
  GL_COMPRESSED_RG               = $8226;
  GL_RG                          = $8227;
  GL_RG_EXT                      = $8227;
  GL_RG_INTEGER                  = $8228;
  GL_R8                          = $8229;
  GL_R8_EXT                      = $8229;
  GL_R16                         = $822A;
  GL_RG8                         = $822B;
  GL_RG8_EXT                     = $822B;
  GL_RG16                        = $822C;
  GL_R16F                        = $822D;
  GL_R16F_EXT                    = $822D;
  GL_R32F                        = $822E;
  GL_R32F_EXT                    = $822E;
  GL_RG16F                       = $822F;
  GL_RG16F_EXT                   = $822F;
  GL_RG32F                       = $8230;
  GL_RG32F_EXT                   = $8230;
  GL_R8I                         = $8231;
  GL_R8UI                        = $8232;
  GL_R16I                        = $8233;
  GL_R16UI                       = $8234;
  GL_R32I                        = $8235;
  GL_R32UI                       = $8236;
  GL_RG8I                        = $8237;
  GL_RG8UI                       = $8238;
  GL_RG16I                       = $8239;
  GL_RG16UI                      = $823A;
  GL_RG32I                       = $823B;
  GL_RG32UI                      = $823C;
  GL_SYNC_CL_EVENT_ARB           = $8240;
  GL_SYNC_CL_EVENT_COMPLETE_ARB  = $8241;
  GL_DEBUG_OUTPUT_SYNCHRONOUS    = $8242;
  GL_DEBUG_OUTPUT_SYNCHRONOUS_ARB  = $8242;
  GL_DEBUG_OUTPUT_SYNCHRONOUS_KHR  = $8242;
  GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH  = $8243;
  GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_ARB  = $8243;
  GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_KHR  = $8243;
  GL_DEBUG_CALLBACK_FUNCTION     = $8244;
  GL_DEBUG_CALLBACK_FUNCTION_ARB  = $8244;
  GL_DEBUG_CALLBACK_FUNCTION_KHR  = $8244;
  GL_DEBUG_CALLBACK_USER_PARAM   = $8245;
  GL_DEBUG_CALLBACK_USER_PARAM_ARB  = $8245;
  GL_DEBUG_CALLBACK_USER_PARAM_KHR  = $8245;
  GL_DEBUG_SOURCE_API            = $8246;
  GL_DEBUG_SOURCE_API_ARB        = $8246;
  GL_DEBUG_SOURCE_API_KHR        = $8246;
  GL_DEBUG_SOURCE_WINDOW_SYSTEM  = $8247;
  GL_DEBUG_SOURCE_WINDOW_SYSTEM_ARB  = $8247;
  GL_DEBUG_SOURCE_WINDOW_SYSTEM_KHR  = $8247;
  GL_DEBUG_SOURCE_SHADER_COMPILER  = $8248;
  GL_DEBUG_SOURCE_SHADER_COMPILER_ARB  = $8248;
  GL_DEBUG_SOURCE_SHADER_COMPILER_KHR  = $8248;
  GL_DEBUG_SOURCE_THIRD_PARTY    = $8249;
  GL_DEBUG_SOURCE_THIRD_PARTY_ARB  = $8249;
  GL_DEBUG_SOURCE_THIRD_PARTY_KHR  = $8249;
  GL_DEBUG_SOURCE_APPLICATION    = $824A;
  GL_DEBUG_SOURCE_APPLICATION_ARB  = $824A;
  GL_DEBUG_SOURCE_APPLICATION_KHR  = $824A;
  GL_DEBUG_SOURCE_OTHER          = $824B;
  GL_DEBUG_SOURCE_OTHER_ARB      = $824B;
  GL_DEBUG_SOURCE_OTHER_KHR      = $824B;
  GL_DEBUG_TYPE_ERROR            = $824C;
  GL_DEBUG_TYPE_ERROR_ARB        = $824C;
  GL_DEBUG_TYPE_ERROR_KHR        = $824C;
  GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR  = $824D;
  GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_ARB  = $824D;
  GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_KHR  = $824D;
  GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR  = $824E;
  GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_ARB  = $824E;
  GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_KHR  = $824E;
  GL_DEBUG_TYPE_PORTABILITY      = $824F;
  GL_DEBUG_TYPE_PORTABILITY_ARB  = $824F;
  GL_DEBUG_TYPE_PORTABILITY_KHR  = $824F;
  GL_DEBUG_TYPE_PERFORMANCE      = $8250;
  GL_DEBUG_TYPE_PERFORMANCE_ARB  = $8250;
  GL_DEBUG_TYPE_PERFORMANCE_KHR  = $8250;
  GL_DEBUG_TYPE_OTHER            = $8251;
  GL_DEBUG_TYPE_OTHER_ARB        = $8251;
  GL_DEBUG_TYPE_OTHER_KHR        = $8251;
  GL_LOSE_CONTEXT_ON_RESET       = $8252;
  GL_LOSE_CONTEXT_ON_RESET_ARB   = $8252;
  GL_LOSE_CONTEXT_ON_RESET_EXT   = $8252;
  GL_LOSE_CONTEXT_ON_RESET_KHR   = $8252;
  GL_GUILTY_CONTEXT_RESET        = $8253;
  GL_GUILTY_CONTEXT_RESET_ARB    = $8253;
  GL_GUILTY_CONTEXT_RESET_EXT    = $8253;
  GL_GUILTY_CONTEXT_RESET_KHR    = $8253;
  GL_INNOCENT_CONTEXT_RESET      = $8254;
  GL_INNOCENT_CONTEXT_RESET_ARB  = $8254;
  GL_INNOCENT_CONTEXT_RESET_EXT  = $8254;
  GL_INNOCENT_CONTEXT_RESET_KHR  = $8254;
  GL_UNKNOWN_CONTEXT_RESET       = $8255;
  GL_UNKNOWN_CONTEXT_RESET_ARB   = $8255;
  GL_UNKNOWN_CONTEXT_RESET_EXT   = $8255;
  GL_UNKNOWN_CONTEXT_RESET_KHR   = $8255;
  GL_RESET_NOTIFICATION_STRATEGY  = $8256;
  GL_RESET_NOTIFICATION_STRATEGY_ARB  = $8256;
  GL_RESET_NOTIFICATION_STRATEGY_EXT  = $8256;
  GL_RESET_NOTIFICATION_STRATEGY_KHR  = $8256;
  GL_PROGRAM_BINARY_RETRIEVABLE_HINT  = $8257;
  GL_PROGRAM_SEPARABLE           = $8258;
  GL_PROGRAM_SEPARABLE_EXT       = $8258;
  GL_ACTIVE_PROGRAM              = $8259;
  GL_ACTIVE_PROGRAM_EXT_gles     = $8259;
  GL_PROGRAM_PIPELINE_BINDING    = $825A;
  GL_PROGRAM_PIPELINE_BINDING_EXT  = $825A;
  GL_MAX_VIEWPORTS               = $825B;
  GL_VIEWPORT_SUBPIXEL_BITS      = $825C;
  GL_VIEWPORT_BOUNDS_RANGE       = $825D;
  GL_LAYER_PROVOKING_VERTEX      = $825E;
  GL_LAYER_PROVOKING_VERTEX_EXT  = $825E;
  GL_VIEWPORT_INDEX_PROVOKING_VERTEX  = $825F;
  GL_UNDEFINED_VERTEX            = $8260;
  GL_UNDEFINED_VERTEX_EXT        = $8260;
  GL_NO_RESET_NOTIFICATION       = $8261;
  GL_NO_RESET_NOTIFICATION_ARB   = $8261;
  GL_NO_RESET_NOTIFICATION_EXT   = $8261;
  GL_NO_RESET_NOTIFICATION_KHR   = $8261;
  GL_MAX_COMPUTE_SHARED_MEMORY_SIZE  = $8262;
  GL_MAX_COMPUTE_UNIFORM_COMPONENTS  = $8263;
  GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS  = $8264;
  GL_MAX_COMPUTE_ATOMIC_COUNTERS  = $8265;
  GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS  = $8266;
  GL_COMPUTE_WORK_GROUP_SIZE     = $8267;
  GL_DEBUG_TYPE_MARKER           = $8268;
  GL_DEBUG_TYPE_MARKER_KHR       = $8268;
  GL_DEBUG_TYPE_PUSH_GROUP       = $8269;
  GL_DEBUG_TYPE_PUSH_GROUP_KHR   = $8269;
  GL_DEBUG_TYPE_POP_GROUP        = $826A;
  GL_DEBUG_TYPE_POP_GROUP_KHR    = $826A;
  GL_DEBUG_SEVERITY_NOTIFICATION  = $826B;
  GL_DEBUG_SEVERITY_NOTIFICATION_KHR  = $826B;
  GL_MAX_DEBUG_GROUP_STACK_DEPTH  = $826C;
  GL_MAX_DEBUG_GROUP_STACK_DEPTH_KHR  = $826C;
  GL_DEBUG_GROUP_STACK_DEPTH     = $826D;
  GL_DEBUG_GROUP_STACK_DEPTH_KHR  = $826D;
  GL_MAX_UNIFORM_LOCATIONS       = $826E;
  GL_INTERNALFORMAT_SUPPORTED    = $826F;
  GL_INTERNALFORMAT_PREFERRED    = $8270;
  GL_INTERNALFORMAT_RED_SIZE     = $8271;
  GL_INTERNALFORMAT_GREEN_SIZE   = $8272;
  GL_INTERNALFORMAT_BLUE_SIZE    = $8273;
  GL_INTERNALFORMAT_ALPHA_SIZE   = $8274;
  GL_INTERNALFORMAT_DEPTH_SIZE   = $8275;
  GL_INTERNALFORMAT_STENCIL_SIZE  = $8276;
  GL_INTERNALFORMAT_SHARED_SIZE  = $8277;
  GL_INTERNALFORMAT_RED_TYPE     = $8278;
  GL_INTERNALFORMAT_GREEN_TYPE   = $8279;
  GL_INTERNALFORMAT_BLUE_TYPE    = $827A;
  GL_INTERNALFORMAT_ALPHA_TYPE   = $827B;
  GL_INTERNALFORMAT_DEPTH_TYPE   = $827C;
  GL_INTERNALFORMAT_STENCIL_TYPE  = $827D;
  GL_MAX_WIDTH                   = $827E;
  GL_MAX_HEIGHT                  = $827F;
  GL_MAX_DEPTH                   = $8280;
  GL_MAX_LAYERS                  = $8281;
  GL_MAX_COMBINED_DIMENSIONS     = $8282;
  GL_COLOR_COMPONENTS            = $8283;
  GL_DEPTH_COMPONENTS            = $8284;
  GL_STENCIL_COMPONENTS          = $8285;
  GL_COLOR_RENDERABLE            = $8286;
  GL_DEPTH_RENDERABLE            = $8287;
  GL_STENCIL_RENDERABLE          = $8288;
  GL_FRAMEBUFFER_RENDERABLE      = $8289;
  GL_FRAMEBUFFER_RENDERABLE_LAYERED  = $828A;
  GL_FRAMEBUFFER_BLEND           = $828B;
  GL_READ_PIXELS                 = $828C;
  GL_READ_PIXELS_FORMAT          = $828D;
  GL_READ_PIXELS_TYPE            = $828E;
  GL_TEXTURE_IMAGE_FORMAT        = $828F;
  GL_TEXTURE_IMAGE_TYPE          = $8290;
  GL_GET_TEXTURE_IMAGE_FORMAT    = $8291;
  GL_GET_TEXTURE_IMAGE_TYPE      = $8292;
  GL_MIPMAP                      = $8293;
  GL_MANUAL_GENERATE_MIPMAP      = $8294;
  GL_AUTO_GENERATE_MIPMAP        = $8295;
  GL_COLOR_ENCODING              = $8296;
  GL_SRGB_READ                   = $8297;
  GL_SRGB_WRITE                  = $8298;
  GL_SRGB_DECODE_ARB             = $8299;
  GL_FILTER                      = $829A;
  GL_VERTEX_TEXTURE              = $829B;
  GL_TESS_CONTROL_TEXTURE        = $829C;
  GL_TESS_EVALUATION_TEXTURE     = $829D;
  GL_GEOMETRY_TEXTURE            = $829E;
  GL_FRAGMENT_TEXTURE            = $829F;
  GL_COMPUTE_TEXTURE             = $82A0;
  GL_TEXTURE_SHADOW              = $82A1;
  GL_TEXTURE_GATHER              = $82A2;
  GL_TEXTURE_GATHER_SHADOW       = $82A3;
  GL_SHADER_IMAGE_LOAD           = $82A4;
  GL_SHADER_IMAGE_STORE          = $82A5;
  GL_SHADER_IMAGE_ATOMIC         = $82A6;
  GL_IMAGE_TEXEL_SIZE            = $82A7;
  GL_IMAGE_COMPATIBILITY_CLASS   = $82A8;
  GL_IMAGE_PIXEL_FORMAT          = $82A9;
  GL_IMAGE_PIXEL_TYPE            = $82AA;
  GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST  = $82AC;
  GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST  = $82AD;
  GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE  = $82AE;
  GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE  = $82AF;
  GL_TEXTURE_COMPRESSED_BLOCK_WIDTH  = $82B1;
  GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT  = $82B2;
  GL_TEXTURE_COMPRESSED_BLOCK_SIZE  = $82B3;
  GL_CLEAR_BUFFER                = $82B4;
  GL_TEXTURE_VIEW                = $82B5;
  GL_VIEW_COMPATIBILITY_CLASS    = $82B6;
  GL_FULL_SUPPORT                = $82B7;
  GL_CAVEAT_SUPPORT              = $82B8;
  GL_IMAGE_CLASS_4_X_32          = $82B9;
  GL_IMAGE_CLASS_2_X_32          = $82BA;
  GL_IMAGE_CLASS_1_X_32          = $82BB;
  GL_IMAGE_CLASS_4_X_16          = $82BC;
  GL_IMAGE_CLASS_2_X_16          = $82BD;
  GL_IMAGE_CLASS_1_X_16          = $82BE;
  GL_IMAGE_CLASS_4_X_8           = $82BF;
  GL_IMAGE_CLASS_2_X_8           = $82C0;
  GL_IMAGE_CLASS_1_X_8           = $82C1;
  GL_IMAGE_CLASS_11_11_10        = $82C2;
  GL_IMAGE_CLASS_10_10_10_2      = $82C3;
  GL_VIEW_CLASS_128_BITS         = $82C4;
  GL_VIEW_CLASS_96_BITS          = $82C5;
  GL_VIEW_CLASS_64_BITS          = $82C6;
  GL_VIEW_CLASS_48_BITS          = $82C7;
  GL_VIEW_CLASS_32_BITS          = $82C8;
  GL_VIEW_CLASS_24_BITS          = $82C9;
  GL_VIEW_CLASS_16_BITS          = $82CA;
  GL_VIEW_CLASS_8_BITS           = $82CB;
  GL_VIEW_CLASS_S3TC_DXT1_RGB    = $82CC;
  GL_VIEW_CLASS_S3TC_DXT1_RGBA   = $82CD;
  GL_VIEW_CLASS_S3TC_DXT3_RGBA   = $82CE;
  GL_VIEW_CLASS_S3TC_DXT5_RGBA   = $82CF;
  GL_VIEW_CLASS_RGTC1_RED        = $82D0;
  GL_VIEW_CLASS_RGTC2_RG         = $82D1;
  GL_VIEW_CLASS_BPTC_UNORM       = $82D2;
  GL_VIEW_CLASS_BPTC_FLOAT       = $82D3;
  GL_VERTEX_ATTRIB_BINDING       = $82D4;
  GL_VERTEX_ATTRIB_RELATIVE_OFFSET  = $82D5;
  GL_VERTEX_BINDING_DIVISOR      = $82D6;
  GL_VERTEX_BINDING_OFFSET       = $82D7;
  GL_VERTEX_BINDING_STRIDE       = $82D8;
  GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET  = $82D9;
  GL_MAX_VERTEX_ATTRIB_BINDINGS  = $82DA;
  GL_TEXTURE_VIEW_MIN_LEVEL      = $82DB;
  GL_TEXTURE_VIEW_MIN_LEVEL_EXT  = $82DB;
  GL_TEXTURE_VIEW_NUM_LEVELS     = $82DC;
  GL_TEXTURE_VIEW_NUM_LEVELS_EXT  = $82DC;
  GL_TEXTURE_VIEW_MIN_LAYER      = $82DD;
  GL_TEXTURE_VIEW_MIN_LAYER_EXT  = $82DD;
  GL_TEXTURE_VIEW_NUM_LAYERS     = $82DE;
  GL_TEXTURE_VIEW_NUM_LAYERS_EXT  = $82DE;
  GL_TEXTURE_IMMUTABLE_LEVELS    = $82DF;
  GL_BUFFER                      = $82E0;
  GL_BUFFER_KHR                  = $82E0;
  GL_SHADER                      = $82E1;
  GL_SHADER_KHR                  = $82E1;
  GL_PROGRAM                     = $82E2;
  GL_PROGRAM_KHR                 = $82E2;
  GL_QUERY                       = $82E3;
  GL_QUERY_KHR                   = $82E3;
  GL_PROGRAM_PIPELINE            = $82E4;
  GL_MAX_VERTEX_ATTRIB_STRIDE    = $82E5;
  GL_SAMPLER                     = $82E6;
  GL_SAMPLER_KHR                 = $82E6;
  GL_DISPLAY_LIST                = $82E7;
  GL_MAX_LABEL_LENGTH            = $82E8;
  GL_MAX_LABEL_LENGTH_KHR        = $82E8;
  GL_NUM_SHADING_LANGUAGE_VERSIONS  = $82E9;
  GL_QUERY_TARGET                = $82EA;
  GL_TEXTURE_BINDING             = $82EB;
  GL_TRANSFORM_FEEDBACK_OVERFLOW_ARB  = $82EC;
  GL_TRANSFORM_FEEDBACK_STREAM_OVERFLOW_ARB  = $82ED;
  GL_VERTICES_SUBMITTED_ARB      = $82EE;
  GL_PRIMITIVES_SUBMITTED_ARB    = $82EF;
  GL_VERTEX_SHADER_INVOCATIONS_ARB  = $82F0;
  GL_TESS_CONTROL_SHADER_PATCHES_ARB  = $82F1;
  GL_TESS_EVALUATION_SHADER_INVOCATIONS_ARB  = $82F2;
  GL_GEOMETRY_SHADER_PRIMITIVES_EMITTED_ARB  = $82F3;
  GL_FRAGMENT_SHADER_INVOCATIONS_ARB  = $82F4;
  GL_COMPUTE_SHADER_INVOCATIONS_ARB  = $82F5;
  GL_CLIPPING_INPUT_PRIMITIVES_ARB  = $82F6;
  GL_CLIPPING_OUTPUT_PRIMITIVES_ARB  = $82F7;
  GL_SPARSE_BUFFER_PAGE_SIZE_ARB  = $82F8;
  GL_MAX_CULL_DISTANCES          = $82F9;
  GL_MAX_COMBINED_CLIP_AND_CULL_DISTANCES  = $82FA;
  GL_CONTEXT_RELEASE_BEHAVIOR    = $82FB;
  GL_CONTEXT_RELEASE_BEHAVIOR_KHR  = $82FB;
  GL_CONTEXT_RELEASE_BEHAVIOR_FLUSH  = $82FC;
  GL_CONTEXT_RELEASE_BEHAVIOR_FLUSH_KHR  = $82FC;
  GL_CONVOLUTION_HINT_SGIX       = $8316;
  GL_YCRCB_SGIX                  = $8318;
  GL_YCRCBA_SGIX                 = $8319;
  GL_ALPHA_MIN_SGIX              = $8320;
  GL_ALPHA_MAX_SGIX              = $8321;
  GL_SCALEBIAS_HINT_SGIX         = $8322;
  GL_ASYNC_MARKER_SGIX           = $8329;
  GL_PIXEL_TEX_GEN_MODE_SGIX     = $832B;
  GL_ASYNC_HISTOGRAM_SGIX        = $832C;
  GL_MAX_ASYNC_HISTOGRAM_SGIX    = $832D;
  GL_PIXEL_TRANSFORM_2D_EXT      = $8330;
  GL_PIXEL_MAG_FILTER_EXT        = $8331;
  GL_PIXEL_MIN_FILTER_EXT        = $8332;
  GL_PIXEL_CUBIC_WEIGHT_EXT      = $8333;
  GL_CUBIC_EXT                   = $8334;
  GL_AVERAGE_EXT                 = $8335;
  GL_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT  = $8336;
  GL_MAX_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT  = $8337;
  GL_PIXEL_TRANSFORM_2D_MATRIX_EXT  = $8338;
  GL_FRAGMENT_MATERIAL_EXT       = $8349;
  GL_FRAGMENT_NORMAL_EXT         = $834A;
  GL_FRAGMENT_COLOR_EXT          = $834C;
  GL_ATTENUATION_EXT             = $834D;
  GL_SHADOW_ATTENUATION_EXT      = $834E;
  GL_TEXTURE_APPLICATION_MODE_EXT  = $834F;
  GL_TEXTURE_LIGHT_EXT           = $8350;
  GL_TEXTURE_MATERIAL_FACE_EXT   = $8351;
  GL_TEXTURE_MATERIAL_PARAMETER_EXT  = $8352;
  GL_PIXEL_TEXTURE_SGIS          = $8353;
  GL_PIXEL_FRAGMENT_RGB_SOURCE_SGIS  = $8354;
  GL_PIXEL_FRAGMENT_ALPHA_SOURCE_SGIS  = $8355;
  GL_PIXEL_GROUP_COLOR_SGIS      = $8356;
  GL_ASYNC_TEX_IMAGE_SGIX        = $835C;
  GL_ASYNC_DRAW_PIXELS_SGIX      = $835D;
  GL_ASYNC_READ_PIXELS_SGIX      = $835E;
  GL_MAX_ASYNC_TEX_IMAGE_SGIX    = $835F;
  GL_MAX_ASYNC_DRAW_PIXELS_SGIX  = $8360;
  GL_MAX_ASYNC_READ_PIXELS_SGIX  = $8361;
  GL_UNSIGNED_BYTE_2_3_3_REV     = $8362;
  GL_UNSIGNED_SHORT_5_6_5        = $8363;
  GL_UNSIGNED_SHORT_5_6_5_REV    = $8364;
  GL_UNSIGNED_SHORT_4_4_4_4_REV  = $8365;
  GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT  = $8365;
  GL_UNSIGNED_SHORT_4_4_4_4_REV_IMG  = $8365;
  GL_UNSIGNED_SHORT_1_5_5_5_REV  = $8366;
  GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT  = $8366;
  GL_UNSIGNED_INT_8_8_8_8_REV    = $8367;
  GL_UNSIGNED_INT_2_10_10_10_REV  = $8368;
  GL_UNSIGNED_INT_2_10_10_10_REV_EXT  = $8368;
  GL_TEXTURE_MAX_CLAMP_S_SGIX    = $8369;
  GL_TEXTURE_MAX_CLAMP_T_SGIX    = $836A;
  GL_TEXTURE_MAX_CLAMP_R_SGIX    = $836B;
  GL_MIRRORED_REPEAT             = $8370;
  GL_MIRRORED_REPEAT_ARB         = $8370;
  GL_MIRRORED_REPEAT_IBM         = $8370;
  GL_MIRRORED_REPEAT_OES         = $8370;
  GL_RGB_S3TC                    = $83A0;
  GL_RGB4_S3TC                   = $83A1;
  GL_RGBA_S3TC                   = $83A2;
  GL_RGBA4_S3TC                  = $83A3;
  GL_RGBA_DXT5_S3TC              = $83A4;
  GL_RGBA4_DXT5_S3TC             = $83A5;
  GL_VERTEX_PRECLIP_SGIX         = $83EE;
  GL_VERTEX_PRECLIP_HINT_SGIX    = $83EF;
  GL_COMPRESSED_RGB_S3TC_DXT1_EXT  = $83F0;
  GL_COMPRESSED_RGBA_S3TC_DXT1_EXT  = $83F1;
  GL_COMPRESSED_RGBA_S3TC_DXT3_ANGLE  = $83F2;
  GL_COMPRESSED_RGBA_S3TC_DXT3_EXT  = $83F2;
  GL_COMPRESSED_RGBA_S3TC_DXT5_ANGLE  = $83F3;
  GL_COMPRESSED_RGBA_S3TC_DXT5_EXT  = $83F3;
  GL_PARALLEL_ARRAYS_INTEL       = $83F4;
  GL_VERTEX_ARRAY_PARALLEL_POINTERS_INTEL  = $83F5;
  GL_NORMAL_ARRAY_PARALLEL_POINTERS_INTEL  = $83F6;
  GL_COLOR_ARRAY_PARALLEL_POINTERS_INTEL  = $83F7;
  GL_TEXTURE_COORD_ARRAY_PARALLEL_POINTERS_INTEL  = $83F8;
  GL_PERFQUERY_DONOT_FLUSH_INTEL  = $83F9;
  GL_PERFQUERY_FLUSH_INTEL       = $83FA;
  GL_PERFQUERY_WAIT_INTEL        = $83FB;
  GL_TEXTURE_MEMORY_LAYOUT_INTEL  = $83FF;
  GL_FRAGMENT_LIGHTING_SGIX      = $8400;
  GL_FRAGMENT_COLOR_MATERIAL_SGIX  = $8401;
  GL_FRAGMENT_COLOR_MATERIAL_FACE_SGIX  = $8402;
  GL_FRAGMENT_COLOR_MATERIAL_PARAMETER_SGIX  = $8403;
  GL_MAX_FRAGMENT_LIGHTS_SGIX    = $8404;
  GL_MAX_ACTIVE_LIGHTS_SGIX      = $8405;
  GL_CURRENT_RASTER_NORMAL_SGIX  = $8406;
  GL_LIGHT_ENV_MODE_SGIX         = $8407;
  GL_FRAGMENT_LIGHT_MODEL_LOCAL_VIEWER_SGIX  = $8408;
  GL_FRAGMENT_LIGHT_MODEL_TWO_SIDE_SGIX  = $8409;
  GL_FRAGMENT_LIGHT_MODEL_AMBIENT_SGIX  = $840A;
  GL_FRAGMENT_LIGHT_MODEL_NORMAL_INTERPOLATION_SGIX  = $840B;
  GL_FRAGMENT_LIGHT0_SGIX        = $840C;
  GL_FRAGMENT_LIGHT1_SGIX        = $840D;
  GL_FRAGMENT_LIGHT2_SGIX        = $840E;
  GL_FRAGMENT_LIGHT3_SGIX        = $840F;
  GL_FRAGMENT_LIGHT4_SGIX        = $8410;
  GL_FRAGMENT_LIGHT5_SGIX        = $8411;
  GL_FRAGMENT_LIGHT6_SGIX        = $8412;
  GL_FRAGMENT_LIGHT7_SGIX        = $8413;
  GL_PACK_RESAMPLE_SGIX          = $842C;
  GL_UNPACK_RESAMPLE_SGIX        = $842D;
  GL_RESAMPLE_REPLICATE_SGIX     = $842E;
  GL_RESAMPLE_ZERO_FILL_SGIX     = $842F;
  GL_RESAMPLE_DECIMATE_SGIX      = $8430;
  GL_TANGENT_ARRAY_EXT           = $8439;
  GL_BINORMAL_ARRAY_EXT          = $843A;
  GL_CURRENT_TANGENT_EXT         = $843B;
  GL_CURRENT_BINORMAL_EXT        = $843C;
  GL_TANGENT_ARRAY_TYPE_EXT      = $843E;
  GL_TANGENT_ARRAY_STRIDE_EXT    = $843F;
  GL_BINORMAL_ARRAY_TYPE_EXT     = $8440;
  GL_BINORMAL_ARRAY_STRIDE_EXT   = $8441;
  GL_TANGENT_ARRAY_POINTER_EXT   = $8442;
  GL_BINORMAL_ARRAY_POINTER_EXT  = $8443;
  GL_MAP1_TANGENT_EXT            = $8444;
  GL_MAP2_TANGENT_EXT            = $8445;
  GL_MAP1_BINORMAL_EXT           = $8446;
  GL_MAP2_BINORMAL_EXT           = $8447;
  GL_NEAREST_CLIPMAP_NEAREST_SGIX  = $844D;
  GL_NEAREST_CLIPMAP_LINEAR_SGIX  = $844E;
  GL_LINEAR_CLIPMAP_NEAREST_SGIX  = $844F;
  GL_FOG_COORDINATE_SOURCE       = $8450;
  GL_FOG_COORDINATE_SOURCE_EXT   = $8450;
  GL_FOG_COORD_SRC               = $8450;
  GL_FOG_COORDINATE              = $8451;
  GL_FOG_COORD                   = $8451;
  GL_FOG_COORDINATE_EXT          = $8451;
  GL_FRAGMENT_DEPTH              = $8452;
  GL_FRAGMENT_DEPTH_EXT          = $8452;
  GL_CURRENT_FOG_COORDINATE      = $8453;
  GL_CURRENT_FOG_COORD           = $8453;
  GL_CURRENT_FOG_COORDINATE_EXT  = $8453;
  GL_FOG_COORDINATE_ARRAY_TYPE   = $8454;
  GL_FOG_COORDINATE_ARRAY_TYPE_EXT  = $8454;
  GL_FOG_COORD_ARRAY_TYPE        = $8454;
  GL_FOG_COORDINATE_ARRAY_STRIDE  = $8455;
  GL_FOG_COORDINATE_ARRAY_STRIDE_EXT  = $8455;
  GL_FOG_COORD_ARRAY_STRIDE      = $8455;
  GL_FOG_COORDINATE_ARRAY_POINTER  = $8456;
  GL_FOG_COORDINATE_ARRAY_POINTER_EXT  = $8456;
  GL_FOG_COORD_ARRAY_POINTER     = $8456;
  GL_FOG_COORDINATE_ARRAY        = $8457;
  GL_FOG_COORDINATE_ARRAY_EXT    = $8457;
  GL_FOG_COORD_ARRAY             = $8457;
  GL_COLOR_SUM                   = $8458;
  GL_COLOR_SUM_ARB               = $8458;
  GL_COLOR_SUM_EXT               = $8458;
  GL_CURRENT_SECONDARY_COLOR     = $8459;
  GL_CURRENT_SECONDARY_COLOR_EXT  = $8459;
  GL_SECONDARY_COLOR_ARRAY_SIZE  = $845A;
  GL_SECONDARY_COLOR_ARRAY_SIZE_EXT  = $845A;
  GL_SECONDARY_COLOR_ARRAY_TYPE  = $845B;
  GL_SECONDARY_COLOR_ARRAY_TYPE_EXT  = $845B;
  GL_SECONDARY_COLOR_ARRAY_STRIDE  = $845C;
  GL_SECONDARY_COLOR_ARRAY_STRIDE_EXT  = $845C;
  GL_SECONDARY_COLOR_ARRAY_POINTER  = $845D;
  GL_SECONDARY_COLOR_ARRAY_POINTER_EXT  = $845D;
  GL_SECONDARY_COLOR_ARRAY       = $845E;
  GL_SECONDARY_COLOR_ARRAY_EXT   = $845E;
  GL_CURRENT_RASTER_SECONDARY_COLOR  = $845F;
  GL_ALIASED_POINT_SIZE_RANGE    = $846D;
  GL_ALIASED_LINE_WIDTH_RANGE    = $846E;
  GL_SCREEN_COORDINATES_REND     = $8490;
  GL_INVERTED_SCREEN_W_REND      = $8491;
  GL_TEXTURE0                    = $84C0;
  GL_TEXTURE0_ARB                = $84C0;
  GL_TEXTURE1                    = $84C1;
  GL_TEXTURE1_ARB                = $84C1;
  GL_TEXTURE2                    = $84C2;
  GL_TEXTURE2_ARB                = $84C2;
  GL_TEXTURE3                    = $84C3;
  GL_TEXTURE3_ARB                = $84C3;
  GL_TEXTURE4                    = $84C4;
  GL_TEXTURE4_ARB                = $84C4;
  GL_TEXTURE5                    = $84C5;
  GL_TEXTURE5_ARB                = $84C5;
  GL_TEXTURE6                    = $84C6;
  GL_TEXTURE6_ARB                = $84C6;
  GL_TEXTURE7                    = $84C7;
  GL_TEXTURE7_ARB                = $84C7;
  GL_TEXTURE8                    = $84C8;
  GL_TEXTURE8_ARB                = $84C8;
  GL_TEXTURE9                    = $84C9;
  GL_TEXTURE9_ARB                = $84C9;
  GL_TEXTURE10                   = $84CA;
  GL_TEXTURE10_ARB               = $84CA;
  GL_TEXTURE11                   = $84CB;
  GL_TEXTURE11_ARB               = $84CB;
  GL_TEXTURE12                   = $84CC;
  GL_TEXTURE12_ARB               = $84CC;
  GL_TEXTURE13                   = $84CD;
  GL_TEXTURE13_ARB               = $84CD;
  GL_TEXTURE14                   = $84CE;
  GL_TEXTURE14_ARB               = $84CE;
  GL_TEXTURE15                   = $84CF;
  GL_TEXTURE15_ARB               = $84CF;
  GL_TEXTURE16                   = $84D0;
  GL_TEXTURE16_ARB               = $84D0;
  GL_TEXTURE17                   = $84D1;
  GL_TEXTURE17_ARB               = $84D1;
  GL_TEXTURE18                   = $84D2;
  GL_TEXTURE18_ARB               = $84D2;
  GL_TEXTURE19                   = $84D3;
  GL_TEXTURE19_ARB               = $84D3;
  GL_TEXTURE20                   = $84D4;
  GL_TEXTURE20_ARB               = $84D4;
  GL_TEXTURE21                   = $84D5;
  GL_TEXTURE21_ARB               = $84D5;
  GL_TEXTURE22                   = $84D6;
  GL_TEXTURE22_ARB               = $84D6;
  GL_TEXTURE23                   = $84D7;
  GL_TEXTURE23_ARB               = $84D7;
  GL_TEXTURE24                   = $84D8;
  GL_TEXTURE24_ARB               = $84D8;
  GL_TEXTURE25                   = $84D9;
  GL_TEXTURE25_ARB               = $84D9;
  GL_TEXTURE26                   = $84DA;
  GL_TEXTURE26_ARB               = $84DA;
  GL_TEXTURE27                   = $84DB;
  GL_TEXTURE27_ARB               = $84DB;
  GL_TEXTURE28                   = $84DC;
  GL_TEXTURE28_ARB               = $84DC;
  GL_TEXTURE29                   = $84DD;
  GL_TEXTURE29_ARB               = $84DD;
  GL_TEXTURE30                   = $84DE;
  GL_TEXTURE30_ARB               = $84DE;
  GL_TEXTURE31                   = $84DF;
  GL_TEXTURE31_ARB               = $84DF;
  GL_ACTIVE_TEXTURE              = $84E0;
  GL_ACTIVE_TEXTURE_ARB          = $84E0;
  GL_CLIENT_ACTIVE_TEXTURE       = $84E1;
  GL_CLIENT_ACTIVE_TEXTURE_ARB   = $84E1;
  GL_MAX_TEXTURE_UNITS           = $84E2;
  GL_MAX_TEXTURE_UNITS_ARB       = $84E2;
  GL_TRANSPOSE_MODELVIEW_MATRIX  = $84E3;
  GL_TRANSPOSE_MODELVIEW_MATRIX_ARB  = $84E3;
  GL_PATH_TRANSPOSE_MODELVIEW_MATRIX_NV  = $84E3;
  GL_TRANSPOSE_PROJECTION_MATRIX  = $84E4;
  GL_TRANSPOSE_PROJECTION_MATRIX_ARB  = $84E4;
  GL_PATH_TRANSPOSE_PROJECTION_MATRIX_NV  = $84E4;
  GL_TRANSPOSE_TEXTURE_MATRIX    = $84E5;
  GL_TRANSPOSE_TEXTURE_MATRIX_ARB  = $84E5;
  GL_TRANSPOSE_COLOR_MATRIX      = $84E6;
  GL_TRANSPOSE_COLOR_MATRIX_ARB  = $84E6;
  GL_SUBTRACT                    = $84E7;
  GL_SUBTRACT_ARB                = $84E7;
  GL_MAX_RENDERBUFFER_SIZE       = $84E8;
  GL_MAX_RENDERBUFFER_SIZE_EXT   = $84E8;
  GL_MAX_RENDERBUFFER_SIZE_OES   = $84E8;
  GL_COMPRESSED_ALPHA            = $84E9;
  GL_COMPRESSED_ALPHA_ARB        = $84E9;
  GL_COMPRESSED_LUMINANCE        = $84EA;
  GL_COMPRESSED_LUMINANCE_ARB    = $84EA;
  GL_COMPRESSED_LUMINANCE_ALPHA  = $84EB;
  GL_COMPRESSED_LUMINANCE_ALPHA_ARB  = $84EB;
  GL_COMPRESSED_INTENSITY        = $84EC;
  GL_COMPRESSED_INTENSITY_ARB    = $84EC;
  GL_COMPRESSED_RGB              = $84ED;
  GL_COMPRESSED_RGB_ARB          = $84ED;
  GL_COMPRESSED_RGBA             = $84EE;
  GL_COMPRESSED_RGBA_ARB         = $84EE;
  GL_TEXTURE_COMPRESSION_HINT    = $84EF;
  GL_TEXTURE_COMPRESSION_HINT_ARB  = $84EF;
  GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER  = $84F0;
  GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER  = $84F1;
  GL_ALL_COMPLETED_NV            = $84F2;
  GL_FENCE_STATUS_NV             = $84F3;
  GL_FENCE_CONDITION_NV          = $84F4;
  GL_TEXTURE_RECTANGLE           = $84F5;
  GL_TEXTURE_RECTANGLE_ARB       = $84F5;
  GL_TEXTURE_RECTANGLE_NV        = $84F5;
  GL_TEXTURE_BINDING_RECTANGLE   = $84F6;
  GL_TEXTURE_BINDING_RECTANGLE_ARB  = $84F6;
  GL_TEXTURE_BINDING_RECTANGLE_NV  = $84F6;
  GL_PROXY_TEXTURE_RECTANGLE     = $84F7;
  GL_PROXY_TEXTURE_RECTANGLE_ARB  = $84F7;
  GL_PROXY_TEXTURE_RECTANGLE_NV  = $84F7;
  GL_MAX_RECTANGLE_TEXTURE_SIZE  = $84F8;
  GL_MAX_RECTANGLE_TEXTURE_SIZE_ARB  = $84F8;
  GL_MAX_RECTANGLE_TEXTURE_SIZE_NV  = $84F8;
  GL_DEPTH_STENCIL               = $84F9;
  GL_DEPTH_STENCIL_EXT           = $84F9;
  GL_DEPTH_STENCIL_NV            = $84F9;
  GL_DEPTH_STENCIL_OES           = $84F9;
  GL_UNSIGNED_INT_24_8           = $84FA;
  GL_UNSIGNED_INT_24_8_EXT       = $84FA;
  GL_UNSIGNED_INT_24_8_NV        = $84FA;
  GL_UNSIGNED_INT_24_8_OES       = $84FA;
  GL_MAX_TEXTURE_LOD_BIAS        = $84FD;
  GL_MAX_TEXTURE_LOD_BIAS_EXT    = $84FD;
  GL_TEXTURE_MAX_ANISOTROPY_EXT  = $84FE;
  GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT  = $84FF;
  GL_TEXTURE_FILTER_CONTROL      = $8500;
  GL_TEXTURE_FILTER_CONTROL_EXT  = $8500;
  GL_TEXTURE_LOD_BIAS            = $8501;
  GL_TEXTURE_LOD_BIAS_EXT        = $8501;
  GL_MODELVIEW1_STACK_DEPTH_EXT  = $8502;
  GL_COMBINE4_NV                 = $8503;
  GL_MAX_SHININESS_NV            = $8504;
  GL_MAX_SPOT_EXPONENT_NV        = $8505;
  GL_MODELVIEW1_MATRIX_EXT       = $8506;
  GL_INCR_WRAP                   = $8507;
  GL_INCR_WRAP_EXT               = $8507;
  GL_INCR_WRAP_OES               = $8507;
  GL_DECR_WRAP                   = $8508;
  GL_DECR_WRAP_EXT               = $8508;
  GL_DECR_WRAP_OES               = $8508;
  GL_VERTEX_WEIGHTING_EXT        = $8509;
  GL_MODELVIEW1_ARB              = $850A;
  GL_MODELVIEW1_EXT              = $850A;
  GL_CURRENT_VERTEX_WEIGHT_EXT   = $850B;
  GL_VERTEX_WEIGHT_ARRAY_EXT     = $850C;
  GL_VERTEX_WEIGHT_ARRAY_SIZE_EXT  = $850D;
  GL_VERTEX_WEIGHT_ARRAY_TYPE_EXT  = $850E;
  GL_VERTEX_WEIGHT_ARRAY_STRIDE_EXT  = $850F;
  GL_VERTEX_WEIGHT_ARRAY_POINTER_EXT  = $8510;
  GL_NORMAL_MAP                  = $8511;
  GL_NORMAL_MAP_ARB              = $8511;
  GL_NORMAL_MAP_EXT              = $8511;
  GL_NORMAL_MAP_NV               = $8511;
  GL_NORMAL_MAP_OES              = $8511;
  GL_REFLECTION_MAP              = $8512;
  GL_REFLECTION_MAP_ARB          = $8512;
  GL_REFLECTION_MAP_EXT          = $8512;
  GL_REFLECTION_MAP_NV           = $8512;
  GL_REFLECTION_MAP_OES          = $8512;
  GL_TEXTURE_CUBE_MAP            = $8513;
  GL_TEXTURE_CUBE_MAP_ARB        = $8513;
  GL_TEXTURE_CUBE_MAP_EXT        = $8513;
  GL_TEXTURE_CUBE_MAP_OES        = $8513;
  GL_TEXTURE_BINDING_CUBE_MAP    = $8514;
  GL_TEXTURE_BINDING_CUBE_MAP_ARB  = $8514;
  GL_TEXTURE_BINDING_CUBE_MAP_EXT  = $8514;
  GL_TEXTURE_BINDING_CUBE_MAP_OES  = $8514;
  GL_TEXTURE_CUBE_MAP_POSITIVE_X  = $8515;
  GL_TEXTURE_CUBE_MAP_POSITIVE_X_ARB  = $8515;
  GL_TEXTURE_CUBE_MAP_POSITIVE_X_EXT  = $8515;
  GL_TEXTURE_CUBE_MAP_POSITIVE_X_OES  = $8515;
  GL_TEXTURE_CUBE_MAP_NEGATIVE_X  = $8516;
  GL_TEXTURE_CUBE_MAP_NEGATIVE_X_ARB  = $8516;
  GL_TEXTURE_CUBE_MAP_NEGATIVE_X_EXT  = $8516;
  GL_TEXTURE_CUBE_MAP_NEGATIVE_X_OES  = $8516;
  GL_TEXTURE_CUBE_MAP_POSITIVE_Y  = $8517;
  GL_TEXTURE_CUBE_MAP_POSITIVE_Y_ARB  = $8517;
  GL_TEXTURE_CUBE_MAP_POSITIVE_Y_EXT  = $8517;
  GL_TEXTURE_CUBE_MAP_POSITIVE_Y_OES  = $8517;
  GL_TEXTURE_CUBE_MAP_NEGATIVE_Y  = $8518;
  GL_TEXTURE_CUBE_MAP_NEGATIVE_Y_ARB  = $8518;
  GL_TEXTURE_CUBE_MAP_NEGATIVE_Y_EXT  = $8518;
  GL_TEXTURE_CUBE_MAP_NEGATIVE_Y_OES  = $8518;
  GL_TEXTURE_CUBE_MAP_POSITIVE_Z  = $8519;
  GL_TEXTURE_CUBE_MAP_POSITIVE_Z_ARB  = $8519;
  GL_TEXTURE_CUBE_MAP_POSITIVE_Z_EXT  = $8519;
  GL_TEXTURE_CUBE_MAP_POSITIVE_Z_OES  = $8519;
  GL_TEXTURE_CUBE_MAP_NEGATIVE_Z  = $851A;
  GL_TEXTURE_CUBE_MAP_NEGATIVE_Z_ARB  = $851A;
  GL_TEXTURE_CUBE_MAP_NEGATIVE_Z_EXT  = $851A;
  GL_TEXTURE_CUBE_MAP_NEGATIVE_Z_OES  = $851A;
  GL_PROXY_TEXTURE_CUBE_MAP      = $851B;
  GL_PROXY_TEXTURE_CUBE_MAP_ARB  = $851B;
  GL_PROXY_TEXTURE_CUBE_MAP_EXT  = $851B;
  GL_MAX_CUBE_MAP_TEXTURE_SIZE   = $851C;
  GL_MAX_CUBE_MAP_TEXTURE_SIZE_ARB  = $851C;
  GL_MAX_CUBE_MAP_TEXTURE_SIZE_EXT  = $851C;
  GL_MAX_CUBE_MAP_TEXTURE_SIZE_OES  = $851C;
  GL_VERTEX_ARRAY_RANGE_APPLE    = $851D;
  GL_VERTEX_ARRAY_RANGE_NV       = $851D;
  GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE  = $851E;
  GL_VERTEX_ARRAY_RANGE_LENGTH_NV  = $851E;
  GL_VERTEX_ARRAY_RANGE_VALID_NV  = $851F;
  GL_VERTEX_ARRAY_STORAGE_HINT_APPLE  = $851F;
  GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV  = $8520;
  GL_VERTEX_ARRAY_RANGE_POINTER_APPLE  = $8521;
  GL_VERTEX_ARRAY_RANGE_POINTER_NV  = $8521;
  GL_REGISTER_COMBINERS_NV       = $8522;
  GL_VARIABLE_A_NV               = $8523;
  GL_VARIABLE_B_NV               = $8524;
  GL_VARIABLE_C_NV               = $8525;
  GL_VARIABLE_D_NV               = $8526;
  GL_VARIABLE_E_NV               = $8527;
  GL_VARIABLE_F_NV               = $8528;
  GL_VARIABLE_G_NV               = $8529;
  GL_CONSTANT_COLOR0_NV          = $852A;
  GL_CONSTANT_COLOR1_NV          = $852B;
  GL_PRIMARY_COLOR_NV            = $852C;
  GL_SECONDARY_COLOR_NV          = $852D;
  GL_SPARE0_NV                   = $852E;
  GL_SPARE1_NV                   = $852F;
  GL_DISCARD_NV                  = $8530;
  GL_E_TIMES_F_NV                = $8531;
  GL_SPARE0_PLUS_SECONDARY_COLOR_NV  = $8532;
  GL_VERTEX_ARRAY_RANGE_WITHOUT_FLUSH_NV  = $8533;
  GL_MULTISAMPLE_FILTER_HINT_NV  = $8534;
  GL_PER_STAGE_CONSTANTS_NV      = $8535;
  GL_UNSIGNED_IDENTITY_NV        = $8536;
  GL_UNSIGNED_INVERT_NV          = $8537;
  GL_EXPAND_NORMAL_NV            = $8538;
  GL_EXPAND_NEGATE_NV            = $8539;
  GL_HALF_BIAS_NORMAL_NV         = $853A;
  GL_HALF_BIAS_NEGATE_NV         = $853B;
  GL_SIGNED_IDENTITY_NV          = $853C;
  GL_SIGNED_NEGATE_NV            = $853D;
  GL_SCALE_BY_TWO_NV             = $853E;
  GL_SCALE_BY_FOUR_NV            = $853F;
  GL_SCALE_BY_ONE_HALF_NV        = $8540;
  GL_BIAS_BY_NEGATIVE_ONE_HALF_NV  = $8541;
  GL_COMBINER_INPUT_NV           = $8542;
  GL_COMBINER_MAPPING_NV         = $8543;
  GL_COMBINER_COMPONENT_USAGE_NV  = $8544;
  GL_COMBINER_AB_DOT_PRODUCT_NV  = $8545;
  GL_COMBINER_CD_DOT_PRODUCT_NV  = $8546;
  GL_COMBINER_MUX_SUM_NV         = $8547;
  GL_COMBINER_SCALE_NV           = $8548;
  GL_COMBINER_BIAS_NV            = $8549;
  GL_COMBINER_AB_OUTPUT_NV       = $854A;
  GL_COMBINER_CD_OUTPUT_NV       = $854B;
  GL_COMBINER_SUM_OUTPUT_NV      = $854C;
  GL_MAX_GENERAL_COMBINERS_NV    = $854D;
  GL_NUM_GENERAL_COMBINERS_NV    = $854E;
  GL_COLOR_SUM_CLAMP_NV          = $854F;
  GL_COMBINER0_NV                = $8550;
  GL_COMBINER1_NV                = $8551;
  GL_COMBINER2_NV                = $8552;
  GL_COMBINER3_NV                = $8553;
  GL_COMBINER4_NV                = $8554;
  GL_COMBINER5_NV                = $8555;
  GL_COMBINER6_NV                = $8556;
  GL_COMBINER7_NV                = $8557;
  GL_PRIMITIVE_RESTART_NV        = $8558;
  GL_PRIMITIVE_RESTART_INDEX_NV  = $8559;
  GL_FOG_DISTANCE_MODE_NV        = $855A;
  GL_EYE_RADIAL_NV               = $855B;
  GL_EYE_PLANE_ABSOLUTE_NV       = $855C;
  GL_EMBOSS_LIGHT_NV             = $855D;
  GL_EMBOSS_CONSTANT_NV          = $855E;
  GL_EMBOSS_MAP_NV               = $855F;
  GL_RED_MIN_CLAMP_INGR          = $8560;
  GL_GREEN_MIN_CLAMP_INGR        = $8561;
  GL_BLUE_MIN_CLAMP_INGR         = $8562;
  GL_ALPHA_MIN_CLAMP_INGR        = $8563;
  GL_RED_MAX_CLAMP_INGR          = $8564;
  GL_GREEN_MAX_CLAMP_INGR        = $8565;
  GL_BLUE_MAX_CLAMP_INGR         = $8566;
  GL_ALPHA_MAX_CLAMP_INGR        = $8567;
  GL_INTERLACE_READ_INGR         = $8568;
  GL_COMBINE                     = $8570;
  GL_COMBINE_ARB                 = $8570;
  GL_COMBINE_EXT                 = $8570;
  GL_COMBINE_RGB                 = $8571;
  GL_COMBINE_RGB_ARB             = $8571;
  GL_COMBINE_RGB_EXT             = $8571;
  GL_COMBINE_ALPHA               = $8572;
  GL_COMBINE_ALPHA_ARB           = $8572;
  GL_COMBINE_ALPHA_EXT           = $8572;
  GL_RGB_SCALE                   = $8573;
  GL_RGB_SCALE_ARB               = $8573;
  GL_RGB_SCALE_EXT               = $8573;
  GL_ADD_SIGNED                  = $8574;
  GL_ADD_SIGNED_ARB              = $8574;
  GL_ADD_SIGNED_EXT              = $8574;
  GL_INTERPOLATE                 = $8575;
  GL_INTERPOLATE_ARB             = $8575;
  GL_INTERPOLATE_EXT             = $8575;
  GL_CONSTANT                    = $8576;
  GL_CONSTANT_ARB                = $8576;
  GL_CONSTANT_EXT                = $8576;
  GL_CONSTANT_NV                 = $8576;
  GL_PRIMARY_COLOR               = $8577;
  GL_PRIMARY_COLOR_ARB           = $8577;
  GL_PRIMARY_COLOR_EXT           = $8577;
  GL_PREVIOUS                    = $8578;
  GL_PREVIOUS_ARB                = $8578;
  GL_PREVIOUS_EXT                = $8578;
  GL_SOURCE0_RGB                 = $8580;
  GL_SOURCE0_RGB_ARB             = $8580;
  GL_SOURCE0_RGB_EXT             = $8580;
  GL_SRC0_RGB                    = $8580;
  GL_SOURCE1_RGB                 = $8581;
  GL_SOURCE1_RGB_ARB             = $8581;
  GL_SOURCE1_RGB_EXT             = $8581;
  GL_SRC1_RGB                    = $8581;
  GL_SOURCE2_RGB                 = $8582;
  GL_SOURCE2_RGB_ARB             = $8582;
  GL_SOURCE2_RGB_EXT             = $8582;
  GL_SRC2_RGB                    = $8582;
  GL_SOURCE3_RGB_NV              = $8583;
  GL_SOURCE0_ALPHA               = $8588;
  GL_SOURCE0_ALPHA_ARB           = $8588;
  GL_SOURCE0_ALPHA_EXT           = $8588;
  GL_SRC0_ALPHA                  = $8588;
  GL_SOURCE1_ALPHA               = $8589;
  GL_SOURCE1_ALPHA_ARB           = $8589;
  GL_SOURCE1_ALPHA_EXT           = $8589;
  GL_SRC1_ALPHA                  = $8589;
  GL_SOURCE2_ALPHA               = $858A;
  GL_SOURCE2_ALPHA_ARB           = $858A;
  GL_SOURCE2_ALPHA_EXT           = $858A;
  GL_SRC2_ALPHA                  = $858A;
  GL_SOURCE3_ALPHA_NV            = $858B;
  GL_OPERAND0_RGB                = $8590;
  GL_OPERAND0_RGB_ARB            = $8590;
  GL_OPERAND0_RGB_EXT            = $8590;
  GL_OPERAND1_RGB                = $8591;
  GL_OPERAND1_RGB_ARB            = $8591;
  GL_OPERAND1_RGB_EXT            = $8591;
  GL_OPERAND2_RGB                = $8592;
  GL_OPERAND2_RGB_ARB            = $8592;
  GL_OPERAND2_RGB_EXT            = $8592;
  GL_OPERAND3_RGB_NV             = $8593;
  GL_OPERAND0_ALPHA              = $8598;
  GL_OPERAND0_ALPHA_ARB          = $8598;
  GL_OPERAND0_ALPHA_EXT          = $8598;
  GL_OPERAND1_ALPHA              = $8599;
  GL_OPERAND1_ALPHA_ARB          = $8599;
  GL_OPERAND1_ALPHA_EXT          = $8599;
  GL_OPERAND2_ALPHA              = $859A;
  GL_OPERAND2_ALPHA_ARB          = $859A;
  GL_OPERAND2_ALPHA_EXT          = $859A;
  GL_OPERAND3_ALPHA_NV           = $859B;
  GL_PACK_SUBSAMPLE_RATE_SGIX    = $85A0;
  GL_UNPACK_SUBSAMPLE_RATE_SGIX  = $85A1;
  GL_PIXEL_SUBSAMPLE_4444_SGIX   = $85A2;
  GL_PIXEL_SUBSAMPLE_2424_SGIX   = $85A3;
  GL_PIXEL_SUBSAMPLE_4242_SGIX   = $85A4;
  GL_PERTURB_EXT                 = $85AE;
  GL_TEXTURE_NORMAL_EXT          = $85AF;
  GL_LIGHT_MODEL_SPECULAR_VECTOR_APPLE  = $85B0;
  GL_TRANSFORM_HINT_APPLE        = $85B1;
  GL_UNPACK_CLIENT_STORAGE_APPLE  = $85B2;
  GL_BUFFER_OBJECT_APPLE         = $85B3;
  GL_STORAGE_CLIENT_APPLE        = $85B4;
  GL_VERTEX_ARRAY_BINDING        = $85B5;
  GL_VERTEX_ARRAY_BINDING_APPLE  = $85B5;
  GL_VERTEX_ARRAY_BINDING_OES    = $85B5;
  GL_TEXTURE_RANGE_LENGTH_APPLE  = $85B7;
  GL_TEXTURE_RANGE_POINTER_APPLE  = $85B8;
  GL_YCBCR_422_APPLE             = $85B9;
  GL_UNSIGNED_SHORT_8_8_APPLE    = $85BA;
  GL_UNSIGNED_SHORT_8_8_MESA     = $85BA;
  GL_UNSIGNED_SHORT_8_8_REV_APPLE  = $85BB;
  GL_UNSIGNED_SHORT_8_8_REV_MESA  = $85BB;
  GL_TEXTURE_STORAGE_HINT_APPLE  = $85BC;
  GL_STORAGE_PRIVATE_APPLE       = $85BD;
  GL_STORAGE_CACHED_APPLE        = $85BE;
  GL_STORAGE_SHARED_APPLE        = $85BF;
  GL_REPLACEMENT_CODE_ARRAY_SUN  = $85C0;
  GL_REPLACEMENT_CODE_ARRAY_TYPE_SUN  = $85C1;
  GL_REPLACEMENT_CODE_ARRAY_STRIDE_SUN  = $85C2;
  GL_REPLACEMENT_CODE_ARRAY_POINTER_SUN  = $85C3;
  GL_R1UI_V3F_SUN                = $85C4;
  GL_R1UI_C4UB_V3F_SUN           = $85C5;
  GL_R1UI_C3F_V3F_SUN            = $85C6;
  GL_R1UI_N3F_V3F_SUN            = $85C7;
  GL_R1UI_C4F_N3F_V3F_SUN        = $85C8;
  GL_R1UI_T2F_V3F_SUN            = $85C9;
  GL_R1UI_T2F_N3F_V3F_SUN        = $85CA;
  GL_R1UI_T2F_C4F_N3F_V3F_SUN    = $85CB;
  GL_SLICE_ACCUM_SUN             = $85CC;
  GL_QUAD_MESH_SUN               = $8614;
  GL_TRIANGLE_MESH_SUN           = $8615;
  GL_VERTEX_PROGRAM_ARB          = $8620;
  GL_VERTEX_PROGRAM_NV           = $8620;
  GL_VERTEX_STATE_PROGRAM_NV     = $8621;
  GL_VERTEX_ATTRIB_ARRAY_ENABLED  = $8622;
  GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB  = $8622;
  GL_ATTRIB_ARRAY_SIZE_NV        = $8623;
  GL_VERTEX_ATTRIB_ARRAY_SIZE    = $8623;
  GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB  = $8623;
  GL_ATTRIB_ARRAY_STRIDE_NV      = $8624;
  GL_VERTEX_ATTRIB_ARRAY_STRIDE  = $8624;
  GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB  = $8624;
  GL_ATTRIB_ARRAY_TYPE_NV        = $8625;
  GL_VERTEX_ATTRIB_ARRAY_TYPE    = $8625;
  GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB  = $8625;
  GL_CURRENT_ATTRIB_NV           = $8626;
  GL_CURRENT_VERTEX_ATTRIB       = $8626;
  GL_CURRENT_VERTEX_ATTRIB_ARB   = $8626;
  GL_PROGRAM_LENGTH_ARB          = $8627;
  GL_PROGRAM_LENGTH_NV           = $8627;
  GL_PROGRAM_STRING_ARB          = $8628;
  GL_PROGRAM_STRING_NV           = $8628;
  GL_MODELVIEW_PROJECTION_NV     = $8629;
  GL_IDENTITY_NV                 = $862A;
  GL_INVERSE_NV                  = $862B;
  GL_TRANSPOSE_NV                = $862C;
  GL_INVERSE_TRANSPOSE_NV        = $862D;
  GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB  = $862E;
  GL_MAX_TRACK_MATRIX_STACK_DEPTH_NV  = $862E;
  GL_MAX_PROGRAM_MATRICES_ARB    = $862F;
  GL_MAX_TRACK_MATRICES_NV       = $862F;
  GL_MATRIX0_NV                  = $8630;
  GL_MATRIX1_NV                  = $8631;
  GL_MATRIX2_NV                  = $8632;
  GL_MATRIX3_NV                  = $8633;
  GL_MATRIX4_NV                  = $8634;
  GL_MATRIX5_NV                  = $8635;
  GL_MATRIX6_NV                  = $8636;
  GL_MATRIX7_NV                  = $8637;
  GL_CURRENT_MATRIX_STACK_DEPTH_ARB  = $8640;
  GL_CURRENT_MATRIX_STACK_DEPTH_NV  = $8640;
  GL_CURRENT_MATRIX_ARB          = $8641;
  GL_CURRENT_MATRIX_NV           = $8641;
  GL_VERTEX_PROGRAM_POINT_SIZE   = $8642;
  GL_VERTEX_PROGRAM_POINT_SIZE_ARB  = $8642;
  GL_VERTEX_PROGRAM_POINT_SIZE_NV  = $8642;
  GL_PROGRAM_POINT_SIZE          = $8642;
  GL_PROGRAM_POINT_SIZE_ARB      = $8642;
  GL_PROGRAM_POINT_SIZE_EXT      = $8642;
  GL_VERTEX_PROGRAM_TWO_SIDE     = $8643;
  GL_VERTEX_PROGRAM_TWO_SIDE_ARB  = $8643;
  GL_VERTEX_PROGRAM_TWO_SIDE_NV  = $8643;
  GL_PROGRAM_PARAMETER_NV        = $8644;
  GL_ATTRIB_ARRAY_POINTER_NV     = $8645;
  GL_VERTEX_ATTRIB_ARRAY_POINTER  = $8645;
  GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB  = $8645;
  GL_PROGRAM_TARGET_NV           = $8646;
  GL_PROGRAM_RESIDENT_NV         = $8647;
  GL_TRACK_MATRIX_NV             = $8648;
  GL_TRACK_MATRIX_TRANSFORM_NV   = $8649;
  GL_VERTEX_PROGRAM_BINDING_NV   = $864A;
  GL_PROGRAM_ERROR_POSITION_ARB  = $864B;
  GL_PROGRAM_ERROR_POSITION_NV   = $864B;
  GL_OFFSET_TEXTURE_RECTANGLE_NV  = $864C;
  GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV  = $864D;
  GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV  = $864E;
  GL_DEPTH_CLAMP                 = $864F;
  GL_DEPTH_CLAMP_NV              = $864F;
  GL_VERTEX_ATTRIB_ARRAY0_NV     = $8650;
  GL_VERTEX_ATTRIB_ARRAY1_NV     = $8651;
  GL_VERTEX_ATTRIB_ARRAY2_NV     = $8652;
  GL_VERTEX_ATTRIB_ARRAY3_NV     = $8653;
  GL_VERTEX_ATTRIB_ARRAY4_NV     = $8654;
  GL_VERTEX_ATTRIB_ARRAY5_NV     = $8655;
  GL_VERTEX_ATTRIB_ARRAY6_NV     = $8656;
  GL_VERTEX_ATTRIB_ARRAY7_NV     = $8657;
  GL_VERTEX_ATTRIB_ARRAY8_NV     = $8658;
  GL_VERTEX_ATTRIB_ARRAY9_NV     = $8659;
  GL_VERTEX_ATTRIB_ARRAY10_NV    = $865A;
  GL_VERTEX_ATTRIB_ARRAY11_NV    = $865B;
  GL_VERTEX_ATTRIB_ARRAY12_NV    = $865C;
  GL_VERTEX_ATTRIB_ARRAY13_NV    = $865D;
  GL_VERTEX_ATTRIB_ARRAY14_NV    = $865E;
  GL_VERTEX_ATTRIB_ARRAY15_NV    = $865F;
  GL_MAP1_VERTEX_ATTRIB0_4_NV    = $8660;
  GL_MAP1_VERTEX_ATTRIB1_4_NV    = $8661;
  GL_MAP1_VERTEX_ATTRIB2_4_NV    = $8662;
  GL_MAP1_VERTEX_ATTRIB3_4_NV    = $8663;
  GL_MAP1_VERTEX_ATTRIB4_4_NV    = $8664;
  GL_MAP1_VERTEX_ATTRIB5_4_NV    = $8665;
  GL_MAP1_VERTEX_ATTRIB6_4_NV    = $8666;
  GL_MAP1_VERTEX_ATTRIB7_4_NV    = $8667;
  GL_MAP1_VERTEX_ATTRIB8_4_NV    = $8668;
  GL_MAP1_VERTEX_ATTRIB9_4_NV    = $8669;
  GL_MAP1_VERTEX_ATTRIB10_4_NV   = $866A;
  GL_MAP1_VERTEX_ATTRIB11_4_NV   = $866B;
  GL_MAP1_VERTEX_ATTRIB12_4_NV   = $866C;
  GL_MAP1_VERTEX_ATTRIB13_4_NV   = $866D;
  GL_MAP1_VERTEX_ATTRIB14_4_NV   = $866E;
  GL_MAP1_VERTEX_ATTRIB15_4_NV   = $866F;
  GL_MAP2_VERTEX_ATTRIB0_4_NV    = $8670;
  GL_MAP2_VERTEX_ATTRIB1_4_NV    = $8671;
  GL_MAP2_VERTEX_ATTRIB2_4_NV    = $8672;
  GL_MAP2_VERTEX_ATTRIB3_4_NV    = $8673;
  GL_MAP2_VERTEX_ATTRIB4_4_NV    = $8674;
  GL_MAP2_VERTEX_ATTRIB5_4_NV    = $8675;
  GL_MAP2_VERTEX_ATTRIB6_4_NV    = $8676;
  GL_MAP2_VERTEX_ATTRIB7_4_NV    = $8677;
  GL_PROGRAM_BINDING_ARB         = $8677;
  GL_MAP2_VERTEX_ATTRIB8_4_NV    = $8678;
  GL_MAP2_VERTEX_ATTRIB9_4_NV    = $8679;
  GL_MAP2_VERTEX_ATTRIB10_4_NV   = $867A;
  GL_MAP2_VERTEX_ATTRIB11_4_NV   = $867B;
  GL_MAP2_VERTEX_ATTRIB12_4_NV   = $867C;
  GL_MAP2_VERTEX_ATTRIB13_4_NV   = $867D;
  GL_MAP2_VERTEX_ATTRIB14_4_NV   = $867E;
  GL_MAP2_VERTEX_ATTRIB15_4_NV   = $867F;
  GL_TEXTURE_COMPRESSED_IMAGE_SIZE  = $86A0;
  GL_TEXTURE_COMPRESSED_IMAGE_SIZE_ARB  = $86A0;
  GL_TEXTURE_COMPRESSED          = $86A1;
  GL_TEXTURE_COMPRESSED_ARB      = $86A1;
  GL_NUM_COMPRESSED_TEXTURE_FORMATS  = $86A2;
  GL_NUM_COMPRESSED_TEXTURE_FORMATS_ARB  = $86A2;
  GL_COMPRESSED_TEXTURE_FORMATS  = $86A3;
  GL_COMPRESSED_TEXTURE_FORMATS_ARB  = $86A3;
  GL_MAX_VERTEX_UNITS_ARB        = $86A4;
  GL_MAX_VERTEX_UNITS_OES        = $86A4;
  GL_ACTIVE_VERTEX_UNITS_ARB     = $86A5;
  GL_WEIGHT_SUM_UNITY_ARB        = $86A6;
  GL_VERTEX_BLEND_ARB            = $86A7;
  GL_CURRENT_WEIGHT_ARB          = $86A8;
  GL_WEIGHT_ARRAY_TYPE_ARB       = $86A9;
  GL_WEIGHT_ARRAY_TYPE_OES       = $86A9;
  GL_WEIGHT_ARRAY_STRIDE_ARB     = $86AA;
  GL_WEIGHT_ARRAY_STRIDE_OES     = $86AA;
  GL_WEIGHT_ARRAY_SIZE_ARB       = $86AB;
  GL_WEIGHT_ARRAY_SIZE_OES       = $86AB;
  GL_WEIGHT_ARRAY_POINTER_ARB    = $86AC;
  GL_WEIGHT_ARRAY_POINTER_OES    = $86AC;
  GL_WEIGHT_ARRAY_ARB            = $86AD;
  GL_WEIGHT_ARRAY_OES            = $86AD;
  GL_DOT3_RGB                    = $86AE;
  GL_DOT3_RGB_ARB                = $86AE;
  GL_DOT3_RGBA                   = $86AF;
  GL_DOT3_RGBA_ARB               = $86AF;
  GL_DOT3_RGBA_IMG               = $86AF;
  GL_COMPRESSED_RGB_FXT1_3DFX    = $86B0;
  GL_COMPRESSED_RGBA_FXT1_3DFX   = $86B1;
  GL_MULTISAMPLE_3DFX            = $86B2;
  GL_SAMPLE_BUFFERS_3DFX         = $86B3;
  GL_SAMPLES_3DFX                = $86B4;
  GL_EVAL_2D_NV                  = $86C0;
  GL_EVAL_TRIANGULAR_2D_NV       = $86C1;
  GL_MAP_TESSELLATION_NV         = $86C2;
  GL_MAP_ATTRIB_U_ORDER_NV       = $86C3;
  GL_MAP_ATTRIB_V_ORDER_NV       = $86C4;
  GL_EVAL_FRACTIONAL_TESSELLATION_NV  = $86C5;
  GL_EVAL_VERTEX_ATTRIB0_NV      = $86C6;
  GL_EVAL_VERTEX_ATTRIB1_NV      = $86C7;
  GL_EVAL_VERTEX_ATTRIB2_NV      = $86C8;
  GL_EVAL_VERTEX_ATTRIB3_NV      = $86C9;
  GL_EVAL_VERTEX_ATTRIB4_NV      = $86CA;
  GL_EVAL_VERTEX_ATTRIB5_NV      = $86CB;
  GL_EVAL_VERTEX_ATTRIB6_NV      = $86CC;
  GL_EVAL_VERTEX_ATTRIB7_NV      = $86CD;
  GL_EVAL_VERTEX_ATTRIB8_NV      = $86CE;
  GL_EVAL_VERTEX_ATTRIB9_NV      = $86CF;
  GL_EVAL_VERTEX_ATTRIB10_NV     = $86D0;
  GL_EVAL_VERTEX_ATTRIB11_NV     = $86D1;
  GL_EVAL_VERTEX_ATTRIB12_NV     = $86D2;
  GL_EVAL_VERTEX_ATTRIB13_NV     = $86D3;
  GL_EVAL_VERTEX_ATTRIB14_NV     = $86D4;
  GL_EVAL_VERTEX_ATTRIB15_NV     = $86D5;
  GL_MAX_MAP_TESSELLATION_NV     = $86D6;
  GL_MAX_RATIONAL_EVAL_ORDER_NV  = $86D7;
  GL_MAX_PROGRAM_PATCH_ATTRIBS_NV  = $86D8;
  GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV  = $86D9;
  GL_UNSIGNED_INT_S8_S8_8_8_NV   = $86DA;
  GL_UNSIGNED_INT_8_8_S8_S8_REV_NV  = $86DB;
  GL_DSDT_MAG_INTENSITY_NV       = $86DC;
  GL_SHADER_CONSISTENT_NV        = $86DD;
  GL_TEXTURE_SHADER_NV           = $86DE;
  GL_SHADER_OPERATION_NV         = $86DF;
  GL_CULL_MODES_NV               = $86E0;
  GL_OFFSET_TEXTURE_MATRIX_NV    = $86E1;
  GL_OFFSET_TEXTURE_2D_MATRIX_NV  = $86E1;
  GL_OFFSET_TEXTURE_SCALE_NV     = $86E2;
  GL_OFFSET_TEXTURE_2D_SCALE_NV  = $86E2;
  GL_OFFSET_TEXTURE_BIAS_NV      = $86E3;
  GL_OFFSET_TEXTURE_2D_BIAS_NV   = $86E3;
  GL_PREVIOUS_TEXTURE_INPUT_NV   = $86E4;
  GL_CONST_EYE_NV                = $86E5;
  GL_PASS_THROUGH_NV             = $86E6;
  GL_CULL_FRAGMENT_NV            = $86E7;
  GL_OFFSET_TEXTURE_2D_NV        = $86E8;
  GL_DEPENDENT_AR_TEXTURE_2D_NV  = $86E9;
  GL_DEPENDENT_GB_TEXTURE_2D_NV  = $86EA;
  GL_SURFACE_STATE_NV            = $86EB;
  GL_DOT_PRODUCT_NV              = $86EC;
  GL_DOT_PRODUCT_DEPTH_REPLACE_NV  = $86ED;
  GL_DOT_PRODUCT_TEXTURE_2D_NV   = $86EE;
  GL_DOT_PRODUCT_TEXTURE_3D_NV   = $86EF;
  GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV  = $86F0;
  GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV  = $86F1;
  GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV  = $86F2;
  GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV  = $86F3;
  GL_HILO_NV                     = $86F4;
  GL_DSDT_NV                     = $86F5;
  GL_DSDT_MAG_NV                 = $86F6;
  GL_DSDT_MAG_VIB_NV             = $86F7;
  GL_HILO16_NV                   = $86F8;
  GL_SIGNED_HILO_NV              = $86F9;
  GL_SIGNED_HILO16_NV            = $86FA;
  GL_SIGNED_RGBA_NV              = $86FB;
  GL_SIGNED_RGBA8_NV             = $86FC;
  GL_SURFACE_REGISTERED_NV       = $86FD;
  GL_SIGNED_RGB_NV               = $86FE;
  GL_SIGNED_RGB8_NV              = $86FF;
  GL_SURFACE_MAPPED_NV           = $8700;
  GL_SIGNED_LUMINANCE_NV         = $8701;
  GL_SIGNED_LUMINANCE8_NV        = $8702;
  GL_SIGNED_LUMINANCE_ALPHA_NV   = $8703;
  GL_SIGNED_LUMINANCE8_ALPHA8_NV  = $8704;
  GL_SIGNED_ALPHA_NV             = $8705;
  GL_SIGNED_ALPHA8_NV            = $8706;
  GL_SIGNED_INTENSITY_NV         = $8707;
  GL_SIGNED_INTENSITY8_NV        = $8708;
  GL_DSDT8_NV                    = $8709;
  GL_DSDT8_MAG8_NV               = $870A;
  GL_DSDT8_MAG8_INTENSITY8_NV    = $870B;
  GL_SIGNED_RGB_UNSIGNED_ALPHA_NV  = $870C;
  GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV  = $870D;
  GL_HI_SCALE_NV                 = $870E;
  GL_LO_SCALE_NV                 = $870F;
  GL_DS_SCALE_NV                 = $8710;
  GL_DT_SCALE_NV                 = $8711;
  GL_MAGNITUDE_SCALE_NV          = $8712;
  GL_VIBRANCE_SCALE_NV           = $8713;
  GL_HI_BIAS_NV                  = $8714;
  GL_LO_BIAS_NV                  = $8715;
  GL_DS_BIAS_NV                  = $8716;
  GL_DT_BIAS_NV                  = $8717;
  GL_MAGNITUDE_BIAS_NV           = $8718;
  GL_VIBRANCE_BIAS_NV            = $8719;
  GL_TEXTURE_BORDER_VALUES_NV    = $871A;
  GL_TEXTURE_HI_SIZE_NV          = $871B;
  GL_TEXTURE_LO_SIZE_NV          = $871C;
  GL_TEXTURE_DS_SIZE_NV          = $871D;
  GL_TEXTURE_DT_SIZE_NV          = $871E;
  GL_TEXTURE_MAG_SIZE_NV         = $871F;
  GL_MODELVIEW2_ARB              = $8722;
  GL_MODELVIEW3_ARB              = $8723;
  GL_MODELVIEW4_ARB              = $8724;
  GL_MODELVIEW5_ARB              = $8725;
  GL_MODELVIEW6_ARB              = $8726;
  GL_MODELVIEW7_ARB              = $8727;
  GL_MODELVIEW8_ARB              = $8728;
  GL_MODELVIEW9_ARB              = $8729;
  GL_MODELVIEW10_ARB             = $872A;
  GL_MODELVIEW11_ARB             = $872B;
  GL_MODELVIEW12_ARB             = $872C;
  GL_MODELVIEW13_ARB             = $872D;
  GL_MODELVIEW14_ARB             = $872E;
  GL_MODELVIEW15_ARB             = $872F;
  GL_MODELVIEW16_ARB             = $8730;
  GL_MODELVIEW17_ARB             = $8731;
  GL_MODELVIEW18_ARB             = $8732;
  GL_MODELVIEW19_ARB             = $8733;
  GL_MODELVIEW20_ARB             = $8734;
  GL_MODELVIEW21_ARB             = $8735;
  GL_MODELVIEW22_ARB             = $8736;
  GL_MODELVIEW23_ARB             = $8737;
  GL_MODELVIEW24_ARB             = $8738;
  GL_MODELVIEW25_ARB             = $8739;
  GL_MODELVIEW26_ARB             = $873A;
  GL_MODELVIEW27_ARB             = $873B;
  GL_MODELVIEW28_ARB             = $873C;
  GL_MODELVIEW29_ARB             = $873D;
  GL_MODELVIEW30_ARB             = $873E;
  GL_MODELVIEW31_ARB             = $873F;
  GL_DOT3_RGB_EXT                = $8740;
  GL_Z400_BINARY_AMD             = $8740;
  GL_DOT3_RGBA_EXT               = $8741;
  GL_PROGRAM_BINARY_LENGTH_OES   = $8741;
  GL_PROGRAM_BINARY_LENGTH       = $8741;
  GL_MIRROR_CLAMP_ATI            = $8742;
  GL_MIRROR_CLAMP_EXT            = $8742;
  GL_MIRROR_CLAMP_TO_EDGE        = $8743;
  GL_MIRROR_CLAMP_TO_EDGE_ATI    = $8743;
  GL_MIRROR_CLAMP_TO_EDGE_EXT    = $8743;
  GL_MODULATE_ADD_ATI            = $8744;
  GL_MODULATE_SIGNED_ADD_ATI     = $8745;
  GL_MODULATE_SUBTRACT_ATI       = $8746;
  GL_SET_AMD                     = $874A;
  GL_REPLACE_VALUE_AMD           = $874B;
  GL_STENCIL_OP_VALUE_AMD        = $874C;
  GL_STENCIL_BACK_OP_VALUE_AMD   = $874D;
  GL_VERTEX_ATTRIB_ARRAY_LONG    = $874E;
  GL_OCCLUSION_QUERY_EVENT_MASK_AMD  = $874F;
  GL_YCBCR_MESA                  = $8757;
  GL_PACK_INVERT_MESA            = $8758;
  GL_TEXTURE_1D_STACK_MESAX      = $8759;
  GL_TEXTURE_2D_STACK_MESAX      = $875A;
  GL_PROXY_TEXTURE_1D_STACK_MESAX  = $875B;
  GL_PROXY_TEXTURE_2D_STACK_MESAX  = $875C;
  GL_TEXTURE_1D_STACK_BINDING_MESAX  = $875D;
  GL_TEXTURE_2D_STACK_BINDING_MESAX  = $875E;
  GL_STATIC_ATI                  = $8760;
  GL_DYNAMIC_ATI                 = $8761;
  GL_PRESERVE_ATI                = $8762;
  GL_DISCARD_ATI                 = $8763;
  GL_BUFFER_SIZE                 = $8764;
  GL_BUFFER_SIZE_ARB             = $8764;
  GL_OBJECT_BUFFER_SIZE_ATI      = $8764;
  GL_BUFFER_USAGE                = $8765;
  GL_BUFFER_USAGE_ARB            = $8765;
  GL_OBJECT_BUFFER_USAGE_ATI     = $8765;
  GL_ARRAY_OBJECT_BUFFER_ATI     = $8766;
  GL_ARRAY_OBJECT_OFFSET_ATI     = $8767;
  GL_ELEMENT_ARRAY_ATI           = $8768;
  GL_ELEMENT_ARRAY_TYPE_ATI      = $8769;
  GL_ELEMENT_ARRAY_POINTER_ATI   = $876A;
  GL_MAX_VERTEX_STREAMS_ATI      = $876B;
  GL_VERTEX_STREAM0_ATI          = $876C;
  GL_VERTEX_STREAM1_ATI          = $876D;
  GL_VERTEX_STREAM2_ATI          = $876E;
  GL_VERTEX_STREAM3_ATI          = $876F;
  GL_VERTEX_STREAM4_ATI          = $8770;
  GL_VERTEX_STREAM5_ATI          = $8771;
  GL_VERTEX_STREAM6_ATI          = $8772;
  GL_VERTEX_STREAM7_ATI          = $8773;
  GL_VERTEX_SOURCE_ATI           = $8774;
  GL_BUMP_ROT_MATRIX_ATI         = $8775;
  GL_BUMP_ROT_MATRIX_SIZE_ATI    = $8776;
  GL_BUMP_NUM_TEX_UNITS_ATI      = $8777;
  GL_BUMP_TEX_UNITS_ATI          = $8778;
  GL_DUDV_ATI                    = $8779;
  GL_DU8DV8_ATI                  = $877A;
  GL_BUMP_ENVMAP_ATI             = $877B;
  GL_BUMP_TARGET_ATI             = $877C;
  GL_VERTEX_SHADER_EXT           = $8780;
  GL_VERTEX_SHADER_BINDING_EXT   = $8781;
  GL_OP_INDEX_EXT                = $8782;
  GL_OP_NEGATE_EXT               = $8783;
  GL_OP_DOT3_EXT                 = $8784;
  GL_OP_DOT4_EXT                 = $8785;
  GL_OP_MUL_EXT                  = $8786;
  GL_OP_ADD_EXT                  = $8787;
  GL_OP_MADD_EXT                 = $8788;
  GL_OP_FRAC_EXT                 = $8789;
  GL_OP_MAX_EXT                  = $878A;
  GL_OP_MIN_EXT                  = $878B;
  GL_OP_SET_GE_EXT               = $878C;
  GL_OP_SET_LT_EXT               = $878D;
  GL_OP_CLAMP_EXT                = $878E;
  GL_OP_FLOOR_EXT                = $878F;
  GL_OP_ROUND_EXT                = $8790;
  GL_OP_EXP_BASE_2_EXT           = $8791;
  GL_OP_LOG_BASE_2_EXT           = $8792;
  GL_OP_POWER_EXT                = $8793;
  GL_OP_RECIP_EXT                = $8794;
  GL_OP_RECIP_SQRT_EXT           = $8795;
  GL_OP_SUB_EXT                  = $8796;
  GL_OP_CROSS_PRODUCT_EXT        = $8797;
  GL_OP_MULTIPLY_MATRIX_EXT      = $8798;
  GL_OP_MOV_EXT                  = $8799;
  GL_OUTPUT_VERTEX_EXT           = $879A;
  GL_OUTPUT_COLOR0_EXT           = $879B;
  GL_OUTPUT_COLOR1_EXT           = $879C;
  GL_OUTPUT_TEXTURE_COORD0_EXT   = $879D;
  GL_OUTPUT_TEXTURE_COORD1_EXT   = $879E;
  GL_OUTPUT_TEXTURE_COORD2_EXT   = $879F;
  GL_OUTPUT_TEXTURE_COORD3_EXT   = $87A0;
  GL_OUTPUT_TEXTURE_COORD4_EXT   = $87A1;
  GL_OUTPUT_TEXTURE_COORD5_EXT   = $87A2;
  GL_OUTPUT_TEXTURE_COORD6_EXT   = $87A3;
  GL_OUTPUT_TEXTURE_COORD7_EXT   = $87A4;
  GL_OUTPUT_TEXTURE_COORD8_EXT   = $87A5;
  GL_OUTPUT_TEXTURE_COORD9_EXT   = $87A6;
  GL_OUTPUT_TEXTURE_COORD10_EXT  = $87A7;
  GL_OUTPUT_TEXTURE_COORD11_EXT  = $87A8;
  GL_OUTPUT_TEXTURE_COORD12_EXT  = $87A9;
  GL_OUTPUT_TEXTURE_COORD13_EXT  = $87AA;
  GL_OUTPUT_TEXTURE_COORD14_EXT  = $87AB;
  GL_OUTPUT_TEXTURE_COORD15_EXT  = $87AC;
  GL_OUTPUT_TEXTURE_COORD16_EXT  = $87AD;
  GL_OUTPUT_TEXTURE_COORD17_EXT  = $87AE;
  GL_OUTPUT_TEXTURE_COORD18_EXT  = $87AF;
  GL_OUTPUT_TEXTURE_COORD19_EXT  = $87B0;
  GL_OUTPUT_TEXTURE_COORD20_EXT  = $87B1;
  GL_OUTPUT_TEXTURE_COORD21_EXT  = $87B2;
  GL_OUTPUT_TEXTURE_COORD22_EXT  = $87B3;
  GL_OUTPUT_TEXTURE_COORD23_EXT  = $87B4;
  GL_OUTPUT_TEXTURE_COORD24_EXT  = $87B5;
  GL_OUTPUT_TEXTURE_COORD25_EXT  = $87B6;
  GL_OUTPUT_TEXTURE_COORD26_EXT  = $87B7;
  GL_OUTPUT_TEXTURE_COORD27_EXT  = $87B8;
  GL_OUTPUT_TEXTURE_COORD28_EXT  = $87B9;
  GL_OUTPUT_TEXTURE_COORD29_EXT  = $87BA;
  GL_OUTPUT_TEXTURE_COORD30_EXT  = $87BB;
  GL_OUTPUT_TEXTURE_COORD31_EXT  = $87BC;
  GL_OUTPUT_FOG_EXT              = $87BD;
  GL_SCALAR_EXT                  = $87BE;
  GL_VECTOR_EXT                  = $87BF;
  GL_MATRIX_EXT                  = $87C0;
  GL_VARIANT_EXT                 = $87C1;
  GL_INVARIANT_EXT               = $87C2;
  GL_LOCAL_CONSTANT_EXT          = $87C3;
  GL_LOCAL_EXT                   = $87C4;
  GL_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT  = $87C5;
  GL_MAX_VERTEX_SHADER_VARIANTS_EXT  = $87C6;
  GL_MAX_VERTEX_SHADER_INVARIANTS_EXT  = $87C7;
  GL_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT  = $87C8;
  GL_MAX_VERTEX_SHADER_LOCALS_EXT  = $87C9;
  GL_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT  = $87CA;
  GL_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT  = $87CB;
  GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT  = $87CC;
  GL_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT  = $87CD;
  GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT  = $87CE;
  GL_VERTEX_SHADER_INSTRUCTIONS_EXT  = $87CF;
  GL_VERTEX_SHADER_VARIANTS_EXT  = $87D0;
  GL_VERTEX_SHADER_INVARIANTS_EXT  = $87D1;
  GL_VERTEX_SHADER_LOCAL_CONSTANTS_EXT  = $87D2;
  GL_VERTEX_SHADER_LOCALS_EXT    = $87D3;
  GL_VERTEX_SHADER_OPTIMIZED_EXT  = $87D4;
  GL_X_EXT                       = $87D5;
  GL_Y_EXT                       = $87D6;
  GL_Z_EXT                       = $87D7;
  GL_W_EXT                       = $87D8;
  GL_NEGATIVE_X_EXT              = $87D9;
  GL_NEGATIVE_Y_EXT              = $87DA;
  GL_NEGATIVE_Z_EXT              = $87DB;
  GL_NEGATIVE_W_EXT              = $87DC;
  GL_ZERO_EXT                    = $87DD;
  GL_ONE_EXT                     = $87DE;
  GL_NEGATIVE_ONE_EXT            = $87DF;
  GL_NORMALIZED_RANGE_EXT        = $87E0;
  GL_FULL_RANGE_EXT              = $87E1;
  GL_CURRENT_VERTEX_EXT          = $87E2;
  GL_MVP_MATRIX_EXT              = $87E3;
  GL_VARIANT_VALUE_EXT           = $87E4;
  GL_VARIANT_DATATYPE_EXT        = $87E5;
  GL_VARIANT_ARRAY_STRIDE_EXT    = $87E6;
  GL_VARIANT_ARRAY_TYPE_EXT      = $87E7;
  GL_VARIANT_ARRAY_EXT           = $87E8;
  GL_VARIANT_ARRAY_POINTER_EXT   = $87E9;
  GL_INVARIANT_VALUE_EXT         = $87EA;
  GL_INVARIANT_DATATYPE_EXT      = $87EB;
  GL_LOCAL_CONSTANT_VALUE_EXT    = $87EC;
  GL_LOCAL_CONSTANT_DATATYPE_EXT  = $87ED;
  GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD  = $87EE;
  GL_PN_TRIANGLES_ATI            = $87F0;
  GL_MAX_PN_TRIANGLES_TESSELATION_LEVEL_ATI  = $87F1;
  GL_PN_TRIANGLES_POINT_MODE_ATI  = $87F2;
  GL_PN_TRIANGLES_NORMAL_MODE_ATI  = $87F3;
  GL_PN_TRIANGLES_TESSELATION_LEVEL_ATI  = $87F4;
  GL_PN_TRIANGLES_POINT_MODE_LINEAR_ATI  = $87F5;
  GL_PN_TRIANGLES_POINT_MODE_CUBIC_ATI  = $87F6;
  GL_PN_TRIANGLES_NORMAL_MODE_LINEAR_ATI  = $87F7;
  GL_PN_TRIANGLES_NORMAL_MODE_QUADRATIC_ATI  = $87F8;
  GL_3DC_X_AMD                   = $87F9;
  GL_3DC_XY_AMD                  = $87FA;
  GL_VBO_FREE_MEMORY_ATI         = $87FB;
  GL_TEXTURE_FREE_MEMORY_ATI     = $87FC;
  GL_RENDERBUFFER_FREE_MEMORY_ATI  = $87FD;
  GL_NUM_PROGRAM_BINARY_FORMATS  = $87FE;
  GL_NUM_PROGRAM_BINARY_FORMATS_OES  = $87FE;
  GL_PROGRAM_BINARY_FORMATS      = $87FF;
  GL_PROGRAM_BINARY_FORMATS_OES  = $87FF;
  GL_STENCIL_BACK_FUNC           = $8800;
  GL_STENCIL_BACK_FUNC_ATI       = $8800;
  GL_STENCIL_BACK_FAIL           = $8801;
  GL_STENCIL_BACK_FAIL_ATI       = $8801;
  GL_STENCIL_BACK_PASS_DEPTH_FAIL  = $8802;
  GL_STENCIL_BACK_PASS_DEPTH_FAIL_ATI  = $8802;
  GL_STENCIL_BACK_PASS_DEPTH_PASS  = $8803;
  GL_STENCIL_BACK_PASS_DEPTH_PASS_ATI  = $8803;
  GL_FRAGMENT_PROGRAM_ARB        = $8804;
  GL_PROGRAM_ALU_INSTRUCTIONS_ARB  = $8805;
  GL_PROGRAM_TEX_INSTRUCTIONS_ARB  = $8806;
  GL_PROGRAM_TEX_INDIRECTIONS_ARB  = $8807;
  GL_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB  = $8808;
  GL_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB  = $8809;
  GL_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB  = $880A;
  GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB  = $880B;
  GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB  = $880C;
  GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB  = $880D;
  GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB  = $880E;
  GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB  = $880F;
  GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB  = $8810;
  GL_RGBA32F                     = $8814;
  GL_RGBA32F_ARB                 = $8814;
  GL_RGBA32F_EXT                 = $8814;
  GL_RGBA_FLOAT32_APPLE          = $8814;
  GL_RGBA_FLOAT32_ATI            = $8814;
  GL_RGB32F                      = $8815;
  GL_RGB32F_ARB                  = $8815;
  GL_RGB32F_EXT                  = $8815;
  GL_RGB_FLOAT32_APPLE           = $8815;
  GL_RGB_FLOAT32_ATI             = $8815;
  GL_ALPHA32F_ARB                = $8816;
  GL_ALPHA32F_EXT                = $8816;
  GL_ALPHA_FLOAT32_APPLE         = $8816;
  GL_ALPHA_FLOAT32_ATI           = $8816;
  GL_INTENSITY32F_ARB            = $8817;
  GL_INTENSITY_FLOAT32_APPLE     = $8817;
  GL_INTENSITY_FLOAT32_ATI       = $8817;
  GL_LUMINANCE32F_ARB            = $8818;
  GL_LUMINANCE32F_EXT            = $8818;
  GL_LUMINANCE_FLOAT32_APPLE     = $8818;
  GL_LUMINANCE_FLOAT32_ATI       = $8818;
  GL_LUMINANCE_ALPHA32F_ARB      = $8819;
  GL_LUMINANCE_ALPHA32F_EXT      = $8819;
  GL_LUMINANCE_ALPHA_FLOAT32_APPLE  = $8819;
  GL_LUMINANCE_ALPHA_FLOAT32_ATI  = $8819;
  GL_RGBA16F                     = $881A;
  GL_RGBA16F_ARB                 = $881A;
  GL_RGBA16F_EXT                 = $881A;
  GL_RGBA_FLOAT16_APPLE          = $881A;
  GL_RGBA_FLOAT16_ATI            = $881A;
  GL_RGB16F                      = $881B;
  GL_RGB16F_ARB                  = $881B;
  GL_RGB16F_EXT                  = $881B;
  GL_RGB_FLOAT16_APPLE           = $881B;
  GL_RGB_FLOAT16_ATI             = $881B;
  GL_ALPHA16F_ARB                = $881C;
  GL_ALPHA16F_EXT                = $881C;
  GL_ALPHA_FLOAT16_APPLE         = $881C;
  GL_ALPHA_FLOAT16_ATI           = $881C;
  GL_INTENSITY16F_ARB            = $881D;
  GL_INTENSITY_FLOAT16_APPLE     = $881D;
  GL_INTENSITY_FLOAT16_ATI       = $881D;
  GL_LUMINANCE16F_ARB            = $881E;
  GL_LUMINANCE16F_EXT            = $881E;
  GL_LUMINANCE_FLOAT16_APPLE     = $881E;
  GL_LUMINANCE_FLOAT16_ATI       = $881E;
  GL_LUMINANCE_ALPHA16F_ARB      = $881F;
  GL_LUMINANCE_ALPHA16F_EXT      = $881F;
  GL_LUMINANCE_ALPHA_FLOAT16_APPLE  = $881F;
  GL_LUMINANCE_ALPHA_FLOAT16_ATI  = $881F;
  GL_RGBA_FLOAT_MODE_ARB         = $8820;
  GL_RGBA_FLOAT_MODE_ATI         = $8820;
  GL_WRITEONLY_RENDERING_QCOM    = $8823;
  GL_MAX_DRAW_BUFFERS            = $8824;
  GL_MAX_DRAW_BUFFERS_ARB        = $8824;
  GL_MAX_DRAW_BUFFERS_ATI        = $8824;
  GL_MAX_DRAW_BUFFERS_EXT        = $8824;
  GL_MAX_DRAW_BUFFERS_NV         = $8824;
  GL_DRAW_BUFFER0                = $8825;
  GL_DRAW_BUFFER0_ARB            = $8825;
  GL_DRAW_BUFFER0_ATI            = $8825;
  GL_DRAW_BUFFER0_EXT            = $8825;
  GL_DRAW_BUFFER0_NV             = $8825;
  GL_DRAW_BUFFER1                = $8826;
  GL_DRAW_BUFFER1_ARB            = $8826;
  GL_DRAW_BUFFER1_ATI            = $8826;
  GL_DRAW_BUFFER1_EXT            = $8826;
  GL_DRAW_BUFFER1_NV             = $8826;
  GL_DRAW_BUFFER2                = $8827;
  GL_DRAW_BUFFER2_ARB            = $8827;
  GL_DRAW_BUFFER2_ATI            = $8827;
  GL_DRAW_BUFFER2_EXT            = $8827;
  GL_DRAW_BUFFER2_NV             = $8827;
  GL_DRAW_BUFFER3                = $8828;
  GL_DRAW_BUFFER3_ARB            = $8828;
  GL_DRAW_BUFFER3_ATI            = $8828;
  GL_DRAW_BUFFER3_EXT            = $8828;
  GL_DRAW_BUFFER3_NV             = $8828;
  GL_DRAW_BUFFER4                = $8829;
  GL_DRAW_BUFFER4_ARB            = $8829;
  GL_DRAW_BUFFER4_ATI            = $8829;
  GL_DRAW_BUFFER4_EXT            = $8829;
  GL_DRAW_BUFFER4_NV             = $8829;
  GL_DRAW_BUFFER5                = $882A;
  GL_DRAW_BUFFER5_ARB            = $882A;
  GL_DRAW_BUFFER5_ATI            = $882A;
  GL_DRAW_BUFFER5_EXT            = $882A;
  GL_DRAW_BUFFER5_NV             = $882A;
  GL_DRAW_BUFFER6                = $882B;
  GL_DRAW_BUFFER6_ARB            = $882B;
  GL_DRAW_BUFFER6_ATI            = $882B;
  GL_DRAW_BUFFER6_EXT            = $882B;
  GL_DRAW_BUFFER6_NV             = $882B;
  GL_DRAW_BUFFER7                = $882C;
  GL_DRAW_BUFFER7_ARB            = $882C;
  GL_DRAW_BUFFER7_ATI            = $882C;
  GL_DRAW_BUFFER7_EXT            = $882C;
  GL_DRAW_BUFFER7_NV             = $882C;
  GL_DRAW_BUFFER8                = $882D;
  GL_DRAW_BUFFER8_ARB            = $882D;
  GL_DRAW_BUFFER8_ATI            = $882D;
  GL_DRAW_BUFFER8_EXT            = $882D;
  GL_DRAW_BUFFER8_NV             = $882D;
  GL_DRAW_BUFFER9                = $882E;
  GL_DRAW_BUFFER9_ARB            = $882E;
  GL_DRAW_BUFFER9_ATI            = $882E;
  GL_DRAW_BUFFER9_EXT            = $882E;
  GL_DRAW_BUFFER9_NV             = $882E;
  GL_DRAW_BUFFER10               = $882F;
  GL_DRAW_BUFFER10_ARB           = $882F;
  GL_DRAW_BUFFER10_ATI           = $882F;
  GL_DRAW_BUFFER10_EXT           = $882F;
  GL_DRAW_BUFFER10_NV            = $882F;
  GL_DRAW_BUFFER11               = $8830;
  GL_DRAW_BUFFER11_ARB           = $8830;
  GL_DRAW_BUFFER11_ATI           = $8830;
  GL_DRAW_BUFFER11_EXT           = $8830;
  GL_DRAW_BUFFER11_NV            = $8830;
  GL_DRAW_BUFFER12               = $8831;
  GL_DRAW_BUFFER12_ARB           = $8831;
  GL_DRAW_BUFFER12_ATI           = $8831;
  GL_DRAW_BUFFER12_EXT           = $8831;
  GL_DRAW_BUFFER12_NV            = $8831;
  GL_DRAW_BUFFER13               = $8832;
  GL_DRAW_BUFFER13_ARB           = $8832;
  GL_DRAW_BUFFER13_ATI           = $8832;
  GL_DRAW_BUFFER13_EXT           = $8832;
  GL_DRAW_BUFFER13_NV            = $8832;
  GL_DRAW_BUFFER14               = $8833;
  GL_DRAW_BUFFER14_ARB           = $8833;
  GL_DRAW_BUFFER14_ATI           = $8833;
  GL_DRAW_BUFFER14_EXT           = $8833;
  GL_DRAW_BUFFER14_NV            = $8833;
  GL_DRAW_BUFFER15               = $8834;
  GL_DRAW_BUFFER15_ARB           = $8834;
  GL_DRAW_BUFFER15_ATI           = $8834;
  GL_DRAW_BUFFER15_EXT           = $8834;
  GL_DRAW_BUFFER15_NV            = $8834;
  GL_COLOR_CLEAR_UNCLAMPED_VALUE_ATI  = $8835;
  GL_BLEND_EQUATION_ALPHA        = $883D;
  GL_BLEND_EQUATION_ALPHA_EXT    = $883D;
  GL_BLEND_EQUATION_ALPHA_OES    = $883D;
  GL_SUBSAMPLE_DISTANCE_AMD      = $883F;
  GL_MATRIX_PALETTE_ARB          = $8840;
  GL_MATRIX_PALETTE_OES          = $8840;
  GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB  = $8841;
  GL_MAX_PALETTE_MATRICES_ARB    = $8842;
  GL_MAX_PALETTE_MATRICES_OES    = $8842;
  GL_CURRENT_PALETTE_MATRIX_ARB  = $8843;
  GL_CURRENT_PALETTE_MATRIX_OES  = $8843;
  GL_MATRIX_INDEX_ARRAY_ARB      = $8844;
  GL_MATRIX_INDEX_ARRAY_OES      = $8844;
  GL_CURRENT_MATRIX_INDEX_ARB    = $8845;
  GL_MATRIX_INDEX_ARRAY_SIZE_ARB  = $8846;
  GL_MATRIX_INDEX_ARRAY_SIZE_OES  = $8846;
  GL_MATRIX_INDEX_ARRAY_TYPE_ARB  = $8847;
  GL_MATRIX_INDEX_ARRAY_TYPE_OES  = $8847;
  GL_MATRIX_INDEX_ARRAY_STRIDE_ARB  = $8848;
  GL_MATRIX_INDEX_ARRAY_STRIDE_OES  = $8848;
  GL_MATRIX_INDEX_ARRAY_POINTER_ARB  = $8849;
  GL_MATRIX_INDEX_ARRAY_POINTER_OES  = $8849;
  GL_TEXTURE_DEPTH_SIZE          = $884A;
  GL_TEXTURE_DEPTH_SIZE_ARB      = $884A;
  GL_DEPTH_TEXTURE_MODE          = $884B;
  GL_DEPTH_TEXTURE_MODE_ARB      = $884B;
  GL_TEXTURE_COMPARE_MODE        = $884C;
  GL_TEXTURE_COMPARE_MODE_ARB    = $884C;
  GL_TEXTURE_COMPARE_MODE_EXT    = $884C;
  GL_TEXTURE_COMPARE_FUNC        = $884D;
  GL_TEXTURE_COMPARE_FUNC_ARB    = $884D;
  GL_TEXTURE_COMPARE_FUNC_EXT    = $884D;
  GL_COMPARE_R_TO_TEXTURE        = $884E;
  GL_COMPARE_R_TO_TEXTURE_ARB    = $884E;
  GL_COMPARE_REF_DEPTH_TO_TEXTURE_EXT  = $884E;
  GL_COMPARE_REF_TO_TEXTURE      = $884E;
  GL_COMPARE_REF_TO_TEXTURE_EXT  = $884E;
  GL_TEXTURE_CUBE_MAP_SEAMLESS   = $884F;
  GL_OFFSET_PROJECTIVE_TEXTURE_2D_NV  = $8850;
  GL_OFFSET_PROJECTIVE_TEXTURE_2D_SCALE_NV  = $8851;
  GL_OFFSET_PROJECTIVE_TEXTURE_RECTANGLE_NV  = $8852;
  GL_OFFSET_PROJECTIVE_TEXTURE_RECTANGLE_SCALE_NV  = $8853;
  GL_OFFSET_HILO_TEXTURE_2D_NV   = $8854;
  GL_OFFSET_HILO_TEXTURE_RECTANGLE_NV  = $8855;
  GL_OFFSET_HILO_PROJECTIVE_TEXTURE_2D_NV  = $8856;
  GL_OFFSET_HILO_PROJECTIVE_TEXTURE_RECTANGLE_NV  = $8857;
  GL_DEPENDENT_HILO_TEXTURE_2D_NV  = $8858;
  GL_DEPENDENT_RGB_TEXTURE_3D_NV  = $8859;
  GL_DEPENDENT_RGB_TEXTURE_CUBE_MAP_NV  = $885A;
  GL_DOT_PRODUCT_PASS_THROUGH_NV  = $885B;
  GL_DOT_PRODUCT_TEXTURE_1D_NV   = $885C;
  GL_DOT_PRODUCT_AFFINE_DEPTH_REPLACE_NV  = $885D;
  GL_HILO8_NV                    = $885E;
  GL_SIGNED_HILO8_NV             = $885F;
  GL_FORCE_BLUE_TO_ONE_NV        = $8860;
  GL_POINT_SPRITE                = $8861;
  GL_POINT_SPRITE_ARB            = $8861;
  GL_POINT_SPRITE_NV             = $8861;
  GL_POINT_SPRITE_OES            = $8861;
  GL_COORD_REPLACE               = $8862;
  GL_COORD_REPLACE_ARB           = $8862;
  GL_COORD_REPLACE_NV            = $8862;
  GL_COORD_REPLACE_OES           = $8862;
  GL_POINT_SPRITE_R_MODE_NV      = $8863;
  GL_PIXEL_COUNTER_BITS_NV       = $8864;
  GL_QUERY_COUNTER_BITS          = $8864;
  GL_QUERY_COUNTER_BITS_ARB      = $8864;
  GL_QUERY_COUNTER_BITS_EXT      = $8864;
  GL_CURRENT_OCCLUSION_QUERY_ID_NV  = $8865;
  GL_CURRENT_QUERY               = $8865;
  GL_CURRENT_QUERY_ARB           = $8865;
  GL_CURRENT_QUERY_EXT           = $8865;
  GL_PIXEL_COUNT_NV              = $8866;
  GL_QUERY_RESULT                = $8866;
  GL_QUERY_RESULT_ARB            = $8866;
  GL_QUERY_RESULT_EXT            = $8866;
  GL_PIXEL_COUNT_AVAILABLE_NV    = $8867;
  GL_QUERY_RESULT_AVAILABLE      = $8867;
  GL_QUERY_RESULT_AVAILABLE_ARB  = $8867;
  GL_QUERY_RESULT_AVAILABLE_EXT  = $8867;
  GL_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV  = $8868;
  GL_MAX_VERTEX_ATTRIBS          = $8869;
  GL_MAX_VERTEX_ATTRIBS_ARB      = $8869;
  GL_VERTEX_ATTRIB_ARRAY_NORMALIZED  = $886A;
  GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB  = $886A;
  GL_MAX_TESS_CONTROL_INPUT_COMPONENTS  = $886C;
  GL_MAX_TESS_CONTROL_INPUT_COMPONENTS_EXT  = $886C;
  GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS  = $886D;
  GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS_EXT  = $886D;
  GL_DEPTH_STENCIL_TO_RGBA_NV    = $886E;
  GL_DEPTH_STENCIL_TO_BGRA_NV    = $886F;
  GL_FRAGMENT_PROGRAM_NV         = $8870;
  GL_MAX_TEXTURE_COORDS          = $8871;
  GL_MAX_TEXTURE_COORDS_ARB      = $8871;
  GL_MAX_TEXTURE_COORDS_NV       = $8871;
  GL_MAX_TEXTURE_IMAGE_UNITS     = $8872;
  GL_MAX_TEXTURE_IMAGE_UNITS_ARB  = $8872;
  GL_MAX_TEXTURE_IMAGE_UNITS_NV  = $8872;
  GL_FRAGMENT_PROGRAM_BINDING_NV  = $8873;
  GL_PROGRAM_ERROR_STRING_ARB    = $8874;
  GL_PROGRAM_ERROR_STRING_NV     = $8874;
  GL_PROGRAM_FORMAT_ASCII_ARB    = $8875;
  GL_PROGRAM_FORMAT_ARB          = $8876;
  GL_WRITE_PIXEL_DATA_RANGE_NV   = $8878;
  GL_READ_PIXEL_DATA_RANGE_NV    = $8879;
  GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV  = $887A;
  GL_READ_PIXEL_DATA_RANGE_LENGTH_NV  = $887B;
  GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV  = $887C;
  GL_READ_PIXEL_DATA_RANGE_POINTER_NV  = $887D;
  GL_GEOMETRY_SHADER_INVOCATIONS  = $887F;
  GL_GEOMETRY_SHADER_INVOCATIONS_EXT  = $887F;
  GL_FLOAT_R_NV                  = $8880;
  GL_FLOAT_RG_NV                 = $8881;
  GL_FLOAT_RGB_NV                = $8882;
  GL_FLOAT_RGBA_NV               = $8883;
  GL_FLOAT_R16_NV                = $8884;
  GL_FLOAT_R32_NV                = $8885;
  GL_FLOAT_RG16_NV               = $8886;
  GL_FLOAT_RG32_NV               = $8887;
  GL_FLOAT_RGB16_NV              = $8888;
  GL_FLOAT_RGB32_NV              = $8889;
  GL_FLOAT_RGBA16_NV             = $888A;
  GL_FLOAT_RGBA32_NV             = $888B;
  GL_TEXTURE_FLOAT_COMPONENTS_NV  = $888C;
  GL_FLOAT_CLEAR_COLOR_VALUE_NV  = $888D;
  GL_FLOAT_RGBA_MODE_NV          = $888E;
  GL_TEXTURE_UNSIGNED_REMAP_MODE_NV  = $888F;
  GL_DEPTH_BOUNDS_TEST_EXT       = $8890;
  GL_DEPTH_BOUNDS_EXT            = $8891;
  GL_ARRAY_BUFFER                = $8892;
  GL_ARRAY_BUFFER_ARB            = $8892;
  GL_ELEMENT_ARRAY_BUFFER        = $8893;
  GL_ELEMENT_ARRAY_BUFFER_ARB    = $8893;
  GL_ARRAY_BUFFER_BINDING        = $8894;
  GL_ARRAY_BUFFER_BINDING_ARB    = $8894;
  GL_ELEMENT_ARRAY_BUFFER_BINDING  = $8895;
  GL_ELEMENT_ARRAY_BUFFER_BINDING_ARB  = $8895;
  GL_VERTEX_ARRAY_BUFFER_BINDING  = $8896;
  GL_VERTEX_ARRAY_BUFFER_BINDING_ARB  = $8896;
  GL_NORMAL_ARRAY_BUFFER_BINDING  = $8897;
  GL_NORMAL_ARRAY_BUFFER_BINDING_ARB  = $8897;
  GL_COLOR_ARRAY_BUFFER_BINDING  = $8898;
  GL_COLOR_ARRAY_BUFFER_BINDING_ARB  = $8898;
  GL_INDEX_ARRAY_BUFFER_BINDING  = $8899;
  GL_INDEX_ARRAY_BUFFER_BINDING_ARB  = $8899;
  GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING  = $889A;
  GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING_ARB  = $889A;
  GL_EDGE_FLAG_ARRAY_BUFFER_BINDING  = $889B;
  GL_EDGE_FLAG_ARRAY_BUFFER_BINDING_ARB  = $889B;
  GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING  = $889C;
  GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING_ARB  = $889C;
  GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB  = $889D;
  GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING  = $889D;
  GL_FOG_COORD_ARRAY_BUFFER_BINDING  = $889D;
  GL_WEIGHT_ARRAY_BUFFER_BINDING  = $889E;
  GL_WEIGHT_ARRAY_BUFFER_BINDING_ARB  = $889E;
  GL_WEIGHT_ARRAY_BUFFER_BINDING_OES  = $889E;
  GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING  = $889F;
  GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING_ARB  = $889F;
  GL_PROGRAM_INSTRUCTIONS_ARB    = $88A0;
  GL_MAX_PROGRAM_INSTRUCTIONS_ARB  = $88A1;
  GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB  = $88A2;
  GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB  = $88A3;
  GL_PROGRAM_TEMPORARIES_ARB     = $88A4;
  GL_MAX_PROGRAM_TEMPORARIES_ARB  = $88A5;
  GL_PROGRAM_NATIVE_TEMPORARIES_ARB  = $88A6;
  GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB  = $88A7;
  GL_PROGRAM_PARAMETERS_ARB      = $88A8;
  GL_MAX_PROGRAM_PARAMETERS_ARB  = $88A9;
  GL_PROGRAM_NATIVE_PARAMETERS_ARB  = $88AA;
  GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB  = $88AB;
  GL_PROGRAM_ATTRIBS_ARB         = $88AC;
  GL_MAX_PROGRAM_ATTRIBS_ARB     = $88AD;
  GL_PROGRAM_NATIVE_ATTRIBS_ARB  = $88AE;
  GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB  = $88AF;
  GL_PROGRAM_ADDRESS_REGISTERS_ARB  = $88B0;
  GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB  = $88B1;
  GL_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB  = $88B2;
  GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB  = $88B3;
  GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB  = $88B4;
  GL_MAX_PROGRAM_ENV_PARAMETERS_ARB  = $88B5;
  GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB  = $88B6;
  GL_TRANSPOSE_CURRENT_MATRIX_ARB  = $88B7;
  GL_READ_ONLY                   = $88B8;
  GL_READ_ONLY_ARB               = $88B8;
  GL_WRITE_ONLY                  = $88B9;
  GL_WRITE_ONLY_ARB              = $88B9;
  GL_WRITE_ONLY_OES              = $88B9;
  GL_READ_WRITE                  = $88BA;
  GL_READ_WRITE_ARB              = $88BA;
  GL_BUFFER_ACCESS               = $88BB;
  GL_BUFFER_ACCESS_ARB           = $88BB;
  GL_BUFFER_ACCESS_OES           = $88BB;
  GL_BUFFER_MAPPED               = $88BC;
  GL_BUFFER_MAPPED_ARB           = $88BC;
  GL_BUFFER_MAPPED_OES           = $88BC;
  GL_BUFFER_MAP_POINTER          = $88BD;
  GL_BUFFER_MAP_POINTER_ARB      = $88BD;
  GL_BUFFER_MAP_POINTER_OES      = $88BD;
  GL_WRITE_DISCARD_NV            = $88BE;
  GL_TIME_ELAPSED                = $88BF;
  GL_TIME_ELAPSED_EXT            = $88BF;
  GL_MATRIX0_ARB                 = $88C0;
  GL_MATRIX1_ARB                 = $88C1;
  GL_MATRIX2_ARB                 = $88C2;
  GL_MATRIX3_ARB                 = $88C3;
  GL_MATRIX4_ARB                 = $88C4;
  GL_MATRIX5_ARB                 = $88C5;
  GL_MATRIX6_ARB                 = $88C6;
  GL_MATRIX7_ARB                 = $88C7;
  GL_MATRIX8_ARB                 = $88C8;
  GL_MATRIX9_ARB                 = $88C9;
  GL_MATRIX10_ARB                = $88CA;
  GL_MATRIX11_ARB                = $88CB;
  GL_MATRIX12_ARB                = $88CC;
  GL_MATRIX13_ARB                = $88CD;
  GL_MATRIX14_ARB                = $88CE;
  GL_MATRIX15_ARB                = $88CF;
  GL_MATRIX16_ARB                = $88D0;
  GL_MATRIX17_ARB                = $88D1;
  GL_MATRIX18_ARB                = $88D2;
  GL_MATRIX19_ARB                = $88D3;
  GL_MATRIX20_ARB                = $88D4;
  GL_MATRIX21_ARB                = $88D5;
  GL_MATRIX22_ARB                = $88D6;
  GL_MATRIX23_ARB                = $88D7;
  GL_MATRIX24_ARB                = $88D8;
  GL_MATRIX25_ARB                = $88D9;
  GL_MATRIX26_ARB                = $88DA;
  GL_MATRIX27_ARB                = $88DB;
  GL_MATRIX28_ARB                = $88DC;
  GL_MATRIX29_ARB                = $88DD;
  GL_MATRIX30_ARB                = $88DE;
  GL_MATRIX31_ARB                = $88DF;
  GL_STREAM_DRAW                 = $88E0;
  GL_STREAM_DRAW_ARB             = $88E0;
  GL_STREAM_READ                 = $88E1;
  GL_STREAM_READ_ARB             = $88E1;
  GL_STREAM_COPY                 = $88E2;
  GL_STREAM_COPY_ARB             = $88E2;
  GL_STATIC_DRAW                 = $88E4;
  GL_STATIC_DRAW_ARB             = $88E4;
  GL_STATIC_READ                 = $88E5;
  GL_STATIC_READ_ARB             = $88E5;
  GL_STATIC_COPY                 = $88E6;
  GL_STATIC_COPY_ARB             = $88E6;
  GL_DYNAMIC_DRAW                = $88E8;
  GL_DYNAMIC_DRAW_ARB            = $88E8;
  GL_DYNAMIC_READ                = $88E9;
  GL_DYNAMIC_READ_ARB            = $88E9;
  GL_DYNAMIC_COPY                = $88EA;
  GL_DYNAMIC_COPY_ARB            = $88EA;
  GL_PIXEL_PACK_BUFFER           = $88EB;
  GL_PIXEL_PACK_BUFFER_ARB       = $88EB;
  GL_PIXEL_PACK_BUFFER_EXT       = $88EB;
  GL_PIXEL_UNPACK_BUFFER         = $88EC;
  GL_PIXEL_UNPACK_BUFFER_ARB     = $88EC;
  GL_PIXEL_UNPACK_BUFFER_EXT     = $88EC;
  GL_PIXEL_PACK_BUFFER_BINDING   = $88ED;
  GL_PIXEL_PACK_BUFFER_BINDING_ARB  = $88ED;
  GL_PIXEL_PACK_BUFFER_BINDING_EXT  = $88ED;
  GL_ETC1_SRGB8_NV               = $88EE;
  GL_PIXEL_UNPACK_BUFFER_BINDING  = $88EF;
  GL_PIXEL_UNPACK_BUFFER_BINDING_ARB  = $88EF;
  GL_PIXEL_UNPACK_BUFFER_BINDING_EXT  = $88EF;
  GL_DEPTH24_STENCIL8            = $88F0;
  GL_DEPTH24_STENCIL8_EXT        = $88F0;
  GL_DEPTH24_STENCIL8_OES        = $88F0;
  GL_TEXTURE_STENCIL_SIZE        = $88F1;
  GL_TEXTURE_STENCIL_SIZE_EXT    = $88F1;
  GL_STENCIL_TAG_BITS_EXT        = $88F2;
  GL_STENCIL_CLEAR_TAG_VALUE_EXT  = $88F3;
  GL_MAX_PROGRAM_EXEC_INSTRUCTIONS_NV  = $88F4;
  GL_MAX_PROGRAM_CALL_DEPTH_NV   = $88F5;
  GL_MAX_PROGRAM_IF_DEPTH_NV     = $88F6;
  GL_MAX_PROGRAM_LOOP_DEPTH_NV   = $88F7;
  GL_MAX_PROGRAM_LOOP_COUNT_NV   = $88F8;
  GL_SRC1_COLOR                  = $88F9;
  GL_ONE_MINUS_SRC1_COLOR        = $88FA;
  GL_ONE_MINUS_SRC1_ALPHA        = $88FB;
  GL_MAX_DUAL_SOURCE_DRAW_BUFFERS  = $88FC;
  GL_VERTEX_ATTRIB_ARRAY_INTEGER  = $88FD;
  GL_VERTEX_ATTRIB_ARRAY_INTEGER_EXT  = $88FD;
  GL_VERTEX_ATTRIB_ARRAY_INTEGER_NV  = $88FD;
  GL_VERTEX_ATTRIB_ARRAY_DIVISOR  = $88FE;
  GL_VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE  = $88FE;
  GL_VERTEX_ATTRIB_ARRAY_DIVISOR_ARB  = $88FE;
  GL_VERTEX_ATTRIB_ARRAY_DIVISOR_EXT  = $88FE;
  GL_VERTEX_ATTRIB_ARRAY_DIVISOR_NV  = $88FE;
  GL_MAX_ARRAY_TEXTURE_LAYERS    = $88FF;
  GL_MAX_ARRAY_TEXTURE_LAYERS_EXT  = $88FF;
  GL_MIN_PROGRAM_TEXEL_OFFSET    = $8904;
  GL_MIN_PROGRAM_TEXEL_OFFSET_EXT  = $8904;
  GL_MIN_PROGRAM_TEXEL_OFFSET_NV  = $8904;
  GL_MAX_PROGRAM_TEXEL_OFFSET    = $8905;
  GL_MAX_PROGRAM_TEXEL_OFFSET_EXT  = $8905;
  GL_MAX_PROGRAM_TEXEL_OFFSET_NV  = $8905;
  GL_PROGRAM_ATTRIB_COMPONENTS_NV  = $8906;
  GL_PROGRAM_RESULT_COMPONENTS_NV  = $8907;
  GL_MAX_PROGRAM_ATTRIB_COMPONENTS_NV  = $8908;
  GL_MAX_PROGRAM_RESULT_COMPONENTS_NV  = $8909;
  GL_STENCIL_TEST_TWO_SIDE_EXT   = $8910;
  GL_ACTIVE_STENCIL_FACE_EXT     = $8911;
  GL_MIRROR_CLAMP_TO_BORDER_EXT  = $8912;
  GL_SAMPLES_PASSED              = $8914;
  GL_SAMPLES_PASSED_ARB          = $8914;
  GL_GEOMETRY_VERTICES_OUT       = $8916;
  GL_GEOMETRY_LINKED_VERTICES_OUT_EXT  = $8916;
  GL_GEOMETRY_INPUT_TYPE         = $8917;
  GL_GEOMETRY_LINKED_INPUT_TYPE_EXT  = $8917;
  GL_GEOMETRY_OUTPUT_TYPE        = $8918;
  GL_GEOMETRY_LINKED_OUTPUT_TYPE_EXT  = $8918;
  GL_SAMPLER_BINDING             = $8919;
  GL_CLAMP_VERTEX_COLOR          = $891A;
  GL_CLAMP_VERTEX_COLOR_ARB      = $891A;
  GL_CLAMP_FRAGMENT_COLOR        = $891B;
  GL_CLAMP_FRAGMENT_COLOR_ARB    = $891B;
  GL_CLAMP_READ_COLOR            = $891C;
  GL_CLAMP_READ_COLOR_ARB        = $891C;
  GL_FIXED_ONLY                  = $891D;
  GL_FIXED_ONLY_ARB              = $891D;
  GL_TESS_CONTROL_PROGRAM_NV     = $891E;
  GL_TESS_EVALUATION_PROGRAM_NV  = $891F;
  GL_FRAGMENT_SHADER_ATI         = $8920;
  GL_REG_0_ATI                   = $8921;
  GL_REG_1_ATI                   = $8922;
  GL_REG_2_ATI                   = $8923;
  GL_REG_3_ATI                   = $8924;
  GL_REG_4_ATI                   = $8925;
  GL_REG_5_ATI                   = $8926;
  GL_REG_6_ATI                   = $8927;
  GL_REG_7_ATI                   = $8928;
  GL_REG_8_ATI                   = $8929;
  GL_REG_9_ATI                   = $892A;
  GL_REG_10_ATI                  = $892B;
  GL_REG_11_ATI                  = $892C;
  GL_REG_12_ATI                  = $892D;
  GL_REG_13_ATI                  = $892E;
  GL_REG_14_ATI                  = $892F;
  GL_REG_15_ATI                  = $8930;
  GL_REG_16_ATI                  = $8931;
  GL_REG_17_ATI                  = $8932;
  GL_REG_18_ATI                  = $8933;
  GL_REG_19_ATI                  = $8934;
  GL_REG_20_ATI                  = $8935;
  GL_REG_21_ATI                  = $8936;
  GL_REG_22_ATI                  = $8937;
  GL_REG_23_ATI                  = $8938;
  GL_REG_24_ATI                  = $8939;
  GL_REG_25_ATI                  = $893A;
  GL_REG_26_ATI                  = $893B;
  GL_REG_27_ATI                  = $893C;
  GL_REG_28_ATI                  = $893D;
  GL_REG_29_ATI                  = $893E;
  GL_REG_30_ATI                  = $893F;
  GL_REG_31_ATI                  = $8940;
  GL_CON_0_ATI                   = $8941;
  GL_CON_1_ATI                   = $8942;
  GL_CON_2_ATI                   = $8943;
  GL_CON_3_ATI                   = $8944;
  GL_CON_4_ATI                   = $8945;
  GL_CON_5_ATI                   = $8946;
  GL_CON_6_ATI                   = $8947;
  GL_CON_7_ATI                   = $8948;
  GL_CON_8_ATI                   = $8949;
  GL_CON_9_ATI                   = $894A;
  GL_CON_10_ATI                  = $894B;
  GL_CON_11_ATI                  = $894C;
  GL_CON_12_ATI                  = $894D;
  GL_CON_13_ATI                  = $894E;
  GL_CON_14_ATI                  = $894F;
  GL_CON_15_ATI                  = $8950;
  GL_CON_16_ATI                  = $8951;
  GL_CON_17_ATI                  = $8952;
  GL_CON_18_ATI                  = $8953;
  GL_CON_19_ATI                  = $8954;
  GL_CON_20_ATI                  = $8955;
  GL_CON_21_ATI                  = $8956;
  GL_CON_22_ATI                  = $8957;
  GL_CON_23_ATI                  = $8958;
  GL_CON_24_ATI                  = $8959;
  GL_CON_25_ATI                  = $895A;
  GL_CON_26_ATI                  = $895B;
  GL_CON_27_ATI                  = $895C;
  GL_CON_28_ATI                  = $895D;
  GL_CON_29_ATI                  = $895E;
  GL_CON_30_ATI                  = $895F;
  GL_CON_31_ATI                  = $8960;
  GL_MOV_ATI                     = $8961;
  GL_ADD_ATI                     = $8963;
  GL_MUL_ATI                     = $8964;
  GL_SUB_ATI                     = $8965;
  GL_DOT3_ATI                    = $8966;
  GL_DOT4_ATI                    = $8967;
  GL_MAD_ATI                     = $8968;
  GL_LERP_ATI                    = $8969;
  GL_CND_ATI                     = $896A;
  GL_CND0_ATI                    = $896B;
  GL_DOT2_ADD_ATI                = $896C;
  GL_SECONDARY_INTERPOLATOR_ATI  = $896D;
  GL_NUM_FRAGMENT_REGISTERS_ATI  = $896E;
  GL_NUM_FRAGMENT_CONSTANTS_ATI  = $896F;
  GL_NUM_PASSES_ATI              = $8970;
  GL_NUM_INSTRUCTIONS_PER_PASS_ATI  = $8971;
  GL_NUM_INSTRUCTIONS_TOTAL_ATI  = $8972;
  GL_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI  = $8973;
  GL_NUM_LOOPBACK_COMPONENTS_ATI  = $8974;
  GL_COLOR_ALPHA_PAIRING_ATI     = $8975;
  GL_SWIZZLE_STR_ATI             = $8976;
  GL_SWIZZLE_STQ_ATI             = $8977;
  GL_SWIZZLE_STR_DR_ATI          = $8978;
  GL_SWIZZLE_STQ_DQ_ATI          = $8979;
  GL_SWIZZLE_STRQ_ATI            = $897A;
  GL_SWIZZLE_STRQ_DQ_ATI         = $897B;
  GL_INTERLACE_OML               = $8980;
  GL_INTERLACE_READ_OML          = $8981;
  GL_FORMAT_SUBSAMPLE_24_24_OML  = $8982;
  GL_FORMAT_SUBSAMPLE_244_244_OML  = $8983;
  GL_PACK_RESAMPLE_OML           = $8984;
  GL_UNPACK_RESAMPLE_OML         = $8985;
  GL_RESAMPLE_REPLICATE_OML      = $8986;
  GL_RESAMPLE_ZERO_FILL_OML      = $8987;
  GL_RESAMPLE_AVERAGE_OML        = $8988;
  GL_RESAMPLE_DECIMATE_OML       = $8989;
  GL_POINT_SIZE_ARRAY_TYPE_OES   = $898A;
  GL_POINT_SIZE_ARRAY_STRIDE_OES  = $898B;
  GL_POINT_SIZE_ARRAY_POINTER_OES  = $898C;
  GL_MODELVIEW_MATRIX_FLOAT_AS_INT_BITS_OES  = $898D;
  GL_PROJECTION_MATRIX_FLOAT_AS_INT_BITS_OES  = $898E;
  GL_TEXTURE_MATRIX_FLOAT_AS_INT_BITS_OES  = $898F;
  GL_VERTEX_ATTRIB_MAP1_APPLE    = $8A00;
  GL_VERTEX_ATTRIB_MAP2_APPLE    = $8A01;
  GL_VERTEX_ATTRIB_MAP1_SIZE_APPLE  = $8A02;
  GL_VERTEX_ATTRIB_MAP1_COEFF_APPLE  = $8A03;
  GL_VERTEX_ATTRIB_MAP1_ORDER_APPLE  = $8A04;
  GL_VERTEX_ATTRIB_MAP1_DOMAIN_APPLE  = $8A05;
  GL_VERTEX_ATTRIB_MAP2_SIZE_APPLE  = $8A06;
  GL_VERTEX_ATTRIB_MAP2_COEFF_APPLE  = $8A07;
  GL_VERTEX_ATTRIB_MAP2_ORDER_APPLE  = $8A08;
  GL_VERTEX_ATTRIB_MAP2_DOMAIN_APPLE  = $8A09;
  GL_DRAW_PIXELS_APPLE           = $8A0A;
  GL_FENCE_APPLE                 = $8A0B;
  GL_ELEMENT_ARRAY_APPLE         = $8A0C;
  GL_ELEMENT_ARRAY_TYPE_APPLE    = $8A0D;
  GL_ELEMENT_ARRAY_POINTER_APPLE  = $8A0E;
  GL_COLOR_FLOAT_APPLE           = $8A0F;
  GL_UNIFORM_BUFFER              = $8A11;
  GL_BUFFER_SERIALIZED_MODIFY_APPLE  = $8A12;
  GL_BUFFER_FLUSHING_UNMAP_APPLE  = $8A13;
  GL_AUX_DEPTH_STENCIL_APPLE     = $8A14;
  GL_PACK_ROW_BYTES_APPLE        = $8A15;
  GL_UNPACK_ROW_BYTES_APPLE      = $8A16;
  GL_RELEASED_APPLE              = $8A19;
  GL_VOLATILE_APPLE              = $8A1A;
  GL_RETAINED_APPLE              = $8A1B;
  GL_UNDEFINED_APPLE             = $8A1C;
  GL_PURGEABLE_APPLE             = $8A1D;
  GL_RGB_422_APPLE               = $8A1F;
  GL_UNIFORM_BUFFER_BINDING      = $8A28;
  GL_UNIFORM_BUFFER_START        = $8A29;
  GL_UNIFORM_BUFFER_SIZE         = $8A2A;
  GL_MAX_VERTEX_UNIFORM_BLOCKS   = $8A2B;
  GL_MAX_GEOMETRY_UNIFORM_BLOCKS  = $8A2C;
  GL_MAX_GEOMETRY_UNIFORM_BLOCKS_EXT  = $8A2C;
  GL_MAX_FRAGMENT_UNIFORM_BLOCKS  = $8A2D;
  GL_MAX_COMBINED_UNIFORM_BLOCKS  = $8A2E;
  GL_MAX_UNIFORM_BUFFER_BINDINGS  = $8A2F;
  GL_MAX_UNIFORM_BLOCK_SIZE      = $8A30;
  GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS  = $8A31;
  GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS  = $8A32;
  GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS_EXT  = $8A32;
  GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS  = $8A33;
  GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT  = $8A34;
  GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH  = $8A35;
  GL_ACTIVE_UNIFORM_BLOCKS       = $8A36;
  GL_UNIFORM_TYPE                = $8A37;
  GL_UNIFORM_SIZE                = $8A38;
  GL_UNIFORM_NAME_LENGTH         = $8A39;
  GL_UNIFORM_BLOCK_INDEX         = $8A3A;
  GL_UNIFORM_OFFSET              = $8A3B;
  GL_UNIFORM_ARRAY_STRIDE        = $8A3C;
  GL_UNIFORM_MATRIX_STRIDE       = $8A3D;
  GL_UNIFORM_IS_ROW_MAJOR        = $8A3E;
  GL_UNIFORM_BLOCK_BINDING       = $8A3F;
  GL_UNIFORM_BLOCK_DATA_SIZE     = $8A40;
  GL_UNIFORM_BLOCK_NAME_LENGTH   = $8A41;
  GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS  = $8A42;
  GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES  = $8A43;
  GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER  = $8A44;
  GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER  = $8A45;
  GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER  = $8A46;
  GL_TEXTURE_SRGB_DECODE_EXT     = $8A48;
  GL_DECODE_EXT                  = $8A49;
  GL_SKIP_DECODE_EXT             = $8A4A;
  GL_PROGRAM_PIPELINE_OBJECT_EXT  = $8A4F;
  GL_RGB_RAW_422_APPLE           = $8A51;
  GL_FRAGMENT_SHADER_DISCARDS_SAMPLES_EXT  = $8A52;
  GL_SYNC_OBJECT_APPLE           = $8A53;
  GL_COMPRESSED_SRGB_PVRTC_2BPPV1_EXT  = $8A54;
  GL_COMPRESSED_SRGB_PVRTC_4BPPV1_EXT  = $8A55;
  GL_COMPRESSED_SRGB_ALPHA_PVRTC_2BPPV1_EXT  = $8A56;
  GL_COMPRESSED_SRGB_ALPHA_PVRTC_4BPPV1_EXT  = $8A57;
  GL_FRAGMENT_SHADER             = $8B30;
  GL_FRAGMENT_SHADER_ARB         = $8B30;
  GL_VERTEX_SHADER               = $8B31;
  GL_VERTEX_SHADER_ARB           = $8B31;
  GL_PROGRAM_OBJECT_ARB          = $8B40;
  GL_PROGRAM_OBJECT_EXT          = $8B40;
  GL_SHADER_OBJECT_ARB           = $8B48;
  GL_SHADER_OBJECT_EXT           = $8B48;
  GL_MAX_FRAGMENT_UNIFORM_COMPONENTS  = $8B49;
  GL_MAX_FRAGMENT_UNIFORM_COMPONENTS_ARB  = $8B49;
  GL_MAX_VERTEX_UNIFORM_COMPONENTS  = $8B4A;
  GL_MAX_VERTEX_UNIFORM_COMPONENTS_ARB  = $8B4A;
  GL_MAX_VARYING_FLOATS          = $8B4B;
  GL_MAX_VARYING_COMPONENTS      = $8B4B;
  GL_MAX_VARYING_COMPONENTS_EXT  = $8B4B;
  GL_MAX_VARYING_FLOATS_ARB      = $8B4B;
  GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS  = $8B4C;
  GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB  = $8B4C;
  GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS  = $8B4D;
  GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB  = $8B4D;
  GL_OBJECT_TYPE_ARB             = $8B4E;
  GL_SHADER_TYPE                 = $8B4F;
  GL_OBJECT_SUBTYPE_ARB          = $8B4F;
  GL_FLOAT_VEC2                  = $8B50;
  GL_FLOAT_VEC2_ARB              = $8B50;
  GL_FLOAT_VEC3                  = $8B51;
  GL_FLOAT_VEC3_ARB              = $8B51;
  GL_FLOAT_VEC4                  = $8B52;
  GL_FLOAT_VEC4_ARB              = $8B52;
  GL_INT_VEC2                    = $8B53;
  GL_INT_VEC2_ARB                = $8B53;
  GL_INT_VEC3                    = $8B54;
  GL_INT_VEC3_ARB                = $8B54;
  GL_INT_VEC4                    = $8B55;
  GL_INT_VEC4_ARB                = $8B55;
  GL_BOOL                        = $8B56;
  GL_BOOL_ARB                    = $8B56;
  GL_BOOL_VEC2                   = $8B57;
  GL_BOOL_VEC2_ARB               = $8B57;
  GL_BOOL_VEC3                   = $8B58;
  GL_BOOL_VEC3_ARB               = $8B58;
  GL_BOOL_VEC4                   = $8B59;
  GL_BOOL_VEC4_ARB               = $8B59;
  GL_FLOAT_MAT2                  = $8B5A;
  GL_FLOAT_MAT2_ARB              = $8B5A;
  GL_FLOAT_MAT3                  = $8B5B;
  GL_FLOAT_MAT3_ARB              = $8B5B;
  GL_FLOAT_MAT4                  = $8B5C;
  GL_FLOAT_MAT4_ARB              = $8B5C;
  GL_SAMPLER_1D                  = $8B5D;
  GL_SAMPLER_1D_ARB              = $8B5D;
  GL_SAMPLER_2D                  = $8B5E;
  GL_SAMPLER_2D_ARB              = $8B5E;
  GL_SAMPLER_3D                  = $8B5F;
  GL_SAMPLER_3D_ARB              = $8B5F;
  GL_SAMPLER_3D_OES              = $8B5F;
  GL_SAMPLER_CUBE                = $8B60;
  GL_SAMPLER_CUBE_ARB            = $8B60;
  GL_SAMPLER_1D_SHADOW           = $8B61;
  GL_SAMPLER_1D_SHADOW_ARB       = $8B61;
  GL_SAMPLER_2D_SHADOW           = $8B62;
  GL_SAMPLER_2D_SHADOW_ARB       = $8B62;
  GL_SAMPLER_2D_SHADOW_EXT       = $8B62;
  GL_SAMPLER_2D_RECT             = $8B63;
  GL_SAMPLER_2D_RECT_ARB         = $8B63;
  GL_SAMPLER_2D_RECT_SHADOW      = $8B64;
  GL_SAMPLER_2D_RECT_SHADOW_ARB  = $8B64;
  GL_FLOAT_MAT2x3                = $8B65;
  GL_FLOAT_MAT2x3_NV             = $8B65;
  GL_FLOAT_MAT2x4                = $8B66;
  GL_FLOAT_MAT2x4_NV             = $8B66;
  GL_FLOAT_MAT3x2                = $8B67;
  GL_FLOAT_MAT3x2_NV             = $8B67;
  GL_FLOAT_MAT3x4                = $8B68;
  GL_FLOAT_MAT3x4_NV             = $8B68;
  GL_FLOAT_MAT4x2                = $8B69;
  GL_FLOAT_MAT4x2_NV             = $8B69;
  GL_FLOAT_MAT4x3                = $8B6A;
  GL_FLOAT_MAT4x3_NV             = $8B6A;
  GL_DELETE_STATUS               = $8B80;
  GL_OBJECT_DELETE_STATUS_ARB    = $8B80;
  GL_COMPILE_STATUS              = $8B81;
  GL_OBJECT_COMPILE_STATUS_ARB   = $8B81;
  GL_LINK_STATUS                 = $8B82;
  GL_OBJECT_LINK_STATUS_ARB      = $8B82;
  GL_VALIDATE_STATUS             = $8B83;
  GL_OBJECT_VALIDATE_STATUS_ARB  = $8B83;
  GL_INFO_LOG_LENGTH             = $8B84;
  GL_OBJECT_INFO_LOG_LENGTH_ARB  = $8B84;
  GL_ATTACHED_SHADERS            = $8B85;
  GL_OBJECT_ATTACHED_OBJECTS_ARB  = $8B85;
  GL_ACTIVE_UNIFORMS             = $8B86;
  GL_OBJECT_ACTIVE_UNIFORMS_ARB  = $8B86;
  GL_ACTIVE_UNIFORM_MAX_LENGTH   = $8B87;
  GL_OBJECT_ACTIVE_UNIFORM_MAX_LENGTH_ARB  = $8B87;
  GL_SHADER_SOURCE_LENGTH        = $8B88;
  GL_OBJECT_SHADER_SOURCE_LENGTH_ARB  = $8B88;
  GL_ACTIVE_ATTRIBUTES           = $8B89;
  GL_OBJECT_ACTIVE_ATTRIBUTES_ARB  = $8B89;
  GL_ACTIVE_ATTRIBUTE_MAX_LENGTH  = $8B8A;
  GL_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB  = $8B8A;
  GL_FRAGMENT_SHADER_DERIVATIVE_HINT  = $8B8B;
  GL_FRAGMENT_SHADER_DERIVATIVE_HINT_ARB  = $8B8B;
  GL_FRAGMENT_SHADER_DERIVATIVE_HINT_OES  = $8B8B;
  GL_SHADING_LANGUAGE_VERSION    = $8B8C;
  GL_SHADING_LANGUAGE_VERSION_ARB  = $8B8C;
  GL_CURRENT_PROGRAM             = $8B8D;
  GL_ACTIVE_PROGRAM_EXT_gl       = $8B8D;
  GL_PALETTE4_RGB8_OES           = $8B90;
  GL_PALETTE4_RGBA8_OES          = $8B91;
  GL_PALETTE4_R5_G6_B5_OES       = $8B92;
  GL_PALETTE4_RGBA4_OES          = $8B93;
  GL_PALETTE4_RGB5_A1_OES        = $8B94;
  GL_PALETTE8_RGB8_OES           = $8B95;
  GL_PALETTE8_RGBA8_OES          = $8B96;
  GL_PALETTE8_R5_G6_B5_OES       = $8B97;
  GL_PALETTE8_RGBA4_OES          = $8B98;
  GL_PALETTE8_RGB5_A1_OES        = $8B99;
  GL_IMPLEMENTATION_COLOR_READ_TYPE  = $8B9A;
  GL_IMPLEMENTATION_COLOR_READ_TYPE_OES  = $8B9A;
  GL_IMPLEMENTATION_COLOR_READ_FORMAT  = $8B9B;
  GL_IMPLEMENTATION_COLOR_READ_FORMAT_OES  = $8B9B;
  GL_POINT_SIZE_ARRAY_OES        = $8B9C;
  GL_TEXTURE_CROP_RECT_OES       = $8B9D;
  GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES  = $8B9E;
  GL_POINT_SIZE_ARRAY_BUFFER_BINDING_OES  = $8B9F;
  GL_COUNTER_TYPE_AMD            = $8BC0;
  GL_COUNTER_RANGE_AMD           = $8BC1;
  GL_UNSIGNED_INT64_AMD          = $8BC2;
  GL_PERCENTAGE_AMD              = $8BC3;
  GL_PERFMON_RESULT_AVAILABLE_AMD  = $8BC4;
  GL_PERFMON_RESULT_SIZE_AMD     = $8BC5;
  GL_PERFMON_RESULT_AMD          = $8BC6;
  GL_TEXTURE_WIDTH_QCOM          = $8BD2;
  GL_TEXTURE_HEIGHT_QCOM         = $8BD3;
  GL_TEXTURE_DEPTH_QCOM          = $8BD4;
  GL_TEXTURE_INTERNAL_FORMAT_QCOM  = $8BD5;
  GL_TEXTURE_FORMAT_QCOM         = $8BD6;
  GL_TEXTURE_TYPE_QCOM           = $8BD7;
  GL_TEXTURE_IMAGE_VALID_QCOM    = $8BD8;
  GL_TEXTURE_NUM_LEVELS_QCOM     = $8BD9;
  GL_TEXTURE_TARGET_QCOM         = $8BDA;
  GL_TEXTURE_OBJECT_VALID_QCOM   = $8BDB;
  GL_STATE_RESTORE               = $8BDC;
  GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG  = $8C00;
  GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG  = $8C01;
  GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG  = $8C02;
  GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG  = $8C03;
  GL_MODULATE_COLOR_IMG          = $8C04;
  GL_RECIP_ADD_SIGNED_ALPHA_IMG  = $8C05;
  GL_TEXTURE_ALPHA_MODULATE_IMG  = $8C06;
  GL_FACTOR_ALPHA_MODULATE_IMG   = $8C07;
  GL_FRAGMENT_ALPHA_MODULATE_IMG  = $8C08;
  GL_ADD_BLEND_IMG               = $8C09;
  GL_SGX_BINARY_IMG              = $8C0A;
  GL_TEXTURE_RED_TYPE            = $8C10;
  GL_TEXTURE_RED_TYPE_ARB        = $8C10;
  GL_TEXTURE_GREEN_TYPE          = $8C11;
  GL_TEXTURE_GREEN_TYPE_ARB      = $8C11;
  GL_TEXTURE_BLUE_TYPE           = $8C12;
  GL_TEXTURE_BLUE_TYPE_ARB       = $8C12;
  GL_TEXTURE_ALPHA_TYPE          = $8C13;
  GL_TEXTURE_ALPHA_TYPE_ARB      = $8C13;
  GL_TEXTURE_LUMINANCE_TYPE      = $8C14;
  GL_TEXTURE_LUMINANCE_TYPE_ARB  = $8C14;
  GL_TEXTURE_INTENSITY_TYPE      = $8C15;
  GL_TEXTURE_INTENSITY_TYPE_ARB  = $8C15;
  GL_TEXTURE_DEPTH_TYPE          = $8C16;
  GL_TEXTURE_DEPTH_TYPE_ARB      = $8C16;
  GL_UNSIGNED_NORMALIZED         = $8C17;
  GL_UNSIGNED_NORMALIZED_ARB     = $8C17;
  GL_UNSIGNED_NORMALIZED_EXT     = $8C17;
  GL_TEXTURE_1D_ARRAY            = $8C18;
  GL_TEXTURE_1D_ARRAY_EXT        = $8C18;
  GL_PROXY_TEXTURE_1D_ARRAY      = $8C19;
  GL_PROXY_TEXTURE_1D_ARRAY_EXT  = $8C19;
  GL_TEXTURE_2D_ARRAY            = $8C1A;
  GL_TEXTURE_2D_ARRAY_EXT        = $8C1A;
  GL_PROXY_TEXTURE_2D_ARRAY      = $8C1B;
  GL_PROXY_TEXTURE_2D_ARRAY_EXT  = $8C1B;
  GL_TEXTURE_BINDING_1D_ARRAY    = $8C1C;
  GL_TEXTURE_BINDING_1D_ARRAY_EXT  = $8C1C;
  GL_TEXTURE_BINDING_2D_ARRAY    = $8C1D;
  GL_TEXTURE_BINDING_2D_ARRAY_EXT  = $8C1D;
  GL_GEOMETRY_PROGRAM_NV         = $8C26;
  GL_MAX_PROGRAM_OUTPUT_VERTICES_NV  = $8C27;
  GL_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS_NV  = $8C28;
  GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS  = $8C29;
  GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB  = $8C29;
  GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT  = $8C29;
  GL_TEXTURE_BUFFER              = $8C2A;
  GL_TEXTURE_BUFFER_ARB          = $8C2A;
  GL_TEXTURE_BUFFER_EXT          = $8C2A;
  GL_TEXTURE_BUFFER_BINDING      = $8C2A;
  GL_TEXTURE_BUFFER_BINDING_EXT  = $8C2A;
  GL_MAX_TEXTURE_BUFFER_SIZE     = $8C2B;
  GL_MAX_TEXTURE_BUFFER_SIZE_ARB  = $8C2B;
  GL_MAX_TEXTURE_BUFFER_SIZE_EXT  = $8C2B;
  GL_TEXTURE_BINDING_BUFFER      = $8C2C;
  GL_TEXTURE_BINDING_BUFFER_ARB  = $8C2C;
  GL_TEXTURE_BINDING_BUFFER_EXT  = $8C2C;
  GL_TEXTURE_BUFFER_DATA_STORE_BINDING  = $8C2D;
  GL_TEXTURE_BUFFER_DATA_STORE_BINDING_ARB  = $8C2D;
  GL_TEXTURE_BUFFER_DATA_STORE_BINDING_EXT  = $8C2D;
  GL_TEXTURE_BUFFER_FORMAT_ARB   = $8C2E;
  GL_TEXTURE_BUFFER_FORMAT_EXT   = $8C2E;
  GL_ANY_SAMPLES_PASSED          = $8C2F;
  GL_ANY_SAMPLES_PASSED_EXT      = $8C2F;
  GL_SAMPLE_SHADING              = $8C36;
  GL_SAMPLE_SHADING_ARB          = $8C36;
  GL_SAMPLE_SHADING_OES          = $8C36;
  GL_MIN_SAMPLE_SHADING_VALUE    = $8C37;
  GL_MIN_SAMPLE_SHADING_VALUE_ARB  = $8C37;
  GL_MIN_SAMPLE_SHADING_VALUE_OES  = $8C37;
  GL_R11F_G11F_B10F              = $8C3A;
  GL_R11F_G11F_B10F_APPLE        = $8C3A;
  GL_R11F_G11F_B10F_EXT          = $8C3A;
  GL_UNSIGNED_INT_10F_11F_11F_REV  = $8C3B;
  GL_UNSIGNED_INT_10F_11F_11F_REV_APPLE  = $8C3B;
  GL_UNSIGNED_INT_10F_11F_11F_REV_EXT  = $8C3B;
  GL_RGBA_SIGNED_COMPONENTS_EXT  = $8C3C;
  GL_RGB9_E5                     = $8C3D;
  GL_RGB9_E5_APPLE               = $8C3D;
  GL_RGB9_E5_EXT                 = $8C3D;
  GL_UNSIGNED_INT_5_9_9_9_REV    = $8C3E;
  GL_UNSIGNED_INT_5_9_9_9_REV_APPLE  = $8C3E;
  GL_UNSIGNED_INT_5_9_9_9_REV_EXT  = $8C3E;
  GL_TEXTURE_SHARED_SIZE         = $8C3F;
  GL_TEXTURE_SHARED_SIZE_EXT     = $8C3F;
  GL_SRGB                        = $8C40;
  GL_SRGB_EXT                    = $8C40;
  GL_SRGB8                       = $8C41;
  GL_SRGB8_EXT                   = $8C41;
  GL_SRGB8_NV                    = $8C41;
  GL_SRGB_ALPHA                  = $8C42;
  GL_SRGB_ALPHA_EXT              = $8C42;
  GL_SRGB8_ALPHA8                = $8C43;
  GL_SRGB8_ALPHA8_EXT            = $8C43;
  GL_SLUMINANCE_ALPHA            = $8C44;
  GL_SLUMINANCE_ALPHA_EXT        = $8C44;
  GL_SLUMINANCE_ALPHA_NV         = $8C44;
  GL_SLUMINANCE8_ALPHA8          = $8C45;
  GL_SLUMINANCE8_ALPHA8_EXT      = $8C45;
  GL_SLUMINANCE8_ALPHA8_NV       = $8C45;
  GL_SLUMINANCE                  = $8C46;
  GL_SLUMINANCE_EXT              = $8C46;
  GL_SLUMINANCE_NV               = $8C46;
  GL_SLUMINANCE8                 = $8C47;
  GL_SLUMINANCE8_EXT             = $8C47;
  GL_SLUMINANCE8_NV              = $8C47;
  GL_COMPRESSED_SRGB             = $8C48;
  GL_COMPRESSED_SRGB_EXT         = $8C48;
  GL_COMPRESSED_SRGB_ALPHA       = $8C49;
  GL_COMPRESSED_SRGB_ALPHA_EXT   = $8C49;
  GL_COMPRESSED_SLUMINANCE       = $8C4A;
  GL_COMPRESSED_SLUMINANCE_EXT   = $8C4A;
  GL_COMPRESSED_SLUMINANCE_ALPHA  = $8C4B;
  GL_COMPRESSED_SLUMINANCE_ALPHA_EXT  = $8C4B;
  GL_COMPRESSED_SRGB_S3TC_DXT1_EXT  = $8C4C;
  GL_COMPRESSED_SRGB_S3TC_DXT1_NV  = $8C4C;
  GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT  = $8C4D;
  GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_NV  = $8C4D;
  GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT  = $8C4E;
  GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_NV  = $8C4E;
  GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT  = $8C4F;
  GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_NV  = $8C4F;
  GL_COMPRESSED_LUMINANCE_LATC1_EXT  = $8C70;
  GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_EXT  = $8C71;
  GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_EXT  = $8C72;
  GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_EXT  = $8C73;
  GL_TESS_CONTROL_PROGRAM_PARAMETER_BUFFER_NV  = $8C74;
  GL_TESS_EVALUATION_PROGRAM_PARAMETER_BUFFER_NV  = $8C75;
  GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH  = $8C76;
  GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH_EXT  = $8C76;
  GL_BACK_PRIMARY_COLOR_NV       = $8C77;
  GL_BACK_SECONDARY_COLOR_NV     = $8C78;
  GL_TEXTURE_COORD_NV            = $8C79;
  GL_CLIP_DISTANCE_NV            = $8C7A;
  GL_VERTEX_ID_NV                = $8C7B;
  GL_PRIMITIVE_ID_NV             = $8C7C;
  GL_GENERIC_ATTRIB_NV           = $8C7D;
  GL_TRANSFORM_FEEDBACK_ATTRIBS_NV  = $8C7E;
  GL_TRANSFORM_FEEDBACK_BUFFER_MODE  = $8C7F;
  GL_TRANSFORM_FEEDBACK_BUFFER_MODE_EXT  = $8C7F;
  GL_TRANSFORM_FEEDBACK_BUFFER_MODE_NV  = $8C7F;
  GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS  = $8C80;
  GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_EXT  = $8C80;
  GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_NV  = $8C80;
  GL_ACTIVE_VARYINGS_NV          = $8C81;
  GL_ACTIVE_VARYING_MAX_LENGTH_NV  = $8C82;
  GL_TRANSFORM_FEEDBACK_VARYINGS  = $8C83;
  GL_TRANSFORM_FEEDBACK_VARYINGS_EXT  = $8C83;
  GL_TRANSFORM_FEEDBACK_VARYINGS_NV  = $8C83;
  GL_TRANSFORM_FEEDBACK_BUFFER_START  = $8C84;
  GL_TRANSFORM_FEEDBACK_BUFFER_START_EXT  = $8C84;
  GL_TRANSFORM_FEEDBACK_BUFFER_START_NV  = $8C84;
  GL_TRANSFORM_FEEDBACK_BUFFER_SIZE  = $8C85;
  GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_EXT  = $8C85;
  GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_NV  = $8C85;
  GL_TRANSFORM_FEEDBACK_RECORD_NV  = $8C86;
  GL_PRIMITIVES_GENERATED        = $8C87;
  GL_PRIMITIVES_GENERATED_EXT    = $8C87;
  GL_PRIMITIVES_GENERATED_NV     = $8C87;
  GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN  = $8C88;
  GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_EXT  = $8C88;
  GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_NV  = $8C88;
  GL_RASTERIZER_DISCARD          = $8C89;
  GL_RASTERIZER_DISCARD_EXT      = $8C89;
  GL_RASTERIZER_DISCARD_NV       = $8C89;
  GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS  = $8C8A;
  GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_EXT  = $8C8A;
  GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_NV  = $8C8A;
  GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS  = $8C8B;
  GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_EXT  = $8C8B;
  GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_NV  = $8C8B;
  GL_INTERLEAVED_ATTRIBS         = $8C8C;
  GL_INTERLEAVED_ATTRIBS_EXT     = $8C8C;
  GL_INTERLEAVED_ATTRIBS_NV      = $8C8C;
  GL_SEPARATE_ATTRIBS            = $8C8D;
  GL_SEPARATE_ATTRIBS_EXT        = $8C8D;
  GL_SEPARATE_ATTRIBS_NV         = $8C8D;
  GL_TRANSFORM_FEEDBACK_BUFFER   = $8C8E;
  GL_TRANSFORM_FEEDBACK_BUFFER_EXT  = $8C8E;
  GL_TRANSFORM_FEEDBACK_BUFFER_NV  = $8C8E;
  GL_TRANSFORM_FEEDBACK_BUFFER_BINDING  = $8C8F;
  GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_EXT  = $8C8F;
  GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_NV  = $8C8F;
  GL_ATC_RGB_AMD                 = $8C92;
  GL_ATC_RGBA_EXPLICIT_ALPHA_AMD  = $8C93;
  GL_POINT_SPRITE_COORD_ORIGIN   = $8CA0;
  GL_LOWER_LEFT                  = $8CA1;
  GL_UPPER_LEFT                  = $8CA2;
  GL_STENCIL_BACK_REF            = $8CA3;
  GL_STENCIL_BACK_VALUE_MASK     = $8CA4;
  GL_STENCIL_BACK_WRITEMASK      = $8CA5;
  GL_DRAW_FRAMEBUFFER_BINDING    = $8CA6;
  GL_DRAW_FRAMEBUFFER_BINDING_ANGLE  = $8CA6;
  GL_DRAW_FRAMEBUFFER_BINDING_APPLE  = $8CA6;
  GL_DRAW_FRAMEBUFFER_BINDING_EXT  = $8CA6;
  GL_DRAW_FRAMEBUFFER_BINDING_NV  = $8CA6;
  GL_FRAMEBUFFER_BINDING         = $8CA6;
  GL_FRAMEBUFFER_BINDING_EXT     = $8CA6;
  GL_FRAMEBUFFER_BINDING_OES     = $8CA6;
  GL_RENDERBUFFER_BINDING        = $8CA7;
  GL_RENDERBUFFER_BINDING_EXT    = $8CA7;
  GL_RENDERBUFFER_BINDING_OES    = $8CA7;
  GL_READ_FRAMEBUFFER            = $8CA8;
  GL_READ_FRAMEBUFFER_ANGLE      = $8CA8;
  GL_READ_FRAMEBUFFER_APPLE      = $8CA8;
  GL_READ_FRAMEBUFFER_EXT        = $8CA8;
  GL_READ_FRAMEBUFFER_NV         = $8CA8;
  GL_DRAW_FRAMEBUFFER            = $8CA9;
  GL_DRAW_FRAMEBUFFER_ANGLE      = $8CA9;
  GL_DRAW_FRAMEBUFFER_APPLE      = $8CA9;
  GL_DRAW_FRAMEBUFFER_EXT        = $8CA9;
  GL_DRAW_FRAMEBUFFER_NV         = $8CA9;
  GL_READ_FRAMEBUFFER_BINDING    = $8CAA;
  GL_READ_FRAMEBUFFER_BINDING_ANGLE  = $8CAA;
  GL_READ_FRAMEBUFFER_BINDING_APPLE  = $8CAA;
  GL_READ_FRAMEBUFFER_BINDING_EXT  = $8CAA;
  GL_READ_FRAMEBUFFER_BINDING_NV  = $8CAA;
  GL_RENDERBUFFER_COVERAGE_SAMPLES_NV  = $8CAB;
  GL_RENDERBUFFER_SAMPLES        = $8CAB;
  GL_RENDERBUFFER_SAMPLES_ANGLE  = $8CAB;
  GL_RENDERBUFFER_SAMPLES_APPLE  = $8CAB;
  GL_RENDERBUFFER_SAMPLES_EXT    = $8CAB;
  GL_RENDERBUFFER_SAMPLES_NV     = $8CAB;
  GL_DEPTH_COMPONENT32F          = $8CAC;
  GL_DEPTH32F_STENCIL8           = $8CAD;
  GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE  = $8CD0;
  GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_EXT  = $8CD0;
  GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_OES  = $8CD0;
  GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME  = $8CD1;
  GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_EXT  = $8CD1;
  GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_OES  = $8CD1;
  GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL  = $8CD2;
  GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_EXT  = $8CD2;
  GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_OES  = $8CD2;
  GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE  = $8CD3;
  GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_EXT  = $8CD3;
  GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_OES  = $8CD3;
  GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_EXT  = $8CD4;
  GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_OES  = $8CD4;
  GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER  = $8CD4;
  GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT  = $8CD4;
  GL_FRAMEBUFFER_COMPLETE        = $8CD5;
  GL_FRAMEBUFFER_COMPLETE_EXT    = $8CD5;
  GL_FRAMEBUFFER_COMPLETE_OES    = $8CD5;
  GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT  = $8CD6;
  GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_EXT  = $8CD6;
  GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_OES  = $8CD6;
  GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT  = $8CD7;
  GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_EXT  = $8CD7;
  GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_OES  = $8CD7;
  GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS  = $8CD9;
  GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT  = $8CD9;
  GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_OES  = $8CD9;
  GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT  = $8CDA;
  GL_FRAMEBUFFER_INCOMPLETE_FORMATS_OES  = $8CDA;
  GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER  = $8CDB;
  GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_EXT  = $8CDB;
  GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER  = $8CDC;
  GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_EXT  = $8CDC;
  GL_FRAMEBUFFER_UNSUPPORTED     = $8CDD;
  GL_FRAMEBUFFER_UNSUPPORTED_EXT  = $8CDD;
  GL_FRAMEBUFFER_UNSUPPORTED_OES  = $8CDD;
  GL_MAX_COLOR_ATTACHMENTS       = $8CDF;
  GL_MAX_COLOR_ATTACHMENTS_EXT   = $8CDF;
  GL_MAX_COLOR_ATTACHMENTS_NV    = $8CDF;
  GL_COLOR_ATTACHMENT0           = $8CE0;
  GL_COLOR_ATTACHMENT0_EXT       = $8CE0;
  GL_COLOR_ATTACHMENT0_NV        = $8CE0;
  GL_COLOR_ATTACHMENT0_OES       = $8CE0;
  GL_COLOR_ATTACHMENT1           = $8CE1;
  GL_COLOR_ATTACHMENT1_EXT       = $8CE1;
  GL_COLOR_ATTACHMENT1_NV        = $8CE1;
  GL_COLOR_ATTACHMENT2           = $8CE2;
  GL_COLOR_ATTACHMENT2_EXT       = $8CE2;
  GL_COLOR_ATTACHMENT2_NV        = $8CE2;
  GL_COLOR_ATTACHMENT3           = $8CE3;
  GL_COLOR_ATTACHMENT3_EXT       = $8CE3;
  GL_COLOR_ATTACHMENT3_NV        = $8CE3;
  GL_COLOR_ATTACHMENT4           = $8CE4;
  GL_COLOR_ATTACHMENT4_EXT       = $8CE4;
  GL_COLOR_ATTACHMENT4_NV        = $8CE4;
  GL_COLOR_ATTACHMENT5           = $8CE5;
  GL_COLOR_ATTACHMENT5_EXT       = $8CE5;
  GL_COLOR_ATTACHMENT5_NV        = $8CE5;
  GL_COLOR_ATTACHMENT6           = $8CE6;
  GL_COLOR_ATTACHMENT6_EXT       = $8CE6;
  GL_COLOR_ATTACHMENT6_NV        = $8CE6;
  GL_COLOR_ATTACHMENT7           = $8CE7;
  GL_COLOR_ATTACHMENT7_EXT       = $8CE7;
  GL_COLOR_ATTACHMENT7_NV        = $8CE7;
  GL_COLOR_ATTACHMENT8           = $8CE8;
  GL_COLOR_ATTACHMENT8_EXT       = $8CE8;
  GL_COLOR_ATTACHMENT8_NV        = $8CE8;
  GL_COLOR_ATTACHMENT9           = $8CE9;
  GL_COLOR_ATTACHMENT9_EXT       = $8CE9;
  GL_COLOR_ATTACHMENT9_NV        = $8CE9;
  GL_COLOR_ATTACHMENT10          = $8CEA;
  GL_COLOR_ATTACHMENT10_EXT      = $8CEA;
  GL_COLOR_ATTACHMENT10_NV       = $8CEA;
  GL_COLOR_ATTACHMENT11          = $8CEB;
  GL_COLOR_ATTACHMENT11_EXT      = $8CEB;
  GL_COLOR_ATTACHMENT11_NV       = $8CEB;
  GL_COLOR_ATTACHMENT12          = $8CEC;
  GL_COLOR_ATTACHMENT12_EXT      = $8CEC;
  GL_COLOR_ATTACHMENT12_NV       = $8CEC;
  GL_COLOR_ATTACHMENT13          = $8CED;
  GL_COLOR_ATTACHMENT13_EXT      = $8CED;
  GL_COLOR_ATTACHMENT13_NV       = $8CED;
  GL_COLOR_ATTACHMENT14          = $8CEE;
  GL_COLOR_ATTACHMENT14_EXT      = $8CEE;
  GL_COLOR_ATTACHMENT14_NV       = $8CEE;
  GL_COLOR_ATTACHMENT15          = $8CEF;
  GL_COLOR_ATTACHMENT15_EXT      = $8CEF;
  GL_COLOR_ATTACHMENT15_NV       = $8CEF;
  GL_DEPTH_ATTACHMENT            = $8D00;
  GL_DEPTH_ATTACHMENT_EXT        = $8D00;
  GL_DEPTH_ATTACHMENT_OES        = $8D00;
  GL_STENCIL_ATTACHMENT          = $8D20;
  GL_STENCIL_ATTACHMENT_EXT      = $8D20;
  GL_STENCIL_ATTACHMENT_OES      = $8D20;
  GL_FRAMEBUFFER                 = $8D40;
  GL_FRAMEBUFFER_EXT             = $8D40;
  GL_FRAMEBUFFER_OES             = $8D40;
  GL_RENDERBUFFER                = $8D41;
  GL_RENDERBUFFER_EXT            = $8D41;
  GL_RENDERBUFFER_OES            = $8D41;
  GL_RENDERBUFFER_WIDTH          = $8D42;
  GL_RENDERBUFFER_WIDTH_EXT      = $8D42;
  GL_RENDERBUFFER_WIDTH_OES      = $8D42;
  GL_RENDERBUFFER_HEIGHT         = $8D43;
  GL_RENDERBUFFER_HEIGHT_EXT     = $8D43;
  GL_RENDERBUFFER_HEIGHT_OES     = $8D43;
  GL_RENDERBUFFER_INTERNAL_FORMAT  = $8D44;
  GL_RENDERBUFFER_INTERNAL_FORMAT_EXT  = $8D44;
  GL_RENDERBUFFER_INTERNAL_FORMAT_OES  = $8D44;
  GL_STENCIL_INDEX1              = $8D46;
  GL_STENCIL_INDEX1_EXT          = $8D46;
  GL_STENCIL_INDEX1_OES          = $8D46;
  GL_STENCIL_INDEX4              = $8D47;
  GL_STENCIL_INDEX4_EXT          = $8D47;
  GL_STENCIL_INDEX4_OES          = $8D47;
  GL_STENCIL_INDEX8              = $8D48;
  GL_STENCIL_INDEX8_EXT          = $8D48;
  GL_STENCIL_INDEX8_OES          = $8D48;
  GL_STENCIL_INDEX16             = $8D49;
  GL_STENCIL_INDEX16_EXT         = $8D49;
  GL_RENDERBUFFER_RED_SIZE       = $8D50;
  GL_RENDERBUFFER_RED_SIZE_EXT   = $8D50;
  GL_RENDERBUFFER_RED_SIZE_OES   = $8D50;
  GL_RENDERBUFFER_GREEN_SIZE     = $8D51;
  GL_RENDERBUFFER_GREEN_SIZE_EXT  = $8D51;
  GL_RENDERBUFFER_GREEN_SIZE_OES  = $8D51;
  GL_RENDERBUFFER_BLUE_SIZE      = $8D52;
  GL_RENDERBUFFER_BLUE_SIZE_EXT  = $8D52;
  GL_RENDERBUFFER_BLUE_SIZE_OES  = $8D52;
  GL_RENDERBUFFER_ALPHA_SIZE     = $8D53;
  GL_RENDERBUFFER_ALPHA_SIZE_EXT  = $8D53;
  GL_RENDERBUFFER_ALPHA_SIZE_OES  = $8D53;
  GL_RENDERBUFFER_DEPTH_SIZE     = $8D54;
  GL_RENDERBUFFER_DEPTH_SIZE_EXT  = $8D54;
  GL_RENDERBUFFER_DEPTH_SIZE_OES  = $8D54;
  GL_RENDERBUFFER_STENCIL_SIZE   = $8D55;
  GL_RENDERBUFFER_STENCIL_SIZE_EXT  = $8D55;
  GL_RENDERBUFFER_STENCIL_SIZE_OES  = $8D55;
  GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE  = $8D56;
  GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_ANGLE  = $8D56;
  GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE  = $8D56;
  GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT  = $8D56;
  GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_NV  = $8D56;
  GL_MAX_SAMPLES                 = $8D57;
  GL_MAX_SAMPLES_ANGLE           = $8D57;
  GL_MAX_SAMPLES_APPLE           = $8D57;
  GL_MAX_SAMPLES_EXT             = $8D57;
  GL_MAX_SAMPLES_NV              = $8D57;
  GL_TEXTURE_GEN_STR_OES         = $8D60;
  GL_HALF_FLOAT_OES              = $8D61;
  GL_RGB565_OES                  = $8D62;
  GL_RGB565                      = $8D62;
  GL_ETC1_RGB8_OES               = $8D64;
  GL_TEXTURE_EXTERNAL_OES        = $8D65;
  GL_SAMPLER_EXTERNAL_OES        = $8D66;
  GL_TEXTURE_BINDING_EXTERNAL_OES  = $8D67;
  GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES  = $8D68;
  GL_PRIMITIVE_RESTART_FIXED_INDEX  = $8D69;
  GL_ANY_SAMPLES_PASSED_CONSERVATIVE  = $8D6A;
  GL_ANY_SAMPLES_PASSED_CONSERVATIVE_EXT  = $8D6A;
  GL_MAX_ELEMENT_INDEX           = $8D6B;
  GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT  = $8D6C;
  GL_RGBA32UI                    = $8D70;
  GL_RGBA32UI_EXT                = $8D70;
  GL_RGB32UI                     = $8D71;
  GL_RGB32UI_EXT                 = $8D71;
  GL_ALPHA32UI_EXT               = $8D72;
  GL_INTENSITY32UI_EXT           = $8D73;
  GL_LUMINANCE32UI_EXT           = $8D74;
  GL_LUMINANCE_ALPHA32UI_EXT     = $8D75;
  GL_RGBA16UI                    = $8D76;
  GL_RGBA16UI_EXT                = $8D76;
  GL_RGB16UI                     = $8D77;
  GL_RGB16UI_EXT                 = $8D77;
  GL_ALPHA16UI_EXT               = $8D78;
  GL_INTENSITY16UI_EXT           = $8D79;
  GL_LUMINANCE16UI_EXT           = $8D7A;
  GL_LUMINANCE_ALPHA16UI_EXT     = $8D7B;
  GL_RGBA8UI                     = $8D7C;
  GL_RGBA8UI_EXT                 = $8D7C;
  GL_RGB8UI                      = $8D7D;
  GL_RGB8UI_EXT                  = $8D7D;
  GL_ALPHA8UI_EXT                = $8D7E;
  GL_INTENSITY8UI_EXT            = $8D7F;
  GL_LUMINANCE8UI_EXT            = $8D80;
  GL_LUMINANCE_ALPHA8UI_EXT      = $8D81;
  GL_RGBA32I                     = $8D82;
  GL_RGBA32I_EXT                 = $8D82;
  GL_RGB32I                      = $8D83;
  GL_RGB32I_EXT                  = $8D83;
  GL_ALPHA32I_EXT                = $8D84;
  GL_INTENSITY32I_EXT            = $8D85;
  GL_LUMINANCE32I_EXT            = $8D86;
  GL_LUMINANCE_ALPHA32I_EXT      = $8D87;
  GL_RGBA16I                     = $8D88;
  GL_RGBA16I_EXT                 = $8D88;
  GL_RGB16I                      = $8D89;
  GL_RGB16I_EXT                  = $8D89;
  GL_ALPHA16I_EXT                = $8D8A;
  GL_INTENSITY16I_EXT            = $8D8B;
  GL_LUMINANCE16I_EXT            = $8D8C;
  GL_LUMINANCE_ALPHA16I_EXT      = $8D8D;
  GL_RGBA8I                      = $8D8E;
  GL_RGBA8I_EXT                  = $8D8E;
  GL_RGB8I                       = $8D8F;
  GL_RGB8I_EXT                   = $8D8F;
  GL_ALPHA8I_EXT                 = $8D90;
  GL_INTENSITY8I_EXT             = $8D91;
  GL_LUMINANCE8I_EXT             = $8D92;
  GL_LUMINANCE_ALPHA8I_EXT       = $8D93;
  GL_RED_INTEGER                 = $8D94;
  GL_RED_INTEGER_EXT             = $8D94;
  GL_GREEN_INTEGER               = $8D95;
  GL_GREEN_INTEGER_EXT           = $8D95;
  GL_BLUE_INTEGER                = $8D96;
  GL_BLUE_INTEGER_EXT            = $8D96;
  GL_ALPHA_INTEGER               = $8D97;
  GL_ALPHA_INTEGER_EXT           = $8D97;
  GL_RGB_INTEGER                 = $8D98;
  GL_RGB_INTEGER_EXT             = $8D98;
  GL_RGBA_INTEGER                = $8D99;
  GL_RGBA_INTEGER_EXT            = $8D99;
  GL_BGR_INTEGER                 = $8D9A;
  GL_BGR_INTEGER_EXT             = $8D9A;
  GL_BGRA_INTEGER                = $8D9B;
  GL_BGRA_INTEGER_EXT            = $8D9B;
  GL_LUMINANCE_INTEGER_EXT       = $8D9C;
  GL_LUMINANCE_ALPHA_INTEGER_EXT  = $8D9D;
  GL_RGBA_INTEGER_MODE_EXT       = $8D9E;
  GL_INT_2_10_10_10_REV          = $8D9F;
  GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV  = $8DA0;
  GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV  = $8DA1;
  GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV  = $8DA2;
  GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV  = $8DA3;
  GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV  = $8DA4;
  GL_MAX_PROGRAM_GENERIC_ATTRIBS_NV  = $8DA5;
  GL_MAX_PROGRAM_GENERIC_RESULTS_NV  = $8DA6;
  GL_FRAMEBUFFER_ATTACHMENT_LAYERED  = $8DA7;
  GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB  = $8DA7;
  GL_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT  = $8DA7;
  GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS  = $8DA8;
  GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB  = $8DA8;
  GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT  = $8DA8;
  GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB  = $8DA9;
  GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_EXT  = $8DA9;
  GL_LAYER_NV                    = $8DAA;
  GL_DEPTH_COMPONENT32F_NV       = $8DAB;
  GL_DEPTH32F_STENCIL8_NV        = $8DAC;
  GL_FLOAT_32_UNSIGNED_INT_24_8_REV  = $8DAD;
  GL_FLOAT_32_UNSIGNED_INT_24_8_REV_NV  = $8DAD;
  GL_SHADER_INCLUDE_ARB          = $8DAE;
  GL_DEPTH_BUFFER_FLOAT_MODE_NV  = $8DAF;
  GL_FRAMEBUFFER_SRGB            = $8DB9;
  GL_FRAMEBUFFER_SRGB_EXT        = $8DB9;
  GL_FRAMEBUFFER_SRGB_CAPABLE_EXT  = $8DBA;
  GL_COMPRESSED_RED_RGTC1        = $8DBB;
  GL_COMPRESSED_RED_RGTC1_EXT    = $8DBB;
  GL_COMPRESSED_SIGNED_RED_RGTC1  = $8DBC;
  GL_COMPRESSED_SIGNED_RED_RGTC1_EXT  = $8DBC;
  GL_COMPRESSED_RED_GREEN_RGTC2_EXT  = $8DBD;
  GL_COMPRESSED_RG_RGTC2         = $8DBD;
  GL_COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT  = $8DBE;
  GL_COMPRESSED_SIGNED_RG_RGTC2  = $8DBE;
  GL_SAMPLER_1D_ARRAY            = $8DC0;
  GL_SAMPLER_1D_ARRAY_EXT        = $8DC0;
  GL_SAMPLER_2D_ARRAY            = $8DC1;
  GL_SAMPLER_2D_ARRAY_EXT        = $8DC1;
  GL_SAMPLER_BUFFER              = $8DC2;
  GL_SAMPLER_BUFFER_EXT          = $8DC2;
  GL_SAMPLER_1D_ARRAY_SHADOW     = $8DC3;
  GL_SAMPLER_1D_ARRAY_SHADOW_EXT  = $8DC3;
  GL_SAMPLER_2D_ARRAY_SHADOW     = $8DC4;
  GL_SAMPLER_2D_ARRAY_SHADOW_EXT  = $8DC4;
  GL_SAMPLER_2D_ARRAY_SHADOW_NV  = $8DC4;
  GL_SAMPLER_CUBE_SHADOW         = $8DC5;
  GL_SAMPLER_CUBE_SHADOW_EXT     = $8DC5;
  GL_SAMPLER_CUBE_SHADOW_NV      = $8DC5;
  GL_UNSIGNED_INT_VEC2           = $8DC6;
  GL_UNSIGNED_INT_VEC2_EXT       = $8DC6;
  GL_UNSIGNED_INT_VEC3           = $8DC7;
  GL_UNSIGNED_INT_VEC3_EXT       = $8DC7;
  GL_UNSIGNED_INT_VEC4           = $8DC8;
  GL_UNSIGNED_INT_VEC4_EXT       = $8DC8;
  GL_INT_SAMPLER_1D              = $8DC9;
  GL_INT_SAMPLER_1D_EXT          = $8DC9;
  GL_INT_SAMPLER_2D              = $8DCA;
  GL_INT_SAMPLER_2D_EXT          = $8DCA;
  GL_INT_SAMPLER_3D              = $8DCB;
  GL_INT_SAMPLER_3D_EXT          = $8DCB;
  GL_INT_SAMPLER_CUBE            = $8DCC;
  GL_INT_SAMPLER_CUBE_EXT        = $8DCC;
  GL_INT_SAMPLER_2D_RECT         = $8DCD;
  GL_INT_SAMPLER_2D_RECT_EXT     = $8DCD;
  GL_INT_SAMPLER_1D_ARRAY        = $8DCE;
  GL_INT_SAMPLER_1D_ARRAY_EXT    = $8DCE;
  GL_INT_SAMPLER_2D_ARRAY        = $8DCF;
  GL_INT_SAMPLER_2D_ARRAY_EXT    = $8DCF;
  GL_INT_SAMPLER_BUFFER          = $8DD0;
  GL_INT_SAMPLER_BUFFER_EXT      = $8DD0;
  GL_UNSIGNED_INT_SAMPLER_1D     = $8DD1;
  GL_UNSIGNED_INT_SAMPLER_1D_EXT  = $8DD1;
  GL_UNSIGNED_INT_SAMPLER_2D     = $8DD2;
  GL_UNSIGNED_INT_SAMPLER_2D_EXT  = $8DD2;
  GL_UNSIGNED_INT_SAMPLER_3D     = $8DD3;
  GL_UNSIGNED_INT_SAMPLER_3D_EXT  = $8DD3;
  GL_UNSIGNED_INT_SAMPLER_CUBE   = $8DD4;
  GL_UNSIGNED_INT_SAMPLER_CUBE_EXT  = $8DD4;
  GL_UNSIGNED_INT_SAMPLER_2D_RECT  = $8DD5;
  GL_UNSIGNED_INT_SAMPLER_2D_RECT_EXT  = $8DD5;
  GL_UNSIGNED_INT_SAMPLER_1D_ARRAY  = $8DD6;
  GL_UNSIGNED_INT_SAMPLER_1D_ARRAY_EXT  = $8DD6;
  GL_UNSIGNED_INT_SAMPLER_2D_ARRAY  = $8DD7;
  GL_UNSIGNED_INT_SAMPLER_2D_ARRAY_EXT  = $8DD7;
  GL_UNSIGNED_INT_SAMPLER_BUFFER  = $8DD8;
  GL_UNSIGNED_INT_SAMPLER_BUFFER_EXT  = $8DD8;
  GL_GEOMETRY_SHADER             = $8DD9;
  GL_GEOMETRY_SHADER_ARB         = $8DD9;
  GL_GEOMETRY_SHADER_EXT         = $8DD9;
  GL_GEOMETRY_VERTICES_OUT_ARB   = $8DDA;
  GL_GEOMETRY_VERTICES_OUT_EXT   = $8DDA;
  GL_GEOMETRY_INPUT_TYPE_ARB     = $8DDB;
  GL_GEOMETRY_INPUT_TYPE_EXT     = $8DDB;
  GL_GEOMETRY_OUTPUT_TYPE_ARB    = $8DDC;
  GL_GEOMETRY_OUTPUT_TYPE_EXT    = $8DDC;
  GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB  = $8DDD;
  GL_MAX_GEOMETRY_VARYING_COMPONENTS_EXT  = $8DDD;
  GL_MAX_VERTEX_VARYING_COMPONENTS_ARB  = $8DDE;
  GL_MAX_VERTEX_VARYING_COMPONENTS_EXT  = $8DDE;
  GL_MAX_GEOMETRY_UNIFORM_COMPONENTS  = $8DDF;
  GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB  = $8DDF;
  GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT  = $8DDF;
  GL_MAX_GEOMETRY_OUTPUT_VERTICES  = $8DE0;
  GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB  = $8DE0;
  GL_MAX_GEOMETRY_OUTPUT_VERTICES_EXT  = $8DE0;
  GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS  = $8DE1;
  GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB  = $8DE1;
  GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT  = $8DE1;
  GL_MAX_VERTEX_BINDABLE_UNIFORMS_EXT  = $8DE2;
  GL_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT  = $8DE3;
  GL_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT  = $8DE4;
  GL_ACTIVE_SUBROUTINES          = $8DE5;
  GL_ACTIVE_SUBROUTINE_UNIFORMS  = $8DE6;
  GL_MAX_SUBROUTINES             = $8DE7;
  GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS  = $8DE8;
  GL_NAMED_STRING_LENGTH_ARB     = $8DE9;
  GL_NAMED_STRING_TYPE_ARB       = $8DEA;
  GL_MAX_BINDABLE_UNIFORM_SIZE_EXT  = $8DED;
  GL_UNIFORM_BUFFER_EXT          = $8DEE;
  GL_UNIFORM_BUFFER_BINDING_EXT  = $8DEF;
  GL_LOW_FLOAT                   = $8DF0;
  GL_MEDIUM_FLOAT                = $8DF1;
  GL_HIGH_FLOAT                  = $8DF2;
  GL_LOW_INT                     = $8DF3;
  GL_MEDIUM_INT                  = $8DF4;
  GL_HIGH_INT                    = $8DF5;
  GL_UNSIGNED_INT_10_10_10_2_OES  = $8DF6;
  GL_INT_10_10_10_2_OES          = $8DF7;
  GL_SHADER_BINARY_FORMATS       = $8DF8;
  GL_NUM_SHADER_BINARY_FORMATS   = $8DF9;
  GL_SHADER_COMPILER             = $8DFA;
  GL_MAX_VERTEX_UNIFORM_VECTORS  = $8DFB;
  GL_MAX_VARYING_VECTORS         = $8DFC;
  GL_MAX_FRAGMENT_UNIFORM_VECTORS  = $8DFD;
  GL_RENDERBUFFER_COLOR_SAMPLES_NV  = $8E10;
  GL_MAX_MULTISAMPLE_COVERAGE_MODES_NV  = $8E11;
  GL_MULTISAMPLE_COVERAGE_MODES_NV  = $8E12;
  GL_QUERY_WAIT                  = $8E13;
  GL_QUERY_WAIT_NV               = $8E13;
  GL_QUERY_NO_WAIT               = $8E14;
  GL_QUERY_NO_WAIT_NV            = $8E14;
  GL_QUERY_BY_REGION_WAIT        = $8E15;
  GL_QUERY_BY_REGION_WAIT_NV     = $8E15;
  GL_QUERY_BY_REGION_NO_WAIT     = $8E16;
  GL_QUERY_BY_REGION_NO_WAIT_NV  = $8E16;
  GL_QUERY_WAIT_INVERTED         = $8E17;
  GL_QUERY_NO_WAIT_INVERTED      = $8E18;
  GL_QUERY_BY_REGION_WAIT_INVERTED  = $8E19;
  GL_QUERY_BY_REGION_NO_WAIT_INVERTED  = $8E1A;
  GL_POLYGON_OFFSET_CLAMP_EXT    = $8E1B;
  GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS  = $8E1E;
  GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS_EXT  = $8E1E;
  GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS  = $8E1F;
  GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS_EXT  = $8E1F;
  GL_COLOR_SAMPLES_NV            = $8E20;
  GL_TRANSFORM_FEEDBACK          = $8E22;
  GL_TRANSFORM_FEEDBACK_NV       = $8E22;
  GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED  = $8E23;
  GL_TRANSFORM_FEEDBACK_PAUSED   = $8E23;
  GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED_NV  = $8E23;
  GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE  = $8E24;
  GL_TRANSFORM_FEEDBACK_ACTIVE   = $8E24;
  GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE_NV  = $8E24;
  GL_TRANSFORM_FEEDBACK_BINDING  = $8E25;
  GL_TRANSFORM_FEEDBACK_BINDING_NV  = $8E25;
  GL_FRAME_NV                    = $8E26;
  GL_FIELDS_NV                   = $8E27;
  GL_CURRENT_TIME_NV             = $8E28;
  GL_TIMESTAMP                   = $8E28;
  GL_TIMESTAMP_EXT               = $8E28;
  GL_NUM_FILL_STREAMS_NV         = $8E29;
  GL_PRESENT_TIME_NV             = $8E2A;
  GL_PRESENT_DURATION_NV         = $8E2B;
  GL_DEPTH_COMPONENT16_NONLINEAR_NV  = $8E2C;
  GL_PROGRAM_MATRIX_EXT          = $8E2D;
  GL_TRANSPOSE_PROGRAM_MATRIX_EXT  = $8E2E;
  GL_PROGRAM_MATRIX_STACK_DEPTH_EXT  = $8E2F;
  GL_TEXTURE_SWIZZLE_R           = $8E42;
  GL_TEXTURE_SWIZZLE_R_EXT       = $8E42;
  GL_TEXTURE_SWIZZLE_G           = $8E43;
  GL_TEXTURE_SWIZZLE_G_EXT       = $8E43;
  GL_TEXTURE_SWIZZLE_B           = $8E44;
  GL_TEXTURE_SWIZZLE_B_EXT       = $8E44;
  GL_TEXTURE_SWIZZLE_A           = $8E45;
  GL_TEXTURE_SWIZZLE_A_EXT       = $8E45;
  GL_TEXTURE_SWIZZLE_RGBA        = $8E46;
  GL_TEXTURE_SWIZZLE_RGBA_EXT    = $8E46;
  GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS  = $8E47;
  GL_ACTIVE_SUBROUTINE_MAX_LENGTH  = $8E48;
  GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH  = $8E49;
  GL_NUM_COMPATIBLE_SUBROUTINES  = $8E4A;
  GL_COMPATIBLE_SUBROUTINES      = $8E4B;
  GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION  = $8E4C;
  GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION_EXT  = $8E4C;
  GL_FIRST_VERTEX_CONVENTION     = $8E4D;
  GL_FIRST_VERTEX_CONVENTION_EXT  = $8E4D;
  GL_LAST_VERTEX_CONVENTION      = $8E4E;
  GL_LAST_VERTEX_CONVENTION_EXT  = $8E4E;
  GL_PROVOKING_VERTEX            = $8E4F;
  GL_PROVOKING_VERTEX_EXT        = $8E4F;
  GL_SAMPLE_POSITION             = $8E50;
  GL_SAMPLE_POSITION_NV          = $8E50;
  GL_SAMPLE_LOCATION_NV          = $8E50;
  GL_SAMPLE_MASK                 = $8E51;
  GL_SAMPLE_MASK_NV              = $8E51;
  GL_SAMPLE_MASK_VALUE           = $8E52;
  GL_SAMPLE_MASK_VALUE_NV        = $8E52;
  GL_TEXTURE_BINDING_RENDERBUFFER_NV  = $8E53;
  GL_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV  = $8E54;
  GL_TEXTURE_RENDERBUFFER_NV     = $8E55;
  GL_SAMPLER_RENDERBUFFER_NV     = $8E56;
  GL_INT_SAMPLER_RENDERBUFFER_NV  = $8E57;
  GL_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV  = $8E58;
  GL_MAX_SAMPLE_MASK_WORDS       = $8E59;
  GL_MAX_SAMPLE_MASK_WORDS_NV    = $8E59;
  GL_MAX_GEOMETRY_PROGRAM_INVOCATIONS_NV  = $8E5A;
  GL_MAX_GEOMETRY_SHADER_INVOCATIONS  = $8E5A;
  GL_MAX_GEOMETRY_SHADER_INVOCATIONS_EXT  = $8E5A;
  GL_MIN_FRAGMENT_INTERPOLATION_OFFSET  = $8E5B;
  GL_MIN_FRAGMENT_INTERPOLATION_OFFSET_OES  = $8E5B;
  GL_MIN_FRAGMENT_INTERPOLATION_OFFSET_NV  = $8E5B;
  GL_MAX_FRAGMENT_INTERPOLATION_OFFSET  = $8E5C;
  GL_MAX_FRAGMENT_INTERPOLATION_OFFSET_OES  = $8E5C;
  GL_MAX_FRAGMENT_INTERPOLATION_OFFSET_NV  = $8E5C;
  GL_FRAGMENT_INTERPOLATION_OFFSET_BITS  = $8E5D;
  GL_FRAGMENT_INTERPOLATION_OFFSET_BITS_OES  = $8E5D;
  GL_FRAGMENT_PROGRAM_INTERPOLATION_OFFSET_BITS_NV  = $8E5D;
  GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET  = $8E5E;
  GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_ARB  = $8E5E;
  GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_NV  = $8E5E;
  GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET  = $8E5F;
  GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_ARB  = $8E5F;
  GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_NV  = $8E5F;
  GL_MAX_TRANSFORM_FEEDBACK_BUFFERS  = $8E70;
  GL_MAX_VERTEX_STREAMS          = $8E71;
  GL_PATCH_VERTICES              = $8E72;
  GL_PATCH_VERTICES_EXT          = $8E72;
  GL_PATCH_DEFAULT_INNER_LEVEL   = $8E73;
  GL_PATCH_DEFAULT_OUTER_LEVEL   = $8E74;
  GL_TESS_CONTROL_OUTPUT_VERTICES  = $8E75;
  GL_TESS_CONTROL_OUTPUT_VERTICES_EXT  = $8E75;
  GL_TESS_GEN_MODE               = $8E76;
  GL_TESS_GEN_MODE_EXT           = $8E76;
  GL_TESS_GEN_SPACING            = $8E77;
  GL_TESS_GEN_SPACING_EXT        = $8E77;
  GL_TESS_GEN_VERTEX_ORDER       = $8E78;
  GL_TESS_GEN_VERTEX_ORDER_EXT   = $8E78;
  GL_TESS_GEN_POINT_MODE         = $8E79;
  GL_TESS_GEN_POINT_MODE_EXT     = $8E79;
  GL_ISOLINES                    = $8E7A;
  GL_ISOLINES_EXT                = $8E7A;
  GL_FRACTIONAL_ODD              = $8E7B;
  GL_FRACTIONAL_ODD_EXT          = $8E7B;
  GL_FRACTIONAL_EVEN             = $8E7C;
  GL_FRACTIONAL_EVEN_EXT         = $8E7C;
  GL_MAX_PATCH_VERTICES          = $8E7D;
  GL_MAX_PATCH_VERTICES_EXT      = $8E7D;
  GL_MAX_TESS_GEN_LEVEL          = $8E7E;
  GL_MAX_TESS_GEN_LEVEL_EXT      = $8E7E;
  GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS  = $8E7F;
  GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS_EXT  = $8E7F;
  GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS  = $8E80;
  GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS_EXT  = $8E80;
  GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS  = $8E81;
  GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS_EXT  = $8E81;
  GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS  = $8E82;
  GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS_EXT  = $8E82;
  GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS  = $8E83;
  GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS_EXT  = $8E83;
  GL_MAX_TESS_PATCH_COMPONENTS   = $8E84;
  GL_MAX_TESS_PATCH_COMPONENTS_EXT  = $8E84;
  GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS  = $8E85;
  GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS_EXT  = $8E85;
  GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS  = $8E86;
  GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS_EXT  = $8E86;
  GL_TESS_EVALUATION_SHADER      = $8E87;
  GL_TESS_EVALUATION_SHADER_EXT  = $8E87;
  GL_TESS_CONTROL_SHADER         = $8E88;
  GL_TESS_CONTROL_SHADER_EXT     = $8E88;
  GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS  = $8E89;
  GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS_EXT  = $8E89;
  GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS  = $8E8A;
  GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS_EXT  = $8E8A;
  GL_COMPRESSED_RGBA_BPTC_UNORM  = $8E8C;
  GL_COMPRESSED_RGBA_BPTC_UNORM_ARB  = $8E8C;
  GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM  = $8E8D;
  GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB  = $8E8D;
  GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT  = $8E8E;
  GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB  = $8E8E;
  GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT  = $8E8F;
  GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB  = $8E8F;
  GL_COVERAGE_COMPONENT_NV       = $8ED0;
  GL_COVERAGE_COMPONENT4_NV      = $8ED1;
  GL_COVERAGE_ATTACHMENT_NV      = $8ED2;
  GL_COVERAGE_BUFFERS_NV         = $8ED3;
  GL_COVERAGE_SAMPLES_NV         = $8ED4;
  GL_COVERAGE_ALL_FRAGMENTS_NV   = $8ED5;
  GL_COVERAGE_EDGE_FRAGMENTS_NV  = $8ED6;
  GL_COVERAGE_AUTOMATIC_NV       = $8ED7;
  GL_BUFFER_GPU_ADDRESS_NV       = $8F1D;
  GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV  = $8F1E;
  GL_ELEMENT_ARRAY_UNIFIED_NV    = $8F1F;
  GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV  = $8F20;
  GL_VERTEX_ARRAY_ADDRESS_NV     = $8F21;
  GL_NORMAL_ARRAY_ADDRESS_NV     = $8F22;
  GL_COLOR_ARRAY_ADDRESS_NV      = $8F23;
  GL_INDEX_ARRAY_ADDRESS_NV      = $8F24;
  GL_TEXTURE_COORD_ARRAY_ADDRESS_NV  = $8F25;
  GL_EDGE_FLAG_ARRAY_ADDRESS_NV  = $8F26;
  GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV  = $8F27;
  GL_FOG_COORD_ARRAY_ADDRESS_NV  = $8F28;
  GL_ELEMENT_ARRAY_ADDRESS_NV    = $8F29;
  GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV  = $8F2A;
  GL_VERTEX_ARRAY_LENGTH_NV      = $8F2B;
  GL_NORMAL_ARRAY_LENGTH_NV      = $8F2C;
  GL_COLOR_ARRAY_LENGTH_NV       = $8F2D;
  GL_INDEX_ARRAY_LENGTH_NV       = $8F2E;
  GL_TEXTURE_COORD_ARRAY_LENGTH_NV  = $8F2F;
  GL_EDGE_FLAG_ARRAY_LENGTH_NV   = $8F30;
  GL_SECONDARY_COLOR_ARRAY_LENGTH_NV  = $8F31;
  GL_FOG_COORD_ARRAY_LENGTH_NV   = $8F32;
  GL_ELEMENT_ARRAY_LENGTH_NV     = $8F33;
  GL_GPU_ADDRESS_NV              = $8F34;
  GL_MAX_SHADER_BUFFER_ADDRESS_NV  = $8F35;
  GL_COPY_READ_BUFFER            = $8F36;
  GL_COPY_READ_BUFFER_NV         = $8F36;
  GL_COPY_READ_BUFFER_BINDING    = $8F36;
  GL_COPY_WRITE_BUFFER           = $8F37;
  GL_COPY_WRITE_BUFFER_NV        = $8F37;
  GL_COPY_WRITE_BUFFER_BINDING   = $8F37;
  GL_MAX_IMAGE_UNITS             = $8F38;
  GL_MAX_IMAGE_UNITS_EXT         = $8F38;
  GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS  = $8F39;
  GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS_EXT  = $8F39;
  GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES  = $8F39;
  GL_IMAGE_BINDING_NAME          = $8F3A;
  GL_IMAGE_BINDING_NAME_EXT      = $8F3A;
  GL_IMAGE_BINDING_LEVEL         = $8F3B;
  GL_IMAGE_BINDING_LEVEL_EXT     = $8F3B;
  GL_IMAGE_BINDING_LAYERED       = $8F3C;
  GL_IMAGE_BINDING_LAYERED_EXT   = $8F3C;
  GL_IMAGE_BINDING_LAYER         = $8F3D;
  GL_IMAGE_BINDING_LAYER_EXT     = $8F3D;
  GL_IMAGE_BINDING_ACCESS        = $8F3E;
  GL_IMAGE_BINDING_ACCESS_EXT    = $8F3E;
  GL_DRAW_INDIRECT_BUFFER        = $8F3F;
  GL_DRAW_INDIRECT_UNIFIED_NV    = $8F40;
  GL_DRAW_INDIRECT_ADDRESS_NV    = $8F41;
  GL_DRAW_INDIRECT_LENGTH_NV     = $8F42;
  GL_DRAW_INDIRECT_BUFFER_BINDING  = $8F43;
  GL_MAX_PROGRAM_SUBROUTINE_PARAMETERS_NV  = $8F44;
  GL_MAX_PROGRAM_SUBROUTINE_NUM_NV  = $8F45;
  GL_DOUBLE_MAT2                 = $8F46;
  GL_DOUBLE_MAT2_EXT             = $8F46;
  GL_DOUBLE_MAT3                 = $8F47;
  GL_DOUBLE_MAT3_EXT             = $8F47;
  GL_DOUBLE_MAT4                 = $8F48;
  GL_DOUBLE_MAT4_EXT             = $8F48;
  GL_DOUBLE_MAT2x3               = $8F49;
  GL_DOUBLE_MAT2x3_EXT           = $8F49;
  GL_DOUBLE_MAT2x4               = $8F4A;
  GL_DOUBLE_MAT2x4_EXT           = $8F4A;
  GL_DOUBLE_MAT3x2               = $8F4B;
  GL_DOUBLE_MAT3x2_EXT           = $8F4B;
  GL_DOUBLE_MAT3x4               = $8F4C;
  GL_DOUBLE_MAT3x4_EXT           = $8F4C;
  GL_DOUBLE_MAT4x2               = $8F4D;
  GL_DOUBLE_MAT4x2_EXT           = $8F4D;
  GL_DOUBLE_MAT4x3               = $8F4E;
  GL_DOUBLE_MAT4x3_EXT           = $8F4E;
  GL_VERTEX_BINDING_BUFFER       = $8F4F;
  GL_MALI_SHADER_BINARY_ARM      = $8F60;
  GL_MALI_PROGRAM_BINARY_ARM     = $8F61;
  GL_MAX_SHADER_PIXEL_LOCAL_STORAGE_FAST_SIZE_EXT  = $8F63;
  GL_SHADER_PIXEL_LOCAL_STORAGE_EXT  = $8F64;
  GL_FETCH_PER_SAMPLE_ARM        = $8F65;
  GL_FRAGMENT_SHADER_FRAMEBUFFER_FETCH_MRT_ARM  = $8F66;
  GL_MAX_SHADER_PIXEL_LOCAL_STORAGE_SIZE_EXT  = $8F67;
  GL_RED_SNORM                   = $8F90;
  GL_RG_SNORM                    = $8F91;
  GL_RGB_SNORM                   = $8F92;
  GL_RGBA_SNORM                  = $8F93;
  GL_R8_SNORM                    = $8F94;
  GL_RG8_SNORM                   = $8F95;
  GL_RGB8_SNORM                  = $8F96;
  GL_RGBA8_SNORM                 = $8F97;
  GL_R16_SNORM                   = $8F98;
  GL_RG16_SNORM                  = $8F99;
  GL_RGB16_SNORM                 = $8F9A;
  GL_RGBA16_SNORM                = $8F9B;
  GL_SIGNED_NORMALIZED           = $8F9C;
  GL_PRIMITIVE_RESTART           = $8F9D;
  GL_PRIMITIVE_RESTART_INDEX     = $8F9E;
  GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS_ARB  = $8F9F;
  GL_PERFMON_GLOBAL_MODE_QCOM    = $8FA0;
  GL_BINNING_CONTROL_HINT_QCOM   = $8FB0;
  GL_CPU_OPTIMIZED_QCOM          = $8FB1;
  GL_GPU_OPTIMIZED_QCOM          = $8FB2;
  GL_RENDER_DIRECT_TO_FRAMEBUFFER_QCOM  = $8FB3;
  GL_GPU_DISJOINT_EXT            = $8FBB;
  GL_SHADER_BINARY_VIV           = $8FC4;
  GL_INT8_NV                     = $8FE0;
  GL_INT8_VEC2_NV                = $8FE1;
  GL_INT8_VEC3_NV                = $8FE2;
  GL_INT8_VEC4_NV                = $8FE3;
  GL_INT16_NV                    = $8FE4;
  GL_INT16_VEC2_NV               = $8FE5;
  GL_INT16_VEC3_NV               = $8FE6;
  GL_INT16_VEC4_NV               = $8FE7;
  GL_INT64_VEC2_NV               = $8FE9;
  GL_INT64_VEC3_NV               = $8FEA;
  GL_INT64_VEC4_NV               = $8FEB;
  GL_UNSIGNED_INT8_NV            = $8FEC;
  GL_UNSIGNED_INT8_VEC2_NV       = $8FED;
  GL_UNSIGNED_INT8_VEC3_NV       = $8FEE;
  GL_UNSIGNED_INT8_VEC4_NV       = $8FEF;
  GL_UNSIGNED_INT16_NV           = $8FF0;
  GL_UNSIGNED_INT16_VEC2_NV      = $8FF1;
  GL_UNSIGNED_INT16_VEC3_NV      = $8FF2;
  GL_UNSIGNED_INT16_VEC4_NV      = $8FF3;
  GL_UNSIGNED_INT64_VEC2_NV      = $8FF5;
  GL_UNSIGNED_INT64_VEC3_NV      = $8FF6;
  GL_UNSIGNED_INT64_VEC4_NV      = $8FF7;
  GL_FLOAT16_NV                  = $8FF8;
  GL_FLOAT16_VEC2_NV             = $8FF9;
  GL_FLOAT16_VEC3_NV             = $8FFA;
  GL_FLOAT16_VEC4_NV             = $8FFB;
  GL_DOUBLE_VEC2                 = $8FFC;
  GL_DOUBLE_VEC2_EXT             = $8FFC;
  GL_DOUBLE_VEC3                 = $8FFD;
  GL_DOUBLE_VEC3_EXT             = $8FFD;
  GL_DOUBLE_VEC4                 = $8FFE;
  GL_DOUBLE_VEC4_EXT             = $8FFE;
  GL_SAMPLER_BUFFER_AMD          = $9001;
  GL_INT_SAMPLER_BUFFER_AMD      = $9002;
  GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD  = $9003;
  GL_TESSELLATION_MODE_AMD       = $9004;
  GL_TESSELLATION_FACTOR_AMD     = $9005;
  GL_DISCRETE_AMD                = $9006;
  GL_CONTINUOUS_AMD              = $9007;
  GL_TEXTURE_CUBE_MAP_ARRAY      = $9009;
  GL_TEXTURE_CUBE_MAP_ARRAY_ARB  = $9009;
  GL_TEXTURE_CUBE_MAP_ARRAY_EXT  = $9009;
  GL_TEXTURE_BINDING_CUBE_MAP_ARRAY  = $900A;
  GL_TEXTURE_BINDING_CUBE_MAP_ARRAY_ARB  = $900A;
  GL_TEXTURE_BINDING_CUBE_MAP_ARRAY_EXT  = $900A;
  GL_PROXY_TEXTURE_CUBE_MAP_ARRAY  = $900B;
  GL_PROXY_TEXTURE_CUBE_MAP_ARRAY_ARB  = $900B;
  GL_SAMPLER_CUBE_MAP_ARRAY      = $900C;
  GL_SAMPLER_CUBE_MAP_ARRAY_ARB  = $900C;
  GL_SAMPLER_CUBE_MAP_ARRAY_EXT  = $900C;
  GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW  = $900D;
  GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW_ARB  = $900D;
  GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW_EXT  = $900D;
  GL_INT_SAMPLER_CUBE_MAP_ARRAY  = $900E;
  GL_INT_SAMPLER_CUBE_MAP_ARRAY_ARB  = $900E;
  GL_INT_SAMPLER_CUBE_MAP_ARRAY_EXT  = $900E;
  GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY  = $900F;
  GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY_ARB  = $900F;
  GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY_EXT  = $900F;
  GL_ALPHA_SNORM                 = $9010;
  GL_LUMINANCE_SNORM             = $9011;
  GL_LUMINANCE_ALPHA_SNORM       = $9012;
  GL_INTENSITY_SNORM             = $9013;
  GL_ALPHA8_SNORM                = $9014;
  GL_LUMINANCE8_SNORM            = $9015;
  GL_LUMINANCE8_ALPHA8_SNORM     = $9016;
  GL_INTENSITY8_SNORM            = $9017;
  GL_ALPHA16_SNORM               = $9018;
  GL_LUMINANCE16_SNORM           = $9019;
  GL_LUMINANCE16_ALPHA16_SNORM   = $901A;
  GL_INTENSITY16_SNORM           = $901B;
  GL_FACTOR_MIN_AMD              = $901C;
  GL_FACTOR_MAX_AMD              = $901D;
  GL_DEPTH_CLAMP_NEAR_AMD        = $901E;
  GL_DEPTH_CLAMP_FAR_AMD         = $901F;
  GL_VIDEO_BUFFER_NV             = $9020;
  GL_VIDEO_BUFFER_BINDING_NV     = $9021;
  GL_FIELD_UPPER_NV              = $9022;
  GL_FIELD_LOWER_NV              = $9023;
  GL_NUM_VIDEO_CAPTURE_STREAMS_NV  = $9024;
  GL_NEXT_VIDEO_CAPTURE_BUFFER_STATUS_NV  = $9025;
  GL_VIDEO_CAPTURE_TO_422_SUPPORTED_NV  = $9026;
  GL_LAST_VIDEO_CAPTURE_STATUS_NV  = $9027;
  GL_VIDEO_BUFFER_PITCH_NV       = $9028;
  GL_VIDEO_COLOR_CONVERSION_MATRIX_NV  = $9029;
  GL_VIDEO_COLOR_CONVERSION_MAX_NV  = $902A;
  GL_VIDEO_COLOR_CONVERSION_MIN_NV  = $902B;
  GL_VIDEO_COLOR_CONVERSION_OFFSET_NV  = $902C;
  GL_VIDEO_BUFFER_INTERNAL_FORMAT_NV  = $902D;
  GL_PARTIAL_SUCCESS_NV          = $902E;
  GL_SUCCESS_NV                  = $902F;
  GL_FAILURE_NV                  = $9030;
  GL_YCBYCR8_422_NV              = $9031;
  GL_YCBAYCR8A_4224_NV           = $9032;
  GL_Z6Y10Z6CB10Z6Y10Z6CR10_422_NV  = $9033;
  GL_Z6Y10Z6CB10Z6A10Z6Y10Z6CR10Z6A10_4224_NV  = $9034;
  GL_Z4Y12Z4CB12Z4Y12Z4CR12_422_NV  = $9035;
  GL_Z4Y12Z4CB12Z4A12Z4Y12Z4CR12Z4A12_4224_NV  = $9036;
  GL_Z4Y12Z4CB12Z4CR12_444_NV    = $9037;
  GL_VIDEO_CAPTURE_FRAME_WIDTH_NV  = $9038;
  GL_VIDEO_CAPTURE_FRAME_HEIGHT_NV  = $9039;
  GL_VIDEO_CAPTURE_FIELD_UPPER_HEIGHT_NV  = $903A;
  GL_VIDEO_CAPTURE_FIELD_LOWER_HEIGHT_NV  = $903B;
  GL_VIDEO_CAPTURE_SURFACE_ORIGIN_NV  = $903C;
  GL_TEXTURE_COVERAGE_SAMPLES_NV  = $9045;
  GL_TEXTURE_COLOR_SAMPLES_NV    = $9046;
  GL_GPU_MEMORY_INFO_DEDICATED_VIDMEM_NVX  = $9047;
  GL_GPU_MEMORY_INFO_TOTAL_AVAILABLE_MEMORY_NVX  = $9048;
  GL_GPU_MEMORY_INFO_CURRENT_AVAILABLE_VIDMEM_NVX  = $9049;
  GL_GPU_MEMORY_INFO_EVICTION_COUNT_NVX  = $904A;
  GL_GPU_MEMORY_INFO_EVICTED_MEMORY_NVX  = $904B;
  GL_IMAGE_1D                    = $904C;
  GL_IMAGE_1D_EXT                = $904C;
  GL_IMAGE_2D                    = $904D;
  GL_IMAGE_2D_EXT                = $904D;
  GL_IMAGE_3D                    = $904E;
  GL_IMAGE_3D_EXT                = $904E;
  GL_IMAGE_2D_RECT               = $904F;
  GL_IMAGE_2D_RECT_EXT           = $904F;
  GL_IMAGE_CUBE                  = $9050;
  GL_IMAGE_CUBE_EXT              = $9050;
  GL_IMAGE_BUFFER                = $9051;
  GL_IMAGE_BUFFER_EXT            = $9051;
  GL_IMAGE_1D_ARRAY              = $9052;
  GL_IMAGE_1D_ARRAY_EXT          = $9052;
  GL_IMAGE_2D_ARRAY              = $9053;
  GL_IMAGE_2D_ARRAY_EXT          = $9053;
  GL_IMAGE_CUBE_MAP_ARRAY        = $9054;
  GL_IMAGE_CUBE_MAP_ARRAY_EXT    = $9054;
  GL_IMAGE_2D_MULTISAMPLE        = $9055;
  GL_IMAGE_2D_MULTISAMPLE_EXT    = $9055;
  GL_IMAGE_2D_MULTISAMPLE_ARRAY  = $9056;
  GL_IMAGE_2D_MULTISAMPLE_ARRAY_EXT  = $9056;
  GL_INT_IMAGE_1D                = $9057;
  GL_INT_IMAGE_1D_EXT            = $9057;
  GL_INT_IMAGE_2D                = $9058;
  GL_INT_IMAGE_2D_EXT            = $9058;
  GL_INT_IMAGE_3D                = $9059;
  GL_INT_IMAGE_3D_EXT            = $9059;
  GL_INT_IMAGE_2D_RECT           = $905A;
  GL_INT_IMAGE_2D_RECT_EXT       = $905A;
  GL_INT_IMAGE_CUBE              = $905B;
  GL_INT_IMAGE_CUBE_EXT          = $905B;
  GL_INT_IMAGE_BUFFER            = $905C;
  GL_INT_IMAGE_BUFFER_EXT        = $905C;
  GL_INT_IMAGE_1D_ARRAY          = $905D;
  GL_INT_IMAGE_1D_ARRAY_EXT      = $905D;
  GL_INT_IMAGE_2D_ARRAY          = $905E;
  GL_INT_IMAGE_2D_ARRAY_EXT      = $905E;
  GL_INT_IMAGE_CUBE_MAP_ARRAY    = $905F;
  GL_INT_IMAGE_CUBE_MAP_ARRAY_EXT  = $905F;
  GL_INT_IMAGE_2D_MULTISAMPLE    = $9060;
  GL_INT_IMAGE_2D_MULTISAMPLE_EXT  = $9060;
  GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY  = $9061;
  GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY_EXT  = $9061;
  GL_UNSIGNED_INT_IMAGE_1D       = $9062;
  GL_UNSIGNED_INT_IMAGE_1D_EXT   = $9062;
  GL_UNSIGNED_INT_IMAGE_2D       = $9063;
  GL_UNSIGNED_INT_IMAGE_2D_EXT   = $9063;
  GL_UNSIGNED_INT_IMAGE_3D       = $9064;
  GL_UNSIGNED_INT_IMAGE_3D_EXT   = $9064;
  GL_UNSIGNED_INT_IMAGE_2D_RECT  = $9065;
  GL_UNSIGNED_INT_IMAGE_2D_RECT_EXT  = $9065;
  GL_UNSIGNED_INT_IMAGE_CUBE     = $9066;
  GL_UNSIGNED_INT_IMAGE_CUBE_EXT  = $9066;
  GL_UNSIGNED_INT_IMAGE_BUFFER   = $9067;
  GL_UNSIGNED_INT_IMAGE_BUFFER_EXT  = $9067;
  GL_UNSIGNED_INT_IMAGE_1D_ARRAY  = $9068;
  GL_UNSIGNED_INT_IMAGE_1D_ARRAY_EXT  = $9068;
  GL_UNSIGNED_INT_IMAGE_2D_ARRAY  = $9069;
  GL_UNSIGNED_INT_IMAGE_2D_ARRAY_EXT  = $9069;
  GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY  = $906A;
  GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY_EXT  = $906A;
  GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE  = $906B;
  GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_EXT  = $906B;
  GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY  = $906C;
  GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY_EXT  = $906C;
  GL_MAX_IMAGE_SAMPLES           = $906D;
  GL_MAX_IMAGE_SAMPLES_EXT       = $906D;
  GL_IMAGE_BINDING_FORMAT        = $906E;
  GL_IMAGE_BINDING_FORMAT_EXT    = $906E;
  GL_RGB10_A2UI                  = $906F;
  GL_PATH_FORMAT_SVG_NV          = $9070;
  GL_PATH_FORMAT_PS_NV           = $9071;
  GL_STANDARD_FONT_NAME_NV       = $9072;
  GL_SYSTEM_FONT_NAME_NV         = $9073;
  GL_FILE_NAME_NV                = $9074;
  GL_PATH_STROKE_WIDTH_NV        = $9075;
  GL_PATH_END_CAPS_NV            = $9076;
  GL_PATH_INITIAL_END_CAP_NV     = $9077;
  GL_PATH_TERMINAL_END_CAP_NV    = $9078;
  GL_PATH_JOIN_STYLE_NV          = $9079;
  GL_PATH_MITER_LIMIT_NV         = $907A;
  GL_PATH_DASH_CAPS_NV           = $907B;
  GL_PATH_INITIAL_DASH_CAP_NV    = $907C;
  GL_PATH_TERMINAL_DASH_CAP_NV   = $907D;
  GL_PATH_DASH_OFFSET_NV         = $907E;
  GL_PATH_CLIENT_LENGTH_NV       = $907F;
  GL_PATH_FILL_MODE_NV           = $9080;
  GL_PATH_FILL_MASK_NV           = $9081;
  GL_PATH_FILL_COVER_MODE_NV     = $9082;
  GL_PATH_STROKE_COVER_MODE_NV   = $9083;
  GL_PATH_STROKE_MASK_NV         = $9084;
  GL_COUNT_UP_NV                 = $9088;
  GL_COUNT_DOWN_NV               = $9089;
  GL_PATH_OBJECT_BOUNDING_BOX_NV  = $908A;
  GL_CONVEX_HULL_NV              = $908B;
  GL_BOUNDING_BOX_NV             = $908D;
  GL_TRANSLATE_X_NV              = $908E;
  GL_TRANSLATE_Y_NV              = $908F;
  GL_TRANSLATE_2D_NV             = $9090;
  GL_TRANSLATE_3D_NV             = $9091;
  GL_AFFINE_2D_NV                = $9092;
  GL_AFFINE_3D_NV                = $9094;
  GL_TRANSPOSE_AFFINE_2D_NV      = $9096;
  GL_TRANSPOSE_AFFINE_3D_NV      = $9098;
  GL_UTF8_NV                     = $909A;
  GL_UTF16_NV                    = $909B;
  GL_BOUNDING_BOX_OF_BOUNDING_BOXES_NV  = $909C;
  GL_PATH_COMMAND_COUNT_NV       = $909D;
  GL_PATH_COORD_COUNT_NV         = $909E;
  GL_PATH_DASH_ARRAY_COUNT_NV    = $909F;
  GL_PATH_COMPUTED_LENGTH_NV     = $90A0;
  GL_PATH_FILL_BOUNDING_BOX_NV   = $90A1;
  GL_PATH_STROKE_BOUNDING_BOX_NV  = $90A2;
  GL_SQUARE_NV                   = $90A3;
  GL_ROUND_NV                    = $90A4;
  GL_TRIANGULAR_NV               = $90A5;
  GL_BEVEL_NV                    = $90A6;
  GL_MITER_REVERT_NV             = $90A7;
  GL_MITER_TRUNCATE_NV           = $90A8;
  GL_SKIP_MISSING_GLYPH_NV       = $90A9;
  GL_USE_MISSING_GLYPH_NV        = $90AA;
  GL_PATH_ERROR_POSITION_NV      = $90AB;
  GL_PATH_FOG_GEN_MODE_NV        = $90AC;
  GL_ACCUM_ADJACENT_PAIRS_NV     = $90AD;
  GL_ADJACENT_PAIRS_NV           = $90AE;
  GL_FIRST_TO_REST_NV            = $90AF;
  GL_PATH_GEN_MODE_NV            = $90B0;
  GL_PATH_GEN_COEFF_NV           = $90B1;
  GL_PATH_GEN_COLOR_FORMAT_NV    = $90B2;
  GL_PATH_GEN_COMPONENTS_NV      = $90B3;
  GL_PATH_DASH_OFFSET_RESET_NV   = $90B4;
  GL_MOVE_TO_RESETS_NV           = $90B5;
  GL_MOVE_TO_CONTINUES_NV        = $90B6;
  GL_PATH_STENCIL_FUNC_NV        = $90B7;
  GL_PATH_STENCIL_REF_NV         = $90B8;
  GL_PATH_STENCIL_VALUE_MASK_NV  = $90B9;
  GL_SCALED_RESOLVE_FASTEST_EXT  = $90BA;
  GL_SCALED_RESOLVE_NICEST_EXT   = $90BB;
  GL_MIN_MAP_BUFFER_ALIGNMENT    = $90BC;
  GL_PATH_STENCIL_DEPTH_OFFSET_FACTOR_NV  = $90BD;
  GL_PATH_STENCIL_DEPTH_OFFSET_UNITS_NV  = $90BE;
  GL_PATH_COVER_DEPTH_FUNC_NV    = $90BF;
  GL_IMAGE_FORMAT_COMPATIBILITY_TYPE  = $90C7;
  GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE  = $90C8;
  GL_IMAGE_FORMAT_COMPATIBILITY_BY_CLASS  = $90C9;
  GL_MAX_VERTEX_IMAGE_UNIFORMS   = $90CA;
  GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS  = $90CB;
  GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS_EXT  = $90CB;
  GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS  = $90CC;
  GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS_EXT  = $90CC;
  GL_MAX_GEOMETRY_IMAGE_UNIFORMS  = $90CD;
  GL_MAX_GEOMETRY_IMAGE_UNIFORMS_EXT  = $90CD;
  GL_MAX_FRAGMENT_IMAGE_UNIFORMS  = $90CE;
  GL_MAX_COMBINED_IMAGE_UNIFORMS  = $90CF;
  GL_MAX_DEEP_3D_TEXTURE_WIDTH_HEIGHT_NV  = $90D0;
  GL_MAX_DEEP_3D_TEXTURE_DEPTH_NV  = $90D1;
  GL_SHADER_STORAGE_BUFFER       = $90D2;
  GL_SHADER_STORAGE_BUFFER_BINDING  = $90D3;
  GL_SHADER_STORAGE_BUFFER_START  = $90D4;
  GL_SHADER_STORAGE_BUFFER_SIZE  = $90D5;
  GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS  = $90D6;
  GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS  = $90D7;
  GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS_EXT  = $90D7;
  GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS  = $90D8;
  GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS_EXT  = $90D8;
  GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS  = $90D9;
  GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS_EXT  = $90D9;
  GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS  = $90DA;
  GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS  = $90DB;
  GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS  = $90DC;
  GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS  = $90DD;
  GL_MAX_SHADER_STORAGE_BLOCK_SIZE  = $90DE;
  GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT  = $90DF;
  GL_SYNC_X11_FENCE_EXT          = $90E1;
  GL_DEPTH_STENCIL_TEXTURE_MODE  = $90EA;
  GL_MAX_COMPUTE_WORK_GROUP_INVOCATIONS  = $90EB;
  GL_MAX_COMPUTE_FIXED_GROUP_INVOCATIONS_ARB  = $90EB;
  GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER  = $90EC;
  GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER  = $90ED;
  GL_DISPATCH_INDIRECT_BUFFER    = $90EE;
  GL_DISPATCH_INDIRECT_BUFFER_BINDING  = $90EF;
  GL_COLOR_ATTACHMENT_EXT        = $90F0;
  GL_MULTIVIEW_EXT               = $90F1;
  GL_MAX_MULTIVIEW_BUFFERS_EXT   = $90F2;
  GL_CONTEXT_ROBUST_ACCESS       = $90F3;
  GL_CONTEXT_ROBUST_ACCESS_EXT   = $90F3;
  GL_CONTEXT_ROBUST_ACCESS_KHR   = $90F3;
  GL_COMPUTE_PROGRAM_NV          = $90FB;
  GL_COMPUTE_PROGRAM_PARAMETER_BUFFER_NV  = $90FC;
  GL_TEXTURE_2D_MULTISAMPLE      = $9100;
  GL_PROXY_TEXTURE_2D_MULTISAMPLE  = $9101;
  GL_TEXTURE_2D_MULTISAMPLE_ARRAY  = $9102;
  GL_TEXTURE_2D_MULTISAMPLE_ARRAY_OES  = $9102;
  GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY  = $9103;
  GL_TEXTURE_BINDING_2D_MULTISAMPLE  = $9104;
  GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY  = $9105;
  GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY_OES  = $9105;
  GL_TEXTURE_SAMPLES             = $9106;
  GL_TEXTURE_FIXED_SAMPLE_LOCATIONS  = $9107;
  GL_SAMPLER_2D_MULTISAMPLE      = $9108;
  GL_INT_SAMPLER_2D_MULTISAMPLE  = $9109;
  GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE  = $910A;
  GL_SAMPLER_2D_MULTISAMPLE_ARRAY  = $910B;
  GL_SAMPLER_2D_MULTISAMPLE_ARRAY_OES  = $910B;
  GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY  = $910C;
  GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY_OES  = $910C;
  GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY  = $910D;
  GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY_OES  = $910D;
  GL_MAX_COLOR_TEXTURE_SAMPLES   = $910E;
  GL_MAX_DEPTH_TEXTURE_SAMPLES   = $910F;
  GL_MAX_INTEGER_SAMPLES         = $9110;
  GL_MAX_SERVER_WAIT_TIMEOUT     = $9111;
  GL_MAX_SERVER_WAIT_TIMEOUT_APPLE  = $9111;
  GL_OBJECT_TYPE                 = $9112;
  GL_OBJECT_TYPE_APPLE           = $9112;
  GL_SYNC_CONDITION              = $9113;
  GL_SYNC_CONDITION_APPLE        = $9113;
  GL_SYNC_STATUS                 = $9114;
  GL_SYNC_STATUS_APPLE           = $9114;
  GL_SYNC_FLAGS                  = $9115;
  GL_SYNC_FLAGS_APPLE            = $9115;
  GL_SYNC_FENCE                  = $9116;
  GL_SYNC_FENCE_APPLE            = $9116;
  GL_SYNC_GPU_COMMANDS_COMPLETE  = $9117;
  GL_SYNC_GPU_COMMANDS_COMPLETE_APPLE  = $9117;
  GL_UNSIGNALED                  = $9118;
  GL_UNSIGNALED_APPLE            = $9118;
  GL_SIGNALED                    = $9119;
  GL_SIGNALED_APPLE              = $9119;
  GL_ALREADY_SIGNALED            = $911A;
  GL_ALREADY_SIGNALED_APPLE      = $911A;
  GL_TIMEOUT_EXPIRED             = $911B;
  GL_TIMEOUT_EXPIRED_APPLE       = $911B;
  GL_CONDITION_SATISFIED         = $911C;
  GL_CONDITION_SATISFIED_APPLE   = $911C;
  GL_WAIT_FAILED                 = $911D;
  GL_WAIT_FAILED_APPLE           = $911D;
  GL_BUFFER_ACCESS_FLAGS         = $911F;
  GL_BUFFER_MAP_LENGTH           = $9120;
  GL_BUFFER_MAP_OFFSET           = $9121;
  GL_MAX_VERTEX_OUTPUT_COMPONENTS  = $9122;
  GL_MAX_GEOMETRY_INPUT_COMPONENTS  = $9123;
  GL_MAX_GEOMETRY_INPUT_COMPONENTS_EXT  = $9123;
  GL_MAX_GEOMETRY_OUTPUT_COMPONENTS  = $9124;
  GL_MAX_GEOMETRY_OUTPUT_COMPONENTS_EXT  = $9124;
  GL_MAX_FRAGMENT_INPUT_COMPONENTS  = $9125;
  GL_CONTEXT_PROFILE_MASK        = $9126;
  GL_UNPACK_COMPRESSED_BLOCK_WIDTH  = $9127;
  GL_UNPACK_COMPRESSED_BLOCK_HEIGHT  = $9128;
  GL_UNPACK_COMPRESSED_BLOCK_DEPTH  = $9129;
  GL_UNPACK_COMPRESSED_BLOCK_SIZE  = $912A;
  GL_PACK_COMPRESSED_BLOCK_WIDTH  = $912B;
  GL_PACK_COMPRESSED_BLOCK_HEIGHT  = $912C;
  GL_PACK_COMPRESSED_BLOCK_DEPTH  = $912D;
  GL_PACK_COMPRESSED_BLOCK_SIZE  = $912E;
  GL_TEXTURE_IMMUTABLE_FORMAT    = $912F;
  GL_TEXTURE_IMMUTABLE_FORMAT_EXT  = $912F;
  GL_SGX_PROGRAM_BINARY_IMG      = $9130;
  GL_RENDERBUFFER_SAMPLES_IMG    = $9133;
  GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG  = $9134;
  GL_MAX_SAMPLES_IMG             = $9135;
  GL_TEXTURE_SAMPLES_IMG         = $9136;
  GL_COMPRESSED_RGBA_PVRTC_2BPPV2_IMG  = $9137;
  GL_COMPRESSED_RGBA_PVRTC_4BPPV2_IMG  = $9138;
  GL_MAX_DEBUG_MESSAGE_LENGTH    = $9143;
  GL_MAX_DEBUG_MESSAGE_LENGTH_AMD  = $9143;
  GL_MAX_DEBUG_MESSAGE_LENGTH_ARB  = $9143;
  GL_MAX_DEBUG_MESSAGE_LENGTH_KHR  = $9143;
  GL_MAX_DEBUG_LOGGED_MESSAGES   = $9144;
  GL_MAX_DEBUG_LOGGED_MESSAGES_AMD  = $9144;
  GL_MAX_DEBUG_LOGGED_MESSAGES_ARB  = $9144;
  GL_MAX_DEBUG_LOGGED_MESSAGES_KHR  = $9144;
  GL_DEBUG_LOGGED_MESSAGES       = $9145;
  GL_DEBUG_LOGGED_MESSAGES_AMD   = $9145;
  GL_DEBUG_LOGGED_MESSAGES_ARB   = $9145;
  GL_DEBUG_LOGGED_MESSAGES_KHR   = $9145;
  GL_DEBUG_SEVERITY_HIGH         = $9146;
  GL_DEBUG_SEVERITY_HIGH_AMD     = $9146;
  GL_DEBUG_SEVERITY_HIGH_ARB     = $9146;
  GL_DEBUG_SEVERITY_HIGH_KHR     = $9146;
  GL_DEBUG_SEVERITY_MEDIUM       = $9147;
  GL_DEBUG_SEVERITY_MEDIUM_AMD   = $9147;
  GL_DEBUG_SEVERITY_MEDIUM_ARB   = $9147;
  GL_DEBUG_SEVERITY_MEDIUM_KHR   = $9147;
  GL_DEBUG_SEVERITY_LOW          = $9148;
  GL_DEBUG_SEVERITY_LOW_AMD      = $9148;
  GL_DEBUG_SEVERITY_LOW_ARB      = $9148;
  GL_DEBUG_SEVERITY_LOW_KHR      = $9148;
  GL_DEBUG_CATEGORY_API_ERROR_AMD  = $9149;
  GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD  = $914A;
  GL_DEBUG_CATEGORY_DEPRECATION_AMD  = $914B;
  GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD  = $914C;
  GL_DEBUG_CATEGORY_PERFORMANCE_AMD  = $914D;
  GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD  = $914E;
  GL_DEBUG_CATEGORY_APPLICATION_AMD  = $914F;
  GL_DEBUG_CATEGORY_OTHER_AMD    = $9150;
  GL_BUFFER_OBJECT_EXT           = $9151;
  GL_DATA_BUFFER_AMD             = $9151;
  GL_PERFORMANCE_MONITOR_AMD     = $9152;
  GL_QUERY_OBJECT_AMD            = $9153;
  GL_QUERY_OBJECT_EXT            = $9153;
  GL_VERTEX_ARRAY_OBJECT_AMD     = $9154;
  GL_VERTEX_ARRAY_OBJECT_EXT     = $9154;
  GL_SAMPLER_OBJECT_AMD          = $9155;
  GL_EXTERNAL_VIRTUAL_MEMORY_BUFFER_AMD  = $9160;
  GL_QUERY_BUFFER                = $9192;
  GL_QUERY_BUFFER_AMD            = $9192;
  GL_QUERY_BUFFER_BINDING        = $9193;
  GL_QUERY_BUFFER_BINDING_AMD    = $9193;
  GL_QUERY_RESULT_NO_WAIT        = $9194;
  GL_QUERY_RESULT_NO_WAIT_AMD    = $9194;
  GL_VIRTUAL_PAGE_SIZE_X_ARB     = $9195;
  GL_VIRTUAL_PAGE_SIZE_X_AMD     = $9195;
  GL_VIRTUAL_PAGE_SIZE_Y_ARB     = $9196;
  GL_VIRTUAL_PAGE_SIZE_Y_AMD     = $9196;
  GL_VIRTUAL_PAGE_SIZE_Z_ARB     = $9197;
  GL_VIRTUAL_PAGE_SIZE_Z_AMD     = $9197;
  GL_MAX_SPARSE_TEXTURE_SIZE_ARB  = $9198;
  GL_MAX_SPARSE_TEXTURE_SIZE_AMD  = $9198;
  GL_MAX_SPARSE_3D_TEXTURE_SIZE_ARB  = $9199;
  GL_MAX_SPARSE_3D_TEXTURE_SIZE_AMD  = $9199;
  GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS_ARB  = $919A;
  GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS  = $919A;
  GL_MIN_SPARSE_LEVEL_AMD        = $919B;
  GL_MIN_LOD_WARNING_AMD         = $919C;
  GL_TEXTURE_BUFFER_OFFSET       = $919D;
  GL_TEXTURE_BUFFER_OFFSET_EXT   = $919D;
  GL_TEXTURE_BUFFER_SIZE         = $919E;
  GL_TEXTURE_BUFFER_SIZE_EXT     = $919E;
  GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT  = $919F;
  GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT_EXT  = $919F;
  GL_STREAM_RASTERIZATION_AMD    = $91A0;
  GL_VERTEX_ELEMENT_SWIZZLE_AMD  = $91A4;
  GL_VERTEX_ID_SWIZZLE_AMD       = $91A5;
  GL_TEXTURE_SPARSE_ARB          = $91A6;
  GL_VIRTUAL_PAGE_SIZE_INDEX_ARB  = $91A7;
  GL_NUM_VIRTUAL_PAGE_SIZES_ARB  = $91A8;
  GL_SPARSE_TEXTURE_FULL_ARRAY_CUBE_MIPMAPS_ARB  = $91A9;
  GL_NUM_SPARSE_LEVELS_ARB       = $91AA;
  GL_COMPUTE_SHADER              = $91B9;
  GL_MAX_COMPUTE_UNIFORM_BLOCKS  = $91BB;
  GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS  = $91BC;
  GL_MAX_COMPUTE_IMAGE_UNIFORMS  = $91BD;
  GL_MAX_COMPUTE_WORK_GROUP_COUNT  = $91BE;
  GL_MAX_COMPUTE_WORK_GROUP_SIZE  = $91BF;
  GL_MAX_COMPUTE_FIXED_GROUP_SIZE_ARB  = $91BF;
  GL_SHADER_BINARY_DMP           = $9250;
  GL_SMAPHS30_PROGRAM_BINARY_DMP  = $9251;
  GL_SMAPHS_PROGRAM_BINARY_DMP   = $9252;
  GL_DMP_PROGRAM_BINARY_DMP      = $9253;
  GL_GCCSO_SHADER_BINARY_FJ      = $9260;
  GL_COMPRESSED_R11_EAC          = $9270;
  GL_COMPRESSED_SIGNED_R11_EAC   = $9271;
  GL_COMPRESSED_RG11_EAC         = $9272;
  GL_COMPRESSED_SIGNED_RG11_EAC  = $9273;
  GL_COMPRESSED_RGB8_ETC2        = $9274;
  GL_COMPRESSED_SRGB8_ETC2       = $9275;
  GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2  = $9276;
  GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2  = $9277;
  GL_COMPRESSED_RGBA8_ETC2_EAC   = $9278;
  GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC  = $9279;
  GL_BLEND_PREMULTIPLIED_SRC_NV  = $9280;
  GL_BLEND_OVERLAP_NV            = $9281;
  GL_UNCORRELATED_NV             = $9282;
  GL_DISJOINT_NV                 = $9283;
  GL_CONJOINT_NV                 = $9284;
  GL_BLEND_ADVANCED_COHERENT_KHR  = $9285;
  GL_BLEND_ADVANCED_COHERENT_NV  = $9285;
  GL_SRC_NV                      = $9286;
  GL_DST_NV                      = $9287;
  GL_SRC_OVER_NV                 = $9288;
  GL_DST_OVER_NV                 = $9289;
  GL_SRC_IN_NV                   = $928A;
  GL_DST_IN_NV                   = $928B;
  GL_SRC_OUT_NV                  = $928C;
  GL_DST_OUT_NV                  = $928D;
  GL_SRC_ATOP_NV                 = $928E;
  GL_DST_ATOP_NV                 = $928F;
  GL_PLUS_NV                     = $9291;
  GL_PLUS_DARKER_NV              = $9292;
  GL_MULTIPLY_KHR                = $9294;
  GL_MULTIPLY_NV                 = $9294;
  GL_SCREEN_KHR                  = $9295;
  GL_SCREEN_NV                   = $9295;
  GL_OVERLAY_KHR                 = $9296;
  GL_OVERLAY_NV                  = $9296;
  GL_DARKEN_KHR                  = $9297;
  GL_DARKEN_NV                   = $9297;
  GL_LIGHTEN_KHR                 = $9298;
  GL_LIGHTEN_NV                  = $9298;
  GL_COLORDODGE_KHR              = $9299;
  GL_COLORDODGE_NV               = $9299;
  GL_COLORBURN_KHR               = $929A;
  GL_COLORBURN_NV                = $929A;
  GL_HARDLIGHT_KHR               = $929B;
  GL_HARDLIGHT_NV                = $929B;
  GL_SOFTLIGHT_KHR               = $929C;
  GL_SOFTLIGHT_NV                = $929C;
  GL_DIFFERENCE_KHR              = $929E;
  GL_DIFFERENCE_NV               = $929E;
  GL_MINUS_NV                    = $929F;
  GL_EXCLUSION_KHR               = $92A0;
  GL_EXCLUSION_NV                = $92A0;
  GL_CONTRAST_NV                 = $92A1;
  GL_INVERT_RGB_NV               = $92A3;
  GL_LINEARDODGE_NV              = $92A4;
  GL_LINEARBURN_NV               = $92A5;
  GL_VIVIDLIGHT_NV               = $92A6;
  GL_LINEARLIGHT_NV              = $92A7;
  GL_PINLIGHT_NV                 = $92A8;
  GL_HARDMIX_NV                  = $92A9;
  GL_HSL_HUE_KHR                 = $92AD;
  GL_HSL_HUE_NV                  = $92AD;
  GL_HSL_SATURATION_KHR          = $92AE;
  GL_HSL_SATURATION_NV           = $92AE;
  GL_HSL_COLOR_KHR               = $92AF;
  GL_HSL_COLOR_NV                = $92AF;
  GL_HSL_LUMINOSITY_KHR          = $92B0;
  GL_HSL_LUMINOSITY_NV           = $92B0;
  GL_PLUS_CLAMPED_NV             = $92B1;
  GL_PLUS_CLAMPED_ALPHA_NV       = $92B2;
  GL_MINUS_CLAMPED_NV            = $92B3;
  GL_INVERT_OVG_NV               = $92B4;
  GL_PRIMITIVE_BOUNDING_BOX_EXT  = $92BE;
  GL_ATOMIC_COUNTER_BUFFER       = $92C0;
  GL_ATOMIC_COUNTER_BUFFER_BINDING  = $92C1;
  GL_ATOMIC_COUNTER_BUFFER_START  = $92C2;
  GL_ATOMIC_COUNTER_BUFFER_SIZE  = $92C3;
  GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE  = $92C4;
  GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS  = $92C5;
  GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES  = $92C6;
  GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER  = $92C7;
  GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER  = $92C8;
  GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER  = $92C9;
  GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER  = $92CA;
  GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER  = $92CB;
  GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS  = $92CC;
  GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS  = $92CD;
  GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS_EXT  = $92CD;
  GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS  = $92CE;
  GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS_EXT  = $92CE;
  GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS  = $92CF;
  GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS_EXT  = $92CF;
  GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS  = $92D0;
  GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS  = $92D1;
  GL_MAX_VERTEX_ATOMIC_COUNTERS  = $92D2;
  GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS  = $92D3;
  GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS_EXT  = $92D3;
  GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS  = $92D4;
  GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS_EXT  = $92D4;
  GL_MAX_GEOMETRY_ATOMIC_COUNTERS  = $92D5;
  GL_MAX_GEOMETRY_ATOMIC_COUNTERS_EXT  = $92D5;
  GL_MAX_FRAGMENT_ATOMIC_COUNTERS  = $92D6;
  GL_MAX_COMBINED_ATOMIC_COUNTERS  = $92D7;
  GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE  = $92D8;
  GL_ACTIVE_ATOMIC_COUNTER_BUFFERS  = $92D9;
  GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX  = $92DA;
  GL_UNSIGNED_INT_ATOMIC_COUNTER  = $92DB;
  GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS  = $92DC;
  GL_FRAGMENT_COVERAGE_TO_COLOR_NV  = $92DD;
  GL_FRAGMENT_COVERAGE_COLOR_NV  = $92DE;
  GL_DEBUG_OUTPUT                = $92E0;
  GL_DEBUG_OUTPUT_KHR            = $92E0;
  GL_UNIFORM                     = $92E1;
  GL_UNIFORM_BLOCK               = $92E2;
  GL_PROGRAM_INPUT               = $92E3;
  GL_PROGRAM_OUTPUT              = $92E4;
  GL_BUFFER_VARIABLE             = $92E5;
  GL_SHADER_STORAGE_BLOCK        = $92E6;
  GL_IS_PER_PATCH                = $92E7;
  GL_IS_PER_PATCH_EXT            = $92E7;
  GL_VERTEX_SUBROUTINE           = $92E8;
  GL_TESS_CONTROL_SUBROUTINE     = $92E9;
  GL_TESS_EVALUATION_SUBROUTINE  = $92EA;
  GL_GEOMETRY_SUBROUTINE         = $92EB;
  GL_FRAGMENT_SUBROUTINE         = $92EC;
  GL_COMPUTE_SUBROUTINE          = $92ED;
  GL_VERTEX_SUBROUTINE_UNIFORM   = $92EE;
  GL_TESS_CONTROL_SUBROUTINE_UNIFORM  = $92EF;
  GL_TESS_EVALUATION_SUBROUTINE_UNIFORM  = $92F0;
  GL_GEOMETRY_SUBROUTINE_UNIFORM  = $92F1;
  GL_FRAGMENT_SUBROUTINE_UNIFORM  = $92F2;
  GL_COMPUTE_SUBROUTINE_UNIFORM  = $92F3;
  GL_TRANSFORM_FEEDBACK_VARYING  = $92F4;
  GL_ACTIVE_RESOURCES            = $92F5;
  GL_MAX_NAME_LENGTH             = $92F6;
  GL_MAX_NUM_ACTIVE_VARIABLES    = $92F7;
  GL_MAX_NUM_COMPATIBLE_SUBROUTINES  = $92F8;
  GL_NAME_LENGTH                 = $92F9;
  GL_TYPE                        = $92FA;
  GL_ARRAY_SIZE                  = $92FB;
  GL_OFFSET                      = $92FC;
  GL_BLOCK_INDEX                 = $92FD;
  GL_ARRAY_STRIDE                = $92FE;
  GL_MATRIX_STRIDE               = $92FF;
  GL_IS_ROW_MAJOR                = $9300;
  GL_ATOMIC_COUNTER_BUFFER_INDEX  = $9301;
  GL_BUFFER_BINDING              = $9302;
  GL_BUFFER_DATA_SIZE            = $9303;
  GL_NUM_ACTIVE_VARIABLES        = $9304;
  GL_ACTIVE_VARIABLES            = $9305;
  GL_REFERENCED_BY_VERTEX_SHADER  = $9306;
  GL_REFERENCED_BY_TESS_CONTROL_SHADER  = $9307;
  GL_REFERENCED_BY_TESS_CONTROL_SHADER_EXT  = $9307;
  GL_REFERENCED_BY_TESS_EVALUATION_SHADER  = $9308;
  GL_REFERENCED_BY_TESS_EVALUATION_SHADER_EXT  = $9308;
  GL_REFERENCED_BY_GEOMETRY_SHADER  = $9309;
  GL_REFERENCED_BY_GEOMETRY_SHADER_EXT  = $9309;
  GL_REFERENCED_BY_FRAGMENT_SHADER  = $930A;
  GL_REFERENCED_BY_COMPUTE_SHADER  = $930B;
  GL_TOP_LEVEL_ARRAY_SIZE        = $930C;
  GL_TOP_LEVEL_ARRAY_STRIDE      = $930D;
  GL_LOCATION                    = $930E;
  GL_LOCATION_INDEX              = $930F;
  GL_FRAMEBUFFER_DEFAULT_WIDTH   = $9310;
  GL_FRAMEBUFFER_DEFAULT_HEIGHT  = $9311;
  GL_FRAMEBUFFER_DEFAULT_LAYERS  = $9312;
  GL_FRAMEBUFFER_DEFAULT_LAYERS_EXT  = $9312;
  GL_FRAMEBUFFER_DEFAULT_SAMPLES  = $9313;
  GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS  = $9314;
  GL_MAX_FRAMEBUFFER_WIDTH       = $9315;
  GL_MAX_FRAMEBUFFER_HEIGHT      = $9316;
  GL_MAX_FRAMEBUFFER_LAYERS      = $9317;
  GL_MAX_FRAMEBUFFER_LAYERS_EXT  = $9317;
  GL_MAX_FRAMEBUFFER_SAMPLES     = $9318;
  GL_RASTER_MULTISAMPLE_EXT      = $9327;
  GL_RASTER_SAMPLES_EXT          = $9328;
  GL_MAX_RASTER_SAMPLES_EXT      = $9329;
  GL_RASTER_FIXED_SAMPLE_LOCATIONS_EXT  = $932A;
  GL_MULTISAMPLE_RASTERIZATION_ALLOWED_EXT  = $932B;
  GL_EFFECTIVE_RASTER_SAMPLES_EXT  = $932C;
  GL_DEPTH_SAMPLES_NV            = $932D;
  GL_STENCIL_SAMPLES_NV          = $932E;
  GL_MIXED_DEPTH_SAMPLES_SUPPORTED_NV  = $932F;
  GL_MIXED_STENCIL_SAMPLES_SUPPORTED_NV  = $9330;
  GL_COVERAGE_MODULATION_TABLE_NV  = $9331;
  GL_COVERAGE_MODULATION_NV      = $9332;
  GL_COVERAGE_MODULATION_TABLE_SIZE_NV  = $9333;
  GL_WARP_SIZE_NV                = $9339;
  GL_WARPS_PER_SM_NV             = $933A;
  GL_SM_COUNT_NV                 = $933B;
  GL_FILL_RECTANGLE_NV           = $933C;
  GL_SAMPLE_LOCATION_SUBPIXEL_BITS_NV  = $933D;
  GL_SAMPLE_LOCATION_PIXEL_GRID_WIDTH_NV  = $933E;
  GL_SAMPLE_LOCATION_PIXEL_GRID_HEIGHT_NV  = $933F;
  GL_PROGRAMMABLE_SAMPLE_LOCATION_TABLE_SIZE_NV  = $9340;
  GL_PROGRAMMABLE_SAMPLE_LOCATION_NV  = $9341;
  GL_FRAMEBUFFER_PROGRAMMABLE_SAMPLE_LOCATIONS_NV  = $9342;
  GL_FRAMEBUFFER_SAMPLE_LOCATION_PIXEL_GRID_NV  = $9343;
  GL_MAX_COMPUTE_VARIABLE_GROUP_INVOCATIONS_ARB  = $9344;
  GL_MAX_COMPUTE_VARIABLE_GROUP_SIZE_ARB  = $9345;
  GL_CONSERVATIVE_RASTERIZATION_NV  = $9346;
  GL_SUBPIXEL_PRECISION_BIAS_X_BITS_NV  = $9347;
  GL_SUBPIXEL_PRECISION_BIAS_Y_BITS_NV  = $9348;
  GL_MAX_SUBPIXEL_PRECISION_BIAS_BITS_NV  = $9349;
  GL_LOCATION_COMPONENT          = $934A;
  GL_TRANSFORM_FEEDBACK_BUFFER_INDEX  = $934B;
  GL_TRANSFORM_FEEDBACK_BUFFER_STRIDE  = $934C;
  GL_CLIP_ORIGIN                 = $935C;
  GL_CLIP_DEPTH_MODE             = $935D;
  GL_NEGATIVE_ONE_TO_ONE         = $935E;
  GL_ZERO_TO_ONE                 = $935F;
  GL_CLEAR_TEXTURE               = $9365;
  GL_FONT_GLYPHS_AVAILABLE_NV    = $9368;
  GL_FONT_TARGET_UNAVAILABLE_NV  = $9369;
  GL_FONT_UNAVAILABLE_NV         = $936A;
  GL_FONT_UNINTELLIGIBLE_NV      = $936B;
  GL_STANDARD_FONT_FORMAT_NV     = $936C;
  GL_FRAGMENT_INPUT_NV           = $936D;
  GL_UNIFORM_BUFFER_UNIFIED_NV   = $936E;
  GL_UNIFORM_BUFFER_ADDRESS_NV   = $936F;
  GL_UNIFORM_BUFFER_LENGTH_NV    = $9370;
  GL_NUM_SAMPLE_COUNTS           = $9380;
  GL_TRANSLATED_SHADER_SOURCE_LENGTH_ANGLE  = $93A0;
  GL_BGRA8_EXT                   = $93A1;
  GL_TEXTURE_USAGE_ANGLE         = $93A2;
  GL_FRAMEBUFFER_ATTACHMENT_ANGLE  = $93A3;
  GL_PACK_REVERSE_ROW_ORDER_ANGLE  = $93A4;
  GL_PROGRAM_BINARY_ANGLE        = $93A6;
  GL_COMPRESSED_RGBA_ASTC_4x4_KHR  = $93B0;
  GL_COMPRESSED_RGBA_ASTC_5x4_KHR  = $93B1;
  GL_COMPRESSED_RGBA_ASTC_5x5_KHR  = $93B2;
  GL_COMPRESSED_RGBA_ASTC_6x5_KHR  = $93B3;
  GL_COMPRESSED_RGBA_ASTC_6x6_KHR  = $93B4;
  GL_COMPRESSED_RGBA_ASTC_8x5_KHR  = $93B5;
  GL_COMPRESSED_RGBA_ASTC_8x6_KHR  = $93B6;
  GL_COMPRESSED_RGBA_ASTC_8x8_KHR  = $93B7;
  GL_COMPRESSED_RGBA_ASTC_10x5_KHR  = $93B8;
  GL_COMPRESSED_RGBA_ASTC_10x6_KHR  = $93B9;
  GL_COMPRESSED_RGBA_ASTC_10x8_KHR  = $93BA;
  GL_COMPRESSED_RGBA_ASTC_10x10_KHR  = $93BB;
  GL_COMPRESSED_RGBA_ASTC_12x10_KHR  = $93BC;
  GL_COMPRESSED_RGBA_ASTC_12x12_KHR  = $93BD;
  GL_COMPRESSED_RGBA_ASTC_3x3x3_OES  = $93C0;
  GL_COMPRESSED_RGBA_ASTC_4x3x3_OES  = $93C1;
  GL_COMPRESSED_RGBA_ASTC_4x4x3_OES  = $93C2;
  GL_COMPRESSED_RGBA_ASTC_4x4x4_OES  = $93C3;
  GL_COMPRESSED_RGBA_ASTC_5x4x4_OES  = $93C4;
  GL_COMPRESSED_RGBA_ASTC_5x5x4_OES  = $93C5;
  GL_COMPRESSED_RGBA_ASTC_5x5x5_OES  = $93C6;
  GL_COMPRESSED_RGBA_ASTC_6x5x5_OES  = $93C7;
  GL_COMPRESSED_RGBA_ASTC_6x6x5_OES  = $93C8;
  GL_COMPRESSED_RGBA_ASTC_6x6x6_OES  = $93C9;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR  = $93D0;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR  = $93D1;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR  = $93D2;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR  = $93D3;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR  = $93D4;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR  = $93D5;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR  = $93D6;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR  = $93D7;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR  = $93D8;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR  = $93D9;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR  = $93DA;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR  = $93DB;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR  = $93DC;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR  = $93DD;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_3x3x3_OES  = $93E0;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x3x3_OES  = $93E1;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4x3_OES  = $93E2;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4x4_OES  = $93E3;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4x4_OES  = $93E4;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5x4_OES  = $93E5;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5x5_OES  = $93E6;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5x5_OES  = $93E7;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6x5_OES  = $93E8;
  GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6x6_OES  = $93E9;
  GL_COMPRESSED_SRGB_ALPHA_PVRTC_2BPPV2_IMG  = $93F0;
  GL_COMPRESSED_SRGB_ALPHA_PVRTC_4BPPV2_IMG  = $93F1;
  GL_PERFQUERY_COUNTER_EVENT_INTEL  = $94F0;
  GL_PERFQUERY_COUNTER_DURATION_NORM_INTEL  = $94F1;
  GL_PERFQUERY_COUNTER_DURATION_RAW_INTEL  = $94F2;
  GL_PERFQUERY_COUNTER_THROUGHPUT_INTEL  = $94F3;
  GL_PERFQUERY_COUNTER_RAW_INTEL  = $94F4;
  GL_PERFQUERY_COUNTER_TIMESTAMP_INTEL  = $94F5;
  GL_PERFQUERY_COUNTER_DATA_UINT32_INTEL  = $94F8;
  GL_PERFQUERY_COUNTER_DATA_UINT64_INTEL  = $94F9;
  GL_PERFQUERY_COUNTER_DATA_FLOAT_INTEL  = $94FA;
  GL_PERFQUERY_COUNTER_DATA_DOUBLE_INTEL  = $94FB;
  GL_PERFQUERY_COUNTER_DATA_BOOL32_INTEL  = $94FC;
  GL_PERFQUERY_QUERY_NAME_LENGTH_MAX_INTEL  = $94FD;
  GL_PERFQUERY_COUNTER_NAME_LENGTH_MAX_INTEL  = $94FE;
  GL_PERFQUERY_COUNTER_DESC_LENGTH_MAX_INTEL  = $94FF;
  GL_PERFQUERY_GPA_EXTENDED_COUNTERS_INTEL  = $9500;
  GL_RASTER_POSITION_UNCLIPPED_IBM  = $19262;
  GL_CULL_VERTEX_IBM             = 103050;
  GL_ALL_STATIC_DATA_IBM         = 103060;
  GL_STATIC_VERTEX_ARRAY_IBM     = 103061;
  GL_VERTEX_ARRAY_LIST_IBM       = 103070;
  GL_NORMAL_ARRAY_LIST_IBM       = 103071;
  GL_COLOR_ARRAY_LIST_IBM        = 103072;
  GL_INDEX_ARRAY_LIST_IBM        = 103073;
  GL_TEXTURE_COORD_ARRAY_LIST_IBM  = 103074;
  GL_EDGE_FLAG_ARRAY_LIST_IBM    = 103075;
  GL_FOG_COORDINATE_ARRAY_LIST_IBM  = 103076;
  GL_SECONDARY_COLOR_ARRAY_LIST_IBM  = 103077;
  GL_VERTEX_ARRAY_LIST_STRIDE_IBM  = 103080;
  GL_NORMAL_ARRAY_LIST_STRIDE_IBM  = 103081;
  GL_COLOR_ARRAY_LIST_STRIDE_IBM  = 103082;
  GL_INDEX_ARRAY_LIST_STRIDE_IBM  = 103083;
  GL_TEXTURE_COORD_ARRAY_LIST_STRIDE_IBM  = 103084;
  GL_EDGE_FLAG_ARRAY_LIST_STRIDE_IBM  = 103085;
  GL_FOG_COORDINATE_ARRAY_LIST_STRIDE_IBM  = 103086;
  GL_SECONDARY_COLOR_ARRAY_LIST_STRIDE_IBM  = 103087;
  GL_PREFER_DOUBLEBUFFER_HINT_PGI  = $1A1F8;
  GL_CONSERVE_MEMORY_HINT_PGI    = $1A1FD;
  GL_RECLAIM_MEMORY_HINT_PGI     = $1A1FE;
  GL_NATIVE_GRAPHICS_HANDLE_PGI  = $1A202;
  GL_NATIVE_GRAPHICS_BEGIN_HINT_PGI  = $1A203;
  GL_NATIVE_GRAPHICS_END_HINT_PGI  = $1A204;
  GL_ALWAYS_FAST_HINT_PGI        = $1A20C;
  GL_ALWAYS_SOFT_HINT_PGI        = $1A20D;
  GL_ALLOW_DRAW_OBJ_HINT_PGI     = $1A20E;
  GL_ALLOW_DRAW_WIN_HINT_PGI     = $1A20F;
  GL_ALLOW_DRAW_FRG_HINT_PGI     = $1A210;
  GL_ALLOW_DRAW_MEM_HINT_PGI     = $1A211;
  GL_STRICT_DEPTHFUNC_HINT_PGI   = $1A216;
  GL_STRICT_LIGHTING_HINT_PGI    = $1A217;
  GL_STRICT_SCISSOR_HINT_PGI     = $1A218;
  GL_FULL_STIPPLE_HINT_PGI       = $1A219;
  GL_CLIP_NEAR_HINT_PGI          = $1A220;
  GL_CLIP_FAR_HINT_PGI           = $1A221;
  GL_WIDE_LINE_HINT_PGI          = $1A222;
  GL_BACK_NORMALS_HINT_PGI       = $1A223;
  GL_VERTEX_DATA_HINT_PGI        = $1A22A;
  GL_VERTEX_CONSISTENT_HINT_PGI  = $1A22B;
  GL_MATERIAL_SIDE_HINT_PGI      = $1A22C;
  GL_MAX_VERTEX_HINT_PGI         = $1A22D;
  WGL_SWAP_MAIN_PLANE            = $00000001;
  WGL_SWAP_OVERLAY1              = $00000002;
  WGL_SWAP_OVERLAY2              = $00000004;
  WGL_SWAP_OVERLAY3              = $00000008;
  WGL_SWAP_OVERLAY4              = $00000010;
  WGL_SWAP_OVERLAY5              = $00000020;
  WGL_SWAP_OVERLAY6              = $00000040;
  WGL_SWAP_OVERLAY7              = $00000080;
  WGL_SWAP_OVERLAY8              = $00000100;
  WGL_SWAP_OVERLAY9              = $00000200;
  WGL_SWAP_OVERLAY10             = $00000400;
  WGL_SWAP_OVERLAY11             = $00000800;
  WGL_SWAP_OVERLAY12             = $00001000;
  WGL_SWAP_OVERLAY13             = $00002000;
  WGL_SWAP_OVERLAY14             = $00004000;
  WGL_SWAP_OVERLAY15             = $00008000;
  WGL_SWAP_UNDERLAY1             = $00010000;
  WGL_SWAP_UNDERLAY2             = $00020000;
  WGL_SWAP_UNDERLAY3             = $00040000;
  WGL_SWAP_UNDERLAY4             = $00080000;
  WGL_SWAP_UNDERLAY5             = $00100000;
  WGL_SWAP_UNDERLAY6             = $00200000;
  WGL_SWAP_UNDERLAY7             = $00400000;
  WGL_SWAP_UNDERLAY8             = $00800000;
  WGL_SWAP_UNDERLAY9             = $01000000;
  WGL_SWAP_UNDERLAY10            = $02000000;
  WGL_SWAP_UNDERLAY11            = $04000000;
  WGL_SWAP_UNDERLAY12            = $08000000;
  WGL_SWAP_UNDERLAY13            = $10000000;
  WGL_SWAP_UNDERLAY14            = $20000000;
  WGL_SWAP_UNDERLAY15            = $40000000;
  WGL_FRONT_COLOR_BUFFER_BIT_ARB  = $00000001;
  WGL_BACK_COLOR_BUFFER_BIT_ARB  = $00000002;
  WGL_DEPTH_BUFFER_BIT_ARB       = $00000004;
  WGL_STENCIL_BUFFER_BIT_ARB     = $00000008;
  WGL_CONTEXT_DEBUG_BIT_ARB      = $00000001;
  WGL_CONTEXT_FORWARD_COMPATIBLE_BIT_ARB  = $00000002;
  WGL_CONTEXT_ROBUST_ACCESS_BIT_ARB  = $00000004;
  WGL_CONTEXT_RESET_ISOLATION_BIT_ARB  = $00000008;
  WGL_CONTEXT_CORE_PROFILE_BIT_ARB  = $00000001;
  WGL_CONTEXT_COMPATIBILITY_PROFILE_BIT_ARB  = $00000002;
  WGL_CONTEXT_ES_PROFILE_BIT_EXT  = $00000004;
  WGL_CONTEXT_ES2_PROFILE_BIT_EXT  = $00000004;
  WGL_IMAGE_BUFFER_MIN_ACCESS_I3D  = $00000001;
  WGL_IMAGE_BUFFER_LOCK_I3D      = $00000002;
  WGL_ACCESS_READ_ONLY_NV        = $00000000;
  WGL_ACCESS_READ_WRITE_NV       = $00000001;
  WGL_ACCESS_WRITE_DISCARD_NV    = $00000002;
  WGL_CONTEXT_RELEASE_BEHAVIOR_NONE_ARB  = 0;
  WGL_FONT_LINES                 = 0;
  WGL_FONT_POLYGONS              = 1;
  WGL_GPU_VENDOR_AMD             = $1F00;
  WGL_GPU_RENDERER_STRING_AMD    = $1F01;
  WGL_GPU_OPENGL_VERSION_STRING_AMD  = $1F02;
  WGL_NUMBER_PIXEL_FORMATS_ARB   = $2000;
  WGL_NUMBER_PIXEL_FORMATS_EXT   = $2000;
  WGL_DRAW_TO_WINDOW_ARB         = $2001;
  WGL_DRAW_TO_WINDOW_EXT         = $2001;
  WGL_DRAW_TO_BITMAP_ARB         = $2002;
  WGL_DRAW_TO_BITMAP_EXT         = $2002;
  WGL_ACCELERATION_ARB           = $2003;
  WGL_ACCELERATION_EXT           = $2003;
  WGL_NEED_PALETTE_ARB           = $2004;
  WGL_NEED_PALETTE_EXT           = $2004;
  WGL_NEED_SYSTEM_PALETTE_ARB    = $2005;
  WGL_NEED_SYSTEM_PALETTE_EXT    = $2005;
  WGL_SWAP_LAYER_BUFFERS_ARB     = $2006;
  WGL_SWAP_LAYER_BUFFERS_EXT     = $2006;
  WGL_SWAP_METHOD_ARB            = $2007;
  WGL_SWAP_METHOD_EXT            = $2007;
  WGL_NUMBER_OVERLAYS_ARB        = $2008;
  WGL_NUMBER_OVERLAYS_EXT        = $2008;
  WGL_NUMBER_UNDERLAYS_ARB       = $2009;
  WGL_NUMBER_UNDERLAYS_EXT       = $2009;
  WGL_TRANSPARENT_ARB            = $200A;
  WGL_TRANSPARENT_EXT            = $200A;
  WGL_TRANSPARENT_VALUE_EXT      = $200B;
  WGL_SHARE_DEPTH_ARB            = $200C;
  WGL_SHARE_DEPTH_EXT            = $200C;
  WGL_SHARE_STENCIL_ARB          = $200D;
  WGL_SHARE_STENCIL_EXT          = $200D;
  WGL_SHARE_ACCUM_ARB            = $200E;
  WGL_SHARE_ACCUM_EXT            = $200E;
  WGL_SUPPORT_GDI_ARB            = $200F;
  WGL_SUPPORT_GDI_EXT            = $200F;
  WGL_SUPPORT_OPENGL_ARB         = $2010;
  WGL_SUPPORT_OPENGL_EXT         = $2010;
  WGL_DOUBLE_BUFFER_ARB          = $2011;
  WGL_DOUBLE_BUFFER_EXT          = $2011;
  WGL_STEREO_ARB                 = $2012;
  WGL_STEREO_EXT                 = $2012;
  WGL_PIXEL_TYPE_ARB             = $2013;
  WGL_PIXEL_TYPE_EXT             = $2013;
  WGL_COLOR_BITS_ARB             = $2014;
  WGL_COLOR_BITS_EXT             = $2014;
  WGL_RED_BITS_ARB               = $2015;
  WGL_RED_BITS_EXT               = $2015;
  WGL_RED_SHIFT_ARB              = $2016;
  WGL_RED_SHIFT_EXT              = $2016;
  WGL_GREEN_BITS_ARB             = $2017;
  WGL_GREEN_BITS_EXT             = $2017;
  WGL_GREEN_SHIFT_ARB            = $2018;
  WGL_GREEN_SHIFT_EXT            = $2018;
  WGL_BLUE_BITS_ARB              = $2019;
  WGL_BLUE_BITS_EXT              = $2019;
  WGL_BLUE_SHIFT_ARB             = $201A;
  WGL_BLUE_SHIFT_EXT             = $201A;
  WGL_ALPHA_BITS_ARB             = $201B;
  WGL_ALPHA_BITS_EXT             = $201B;
  WGL_ALPHA_SHIFT_ARB            = $201C;
  WGL_ALPHA_SHIFT_EXT            = $201C;
  WGL_ACCUM_BITS_ARB             = $201D;
  WGL_ACCUM_BITS_EXT             = $201D;
  WGL_ACCUM_RED_BITS_ARB         = $201E;
  WGL_ACCUM_RED_BITS_EXT         = $201E;
  WGL_ACCUM_GREEN_BITS_ARB       = $201F;
  WGL_ACCUM_GREEN_BITS_EXT       = $201F;
  WGL_ACCUM_BLUE_BITS_ARB        = $2020;
  WGL_ACCUM_BLUE_BITS_EXT        = $2020;
  WGL_ACCUM_ALPHA_BITS_ARB       = $2021;
  WGL_ACCUM_ALPHA_BITS_EXT       = $2021;
  WGL_DEPTH_BITS_ARB             = $2022;
  WGL_DEPTH_BITS_EXT             = $2022;
  WGL_STENCIL_BITS_ARB           = $2023;
  WGL_STENCIL_BITS_EXT           = $2023;
  WGL_AUX_BUFFERS_ARB            = $2024;
  WGL_AUX_BUFFERS_EXT            = $2024;
  WGL_NO_ACCELERATION_ARB        = $2025;
  WGL_NO_ACCELERATION_EXT        = $2025;
  WGL_GENERIC_ACCELERATION_ARB   = $2026;
  WGL_GENERIC_ACCELERATION_EXT   = $2026;
  WGL_FULL_ACCELERATION_ARB      = $2027;
  WGL_FULL_ACCELERATION_EXT      = $2027;
  WGL_SWAP_EXCHANGE_ARB          = $2028;
  WGL_SWAP_EXCHANGE_EXT          = $2028;
  WGL_SWAP_COPY_ARB              = $2029;
  WGL_SWAP_COPY_EXT              = $2029;
  WGL_SWAP_UNDEFINED_ARB         = $202A;
  WGL_SWAP_UNDEFINED_EXT         = $202A;
  WGL_TYPE_RGBA_ARB              = $202B;
  WGL_TYPE_RGBA_EXT              = $202B;
  WGL_TYPE_COLORINDEX_ARB        = $202C;
  WGL_TYPE_COLORINDEX_EXT        = $202C;
  WGL_DRAW_TO_PBUFFER_ARB        = $202D;
  WGL_DRAW_TO_PBUFFER_EXT        = $202D;
  WGL_MAX_PBUFFER_PIXELS_ARB     = $202E;
  WGL_MAX_PBUFFER_PIXELS_EXT     = $202E;
  WGL_MAX_PBUFFER_WIDTH_ARB      = $202F;
  WGL_MAX_PBUFFER_WIDTH_EXT      = $202F;
  WGL_MAX_PBUFFER_HEIGHT_ARB     = $2030;
  WGL_MAX_PBUFFER_HEIGHT_EXT     = $2030;
  WGL_OPTIMAL_PBUFFER_WIDTH_EXT  = $2031;
  WGL_OPTIMAL_PBUFFER_HEIGHT_EXT  = $2032;
  WGL_PBUFFER_LARGEST_ARB        = $2033;
  WGL_PBUFFER_LARGEST_EXT        = $2033;
  WGL_PBUFFER_WIDTH_ARB          = $2034;
  WGL_PBUFFER_WIDTH_EXT          = $2034;
  WGL_PBUFFER_HEIGHT_ARB         = $2035;
  WGL_PBUFFER_HEIGHT_EXT         = $2035;
  WGL_PBUFFER_LOST_ARB           = $2036;
  WGL_TRANSPARENT_RED_VALUE_ARB  = $2037;
  WGL_TRANSPARENT_GREEN_VALUE_ARB  = $2038;
  WGL_TRANSPARENT_BLUE_VALUE_ARB  = $2039;
  WGL_TRANSPARENT_ALPHA_VALUE_ARB  = $203A;
  WGL_TRANSPARENT_INDEX_VALUE_ARB  = $203B;
  WGL_DEPTH_FLOAT_EXT            = $2040;
  WGL_SAMPLE_BUFFERS_ARB         = $2041;
  WGL_SAMPLE_BUFFERS_EXT         = $2041;
  WGL_COVERAGE_SAMPLES_NV        = $2042;
  WGL_SAMPLES_ARB                = $2042;
  WGL_SAMPLES_EXT                = $2042;
  ERROR_INVALID_PIXEL_TYPE_ARB   = $2043;
  ERROR_INVALID_PIXEL_TYPE_EXT   = $2043;
  WGL_GENLOCK_SOURCE_MULTIVIEW_I3D  = $2044;
  WGL_GENLOCK_SOURCE_EXTERNAL_SYNC_I3D  = $2045;
  WGL_GENLOCK_SOURCE_EXTERNAL_FIELD_I3D  = $2046;
  WGL_GENLOCK_SOURCE_EXTERNAL_TTL_I3D  = $2047;
  WGL_GENLOCK_SOURCE_DIGITAL_SYNC_I3D  = $2048;
  WGL_GENLOCK_SOURCE_DIGITAL_FIELD_I3D  = $2049;
  WGL_GENLOCK_SOURCE_EDGE_FALLING_I3D  = $204A;
  WGL_GENLOCK_SOURCE_EDGE_RISING_I3D  = $204B;
  WGL_GENLOCK_SOURCE_EDGE_BOTH_I3D  = $204C;
  WGL_GAMMA_TABLE_SIZE_I3D       = $204E;
  WGL_GAMMA_EXCLUDE_DESKTOP_I3D  = $204F;
  WGL_DIGITAL_VIDEO_CURSOR_ALPHA_FRAMEBUFFER_I3D  = $2050;
  WGL_DIGITAL_VIDEO_CURSOR_ALPHA_VALUE_I3D  = $2051;
  WGL_DIGITAL_VIDEO_CURSOR_INCLUDED_I3D  = $2052;
  WGL_DIGITAL_VIDEO_GAMMA_CORRECTED_I3D  = $2053;
  ERROR_INCOMPATIBLE_DEVICE_CONTEXTS_ARB  = $2054;
  WGL_STEREO_EMITTER_ENABLE_3DL  = $2055;
  WGL_STEREO_EMITTER_DISABLE_3DL  = $2056;
  WGL_STEREO_POLARITY_NORMAL_3DL  = $2057;
  WGL_STEREO_POLARITY_INVERT_3DL  = $2058;
  WGL_SAMPLE_BUFFERS_3DFX        = $2060;
  WGL_SAMPLES_3DFX               = $2061;
  WGL_BIND_TO_TEXTURE_RGB_ARB    = $2070;
  WGL_BIND_TO_TEXTURE_RGBA_ARB   = $2071;
  WGL_TEXTURE_FORMAT_ARB         = $2072;
  WGL_TEXTURE_TARGET_ARB         = $2073;
  WGL_MIPMAP_TEXTURE_ARB         = $2074;
  WGL_TEXTURE_RGB_ARB            = $2075;
  WGL_TEXTURE_RGBA_ARB           = $2076;
  WGL_NO_TEXTURE_ARB             = $2077;
  WGL_TEXTURE_CUBE_MAP_ARB       = $2078;
  WGL_TEXTURE_1D_ARB             = $2079;
  WGL_TEXTURE_2D_ARB             = $207A;
  WGL_MIPMAP_LEVEL_ARB           = $207B;
  WGL_CUBE_MAP_FACE_ARB          = $207C;
  WGL_TEXTURE_CUBE_MAP_POSITIVE_X_ARB  = $207D;
  WGL_TEXTURE_CUBE_MAP_NEGATIVE_X_ARB  = $207E;
  WGL_TEXTURE_CUBE_MAP_POSITIVE_Y_ARB  = $207F;
  WGL_TEXTURE_CUBE_MAP_NEGATIVE_Y_ARB  = $2080;
  WGL_TEXTURE_CUBE_MAP_POSITIVE_Z_ARB  = $2081;
  WGL_TEXTURE_CUBE_MAP_NEGATIVE_Z_ARB  = $2082;
  WGL_FRONT_LEFT_ARB             = $2083;
  WGL_FRONT_RIGHT_ARB            = $2084;
  WGL_BACK_LEFT_ARB              = $2085;
  WGL_BACK_RIGHT_ARB             = $2086;
  WGL_AUX0_ARB                   = $2087;
  WGL_AUX1_ARB                   = $2088;
  WGL_AUX2_ARB                   = $2089;
  WGL_AUX3_ARB                   = $208A;
  WGL_AUX4_ARB                   = $208B;
  WGL_AUX5_ARB                   = $208C;
  WGL_AUX6_ARB                   = $208D;
  WGL_AUX7_ARB                   = $208E;
  WGL_AUX8_ARB                   = $208F;
  WGL_AUX9_ARB                   = $2090;
  WGL_CONTEXT_MAJOR_VERSION_ARB  = $2091;
  WGL_CONTEXT_MINOR_VERSION_ARB  = $2092;
  WGL_CONTEXT_LAYER_PLANE_ARB    = $2093;
  WGL_CONTEXT_FLAGS_ARB          = $2094;
  ERROR_INVALID_VERSION_ARB      = $2095;
  ERROR_INVALID_PROFILE_ARB      = $2096;
  WGL_CONTEXT_RELEASE_BEHAVIOR_ARB  = $2097;
  WGL_CONTEXT_RELEASE_BEHAVIOR_FLUSH_ARB  = $2098;
  WGL_BIND_TO_TEXTURE_RECTANGLE_RGB_NV  = $20A0;
  WGL_BIND_TO_TEXTURE_RECTANGLE_RGBA_NV  = $20A1;
  WGL_TEXTURE_RECTANGLE_NV       = $20A2;
  WGL_BIND_TO_TEXTURE_DEPTH_NV   = $20A3;
  WGL_BIND_TO_TEXTURE_RECTANGLE_DEPTH_NV  = $20A4;
  WGL_DEPTH_TEXTURE_FORMAT_NV    = $20A5;
  WGL_TEXTURE_DEPTH_COMPONENT_NV  = $20A6;
  WGL_DEPTH_COMPONENT_NV         = $20A7;
  WGL_TYPE_RGBA_UNSIGNED_FLOAT_EXT  = $20A8;
  WGL_FRAMEBUFFER_SRGB_CAPABLE_ARB  = $20A9;
  WGL_FRAMEBUFFER_SRGB_CAPABLE_EXT  = $20A9;
  WGL_FLOAT_COMPONENTS_NV        = $20B0;
  WGL_BIND_TO_TEXTURE_RECTANGLE_FLOAT_R_NV  = $20B1;
  WGL_BIND_TO_TEXTURE_RECTANGLE_FLOAT_RG_NV  = $20B2;
  WGL_BIND_TO_TEXTURE_RECTANGLE_FLOAT_RGB_NV  = $20B3;
  WGL_BIND_TO_TEXTURE_RECTANGLE_FLOAT_RGBA_NV  = $20B4;
  WGL_TEXTURE_FLOAT_R_NV         = $20B5;
  WGL_TEXTURE_FLOAT_RG_NV        = $20B6;
  WGL_TEXTURE_FLOAT_RGB_NV       = $20B7;
  WGL_TEXTURE_FLOAT_RGBA_NV      = $20B8;
  WGL_COLOR_SAMPLES_NV           = $20B9;
  WGL_BIND_TO_VIDEO_RGB_NV       = $20C0;
  WGL_BIND_TO_VIDEO_RGBA_NV      = $20C1;
  WGL_BIND_TO_VIDEO_RGB_AND_DEPTH_NV  = $20C2;
  WGL_VIDEO_OUT_COLOR_NV         = $20C3;
  WGL_VIDEO_OUT_ALPHA_NV         = $20C4;
  WGL_VIDEO_OUT_DEPTH_NV         = $20C5;
  WGL_VIDEO_OUT_COLOR_AND_ALPHA_NV  = $20C6;
  WGL_VIDEO_OUT_COLOR_AND_DEPTH_NV  = $20C7;
  WGL_VIDEO_OUT_FRAME            = $20C8;
  WGL_VIDEO_OUT_FIELD_1          = $20C9;
  WGL_VIDEO_OUT_FIELD_2          = $20CA;
  WGL_VIDEO_OUT_STACKED_FIELDS_1_2  = $20CB;
  WGL_VIDEO_OUT_STACKED_FIELDS_2_1  = $20CC;
  WGL_UNIQUE_ID_NV               = $20CE;
  WGL_NUM_VIDEO_CAPTURE_SLOTS_NV  = $20CF;
  ERROR_INCOMPATIBLE_AFFINITY_MASKS_NV  = $20D0;
  ERROR_MISSING_AFFINITY_MASK_NV  = $20D1;
  WGL_NUM_VIDEO_SLOTS_NV         = $20F0;
  WGL_TYPE_RGBA_FLOAT_ARB        = $21A0;
  WGL_TYPE_RGBA_FLOAT_ATI        = $21A0;
  WGL_GPU_FASTEST_TARGET_GPUS_AMD  = $21A2;
  WGL_GPU_RAM_AMD                = $21A3;
  WGL_GPU_CLOCK_AMD              = $21A4;
  WGL_GPU_NUM_PIPES_AMD          = $21A5;
  WGL_GPU_NUM_SIMD_AMD           = $21A6;
  WGL_GPU_NUM_RB_AMD             = $21A7;
  WGL_GPU_NUM_SPI_AMD            = $21A8;
  WGL_LOSE_CONTEXT_ON_RESET_ARB  = $8252;
  WGL_CONTEXT_RESET_NOTIFICATION_STRATEGY_ARB  = $8256;
  WGL_NO_RESET_NOTIFICATION_ARB  = $8261;
  WGL_CONTEXT_PROFILE_MASK_ARB   = $9126;
  EGL_PBUFFER_BIT                = $0001;
  EGL_PIXMAP_BIT                 = $0002;
  EGL_WINDOW_BIT                 = $0004;
  EGL_VG_COLORSPACE_LINEAR_BIT   = $0020;
  EGL_VG_COLORSPACE_LINEAR_BIT_KHR  = $0020;
  EGL_VG_ALPHA_FORMAT_PRE_BIT    = $0040;
  EGL_VG_ALPHA_FORMAT_PRE_BIT_KHR  = $0040;
  EGL_LOCK_SURFACE_BIT_KHR       = $0080;
  EGL_OPTIMAL_FORMAT_BIT_KHR     = $0100;
  EGL_MULTISAMPLE_RESOLVE_BOX_BIT  = $0200;
  EGL_SWAP_BEHAVIOR_PRESERVED_BIT  = $0400;
  EGL_STREAM_BIT_KHR             = $0800;
  EGL_OPENGL_ES_BIT              = $0001;
  EGL_OPENVG_BIT                 = $0002;
  EGL_OPENGL_ES2_BIT             = $0004;
  EGL_OPENGL_BIT                 = $0008;
  EGL_OPENGL_ES3_BIT             = $00000040;
  EGL_OPENGL_ES3_BIT_KHR         = $00000040;
  EGL_READ_SURFACE_BIT_KHR       = $0001;
  EGL_WRITE_SURFACE_BIT_KHR      = $0002;
  EGL_SYNC_FLUSH_COMMANDS_BIT    = $0001;
  EGL_SYNC_FLUSH_COMMANDS_BIT_KHR  = $0001;
  EGL_SYNC_FLUSH_COMMANDS_BIT_NV  = $0001;
  EGL_DRM_BUFFER_USE_SCANOUT_MESA  = $00000001;
  EGL_DRM_BUFFER_USE_SHARE_MESA  = $00000002;
  EGL_CONTEXT_OPENGL_DEBUG_BIT_KHR  = $00000001;
  EGL_CONTEXT_OPENGL_FORWARD_COMPATIBLE_BIT_KHR  = $00000002;
  EGL_CONTEXT_OPENGL_ROBUST_ACCESS_BIT_KHR  = $00000004;
  EGL_CONTEXT_OPENGL_CORE_PROFILE_BIT  = $00000001;
  EGL_CONTEXT_OPENGL_CORE_PROFILE_BIT_KHR  = $00000001;
  EGL_CONTEXT_OPENGL_COMPATIBILITY_PROFILE_BIT  = $00000002;
  EGL_CONTEXT_OPENGL_COMPATIBILITY_PROFILE_BIT_KHR  = $00000002;
  EGL_FALSE                      = 0;
  EGL_TRUE                       = 1;
  EGL_DONT_CARE                  = EGLint(-1);
  EGL_UNKNOWN                    = EGLint(-1);
  EGL_NO_NATIVE_FENCE_FD_ANDROID  = -1;
  EGL_DEPTH_ENCODING_NONE_NV     = 0;
  EGL_NO_CONTEXT                 = EGLContext(0);
  EGL_NO_DEVICE_EXT              = EGLDeviceEXT((0));
  EGL_NO_DISPLAY                 = EGLDisplay(0);
  EGL_NO_IMAGE                   = EGLImage(0);
  EGL_NO_IMAGE_KHR               = EGLImageKHR(0);
  EGL_DEFAULT_DISPLAY            = EGLNativeDisplayType(0);
  EGL_NO_FILE_DESCRIPTOR_KHR     = EGLNativeFileDescriptorKHR((-1));
  EGL_NO_OUTPUT_LAYER_EXT        = EGLOutputLayerEXT(0);
  EGL_NO_OUTPUT_PORT_EXT         = EGLOutputPortEXT(0);
  EGL_NO_STREAM_KHR              = EGLStreamKHR(0);
  EGL_NO_SURFACE                 = EGLSurface(0);
  EGL_NO_SYNC                    = EGLSync(0);
  EGL_NO_SYNC_KHR                = EGLSyncKHR(0);
  EGL_NO_SYNC_NV                 = EGLSyncNV(0);
  EGL_DISPLAY_SCALING            = 10000;
  EGL_FOREVER                    = $FFFFFFFFFFFFFFFF;
  EGL_FOREVER_KHR                = $FFFFFFFFFFFFFFFF;
  EGL_FOREVER_NV                 = $FFFFFFFFFFFFFFFF;
  EGL_SUCCESS                    = $3000;
  EGL_NOT_INITIALIZED            = $3001;
  EGL_BAD_ACCESS                 = $3002;
  EGL_BAD_ALLOC                  = $3003;
  EGL_BAD_ATTRIBUTE              = $3004;
  EGL_BAD_CONFIG                 = $3005;
  EGL_BAD_CONTEXT                = $3006;
  EGL_BAD_CURRENT_SURFACE        = $3007;
  EGL_BAD_DISPLAY                = $3008;
  EGL_BAD_MATCH                  = $3009;
  EGL_BAD_NATIVE_PIXMAP          = $300A;
  EGL_BAD_NATIVE_WINDOW          = $300B;
  EGL_BAD_PARAMETER              = $300C;
  EGL_BAD_SURFACE                = $300D;
  EGL_CONTEXT_LOST               = $300E;
  EGL_BUFFER_SIZE                = $3020;
  EGL_ALPHA_SIZE                 = $3021;
  EGL_BLUE_SIZE                  = $3022;
  EGL_GREEN_SIZE                 = $3023;
  EGL_RED_SIZE                   = $3024;
  EGL_DEPTH_SIZE                 = $3025;
  EGL_STENCIL_SIZE               = $3026;
  EGL_CONFIG_CAVEAT              = $3027;
  EGL_CONFIG_ID                  = $3028;
  EGL_LEVEL                      = $3029;
  EGL_MAX_PBUFFER_HEIGHT         = $302A;
  EGL_MAX_PBUFFER_PIXELS         = $302B;
  EGL_MAX_PBUFFER_WIDTH          = $302C;
  EGL_NATIVE_RENDERABLE          = $302D;
  EGL_NATIVE_VISUAL_ID           = $302E;
  EGL_NATIVE_VISUAL_TYPE         = $302F;
  EGL_SAMPLES                    = $3031;
  EGL_SAMPLE_BUFFERS             = $3032;
  EGL_SURFACE_TYPE               = $3033;
  EGL_TRANSPARENT_TYPE           = $3034;
  EGL_TRANSPARENT_BLUE_VALUE     = $3035;
  EGL_TRANSPARENT_GREEN_VALUE    = $3036;
  EGL_TRANSPARENT_RED_VALUE      = $3037;
  EGL_NONE                       = $3038;
  EGL_BIND_TO_TEXTURE_RGB        = $3039;
  EGL_BIND_TO_TEXTURE_RGBA       = $303A;
  EGL_MIN_SWAP_INTERVAL          = $303B;
  EGL_MAX_SWAP_INTERVAL          = $303C;
  EGL_LUMINANCE_SIZE             = $303D;
  EGL_ALPHA_MASK_SIZE            = $303E;
  EGL_COLOR_BUFFER_TYPE          = $303F;
  EGL_RENDERABLE_TYPE            = $3040;
  EGL_MATCH_NATIVE_PIXMAP        = $3041;
  EGL_CONFORMANT                 = $3042;
  EGL_CONFORMANT_KHR             = $3042;
  EGL_MATCH_FORMAT_KHR           = $3043;
  EGL_SLOW_CONFIG                = $3050;
  EGL_NON_CONFORMANT_CONFIG      = $3051;
  EGL_TRANSPARENT_RGB            = $3052;
  EGL_VENDOR                     = $3053;
  EGL_VERSION                    = $3054;
  EGL_EXTENSIONS                 = $3055;
  EGL_HEIGHT                     = $3056;
  EGL_WIDTH                      = $3057;
  EGL_LARGEST_PBUFFER            = $3058;
  EGL_DRAW                       = $3059;
  EGL_READ                       = $305A;
  EGL_CORE_NATIVE_ENGINE         = $305B;
  EGL_NO_TEXTURE                 = $305C;
  EGL_TEXTURE_RGB                = $305D;
  EGL_TEXTURE_RGBA               = $305E;
  EGL_TEXTURE_2D                 = $305F;
  EGL_Y_INVERTED_NOK             = $307F;
  EGL_TEXTURE_FORMAT             = $3080;
  EGL_TEXTURE_TARGET             = $3081;
  EGL_MIPMAP_TEXTURE             = $3082;
  EGL_MIPMAP_LEVEL               = $3083;
  EGL_BACK_BUFFER                = $3084;
  EGL_SINGLE_BUFFER              = $3085;
  EGL_RENDER_BUFFER              = $3086;
  EGL_COLORSPACE                 = $3087;
  EGL_VG_COLORSPACE              = $3087;
  EGL_ALPHA_FORMAT               = $3088;
  EGL_VG_ALPHA_FORMAT            = $3088;
  EGL_COLORSPACE_sRGB            = $3089;
  EGL_GL_COLORSPACE_SRGB         = $3089;
  EGL_GL_COLORSPACE_SRGB_KHR     = $3089;
  EGL_VG_COLORSPACE_sRGB         = $3089;
  EGL_COLORSPACE_LINEAR          = $308A;
  EGL_GL_COLORSPACE_LINEAR       = $308A;
  EGL_GL_COLORSPACE_LINEAR_KHR   = $308A;
  EGL_VG_COLORSPACE_LINEAR       = $308A;
  EGL_ALPHA_FORMAT_NONPRE        = $308B;
  EGL_VG_ALPHA_FORMAT_NONPRE     = $308B;
  EGL_ALPHA_FORMAT_PRE           = $308C;
  EGL_VG_ALPHA_FORMAT_PRE        = $308C;
  EGL_CLIENT_APIS                = $308D;
  EGL_RGB_BUFFER                 = $308E;
  EGL_LUMINANCE_BUFFER           = $308F;
  EGL_HORIZONTAL_RESOLUTION      = $3090;
  EGL_VERTICAL_RESOLUTION        = $3091;
  EGL_PIXEL_ASPECT_RATIO         = $3092;
  EGL_SWAP_BEHAVIOR              = $3093;
  EGL_BUFFER_PRESERVED           = $3094;
  EGL_BUFFER_DESTROYED           = $3095;
  EGL_OPENVG_IMAGE               = $3096;
  EGL_CONTEXT_CLIENT_TYPE        = $3097;
  EGL_CONTEXT_CLIENT_VERSION     = $3098;
  EGL_CONTEXT_MAJOR_VERSION      = $3098;
  EGL_CONTEXT_MAJOR_VERSION_KHR  = $3098;
  EGL_MULTISAMPLE_RESOLVE        = $3099;
  EGL_MULTISAMPLE_RESOLVE_DEFAULT  = $309A;
  EGL_MULTISAMPLE_RESOLVE_BOX    = $309B;
  EGL_CL_EVENT_HANDLE            = $309C;
  EGL_CL_EVENT_HANDLE_KHR        = $309C;
  EGL_GL_COLORSPACE              = $309D;
  EGL_GL_COLORSPACE_KHR          = $309D;
  EGL_OPENGL_ES_API              = $30A0;
  EGL_OPENVG_API                 = $30A1;
  EGL_OPENGL_API                 = $30A2;
  EGL_NATIVE_PIXMAP_KHR          = $30B0;
  EGL_GL_TEXTURE_2D              = $30B1;
  EGL_GL_TEXTURE_2D_KHR          = $30B1;
  EGL_GL_TEXTURE_3D              = $30B2;
  EGL_GL_TEXTURE_3D_KHR          = $30B2;
  EGL_GL_TEXTURE_CUBE_MAP_POSITIVE_X  = $30B3;
  EGL_GL_TEXTURE_CUBE_MAP_POSITIVE_X_KHR  = $30B3;
  EGL_GL_TEXTURE_CUBE_MAP_NEGATIVE_X  = $30B4;
  EGL_GL_TEXTURE_CUBE_MAP_NEGATIVE_X_KHR  = $30B4;
  EGL_GL_TEXTURE_CUBE_MAP_POSITIVE_Y  = $30B5;
  EGL_GL_TEXTURE_CUBE_MAP_POSITIVE_Y_KHR  = $30B5;
  EGL_GL_TEXTURE_CUBE_MAP_NEGATIVE_Y  = $30B6;
  EGL_GL_TEXTURE_CUBE_MAP_NEGATIVE_Y_KHR  = $30B6;
  EGL_GL_TEXTURE_CUBE_MAP_POSITIVE_Z  = $30B7;
  EGL_GL_TEXTURE_CUBE_MAP_POSITIVE_Z_KHR  = $30B7;
  EGL_GL_TEXTURE_CUBE_MAP_NEGATIVE_Z  = $30B8;
  EGL_GL_TEXTURE_CUBE_MAP_NEGATIVE_Z_KHR  = $30B8;
  EGL_GL_RENDERBUFFER            = $30B9;
  EGL_GL_RENDERBUFFER_KHR        = $30B9;
  EGL_VG_PARENT_IMAGE_KHR        = $30BA;
  EGL_GL_TEXTURE_LEVEL           = $30BC;
  EGL_GL_TEXTURE_LEVEL_KHR       = $30BC;
  EGL_GL_TEXTURE_ZOFFSET         = $30BD;
  EGL_GL_TEXTURE_ZOFFSET_KHR     = $30BD;
  EGL_POST_SUB_BUFFER_SUPPORTED_NV  = $30BE;
  EGL_CONTEXT_OPENGL_ROBUST_ACCESS_EXT  = $30BF;
  EGL_FORMAT_RGB_565_EXACT_KHR   = $30C0;
  EGL_FORMAT_RGB_565_KHR         = $30C1;
  EGL_FORMAT_RGBA_8888_EXACT_KHR  = $30C2;
  EGL_FORMAT_RGBA_8888_KHR       = $30C3;
  EGL_MAP_PRESERVE_PIXELS_KHR    = $30C4;
  EGL_LOCK_USAGE_HINT_KHR        = $30C5;
  EGL_BITMAP_POINTER_KHR         = $30C6;
  EGL_BITMAP_PITCH_KHR           = $30C7;
  EGL_BITMAP_ORIGIN_KHR          = $30C8;
  EGL_BITMAP_PIXEL_RED_OFFSET_KHR  = $30C9;
  EGL_BITMAP_PIXEL_GREEN_OFFSET_KHR  = $30CA;
  EGL_BITMAP_PIXEL_BLUE_OFFSET_KHR  = $30CB;
  EGL_BITMAP_PIXEL_ALPHA_OFFSET_KHR  = $30CC;
  EGL_BITMAP_PIXEL_LUMINANCE_OFFSET_KHR  = $30CD;
  EGL_LOWER_LEFT_KHR             = $30CE;
  EGL_UPPER_LEFT_KHR             = $30CF;
  EGL_IMAGE_PRESERVED            = $30D2;
  EGL_IMAGE_PRESERVED_KHR        = $30D2;
  EGL_COVERAGE_BUFFERS_NV        = $30E0;
  EGL_COVERAGE_SAMPLES_NV        = $30E1;
  EGL_DEPTH_ENCODING_NV          = $30E2;
  EGL_DEPTH_ENCODING_NONLINEAR_NV  = $30E3;
  EGL_SYNC_PRIOR_COMMANDS_COMPLETE_NV  = $30E6;
  EGL_SYNC_STATUS_NV             = $30E7;
  EGL_SIGNALED_NV                = $30E8;
  EGL_UNSIGNALED_NV              = $30E9;
  EGL_ALREADY_SIGNALED_NV        = $30EA;
  EGL_TIMEOUT_EXPIRED_NV         = $30EB;
  EGL_CONDITION_SATISFIED_NV     = $30EC;
  EGL_SYNC_TYPE_NV               = $30ED;
  EGL_SYNC_CONDITION_NV          = $30EE;
  EGL_SYNC_FENCE_NV              = $30EF;
  EGL_SYNC_PRIOR_COMMANDS_COMPLETE  = $30F0;
  EGL_SYNC_PRIOR_COMMANDS_COMPLETE_KHR  = $30F0;
  EGL_SYNC_STATUS                = $30F1;
  EGL_SYNC_STATUS_KHR            = $30F1;
  EGL_SIGNALED                   = $30F2;
  EGL_SIGNALED_KHR               = $30F2;
  EGL_UNSIGNALED                 = $30F3;
  EGL_UNSIGNALED_KHR             = $30F3;
  EGL_TIMEOUT_EXPIRED            = $30F5;
  EGL_TIMEOUT_EXPIRED_KHR        = $30F5;
  EGL_CONDITION_SATISFIED        = $30F6;
  EGL_CONDITION_SATISFIED_KHR    = $30F6;
  EGL_SYNC_TYPE                  = $30F7;
  EGL_SYNC_TYPE_KHR              = $30F7;
  EGL_SYNC_CONDITION             = $30F8;
  EGL_SYNC_CONDITION_KHR         = $30F8;
  EGL_SYNC_FENCE                 = $30F9;
  EGL_SYNC_FENCE_KHR             = $30F9;
  EGL_SYNC_REUSABLE_KHR          = $30FA;
  EGL_CONTEXT_MINOR_VERSION      = $30FB;
  EGL_CONTEXT_MINOR_VERSION_KHR  = $30FB;
  EGL_CONTEXT_FLAGS_KHR          = $30FC;
  EGL_CONTEXT_OPENGL_PROFILE_MASK  = $30FD;
  EGL_CONTEXT_OPENGL_PROFILE_MASK_KHR  = $30FD;
  EGL_SYNC_CL_EVENT              = $30FE;
  EGL_SYNC_CL_EVENT_KHR          = $30FE;
  EGL_SYNC_CL_EVENT_COMPLETE     = $30FF;
  EGL_SYNC_CL_EVENT_COMPLETE_KHR  = $30FF;
  EGL_CONTEXT_PRIORITY_LEVEL_IMG  = $3100;
  EGL_CONTEXT_PRIORITY_HIGH_IMG  = $3101;
  EGL_CONTEXT_PRIORITY_MEDIUM_IMG  = $3102;
  EGL_CONTEXT_PRIORITY_LOW_IMG   = $3103;
  EGL_BITMAP_PIXEL_SIZE_KHR      = $3110;
  EGL_COVERAGE_SAMPLE_RESOLVE_NV  = $3131;
  EGL_COVERAGE_SAMPLE_RESOLVE_DEFAULT_NV  = $3132;
  EGL_COVERAGE_SAMPLE_RESOLVE_NONE_NV  = $3133;
  EGL_MULTIVIEW_VIEW_COUNT_EXT   = $3134;
  EGL_AUTO_STEREO_NV             = $3136;
  EGL_CONTEXT_OPENGL_RESET_NOTIFICATION_STRATEGY_EXT  = $3138;
  EGL_BUFFER_AGE_EXT             = $313D;
  EGL_PLATFORM_DEVICE_EXT        = $313F;
  EGL_NATIVE_BUFFER_ANDROID      = $3140;
  EGL_PLATFORM_ANDROID_KHR       = $3141;
  EGL_RECORDABLE_ANDROID         = $3142;
  EGL_SYNC_NATIVE_FENCE_ANDROID  = $3144;
  EGL_SYNC_NATIVE_FENCE_FD_ANDROID  = $3145;
  EGL_SYNC_NATIVE_FENCE_SIGNALED_ANDROID  = $3146;
  EGL_FRAMEBUFFER_TARGET_ANDROID  = $3147;
  EGL_CONTEXT_OPENGL_DEBUG       = $31B0;
  EGL_CONTEXT_OPENGL_FORWARD_COMPATIBLE  = $31B1;
  EGL_CONTEXT_OPENGL_ROBUST_ACCESS  = $31B2;
  EGL_CONTEXT_OPENGL_RESET_NOTIFICATION_STRATEGY_KHR  = $31BD;
  EGL_CONTEXT_OPENGL_RESET_NOTIFICATION_STRATEGY  = $31BD;
  EGL_NO_RESET_NOTIFICATION      = $31BE;
  EGL_NO_RESET_NOTIFICATION_KHR  = $31BE;
  EGL_NO_RESET_NOTIFICATION_EXT  = $31BE;
  EGL_LOSE_CONTEXT_ON_RESET      = $31BF;
  EGL_LOSE_CONTEXT_ON_RESET_KHR  = $31BF;
  EGL_LOSE_CONTEXT_ON_RESET_EXT  = $31BF;
  EGL_DRM_BUFFER_FORMAT_MESA     = $31D0;
  EGL_DRM_BUFFER_USE_MESA        = $31D1;
  EGL_DRM_BUFFER_FORMAT_ARGB32_MESA  = $31D2;
  EGL_DRM_BUFFER_MESA            = $31D3;
  EGL_DRM_BUFFER_STRIDE_MESA     = $31D4;
  EGL_PLATFORM_X11_KHR           = $31D5;
  EGL_PLATFORM_X11_EXT           = $31D5;
  EGL_PLATFORM_X11_SCREEN_KHR    = $31D6;
  EGL_PLATFORM_X11_SCREEN_EXT    = $31D6;
  EGL_PLATFORM_GBM_KHR           = $31D7;
  EGL_PLATFORM_GBM_MESA          = $31D7;
  EGL_PLATFORM_WAYLAND_KHR       = $31D8;
  EGL_PLATFORM_WAYLAND_EXT       = $31D8;
  EGL_STREAM_FIFO_LENGTH_KHR     = $31FC;
  EGL_STREAM_TIME_NOW_KHR        = $31FD;
  EGL_STREAM_TIME_CONSUMER_KHR   = $31FE;
  EGL_STREAM_TIME_PRODUCER_KHR   = $31FF;
  EGL_D3D_TEXTURE_2D_SHARE_HANDLE_ANGLE  = $3200;
  EGL_CONSUMER_LATENCY_USEC_KHR  = $3210;
  EGL_PRODUCER_FRAME_KHR         = $3212;
  EGL_CONSUMER_FRAME_KHR         = $3213;
  EGL_STREAM_STATE_KHR           = $3214;
  EGL_STREAM_STATE_CREATED_KHR   = $3215;
  EGL_STREAM_STATE_CONNECTING_KHR  = $3216;
  EGL_STREAM_STATE_EMPTY_KHR     = $3217;
  EGL_STREAM_STATE_NEW_FRAME_AVAILABLE_KHR  = $3218;
  EGL_STREAM_STATE_OLD_FRAME_AVAILABLE_KHR  = $3219;
  EGL_STREAM_STATE_DISCONNECTED_KHR  = $321A;
  EGL_BAD_STREAM_KHR             = $321B;
  EGL_BAD_STATE_KHR              = $321C;
  EGL_CONSUMER_ACQUIRE_TIMEOUT_USEC_KHR  = $321E;
  EGL_SYNC_NEW_FRAME_NV          = $321F;
  EGL_BAD_DEVICE_EXT             = $322B;
  EGL_DEVICE_EXT                 = $322C;
  EGL_BAD_OUTPUT_LAYER_EXT       = $322D;
  EGL_BAD_OUTPUT_PORT_EXT        = $322E;
  EGL_SWAP_INTERVAL_EXT          = $322F;
  EGL_DRM_DEVICE_FILE_EXT        = $3233;
  EGL_DRM_CRTC_EXT               = $3234;
  EGL_DRM_PLANE_EXT              = $3235;
  EGL_DRM_CONNECTOR_EXT          = $3236;
  EGL_OPENWF_DEVICE_ID_EXT       = $3237;
  EGL_OPENWF_PIPELINE_ID_EXT     = $3238;
  EGL_OPENWF_PORT_ID_EXT         = $3239;
  EGL_CUDA_DEVICE_NV             = $323A;
  EGL_CUDA_EVENT_HANDLE_NV       = $323B;
  EGL_SYNC_CUDA_EVENT_NV         = $323C;
  EGL_SYNC_CUDA_EVENT_COMPLETE_NV  = $323D;
  EGL_LINUX_DMA_BUF_EXT          = $3270;
  EGL_LINUX_DRM_FOURCC_EXT       = $3271;
  EGL_DMA_BUF_PLANE0_FD_EXT      = $3272;
  EGL_DMA_BUF_PLANE0_OFFSET_EXT  = $3273;
  EGL_DMA_BUF_PLANE0_PITCH_EXT   = $3274;
  EGL_DMA_BUF_PLANE1_FD_EXT      = $3275;
  EGL_DMA_BUF_PLANE1_OFFSET_EXT  = $3276;
  EGL_DMA_BUF_PLANE1_PITCH_EXT   = $3277;
  EGL_DMA_BUF_PLANE2_FD_EXT      = $3278;
  EGL_DMA_BUF_PLANE2_OFFSET_EXT  = $3279;
  EGL_DMA_BUF_PLANE2_PITCH_EXT   = $327A;
  EGL_YUV_COLOR_SPACE_HINT_EXT   = $327B;
  EGL_SAMPLE_RANGE_HINT_EXT      = $327C;
  EGL_YUV_CHROMA_HORIZONTAL_SITING_HINT_EXT  = $327D;
  EGL_YUV_CHROMA_VERTICAL_SITING_HINT_EXT  = $327E;
  EGL_ITU_REC601_EXT             = $327F;
  EGL_ITU_REC709_EXT             = $3280;
  EGL_ITU_REC2020_EXT            = $3281;
  EGL_YUV_FULL_RANGE_EXT         = $3282;
  EGL_YUV_NARROW_RANGE_EXT       = $3283;
  EGL_YUV_CHROMA_SITING_0_EXT    = $3284;
  EGL_YUV_CHROMA_SITING_0_5_EXT  = $3285;
  EGL_DISCARD_SAMPLES_ARM        = $3286;
  EGL_NATIVE_BUFFER_TIZEN        = $32A0;
  EGL_NATIVE_SURFACE_TIZEN       = $32A1;
  EGL_PROTECTED_CONTENT_EXT      = $32C0;
  EGL_COLOR_FORMAT_HI            = $8F70;
  EGL_COLOR_RGB_HI               = $8F71;
  EGL_COLOR_RGBA_HI              = $8F72;
  EGL_COLOR_ARGB_HI              = $8F73;
  EGL_CLIENT_PIXMAP_POINTER_HI   = $8F74;
{#ENUMS_END#}

var
{#APIS_BEGIN#}
  GL_ACTIVE_PROGRAM_EXT : GLenum;

  // capability check flg
  GL_VERSION_1_0 : Boolean = false;
  GL_VERSION_1_1 : Boolean = false;
  GL_VERSION_1_2 : Boolean = false;
  GL_VERSION_1_3 : Boolean = false;
  GL_VERSION_1_4 : Boolean = false;
  GL_VERSION_1_5 : Boolean = false;
  GL_VERSION_2_0 : Boolean = false;
  GL_VERSION_2_1 : Boolean = false;
  GL_VERSION_3_0 : Boolean = false;
  GL_VERSION_3_1 : Boolean = false;
  GL_VERSION_3_2 : Boolean = false;
  GL_VERSION_3_3 : Boolean = false;
  GL_VERSION_4_0 : Boolean = false;
  GL_VERSION_4_1 : Boolean = false;
  GL_VERSION_4_2 : Boolean = false;
  GL_VERSION_4_3 : Boolean = false;
  GL_VERSION_4_4 : Boolean = false;
  GL_VERSION_4_5 : Boolean = false;
  GL_VERSION_ES_CM_1_0 : Boolean = false;
  GL_ES_VERSION_2_0 : Boolean = false;
  GL_ES_VERSION_3_0 : Boolean = false;
  GL_ES_VERSION_3_1 : Boolean = false;
  // GL_3DFX extensions
  GL_3DFX_multisample : Boolean = false;
  GL_3DFX_tbuffer : Boolean = false;
  GL_3DFX_texture_compression_FXT1 : Boolean = false;
  // GL_AMD extensions
  GL_AMD_blend_minmax_factor : Boolean = false;
  GL_AMD_compressed_3DC_texture : Boolean = false;
  GL_AMD_compressed_ATC_texture : Boolean = false;
  GL_AMD_conservative_depth : Boolean = false;
  GL_AMD_debug_output : Boolean = false;
  GL_AMD_depth_clamp_separate : Boolean = false;
  GL_AMD_draw_buffers_blend : Boolean = false;
  GL_AMD_gcn_shader : Boolean = false;
  GL_AMD_gpu_shader_int64 : Boolean = false;
  GL_AMD_interleaved_elements : Boolean = false;
  GL_AMD_multi_draw_indirect : Boolean = false;
  GL_AMD_name_gen_delete : Boolean = false;
  GL_AMD_occlusion_query_event : Boolean = false;
  GL_AMD_performance_monitor : Boolean = false;
  GL_AMD_pinned_memory : Boolean = false;
  GL_AMD_program_binary_Z400 : Boolean = false;
  GL_AMD_query_buffer_object : Boolean = false;
  GL_AMD_sample_positions : Boolean = false;
  GL_AMD_seamless_cubemap_per_texture : Boolean = false;
  GL_AMD_shader_atomic_counter_ops : Boolean = false;
  GL_AMD_shader_stencil_export : Boolean = false;
  GL_AMD_shader_trinary_minmax : Boolean = false;
  GL_AMD_sparse_texture : Boolean = false;
  GL_AMD_stencil_operation_extended : Boolean = false;
  GL_AMD_texture_texture4 : Boolean = false;
  GL_AMD_transform_feedback3_lines_triangles : Boolean = false;
  GL_AMD_transform_feedback4 : Boolean = false;
  GL_AMD_vertex_shader_layer : Boolean = false;
  GL_AMD_vertex_shader_tessellator : Boolean = false;
  GL_AMD_vertex_shader_viewport_index : Boolean = false;
  // GL_ANDROID extensions
  GL_ANDROID_extension_pack_es31a : Boolean = false;
  // GL_ANGLE extensions
  GL_ANGLE_depth_texture : Boolean = false;
  GL_ANGLE_framebuffer_blit : Boolean = false;
  GL_ANGLE_framebuffer_multisample : Boolean = false;
  GL_ANGLE_instanced_arrays : Boolean = false;
  GL_ANGLE_pack_reverse_row_order : Boolean = false;
  GL_ANGLE_program_binary : Boolean = false;
  GL_ANGLE_texture_compression_dxt3 : Boolean = false;
  GL_ANGLE_texture_compression_dxt5 : Boolean = false;
  GL_ANGLE_texture_usage : Boolean = false;
  GL_ANGLE_translated_shader_source : Boolean = false;
  // GL_APPLE extensions
  GL_APPLE_aux_depth_stencil : Boolean = false;
  GL_APPLE_client_storage : Boolean = false;
  GL_APPLE_clip_distance : Boolean = false;
  GL_APPLE_color_buffer_packed_float : Boolean = false;
  GL_APPLE_copy_texture_levels : Boolean = false;
  GL_APPLE_element_array : Boolean = false;
  GL_APPLE_fence : Boolean = false;
  GL_APPLE_float_pixels : Boolean = false;
  GL_APPLE_flush_buffer_range : Boolean = false;
  GL_APPLE_framebuffer_multisample : Boolean = false;
  GL_APPLE_object_purgeable : Boolean = false;
  GL_APPLE_rgb_422 : Boolean = false;
  GL_APPLE_row_bytes : Boolean = false;
  GL_APPLE_specular_vector : Boolean = false;
  GL_APPLE_sync : Boolean = false;
  GL_APPLE_texture_2D_limited_npot : Boolean = false;
  GL_APPLE_texture_format_BGRA8888 : Boolean = false;
  GL_APPLE_texture_max_level : Boolean = false;
  GL_APPLE_texture_packed_float : Boolean = false;
  GL_APPLE_texture_range : Boolean = false;
  GL_APPLE_transform_hint : Boolean = false;
  GL_APPLE_vertex_array_object : Boolean = false;
  GL_APPLE_vertex_array_range : Boolean = false;
  GL_APPLE_vertex_program_evaluators : Boolean = false;
  GL_APPLE_ycbcr_422 : Boolean = false;
  // GL_ARB extensions
  GL_ARB_ES2_compatibility : Boolean = false;
  GL_ARB_ES3_1_compatibility : Boolean = false;
  GL_ARB_ES3_compatibility : Boolean = false;
  GL_ARB_arrays_of_arrays : Boolean = false;
  GL_ARB_base_instance : Boolean = false;
  GL_ARB_bindless_texture : Boolean = false;
  GL_ARB_blend_func_extended : Boolean = false;
  GL_ARB_buffer_storage : Boolean = false;
  GL_ARB_cl_event : Boolean = false;
  GL_ARB_clear_buffer_object : Boolean = false;
  GL_ARB_clear_texture : Boolean = false;
  GL_ARB_clip_control : Boolean = false;
  GL_ARB_color_buffer_float : Boolean = false;
  GL_ARB_compatibility : Boolean = false;
  GL_ARB_compressed_texture_pixel_storage : Boolean = false;
  GL_ARB_compute_shader : Boolean = false;
  GL_ARB_compute_variable_group_size : Boolean = false;
  GL_ARB_conditional_render_inverted : Boolean = false;
  GL_ARB_conservative_depth : Boolean = false;
  GL_ARB_copy_buffer : Boolean = false;
  GL_ARB_copy_image : Boolean = false;
  GL_ARB_cull_distance : Boolean = false;
  GL_ARB_debug_output : Boolean = false;
  GL_ARB_depth_buffer_float : Boolean = false;
  GL_ARB_depth_clamp : Boolean = false;
  GL_ARB_depth_texture : Boolean = false;
  GL_ARB_derivative_control : Boolean = false;
  GL_ARB_direct_state_access : Boolean = false;
  GL_ARB_draw_buffers : Boolean = false;
  GL_ARB_draw_buffers_blend : Boolean = false;
  GL_ARB_draw_elements_base_vertex : Boolean = false;
  GL_ARB_draw_indirect : Boolean = false;
  GL_ARB_draw_instanced : Boolean = false;
  GL_ARB_enhanced_layouts : Boolean = false;
  GL_ARB_explicit_attrib_location : Boolean = false;
  GL_ARB_explicit_uniform_location : Boolean = false;
  GL_ARB_fragment_coord_conventions : Boolean = false;
  GL_ARB_fragment_layer_viewport : Boolean = false;
  GL_ARB_fragment_program : Boolean = false;
  GL_ARB_fragment_program_shadow : Boolean = false;
  GL_ARB_fragment_shader : Boolean = false;
  GL_ARB_framebuffer_no_attachments : Boolean = false;
  GL_ARB_framebuffer_object : Boolean = false;
  GL_ARB_framebuffer_sRGB : Boolean = false;
  GL_ARB_geometry_shader4 : Boolean = false;
  GL_ARB_get_program_binary : Boolean = false;
  GL_ARB_get_texture_sub_image : Boolean = false;
  GL_ARB_gpu_shader5 : Boolean = false;
  GL_ARB_gpu_shader_fp64 : Boolean = false;
  GL_ARB_half_float_pixel : Boolean = false;
  GL_ARB_half_float_vertex : Boolean = false;
  GL_ARB_imaging : Boolean = false;
  GL_ARB_indirect_parameters : Boolean = false;
  GL_ARB_instanced_arrays : Boolean = false;
  GL_ARB_internalformat_query : Boolean = false;
  GL_ARB_internalformat_query2 : Boolean = false;
  GL_ARB_invalidate_subdata : Boolean = false;
  GL_ARB_map_buffer_alignment : Boolean = false;
  GL_ARB_map_buffer_range : Boolean = false;
  GL_ARB_matrix_palette : Boolean = false;
  GL_ARB_multi_bind : Boolean = false;
  GL_ARB_multi_draw_indirect : Boolean = false;
  GL_ARB_multisample : Boolean = false;
  GL_ARB_multitexture : Boolean = false;
  GL_ARB_occlusion_query : Boolean = false;
  GL_ARB_occlusion_query2 : Boolean = false;
  GL_ARB_pipeline_statistics_query : Boolean = false;
  GL_ARB_pixel_buffer_object : Boolean = false;
  GL_ARB_point_parameters : Boolean = false;
  GL_ARB_point_sprite : Boolean = false;
  GL_ARB_program_interface_query : Boolean = false;
  GL_ARB_provoking_vertex : Boolean = false;
  GL_ARB_query_buffer_object : Boolean = false;
  GL_ARB_robust_buffer_access_behavior : Boolean = false;
  GL_ARB_robustness : Boolean = false;
  GL_ARB_robustness_isolation : Boolean = false;
  GL_ARB_sample_shading : Boolean = false;
  GL_ARB_sampler_objects : Boolean = false;
  GL_ARB_seamless_cube_map : Boolean = false;
  GL_ARB_seamless_cubemap_per_texture : Boolean = false;
  GL_ARB_separate_shader_objects : Boolean = false;
  GL_ARB_shader_atomic_counters : Boolean = false;
  GL_ARB_shader_bit_encoding : Boolean = false;
  GL_ARB_shader_draw_parameters : Boolean = false;
  GL_ARB_shader_group_vote : Boolean = false;
  GL_ARB_shader_image_load_store : Boolean = false;
  GL_ARB_shader_image_size : Boolean = false;
  GL_ARB_shader_objects : Boolean = false;
  GL_ARB_shader_precision : Boolean = false;
  GL_ARB_shader_stencil_export : Boolean = false;
  GL_ARB_shader_storage_buffer_object : Boolean = false;
  GL_ARB_shader_subroutine : Boolean = false;
  GL_ARB_shader_texture_image_samples : Boolean = false;
  GL_ARB_shader_texture_lod : Boolean = false;
  GL_ARB_shading_language_100 : Boolean = false;
  GL_ARB_shading_language_420pack : Boolean = false;
  GL_ARB_shading_language_include : Boolean = false;
  GL_ARB_shading_language_packing : Boolean = false;
  GL_ARB_shadow : Boolean = false;
  GL_ARB_shadow_ambient : Boolean = false;
  GL_ARB_sparse_buffer : Boolean = false;
  GL_ARB_sparse_texture : Boolean = false;
  GL_ARB_stencil_texturing : Boolean = false;
  GL_ARB_sync : Boolean = false;
  GL_ARB_tessellation_shader : Boolean = false;
  GL_ARB_texture_barrier : Boolean = false;
  GL_ARB_texture_border_clamp : Boolean = false;
  GL_ARB_texture_buffer_object : Boolean = false;
  GL_ARB_texture_buffer_object_rgb32 : Boolean = false;
  GL_ARB_texture_buffer_range : Boolean = false;
  GL_ARB_texture_compression : Boolean = false;
  GL_ARB_texture_compression_bptc : Boolean = false;
  GL_ARB_texture_compression_rgtc : Boolean = false;
  GL_ARB_texture_cube_map : Boolean = false;
  GL_ARB_texture_cube_map_array : Boolean = false;
  GL_ARB_texture_env_add : Boolean = false;
  GL_ARB_texture_env_combine : Boolean = false;
  GL_ARB_texture_env_crossbar : Boolean = false;
  GL_ARB_texture_env_dot3 : Boolean = false;
  GL_ARB_texture_float : Boolean = false;
  GL_ARB_texture_gather : Boolean = false;
  GL_ARB_texture_mirror_clamp_to_edge : Boolean = false;
  GL_ARB_texture_mirrored_repeat : Boolean = false;
  GL_ARB_texture_multisample : Boolean = false;
  GL_ARB_texture_non_power_of_two : Boolean = false;
  GL_ARB_texture_query_levels : Boolean = false;
  GL_ARB_texture_query_lod : Boolean = false;
  GL_ARB_texture_rectangle : Boolean = false;
  GL_ARB_texture_rg : Boolean = false;
  GL_ARB_texture_rgb10_a2ui : Boolean = false;
  GL_ARB_texture_stencil8 : Boolean = false;
  GL_ARB_texture_storage : Boolean = false;
  GL_ARB_texture_storage_multisample : Boolean = false;
  GL_ARB_texture_swizzle : Boolean = false;
  GL_ARB_texture_view : Boolean = false;
  GL_ARB_timer_query : Boolean = false;
  GL_ARB_transform_feedback2 : Boolean = false;
  GL_ARB_transform_feedback3 : Boolean = false;
  GL_ARB_transform_feedback_instanced : Boolean = false;
  GL_ARB_transform_feedback_overflow_query : Boolean = false;
  GL_ARB_transpose_matrix : Boolean = false;
  GL_ARB_uniform_buffer_object : Boolean = false;
  GL_ARB_vertex_array_bgra : Boolean = false;
  GL_ARB_vertex_array_object : Boolean = false;
  GL_ARB_vertex_attrib_64bit : Boolean = false;
  GL_ARB_vertex_attrib_binding : Boolean = false;
  GL_ARB_vertex_blend : Boolean = false;
  GL_ARB_vertex_buffer_object : Boolean = false;
  GL_ARB_vertex_program : Boolean = false;
  GL_ARB_vertex_shader : Boolean = false;
  GL_ARB_vertex_type_10f_11f_11f_rev : Boolean = false;
  GL_ARB_vertex_type_2_10_10_10_rev : Boolean = false;
  GL_ARB_viewport_array : Boolean = false;
  GL_ARB_window_pos : Boolean = false;
  // GL_ARM extensions
  GL_ARM_mali_program_binary : Boolean = false;
  GL_ARM_mali_shader_binary : Boolean = false;
  GL_ARM_rgba8 : Boolean = false;
  GL_ARM_shader_framebuffer_fetch : Boolean = false;
  GL_ARM_shader_framebuffer_fetch_depth_stencil : Boolean = false;
  // GL_ATI extensions
  GL_ATI_draw_buffers : Boolean = false;
  GL_ATI_element_array : Boolean = false;
  GL_ATI_envmap_bumpmap : Boolean = false;
  GL_ATI_fragment_shader : Boolean = false;
  GL_ATI_map_object_buffer : Boolean = false;
  GL_ATI_meminfo : Boolean = false;
  GL_ATI_pixel_format_float : Boolean = false;
  GL_ATI_pn_triangles : Boolean = false;
  GL_ATI_separate_stencil : Boolean = false;
  GL_ATI_text_fragment_shader : Boolean = false;
  GL_ATI_texture_env_combine3 : Boolean = false;
  GL_ATI_texture_float : Boolean = false;
  GL_ATI_texture_mirror_once : Boolean = false;
  GL_ATI_vertex_array_object : Boolean = false;
  GL_ATI_vertex_attrib_array_object : Boolean = false;
  GL_ATI_vertex_streams : Boolean = false;
  // GL_DMP extensions
  GL_DMP_program_binary : Boolean = false;
  GL_DMP_shader_binary : Boolean = false;
  // GL_EXT extensions
  GL_EXT_422_pixels : Boolean = false;
  GL_EXT_abgr : Boolean = false;
  GL_EXT_bgra : Boolean = false;
  GL_EXT_bindable_uniform : Boolean = false;
  GL_EXT_blend_color : Boolean = false;
  GL_EXT_blend_equation_separate : Boolean = false;
  GL_EXT_blend_func_separate : Boolean = false;
  GL_EXT_blend_logic_op : Boolean = false;
  GL_EXT_blend_minmax : Boolean = false;
  GL_EXT_blend_subtract : Boolean = false;
  GL_EXT_clip_volume_hint : Boolean = false;
  GL_EXT_cmyka : Boolean = false;
  GL_EXT_color_buffer_half_float : Boolean = false;
  GL_EXT_color_subtable : Boolean = false;
  GL_EXT_compiled_vertex_array : Boolean = false;
  GL_EXT_convolution : Boolean = false;
  GL_EXT_coordinate_frame : Boolean = false;
  GL_EXT_copy_image : Boolean = false;
  GL_EXT_copy_texture : Boolean = false;
  GL_EXT_cull_vertex : Boolean = false;
  GL_EXT_debug_label : Boolean = false;
  GL_EXT_debug_marker : Boolean = false;
  GL_EXT_depth_bounds_test : Boolean = false;
  GL_EXT_direct_state_access : Boolean = false;
  GL_EXT_discard_framebuffer : Boolean = false;
  GL_EXT_disjoint_timer_query : Boolean = false;
  GL_EXT_draw_buffers : Boolean = false;
  GL_EXT_draw_buffers2 : Boolean = false;
  GL_EXT_draw_buffers_indexed : Boolean = false;
  GL_EXT_draw_instanced : Boolean = false;
  GL_EXT_draw_range_elements : Boolean = false;
  GL_EXT_fog_coord : Boolean = false;
  GL_EXT_framebuffer_blit : Boolean = false;
  GL_EXT_framebuffer_multisample : Boolean = false;
  GL_EXT_framebuffer_multisample_blit_scaled : Boolean = false;
  GL_EXT_framebuffer_object : Boolean = false;
  GL_EXT_framebuffer_sRGB : Boolean = false;
  GL_EXT_geometry_point_size : Boolean = false;
  GL_EXT_geometry_shader : Boolean = false;
  GL_EXT_geometry_shader4 : Boolean = false;
  GL_EXT_gpu_program_parameters : Boolean = false;
  GL_EXT_gpu_shader4 : Boolean = false;
  GL_EXT_gpu_shader5 : Boolean = false;
  GL_EXT_histogram : Boolean = false;
  GL_EXT_index_array_formats : Boolean = false;
  GL_EXT_index_func : Boolean = false;
  GL_EXT_index_material : Boolean = false;
  GL_EXT_index_texture : Boolean = false;
  GL_EXT_instanced_arrays : Boolean = false;
  GL_EXT_light_texture : Boolean = false;
  GL_EXT_map_buffer_range : Boolean = false;
  GL_EXT_misc_attribute : Boolean = false;
  GL_EXT_multi_draw_arrays : Boolean = false;
  GL_EXT_multisample : Boolean = false;
  GL_EXT_multisampled_render_to_texture : Boolean = false;
  GL_EXT_multiview_draw_buffers : Boolean = false;
  GL_EXT_occlusion_query_boolean : Boolean = false;
  GL_EXT_packed_depth_stencil : Boolean = false;
  GL_EXT_packed_float : Boolean = false;
  GL_EXT_packed_pixels : Boolean = false;
  GL_EXT_paletted_texture : Boolean = false;
  GL_EXT_pixel_buffer_object : Boolean = false;
  GL_EXT_pixel_transform : Boolean = false;
  GL_EXT_pixel_transform_color_table : Boolean = false;
  GL_EXT_point_parameters : Boolean = false;
  GL_EXT_polygon_offset : Boolean = false;
  GL_EXT_polygon_offset_clamp : Boolean = false;
  GL_EXT_post_depth_coverage : Boolean = false;
  GL_EXT_primitive_bounding_box : Boolean = false;
  GL_EXT_provoking_vertex : Boolean = false;
  GL_EXT_pvrtc_sRGB : Boolean = false;
  GL_EXT_raster_multisample : Boolean = false;
  GL_EXT_read_format_bgra : Boolean = false;
  GL_EXT_rescale_normal : Boolean = false;
  GL_EXT_robustness : Boolean = false;
  GL_EXT_sRGB : Boolean = false;
  GL_EXT_sRGB_write_control : Boolean = false;
  GL_EXT_secondary_color : Boolean = false;
  GL_EXT_separate_shader_objects : Boolean = false;
  GL_EXT_separate_specular_color : Boolean = false;
  GL_EXT_shader_framebuffer_fetch : Boolean = false;
  GL_EXT_shader_image_load_formatted : Boolean = false;
  GL_EXT_shader_image_load_store : Boolean = false;
  GL_EXT_shader_implicit_conversions : Boolean = false;
  GL_EXT_shader_integer_mix : Boolean = false;
  GL_EXT_shader_io_blocks : Boolean = false;
  GL_EXT_shader_pixel_local_storage : Boolean = false;
  GL_EXT_shader_texture_lod : Boolean = false;
  GL_EXT_shadow_funcs : Boolean = false;
  GL_EXT_shadow_samplers : Boolean = false;
  GL_EXT_shared_texture_palette : Boolean = false;
  GL_EXT_sparse_texture2 : Boolean = false;
  GL_EXT_stencil_clear_tag : Boolean = false;
  GL_EXT_stencil_two_side : Boolean = false;
  GL_EXT_stencil_wrap : Boolean = false;
  GL_EXT_subtexture : Boolean = false;
  GL_EXT_tessellation_point_size : Boolean = false;
  GL_EXT_tessellation_shader : Boolean = false;
  GL_EXT_texture : Boolean = false;
  GL_EXT_texture3D : Boolean = false;
  GL_EXT_texture_array : Boolean = false;
  GL_EXT_texture_border_clamp : Boolean = false;
  GL_EXT_texture_buffer : Boolean = false;
  GL_EXT_texture_buffer_object : Boolean = false;
  GL_EXT_texture_compression_dxt1 : Boolean = false;
  GL_EXT_texture_compression_latc : Boolean = false;
  GL_EXT_texture_compression_rgtc : Boolean = false;
  GL_EXT_texture_compression_s3tc : Boolean = false;
  GL_EXT_texture_cube_map : Boolean = false;
  GL_EXT_texture_cube_map_array : Boolean = false;
  GL_EXT_texture_env_add : Boolean = false;
  GL_EXT_texture_env_combine : Boolean = false;
  GL_EXT_texture_env_dot3 : Boolean = false;
  GL_EXT_texture_filter_anisotropic : Boolean = false;
  GL_EXT_texture_filter_minmax : Boolean = false;
  GL_EXT_texture_format_BGRA8888 : Boolean = false;
  GL_EXT_texture_integer : Boolean = false;
  GL_EXT_texture_lod_bias : Boolean = false;
  GL_EXT_texture_mirror_clamp : Boolean = false;
  GL_EXT_texture_object : Boolean = false;
  GL_EXT_texture_perturb_normal : Boolean = false;
  GL_EXT_texture_rg : Boolean = false;
  GL_EXT_texture_sRGB : Boolean = false;
  GL_EXT_texture_sRGB_decode : Boolean = false;
  GL_EXT_texture_shared_exponent : Boolean = false;
  GL_EXT_texture_snorm : Boolean = false;
  GL_EXT_texture_storage : Boolean = false;
  GL_EXT_texture_swizzle : Boolean = false;
  GL_EXT_texture_type_2_10_10_10_REV : Boolean = false;
  GL_EXT_texture_view : Boolean = false;
  GL_EXT_timer_query : Boolean = false;
  GL_EXT_transform_feedback : Boolean = false;
  GL_EXT_unpack_subimage : Boolean = false;
  GL_EXT_vertex_array : Boolean = false;
  GL_EXT_vertex_array_bgra : Boolean = false;
  GL_EXT_vertex_attrib_64bit : Boolean = false;
  GL_EXT_vertex_shader : Boolean = false;
  GL_EXT_vertex_weighting : Boolean = false;
  GL_EXT_x11_sync_object : Boolean = false;
  // GL_FJ extensions
  GL_FJ_shader_binary_GCCSO : Boolean = false;
  // GL_GREMEDY extensions
  GL_GREMEDY_frame_terminator : Boolean = false;
  GL_GREMEDY_string_marker : Boolean = false;
  // GL_HP extensions
  GL_HP_convolution_border_modes : Boolean = false;
  GL_HP_image_transform : Boolean = false;
  GL_HP_occlusion_test : Boolean = false;
  GL_HP_texture_lighting : Boolean = false;
  // GL_IBM extensions
  GL_IBM_cull_vertex : Boolean = false;
  GL_IBM_multimode_draw_arrays : Boolean = false;
  GL_IBM_rasterpos_clip : Boolean = false;
  GL_IBM_static_data : Boolean = false;
  GL_IBM_texture_mirrored_repeat : Boolean = false;
  GL_IBM_vertex_array_lists : Boolean = false;
  // GL_IMG extensions
  GL_IMG_multisampled_render_to_texture : Boolean = false;
  GL_IMG_program_binary : Boolean = false;
  GL_IMG_read_format : Boolean = false;
  GL_IMG_shader_binary : Boolean = false;
  GL_IMG_texture_compression_pvrtc : Boolean = false;
  GL_IMG_texture_compression_pvrtc2 : Boolean = false;
  GL_IMG_texture_env_enhanced_fixed_function : Boolean = false;
  GL_IMG_user_clip_plane : Boolean = false;
  // GL_INGR extensions
  GL_INGR_blend_func_separate : Boolean = false;
  GL_INGR_color_clamp : Boolean = false;
  GL_INGR_interlace_read : Boolean = false;
  // GL_INTEL extensions
  GL_INTEL_fragment_shader_ordering : Boolean = false;
  GL_INTEL_map_texture : Boolean = false;
  GL_INTEL_parallel_arrays : Boolean = false;
  GL_INTEL_performance_query : Boolean = false;
  // GL_KHR extensions
  GL_KHR_blend_equation_advanced : Boolean = false;
  GL_KHR_blend_equation_advanced_coherent : Boolean = false;
  GL_KHR_context_flush_control : Boolean = false;
  GL_KHR_debug : Boolean = false;
  GL_KHR_robust_buffer_access_behavior : Boolean = false;
  GL_KHR_robustness : Boolean = false;
  GL_KHR_texture_compression_astc_hdr : Boolean = false;
  GL_KHR_texture_compression_astc_ldr : Boolean = false;
  // GL_MESAX extensions
  GL_MESAX_texture_stack : Boolean = false;
  // GL_MESA extensions
  GL_MESA_pack_invert : Boolean = false;
  GL_MESA_resize_buffers : Boolean = false;
  GL_MESA_window_pos : Boolean = false;
  GL_MESA_ycbcr_texture : Boolean = false;
  // GL_NVX extensions
  GL_NVX_conditional_render : Boolean = false;
  GL_NVX_gpu_memory_info : Boolean = false;
  // GL_NV extensions
  GL_NV_bindless_multi_draw_indirect : Boolean = false;
  GL_NV_bindless_multi_draw_indirect_count : Boolean = false;
  GL_NV_bindless_texture : Boolean = false;
  GL_NV_blend_equation_advanced : Boolean = false;
  GL_NV_blend_equation_advanced_coherent : Boolean = false;
  GL_NV_blend_square : Boolean = false;
  GL_NV_compute_program5 : Boolean = false;
  GL_NV_conditional_render : Boolean = false;
  GL_NV_conservative_raster : Boolean = false;
  GL_NV_copy_buffer : Boolean = false;
  GL_NV_copy_depth_to_color : Boolean = false;
  GL_NV_copy_image : Boolean = false;
  GL_NV_coverage_sample : Boolean = false;
  GL_NV_deep_texture3D : Boolean = false;
  GL_NV_depth_buffer_float : Boolean = false;
  GL_NV_depth_clamp : Boolean = false;
  GL_NV_depth_nonlinear : Boolean = false;
  GL_NV_draw_buffers : Boolean = false;
  GL_NV_draw_instanced : Boolean = false;
  GL_NV_draw_texture : Boolean = false;
  GL_NV_evaluators : Boolean = false;
  GL_NV_explicit_attrib_location : Boolean = false;
  GL_NV_explicit_multisample : Boolean = false;
  GL_NV_fbo_color_attachments : Boolean = false;
  GL_NV_fence : Boolean = false;
  GL_NV_fill_rectangle : Boolean = false;
  GL_NV_float_buffer : Boolean = false;
  GL_NV_fog_distance : Boolean = false;
  GL_NV_fragment_coverage_to_color : Boolean = false;
  GL_NV_fragment_program : Boolean = false;
  GL_NV_fragment_program2 : Boolean = false;
  GL_NV_fragment_program4 : Boolean = false;
  GL_NV_fragment_program_option : Boolean = false;
  GL_NV_fragment_shader_interlock : Boolean = false;
  GL_NV_framebuffer_blit : Boolean = false;
  GL_NV_framebuffer_mixed_samples : Boolean = false;
  GL_NV_framebuffer_multisample : Boolean = false;
  GL_NV_framebuffer_multisample_coverage : Boolean = false;
  GL_NV_generate_mipmap_sRGB : Boolean = false;
  GL_NV_geometry_program4 : Boolean = false;
  GL_NV_geometry_shader4 : Boolean = false;
  GL_NV_geometry_shader_passthrough : Boolean = false;
  GL_NV_gpu_program4 : Boolean = false;
  GL_NV_gpu_program5 : Boolean = false;
  GL_NV_gpu_program5_mem_extended : Boolean = false;
  GL_NV_gpu_shader5 : Boolean = false;
  GL_NV_half_float : Boolean = false;
  GL_NV_instanced_arrays : Boolean = false;
  GL_NV_light_max_exponent : Boolean = false;
  GL_NV_multisample_coverage : Boolean = false;
  GL_NV_multisample_filter_hint : Boolean = false;
  GL_NV_non_square_matrices : Boolean = false;
  GL_NV_occlusion_query : Boolean = false;
  GL_NV_packed_depth_stencil : Boolean = false;
  GL_NV_parameter_buffer_object : Boolean = false;
  GL_NV_parameter_buffer_object2 : Boolean = false;
  GL_NV_path_rendering : Boolean = false;
  GL_NV_pixel_data_range : Boolean = false;
  GL_NV_point_sprite : Boolean = false;
  GL_NV_present_video : Boolean = false;
  GL_NV_primitive_restart : Boolean = false;
  GL_NV_read_buffer : Boolean = false;
  GL_NV_read_buffer_front : Boolean = false;
  GL_NV_read_depth : Boolean = false;
  GL_NV_read_depth_stencil : Boolean = false;
  GL_NV_read_stencil : Boolean = false;
  GL_NV_register_combiners : Boolean = false;
  GL_NV_path_rendering_shared_edge : Boolean = false;
  GL_NV_register_combiners2 : Boolean = false;
  GL_NV_sRGB_formats : Boolean = false;
  GL_NV_sample_locations : Boolean = false;
  GL_NV_sample_mask_override_coverage : Boolean = false;
  GL_NV_shader_atomic_counters : Boolean = false;
  GL_NV_shader_atomic_float : Boolean = false;
  GL_NV_shader_atomic_fp16_vector : Boolean = false;
  GL_NV_shader_atomic_int64 : Boolean = false;
  GL_NV_shader_buffer_load : Boolean = false;
  GL_NV_shader_buffer_store : Boolean = false;
  GL_NV_shader_storage_buffer_object : Boolean = false;
  GL_NV_shader_thread_group : Boolean = false;
  GL_NV_shader_thread_shuffle : Boolean = false;
  GL_NV_shadow_samplers_array : Boolean = false;
  GL_NV_shadow_samplers_cube : Boolean = false;
  GL_NV_tessellation_program5 : Boolean = false;
  GL_NV_texgen_emboss : Boolean = false;
  GL_NV_texgen_reflection : Boolean = false;
  GL_NV_texture_barrier : Boolean = false;
  GL_NV_texture_border_clamp : Boolean = false;
  GL_NV_texture_compression_s3tc_update : Boolean = false;
  GL_NV_texture_compression_vtc : Boolean = false;
  GL_NV_texture_env_combine4 : Boolean = false;
  GL_NV_texture_expand_normal : Boolean = false;
  GL_NV_texture_multisample : Boolean = false;
  GL_NV_texture_npot_2D_mipmap : Boolean = false;
  GL_NV_texture_rectangle : Boolean = false;
  GL_NV_texture_shader : Boolean = false;
  GL_NV_texture_shader2 : Boolean = false;
  GL_NV_texture_shader3 : Boolean = false;
  GL_NV_transform_feedback : Boolean = false;
  GL_NV_transform_feedback2 : Boolean = false;
  GL_NV_uniform_buffer_unified_memory : Boolean = false;
  GL_NV_vdpau_interop : Boolean = false;
  GL_NV_vertex_array_range : Boolean = false;
  GL_NV_vertex_array_range2 : Boolean = false;
  GL_NV_vertex_attrib_integer_64bit : Boolean = false;
  GL_NV_vertex_buffer_unified_memory : Boolean = false;
  GL_NV_vertex_program : Boolean = false;
  GL_NV_vertex_program1_1 : Boolean = false;
  GL_NV_vertex_program2 : Boolean = false;
  GL_NV_vertex_program2_option : Boolean = false;
  GL_NV_vertex_program3 : Boolean = false;
  GL_NV_vertex_program4 : Boolean = false;
  GL_NV_video_capture : Boolean = false;
  // GL_OES extensions
  GL_OES_EGL_image : Boolean = false;
  GL_OES_EGL_image_external : Boolean = false;
  GL_OES_blend_equation_separate : Boolean = false;
  GL_OES_blend_func_separate : Boolean = false;
  GL_OES_blend_subtract : Boolean = false;
  GL_OES_byte_coordinates : Boolean = false;
  GL_OES_compressed_ETC1_RGB8_sub_texture : Boolean = false;
  GL_OES_compressed_ETC1_RGB8_texture : Boolean = false;
  GL_OES_compressed_paletted_texture : Boolean = false;
  GL_OES_depth24 : Boolean = false;
  GL_OES_depth32 : Boolean = false;
  GL_OES_depth_texture : Boolean = false;
  GL_OES_draw_texture : Boolean = false;
  GL_OES_element_index_uint : Boolean = false;
  GL_OES_extended_matrix_palette : Boolean = false;
  GL_OES_fbo_render_mipmap : Boolean = false;
  GL_OES_fixed_point : Boolean = false;
  GL_OES_fragment_precision_high : Boolean = false;
  GL_OES_framebuffer_object : Boolean = false;
  GL_OES_get_program_binary : Boolean = false;
  GL_OES_mapbuffer : Boolean = false;
  GL_OES_matrix_get : Boolean = false;
  GL_OES_matrix_palette : Boolean = false;
  GL_OES_packed_depth_stencil : Boolean = false;
  GL_OES_point_size_array : Boolean = false;
  GL_OES_point_sprite : Boolean = false;
  GL_OES_query_matrix : Boolean = false;
  GL_OES_read_format : Boolean = false;
  GL_OES_required_internalformat : Boolean = false;
  GL_OES_rgb8_rgba8 : Boolean = false;
  GL_OES_sample_shading : Boolean = false;
  GL_OES_sample_variables : Boolean = false;
  GL_OES_shader_image_atomic : Boolean = false;
  GL_OES_shader_multisample_interpolation : Boolean = false;
  GL_OES_single_precision : Boolean = false;
  GL_OES_standard_derivatives : Boolean = false;
  GL_OES_stencil1 : Boolean = false;
  GL_OES_stencil4 : Boolean = false;
  GL_OES_stencil8 : Boolean = false;
  GL_OES_stencil_wrap : Boolean = false;
  GL_OES_surfaceless_context : Boolean = false;
  GL_OES_texture_3D : Boolean = false;
  GL_OES_texture_compression_astc : Boolean = false;
  GL_OES_texture_cube_map : Boolean = false;
  GL_OES_texture_env_crossbar : Boolean = false;
  GL_OES_texture_float : Boolean = false;
  GL_OES_texture_float_linear : Boolean = false;
  GL_OES_texture_half_float : Boolean = false;
  GL_OES_texture_half_float_linear : Boolean = false;
  GL_OES_texture_mirrored_repeat : Boolean = false;
  GL_OES_texture_npot : Boolean = false;
  GL_OES_texture_stencil8 : Boolean = false;
  GL_OES_texture_storage_multisample_2d_array : Boolean = false;
  GL_OES_vertex_array_object : Boolean = false;
  GL_OES_vertex_half_float : Boolean = false;
  GL_OES_vertex_type_10_10_10_2 : Boolean = false;
  // GL_OML extensions
  GL_OML_interlace : Boolean = false;
  GL_OML_resample : Boolean = false;
  GL_OML_subsample : Boolean = false;
  // GL_PGI extensions
  GL_PGI_misc_hints : Boolean = false;
  GL_PGI_vertex_hints : Boolean = false;
  // GL_QCOM extensions
  GL_QCOM_alpha_test : Boolean = false;
  GL_QCOM_binning_control : Boolean = false;
  GL_QCOM_driver_control : Boolean = false;
  GL_QCOM_extended_get : Boolean = false;
  GL_QCOM_extended_get2 : Boolean = false;
  GL_QCOM_perfmon_global_mode : Boolean = false;
  GL_QCOM_tiled_rendering : Boolean = false;
  GL_QCOM_writeonly_rendering : Boolean = false;
  // GL_REND extensions
  GL_REND_screen_coordinates : Boolean = false;
  // GL_S3 extensions
  GL_S3_s3tc : Boolean = false;
  // GL_SGIS extensions
  GL_SGIS_detail_texture : Boolean = false;
  GL_SGIS_fog_function : Boolean = false;
  GL_SGIS_generate_mipmap : Boolean = false;
  GL_SGIS_multisample : Boolean = false;
  GL_SGIS_pixel_texture : Boolean = false;
  GL_SGIS_point_line_texgen : Boolean = false;
  GL_SGIS_point_parameters : Boolean = false;
  GL_SGIS_sharpen_texture : Boolean = false;
  GL_SGIS_texture4D : Boolean = false;
  GL_SGIS_texture_border_clamp : Boolean = false;
  GL_SGIS_texture_color_mask : Boolean = false;
  GL_SGIS_texture_edge_clamp : Boolean = false;
  GL_SGIS_texture_filter4 : Boolean = false;
  GL_SGIS_texture_lod : Boolean = false;
  GL_SGIS_texture_select : Boolean = false;
  // GL_SGIX extensions
  GL_SGIX_async : Boolean = false;
  GL_SGIX_async_histogram : Boolean = false;
  GL_SGIX_async_pixel : Boolean = false;
  GL_SGIX_blend_alpha_minmax : Boolean = false;
  GL_SGIX_calligraphic_fragment : Boolean = false;
  GL_SGIX_clipmap : Boolean = false;
  GL_SGIX_convolution_accuracy : Boolean = false;
  GL_SGIX_depth_pass_instrument : Boolean = false;
  GL_SGIX_depth_texture : Boolean = false;
  GL_SGIX_flush_raster : Boolean = false;
  GL_SGIX_fog_offset : Boolean = false;
  GL_SGIX_fragment_lighting : Boolean = false;
  GL_SGIX_framezoom : Boolean = false;
  GL_SGIX_igloo_interface : Boolean = false;
  GL_SGIX_instruments : Boolean = false;
  GL_SGIX_interlace : Boolean = false;
  GL_SGIX_ir_instrument1 : Boolean = false;
  GL_SGIX_list_priority : Boolean = false;
  GL_SGIX_pixel_texture : Boolean = false;
  GL_SGIX_pixel_tiles : Boolean = false;
  GL_SGIX_polynomial_ffd : Boolean = false;
  GL_SGIX_reference_plane : Boolean = false;
  GL_SGIX_resample : Boolean = false;
  GL_SGIX_scalebias_hint : Boolean = false;
  GL_SGIX_shadow : Boolean = false;
  GL_SGIX_shadow_ambient : Boolean = false;
  GL_SGIX_sprite : Boolean = false;
  GL_SGIX_subsample : Boolean = false;
  GL_SGIX_tag_sample_buffer : Boolean = false;
  GL_SGIX_texture_add_env : Boolean = false;
  GL_SGIX_texture_coordinate_clamp : Boolean = false;
  GL_SGIX_texture_lod_bias : Boolean = false;
  GL_SGIX_texture_multi_buffer : Boolean = false;
  GL_SGIX_texture_scale_bias : Boolean = false;
  GL_SGIX_vertex_preclip : Boolean = false;
  GL_SGIX_ycrcb : Boolean = false;
  GL_SGIX_ycrcb_subsample : Boolean = false;
  GL_SGIX_ycrcba : Boolean = false;
  // GL_SGI extensions
  GL_SGI_color_matrix : Boolean = false;
  GL_SGI_color_table : Boolean = false;
  GL_SGI_texture_color_table : Boolean = false;
  // GL_SUNX extensions
  GL_SUNX_constant_data : Boolean = false;
  // GL_SUN extensions
  GL_SUN_convolution_border_modes : Boolean = false;
  GL_SUN_global_alpha : Boolean = false;
  GL_SUN_mesh_array : Boolean = false;
  GL_SUN_slice_accum : Boolean = false;
  GL_SUN_triangle_list : Boolean = false;
  GL_SUN_vertex : Boolean = false;
  // GL_VIV extensions
  GL_VIV_shader_binary : Boolean = false;
  // GL_WIN extensions
  GL_WIN_phong_shading : Boolean = false;
  GL_WIN_specular_fog : Boolean = false;
  WGL_VERSION_1_0 : Boolean = false;
  // WGL_3DFX extensions
  WGL_3DFX_multisample : Boolean = false;
  // WGL_3DL extensions
  WGL_3DL_stereo_control : Boolean = false;
  // WGL_AMD extensions
  WGL_AMD_gpu_association : Boolean = false;
  // WGL_ARB extensions
  WGL_ARB_buffer_region : Boolean = false;
  WGL_ARB_context_flush_control : Boolean = false;
  WGL_ARB_create_context : Boolean = false;
  WGL_ARB_create_context_profile : Boolean = false;
  WGL_ARB_create_context_robustness : Boolean = false;
  WGL_ARB_extensions_string : Boolean = false;
  WGL_ARB_framebuffer_sRGB : Boolean = false;
  WGL_ARB_make_current_read : Boolean = false;
  WGL_ARB_multisample : Boolean = false;
  WGL_ARB_pbuffer : Boolean = false;
  WGL_ARB_pixel_format : Boolean = false;
  WGL_ARB_pixel_format_float : Boolean = false;
  WGL_ARB_render_texture : Boolean = false;
  WGL_ARB_robustness_application_isolation : Boolean = false;
  WGL_ARB_robustness_share_group_isolation : Boolean = false;
  // WGL_ATI extensions
  WGL_ATI_pixel_format_float : Boolean = false;
  // WGL_EXT extensions
  WGL_EXT_create_context_es_profile : Boolean = false;
  WGL_EXT_create_context_es2_profile : Boolean = false;
  WGL_EXT_depth_float : Boolean = false;
  WGL_EXT_display_color_table : Boolean = false;
  WGL_EXT_extensions_string : Boolean = false;
  WGL_EXT_framebuffer_sRGB : Boolean = false;
  WGL_EXT_make_current_read : Boolean = false;
  WGL_EXT_multisample : Boolean = false;
  WGL_EXT_pbuffer : Boolean = false;
  WGL_EXT_pixel_format : Boolean = false;
  WGL_EXT_pixel_format_packed_float : Boolean = false;
  WGL_EXT_swap_control : Boolean = false;
  WGL_EXT_swap_control_tear : Boolean = false;
  // WGL_I3D extensions
  WGL_I3D_digital_video_control : Boolean = false;
  WGL_I3D_gamma : Boolean = false;
  WGL_I3D_genlock : Boolean = false;
  WGL_I3D_image_buffer : Boolean = false;
  WGL_I3D_swap_frame_lock : Boolean = false;
  WGL_I3D_swap_frame_usage : Boolean = false;
  // WGL_NV extensions
  WGL_NV_copy_image : Boolean = false;
  WGL_NV_delay_before_swap : Boolean = false;
  WGL_NV_DX_interop : Boolean = false;
  WGL_NV_DX_interop2 : Boolean = false;
  WGL_NV_float_buffer : Boolean = false;
  WGL_NV_gpu_affinity : Boolean = false;
  WGL_NV_multisample_coverage : Boolean = false;
  WGL_NV_present_video : Boolean = false;
  WGL_NV_render_depth_texture : Boolean = false;
  WGL_NV_render_texture_rectangle : Boolean = false;
  WGL_NV_swap_group : Boolean = false;
  WGL_NV_video_capture : Boolean = false;
  WGL_NV_video_output : Boolean = false;
  WGL_NV_vertex_array_range : Boolean = false;
  // WGL_OML extensions
  WGL_OML_sync_control : Boolean = false;
  EGL_VERSION_1_0 : Boolean = false;
  EGL_VERSION_1_1 : Boolean = false;
  EGL_VERSION_1_2 : Boolean = false;
  EGL_VERSION_1_3 : Boolean = false;
  EGL_VERSION_1_4 : Boolean = false;
  EGL_VERSION_1_5 : Boolean = false;
  // EGL_ANDROID extensions
  EGL_ANDROID_blob_cache : Boolean = false;
  EGL_ANDROID_framebuffer_target : Boolean = false;
  EGL_ANDROID_image_native_buffer : Boolean = false;
  EGL_ANDROID_native_fence_sync : Boolean = false;
  EGL_ANDROID_recordable : Boolean = false;
  // EGL_ANGLE extensions
  EGL_ANGLE_d3d_share_handle_client_buffer : Boolean = false;
  EGL_ANGLE_query_surface_pointer : Boolean = false;
  EGL_ANGLE_surface_d3d_texture_2d_share_handle : Boolean = false;
  // EGL_ARM extensions
  EGL_ARM_pixmap_multisample_discard : Boolean = false;
  // EGL_EXT extensions
  EGL_EXT_buffer_age : Boolean = false;
  EGL_EXT_client_extensions : Boolean = false;
  EGL_EXT_create_context_robustness : Boolean = false;
  EGL_EXT_device_base : Boolean = false;
  EGL_EXT_device_drm : Boolean = false;
  EGL_EXT_device_openwf : Boolean = false;
  EGL_EXT_image_dma_buf_import : Boolean = false;
  EGL_EXT_multiview_window : Boolean = false;
  EGL_EXT_output_base : Boolean = false;
  EGL_EXT_output_drm : Boolean = false;
  EGL_EXT_output_openwf : Boolean = false;
  EGL_EXT_platform_base : Boolean = false;
  EGL_EXT_platform_device : Boolean = false;
  EGL_EXT_platform_wayland : Boolean = false;
  EGL_EXT_platform_x11 : Boolean = false;
  EGL_EXT_protected_surface : Boolean = false;
  EGL_EXT_stream_consumer_egloutput : Boolean = false;
  EGL_EXT_swap_buffers_with_damage : Boolean = false;
  // EGL_HI extensions
  EGL_HI_clientpixmap : Boolean = false;
  EGL_HI_colorformats : Boolean = false;
  // EGL_IMG extensions
  EGL_IMG_context_priority : Boolean = false;
  // EGL_KHR extensions
  EGL_KHR_cl_event : Boolean = false;
  EGL_KHR_cl_event2 : Boolean = false;
  EGL_KHR_config_attribs : Boolean = false;
  EGL_KHR_client_get_all_proc_addresses : Boolean = false;
  EGL_KHR_create_context : Boolean = false;
  EGL_KHR_fence_sync : Boolean = false;
  EGL_KHR_get_all_proc_addresses : Boolean = false;
  EGL_KHR_gl_colorspace : Boolean = false;
  EGL_KHR_gl_renderbuffer_image : Boolean = false;
  EGL_KHR_gl_texture_2D_image : Boolean = false;
  EGL_KHR_gl_texture_3D_image : Boolean = false;
  EGL_KHR_gl_texture_cubemap_image : Boolean = false;
  EGL_KHR_image : Boolean = false;
  EGL_KHR_image_base : Boolean = false;
  EGL_KHR_image_pixmap : Boolean = false;
  EGL_KHR_lock_surface : Boolean = false;
  EGL_KHR_lock_surface2 : Boolean = false;
  EGL_KHR_lock_surface3 : Boolean = false;
  EGL_KHR_platform_android : Boolean = false;
  EGL_KHR_platform_gbm : Boolean = false;
  EGL_KHR_platform_wayland : Boolean = false;
  EGL_KHR_platform_x11 : Boolean = false;
  EGL_KHR_reusable_sync : Boolean = false;
  EGL_KHR_stream : Boolean = false;
  EGL_KHR_stream_consumer_gltexture : Boolean = false;
  EGL_KHR_stream_cross_process_fd : Boolean = false;
  EGL_KHR_stream_fifo : Boolean = false;
  EGL_KHR_stream_producer_aldatalocator : Boolean = false;
  EGL_KHR_stream_producer_eglsurface : Boolean = false;
  EGL_KHR_surfaceless_context : Boolean = false;
  EGL_KHR_vg_parent_image : Boolean = false;
  EGL_KHR_wait_sync : Boolean = false;
  // EGL_MESA extensions
  EGL_MESA_drm_image : Boolean = false;
  EGL_MESA_platform_gbm : Boolean = false;
  // EGL_NOK extensions
  EGL_NOK_swap_region : Boolean = false;
  EGL_NOK_swap_region2 : Boolean = false;
  EGL_NOK_texture_from_pixmap : Boolean = false;
  // EGL_NV extensions
  EGL_NV_3dvision_surface : Boolean = false;
  EGL_NV_coverage_sample : Boolean = false;
  EGL_NV_coverage_sample_resolve : Boolean = false;
  EGL_NV_cuda_event : Boolean = false;
  EGL_NV_depth_nonlinear : Boolean = false;
  EGL_NV_device_cuda : Boolean = false;
  EGL_NV_native_query : Boolean = false;
  EGL_NV_post_convert_rounding : Boolean = false;
  EGL_NV_post_sub_buffer : Boolean = false;
  EGL_NV_stream_sync : Boolean = false;
  EGL_NV_sync : Boolean = false;
  EGL_NV_system_time : Boolean = false;
  // EGL_TIZEN extensions
  EGL_TIZEN_image_native_buffer : Boolean = false;
  EGL_TIZEN_image_native_surface : Boolean = false;

  glAccum : function ({AccumOp}op : GLenum; {CoordF}value : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAccumxOES : function (op : GLenum; value : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glActiveProgramEXT : function (prog : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glActiveShaderProgram : function (pipeline : GLuint; prog : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glActiveShaderProgramEXT : function (pipeline : GLuint; prog : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glActiveStencilFaceEXT : function ({StencilFaceDirection}face : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glActiveTexture : function ({TextureUnit}texture : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glActiveTextureARB : function ({TextureUnit}texture : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glActiveVaryingNV : function (prog : GLuint; name : PGLchar{x COMPSIZE(name)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAlphaFragmentOp1ATI : function ({FragmentOpATI}op : GLenum; dst : GLuint; dstMod : GLuint; arg1 : GLuint; arg1Rep : GLuint; arg1Mod : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAlphaFragmentOp2ATI : function ({FragmentOpATI}op : GLenum; dst : GLuint; dstMod : GLuint; arg1 : GLuint; arg1Rep : GLuint; arg1Mod : GLuint; arg2 : GLuint; arg2Rep : GLuint; arg2Mod : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAlphaFragmentOp3ATI : function ({FragmentOpATI}op : GLenum; dst : GLuint; dstMod : GLuint; arg1 : GLuint; arg1Rep : GLuint; arg1Mod : GLuint; arg2 : GLuint; arg2Rep : GLuint; arg2Mod : GLuint; arg3 : GLuint; arg3Rep : GLuint; arg3Mod : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAlphaFunc : function ({AlphaFunction}func : GLenum; ref : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAlphaFuncQCOM : function (func : GLenum; ref : GLclampf ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAlphaFuncx : function (func : GLenum; ref : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAlphaFuncxOES : function (func : GLenum; {ClampedFixed}ref : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glApplyTextureEXT : function ({LightTextureModeEXT}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAreProgramsResidentNV : function (n : GLsizei; programs : PGLuint{x n}; {Boolean}residences : PGLboolean{x n} ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAreTexturesResident : function (n : GLsizei; {Texture}textures : PGLuint{x n}; {Boolean}residences : PGLboolean{x n} ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAreTexturesResidentEXT : function (n : GLsizei; {Texture}textures : PGLuint{x n}; {Boolean}residences : PGLboolean{x n} ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glArrayElement : function (i : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glArrayElementEXT : function (i : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glArrayObjectATI : function ({EnableCap}arry : GLenum; size : GLint; {ScalarType}typ : GLenum; stride : GLsizei; buffer : GLuint; offset : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAsyncMarkerSGIX : function (marker : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAttachObjectARB : function ({handleARB}containerObj : GLhandleARB; {handleARB}obj : GLhandleARB ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glAttachShader : function (prog : GLuint; shader : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBegin : function ({PrimitiveType}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginConditionalRender : function (id : GLuint; {TypeEnum}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginConditionalRenderNV : function (id : GLuint; {TypeEnum}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginConditionalRenderNVX : function (id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginFragmentShaderATI : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginOcclusionQueryNV : function (id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginPerfMonitorAMD : function (monitor : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginPerfQueryINTEL : function (queryHandle : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginQuery : function (target : GLenum; id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginQueryARB : function (target : GLenum; id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginQueryEXT : function (target : GLenum; id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginQueryIndexed : function (target : GLenum; index : GLuint; id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginTransformFeedback : function (primitiveMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginTransformFeedbackEXT : function (primitiveMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginTransformFeedbackNV : function (primitiveMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginVertexShaderEXT : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBeginVideoCaptureNV : function (video_capture_slot : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindAttribLocation : function (prog : GLuint; index : GLuint; name : PGLchar ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindAttribLocationARB : function ({handleARB}programObj : GLhandleARB; index : GLuint; name : PGLcharARB ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindBuffer : function ({BufferTargetARB}target : GLenum; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindBufferARB : function ({BufferTargetARB}target : GLenum; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindBufferBase : function (target : GLenum; index : GLuint; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindBufferBaseEXT : function (target : GLenum; index : GLuint; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindBufferBaseNV : function (target : GLenum; index : GLuint; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindBufferOffsetEXT : function (target : GLenum; index : GLuint; buffer : GLuint; {BufferOffset}offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindBufferOffsetNV : function (target : GLenum; index : GLuint; buffer : GLuint; {BufferOffset}offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindBufferRange : function (target : GLenum; index : GLuint; buffer : GLuint; {BufferOffset}offset : GLintptr; {BufferSize}size : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindBufferRangeEXT : function (target : GLenum; index : GLuint; buffer : GLuint; {BufferOffset}offset : GLintptr; {BufferSize}size : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindBufferRangeNV : function (target : GLenum; index : GLuint; buffer : GLuint; {BufferOffset}offset : GLintptr; {BufferSize}size : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindBuffersBase : function (target : GLenum; first : GLuint; count : GLsizei; buffers : PGLuint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindBuffersRange : function (target : GLenum; first : GLuint; count : GLsizei; buffers : PGLuint{x count}; offsets : PGLintptr{x count}; sizes : PGLsizeiptr{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindFragDataLocation : function (prog : GLuint; color : GLuint; name : PGLchar{x COMPSIZE(name)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindFragDataLocationEXT : function (prog : GLuint; color : GLuint; name : PGLchar{x COMPSIZE(name)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindFragDataLocationIndexed : function (prog : GLuint; colorNumber : GLuint; index : GLuint; name : PGLchar ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindFragmentShaderATI : function (id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindFramebuffer : function ({FramebufferTarget}target : GLenum; framebuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindFramebufferEXT : function ({FramebufferTarget}target : GLenum; framebuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindFramebufferOES : function (target : GLenum; framebuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindImageTexture : function (unit_index : GLuint; texture : GLuint; level : GLint; {Boolean}layered : GLboolean; layer : GLint; access : GLenum; format : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindImageTextureEXT : function (index : GLuint; texture : GLuint; level : GLint; {Boolean}layered : GLboolean; layer : GLint; access : GLenum; format : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindImageTextures : function (first : GLuint; count : GLsizei; textures : PGLuint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindLightParameterEXT : function ({LightName}light : GLenum; {LightParameter}value : GLenum ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindMaterialParameterEXT : function ({MaterialFace}face : GLenum; {MaterialParameter}value : GLenum ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindMultiTextureEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {Texture}texture : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindParameterEXT : function ({VertexShaderParameterEXT}value : GLenum ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindProgramARB : function ({ProgramTargetARB}target : GLenum; prog : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindProgramNV : function ({VertexAttribEnumNV}target : GLenum; id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindProgramPipeline : function (pipeline : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindProgramPipelineEXT : function (pipeline : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindRenderbuffer : function ({RenderbufferTarget}target : GLenum; renderbuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindRenderbufferEXT : function ({RenderbufferTarget}target : GLenum; renderbuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindRenderbufferOES : function (target : GLenum; renderbuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindSampler : function (unit_index : GLuint; sampler : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindSamplers : function (first : GLuint; count : GLsizei; samplers : PGLuint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindTexGenParameterEXT : function ({TextureUnit}unit_index : GLenum; {TextureCoordName}coord : GLenum; {TextureGenParameter}value : GLenum ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindTexture : function ({TextureTarget}target : GLenum; {Texture}texture : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindTextureEXT : function ({TextureTarget}target : GLenum; {Texture}texture : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindTextureUnit : function (unit_index : GLuint; texture : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindTextureUnitParameterEXT : function ({TextureUnit}unit_index : GLenum; {VertexShaderTextureUnitParameter}value : GLenum ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindTextures : function (first : GLuint; count : GLsizei; textures : PGLuint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindTransformFeedback : function (target : GLenum; id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindTransformFeedbackNV : function ({BufferTargetARB}target : GLenum; id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindVertexArray : function (arry : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindVertexArrayAPPLE : function (arry : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindVertexArrayOES : function (arry : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindVertexBuffer : function (bindingindex : GLuint; buffer : GLuint; {BufferOffset}offset : GLintptr; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindVertexBuffers : function (first : GLuint; count : GLsizei; buffers : PGLuint{x count}; offsets : PGLintptr{x count}; strides : PGLsizei{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindVertexShaderEXT : function (id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindVideoCaptureStreamBufferNV : function (video_capture_slot : GLuint; stream : GLuint; frame_region : GLenum; {BufferOffsetARB}offset : GLintptrARB ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBindVideoCaptureStreamTextureNV : function (video_capture_slot : GLuint; stream : GLuint; frame_region : GLenum; target : GLenum; texture : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBinormal3bEXT : function (bx : GLbyte; by : GLbyte; bz : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBinormal3bvEXT : function (v : PGLbyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBinormal3dEXT : function ({CoordD}bx : GLdouble; {CoordD}by : GLdouble; {CoordD}bz : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBinormal3dvEXT : function ({CoordD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBinormal3fEXT : function ({CoordF}bx : GLfloat; {CoordF}by : GLfloat; {CoordF}bz : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBinormal3fvEXT : function ({CoordF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBinormal3iEXT : function (bx : GLint; by : GLint; bz : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBinormal3ivEXT : function (v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBinormal3sEXT : function (bx : GLshort; by : GLshort; bz : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBinormal3svEXT : function (v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBinormalPointerEXT : function ({BinormalPointerTypeEXT}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBitmap : function (width : GLsizei; height : GLsizei; {CoordF}xorig : GLfloat; {CoordF}yorig : GLfloat; {CoordF}xmove : GLfloat; {CoordF}ymove : GLfloat; bitmap : PGLubyte{x COMPSIZE(width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBitmapxOES : function (width : GLsizei; height : GLsizei; xorig : GLfixed; yorig : GLfixed; xmove : GLfixed; ymove : GLfixed; bitmap : PGLubyte{x COMPSIZE(width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendBarrierKHR : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendBarrierNV : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendColor : function ({ColorF}red : GLfloat; {ColorF}green : GLfloat; {ColorF}blue : GLfloat; {ColorF}alpha : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendColorEXT : function ({ColorF}red : GLfloat; {ColorF}green : GLfloat; {ColorF}blue : GLfloat; {ColorF}alpha : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendColorxOES : function ({ClampedFixed}red : GLfixed; {ClampedFixed}green : GLfixed; {ClampedFixed}blue : GLfixed; {ClampedFixed}alpha : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquation : function ({BlendEquationMode}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationEXT : function ({BlendEquationModeEXT}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationIndexedAMD : function (buf : GLuint; mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationOES : function (mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationSeparate : function ({BlendEquationModeEXT}modeRGB : GLenum; {BlendEquationModeEXT}modeAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationSeparateEXT : function ({BlendEquationModeEXT}modeRGB : GLenum; {BlendEquationModeEXT}modeAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationSeparateIndexedAMD : function (buf : GLuint; modeRGB : GLenum; modeAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationSeparateOES : function (modeRGB : GLenum; modeAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationSeparatei : function (buf : GLuint; modeRGB : GLenum; modeAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationSeparateiARB : function (buf : GLuint; modeRGB : GLenum; modeAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationSeparateiEXT : function (buf : GLuint; modeRGB : GLenum; modeAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationi : function (buf : GLuint; mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationiARB : function (buf : GLuint; mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendEquationiEXT : function (buf : GLuint; mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFunc : function ({BlendingFactorSrc}sfactor : GLenum; {BlendingFactorDest}dfactor : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFuncIndexedAMD : function (buf : GLuint; src : GLenum; dst : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFuncSeparate : function ({BlendFuncSeparateParameterEXT}sfactorRGB : GLenum; {BlendFuncSeparateParameterEXT}dfactorRGB : GLenum; {BlendFuncSeparateParameterEXT}sfactorAlpha : GLenum; {BlendFuncSeparateParameterEXT}dfactorAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFuncSeparateEXT : function ({BlendFuncSeparateParameterEXT}sfactorRGB : GLenum; {BlendFuncSeparateParameterEXT}dfactorRGB : GLenum; {BlendFuncSeparateParameterEXT}sfactorAlpha : GLenum; {BlendFuncSeparateParameterEXT}dfactorAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFuncSeparateINGR : function ({BlendFuncSeparateParameterEXT}sfactorRGB : GLenum; {BlendFuncSeparateParameterEXT}dfactorRGB : GLenum; {BlendFuncSeparateParameterEXT}sfactorAlpha : GLenum; {BlendFuncSeparateParameterEXT}dfactorAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFuncSeparateIndexedAMD : function (buf : GLuint; srcRGB : GLenum; dstRGB : GLenum; srcAlpha : GLenum; dstAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFuncSeparateOES : function (srcRGB : GLenum; dstRGB : GLenum; srcAlpha : GLenum; dstAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFuncSeparatei : function (buf : GLuint; srcRGB : GLenum; dstRGB : GLenum; srcAlpha : GLenum; dstAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFuncSeparateiARB : function (buf : GLuint; srcRGB : GLenum; dstRGB : GLenum; srcAlpha : GLenum; dstAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFuncSeparateiEXT : function (buf : GLuint; srcRGB : GLenum; dstRGB : GLenum; srcAlpha : GLenum; dstAlpha : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFunci : function (buf : GLuint; src : GLenum; dst : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFunciARB : function (buf : GLuint; src : GLenum; dst : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendFunciEXT : function (buf : GLuint; src : GLenum; dst : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlendParameteriNV : function (pname : GLenum; value : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlitFramebuffer : function (srcX0 : GLint; srcY0 : GLint; srcX1 : GLint; srcY1 : GLint; dstX0 : GLint; dstY0 : GLint; dstX1 : GLint; dstY1 : GLint; {ClearBufferMask}mask : GLbitfield; filter : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlitFramebufferANGLE : function (srcX0 : GLint; srcY0 : GLint; srcX1 : GLint; srcY1 : GLint; dstX0 : GLint; dstY0 : GLint; dstX1 : GLint; dstY1 : GLint; mask : GLbitfield; filter : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlitFramebufferEXT : function (srcX0 : GLint; srcY0 : GLint; srcX1 : GLint; srcY1 : GLint; dstX0 : GLint; dstY0 : GLint; dstX1 : GLint; dstY1 : GLint; {ClearBufferMask}mask : GLbitfield; filter : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlitFramebufferNV : function (srcX0 : GLint; srcY0 : GLint; srcX1 : GLint; srcY1 : GLint; dstX0 : GLint; dstY0 : GLint; dstX1 : GLint; dstY1 : GLint; mask : GLbitfield; filter : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBlitNamedFramebuffer : function (readFramebuffer : GLuint; drawFramebuffer : GLuint; srcX0 : GLint; srcY0 : GLint; srcX1 : GLint; srcY1 : GLint; dstX0 : GLint; dstY0 : GLint; dstX1 : GLint; dstY1 : GLint; mask : GLbitfield; filter : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBufferAddressRangeNV : function (pname : GLenum; index : GLuint; address : GLuint64EXT; {BufferSize}length : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBufferData : function ({BufferTargetARB}target : GLenum; {BufferSize}size : GLsizeiptr; data : Pointer{x size}; {BufferUsageARB}usage : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBufferDataARB : function ({BufferTargetARB}target : GLenum; {BufferSizeARB}size : GLsizeiptrARB; data : Pointer{x size}; {BufferUsageARB}usage : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBufferPageCommitmentARB : function (target : GLenum; offset : GLintptr; size : GLsizeiptr; commit : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBufferParameteriAPPLE : function (target : GLenum; pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBufferStorage : function (target : GLenum; size : GLsizeiptr; data : Pointer{x size}; flags : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBufferSubData : function ({BufferTargetARB}target : GLenum; {BufferOffset}offset : GLintptr; {BufferSize}size : GLsizeiptr; data : Pointer{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glBufferSubDataARB : function ({BufferTargetARB}target : GLenum; {BufferOffsetARB}offset : GLintptrARB; {BufferSizeARB}size : GLsizeiptrARB; data : Pointer{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCallList : function ({List}list : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCallLists : function (n : GLsizei; {ListNameType}typ : GLenum; lists : Pointer{x COMPSIZE(n,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCheckFramebufferStatus : function ({FramebufferTarget}target : GLenum ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCheckFramebufferStatusEXT : function ({FramebufferTarget}target : GLenum ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCheckFramebufferStatusOES : function (target : GLenum ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCheckNamedFramebufferStatus : function (framebuffer : GLuint; target : GLenum ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCheckNamedFramebufferStatusEXT : function ({Framebuffer}framebuffer : GLuint; {FramebufferTarget}target : GLenum ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClampColor : function ({ClampColorTargetARB}target : GLenum; {ClampColorModeARB}clamp : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClampColorARB : function ({ClampColorTargetARB}target : GLenum; {ClampColorModeARB}clamp : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClear : function ({ClearBufferMask}mask : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearAccum : function (red : GLfloat; green : GLfloat; blue : GLfloat; alpha : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearAccumxOES : function ({ClampedFixed}red : GLfixed; {ClampedFixed}green : GLfixed; {ClampedFixed}blue : GLfixed; {ClampedFixed}alpha : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearBufferData : function (target : GLenum; internalformat : GLenum; format : GLenum; typ : GLenum; data : Pointer{x COMPSIZE(format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearBufferSubData : function (target : GLenum; internalformat : GLenum; {BufferOffset}offset : GLintptr; {BufferSize}size : GLsizeiptr; format : GLenum; typ : GLenum; data : Pointer{x COMPSIZE(format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearBufferfi : function (buffer : GLenum; {DrawBufferName}drawbuffer : GLint; depth : GLfloat; stencil : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearBufferfv : function (buffer : GLenum; {DrawBufferName}drawbuffer : GLint; value : PGLfloat{x COMPSIZE(buffer)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearBufferiv : function (buffer : GLenum; {DrawBufferName}drawbuffer : GLint; value : PGLint{x COMPSIZE(buffer)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearBufferuiv : function (buffer : GLenum; {DrawBufferName}drawbuffer : GLint; value : PGLuint{x COMPSIZE(buffer)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearColor : function ({ColorF}red : GLfloat; {ColorF}green : GLfloat; {ColorF}blue : GLfloat; {ColorF}alpha : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearColorIiEXT : function (red : GLint; green : GLint; blue : GLint; alpha : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearColorIuiEXT : function (red : GLuint; green : GLuint; blue : GLuint; alpha : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearColorx : function (red : GLfixed; green : GLfixed; blue : GLfixed; alpha : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearColorxOES : function ({ClampedFixed}red : GLfixed; {ClampedFixed}green : GLfixed; {ClampedFixed}blue : GLfixed; {ClampedFixed}alpha : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearDepth : function (depth : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearDepthdNV : function (depth : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearDepthf : function (d : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearDepthfOES : function ({ClampedFloat32}depth : GLclampf ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearDepthx : function (depth : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearDepthxOES : function ({ClampedFixed}depth : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearIndex : function ({MaskedColorIndexValueF}c : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearNamedBufferData : function (buffer : GLuint; internalformat : GLenum; format : GLenum; typ : GLenum; data : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearNamedBufferDataEXT : function (buffer : GLuint; internalformat : GLenum; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; data : Pointer{x COMPSIZE(format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearNamedBufferSubData : function (buffer : GLuint; internalformat : GLenum; offset : GLintptr; size : GLsizei; format : GLenum; typ : GLenum; data : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearNamedBufferSubDataEXT : function (buffer : GLuint; internalformat : GLenum; {BufferSize}offset : GLsizeiptr; {BufferSize}size : GLsizeiptr; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; data : Pointer{x COMPSIZE(format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearNamedFramebufferfi : function (framebuffer : GLuint; buffer : GLenum; depth : GLfloat; stencil : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearNamedFramebufferfv : function (framebuffer : GLuint; buffer : GLenum; drawbuffer : GLint; value : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearNamedFramebufferiv : function (framebuffer : GLuint; buffer : GLenum; drawbuffer : GLint; value : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearNamedFramebufferuiv : function (framebuffer : GLuint; buffer : GLenum; drawbuffer : GLint; value : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearStencil : function ({StencilValue}s : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearTexImage : function (texture : GLuint; level : GLint; format : GLenum; typ : GLenum; data : Pointer{x COMPSIZE(format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClearTexSubImage : function (texture : GLuint; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; format : GLenum; typ : GLenum; data : Pointer{x COMPSIZE(format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClientActiveTexture : function ({TextureUnit}texture : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClientActiveTextureARB : function ({TextureUnit}texture : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClientActiveVertexStreamATI : function ({VertexStreamATI}stream : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClientAttribDefaultEXT : function ({ClientAttribMask}mask : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClientWaitSync : function ({sync}sync : GLsync; flags : GLbitfield; timeout : GLuint64 ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClientWaitSyncAPPLE : function (sync : GLsync; flags : GLbitfield; timeout : GLuint64 ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClipControl : function (origin : GLenum; depth : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClipPlane : function ({ClipPlaneName}plane : GLenum; equation : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClipPlanef : function (p : GLenum; eqn : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClipPlanefIMG : function (p : GLenum; eqn : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClipPlanefOES : function (plane : GLenum; equation : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClipPlanex : function (plane : GLenum; equation : PGLfixed{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClipPlanexIMG : function (p : GLenum; eqn : PGLfixed{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glClipPlanexOES : function (plane : GLenum; equation : PGLfixed{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3b : function ({ColorB}red : GLbyte; {ColorB}green : GLbyte; {ColorB}blue : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3bv : function ({ColorB}v : PGLbyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3d : function ({ColorD}red : GLdouble; {ColorD}green : GLdouble; {ColorD}blue : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3dv : function ({ColorD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3f : function ({ColorF}red : GLfloat; {ColorF}green : GLfloat; {ColorF}blue : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3fVertex3fSUN : function (r : GLfloat; g : GLfloat; b : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3fVertex3fvSUN : function (c : PGLfloat{x3}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3fv : function ({ColorF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3hNV : function ({Half16NV}red : GLhalfNV; {Half16NV}green : GLhalfNV; {Half16NV}blue : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3hvNV : function ({Half16NV}v : PGLhalfNV{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3i : function ({ColorI}red : GLint; {ColorI}green : GLint; {ColorI}blue : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3iv : function ({ColorI}v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3s : function ({ColorS}red : GLshort; {ColorS}green : GLshort; {ColorS}blue : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3sv : function ({ColorS}v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3ub : function ({ColorUB}red : GLubyte; {ColorUB}green : GLubyte; {ColorUB}blue : GLubyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3ubv : function ({ColorUB}v : PGLubyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3ui : function ({ColorUI}red : GLuint; {ColorUI}green : GLuint; {ColorUI}blue : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3uiv : function ({ColorUI}v : PGLuint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3us : function ({ColorUS}red : GLushort; {ColorUS}green : GLushort; {ColorUS}blue : GLushort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3usv : function ({ColorUS}v : PGLushort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3xOES : function (red : GLfixed; green : GLfixed; blue : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor3xvOES : function (components : PGLfixed{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4b : function ({ColorB}red : GLbyte; {ColorB}green : GLbyte; {ColorB}blue : GLbyte; {ColorB}alpha : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4bv : function ({ColorB}v : PGLbyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4d : function ({ColorD}red : GLdouble; {ColorD}green : GLdouble; {ColorD}blue : GLdouble; {ColorD}alpha : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4dv : function ({ColorD}v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4f : function ({ColorF}red : GLfloat; {ColorF}green : GLfloat; {ColorF}blue : GLfloat; {ColorF}alpha : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4fNormal3fVertex3fSUN : function (r : GLfloat; g : GLfloat; b : GLfloat; a : GLfloat; nx : GLfloat; ny : GLfloat; nz : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4fNormal3fVertex3fvSUN : function (c : PGLfloat{x4}; n : PGLfloat{x3}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4fv : function ({ColorF}v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4hNV : function ({Half16NV}red : GLhalfNV; {Half16NV}green : GLhalfNV; {Half16NV}blue : GLhalfNV; {Half16NV}alpha : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4hvNV : function ({Half16NV}v : PGLhalfNV{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4i : function ({ColorI}red : GLint; {ColorI}green : GLint; {ColorI}blue : GLint; {ColorI}alpha : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4iv : function ({ColorI}v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4s : function ({ColorS}red : GLshort; {ColorS}green : GLshort; {ColorS}blue : GLshort; {ColorS}alpha : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4sv : function ({ColorS}v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4ub : function ({ColorUB}red : GLubyte; {ColorUB}green : GLubyte; {ColorUB}blue : GLubyte; {ColorUB}alpha : GLubyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4ubVertex2fSUN : function (r : GLubyte; g : GLubyte; b : GLubyte; a : GLubyte; x : GLfloat; y : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4ubVertex2fvSUN : function (c : PGLubyte{x4}; v : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4ubVertex3fSUN : function (r : GLubyte; g : GLubyte; b : GLubyte; a : GLubyte; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4ubVertex3fvSUN : function (c : PGLubyte{x4}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4ubv : function ({ColorUB}v : PGLubyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4ui : function ({ColorUI}red : GLuint; {ColorUI}green : GLuint; {ColorUI}blue : GLuint; {ColorUI}alpha : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4uiv : function ({ColorUI}v : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4us : function ({ColorUS}red : GLushort; {ColorUS}green : GLushort; {ColorUS}blue : GLushort; {ColorUS}alpha : GLushort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4usv : function ({ColorUS}v : PGLushort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4x : function (red : GLfixed; green : GLfixed; blue : GLfixed; alpha : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4xOES : function (red : GLfixed; green : GLfixed; blue : GLfixed; alpha : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColor4xvOES : function (components : PGLfixed{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorFormatNV : function (size : GLint; typ : GLenum; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorFragmentOp1ATI : function ({FragmentOpATI}op : GLenum; dst : GLuint; dstMask : GLuint; dstMod : GLuint; arg1 : GLuint; arg1Rep : GLuint; arg1Mod : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorFragmentOp2ATI : function ({FragmentOpATI}op : GLenum; dst : GLuint; dstMask : GLuint; dstMod : GLuint; arg1 : GLuint; arg1Rep : GLuint; arg1Mod : GLuint; arg2 : GLuint; arg2Rep : GLuint; arg2Mod : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorFragmentOp3ATI : function ({FragmentOpATI}op : GLenum; dst : GLuint; dstMask : GLuint; dstMod : GLuint; arg1 : GLuint; arg1Rep : GLuint; arg1Mod : GLuint; arg2 : GLuint; arg2Rep : GLuint; arg2Mod : GLuint; arg3 : GLuint; arg3Rep : GLuint; arg3Mod : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorMask : function ({Boolean}red : GLboolean; {Boolean}green : GLboolean; {Boolean}blue : GLboolean; {Boolean}alpha : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorMaskIndexedEXT : function (index : GLuint; {Boolean}r : GLboolean; {Boolean}g : GLboolean; {Boolean}b : GLboolean; {Boolean}a : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorMaski : function (index : GLuint; {Boolean}r : GLboolean; {Boolean}g : GLboolean; {Boolean}b : GLboolean; {Boolean}a : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorMaskiEXT : function (index : GLuint; {Boolean}r : GLboolean; {Boolean}g : GLboolean; {Boolean}b : GLboolean; {Boolean}a : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorMaterial : function ({MaterialFace}face : GLenum; {ColorMaterialParameter}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorP3ui : function (typ : GLenum; color : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorP3uiv : function (typ : GLenum; color : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorP4ui : function (typ : GLenum; color : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorP4uiv : function (typ : GLenum; color : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorPointer : function (size : GLint; {ColorPointerType}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorPointerEXT : function (size : GLint; {ColorPointerType}typ : GLenum; stride : GLsizei; count : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride,count)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorPointerListIBM : function (size : GLint; {ColorPointerType}typ : GLenum; stride : GLint; pntr : Pointer{x COMPSIZE(size,type,stride)}; ptrstride : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorPointervINTEL : function (size : GLint; {VertexPointerType}typ : GLenum; pntr : Pointer{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorSubTable : function ({ColorTableTarget}target : GLenum; start_index : GLsizei; count : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; data : Pointer{x COMPSIZE(format,type,count)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorSubTableEXT : function ({ColorTableTarget}target : GLenum; start_index : GLsizei; count : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; data : Pointer{x COMPSIZE(format,type,count)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorTable : function ({ColorTableTarget}target : GLenum; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; table : Pointer{x COMPSIZE(format,type,width)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorTableEXT : function ({ColorTableTarget}target : GLenum; {PixelInternalFormat}internalFormat : GLenum; width : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; table : Pointer{x COMPSIZE(format,type,width)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorTableParameterfv : function ({ColorTableTarget}target : GLenum; {ColorTableParameterPName}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorTableParameterfvSGI : function ({ColorTableTargetSGI}target : GLenum; {ColorTableParameterPNameSGI}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorTableParameteriv : function ({ColorTableTarget}target : GLenum; {ColorTableParameterPName}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorTableParameterivSGI : function ({ColorTableTargetSGI}target : GLenum; {ColorTableParameterPNameSGI}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glColorTableSGI : function ({ColorTableTargetSGI}target : GLenum; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; table : Pointer{x COMPSIZE(format,type,width)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCombinerInputNV : function ({CombinerStageNV}stage : GLenum; {CombinerPortionNV}portion : GLenum; {CombinerVariableNV}variable : GLenum; {CombinerRegisterNV}input : GLenum; {CombinerMappingNV}mapping : GLenum; {CombinerComponentUsageNV}componentUsage : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCombinerOutputNV : function ({CombinerStageNV}stage : GLenum; {CombinerPortionNV}portion : GLenum; {CombinerRegisterNV}abOutput : GLenum; {CombinerRegisterNV}cdOutput : GLenum; {CombinerRegisterNV}sumOutput : GLenum; {CombinerScaleNV}scale : GLenum; {CombinerBiasNV}bias : GLenum; {Boolean}abDotProduct : GLboolean; {Boolean}cdDotProduct : GLboolean; {Boolean}muxSum : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCombinerParameterfNV : function ({CombinerParameterNV}pname : GLenum; param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCombinerParameterfvNV : function ({CombinerParameterNV}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCombinerParameteriNV : function ({CombinerParameterNV}pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCombinerParameterivNV : function ({CombinerParameterNV}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCombinerStageParameterfvNV : function ({CombinerStageNV}stage : GLenum; {CombinerParameterNV}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompileShader : function (shader : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompileShaderARB : function ({handleARB}shaderObj : GLhandleARB ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompileShaderIncludeARB : function (shader : GLuint; count : GLsizei; path : PPGLchar{x count}; length : PGLint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedMultiTexImage1DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureInternalFormat}internalformat : GLenum; width : GLsizei; {CheckedInt32}border : GLint; imageSize : GLsizei; bits : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedMultiTexImage2DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; {CheckedInt32}border : GLint; imageSize : GLsizei; bits : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedMultiTexImage3DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; {CheckedInt32}border : GLint; imageSize : GLsizei; bits : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedMultiTexSubImage1DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; width : GLsizei; {PixelFormat}format : GLenum; imageSize : GLsizei; bits : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedMultiTexSubImage2DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; imageSize : GLsizei; bits : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedMultiTexSubImage3DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {PixelFormat}format : GLenum; imageSize : GLsizei; bits : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexImage1D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; {CheckedInt32}border : GLint; imageSize : GLsizei; {CompressedTextureARB}data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexImage1DARB : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; {CheckedInt32}border : GLint; imageSize : GLsizei; {CompressedTextureARB}data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexImage2D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; {CheckedInt32}border : GLint; imageSize : GLsizei; {CompressedTextureARB}data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexImage2DARB : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; {CheckedInt32}border : GLint; imageSize : GLsizei; {CompressedTextureARB}data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexImage3D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; {CheckedInt32}border : GLint; imageSize : GLsizei; {CompressedTextureARB}data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexImage3DARB : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; {CheckedInt32}border : GLint; imageSize : GLsizei; {CompressedTextureARB}data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexImage3DOES : function (target : GLenum; level : GLint; internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; border : GLint; imageSize : GLsizei; data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexSubImage1D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; width : GLsizei; {PixelFormat}format : GLenum; imageSize : GLsizei; {CompressedTextureARB}data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexSubImage1DARB : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; width : GLsizei; {PixelFormat}format : GLenum; imageSize : GLsizei; {CompressedTextureARB}data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexSubImage2D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; imageSize : GLsizei; {CompressedTextureARB}data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexSubImage2DARB : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; imageSize : GLsizei; {CompressedTextureARB}data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexSubImage3D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {PixelFormat}format : GLenum; imageSize : GLsizei; {CompressedTextureARB}data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexSubImage3DARB : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {PixelFormat}format : GLenum; imageSize : GLsizei; {CompressedTextureARB}data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTexSubImage3DOES : function (target : GLenum; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; format : GLenum; imageSize : GLsizei; data : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTextureImage1DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureInternalFormat}internalformat : GLenum; width : GLsizei; {CheckedInt32}border : GLint; imageSize : GLsizei; bits : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTextureImage2DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; {CheckedInt32}border : GLint; imageSize : GLsizei; bits : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTextureImage3DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; {CheckedInt32}border : GLint; imageSize : GLsizei; bits : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTextureSubImage1D : function (texture : GLuint; level : GLint; xoffset : GLint; width : GLsizei; format : GLenum; imageSize : GLsizei; data : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTextureSubImage1DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; width : GLsizei; {PixelFormat}format : GLenum; imageSize : GLsizei; bits : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTextureSubImage2D : function (texture : GLuint; level : GLint; xoffset : GLint; yoffset : GLint; width : GLsizei; height : GLsizei; format : GLenum; imageSize : GLsizei; data : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTextureSubImage2DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; imageSize : GLsizei; bits : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTextureSubImage3D : function (texture : GLuint; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; format : GLenum; imageSize : GLsizei; data : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCompressedTextureSubImage3DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {PixelFormat}format : GLenum; imageSize : GLsizei; bits : Pointer{x imageSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionFilter1D : function ({ConvolutionTarget}target : GLenum; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; image : Pointer{x COMPSIZE(format,type,width)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionFilter1DEXT : function ({ConvolutionTargetEXT}target : GLenum; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; image : Pointer{x COMPSIZE(format,type,width)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionFilter2D : function ({ConvolutionTarget}target : GLenum; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; image : Pointer{x COMPSIZE(format,type,width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionFilter2DEXT : function ({ConvolutionTargetEXT}target : GLenum; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; image : Pointer{x COMPSIZE(format,type,width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionParameterf : function ({ConvolutionTarget}target : GLenum; {ConvolutionParameter}pname : GLenum; {CheckedFloat32}params : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionParameterfEXT : function ({ConvolutionTargetEXT}target : GLenum; {ConvolutionParameterEXT}pname : GLenum; {CheckedFloat32}params : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionParameterfv : function ({ConvolutionTarget}target : GLenum; {ConvolutionParameter}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionParameterfvEXT : function ({ConvolutionTargetEXT}target : GLenum; {ConvolutionParameterEXT}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionParameteri : function ({ConvolutionTarget}target : GLenum; {ConvolutionParameter}pname : GLenum; {CheckedInt32}params : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionParameteriEXT : function ({ConvolutionTargetEXT}target : GLenum; {ConvolutionParameterEXT}pname : GLenum; {CheckedInt32}params : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionParameteriv : function ({ConvolutionTarget}target : GLenum; {ConvolutionParameter}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionParameterivEXT : function ({ConvolutionTargetEXT}target : GLenum; {ConvolutionParameterEXT}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionParameterxOES : function (target : GLenum; pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glConvolutionParameterxvOES : function (target : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyBufferSubData : function (readTarget : GLenum; writeTarget : GLenum; {BufferOffset}readOffset : GLintptr; {BufferOffset}writeOffset : GLintptr; {BufferSize}size : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyBufferSubDataNV : function (readTarget : GLenum; writeTarget : GLenum; {BufferOffset}readOffset : GLintptr; {BufferOffset}writeOffset : GLintptr; {BufferSize}size : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyColorSubTable : function ({ColorTableTarget}target : GLenum; start_index : GLsizei; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyColorSubTableEXT : function ({ColorTableTarget}target : GLenum; start_index : GLsizei; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyColorTable : function ({ColorTableTarget}target : GLenum; {PixelInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyColorTableSGI : function ({ColorTableTargetSGI}target : GLenum; {PixelInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyConvolutionFilter1D : function ({ConvolutionTarget}target : GLenum; {PixelInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyConvolutionFilter1DEXT : function ({ConvolutionTargetEXT}target : GLenum; {PixelInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyConvolutionFilter2D : function ({ConvolutionTarget}target : GLenum; {PixelInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyConvolutionFilter2DEXT : function ({ConvolutionTargetEXT}target : GLenum; {PixelInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyImageSubData : function (srcName : GLuint; srcTarget : GLenum; srcLevel : GLint; srcX : GLint; srcY : GLint; srcZ : GLint; dstName : GLuint; dstTarget : GLenum; dstLevel : GLint; dstX : GLint; dstY : GLint; dstZ : GLint; srcWidth : GLsizei; srcHeight : GLsizei; srcDepth : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyImageSubDataEXT : function (srcName : GLuint; srcTarget : GLenum; srcLevel : GLint; srcX : GLint; srcY : GLint; srcZ : GLint; dstName : GLuint; dstTarget : GLenum; dstLevel : GLint; dstX : GLint; dstY : GLint; dstZ : GLint; srcWidth : GLsizei; srcHeight : GLsizei; srcDepth : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyImageSubDataNV : function (srcName : GLuint; srcTarget : GLenum; srcLevel : GLint; srcX : GLint; srcY : GLint; srcZ : GLint; dstName : GLuint; dstTarget : GLenum; dstLevel : GLint; dstX : GLint; dstY : GLint; dstZ : GLint; width : GLsizei; height : GLsizei; depth : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyMultiTexImage1DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; {CheckedInt32}border : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyMultiTexImage2DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei; {CheckedInt32}border : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyMultiTexSubImage1DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyMultiTexSubImage2DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyMultiTexSubImage3DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyNamedBufferSubData : function (readBuffer : GLuint; writeBuffer : GLuint; readOffset : GLintptr; writeOffset : GLintptr; size : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyPathNV : function ({Path}resultPath : GLuint; {Path}srcPath : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyPixels : function ({WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei; {PixelCopyType}typ : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTexImage1D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; {CheckedInt32}border : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTexImage1DEXT : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; {CheckedInt32}border : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTexImage2D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei; {CheckedInt32}border : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTexImage2DEXT : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei; {CheckedInt32}border : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTexSubImage1D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTexSubImage1DEXT : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTexSubImage2D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTexSubImage2DEXT : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTexSubImage3D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTexSubImage3DEXT : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTexSubImage3DOES : function (target : GLenum; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; x : GLint; y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTextureImage1DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; {CheckedInt32}border : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTextureImage2DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureInternalFormat}internalformat : GLenum; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei; {CheckedInt32}border : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTextureLevelsAPPLE : function (destinationTexture : GLuint; sourceTexture : GLuint; sourceBaseLevel : GLint; sourceLevelCount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTextureSubImage1D : function (texture : GLuint; level : GLint; xoffset : GLint; x : GLint; y : GLint; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTextureSubImage1DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTextureSubImage2D : function (texture : GLuint; level : GLint; xoffset : GLint; yoffset : GLint; x : GLint; y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTextureSubImage2DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTextureSubImage3D : function (texture : GLuint; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; x : GLint; y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCopyTextureSubImage3DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; {WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCoverFillPathInstancedNV : function (numPaths : GLsizei; {PathElementType}pathNameType : GLenum; {PathElement}paths : Pointer{x COMPSIZE(numPaths,pathNameType,paths)}; {Path}pathBase : GLuint; {PathCoverMode}coverMode : GLenum; {PathTransformType}transformType : GLenum; transformValues : PGLfloat{x COMPSIZE(numPaths,transformType)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCoverFillPathNV : function ({Path}path : GLuint; {PathCoverMode}coverMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCoverStrokePathInstancedNV : function (numPaths : GLsizei; {PathElementType}pathNameType : GLenum; {PathElement}paths : Pointer{x COMPSIZE(numPaths,pathNameType,paths)}; {Path}pathBase : GLuint; {PathCoverMode}coverMode : GLenum; {PathTransformType}transformType : GLenum; transformValues : PGLfloat{x COMPSIZE(numPaths,transformType)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCoverStrokePathNV : function ({Path}path : GLuint; {PathCoverMode}coverMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCoverageMaskNV : function (mask : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCoverageOperationNV : function (operation : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateBuffers : function (n : GLsizei; buffers : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateFramebuffers : function (n : GLsizei; framebuffers : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreatePerfQueryINTEL : function (queryId : GLuint; queryHandle : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateProgram : function ( ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateProgramObjectARB : function ( ) : GLhandleARB; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateProgramPipelines : function (n : GLsizei; pipelines : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateQueries : function (target : GLenum; n : GLsizei; ids : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateRenderbuffers : function (n : GLsizei; renderbuffers : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateSamplers : function (n : GLsizei; samplers : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateShader : function (typ : GLenum ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateShaderObjectARB : function (shaderType : GLenum ) : GLhandleARB; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateShaderProgramEXT : function (typ : GLenum; str : PGLchar ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateShaderProgramv : function (typ : GLenum; count : GLsizei; strings : PPGLchar{x count} ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateShaderProgramvEXT : function (typ : GLenum; count : GLsizei; strings : PPGLchar{x count} ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateSyncFromCLeventARB : function ({cl_context}context : P_cl_context; {cl_event}event : P_cl_event; flags : GLbitfield ) : GLsync; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateTextures : function (target : GLenum; n : GLsizei; textures : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateTransformFeedbacks : function (n : GLsizei; ids : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCreateVertexArrays : function (n : GLsizei; arrays : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCullFace : function ({CullFaceMode}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCullParameterdvEXT : function ({CullParameterEXT}pname : GLenum; params : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCullParameterfvEXT : function ({CullParameterEXT}pname : GLenum; params : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCurrentPaletteMatrixARB : function (index : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCurrentPaletteMatrixOES : function (matrixpaletteindex : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDebugMessageCallback : function (callback : GLDEBUGPROC; userParam : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDebugMessageCallbackAMD : function (callback : GLDEBUGPROCAMD; userParam : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDebugMessageCallbackARB : function (callback : GLDEBUGPROCARB; userParam : Pointer{x COMPSIZE(callback)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDebugMessageCallbackKHR : function (callback : GLDEBUGPROCKHR; userParam : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDebugMessageControl : function (source : GLenum; typ : GLenum; severity : GLenum; count : GLsizei; ids : PGLuint{x count}; {Boolean}enabled : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDebugMessageControlARB : function (source : GLenum; typ : GLenum; severity : GLenum; count : GLsizei; ids : PGLuint{x count}; {Boolean}enabled : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDebugMessageControlKHR : function (source : GLenum; typ : GLenum; severity : GLenum; count : GLsizei; ids : PGLuint; enabled : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDebugMessageEnableAMD : function (category : GLenum; severity : GLenum; count : GLsizei; ids : PGLuint{x count}; {Boolean}enabled : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDebugMessageInsert : function (source : GLenum; typ : GLenum; id : GLuint; severity : GLenum; length : GLsizei; buf : PGLchar{x COMPSIZE(buf,length)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDebugMessageInsertAMD : function (category : GLenum; severity : GLenum; id : GLuint; length : GLsizei; buf : PGLchar{x length} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDebugMessageInsertARB : function (source : GLenum; typ : GLenum; id : GLuint; severity : GLenum; length : GLsizei; buf : PGLchar{x length} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDebugMessageInsertKHR : function (source : GLenum; typ : GLenum; id : GLuint; severity : GLenum; length : GLsizei; buf : PGLchar ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeformSGIX : function ({FfdMaskSGIX}mask : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeformationMap3dSGIX : function ({FfdTargetSGIX}target : GLenum; {CoordD}u1 : GLdouble; {CoordD}u2 : GLdouble; ustride : GLint; {CheckedInt32}uorder : GLint; {CoordD}v1 : GLdouble; {CoordD}v2 : GLdouble; vstride : GLint; {CheckedInt32}vorder : GLint; {CoordD}w1 : GLdouble; {CoordD}w2 : GLdouble; wstride : GLint; {CheckedInt32}worder : GLint; {CoordD}points : PGLdouble{x COMPSIZE(target,ustride,uorder,vstride,vorder,wstride,worder)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeformationMap3fSGIX : function ({FfdTargetSGIX}target : GLenum; {CoordF}u1 : GLfloat; {CoordF}u2 : GLfloat; ustride : GLint; {CheckedInt32}uorder : GLint; {CoordF}v1 : GLfloat; {CoordF}v2 : GLfloat; vstride : GLint; {CheckedInt32}vorder : GLint; {CoordF}w1 : GLfloat; {CoordF}w2 : GLfloat; wstride : GLint; {CheckedInt32}worder : GLint; {CoordF}points : PGLfloat{x COMPSIZE(target,ustride,uorder,vstride,vorder,wstride,worder)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteAsyncMarkersSGIX : function (marker : GLuint; range : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteBuffers : function (n : GLsizei; buffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteBuffersARB : function (n : GLsizei; buffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteFencesAPPLE : function (n : GLsizei; {FenceNV}fences : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteFencesNV : function (n : GLsizei; {FenceNV}fences : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteFragmentShaderATI : function (id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteFramebuffers : function (n : GLsizei; framebuffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteFramebuffersEXT : function (n : GLsizei; framebuffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteFramebuffersOES : function (n : GLsizei; framebuffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteLists : function ({List}list : GLuint; range : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteNamedStringARB : function (namelen : GLint; name : PGLchar{x namelen} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteNamesAMD : function (identifier : GLenum; num : GLuint; names : PGLuint{x num} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteObjectARB : function ({handleARB}obj : GLhandleARB ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteOcclusionQueriesNV : function (n : GLsizei; ids : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeletePathsNV : function ({Path}path : GLuint; range : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeletePerfMonitorsAMD : function (n : GLsizei; monitors : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeletePerfQueryINTEL : function (queryHandle : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteProgram : function (prog : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteProgramPipelines : function (n : GLsizei; pipelines : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteProgramPipelinesEXT : function (n : GLsizei; pipelines : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteProgramsARB : function (n : GLsizei; programs : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteProgramsNV : function (n : GLsizei; programs : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteQueries : function (n : GLsizei; ids : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteQueriesARB : function (n : GLsizei; ids : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteQueriesEXT : function (n : GLsizei; ids : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteRenderbuffers : function (n : GLsizei; renderbuffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteRenderbuffersEXT : function (n : GLsizei; renderbuffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteRenderbuffersOES : function (n : GLsizei; renderbuffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteSamplers : function (count : GLsizei; samplers : PGLuint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteShader : function (shader : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteSync : function ({sync}sync : GLsync ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteSyncAPPLE : function (sync : GLsync ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteTextures : function (n : GLsizei; {Texture}textures : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteTexturesEXT : function (n : GLsizei; {Texture}textures : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteTransformFeedbacks : function (n : GLsizei; ids : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteTransformFeedbacksNV : function (n : GLsizei; ids : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteVertexArrays : function (n : GLsizei; arrays : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteVertexArraysAPPLE : function (n : GLsizei; arrays : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteVertexArraysOES : function (n : GLsizei; arrays : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDeleteVertexShaderEXT : function (id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDepthBoundsEXT : function ({ClampedFloat64}zmin : GLclampd; {ClampedFloat64}zmax : GLclampd ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDepthBoundsdNV : function (zmin : GLdouble; zmax : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDepthFunc : function ({DepthFunction}func : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDepthMask : function ({Boolean}flag : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDepthRange : function (near : GLdouble; far : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDepthRangeArrayv : function (first : GLuint; count : GLsizei; v : PGLdouble{x COMPSIZE(count)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDepthRangeIndexed : function (index : GLuint; n : GLdouble; f : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDepthRangedNV : function (zNear : GLdouble; zFar : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDepthRangef : function (n : GLfloat; f : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDepthRangefOES : function ({ClampedFloat32}n : GLclampf; {ClampedFloat32}f : GLclampf ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDepthRangex : function (n : GLfixed; f : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDepthRangexOES : function ({ClampedFixed}n : GLfixed; {ClampedFixed}f : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDetachObjectARB : function ({handleARB}containerObj : GLhandleARB; {handleARB}attachedObj : GLhandleARB ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDetachShader : function (prog : GLuint; shader : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDetailTexFuncSGIS : function ({TextureTarget}target : GLenum; n : GLsizei; points : PGLfloat{x n*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisable : function ({EnableCap}cap : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableClientState : function ({EnableCap}arry : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableClientStateIndexedEXT : function ({EnableCap}arry : GLenum; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableClientStateiEXT : function ({EnableCap}arry : GLenum; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableDriverControlQCOM : function (driverControl : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableIndexedEXT : function (target : GLenum; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableVariantClientStateEXT : function (id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableVertexArrayAttrib : function (vaobj : GLuint; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableVertexArrayAttribEXT : function (vaobj : GLuint; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableVertexArrayEXT : function (vaobj : GLuint; {EnableCap}arry : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableVertexAttribAPPLE : function (index : GLuint; pname : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableVertexAttribArray : function (index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableVertexAttribArrayARB : function (index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisablei : function (target : GLenum; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDisableiEXT : function (target : GLenum; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDiscardFramebufferEXT : function (target : GLenum; numAttachments : GLsizei; attachments : PGLenum{x numAttachments} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDispatchCompute : function (num_groups_x : GLuint; num_groups_y : GLuint; num_groups_z : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDispatchComputeGroupSizeARB : function (num_groups_x : GLuint; num_groups_y : GLuint; num_groups_z : GLuint; group_size_x : GLuint; group_size_y : GLuint; group_size_z : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDispatchComputeIndirect : function ({BufferOffset}indirect : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawArrays : function ({PrimitiveType}mode : GLenum; first : GLint; count : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawArraysEXT : function ({PrimitiveType}mode : GLenum; first : GLint; count : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawArraysIndirect : function ({PrimitiveType}mode : GLenum; indirect : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawArraysInstanced : function ({PrimitiveType}mode : GLenum; first : GLint; count : GLsizei; instancecount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawArraysInstancedANGLE : function ({PrimitiveType}mode : GLenum; first : GLint; count : GLsizei; primcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawArraysInstancedARB : function ({PrimitiveType}mode : GLenum; first : GLint; count : GLsizei; primcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawArraysInstancedBaseInstance : function ({PrimitiveType}mode : GLenum; first : GLint; count : GLsizei; instancecount : GLsizei; baseinstance : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawArraysInstancedEXT : function ({PrimitiveType}mode : GLenum; start_index : GLint; count : GLsizei; primcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawArraysInstancedNV : function ({PrimitiveType}mode : GLenum; first : GLint; count : GLsizei; primcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawBuffer : function ({DrawBufferMode}buf : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawBuffers : function (n : GLsizei; {DrawBufferModeATI}bufs : PGLenum{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawBuffersARB : function (n : GLsizei; {DrawBufferModeATI}bufs : PGLenum{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawBuffersATI : function (n : GLsizei; {DrawBufferModeATI}bufs : PGLenum{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawBuffersEXT : function (n : GLsizei; bufs : PGLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawBuffersIndexedEXT : function (n : GLint; location : PGLenum{x n}; indices : PGLint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawBuffersNV : function (n : GLsizei; bufs : PGLenum{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElementArrayAPPLE : function ({PrimitiveType}mode : GLenum; first : GLint; count : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElementArrayATI : function ({PrimitiveType}mode : GLenum; count : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElements : function ({PrimitiveType}mode : GLenum; count : GLsizei; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(count,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElementsBaseVertex : function ({PrimitiveType}mode : GLenum; count : GLsizei; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(count,type)}; basevertex : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElementsIndirect : function ({PrimitiveType}mode : GLenum; typ : GLenum; indirect : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElementsInstanced : function ({PrimitiveType}mode : GLenum; count : GLsizei; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(count,type)}; instancecount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElementsInstancedANGLE : function ({PrimitiveType}mode : GLenum; count : GLsizei; typ : GLenum; indices : Pointer{x COMPSIZE(count,type)}; primcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElementsInstancedARB : function ({PrimitiveType}mode : GLenum; count : GLsizei; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(count,type)}; primcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElementsInstancedBaseInstance : function ({PrimitiveType}mode : GLenum; count : GLsizei; typ : GLenum; indices : Pointer{x count}; instancecount : GLsizei; baseinstance : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElementsInstancedBaseVertex : function ({PrimitiveType}mode : GLenum; count : GLsizei; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(count,type)}; instancecount : GLsizei; basevertex : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElementsInstancedBaseVertexBaseInstance : function ({PrimitiveType}mode : GLenum; count : GLsizei; typ : GLenum; indices : Pointer{x count}; instancecount : GLsizei; basevertex : GLint; baseinstance : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElementsInstancedEXT : function ({PrimitiveType}mode : GLenum; count : GLsizei; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(count,type)}; primcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawElementsInstancedNV : function ({PrimitiveType}mode : GLenum; count : GLsizei; typ : GLenum; indices : Pointer{x COMPSIZE(count,type)}; primcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawMeshArraysSUN : function ({PrimitiveType}mode : GLenum; first : GLint; count : GLsizei; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawPixels : function (width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawRangeElementArrayAPPLE : function ({PrimitiveType}mode : GLenum; start_index : GLuint; end_index : GLuint; first : GLint; count : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawRangeElementArrayATI : function ({PrimitiveType}mode : GLenum; start_index : GLuint; end_index : GLuint; count : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawRangeElements : function ({PrimitiveType}mode : GLenum; start_index : GLuint; end_index : GLuint; count : GLsizei; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(count,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawRangeElementsBaseVertex : function ({PrimitiveType}mode : GLenum; start_index : GLuint; end_index : GLuint; count : GLsizei; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(count,type)}; basevertex : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawRangeElementsEXT : function ({PrimitiveType}mode : GLenum; start_index : GLuint; end_index : GLuint; count : GLsizei; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(count,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTexfOES : function (x : GLfloat; y : GLfloat; z : GLfloat; width : GLfloat; height : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTexfvOES : function (coords : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTexiOES : function (x : GLint; y : GLint; z : GLint; width : GLint; height : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTexivOES : function (coords : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTexsOES : function (x : GLshort; y : GLshort; z : GLshort; width : GLshort; height : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTexsvOES : function (coords : PGLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTextureNV : function (texture : GLuint; sampler : GLuint; x0 : GLfloat; y0 : GLfloat; x1 : GLfloat; y1 : GLfloat; z : GLfloat; s0 : GLfloat; t0 : GLfloat; s1 : GLfloat; t1 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTexxOES : function (x : GLfixed; y : GLfixed; z : GLfixed; width : GLfixed; height : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTexxvOES : function (coords : PGLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTransformFeedback : function ({PrimitiveType}mode : GLenum; id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTransformFeedbackInstanced : function ({PrimitiveType}mode : GLenum; id : GLuint; instancecount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTransformFeedbackNV : function ({PrimitiveType}mode : GLenum; id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTransformFeedbackStream : function ({PrimitiveType}mode : GLenum; id : GLuint; stream : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glDrawTransformFeedbackStreamInstanced : function ({PrimitiveType}mode : GLenum; id : GLuint; stream : GLuint; instancecount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEGLImageTargetRenderbufferStorageOES : function (target : GLenum; image : GLeglImageOES ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEGLImageTargetTexture2DOES : function (target : GLenum; image : GLeglImageOES ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEdgeFlag : function ({Boolean}flag : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEdgeFlagFormatNV : function (stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEdgeFlagPointer : function (stride : GLsizei; pntr : Pointer{x COMPSIZE(stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEdgeFlagPointerEXT : function (stride : GLsizei; count : GLsizei; {Boolean}pntr : PGLboolean{x COMPSIZE(stride,count)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEdgeFlagPointerListIBM : function (stride : GLint; {BooleanPointer}pntr : PPGLboolean{x COMPSIZE(stride)}; ptrstride : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEdgeFlagv : function ({Boolean}flag : PGLboolean{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glElementPointerAPPLE : function ({ElementPointerTypeATI}typ : GLenum; pntr : Pointer{x COMPSIZE(type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glElementPointerATI : function ({ElementPointerTypeATI}typ : GLenum; pntr : Pointer{x COMPSIZE(type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnable : function ({EnableCap}cap : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableClientState : function ({EnableCap}arry : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableClientStateIndexedEXT : function ({EnableCap}arry : GLenum; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableClientStateiEXT : function ({EnableCap}arry : GLenum; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableDriverControlQCOM : function (driverControl : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableIndexedEXT : function (target : GLenum; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableVariantClientStateEXT : function (id : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableVertexArrayAttrib : function (vaobj : GLuint; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableVertexArrayAttribEXT : function (vaobj : GLuint; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableVertexArrayEXT : function (vaobj : GLuint; {EnableCap}arry : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableVertexAttribAPPLE : function (index : GLuint; pname : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableVertexAttribArray : function (index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableVertexAttribArrayARB : function (index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnablei : function (target : GLenum; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnableiEXT : function (target : GLenum; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEnd : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndConditionalRender : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndConditionalRenderNV : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndConditionalRenderNVX : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndFragmentShaderATI : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndList : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndOcclusionQueryNV : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndPerfMonitorAMD : function (monitor : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndPerfQueryINTEL : function (queryHandle : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndQuery : function (target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndQueryARB : function (target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndQueryEXT : function (target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndQueryIndexed : function (target : GLenum; index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndTilingQCOM : function (preserveMask : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndTransformFeedback : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndTransformFeedbackEXT : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndTransformFeedbackNV : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndVertexShaderEXT : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEndVideoCaptureNV : function (video_capture_slot : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalCoord1d : function ({CoordD}u : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalCoord1dv : function ({CoordD}u : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalCoord1f : function ({CoordF}u : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalCoord1fv : function ({CoordF}u : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalCoord1xOES : function (u : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalCoord1xvOES : function (coords : PGLfixed{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalCoord2d : function ({CoordD}u : GLdouble; {CoordD}v : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalCoord2dv : function ({CoordD}u : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalCoord2f : function ({CoordF}u : GLfloat; {CoordF}v : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalCoord2fv : function ({CoordF}u : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalCoord2xOES : function (u : GLfixed; v : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalCoord2xvOES : function (coords : PGLfixed{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalMapsNV : function ({EvalTargetNV}target : GLenum; {EvalMapsModeNV}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalMesh1 : function ({MeshMode1}mode : GLenum; {CheckedInt32}i1 : GLint; {CheckedInt32}i2 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalMesh2 : function ({MeshMode2}mode : GLenum; {CheckedInt32}i1 : GLint; {CheckedInt32}i2 : GLint; {CheckedInt32}j1 : GLint; {CheckedInt32}j2 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalPoint1 : function (i : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glEvalPoint2 : function ({CheckedInt32}i : GLint; {CheckedInt32}j : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExecuteProgramNV : function ({VertexAttribEnumNV}target : GLenum; id : GLuint; params : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtGetBufferPointervQCOM : function (target : GLenum; params : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtGetBuffersQCOM : function (buffers : PGLuint{x maxBuffers}; maxBuffers : GLint; numBuffers : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtGetFramebuffersQCOM : function (framebuffers : PGLuint{x maxFramebuffers}; maxFramebuffers : GLint; numFramebuffers : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtGetProgramBinarySourceQCOM : function (prog : GLuint; shadertype : GLenum; source : PGLchar; length : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtGetProgramsQCOM : function (programs : PGLuint{x maxPrograms}; maxPrograms : GLint; numPrograms : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtGetRenderbuffersQCOM : function (renderbuffers : PGLuint{x maxRenderbuffers}; maxRenderbuffers : GLint; numRenderbuffers : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtGetShadersQCOM : function (shaders : PGLuint{x maxShaders}; maxShaders : GLint; numShaders : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtGetTexLevelParameterivQCOM : function (texture : GLuint; face : GLenum; level : GLint; pname : GLenum; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtGetTexSubImageQCOM : function (target : GLenum; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; format : GLenum; typ : GLenum; texels : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtGetTexturesQCOM : function (textures : PGLuint; maxTextures : GLint; numTextures : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtIsProgramBinaryQCOM : function (prog : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtTexObjectStateOverrideiQCOM : function (target : GLenum; pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glExtractComponentEXT : function (res : GLuint; src : GLuint; num : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFeedbackBuffer : function (size : GLsizei; {FeedbackType}typ : GLenum; {FeedbackElement}buffer : PGLfloat{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFeedbackBufferxOES : function (n : GLsizei; typ : GLenum; buffer : PGLfixed{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFenceSync : function (condition : GLenum; flags : GLbitfield ) : GLsync; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFenceSyncAPPLE : function (condition : GLenum; flags : GLbitfield ) : GLsync; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFinalCombinerInputNV : function ({CombinerVariableNV}variable : GLenum; {CombinerRegisterNV}input : GLenum; {CombinerMappingNV}mapping : GLenum; {CombinerComponentUsageNV}componentUsage : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFinish : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFinishAsyncSGIX : function (markerp : PGLuint{x1} ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFinishFenceAPPLE : function ({FenceNV}fence : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFinishFenceNV : function ({FenceNV}fence : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFinishObjectAPPLE : function ({ObjectTypeAPPLE}obj : GLenum; name : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFinishTextureSUNX : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFlush : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFlushMappedBufferRange : function ({BufferTargetARB}target : GLenum; {BufferOffset}offset : GLintptr; {BufferSize}length : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFlushMappedBufferRangeAPPLE : function (target : GLenum; {BufferOffset}offset : GLintptr; {BufferSize}size : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFlushMappedBufferRangeEXT : function (target : GLenum; offset : GLintptr; length : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFlushMappedNamedBufferRange : function (buffer : GLuint; offset : GLintptr; length : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFlushMappedNamedBufferRangeEXT : function (buffer : GLuint; offset : GLintptr; length : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFlushPixelDataRangeNV : function ({PixelDataRangeTargetNV}target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFlushRasterSGIX : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFlushStaticDataIBM : function (target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFlushVertexArrayRangeAPPLE : function (length : GLsizei; pntr : Pointer{x length} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFlushVertexArrayRangeNV : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoordFormatNV : function (typ : GLenum; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoordPointer : function ({FogPointerTypeEXT}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoordPointerEXT : function ({FogPointerTypeEXT}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoordPointerListIBM : function ({FogPointerTypeIBM}typ : GLenum; stride : GLint; pntr : Pointer{x COMPSIZE(type,stride)}; ptrstride : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoordd : function ({CoordD}coord : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoorddEXT : function ({CoordD}coord : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoorddv : function ({CoordD}coord : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoorddvEXT : function ({CoordD}coord : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoordf : function ({CoordF}coord : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoordfEXT : function ({CoordF}coord : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoordfv : function ({CoordF}coord : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoordfvEXT : function ({CoordF}coord : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoordhNV : function ({Half16NV}fog : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogCoordhvNV : function ({Half16NV}fog : PGLhalfNV{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogFuncSGIS : function (n : GLsizei; points : PGLfloat{x n*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogf : function ({FogParameter}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogfv : function ({FogParameter}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogi : function ({FogParameter}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogiv : function ({FogParameter}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogx : function (pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogxOES : function (pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogxv : function (pname : GLenum; param : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFogxvOES : function (pname : GLenum; param : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentColorMaterialSGIX : function ({MaterialFace}face : GLenum; {MaterialParameter}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentLightModelfSGIX : function ({FragmentLightModelParameterSGIX}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentLightModelfvSGIX : function ({FragmentLightModelParameterSGIX}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentLightModeliSGIX : function ({FragmentLightModelParameterSGIX}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentLightModelivSGIX : function ({FragmentLightModelParameterSGIX}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentLightfSGIX : function ({FragmentLightNameSGIX}light : GLenum; {FragmentLightParameterSGIX}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentLightfvSGIX : function ({FragmentLightNameSGIX}light : GLenum; {FragmentLightParameterSGIX}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentLightiSGIX : function ({FragmentLightNameSGIX}light : GLenum; {FragmentLightParameterSGIX}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentLightivSGIX : function ({FragmentLightNameSGIX}light : GLenum; {FragmentLightParameterSGIX}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentMaterialfSGIX : function ({MaterialFace}face : GLenum; {MaterialParameter}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentMaterialfvSGIX : function ({MaterialFace}face : GLenum; {MaterialParameter}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentMaterialiSGIX : function ({MaterialFace}face : GLenum; {MaterialParameter}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentMaterialivSGIX : function ({MaterialFace}face : GLenum; {MaterialParameter}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFrameTerminatorGREMEDY : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFrameZoomSGIX : function ({CheckedInt32}factor : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferDrawBufferEXT : function ({Framebuffer}framebuffer : GLuint; {DrawBufferMode}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferDrawBuffersEXT : function ({Framebuffer}framebuffer : GLuint; n : GLsizei; {DrawBufferMode}bufs : PGLenum{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferParameteri : function (target : GLenum; pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferReadBufferEXT : function ({Framebuffer}framebuffer : GLuint; {ReadBufferMode}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferRenderbuffer : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; {RenderbufferTarget}renderbuffertarget : GLenum; renderbuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferRenderbufferEXT : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; {RenderbufferTarget}renderbuffertarget : GLenum; renderbuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferRenderbufferOES : function (target : GLenum; attachment : GLenum; renderbuffertarget : GLenum; renderbuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTexture : function (target : GLenum; attachment : GLenum; texture : GLuint; level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTexture1D : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; textarget : GLenum; texture : GLuint; level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTexture1DEXT : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; textarget : GLenum; texture : GLuint; level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTexture2D : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; textarget : GLenum; texture : GLuint; level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTexture2DEXT : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; textarget : GLenum; texture : GLuint; level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTexture2DMultisampleEXT : function (target : GLenum; attachment : GLenum; textarget : GLenum; texture : GLuint; level : GLint; samples : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTexture2DMultisampleIMG : function (target : GLenum; attachment : GLenum; textarget : GLenum; texture : GLuint; level : GLint; samples : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTexture2DOES : function (target : GLenum; attachment : GLenum; textarget : GLenum; texture : GLuint; level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTexture3D : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; textarget : GLenum; texture : GLuint; level : GLint; zoffset : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTexture3DEXT : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; textarget : GLenum; texture : GLuint; level : GLint; zoffset : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTexture3DOES : function (target : GLenum; attachment : GLenum; textarget : GLenum; texture : GLuint; level : GLint; zoffset : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTextureARB : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTextureEXT : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTextureFaceARB : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint; {TextureTarget}face : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTextureFaceEXT : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint; {TextureTarget}face : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTextureLayer : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint; {CheckedInt32}layer : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTextureLayerARB : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint; {CheckedInt32}layer : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferTextureLayerEXT : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint; {CheckedInt32}layer : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFreeObjectBufferATI : function (buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFrontFace : function ({FrontFaceDirection}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFrustum : function (left : GLdouble; right : GLdouble; bottom : GLdouble; top : GLdouble; zNear : GLdouble; zFar : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFrustumf : function (l : GLfloat; r : GLfloat; b : GLfloat; t : GLfloat; n : GLfloat; f : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFrustumfOES : function (l : GLfloat; r : GLfloat; b : GLfloat; t : GLfloat; n : GLfloat; f : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFrustumx : function (l : GLfixed; r : GLfixed; b : GLfixed; t : GLfixed; n : GLfixed; f : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFrustumxOES : function (l : GLfixed; r : GLfixed; b : GLfixed; t : GLfixed; n : GLfixed; f : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenAsyncMarkersSGIX : function (range : GLsizei ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenBuffers : function (n : GLsizei; buffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenBuffersARB : function (n : GLsizei; buffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenFencesAPPLE : function (n : GLsizei; {FenceNV}fences : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenFencesNV : function (n : GLsizei; {FenceNV}fences : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenFragmentShadersATI : function (range : GLuint ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenFramebuffers : function (n : GLsizei; framebuffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenFramebuffersEXT : function (n : GLsizei; framebuffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenFramebuffersOES : function (n : GLsizei; framebuffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenLists : function (range : GLsizei ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenNamesAMD : function (identifier : GLenum; num : GLuint; names : PGLuint{x num} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenOcclusionQueriesNV : function (n : GLsizei; ids : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenPathsNV : function (range : GLsizei ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenPerfMonitorsAMD : function (n : GLsizei; monitors : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenProgramPipelines : function (n : GLsizei; pipelines : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenProgramPipelinesEXT : function (n : GLsizei; pipelines : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenProgramsARB : function (n : GLsizei; programs : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenProgramsNV : function (n : GLsizei; programs : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenQueries : function (n : GLsizei; ids : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenQueriesARB : function (n : GLsizei; ids : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenQueriesEXT : function (n : GLsizei; ids : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenRenderbuffers : function (n : GLsizei; renderbuffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenRenderbuffersEXT : function (n : GLsizei; renderbuffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenRenderbuffersOES : function (n : GLsizei; renderbuffers : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenSamplers : function (count : GLsizei; samplers : PGLuint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenSymbolsEXT : function ({DataTypeEXT}datatype : GLenum; {VertexShaderStorageTypeEXT}storagetype : GLenum; {ParameterRangeEXT}range : GLenum; components : GLuint ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenTextures : function (n : GLsizei; {Texture}textures : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenTexturesEXT : function (n : GLsizei; {Texture}textures : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenTransformFeedbacks : function (n : GLsizei; ids : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenTransformFeedbacksNV : function (n : GLsizei; ids : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenVertexArrays : function (n : GLsizei; arrays : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenVertexArraysAPPLE : function (n : GLsizei; arrays : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenVertexArraysOES : function (n : GLsizei; arrays : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenVertexShadersEXT : function (range : GLuint ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenerateMipmap : function (target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenerateMipmapEXT : function (target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenerateMipmapOES : function (target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenerateMultiTexMipmapEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenerateTextureMipmap : function (texture : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGenerateTextureMipmapEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveAtomicCounterBufferiv : function (prog : GLuint; bufferIndex : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveAttrib : function (prog : GLuint; index : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; size : PGLint{x1}; typ : PGLenum{x1}; name : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveAttribARB : function ({handleARB}programObj : GLhandleARB; index : GLuint; maxLength : GLsizei; length : PGLsizei{x1}; size : PGLint{x1}; typ : PGLenum{x1}; name : PGLcharARB{x maxLength} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveSubroutineName : function (prog : GLuint; shadertype : GLenum; index : GLuint; bufsize : GLsizei; length : PGLsizei{x1}; name : PGLchar{x bufsize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveSubroutineUniformName : function (prog : GLuint; shadertype : GLenum; index : GLuint; bufsize : GLsizei; length : PGLsizei{x1}; name : PGLchar{x bufsize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveSubroutineUniformiv : function (prog : GLuint; shadertype : GLenum; index : GLuint; pname : GLenum; values : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveUniform : function (prog : GLuint; index : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; size : PGLint{x1}; typ : PGLenum{x1}; name : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveUniformARB : function ({handleARB}programObj : GLhandleARB; index : GLuint; maxLength : GLsizei; length : PGLsizei{x1}; size : PGLint{x1}; typ : PGLenum{x1}; name : PGLcharARB{x maxLength} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveUniformBlockName : function (prog : GLuint; uniformBlockIndex : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; uniformBlockName : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveUniformBlockiv : function (prog : GLuint; uniformBlockIndex : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(program,uniformBlockIndex,pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveUniformName : function (prog : GLuint; uniformIndex : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; uniformName : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveUniformsiv : function (prog : GLuint; uniformCount : GLsizei; uniformIndices : PGLuint{x uniformCount}; pname : GLenum; params : PGLint{x COMPSIZE(uniformCount,pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetActiveVaryingNV : function (prog : GLuint; index : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; size : PGLsizei{x1}; typ : PGLenum{x1}; name : PGLchar{x COMPSIZE(program,index,bufSize)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetArrayObjectfvATI : function ({EnableCap}arry : GLenum; {ArrayObjectPNameATI}pname : GLenum; params : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetArrayObjectivATI : function ({EnableCap}arry : GLenum; {ArrayObjectPNameATI}pname : GLenum; params : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetAttachedObjectsARB : function ({handleARB}containerObj : GLhandleARB; maxCount : GLsizei; count : PGLsizei{x1}; {handleARB}obj : PGLhandleARB{x maxCount} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetAttachedShaders : function (prog : GLuint; maxCount : GLsizei; count : PGLsizei{x1}; shaders : PGLuint{x maxCount} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetAttribLocation : function (prog : GLuint; name : PGLchar ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetAttribLocationARB : function ({handleARB}programObj : GLhandleARB; name : PGLcharARB ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetBooleanIndexedvEXT : function (target : GLenum; index : GLuint; {Boolean}data : PGLboolean{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetBooleani_v : function (target : GLenum; index : GLuint; {Boolean}data : PGLboolean{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetBooleanv : function ({GetPName}pname : GLenum; {Boolean}data : PGLboolean{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetBufferParameteri64v : function ({BufferTargetARB}target : GLenum; {BufferPNameARB}pname : GLenum; params : PGLint64{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetBufferParameteriv : function ({BufferTargetARB}target : GLenum; {BufferPNameARB}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetBufferParameterivARB : function ({BufferTargetARB}target : GLenum; {BufferPNameARB}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetBufferParameterui64vNV : function (target : GLenum; pname : GLenum; params : PGLuint64EXT{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetBufferPointerv : function ({BufferTargetARB}target : GLenum; {BufferPointerNameARB}pname : GLenum; params : Pointer{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetBufferPointervARB : function ({BufferTargetARB}target : GLenum; {BufferPointerNameARB}pname : GLenum; params : Pointer{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetBufferPointervOES : function (target : GLenum; pname : GLenum; params : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetBufferSubData : function ({BufferTargetARB}target : GLenum; {BufferOffset}offset : GLintptr; {BufferSize}size : GLsizeiptr; data : Pointer{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetBufferSubDataARB : function ({BufferTargetARB}target : GLenum; {BufferOffsetARB}offset : GLintptrARB; {BufferSizeARB}size : GLsizeiptrARB; data : Pointer{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetClipPlane : function ({ClipPlaneName}plane : GLenum; equation : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetClipPlanef : function (plane : GLenum; equation : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetClipPlanefOES : function (plane : GLenum; equation : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetClipPlanex : function (plane : GLenum; equation : PGLfixed{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetClipPlanexOES : function (plane : GLenum; equation : PGLfixed{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetColorTable : function ({ColorTableTarget}target : GLenum; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; table : Pointer{x COMPSIZE(target,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetColorTableEXT : function ({ColorTableTarget}target : GLenum; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; data : Pointer{x COMPSIZE(target,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetColorTableParameterfv : function ({ColorTableTarget}target : GLenum; {GetColorTableParameterPName}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetColorTableParameterfvEXT : function ({ColorTableTarget}target : GLenum; {GetColorTableParameterPName}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetColorTableParameterfvSGI : function ({ColorTableTargetSGI}target : GLenum; {GetColorTableParameterPNameSGI}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetColorTableParameteriv : function ({ColorTableTarget}target : GLenum; {GetColorTableParameterPName}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetColorTableParameterivEXT : function ({ColorTableTarget}target : GLenum; {GetColorTableParameterPName}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetColorTableParameterivSGI : function ({ColorTableTargetSGI}target : GLenum; {GetColorTableParameterPNameSGI}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetColorTableSGI : function ({ColorTableTargetSGI}target : GLenum; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; table : Pointer{x COMPSIZE(target,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetCombinerInputParameterfvNV : function ({CombinerStageNV}stage : GLenum; {CombinerPortionNV}portion : GLenum; {CombinerVariableNV}variable : GLenum; {CombinerParameterNV}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetCombinerInputParameterivNV : function ({CombinerStageNV}stage : GLenum; {CombinerPortionNV}portion : GLenum; {CombinerVariableNV}variable : GLenum; {CombinerParameterNV}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetCombinerOutputParameterfvNV : function ({CombinerStageNV}stage : GLenum; {CombinerPortionNV}portion : GLenum; {CombinerParameterNV}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetCombinerOutputParameterivNV : function ({CombinerStageNV}stage : GLenum; {CombinerPortionNV}portion : GLenum; {CombinerParameterNV}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetCombinerStageParameterfvNV : function ({CombinerStageNV}stage : GLenum; {CombinerParameterNV}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetCompressedMultiTexImageEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}lod : GLint; img : Pointer{x COMPSIZE(target,lod)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetCompressedTexImage : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CompressedTextureARB}img : Pointer{x COMPSIZE(target,level)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetCompressedTexImageARB : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CompressedTextureARB}img : Pointer{x COMPSIZE(target,level)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetCompressedTextureImage : function (texture : GLuint; level : GLint; bufSize : GLsizei; pixels : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetCompressedTextureImageEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}lod : GLint; img : Pointer{x COMPSIZE(target,lod)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetCompressedTextureSubImage : function (texture : GLuint; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; bufSize : GLsizei; pixels : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetConvolutionFilter : function ({ConvolutionTarget}target : GLenum; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; image : Pointer{x COMPSIZE(target,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetConvolutionFilterEXT : function ({ConvolutionTargetEXT}target : GLenum; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; image : Pointer{x COMPSIZE(target,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetConvolutionParameterfv : function ({ConvolutionTarget}target : GLenum; {GetConvolutionParameterPName}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetConvolutionParameterfvEXT : function ({ConvolutionTargetEXT}target : GLenum; {ConvolutionParameterEXT}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetConvolutionParameteriv : function ({ConvolutionTarget}target : GLenum; {GetConvolutionParameterPName}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetConvolutionParameterivEXT : function ({ConvolutionTargetEXT}target : GLenum; {ConvolutionParameterEXT}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetConvolutionParameterxvOES : function (target : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetDebugMessageLog : function (count : GLuint; bufSize : GLsizei; sources : PGLenum{x count}; types : PGLenum{x count}; ids : PGLuint{x count}; severities : PGLenum{x count}; lengths : PGLsizei{x count}; messageLog : PGLchar{x bufSize} ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetDebugMessageLogAMD : function (count : GLuint; bufsize : GLsizei; categories : PGLenum{x count}; severities : PGLuint{x count}; ids : PGLuint{x count}; lengths : PGLsizei{x count}; msg : PGLchar{x bufsize} ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetDebugMessageLogARB : function (count : GLuint; bufSize : GLsizei; sources : PGLenum{x count}; types : PGLenum{x count}; ids : PGLuint{x count}; severities : PGLenum{x count}; lengths : PGLsizei{x count}; messageLog : PGLchar{x bufSize} ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetDebugMessageLogKHR : function (count : GLuint; bufSize : GLsizei; sources : PGLenum{x count}; types : PGLenum{x count}; ids : PGLuint{x count}; severities : PGLenum{x count}; lengths : PGLsizei{x count}; messageLog : PGLchar{x bufSize} ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetDetailTexFuncSGIS : function ({TextureTarget}target : GLenum; points : PGLfloat{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetDoubleIndexedvEXT : function ({TypeEnum}target : GLenum; index : GLuint; data : PGLdouble{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetDoublei_v : function (target : GLenum; index : GLuint; data : PGLdouble{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetDoublei_vEXT : function ({TypeEnum}pname : GLenum; index : GLuint; params : PGLdouble{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetDoublev : function ({GetPName}pname : GLenum; data : PGLdouble{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetDriverControlStringQCOM : function (driverControl : GLuint; bufSize : GLsizei; length : PGLsizei; driverControlString : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetDriverControlsQCOM : function (num : PGLint; size : GLsizei; driverControls : PGLuint{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetError : function ( ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFenceivNV : function ({FenceNV}fence : GLuint; {FenceParameterNameNV}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFinalCombinerInputParameterfvNV : function ({CombinerVariableNV}variable : GLenum; {CombinerParameterNV}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFinalCombinerInputParameterivNV : function ({CombinerVariableNV}variable : GLenum; {CombinerParameterNV}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFirstPerfQueryIdINTEL : function (queryId : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFixedv : function (pname : GLenum; params : PGLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFixedvOES : function (pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFloatIndexedvEXT : function ({TypeEnum}target : GLenum; index : GLuint; data : PGLfloat{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFloati_v : function ({TypeEnum}target : GLenum; index : GLuint; data : PGLfloat{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFloati_vEXT : function ({TypeEnum}pname : GLenum; index : GLuint; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFloatv : function ({GetPName}pname : GLenum; data : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFogFuncSGIS : function (points : PGLfloat{x COMPSIZE()} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFragDataIndex : function (prog : GLuint; name : PGLchar ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFragDataLocation : function (prog : GLuint; name : PGLchar{x COMPSIZE(name)} ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFragDataLocationEXT : function (prog : GLuint; name : PGLchar{x COMPSIZE(name)} ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFragmentLightfvSGIX : function ({FragmentLightNameSGIX}light : GLenum; {FragmentLightParameterSGIX}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFragmentLightivSGIX : function ({FragmentLightNameSGIX}light : GLenum; {FragmentLightParameterSGIX}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFragmentMaterialfvSGIX : function ({MaterialFace}face : GLenum; {MaterialParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFragmentMaterialivSGIX : function ({MaterialFace}face : GLenum; {MaterialParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFramebufferAttachmentParameteriv : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFramebufferAttachmentParameterivEXT : function ({FramebufferTarget}target : GLenum; {FramebufferAttachment}attachment : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFramebufferAttachmentParameterivOES : function (target : GLenum; attachment : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFramebufferParameteriv : function (target : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetFramebufferParameterivEXT : function ({Framebuffer}framebuffer : GLuint; {GetFramebufferParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetGraphicsResetStatus : function ( ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetGraphicsResetStatusARB : function ( ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetGraphicsResetStatusEXT : function ( ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetGraphicsResetStatusKHR : function ( ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetHandleARB : function (pname : GLenum ) : GLhandleARB; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetHistogram : function ({HistogramTarget}target : GLenum; {Boolean}reset : GLboolean; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; values : Pointer{x COMPSIZE(target,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetHistogramEXT : function ({HistogramTargetEXT}target : GLenum; {Boolean}reset : GLboolean; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; values : Pointer{x COMPSIZE(target,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetHistogramParameterfv : function ({HistogramTarget}target : GLenum; {GetHistogramParameterPName}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetHistogramParameterfvEXT : function ({HistogramTargetEXT}target : GLenum; {GetHistogramParameterPNameEXT}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetHistogramParameteriv : function ({HistogramTarget}target : GLenum; {GetHistogramParameterPName}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetHistogramParameterivEXT : function ({HistogramTargetEXT}target : GLenum; {GetHistogramParameterPNameEXT}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetHistogramParameterxvOES : function (target : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetImageHandleARB : function (texture : GLuint; level : GLint; layered : GLboolean; layer : GLint; format : GLenum ) : GLuint64; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetImageHandleNV : function (texture : GLuint; level : GLint; {Boolean}layered : GLboolean; layer : GLint; format : GLenum ) : GLuint64; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetImageTransformParameterfvHP : function ({ImageTransformTargetHP}target : GLenum; {ImageTransformPNameHP}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetImageTransformParameterivHP : function ({ImageTransformTargetHP}target : GLenum; {ImageTransformPNameHP}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetInfoLogARB : function ({handleARB}obj : GLhandleARB; maxLength : GLsizei; length : PGLsizei{x1}; infoLog : PGLcharARB{x maxLength} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetInstrumentsSGIX : function ( ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetInteger64i_v : function (target : GLenum; index : GLuint; data : PGLint64{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetInteger64v : function (pname : GLenum; data : PGLint64{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetInteger64vAPPLE : function (pname : GLenum; params : PGLint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetIntegerIndexedvEXT : function (target : GLenum; index : GLuint; data : PGLint{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetIntegeri_v : function (target : GLenum; index : GLuint; data : PGLint{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetIntegeri_vEXT : function (target : GLenum; index : GLuint; data : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetIntegerui64i_vNV : function (value : GLenum; index : GLuint; result : PGLuint64EXT{x COMPSIZE(value)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetIntegerui64vNV : function (value : GLenum; result : PGLuint64EXT{x COMPSIZE(value)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetIntegerv : function ({GetPName}pname : GLenum; data : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetInternalformati64v : function (target : GLenum; internalformat : GLenum; pname : GLenum; bufSize : GLsizei; params : PGLint64{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetInternalformativ : function (target : GLenum; internalformat : GLenum; pname : GLenum; bufSize : GLsizei; params : PGLint{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetInvariantBooleanvEXT : function (id : GLuint; {GetVariantValueEXT}value : GLenum; {Boolean}data : PGLboolean{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetInvariantFloatvEXT : function (id : GLuint; {GetVariantValueEXT}value : GLenum; data : PGLfloat{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetInvariantIntegervEXT : function (id : GLuint; {GetVariantValueEXT}value : GLenum; data : PGLint{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetLightfv : function ({LightName}light : GLenum; {LightParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetLightiv : function ({LightName}light : GLenum; {LightParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetLightxOES : function (light : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetLightxv : function (light : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetLightxvOES : function (light : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetListParameterfvSGIX : function ({List}list : GLuint; {ListParameterName}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetListParameterivSGIX : function ({List}list : GLuint; {ListParameterName}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetLocalConstantBooleanvEXT : function (id : GLuint; {GetVariantValueEXT}value : GLenum; {Boolean}data : PGLboolean{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetLocalConstantFloatvEXT : function (id : GLuint; {GetVariantValueEXT}value : GLenum; data : PGLfloat{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetLocalConstantIntegervEXT : function (id : GLuint; {GetVariantValueEXT}value : GLenum; data : PGLint{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMapAttribParameterfvNV : function ({EvalTargetNV}target : GLenum; index : GLuint; {MapAttribParameterNV}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMapAttribParameterivNV : function ({EvalTargetNV}target : GLenum; index : GLuint; {MapAttribParameterNV}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMapControlPointsNV : function ({EvalTargetNV}target : GLenum; index : GLuint; {MapTypeNV}typ : GLenum; ustride : GLsizei; vstride : GLsizei; {Boolean}is_packed : GLboolean; points : Pointer{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMapParameterfvNV : function ({EvalTargetNV}target : GLenum; {MapParameterNV}pname : GLenum; params : PGLfloat{x COMPSIZE(target,pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMapParameterivNV : function ({EvalTargetNV}target : GLenum; {MapParameterNV}pname : GLenum; params : PGLint{x COMPSIZE(target,pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMapdv : function ({MapTarget}target : GLenum; {GetMapQuery}query : GLenum; v : PGLdouble{x COMPSIZE(target,query)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMapfv : function ({MapTarget}target : GLenum; {GetMapQuery}query : GLenum; v : PGLfloat{x COMPSIZE(target,query)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMapiv : function ({MapTarget}target : GLenum; {GetMapQuery}query : GLenum; v : PGLint{x COMPSIZE(target,query)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMapxvOES : function (target : GLenum; query : GLenum; v : PGLfixed{x COMPSIZE(query)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMaterialfv : function ({MaterialFace}face : GLenum; {MaterialParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMaterialiv : function ({MaterialFace}face : GLenum; {MaterialParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMaterialxOES : function (face : GLenum; pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMaterialxv : function (face : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMaterialxvOES : function (face : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMinmax : function ({MinmaxTarget}target : GLenum; {Boolean}reset : GLboolean; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; values : Pointer{x COMPSIZE(target,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMinmaxEXT : function ({MinmaxTargetEXT}target : GLenum; {Boolean}reset : GLboolean; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; values : Pointer{x COMPSIZE(target,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMinmaxParameterfv : function ({MinmaxTarget}target : GLenum; {GetMinmaxParameterPName}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMinmaxParameterfvEXT : function ({MinmaxTargetEXT}target : GLenum; {GetMinmaxParameterPNameEXT}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMinmaxParameteriv : function ({MinmaxTarget}target : GLenum; {GetMinmaxParameterPName}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMinmaxParameterivEXT : function ({MinmaxTargetEXT}target : GLenum; {GetMinmaxParameterPNameEXT}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultiTexEnvfvEXT : function ({TextureUnit}texunit : GLenum; {TextureEnvTarget}target : GLenum; {TextureEnvParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultiTexEnvivEXT : function ({TextureUnit}texunit : GLenum; {TextureEnvTarget}target : GLenum; {TextureEnvParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultiTexGendvEXT : function ({TextureUnit}texunit : GLenum; {TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; params : PGLdouble{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultiTexGenfvEXT : function ({TextureUnit}texunit : GLenum; {TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultiTexGenivEXT : function ({TextureUnit}texunit : GLenum; {TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultiTexImageEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(target,level,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultiTexLevelParameterfvEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {GetTextureParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultiTexLevelParameterivEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {GetTextureParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultiTexParameterIivEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultiTexParameterIuivEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultiTexParameterfvEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultiTexParameterivEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultisamplefv : function (pname : GLenum; index : GLuint; val : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetMultisamplefvNV : function ({GetMultisamplePNameNV}pname : GLenum; index : GLuint; val : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedBufferParameteri64v : function (buffer : GLuint; pname : GLenum; params : PGLint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedBufferParameteriv : function (buffer : GLuint; pname : GLenum; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedBufferParameterivEXT : function (buffer : GLuint; {VertexBufferObjectParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedBufferParameterui64vNV : function (buffer : GLuint; {VertexBufferObjectParameter}pname : GLenum; params : PGLuint64EXT{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedBufferPointerv : function (buffer : GLuint; pname : GLenum; params : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedBufferPointervEXT : function (buffer : GLuint; {VertexBufferObjectParameter}pname : GLenum; params : Pointer{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedBufferSubData : function (buffer : GLuint; offset : GLintptr; size : GLsizei; data : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedBufferSubDataEXT : function (buffer : GLuint; offset : GLintptr; size : GLsizeiptr; data : Pointer{x COMPSIZE(size)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedFramebufferAttachmentParameteriv : function (framebuffer : GLuint; attachment : GLenum; pname : GLenum; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedFramebufferAttachmentParameterivEXT : function ({Framebuffer}framebuffer : GLuint; {FramebufferAttachment}attachment : GLenum; {FramebufferAttachmentParameterName}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedFramebufferParameteriv : function (framebuffer : GLuint; pname : GLenum; param : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedFramebufferParameterivEXT : function ({Framebuffer}framebuffer : GLuint; {GetFramebufferParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedProgramLocalParameterIivEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; params : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedProgramLocalParameterIuivEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; params : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedProgramLocalParameterdvEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; params : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedProgramLocalParameterfvEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; params : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedProgramStringEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; {ProgramStringProperty}pname : GLenum; str : Pointer{x COMPSIZE(program,pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedProgramivEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; {ProgramProperty}pname : GLenum; params : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedRenderbufferParameteriv : function (renderbuffer : GLuint; pname : GLenum; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedRenderbufferParameterivEXT : function ({Renderbuffer}renderbuffer : GLuint; {RenderbufferParameterName}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedStringARB : function (namelen : GLint; name : PGLchar{x namelen}; bufSize : GLsizei; stringlen : PGLint{x1}; str : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNamedStringivARB : function (namelen : GLint; name : PGLchar{x namelen}; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetNextPerfQueryIdINTEL : function (queryId : GLuint; nextQueryId : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetObjectBufferfvATI : function (buffer : GLuint; {ArrayObjectPNameATI}pname : GLenum; params : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetObjectBufferivATI : function (buffer : GLuint; {ArrayObjectPNameATI}pname : GLenum; params : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetObjectLabel : function (identifier : GLenum; name : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; lbl : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetObjectLabelEXT : function (typ : GLenum; obj : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; lbl : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetObjectLabelKHR : function (identifier : GLenum; name : GLuint; bufSize : GLsizei; length : PGLsizei; lbl : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetObjectParameterfvARB : function ({handleARB}obj : GLhandleARB; pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetObjectParameterivAPPLE : function (objectType : GLenum; name : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetObjectParameterivARB : function ({handleARB}obj : GLhandleARB; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetObjectPtrLabel : function (ptr : Pointer; bufSize : GLsizei; length : PGLsizei{x1}; lbl : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetObjectPtrLabelKHR : function (ptr : Pointer; bufSize : GLsizei; length : PGLsizei{x1}; lbl : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetOcclusionQueryivNV : function (id : GLuint; {OcclusionQueryParameterNameNV}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetOcclusionQueryuivNV : function (id : GLuint; {OcclusionQueryParameterNameNV}pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathColorGenfvNV : function ({PathColor}color : GLenum; {PathGenMode}pname : GLenum; value : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathColorGenivNV : function ({PathColor}color : GLenum; {PathGenMode}pname : GLenum; value : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathCommandsNV : function ({Path}path : GLuint; {PathCommand}commands : PGLubyte{x COMPSIZE(path)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathCoordsNV : function ({Path}path : GLuint; coords : PGLfloat{x COMPSIZE(path)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathDashArrayNV : function ({Path}path : GLuint; dashArray : PGLfloat{x COMPSIZE(path)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathLengthNV : function ({Path}path : GLuint; startSegment : GLsizei; numSegments : GLsizei ) : GLfloat; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathMetricRangeNV : function ({PathMetricMask}metricQueryMask : GLbitfield; {Path}firstPathName : GLuint; numPaths : GLsizei; stride : GLsizei; metrics : PGLfloat{x COMPSIZE(metricQueryMask,numPaths,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathMetricsNV : function ({PathMetricMask}metricQueryMask : GLbitfield; numPaths : GLsizei; {PathElementType}pathNameType : GLenum; {PathElement}paths : Pointer{x COMPSIZE(numPaths,pathNameType,paths)}; {Path}pathBase : GLuint; stride : GLsizei; metrics : PGLfloat{x COMPSIZE(metricQueryMask,numPaths,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathParameterfvNV : function ({Path}path : GLuint; {PathParameter}pname : GLenum; value : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathParameterivNV : function ({Path}path : GLuint; {PathParameter}pname : GLenum; value : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathSpacingNV : function ({PathListMode}pathListMode : GLenum; numPaths : GLsizei; {PathElementType}pathNameType : GLenum; {PathElement}paths : Pointer{x COMPSIZE(numPaths,pathNameType,paths)}; {Path}pathBase : GLuint; advanceScale : GLfloat; kerningScale : GLfloat; {PathTransformType}transformType : GLenum; returnedSpacing : PGLfloat{x COMPSIZE(pathListMode,numPaths)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathTexGenfvNV : function ({TextureUnit}texCoordSet : GLenum; {PathGenMode}pname : GLenum; value : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPathTexGenivNV : function ({TextureUnit}texCoordSet : GLenum; {PathGenMode}pname : GLenum; value : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPerfCounterInfoINTEL : function (queryId : GLuint; counterId : GLuint; counterNameLength : GLuint; counterName : PGLchar; counterDescLength : GLuint; counterDesc : PGLchar; counterOffset : PGLuint; counterDataSize : PGLuint; counterTypeEnum : PGLuint; counterDataTypeEnum : PGLuint; rawCounterMaxValue : PGLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPerfMonitorCounterDataAMD : function (monitor : GLuint; pname : GLenum; dataSize : GLsizei; data : PGLuint{x dataSize}; bytesWritten : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPerfMonitorCounterInfoAMD : function (group : GLuint; counter : GLuint; pname : GLenum; data : Pointer{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPerfMonitorCounterStringAMD : function (group : GLuint; counter : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; counterString : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPerfMonitorCountersAMD : function (group : GLuint; numCounters : PGLint{x1}; maxActiveCounters : PGLint{x1}; counterSize : GLsizei; counters : PGLuint{x counterSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPerfMonitorGroupStringAMD : function (group : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; groupString : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPerfMonitorGroupsAMD : function (numGroups : PGLint{x1}; groupsSize : GLsizei; groups : PGLuint{x groupsSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPerfQueryDataINTEL : function (queryHandle : GLuint; flags : GLuint; dataSize : GLsizei; data : PGLvoid; bytesWritten : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPerfQueryIdByNameINTEL : function (queryName : PGLchar; queryId : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPerfQueryInfoINTEL : function (queryId : GLuint; queryNameLength : GLuint; queryName : PGLchar; dataSize : PGLuint; noCounters : PGLuint; noInstances : PGLuint; capsMask : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPixelMapfv : function ({PixelMap}map : GLenum; values : PGLfloat{x COMPSIZE(map)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPixelMapuiv : function ({PixelMap}map : GLenum; values : PGLuint{x COMPSIZE(map)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPixelMapusv : function ({PixelMap}map : GLenum; values : PGLushort{x COMPSIZE(map)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPixelMapxv : function (map : GLenum; size : GLint; values : PGLfixed{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPixelTexGenParameterfvSGIS : function ({PixelTexGenParameterNameSGIS}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPixelTexGenParameterivSGIS : function ({PixelTexGenParameterNameSGIS}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPixelTransformParameterfvEXT : function (target : GLenum; pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPixelTransformParameterivEXT : function (target : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPointerIndexedvEXT : function ({TypeEnum}target : GLenum; index : GLuint; data : Pointer{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPointeri_vEXT : function ({TypeEnum}pname : GLenum; index : GLuint; params : Pointer{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPointerv : function ({GetPointervPName}pname : GLenum; params : Pointer{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPointervEXT : function ({GetPointervPName}pname : GLenum; params : Pointer{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPointervKHR : function (pname : GLenum; params : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetPolygonStipple : function (mask : PGLubyte{x COMPSIZE()} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramBinary : function (prog : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; binaryFormat : PGLenum{x1}; binary : Pointer{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramBinaryOES : function (prog : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; binaryFormat : PGLenum{x1}; binary : Pointer{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramEnvParameterIivNV : function ({ProgramTarget}target : GLenum; index : GLuint; params : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramEnvParameterIuivNV : function ({ProgramTarget}target : GLenum; index : GLuint; params : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramEnvParameterdvARB : function ({ProgramTargetARB}target : GLenum; index : GLuint; params : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramEnvParameterfvARB : function ({ProgramTargetARB}target : GLenum; index : GLuint; params : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramInfoLog : function (prog : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; infoLog : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramInterfaceiv : function (prog : GLuint; programInterface : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramLocalParameterIivNV : function ({ProgramTarget}target : GLenum; index : GLuint; params : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramLocalParameterIuivNV : function ({ProgramTarget}target : GLenum; index : GLuint; params : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramLocalParameterdvARB : function ({ProgramTargetARB}target : GLenum; index : GLuint; params : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramLocalParameterfvARB : function ({ProgramTargetARB}target : GLenum; index : GLuint; params : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramNamedParameterdvNV : function (id : GLuint; len : GLsizei; name : PGLubyte{x1}; params : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramNamedParameterfvNV : function (id : GLuint; len : GLsizei; name : PGLubyte{x1}; params : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramParameterdvNV : function ({VertexAttribEnumNV}target : GLenum; index : GLuint; {VertexAttribEnumNV}pname : GLenum; params : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramParameterfvNV : function ({VertexAttribEnumNV}target : GLenum; index : GLuint; {VertexAttribEnumNV}pname : GLenum; params : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramPipelineInfoLog : function (pipeline : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; infoLog : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramPipelineInfoLogEXT : function (pipeline : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; infoLog : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramPipelineiv : function (pipeline : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramPipelineivEXT : function (pipeline : GLuint; pname : GLenum; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramResourceIndex : function (prog : GLuint; programInterface : GLenum; name : PGLchar{x COMPSIZE(name)} ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramResourceLocation : function (prog : GLuint; programInterface : GLenum; name : PGLchar{x COMPSIZE(name)} ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramResourceLocationIndex : function (prog : GLuint; programInterface : GLenum; name : PGLchar{x COMPSIZE(name)} ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramResourceName : function (prog : GLuint; programInterface : GLenum; index : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; name : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramResourcefvNV : function (prog : GLuint; programInterface : GLenum; index : GLuint; propCount : GLsizei; props : PGLenum; bufSize : GLsizei; length : PGLsizei; params : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramResourceiv : function (prog : GLuint; programInterface : GLenum; index : GLuint; propCount : GLsizei; props : PGLenum{x propCount}; bufSize : GLsizei; length : PGLsizei{x1}; params : PGLint{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramStageiv : function (prog : GLuint; shadertype : GLenum; pname : GLenum; values : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramStringARB : function ({ProgramTargetARB}target : GLenum; {ProgramStringPropertyARB}pname : GLenum; str : Pointer{x COMPSIZE(target,pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramStringNV : function (id : GLuint; {VertexAttribEnumNV}pname : GLenum; {ProgramCharacterNV}prog : PGLubyte{x COMPSIZE(id,pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramSubroutineParameteruivNV : function (target : GLenum; index : GLuint; param : PGLuint{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramiv : function (prog : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramivARB : function ({ProgramTargetARB}target : GLenum; {ProgramPropertyARB}pname : GLenum; params : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetProgramivNV : function (id : GLuint; {VertexAttribEnumNV}pname : GLenum; params : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryBufferObjecti64v : function (id : GLuint; buffer : GLuint; pname : GLenum; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryBufferObjectiv : function (id : GLuint; buffer : GLuint; pname : GLenum; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryBufferObjectui64v : function (id : GLuint; buffer : GLuint; pname : GLenum; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryBufferObjectuiv : function (id : GLuint; buffer : GLuint; pname : GLenum; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryIndexediv : function (target : GLenum; index : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryObjecti64v : function (id : GLuint; pname : GLenum; params : PGLint64{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryObjecti64vEXT : function (id : GLuint; pname : GLenum; params : PGLint64{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryObjectiv : function (id : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryObjectivARB : function (id : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryObjectivEXT : function (id : GLuint; pname : GLenum; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryObjectui64v : function (id : GLuint; pname : GLenum; params : PGLuint64{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryObjectui64vEXT : function (id : GLuint; pname : GLenum; params : PGLuint64{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryObjectuiv : function (id : GLuint; pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryObjectuivARB : function (id : GLuint; pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryObjectuivEXT : function (id : GLuint; pname : GLenum; params : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryiv : function (target : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryivARB : function (target : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetQueryivEXT : function (target : GLenum; pname : GLenum; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetRenderbufferParameteriv : function ({RenderbufferTarget}target : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetRenderbufferParameterivEXT : function ({RenderbufferTarget}target : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetRenderbufferParameterivOES : function (target : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSamplerParameterIiv : function (sampler : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSamplerParameterIivEXT : function (sampler : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSamplerParameterIuiv : function (sampler : GLuint; pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSamplerParameterIuivEXT : function (sampler : GLuint; pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSamplerParameterfv : function (sampler : GLuint; pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSamplerParameteriv : function (sampler : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSeparableFilter : function ({SeparableTarget}target : GLenum; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; row : Pointer{x COMPSIZE(target,format,type)}; column : Pointer{x COMPSIZE(target,format,type)}; span : Pointer{x COMPSIZE(target,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSeparableFilterEXT : function ({SeparableTargetEXT}target : GLenum; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; row : Pointer{x COMPSIZE(target,format,type)}; column : Pointer{x COMPSIZE(target,format,type)}; span : Pointer{x COMPSIZE(target,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetShaderInfoLog : function (shader : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; infoLog : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetShaderPrecisionFormat : function (shadertype : GLenum; precisiontype : GLenum; range : PGLint{x2}; precision : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetShaderSource : function (shader : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; source : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetShaderSourceARB : function ({handleARB}obj : GLhandleARB; maxLength : GLsizei; length : PGLsizei{x1}; source : PGLcharARB{x maxLength} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetShaderiv : function (shader : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSharpenTexFuncSGIS : function ({TextureTarget}target : GLenum; points : PGLfloat{x COMPSIZE(target)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetString : function ({StringName}name : GLenum ) : PAnsiChar; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetStringi : function (name : GLenum; index : GLuint ) : PAnsiChar; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSubroutineIndex : function (prog : GLuint; shadertype : GLenum; name : PGLchar ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSubroutineUniformLocation : function (prog : GLuint; shadertype : GLenum; name : PGLchar ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSynciv : function ({sync}sync : GLsync; pname : GLenum; bufSize : GLsizei; length : PGLsizei{x1}; values : PGLint{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetSyncivAPPLE : function (sync : GLsync; pname : GLenum; bufSize : GLsizei; length : PGLsizei; values : PGLint{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexBumpParameterfvATI : function ({GetTexBumpParameterATI}pname : GLenum; param : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexBumpParameterivATI : function ({GetTexBumpParameterATI}pname : GLenum; param : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexEnvfv : function ({TextureEnvTarget}target : GLenum; {TextureEnvParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexEnviv : function ({TextureEnvTarget}target : GLenum; {TextureEnvParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexEnvxv : function (target : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexEnvxvOES : function (target : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexFilterFuncSGIS : function ({TextureTarget}target : GLenum; {TextureFilterSGIS}filter : GLenum; weights : PGLfloat{x COMPSIZE(target,filter)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexGendv : function ({TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; params : PGLdouble{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexGenfv : function ({TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexGenfvOES : function (coord : GLenum; pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexGeniv : function ({TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexGenivOES : function (coord : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexGenxvOES : function (coord : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexImage : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(target,level,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexLevelParameterfv : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {GetTextureParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexLevelParameteriv : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {GetTextureParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexLevelParameterxvOES : function (target : GLenum; level : GLint; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexParameterIiv : function ({TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexParameterIivEXT : function ({TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexParameterIuiv : function ({TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexParameterIuivEXT : function ({TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexParameterPointervAPPLE : function (target : GLenum; pname : GLenum; params : Pointer{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexParameterfv : function ({TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexParameteriv : function ({TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexParameterxv : function (target : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTexParameterxvOES : function (target : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureHandleARB : function (texture : GLuint ) : GLuint64; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureHandleNV : function (texture : GLuint ) : GLuint64; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureImage : function (texture : GLuint; level : GLint; format : GLenum; typ : GLenum; bufSize : GLsizei; pixels : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureImageEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(target,level,format,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureLevelParameterfv : function (texture : GLuint; level : GLint; pname : GLenum; params : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureLevelParameterfvEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {GetTextureParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureLevelParameteriv : function (texture : GLuint; level : GLint; pname : GLenum; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureLevelParameterivEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {GetTextureParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureParameterIiv : function (texture : GLuint; pname : GLenum; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureParameterIivEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureParameterIuiv : function (texture : GLuint; pname : GLenum; params : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureParameterIuivEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureParameterfv : function (texture : GLuint; pname : GLenum; params : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureParameterfvEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureParameteriv : function (texture : GLuint; pname : GLenum; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureParameterivEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {GetTextureParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureSamplerHandleARB : function (texture : GLuint; sampler : GLuint ) : GLuint64; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureSamplerHandleNV : function (texture : GLuint; sampler : GLuint ) : GLuint64; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTextureSubImage : function (texture : GLuint; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; format : GLenum; typ : GLenum; bufSize : GLsizei; pixels : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTrackMatrixivNV : function ({VertexAttribEnumNV}target : GLenum; address : GLuint; {VertexAttribEnumNV}pname : GLenum; params : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTransformFeedbackVarying : function (prog : GLuint; index : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; size : PGLsizei{x1}; typ : PGLenum{x1}; name : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTransformFeedbackVaryingEXT : function (prog : GLuint; index : GLuint; bufSize : GLsizei; length : PGLsizei{x1}; size : PGLsizei{x1}; typ : PGLenum{x1}; name : PGLchar{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTransformFeedbackVaryingNV : function (prog : GLuint; index : GLuint; location : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTransformFeedbacki64_v : function (xfb : GLuint; pname : GLenum; index : GLuint; param : PGLint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTransformFeedbacki_v : function (xfb : GLuint; pname : GLenum; index : GLuint; param : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTransformFeedbackiv : function (xfb : GLuint; pname : GLenum; param : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetTranslatedShaderSourceANGLE : function (shader : GLuint; bufsize : GLsizei; length : PGLsizei{x1}; source : PGLchar ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformBlockIndex : function (prog : GLuint; uniformBlockName : PGLchar{x COMPSIZE()} ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformBufferSizeEXT : function (prog : GLuint; location : GLint ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformIndices : function (prog : GLuint; uniformCount : GLsizei; uniformNames : PPGLchar{x COMPSIZE(uniformCount)}; uniformIndices : PGLuint{x COMPSIZE(uniformCount)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformLocation : function (prog : GLuint; name : PGLchar ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformLocationARB : function ({handleARB}programObj : GLhandleARB; name : PGLcharARB ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformOffsetEXT : function (prog : GLuint; location : GLint ) : GLintptr; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformSubroutineuiv : function (shadertype : GLenum; location : GLint; params : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformdv : function (prog : GLuint; location : GLint; params : PGLdouble{x COMPSIZE(program,location)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformfv : function (prog : GLuint; location : GLint; params : PGLfloat{x COMPSIZE(program,location)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformfvARB : function ({handleARB}programObj : GLhandleARB; location : GLint; params : PGLfloat{x COMPSIZE(programObj,location)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformi64vNV : function (prog : GLuint; location : GLint; params : PGLint64EXT{x COMPSIZE(program,location)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformiv : function (prog : GLuint; location : GLint; params : PGLint{x COMPSIZE(program,location)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformivARB : function ({handleARB}programObj : GLhandleARB; location : GLint; params : PGLint{x COMPSIZE(programObj,location)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformui64vNV : function (prog : GLuint; location : GLint; params : PGLuint64EXT{x COMPSIZE(program,location)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformuiv : function (prog : GLuint; location : GLint; params : PGLuint{x COMPSIZE(program,location)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetUniformuivEXT : function (prog : GLuint; location : GLint; params : PGLuint{x COMPSIZE(program,location)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVariantArrayObjectfvATI : function (id : GLuint; {ArrayObjectPNameATI}pname : GLenum; params : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVariantArrayObjectivATI : function (id : GLuint; {ArrayObjectPNameATI}pname : GLenum; params : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVariantBooleanvEXT : function (id : GLuint; {GetVariantValueEXT}value : GLenum; {Boolean}data : PGLboolean{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVariantFloatvEXT : function (id : GLuint; {GetVariantValueEXT}value : GLenum; data : PGLfloat{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVariantIntegervEXT : function (id : GLuint; {GetVariantValueEXT}value : GLenum; data : PGLint{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVariantPointervEXT : function (id : GLuint; {GetVariantValueEXT}value : GLenum; data : Pointer{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVaryingLocationNV : function (prog : GLuint; name : PGLchar{x COMPSIZE(name)} ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexArrayIndexed64iv : function (vaobj : GLuint; index : GLuint; pname : GLenum; param : PGLint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexArrayIndexediv : function (vaobj : GLuint; index : GLuint; pname : GLenum; param : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexArrayIntegeri_vEXT : function (vaobj : GLuint; index : GLuint; pname : GLenum; param : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexArrayIntegervEXT : function (vaobj : GLuint; pname : GLenum; param : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexArrayPointeri_vEXT : function (vaobj : GLuint; index : GLuint; pname : GLenum; param : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexArrayPointervEXT : function (vaobj : GLuint; pname : GLenum; param : Pointer{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexArrayiv : function (vaobj : GLuint; pname : GLenum; param : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribArrayObjectfvATI : function (index : GLuint; {ArrayObjectPNameATI}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribArrayObjectivATI : function (index : GLuint; {ArrayObjectPNameATI}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribIiv : function (index : GLuint; {VertexAttribEnum}pname : GLenum; params : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribIivEXT : function (index : GLuint; {VertexAttribEnum}pname : GLenum; params : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribIuiv : function (index : GLuint; {VertexAttribEnum}pname : GLenum; params : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribIuivEXT : function (index : GLuint; {VertexAttribEnum}pname : GLenum; params : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribLdv : function (index : GLuint; pname : GLenum; params : PGLdouble{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribLdvEXT : function (index : GLuint; pname : GLenum; params : PGLdouble{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribLi64vNV : function (index : GLuint; pname : GLenum; params : PGLint64EXT{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribLui64vARB : function (index : GLuint; pname : GLenum; params : PGLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribLui64vNV : function (index : GLuint; pname : GLenum; params : PGLuint64EXT{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribPointerv : function (index : GLuint; {VertexAttribPointerPropertyARB}pname : GLenum; pntr : Pointer{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribPointervARB : function (index : GLuint; {VertexAttribPointerPropertyARB}pname : GLenum; pntr : Pointer{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribPointervNV : function (index : GLuint; {VertexAttribEnumNV}pname : GLenum; pntr : Pointer{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribdv : function (index : GLuint; {VertexAttribPropertyARB}pname : GLenum; params : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribdvARB : function (index : GLuint; {VertexAttribPropertyARB}pname : GLenum; params : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribdvNV : function (index : GLuint; {VertexAttribEnumNV}pname : GLenum; params : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribfv : function (index : GLuint; {VertexAttribPropertyARB}pname : GLenum; params : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribfvARB : function (index : GLuint; {VertexAttribPropertyARB}pname : GLenum; params : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribfvNV : function (index : GLuint; {VertexAttribEnumNV}pname : GLenum; params : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribiv : function (index : GLuint; {VertexAttribPropertyARB}pname : GLenum; params : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribivARB : function (index : GLuint; {VertexAttribPropertyARB}pname : GLenum; params : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVertexAttribivNV : function (index : GLuint; {VertexAttribEnumNV}pname : GLenum; params : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVideoCaptureStreamdvNV : function (video_capture_slot : GLuint; stream : GLuint; pname : GLenum; params : PGLdouble{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVideoCaptureStreamfvNV : function (video_capture_slot : GLuint; stream : GLuint; pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVideoCaptureStreamivNV : function (video_capture_slot : GLuint; stream : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVideoCaptureivNV : function (video_capture_slot : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVideoi64vNV : function (video_slot : GLuint; pname : GLenum; params : PGLint64EXT{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVideoivNV : function (video_slot : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVideoui64vNV : function (video_slot : GLuint; pname : GLenum; params : PGLuint64EXT{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetVideouivNV : function (video_slot : GLuint; pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnColorTable : function (target : GLenum; format : GLenum; typ : GLenum; bufSize : GLsizei; table : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnColorTableARB : function (target : GLenum; format : GLenum; typ : GLenum; bufSize : GLsizei; table : Pointer{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnCompressedTexImage : function (target : GLenum; lod : GLint; bufSize : GLsizei; pixels : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnCompressedTexImageARB : function (target : GLenum; lod : GLint; bufSize : GLsizei; img : Pointer{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnConvolutionFilter : function (target : GLenum; format : GLenum; typ : GLenum; bufSize : GLsizei; image : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnConvolutionFilterARB : function (target : GLenum; format : GLenum; typ : GLenum; bufSize : GLsizei; image : Pointer{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnHistogram : function (target : GLenum; reset : GLboolean; format : GLenum; typ : GLenum; bufSize : GLsizei; values : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnHistogramARB : function (target : GLenum; {Boolean}reset : GLboolean; format : GLenum; typ : GLenum; bufSize : GLsizei; values : Pointer{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnMapdv : function (target : GLenum; query : GLenum; bufSize : GLsizei; v : PGLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnMapdvARB : function (target : GLenum; query : GLenum; bufSize : GLsizei; v : PGLdouble{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnMapfv : function (target : GLenum; query : GLenum; bufSize : GLsizei; v : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnMapfvARB : function (target : GLenum; query : GLenum; bufSize : GLsizei; v : PGLfloat{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnMapiv : function (target : GLenum; query : GLenum; bufSize : GLsizei; v : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnMapivARB : function (target : GLenum; query : GLenum; bufSize : GLsizei; v : PGLint{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnMinmax : function (target : GLenum; reset : GLboolean; format : GLenum; typ : GLenum; bufSize : GLsizei; values : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnMinmaxARB : function (target : GLenum; {Boolean}reset : GLboolean; format : GLenum; typ : GLenum; bufSize : GLsizei; values : Pointer{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnPixelMapfv : function (map : GLenum; bufSize : GLsizei; values : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnPixelMapfvARB : function (map : GLenum; bufSize : GLsizei; values : PGLfloat{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnPixelMapuiv : function (map : GLenum; bufSize : GLsizei; values : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnPixelMapuivARB : function (map : GLenum; bufSize : GLsizei; values : PGLuint{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnPixelMapusv : function (map : GLenum; bufSize : GLsizei; values : PGLushort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnPixelMapusvARB : function (map : GLenum; bufSize : GLsizei; values : PGLushort{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnPolygonStipple : function (bufSize : GLsizei; pattern : PGLubyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnPolygonStippleARB : function (bufSize : GLsizei; pattern : PGLubyte{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnSeparableFilter : function (target : GLenum; format : GLenum; typ : GLenum; rowBufSize : GLsizei; row : Pointer; columnBufSize : GLsizei; column : Pointer; span : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnSeparableFilterARB : function (target : GLenum; format : GLenum; typ : GLenum; rowBufSize : GLsizei; row : Pointer{x rowBufSize}; columnBufSize : GLsizei; column : Pointer{x columnBufSize}; span : Pointer{x0} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnTexImage : function (target : GLenum; level : GLint; format : GLenum; typ : GLenum; bufSize : GLsizei; pixels : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnTexImageARB : function (target : GLenum; level : GLint; format : GLenum; typ : GLenum; bufSize : GLsizei; img : Pointer{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformdv : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformdvARB : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLdouble{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformfv : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformfvARB : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLfloat{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformfvEXT : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLfloat{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformfvKHR : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformiv : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformivARB : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLint{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformivEXT : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLint{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformivKHR : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformuiv : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformuivARB : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLuint{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetnUniformuivKHR : function (prog : GLuint; location : GLint; bufSize : GLsizei; params : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGlobalAlphaFactorbSUN : function (factor : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGlobalAlphaFactordSUN : function (factor : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGlobalAlphaFactorfSUN : function (factor : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGlobalAlphaFactoriSUN : function (factor : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGlobalAlphaFactorsSUN : function (factor : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGlobalAlphaFactorubSUN : function (factor : GLubyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGlobalAlphaFactoruiSUN : function (factor : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGlobalAlphaFactorusSUN : function (factor : GLushort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glHint : function ({HintTarget}target : GLenum; {HintMode}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glHintPGI : function ({HintTargetPGI}target : GLenum; mode : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glHistogram : function ({HistogramTarget}target : GLenum; width : GLsizei; {PixelInternalFormat}internalformat : GLenum; {Boolean}sink : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glHistogramEXT : function ({HistogramTargetEXT}target : GLenum; width : GLsizei; {PixelInternalFormat}internalformat : GLenum; {Boolean}sink : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIglooInterfaceSGIX : function ({IglooFunctionSelectSGIX}pname : GLenum; {IglooParameterSGIX}params : Pointer{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glImageTransformParameterfHP : function ({ImageTransformTargetHP}target : GLenum; {ImageTransformPNameHP}pname : GLenum; param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glImageTransformParameterfvHP : function ({ImageTransformTargetHP}target : GLenum; {ImageTransformPNameHP}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glImageTransformParameteriHP : function ({ImageTransformTargetHP}target : GLenum; {ImageTransformPNameHP}pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glImageTransformParameterivHP : function ({ImageTransformTargetHP}target : GLenum; {ImageTransformPNameHP}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glImportSyncEXT : function (external_sync_type : GLenum; external_sync : GLintptr; flags : GLbitfield ) : GLsync; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexFormatNV : function (typ : GLenum; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexFuncEXT : function ({IndexFunctionEXT}func : GLenum; {ClampedFloat32}ref : GLclampf ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexMask : function ({MaskedColorIndexValueI}mask : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexMaterialEXT : function ({MaterialFace}face : GLenum; {IndexMaterialParameterEXT}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexPointer : function ({IndexPointerType}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexPointerEXT : function ({IndexPointerType}typ : GLenum; stride : GLsizei; count : GLsizei; pntr : Pointer{x COMPSIZE(type,stride,count)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexPointerListIBM : function ({IndexPointerType}typ : GLenum; stride : GLint; pntr : Pointer{x COMPSIZE(type,stride)}; ptrstride : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexd : function ({ColorIndexValueD}c : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexdv : function ({ColorIndexValueD}c : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexf : function ({ColorIndexValueF}c : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexfv : function ({ColorIndexValueF}c : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexi : function ({ColorIndexValueI}c : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexiv : function ({ColorIndexValueI}c : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexs : function ({ColorIndexValueS}c : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexsv : function ({ColorIndexValueS}c : PGLshort{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexub : function ({ColorIndexValueUB}c : GLubyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexubv : function ({ColorIndexValueUB}c : PGLubyte{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexxOES : function (component : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIndexxvOES : function (component : PGLfixed{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInitNames : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInsertComponentEXT : function (res : GLuint; src : GLuint; num : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInsertEventMarkerEXT : function (length : GLsizei; marker : PGLchar ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInstrumentsBufferSGIX : function (size : GLsizei; buffer : PGLint{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInterleavedArrays : function ({InterleavedArrayFormat}format : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(format,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInterpolatePathsNV : function ({Path}resultPath : GLuint; {Path}pathA : GLuint; {Path}pathB : GLuint; weight : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInvalidateBufferData : function (buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInvalidateBufferSubData : function (buffer : GLuint; {BufferOffset}offset : GLintptr; {BufferSize}length : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInvalidateFramebuffer : function (target : GLenum; numAttachments : GLsizei; attachments : PGLenum{x numAttachments} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInvalidateNamedFramebufferData : function (framebuffer : GLuint; numAttachments : GLsizei; attachments : PGLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInvalidateNamedFramebufferSubData : function (framebuffer : GLuint; numAttachments : GLsizei; attachments : PGLenum; x : GLint; y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInvalidateSubFramebuffer : function (target : GLenum; numAttachments : GLsizei; attachments : PGLenum{x numAttachments}; x : GLint; y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInvalidateTexImage : function (texture : GLuint; level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glInvalidateTexSubImage : function (texture : GLuint; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsAsyncMarkerSGIX : function (marker : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsBuffer : function (buffer : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsBufferARB : function (buffer : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsBufferResidentNV : function (target : GLenum ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsEnabled : function ({EnableCap}cap : GLenum ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsEnabledIndexedEXT : function (target : GLenum; index : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsEnabledi : function (target : GLenum; index : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsEnablediEXT : function (target : GLenum; index : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsFenceAPPLE : function ({FenceNV}fence : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsFenceNV : function ({FenceNV}fence : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsFramebuffer : function (framebuffer : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsFramebufferEXT : function (framebuffer : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsFramebufferOES : function (framebuffer : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsImageHandleResidentARB : function (handle : GLuint64 ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsImageHandleResidentNV : function (handle : GLuint64 ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsList : function ({List}list : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsNameAMD : function (identifier : GLenum; name : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsNamedBufferResidentNV : function (buffer : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsNamedStringARB : function (namelen : GLint; name : PGLchar{x namelen} ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsObjectBufferATI : function (buffer : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsOcclusionQueryNV : function (id : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsPathNV : function ({Path}path : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsPointInFillPathNV : function ({Path}path : GLuint; {MaskedStencilValue}mask : GLuint; x : GLfloat; y : GLfloat ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsPointInStrokePathNV : function ({Path}path : GLuint; x : GLfloat; y : GLfloat ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsProgram : function (prog : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsProgramARB : function (prog : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsProgramNV : function (id : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsProgramPipeline : function (pipeline : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsProgramPipelineEXT : function (pipeline : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsQuery : function (id : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsQueryARB : function (id : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsQueryEXT : function (id : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsRenderbuffer : function (renderbuffer : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsRenderbufferEXT : function (renderbuffer : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsRenderbufferOES : function (renderbuffer : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsSampler : function (sampler : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsShader : function (shader : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsSync : function ({sync}sync : GLsync ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsSyncAPPLE : function (sync : GLsync ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsTexture : function ({Texture}texture : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsTextureEXT : function ({Texture}texture : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsTextureHandleResidentARB : function (handle : GLuint64 ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsTextureHandleResidentNV : function (handle : GLuint64 ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsTransformFeedback : function (id : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsTransformFeedbackNV : function (id : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsVariantEnabledEXT : function (id : GLuint; {VariantCapEXT}cap : GLenum ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsVertexArray : function (arry : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsVertexArrayAPPLE : function (arry : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsVertexArrayOES : function (arry : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glIsVertexAttribEnabledAPPLE : function (index : GLuint; pname : GLenum ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLabelObjectEXT : function (typ : GLenum; obj : GLuint; length : GLsizei; lbl : PGLchar ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightEnviSGIX : function ({LightEnvParameterSGIX}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightModelf : function ({LightModelParameter}pname : GLenum; param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightModelfv : function ({LightModelParameter}pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightModeli : function ({LightModelParameter}pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightModeliv : function ({LightModelParameter}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightModelx : function (pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightModelxOES : function (pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightModelxv : function (pname : GLenum; param : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightModelxvOES : function (pname : GLenum; param : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightf : function ({LightName}light : GLenum; {LightParameter}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightfv : function ({LightName}light : GLenum; {LightParameter}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLighti : function ({LightName}light : GLenum; {LightParameter}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightiv : function ({LightName}light : GLenum; {LightParameter}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightx : function (light : GLenum; pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightxOES : function (light : GLenum; pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightxv : function (light : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLightxvOES : function (light : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLineStipple : function ({CheckedInt32}factor : GLint; {LineStipple}pattern : GLushort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLineWidth : function ({CheckedFloat32}width : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLineWidthx : function (width : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLineWidthxOES : function (width : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLinkProgram : function (prog : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLinkProgramARB : function ({handleARB}programObj : GLhandleARB ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glListBase : function ({List}base : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glListParameterfSGIX : function ({List}list : GLuint; {ListParameterName}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glListParameterfvSGIX : function ({List}list : GLuint; {ListParameterName}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glListParameteriSGIX : function ({List}list : GLuint; {ListParameterName}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glListParameterivSGIX : function ({List}list : GLuint; {ListParameterName}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadIdentity : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadIdentityDeformationMapSGIX : function ({FfdMaskSGIX}mask : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadMatrixd : function (m : PGLdouble{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadMatrixf : function (m : PGLfloat{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadMatrixx : function (m : PGLfixed{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadMatrixxOES : function (m : PGLfixed{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadName : function ({SelectName}name : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadPaletteFromModelViewMatrixOES : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadProgramNV : function ({VertexAttribEnumNV}target : GLenum; id : GLuint; len : GLsizei; prog : PGLubyte{x len} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadTransposeMatrixd : function (m : PGLdouble{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadTransposeMatrixdARB : function (m : PGLdouble{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadTransposeMatrixf : function (m : PGLfloat{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadTransposeMatrixfARB : function (m : PGLfloat{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLoadTransposeMatrixxOES : function (m : PGLfixed{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLockArraysEXT : function (first : GLint; count : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glLogicOp : function ({LogicOp}opcode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMakeBufferNonResidentNV : function (target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMakeBufferResidentNV : function (target : GLenum; access : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMakeImageHandleNonResidentARB : function (handle : GLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMakeImageHandleNonResidentNV : function (handle : GLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMakeImageHandleResidentARB : function (handle : GLuint64; access : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMakeImageHandleResidentNV : function (handle : GLuint64; access : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMakeNamedBufferNonResidentNV : function (buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMakeNamedBufferResidentNV : function (buffer : GLuint; access : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMakeTextureHandleNonResidentARB : function (handle : GLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMakeTextureHandleNonResidentNV : function (handle : GLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMakeTextureHandleResidentARB : function (handle : GLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMakeTextureHandleResidentNV : function (handle : GLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMap1d : function ({MapTarget}target : GLenum; {CoordD}u1 : GLdouble; {CoordD}u2 : GLdouble; stride : GLint; {CheckedInt32}order : GLint; {CoordD}points : PGLdouble{x COMPSIZE(target,stride,order)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMap1f : function ({MapTarget}target : GLenum; {CoordF}u1 : GLfloat; {CoordF}u2 : GLfloat; stride : GLint; {CheckedInt32}order : GLint; {CoordF}points : PGLfloat{x COMPSIZE(target,stride,order)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMap1xOES : function (target : GLenum; u1 : GLfixed; u2 : GLfixed; stride : GLint; order : GLint; points : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMap2d : function ({MapTarget}target : GLenum; {CoordD}u1 : GLdouble; {CoordD}u2 : GLdouble; ustride : GLint; {CheckedInt32}uorder : GLint; {CoordD}v1 : GLdouble; {CoordD}v2 : GLdouble; vstride : GLint; {CheckedInt32}vorder : GLint; {CoordD}points : PGLdouble{x COMPSIZE(target,ustride,uorder,vstride,vorder)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMap2f : function ({MapTarget}target : GLenum; {CoordF}u1 : GLfloat; {CoordF}u2 : GLfloat; ustride : GLint; {CheckedInt32}uorder : GLint; {CoordF}v1 : GLfloat; {CoordF}v2 : GLfloat; vstride : GLint; {CheckedInt32}vorder : GLint; {CoordF}points : PGLfloat{x COMPSIZE(target,ustride,uorder,vstride,vorder)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMap2xOES : function (target : GLenum; u1 : GLfixed; u2 : GLfixed; ustride : GLint; uorder : GLint; v1 : GLfixed; v2 : GLfixed; vstride : GLint; vorder : GLint; points : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapBuffer : function ({BufferTargetARB}target : GLenum; {BufferAccessARB}access : GLenum ) : PGLvoid; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapBufferARB : function ({BufferTargetARB}target : GLenum; {BufferAccessARB}access : GLenum ) : PGLvoid; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapBufferOES : function (target : GLenum; access : GLenum ) : PGLvoid; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapBufferRange : function ({BufferTargetARB}target : GLenum; {BufferOffset}offset : GLintptr; {BufferSize}length : GLsizeiptr; {BufferAccessMask}access : GLbitfield ) : PGLvoid; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapBufferRangeEXT : function (target : GLenum; offset : GLintptr; length : GLsizeiptr; access : GLbitfield ) : PGLvoid; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapControlPointsNV : function ({EvalTargetNV}target : GLenum; index : GLuint; {MapTypeNV}typ : GLenum; ustride : GLsizei; vstride : GLsizei; {CheckedInt32}uorder : GLint; {CheckedInt32}vorder : GLint; {Boolean}is_packed : GLboolean; points : Pointer{x COMPSIZE(target,uorder,vorder)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapGrid1d : function (un : GLint; {CoordD}u1 : GLdouble; {CoordD}u2 : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapGrid1f : function (un : GLint; {CoordF}u1 : GLfloat; {CoordF}u2 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapGrid1xOES : function (n : GLint; u1 : GLfixed; u2 : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapGrid2d : function (un : GLint; {CoordD}u1 : GLdouble; {CoordD}u2 : GLdouble; vn : GLint; {CoordD}v1 : GLdouble; {CoordD}v2 : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapGrid2f : function (un : GLint; {CoordF}u1 : GLfloat; {CoordF}u2 : GLfloat; vn : GLint; {CoordF}v1 : GLfloat; {CoordF}v2 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapGrid2xOES : function (n : GLint; u1 : GLfixed; u2 : GLfixed; v1 : GLfixed; v2 : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapNamedBuffer : function (buffer : GLuint; access : GLenum ) : PGLvoid; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapNamedBufferEXT : function (buffer : GLuint; {VertexBufferObjectAccess}access : GLenum ) : PGLvoid; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapNamedBufferRange : function (buffer : GLuint; offset : GLintptr; length : GLsizei; access : GLbitfield ) : PGLvoid; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapNamedBufferRangeEXT : function (buffer : GLuint; offset : GLintptr; length : GLsizeiptr; {BufferAccessMask}access : GLbitfield ) : PGLvoid; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapObjectBufferATI : function (buffer : GLuint ) : PGLvoid; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapParameterfvNV : function ({EvalTargetNV}target : GLenum; {MapParameterNV}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(target,pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapParameterivNV : function ({EvalTargetNV}target : GLenum; {MapParameterNV}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(target,pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapTexture2DINTEL : function (texture : GLuint; level : GLint; access : GLbitfield; stride : PGLint{x1}; layout : PGLenum{x1} ) : PGLvoid; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapVertexAttrib1dAPPLE : function (index : GLuint; size : GLuint; {CoordD}u1 : GLdouble; {CoordD}u2 : GLdouble; stride : GLint; {CheckedInt32}order : GLint; {CoordD}points : PGLdouble{x COMPSIZE(size,stride,order)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapVertexAttrib1fAPPLE : function (index : GLuint; size : GLuint; {CoordF}u1 : GLfloat; {CoordF}u2 : GLfloat; stride : GLint; {CheckedInt32}order : GLint; {CoordF}points : PGLfloat{x COMPSIZE(size,stride,order)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapVertexAttrib2dAPPLE : function (index : GLuint; size : GLuint; {CoordD}u1 : GLdouble; {CoordD}u2 : GLdouble; ustride : GLint; {CheckedInt32}uorder : GLint; {CoordD}v1 : GLdouble; {CoordD}v2 : GLdouble; vstride : GLint; {CheckedInt32}vorder : GLint; {CoordD}points : PGLdouble{x COMPSIZE(size,ustride,uorder,vstride,vorder)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMapVertexAttrib2fAPPLE : function (index : GLuint; size : GLuint; {CoordF}u1 : GLfloat; {CoordF}u2 : GLfloat; ustride : GLint; {CheckedInt32}uorder : GLint; {CoordF}v1 : GLfloat; {CoordF}v2 : GLfloat; vstride : GLint; {CheckedInt32}vorder : GLint; {CoordF}points : PGLfloat{x COMPSIZE(size,ustride,uorder,vstride,vorder)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMaterialf : function ({MaterialFace}face : GLenum; {MaterialParameter}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMaterialfv : function ({MaterialFace}face : GLenum; {MaterialParameter}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMateriali : function ({MaterialFace}face : GLenum; {MaterialParameter}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMaterialiv : function ({MaterialFace}face : GLenum; {MaterialParameter}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMaterialx : function (face : GLenum; pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMaterialxOES : function (face : GLenum; pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMaterialxv : function (face : GLenum; pname : GLenum; param : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMaterialxvOES : function (face : GLenum; pname : GLenum; param : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixFrustumEXT : function ({MatrixMode}mode : GLenum; left : GLdouble; right : GLdouble; bottom : GLdouble; top : GLdouble; zNear : GLdouble; zFar : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixIndexPointerARB : function (size : GLint; {MatrixIndexPointerTypeARB}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixIndexPointerOES : function (size : GLint; typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixIndexubvARB : function (size : GLint; indices : PGLubyte{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixIndexuivARB : function (size : GLint; indices : PGLuint{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixIndexusvARB : function (size : GLint; indices : PGLushort{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixLoad3x2fNV : function (matrixMode : GLenum; m : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixLoad3x3fNV : function (matrixMode : GLenum; m : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixLoadIdentityEXT : function ({MatrixMode}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixLoadTranspose3x3fNV : function (matrixMode : GLenum; m : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixLoadTransposedEXT : function ({MatrixMode}mode : GLenum; m : PGLdouble{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixLoadTransposefEXT : function ({MatrixMode}mode : GLenum; m : PGLfloat{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixLoaddEXT : function ({MatrixMode}mode : GLenum; m : PGLdouble{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixLoadfEXT : function ({MatrixMode}mode : GLenum; m : PGLfloat{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixMode : function ({MatrixMode}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixMult3x2fNV : function (matrixMode : GLenum; m : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixMult3x3fNV : function (matrixMode : GLenum; m : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixMultTranspose3x3fNV : function (matrixMode : GLenum; m : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixMultTransposedEXT : function ({MatrixMode}mode : GLenum; m : PGLdouble{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixMultTransposefEXT : function ({MatrixMode}mode : GLenum; m : PGLfloat{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixMultdEXT : function ({MatrixMode}mode : GLenum; m : PGLdouble{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixMultfEXT : function ({MatrixMode}mode : GLenum; m : PGLfloat{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixOrthoEXT : function ({MatrixMode}mode : GLenum; left : GLdouble; right : GLdouble; bottom : GLdouble; top : GLdouble; zNear : GLdouble; zFar : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixPopEXT : function ({MatrixMode}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixPushEXT : function ({MatrixMode}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixRotatedEXT : function ({MatrixMode}mode : GLenum; angle : GLdouble; x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixRotatefEXT : function ({MatrixMode}mode : GLenum; angle : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixScaledEXT : function ({MatrixMode}mode : GLenum; x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixScalefEXT : function ({MatrixMode}mode : GLenum; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixTranslatedEXT : function ({MatrixMode}mode : GLenum; x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMatrixTranslatefEXT : function ({MatrixMode}mode : GLenum; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMemoryBarrier : function (barriers : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMemoryBarrierByRegion : function (barriers : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMemoryBarrierEXT : function (barriers : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMinSampleShading : function ({ColorF}value : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMinSampleShadingARB : function ({ColorF}value : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMinSampleShadingOES : function ({ColorF}value : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMinmax : function ({MinmaxTarget}target : GLenum; {PixelInternalFormat}internalformat : GLenum; {Boolean}sink : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMinmaxEXT : function ({MinmaxTargetEXT}target : GLenum; {PixelInternalFormat}internalformat : GLenum; {Boolean}sink : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultMatrixd : function (m : PGLdouble{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultMatrixf : function (m : PGLfloat{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultMatrixx : function (m : PGLfixed{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultMatrixxOES : function (m : PGLfixed{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultTransposeMatrixd : function (m : PGLdouble{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultTransposeMatrixdARB : function (m : PGLdouble{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultTransposeMatrixf : function (m : PGLfloat{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultTransposeMatrixfARB : function (m : PGLfloat{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultTransposeMatrixxOES : function (m : PGLfixed{x16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawArrays : function ({PrimitiveType}mode : GLenum; first : PGLint{x COMPSIZE(count)}; count : PGLsizei{x COMPSIZE(drawcount)}; drawcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawArraysEXT : function ({PrimitiveType}mode : GLenum; first : PGLint{x COMPSIZE(primcount)}; count : PGLsizei{x COMPSIZE(primcount)}; primcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawArraysIndirect : function (mode : GLenum; indirect : Pointer{x COMPSIZE(drawcount,stride)}; drawcount : GLsizei; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawArraysIndirectAMD : function (mode : GLenum; indirect : Pointer; primcount : GLsizei; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawArraysIndirectBindlessCountNV : function (mode : GLenum; indirect : Pointer; drawCount : GLsizei; maxDrawCount : GLsizei; stride : GLsizei; vertexBufferCount : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawArraysIndirectBindlessNV : function (mode : GLenum; indirect : Pointer; drawCount : GLsizei; stride : GLsizei; vertexBufferCount : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawArraysIndirectCountARB : function (mode : GLenum; indirect : GLintptr; drawcount : GLintptr; maxdrawcount : GLsizei; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawElementArrayAPPLE : function ({PrimitiveType}mode : GLenum; first : PGLint{x primcount}; count : PGLsizei{x primcount}; primcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawElements : function ({PrimitiveType}mode : GLenum; count : PGLsizei{x COMPSIZE(drawcount)}; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(drawcount)}; drawcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawElementsBaseVertex : function (mode : GLenum; count : PGLsizei{x COMPSIZE(drawcount)}; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(drawcount)}; drawcount : GLsizei; basevertex : PGLint{x COMPSIZE(drawcount)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawElementsEXT : function ({PrimitiveType}mode : GLenum; count : PGLsizei{x COMPSIZE(primcount)}; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(primcount)}; primcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawElementsIndirect : function (mode : GLenum; typ : GLenum; indirect : Pointer{x COMPSIZE(drawcount,stride)}; drawcount : GLsizei; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawElementsIndirectAMD : function (mode : GLenum; typ : GLenum; indirect : Pointer; primcount : GLsizei; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawElementsIndirectBindlessCountNV : function (mode : GLenum; typ : GLenum; indirect : Pointer; drawCount : GLsizei; maxDrawCount : GLsizei; stride : GLsizei; vertexBufferCount : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawElementsIndirectBindlessNV : function (mode : GLenum; typ : GLenum; indirect : Pointer; drawCount : GLsizei; stride : GLsizei; vertexBufferCount : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawElementsIndirectCountARB : function (mode : GLenum; typ : GLenum; indirect : GLintptr; drawcount : GLintptr; maxdrawcount : GLsizei; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiDrawRangeElementArrayAPPLE : function ({PrimitiveType}mode : GLenum; start_index : GLuint; end_index : GLuint; first : PGLint{x primcount}; count : PGLsizei{x primcount}; primcount : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiModeDrawArraysIBM : function ({PrimitiveType}mode : PGLenum{x COMPSIZE(primcount)}; first : PGLint{x COMPSIZE(primcount)}; count : PGLsizei{x COMPSIZE(primcount)}; primcount : GLsizei; modestride : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiModeDrawElementsIBM : function ({PrimitiveType}mode : PGLenum{x COMPSIZE(primcount)}; count : PGLsizei{x COMPSIZE(primcount)}; {DrawElementsType}typ : GLenum; indices : Pointer{x COMPSIZE(primcount)}; primcount : GLsizei; modestride : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexBufferEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {TypeEnum}internalformat : GLenum; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1bOES : function (texture : GLenum; s : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1bvOES : function (texture : GLenum; coords : PGLbyte{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1d : function ({TextureUnit}target : GLenum; {CoordD}s : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1dARB : function ({TextureUnit}target : GLenum; {CoordD}s : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1dv : function ({TextureUnit}target : GLenum; {CoordD}v : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1dvARB : function ({TextureUnit}target : GLenum; {CoordD}v : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1f : function ({TextureUnit}target : GLenum; {CoordF}s : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1fARB : function ({TextureUnit}target : GLenum; {CoordF}s : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1fv : function ({TextureUnit}target : GLenum; {CoordF}v : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1fvARB : function ({TextureUnit}target : GLenum; {CoordF}v : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1hNV : function ({TextureUnit}target : GLenum; {Half16NV}s : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1hvNV : function ({TextureUnit}target : GLenum; {Half16NV}v : PGLhalfNV{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1i : function ({TextureUnit}target : GLenum; {CoordI}s : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1iARB : function ({TextureUnit}target : GLenum; {CoordI}s : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1iv : function ({TextureUnit}target : GLenum; {CoordI}v : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1ivARB : function ({TextureUnit}target : GLenum; {CoordI}v : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1s : function ({TextureUnit}target : GLenum; {CoordS}s : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1sARB : function ({TextureUnit}target : GLenum; {CoordS}s : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1sv : function ({TextureUnit}target : GLenum; {CoordS}v : PGLshort{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1svARB : function ({TextureUnit}target : GLenum; {CoordS}v : PGLshort{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1xOES : function (texture : GLenum; s : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord1xvOES : function (texture : GLenum; coords : PGLfixed{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2bOES : function (texture : GLenum; s : GLbyte; t : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2bvOES : function (texture : GLenum; coords : PGLbyte{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2d : function ({TextureUnit}target : GLenum; {CoordD}s : GLdouble; {CoordD}t : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2dARB : function ({TextureUnit}target : GLenum; {CoordD}s : GLdouble; {CoordD}t : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2dv : function ({TextureUnit}target : GLenum; {CoordD}v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2dvARB : function ({TextureUnit}target : GLenum; {CoordD}v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2f : function ({TextureUnit}target : GLenum; {CoordF}s : GLfloat; {CoordF}t : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2fARB : function ({TextureUnit}target : GLenum; {CoordF}s : GLfloat; {CoordF}t : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2fv : function ({TextureUnit}target : GLenum; {CoordF}v : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2fvARB : function ({TextureUnit}target : GLenum; {CoordF}v : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2hNV : function ({TextureUnit}target : GLenum; {Half16NV}s : GLhalfNV; {Half16NV}t : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2hvNV : function ({TextureUnit}target : GLenum; {Half16NV}v : PGLhalfNV{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2i : function ({TextureUnit}target : GLenum; {CoordI}s : GLint; {CoordI}t : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2iARB : function ({TextureUnit}target : GLenum; {CoordI}s : GLint; {CoordI}t : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2iv : function ({TextureUnit}target : GLenum; {CoordI}v : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2ivARB : function ({TextureUnit}target : GLenum; {CoordI}v : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2s : function ({TextureUnit}target : GLenum; {CoordS}s : GLshort; {CoordS}t : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2sARB : function ({TextureUnit}target : GLenum; {CoordS}s : GLshort; {CoordS}t : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2sv : function ({TextureUnit}target : GLenum; {CoordS}v : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2svARB : function ({TextureUnit}target : GLenum; {CoordS}v : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2xOES : function (texture : GLenum; s : GLfixed; t : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord2xvOES : function (texture : GLenum; coords : PGLfixed{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3bOES : function (texture : GLenum; s : GLbyte; t : GLbyte; r : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3bvOES : function (texture : GLenum; coords : PGLbyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3d : function ({TextureUnit}target : GLenum; {CoordD}s : GLdouble; {CoordD}t : GLdouble; {CoordD}r : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3dARB : function ({TextureUnit}target : GLenum; {CoordD}s : GLdouble; {CoordD}t : GLdouble; {CoordD}r : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3dv : function ({TextureUnit}target : GLenum; {CoordD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3dvARB : function ({TextureUnit}target : GLenum; {CoordD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3f : function ({TextureUnit}target : GLenum; {CoordF}s : GLfloat; {CoordF}t : GLfloat; {CoordF}r : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3fARB : function ({TextureUnit}target : GLenum; {CoordF}s : GLfloat; {CoordF}t : GLfloat; {CoordF}r : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3fv : function ({TextureUnit}target : GLenum; {CoordF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3fvARB : function ({TextureUnit}target : GLenum; {CoordF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3hNV : function ({TextureUnit}target : GLenum; {Half16NV}s : GLhalfNV; {Half16NV}t : GLhalfNV; {Half16NV}r : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3hvNV : function ({TextureUnit}target : GLenum; {Half16NV}v : PGLhalfNV{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3i : function ({TextureUnit}target : GLenum; {CoordI}s : GLint; {CoordI}t : GLint; {CoordI}r : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3iARB : function ({TextureUnit}target : GLenum; {CoordI}s : GLint; {CoordI}t : GLint; {CoordI}r : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3iv : function ({TextureUnit}target : GLenum; {CoordI}v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3ivARB : function ({TextureUnit}target : GLenum; {CoordI}v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3s : function ({TextureUnit}target : GLenum; {CoordS}s : GLshort; {CoordS}t : GLshort; {CoordS}r : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3sARB : function ({TextureUnit}target : GLenum; {CoordS}s : GLshort; {CoordS}t : GLshort; {CoordS}r : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3sv : function ({TextureUnit}target : GLenum; {CoordS}v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3svARB : function ({TextureUnit}target : GLenum; {CoordS}v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3xOES : function (texture : GLenum; s : GLfixed; t : GLfixed; r : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord3xvOES : function (texture : GLenum; coords : PGLfixed{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4bOES : function (texture : GLenum; s : GLbyte; t : GLbyte; r : GLbyte; q : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4bvOES : function (texture : GLenum; coords : PGLbyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4d : function ({TextureUnit}target : GLenum; {CoordD}s : GLdouble; {CoordD}t : GLdouble; {CoordD}r : GLdouble; {CoordD}q : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4dARB : function ({TextureUnit}target : GLenum; {CoordD}s : GLdouble; {CoordD}t : GLdouble; {CoordD}r : GLdouble; {CoordD}q : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4dv : function ({TextureUnit}target : GLenum; {CoordD}v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4dvARB : function ({TextureUnit}target : GLenum; {CoordD}v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4f : function ({TextureUnit}target : GLenum; {CoordF}s : GLfloat; {CoordF}t : GLfloat; {CoordF}r : GLfloat; {CoordF}q : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4fARB : function ({TextureUnit}target : GLenum; {CoordF}s : GLfloat; {CoordF}t : GLfloat; {CoordF}r : GLfloat; {CoordF}q : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4fv : function ({TextureUnit}target : GLenum; {CoordF}v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4fvARB : function ({TextureUnit}target : GLenum; {CoordF}v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4hNV : function ({TextureUnit}target : GLenum; {Half16NV}s : GLhalfNV; {Half16NV}t : GLhalfNV; {Half16NV}r : GLhalfNV; {Half16NV}q : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4hvNV : function ({TextureUnit}target : GLenum; {Half16NV}v : PGLhalfNV{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4i : function ({TextureUnit}target : GLenum; {CoordI}s : GLint; {CoordI}t : GLint; {CoordI}r : GLint; {CoordI}q : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4iARB : function ({TextureUnit}target : GLenum; {CoordI}s : GLint; {CoordI}t : GLint; {CoordI}r : GLint; {CoordI}q : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4iv : function ({TextureUnit}target : GLenum; {CoordI}v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4ivARB : function ({TextureUnit}target : GLenum; {CoordI}v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4s : function ({TextureUnit}target : GLenum; {CoordS}s : GLshort; {CoordS}t : GLshort; {CoordS}r : GLshort; {CoordS}q : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4sARB : function ({TextureUnit}target : GLenum; {CoordS}s : GLshort; {CoordS}t : GLshort; {CoordS}r : GLshort; {CoordS}q : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4sv : function ({TextureUnit}target : GLenum; {CoordS}v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4svARB : function ({TextureUnit}target : GLenum; {CoordS}v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4x : function (texture : GLenum; s : GLfixed; t : GLfixed; r : GLfixed; q : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4xOES : function (texture : GLenum; s : GLfixed; t : GLfixed; r : GLfixed; q : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoord4xvOES : function (texture : GLenum; coords : PGLfixed{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoordP1ui : function (texture : GLenum; typ : GLenum; coords : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoordP1uiv : function (texture : GLenum; typ : GLenum; coords : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoordP2ui : function (texture : GLenum; typ : GLenum; coords : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoordP2uiv : function (texture : GLenum; typ : GLenum; coords : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoordP3ui : function (texture : GLenum; typ : GLenum; coords : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoordP3uiv : function (texture : GLenum; typ : GLenum; coords : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoordP4ui : function (texture : GLenum; typ : GLenum; coords : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoordP4uiv : function (texture : GLenum; typ : GLenum; coords : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexCoordPointerEXT : function ({TextureUnit}texunit : GLenum; size : GLint; {TexCoordPointerType}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexEnvfEXT : function ({TextureUnit}texunit : GLenum; {TextureEnvTarget}target : GLenum; {TextureEnvParameter}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexEnvfvEXT : function ({TextureUnit}texunit : GLenum; {TextureEnvTarget}target : GLenum; {TextureEnvParameter}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexEnviEXT : function ({TextureUnit}texunit : GLenum; {TextureEnvTarget}target : GLenum; {TextureEnvParameter}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexEnvivEXT : function ({TextureUnit}texunit : GLenum; {TextureEnvTarget}target : GLenum; {TextureEnvParameter}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexGendEXT : function ({TextureUnit}texunit : GLenum; {TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; param : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexGendvEXT : function ({TextureUnit}texunit : GLenum; {TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; params : PGLdouble{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexGenfEXT : function ({TextureUnit}texunit : GLenum; {TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexGenfvEXT : function ({TextureUnit}texunit : GLenum; {TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexGeniEXT : function ({TextureUnit}texunit : GLenum; {TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexGenivEXT : function ({TextureUnit}texunit : GLenum; {TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexImage1DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureComponentCount}internalformat : GLint; width : GLsizei; {CheckedInt32}border : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexImage2DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureComponentCount}internalformat : GLint; width : GLsizei; height : GLsizei; {CheckedInt32}border : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexImage3DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureComponentCount}internalformat : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {CheckedInt32}border : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height,depth)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexParameterIivEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexParameterIuivEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexParameterfEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexParameterfvEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexParameteriEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexParameterivEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexRenderbufferEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; renderbuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexSubImage1DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; width : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexSubImage2DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glMultiTexSubImage3DEXT : function ({TextureUnit}texunit : GLenum; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height,depth)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedBufferData : function (buffer : GLuint; size : GLsizei; data : Pointer; usage : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedBufferDataEXT : function (buffer : GLuint; size : GLsizeiptr; data : Pointer{x COMPSIZE(size)}; {VertexBufferObjectUsage}usage : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedBufferPageCommitmentARB : function (buffer : GLuint; offset : GLintptr; size : GLsizeiptr; commit : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedBufferPageCommitmentEXT : function (buffer : GLuint; offset : GLintptr; size : GLsizeiptr; commit : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedBufferStorage : function (buffer : GLuint; size : GLsizei; data : Pointer; flags : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedBufferStorageEXT : function (buffer : GLuint; size : GLsizeiptr; data : Pointer{x size}; flags : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedBufferSubData : function (buffer : GLuint; offset : GLintptr; size : GLsizei; data : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedBufferSubDataEXT : function (buffer : GLuint; offset : GLintptr; size : GLsizeiptr; data : Pointer{x COMPSIZE(size)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedCopyBufferSubDataEXT : function (readBuffer : GLuint; writeBuffer : GLuint; readOffset : GLintptr; writeOffset : GLintptr; size : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferDrawBuffer : function (framebuffer : GLuint; buf : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferDrawBuffers : function (framebuffer : GLuint; n : GLsizei; bufs : PGLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferParameteri : function (framebuffer : GLuint; pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferParameteriEXT : function ({Framebuffer}framebuffer : GLuint; {FramebufferParameterName}pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferReadBuffer : function (framebuffer : GLuint; src : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferRenderbuffer : function (framebuffer : GLuint; attachment : GLenum; renderbuffertarget : GLenum; renderbuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferRenderbufferEXT : function ({Framebuffer}framebuffer : GLuint; {FramebufferAttachment}attachment : GLenum; {RenderbufferTarget}renderbuffertarget : GLenum; {Renderbuffer}renderbuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferTexture : function (framebuffer : GLuint; attachment : GLenum; texture : GLuint; level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferTexture1DEXT : function ({Framebuffer}framebuffer : GLuint; {FramebufferAttachment}attachment : GLenum; {TextureTarget}textarget : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferTexture2DEXT : function ({Framebuffer}framebuffer : GLuint; {FramebufferAttachment}attachment : GLenum; {TextureTarget}textarget : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferTexture3DEXT : function ({Framebuffer}framebuffer : GLuint; {FramebufferAttachment}attachment : GLenum; {TextureTarget}textarget : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint; {CheckedInt32}zoffset : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferTextureEXT : function ({Framebuffer}framebuffer : GLuint; {FramebufferAttachment}attachment : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferTextureFaceEXT : function ({Framebuffer}framebuffer : GLuint; {FramebufferAttachment}attachment : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint; {TextureTarget}face : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferTextureLayer : function (framebuffer : GLuint; attachment : GLenum; texture : GLuint; level : GLint; layer : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferTextureLayerEXT : function ({Framebuffer}framebuffer : GLuint; {FramebufferAttachment}attachment : GLenum; {Texture}texture : GLuint; {CheckedInt32}level : GLint; {CheckedInt32}layer : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedProgramLocalParameter4dEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedProgramLocalParameter4dvEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; params : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedProgramLocalParameter4fEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; x : GLfloat; y : GLfloat; z : GLfloat; w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedProgramLocalParameter4fvEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; params : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedProgramLocalParameterI4iEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; x : GLint; y : GLint; z : GLint; w : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedProgramLocalParameterI4ivEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; params : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedProgramLocalParameterI4uiEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; x : GLuint; y : GLuint; z : GLuint; w : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedProgramLocalParameterI4uivEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; params : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedProgramLocalParameters4fvEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; count : GLsizei; params : PGLfloat{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedProgramLocalParametersI4ivEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; count : GLsizei; params : PGLint{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedProgramLocalParametersI4uivEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; index : GLuint; count : GLsizei; params : PGLuint{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedProgramStringEXT : function (prog : GLuint; {ProgramTarget}target : GLenum; {ProgramFormat}format : GLenum; len : GLsizei; str : Pointer{x len} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedRenderbufferStorage : function (renderbuffer : GLuint; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedRenderbufferStorageEXT : function ({Renderbuffer}renderbuffer : GLuint; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedRenderbufferStorageMultisample : function (renderbuffer : GLuint; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedRenderbufferStorageMultisampleCoverageEXT : function ({Renderbuffer}renderbuffer : GLuint; coverageSamples : GLsizei; colorSamples : GLsizei; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedRenderbufferStorageMultisampleEXT : function ({Renderbuffer}renderbuffer : GLuint; samples : GLsizei; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedStringARB : function (typ : GLenum; namelen : GLint; name : PGLchar{x namelen}; stringlen : GLint; str : PGLchar{x stringlen} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNewList : function ({List}list : GLuint; {ListMode}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNewObjectBufferATI : function (size : GLsizei; pntr : Pointer{x size}; {ArrayObjectUsageATI}usage : GLenum ) : GLuint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3b : function (nx : GLbyte; ny : GLbyte; nz : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3bv : function (v : PGLbyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3d : function ({CoordD}nx : GLdouble; {CoordD}ny : GLdouble; {CoordD}nz : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3dv : function ({CoordD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3f : function ({CoordF}nx : GLfloat; {CoordF}ny : GLfloat; {CoordF}nz : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3fVertex3fSUN : function (nx : GLfloat; ny : GLfloat; nz : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3fVertex3fvSUN : function (n : PGLfloat{x3}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3fv : function ({CoordF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3hNV : function ({Half16NV}nx : GLhalfNV; {Half16NV}ny : GLhalfNV; {Half16NV}nz : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3hvNV : function ({Half16NV}v : PGLhalfNV{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3i : function (nx : GLint; ny : GLint; nz : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3iv : function (v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3s : function (nx : GLshort; ny : GLshort; nz : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3sv : function (v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3x : function (nx : GLfixed; ny : GLfixed; nz : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3xOES : function (nx : GLfixed; ny : GLfixed; nz : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormal3xvOES : function (coords : PGLfixed{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalFormatNV : function (typ : GLenum; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalP3ui : function (typ : GLenum; coords : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalP3uiv : function (typ : GLenum; coords : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalPointer : function ({NormalPointerType}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalPointerEXT : function ({NormalPointerType}typ : GLenum; stride : GLsizei; count : GLsizei; pntr : Pointer{x COMPSIZE(type,stride,count)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalPointerListIBM : function ({NormalPointerType}typ : GLenum; stride : GLint; pntr : Pointer{x COMPSIZE(type,stride)}; ptrstride : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalPointervINTEL : function ({NormalPointerType}typ : GLenum; pntr : Pointer{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalStream3bATI : function ({VertexStreamATI}stream : GLenum; nx : GLbyte; ny : GLbyte; nz : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalStream3bvATI : function ({VertexStreamATI}stream : GLenum; coords : PGLbyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalStream3dATI : function ({VertexStreamATI}stream : GLenum; nx : GLdouble; ny : GLdouble; nz : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalStream3dvATI : function ({VertexStreamATI}stream : GLenum; coords : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalStream3fATI : function ({VertexStreamATI}stream : GLenum; nx : GLfloat; ny : GLfloat; nz : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalStream3fvATI : function ({VertexStreamATI}stream : GLenum; coords : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalStream3iATI : function ({VertexStreamATI}stream : GLenum; nx : GLint; ny : GLint; nz : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalStream3ivATI : function ({VertexStreamATI}stream : GLenum; coords : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalStream3sATI : function ({VertexStreamATI}stream : GLenum; nx : GLshort; ny : GLshort; nz : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNormalStream3svATI : function ({VertexStreamATI}stream : GLenum; coords : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glObjectLabel : function (identifier : GLenum; name : GLuint; length : GLsizei; lbl : PGLchar{x COMPSIZE(label,length)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glObjectLabelKHR : function (identifier : GLenum; name : GLuint; length : GLsizei; lbl : PGLchar ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glObjectPtrLabel : function (ptr : Pointer; length : GLsizei; lbl : PGLchar{x COMPSIZE(label,length)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glObjectPtrLabelKHR : function (ptr : Pointer; length : GLsizei; lbl : PGLchar ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glObjectPurgeableAPPLE : function (objectType : GLenum; name : GLuint; option : GLenum ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glObjectUnpurgeableAPPLE : function (objectType : GLenum; name : GLuint; option : GLenum ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glOrtho : function (left : GLdouble; right : GLdouble; bottom : GLdouble; top : GLdouble; zNear : GLdouble; zFar : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glOrthof : function (l : GLfloat; r : GLfloat; b : GLfloat; t : GLfloat; n : GLfloat; f : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glOrthofOES : function (l : GLfloat; r : GLfloat; b : GLfloat; t : GLfloat; n : GLfloat; f : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glOrthox : function (l : GLfixed; r : GLfixed; b : GLfixed; t : GLfixed; n : GLfixed; f : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glOrthoxOES : function (l : GLfixed; r : GLfixed; b : GLfixed; t : GLfixed; n : GLfixed; f : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPNTrianglesfATI : function ({PNTrianglesPNameATI}pname : GLenum; param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPNTrianglesiATI : function ({PNTrianglesPNameATI}pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPassTexCoordATI : function (dst : GLuint; coord : GLuint; {SwizzleOpATI}swizzle : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPassThrough : function ({FeedbackElement}token : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPassThroughxOES : function (token : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPatchParameterfv : function (pname : GLenum; values : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPatchParameteri : function (pname : GLenum; value : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPatchParameteriEXT : function (pname : GLenum; value : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathColorGenNV : function ({PathColor}color : GLenum; {PathGenMode}genMode : GLenum; {PathColorFormat}colorFormat : GLenum; coeffs : PGLfloat{x COMPSIZE(genMode,colorFormat)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathCommandsNV : function ({Path}path : GLuint; numCommands : GLsizei; {PathCommand}commands : PGLubyte{x numCommands}; numCoords : GLsizei; {PathCoordType}coordType : GLenum; coords : Pointer{x COMPSIZE(numCoords,coordType)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathCoordsNV : function ({Path}path : GLuint; numCoords : GLsizei; {PathCoordType}coordType : GLenum; coords : Pointer{x COMPSIZE(numCoords,coordType)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathCoverDepthFuncNV : function ({DepthFunction}func : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathDashArrayNV : function ({Path}path : GLuint; dashCount : GLsizei; dashArray : PGLfloat{x dashCount} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathFogGenNV : function ({PathGenMode}genMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathGlyphIndexArrayNV : function (firstPathName : GLuint; fontTarget : GLenum; fontName : Pointer; fontStyle : GLbitfield; firstGlyphIndex : GLuint; numGlyphs : GLsizei; pathParameterTemplate : GLuint; emScale : GLfloat ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathGlyphIndexRangeNV : function (fontTarget : GLenum; fontName : Pointer; fontStyle : GLbitfield; pathParameterTemplate : GLuint; emScale : GLfloat; baseAndCount : GLuint ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathGlyphRangeNV : function ({Path}firstPathName : GLuint; {PathFontTarget}fontTarget : GLenum; fontName : Pointer{x COMPSIZE(fontTarget,fontName)}; {PathFontStyle}fontStyle : GLbitfield; firstGlyph : GLuint; numGlyphs : GLsizei; {PathHandleMissingGlyphs}handleMissingGlyphs : GLenum; {Path}pathParameterTemplate : GLuint; emScale : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathGlyphsNV : function ({Path}firstPathName : GLuint; {PathFontTarget}fontTarget : GLenum; fontName : Pointer{x COMPSIZE(fontTarget,fontName)}; {PathFontStyle}fontStyle : GLbitfield; numGlyphs : GLsizei; {PathElementType}typ : GLenum; charcodes : Pointer{x COMPSIZE(numGlyphs,type,charcodes)}; {PathHandleMissingGlyphs}handleMissingGlyphs : GLenum; {Path}pathParameterTemplate : GLuint; emScale : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathMemoryGlyphIndexArrayNV : function (firstPathName : GLuint; fontTarget : GLenum; fontSize : GLsizeiptr; fontData : Pointer; faceIndex : GLsizei; firstGlyphIndex : GLuint; numGlyphs : GLsizei; pathParameterTemplate : GLuint; emScale : GLfloat ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathParameterfNV : function ({Path}path : GLuint; {PathParameter}pname : GLenum; value : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathParameterfvNV : function ({Path}path : GLuint; {PathParameter}pname : GLenum; value : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathParameteriNV : function ({Path}path : GLuint; {PathParameter}pname : GLenum; value : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathParameterivNV : function ({Path}path : GLuint; {PathParameter}pname : GLenum; value : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathStencilDepthOffsetNV : function (factor : GLfloat; units : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathStencilFuncNV : function ({StencilFunction}func : GLenum; {ClampedStencilValue}ref : GLint; {MaskedStencilValue}mask : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathStringNV : function ({Path}path : GLuint; {PathStringFormat}format : GLenum; length : GLsizei; pathString : Pointer{x length} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathSubCommandsNV : function ({Path}path : GLuint; commandStart : GLsizei; commandsToDelete : GLsizei; numCommands : GLsizei; {PathCommand}commands : PGLubyte{x numCommands}; numCoords : GLsizei; {PathCoordType}coordType : GLenum; coords : Pointer{x COMPSIZE(numCoords,coordType)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathSubCoordsNV : function ({Path}path : GLuint; coordStart : GLsizei; numCoords : GLsizei; {PathCoordType}coordType : GLenum; coords : Pointer{x COMPSIZE(numCoords,coordType)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPathTexGenNV : function ({PathColor}texCoordSet : GLenum; {PathGenMode}genMode : GLenum; components : GLint; coeffs : PGLfloat{x COMPSIZE(genMode,components)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPauseTransformFeedback : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPauseTransformFeedbackNV : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelDataRangeNV : function ({PixelDataRangeTargetNV}target : GLenum; length : GLsizei; pntr : Pointer{x length} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelMapfv : function ({PixelMap}map : GLenum; {CheckedInt32}mapsize : GLsizei; values : PGLfloat{x mapsize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelMapuiv : function ({PixelMap}map : GLenum; {CheckedInt32}mapsize : GLsizei; values : PGLuint{x mapsize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelMapusv : function ({PixelMap}map : GLenum; {CheckedInt32}mapsize : GLsizei; values : PGLushort{x mapsize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelMapx : function (map : GLenum; size : GLint; values : PGLfixed{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelStoref : function ({PixelStoreParameter}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelStorei : function ({PixelStoreParameter}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelStorex : function (pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelTexGenParameterfSGIS : function ({PixelTexGenParameterNameSGIS}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelTexGenParameterfvSGIS : function ({PixelTexGenParameterNameSGIS}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelTexGenParameteriSGIS : function ({PixelTexGenParameterNameSGIS}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelTexGenParameterivSGIS : function ({PixelTexGenParameterNameSGIS}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelTexGenSGIX : function ({PixelTexGenModeSGIX}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelTransferf : function ({PixelTransferParameter}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelTransferi : function ({PixelTransferParameter}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelTransferxOES : function (pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelTransformParameterfEXT : function ({PixelTransformTargetEXT}target : GLenum; {PixelTransformPNameEXT}pname : GLenum; param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelTransformParameterfvEXT : function ({PixelTransformTargetEXT}target : GLenum; {PixelTransformPNameEXT}pname : GLenum; params : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelTransformParameteriEXT : function ({PixelTransformTargetEXT}target : GLenum; {PixelTransformPNameEXT}pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelTransformParameterivEXT : function ({PixelTransformTargetEXT}target : GLenum; {PixelTransformPNameEXT}pname : GLenum; params : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelZoom : function (xfactor : GLfloat; yfactor : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPixelZoomxOES : function (xfactor : GLfixed; yfactor : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointAlongPathNV : function ({Path}path : GLuint; startSegment : GLsizei; numSegments : GLsizei; distance : GLfloat; x : PGLfloat{x1}; y : PGLfloat{x1}; tangentX : PGLfloat{x1}; tangentY : PGLfloat{x1} ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterf : function ({PointParameterNameARB}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterfARB : function ({PointParameterNameARB}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterfEXT : function ({PointParameterNameARB}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterfSGIS : function ({PointParameterNameARB}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterfv : function ({PointParameterNameARB}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterfvARB : function ({PointParameterNameARB}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterfvEXT : function ({PointParameterNameARB}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterfvSGIS : function ({PointParameterNameARB}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameteri : function ({PointParameterNameARB}pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameteriNV : function ({PointParameterNameARB}pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameteriv : function ({PointParameterNameARB}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterivNV : function ({PointParameterNameARB}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterx : function (pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterxOES : function (pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterxv : function (pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointParameterxvOES : function (pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointSize : function ({CheckedFloat32}size : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointSizePointerOES : function (typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointSizex : function (size : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPointSizexOES : function (size : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPollAsyncSGIX : function (markerp : PGLuint{x1} ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPollInstrumentsSGIX : function (marker_p : PGLint{x1} ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPolygonMode : function ({MaterialFace}face : GLenum; {PolygonMode}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPolygonOffset : function (factor : GLfloat; units : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPolygonOffsetEXT : function (factor : GLfloat; bias : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPolygonOffsetx : function (factor : GLfixed; units : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPolygonOffsetxOES : function (factor : GLfixed; units : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPolygonOffsetClampEXT : function (factor : GLfloat; units : GLfloat; clamp : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPolygonStipple : function (mask : PGLubyte{x COMPSIZE()} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPopAttrib : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPopClientAttrib : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPopDebugGroup : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPopDebugGroupKHR : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPopGroupMarkerEXT : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPopMatrix : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPopName : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPresentFrameDualFillNV : function (video_slot : GLuint; minPresentTime : GLuint64EXT; beginPresentTimeId : GLuint; presentDurationId : GLuint; typ : GLenum; target0 : GLenum; fill0 : GLuint; target1 : GLenum; fill1 : GLuint; target2 : GLenum; fill2 : GLuint; target3 : GLenum; fill3 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPresentFrameKeyedNV : function (video_slot : GLuint; minPresentTime : GLuint64EXT; beginPresentTimeId : GLuint; presentDurationId : GLuint; typ : GLenum; target0 : GLenum; fill0 : GLuint; key0 : GLuint; target1 : GLenum; fill1 : GLuint; key1 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPrimitiveBoundingBoxEXT : function (minX : GLfloat; minY : GLfloat; minZ : GLfloat; minW : GLfloat; maxX : GLfloat; maxY : GLfloat; maxZ : GLfloat; maxW : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPrimitiveRestartIndex : function (index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPrimitiveRestartIndexNV : function (index : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPrimitiveRestartNV : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPrioritizeTextures : function (n : GLsizei; {Texture}textures : PGLuint{x n}; priorities : PGLfloat{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPrioritizeTexturesEXT : function (n : GLsizei; {Texture}textures : PGLuint{x n}; {ClampedFloat32}priorities : PGLclampf{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPrioritizeTexturesxOES : function (n : GLsizei; textures : PGLuint{x n}; {ClampedFixed}priorities : PGLfixed{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramBinary : function (prog : GLuint; binaryFormat : GLenum; binary : Pointer{x length}; length : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramBinaryOES : function (prog : GLuint; binaryFormat : GLenum; binary : Pointer{x length}; length : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramBufferParametersIivNV : function ({ProgramTarget}target : GLenum; bindingIndex : GLuint; wordIndex : GLuint; count : GLsizei; params : PGLint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramBufferParametersIuivNV : function ({ProgramTarget}target : GLenum; bindingIndex : GLuint; wordIndex : GLuint; count : GLsizei; params : PGLuint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramBufferParametersfvNV : function ({ProgramTarget}target : GLenum; bindingIndex : GLuint; wordIndex : GLuint; count : GLsizei; params : PGLfloat{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramEnvParameter4dARB : function ({ProgramTargetARB}target : GLenum; index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramEnvParameter4dvARB : function ({ProgramTargetARB}target : GLenum; index : GLuint; params : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramEnvParameter4fARB : function ({ProgramTargetARB}target : GLenum; index : GLuint; x : GLfloat; y : GLfloat; z : GLfloat; w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramEnvParameter4fvARB : function ({ProgramTargetARB}target : GLenum; index : GLuint; params : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramEnvParameterI4iNV : function ({ProgramTarget}target : GLenum; index : GLuint; x : GLint; y : GLint; z : GLint; w : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramEnvParameterI4ivNV : function ({ProgramTarget}target : GLenum; index : GLuint; params : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramEnvParameterI4uiNV : function ({ProgramTarget}target : GLenum; index : GLuint; x : GLuint; y : GLuint; z : GLuint; w : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramEnvParameterI4uivNV : function ({ProgramTarget}target : GLenum; index : GLuint; params : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramEnvParameters4fvEXT : function ({ProgramTargetARB}target : GLenum; index : GLuint; count : GLsizei; params : PGLfloat{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramEnvParametersI4ivNV : function ({ProgramTarget}target : GLenum; index : GLuint; count : GLsizei; params : PGLint{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramEnvParametersI4uivNV : function ({ProgramTarget}target : GLenum; index : GLuint; count : GLsizei; params : PGLuint{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramLocalParameter4dARB : function ({ProgramTargetARB}target : GLenum; index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramLocalParameter4dvARB : function ({ProgramTargetARB}target : GLenum; index : GLuint; params : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramLocalParameter4fARB : function ({ProgramTargetARB}target : GLenum; index : GLuint; x : GLfloat; y : GLfloat; z : GLfloat; w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramLocalParameter4fvARB : function ({ProgramTargetARB}target : GLenum; index : GLuint; params : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramLocalParameterI4iNV : function ({ProgramTarget}target : GLenum; index : GLuint; x : GLint; y : GLint; z : GLint; w : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramLocalParameterI4ivNV : function ({ProgramTarget}target : GLenum; index : GLuint; params : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramLocalParameterI4uiNV : function ({ProgramTarget}target : GLenum; index : GLuint; x : GLuint; y : GLuint; z : GLuint; w : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramLocalParameterI4uivNV : function ({ProgramTarget}target : GLenum; index : GLuint; params : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramLocalParameters4fvEXT : function ({ProgramTargetARB}target : GLenum; index : GLuint; count : GLsizei; params : PGLfloat{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramLocalParametersI4ivNV : function ({ProgramTarget}target : GLenum; index : GLuint; count : GLsizei; params : PGLint{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramLocalParametersI4uivNV : function ({ProgramTarget}target : GLenum; index : GLuint; count : GLsizei; params : PGLuint{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramNamedParameter4dNV : function (id : GLuint; len : GLsizei; name : PGLubyte{x1}; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramNamedParameter4dvNV : function (id : GLuint; len : GLsizei; name : PGLubyte{x1}; v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramNamedParameter4fNV : function (id : GLuint; len : GLsizei; name : PGLubyte{x1}; x : GLfloat; y : GLfloat; z : GLfloat; w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramNamedParameter4fvNV : function (id : GLuint; len : GLsizei; name : PGLubyte{x1}; v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramParameter4dNV : function ({VertexAttribEnumNV}target : GLenum; index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramParameter4dvNV : function ({VertexAttribEnumNV}target : GLenum; index : GLuint; v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramParameter4fNV : function ({VertexAttribEnumNV}target : GLenum; index : GLuint; x : GLfloat; y : GLfloat; z : GLfloat; w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramParameter4fvNV : function ({VertexAttribEnumNV}target : GLenum; index : GLuint; v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramParameteri : function (prog : GLuint; {ProgramParameterPName}pname : GLenum; value : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramParameteriARB : function (prog : GLuint; {ProgramParameterPName}pname : GLenum; value : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramParameteriEXT : function (prog : GLuint; {ProgramParameterPName}pname : GLenum; value : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramParameters4dvNV : function ({VertexAttribEnumNV}target : GLenum; index : GLuint; count : GLsizei; v : PGLdouble{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramParameters4fvNV : function ({VertexAttribEnumNV}target : GLenum; index : GLuint; count : GLsizei; v : PGLfloat{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramPathFragmentInputGenNV : function (prog : GLuint; location : GLint; genMode : GLenum; components : GLint; coeffs : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramStringARB : function ({ProgramTargetARB}target : GLenum; {ProgramFormatARB}format : GLenum; len : GLsizei; str : Pointer{x len} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramSubroutineParametersuivNV : function (target : GLenum; count : GLsizei; params : PGLuint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1d : function (prog : GLuint; location : GLint; v0 : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1dEXT : function (prog : GLuint; location : GLint; x : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1dv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1f : function (prog : GLuint; location : GLint; v0 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1fEXT : function (prog : GLuint; location : GLint; v0 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1fv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLfloat{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1i : function (prog : GLuint; location : GLint; v0 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1i64NV : function (prog : GLuint; location : GLint; x : GLint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1i64vNV : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLint64EXT{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1iEXT : function (prog : GLuint; location : GLint; v0 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1iv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1ivEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1ui : function (prog : GLuint; location : GLint; v0 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1ui64NV : function (prog : GLuint; location : GLint; x : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1ui64vNV : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint64EXT{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1uiEXT : function (prog : GLuint; location : GLint; v0 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1uiv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform1uivEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2d : function (prog : GLuint; location : GLint; v0 : GLdouble; v1 : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2dEXT : function (prog : GLuint; location : GLint; x : GLdouble; y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2dv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2f : function (prog : GLuint; location : GLint; v0 : GLfloat; v1 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2fEXT : function (prog : GLuint; location : GLint; v0 : GLfloat; v1 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2fv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLfloat{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2i : function (prog : GLuint; location : GLint; v0 : GLint; v1 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2i64NV : function (prog : GLuint; location : GLint; x : GLint64EXT; y : GLint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2i64vNV : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLint64EXT{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2iEXT : function (prog : GLuint; location : GLint; v0 : GLint; v1 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2iv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2ivEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLint{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2ui : function (prog : GLuint; location : GLint; v0 : GLuint; v1 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2ui64NV : function (prog : GLuint; location : GLint; x : GLuint64EXT; y : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2ui64vNV : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint64EXT{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2uiEXT : function (prog : GLuint; location : GLint; v0 : GLuint; v1 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2uiv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform2uivEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3d : function (prog : GLuint; location : GLint; v0 : GLdouble; v1 : GLdouble; v2 : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3dEXT : function (prog : GLuint; location : GLint; x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3dv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3f : function (prog : GLuint; location : GLint; v0 : GLfloat; v1 : GLfloat; v2 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3fEXT : function (prog : GLuint; location : GLint; v0 : GLfloat; v1 : GLfloat; v2 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3fv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLfloat{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3i : function (prog : GLuint; location : GLint; v0 : GLint; v1 : GLint; v2 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3i64NV : function (prog : GLuint; location : GLint; x : GLint64EXT; y : GLint64EXT; z : GLint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3i64vNV : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLint64EXT{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3iEXT : function (prog : GLuint; location : GLint; v0 : GLint; v1 : GLint; v2 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3iv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3ivEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLint{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3ui : function (prog : GLuint; location : GLint; v0 : GLuint; v1 : GLuint; v2 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3ui64NV : function (prog : GLuint; location : GLint; x : GLuint64EXT; y : GLuint64EXT; z : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3ui64vNV : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint64EXT{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3uiEXT : function (prog : GLuint; location : GLint; v0 : GLuint; v1 : GLuint; v2 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3uiv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform3uivEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4d : function (prog : GLuint; location : GLint; v0 : GLdouble; v1 : GLdouble; v2 : GLdouble; v3 : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4dEXT : function (prog : GLuint; location : GLint; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4dv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4f : function (prog : GLuint; location : GLint; v0 : GLfloat; v1 : GLfloat; v2 : GLfloat; v3 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4fEXT : function (prog : GLuint; location : GLint; v0 : GLfloat; v1 : GLfloat; v2 : GLfloat; v3 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4fv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLfloat{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4i : function (prog : GLuint; location : GLint; v0 : GLint; v1 : GLint; v2 : GLint; v3 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4i64NV : function (prog : GLuint; location : GLint; x : GLint64EXT; y : GLint64EXT; z : GLint64EXT; w : GLint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4i64vNV : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLint64EXT{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4iEXT : function (prog : GLuint; location : GLint; v0 : GLint; v1 : GLint; v2 : GLint; v3 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4iv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4ivEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLint{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4ui : function (prog : GLuint; location : GLint; v0 : GLuint; v1 : GLuint; v2 : GLuint; v3 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4ui64NV : function (prog : GLuint; location : GLint; x : GLuint64EXT; y : GLuint64EXT; z : GLuint64EXT; w : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4ui64vNV : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint64EXT{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4uiEXT : function (prog : GLuint; location : GLint; v0 : GLuint; v1 : GLuint; v2 : GLuint; v3 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4uiv : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniform4uivEXT : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformHandleui64ARB : function (prog : GLuint; location : GLint; value : GLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformHandleui64NV : function (prog : GLuint; location : GLint; value : GLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformHandleui64vARB : function (prog : GLuint; location : GLint; count : GLsizei; values : PGLuint64{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformHandleui64vNV : function (prog : GLuint; location : GLint; count : GLsizei; values : PGLuint64{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix2dv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix2dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix2fv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix2fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix2x3dv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix2x3dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix2x3fv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix2x3fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*6} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix2x4dv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix2x4dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix2x4fv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix2x4fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*8} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix3dv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix3dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix3fv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix3fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*9} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix3x2dv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix3x2dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix3x2fv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix3x2fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*6} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix3x4dv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix3x4dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix3x4fv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix3x4fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*12} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix4dv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix4dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix4fv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix4fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix4x2dv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix4x2dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix4x2fv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix4x2fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*8} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix4x3dv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix4x3dvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix4x3fv : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformMatrix4x3fvEXT : function (prog : GLuint; location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*12} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformui64NV : function (prog : GLuint; location : GLint; value : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramUniformui64vNV : function (prog : GLuint; location : GLint; count : GLsizei; value : PGLuint64EXT{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProgramVertexLimitNV : function ({ProgramTarget}target : GLenum; limit : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProvokingVertex : function (mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glProvokingVertexEXT : function (mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPushAttrib : function ({AttribMask}mask : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPushClientAttrib : function ({ClientAttribMask}mask : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPushClientAttribDefaultEXT : function ({ClientAttribMask}mask : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPushDebugGroup : function (source : GLenum; id : GLuint; length : GLsizei; msg : PGLchar{x COMPSIZE(message,length)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPushDebugGroupKHR : function (source : GLenum; id : GLuint; length : GLsizei; msg : PGLchar ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPushGroupMarkerEXT : function (length : GLsizei; marker : PGLchar ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPushMatrix : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glPushName : function ({SelectName}name : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glQueryCounter : function (id : GLuint; target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glQueryCounterEXT : function (id : GLuint; target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glQueryMatrixxOES : function (mantissa : PGLfixed{x16}; exponent : PGLint{x16} ) : GLbitfield; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glQueryObjectParameteruiAMD : function (target : GLenum; id : GLuint; pname : GLenum; {OcclusionQueryEventMaskAMD}param : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos2d : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos2dv : function ({CoordD}v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos2f : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos2fv : function ({CoordF}v : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos2i : function ({CoordI}x : GLint; {CoordI}y : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos2iv : function ({CoordI}v : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos2s : function ({CoordS}x : GLshort; {CoordS}y : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos2sv : function ({CoordS}v : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos2xOES : function (x : GLfixed; y : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos2xvOES : function (coords : PGLfixed{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos3d : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble; {CoordD}z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos3dv : function ({CoordD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos3f : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat; {CoordF}z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos3fv : function ({CoordF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos3i : function ({CoordI}x : GLint; {CoordI}y : GLint; {CoordI}z : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos3iv : function ({CoordI}v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos3s : function ({CoordS}x : GLshort; {CoordS}y : GLshort; {CoordS}z : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos3sv : function ({CoordS}v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos3xOES : function (x : GLfixed; y : GLfixed; z : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos3xvOES : function (coords : PGLfixed{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos4d : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble; {CoordD}z : GLdouble; {CoordD}w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos4dv : function ({CoordD}v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos4f : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat; {CoordF}z : GLfloat; {CoordF}w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos4fv : function ({CoordF}v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos4i : function ({CoordI}x : GLint; {CoordI}y : GLint; {CoordI}z : GLint; {CoordI}w : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos4iv : function ({CoordI}v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos4s : function ({CoordS}x : GLshort; {CoordS}y : GLshort; {CoordS}z : GLshort; {CoordS}w : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos4sv : function ({CoordS}v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos4xOES : function (x : GLfixed; y : GLfixed; z : GLfixed; w : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterPos4xvOES : function (coords : PGLfixed{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReadBuffer : function ({ReadBufferMode}src : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReadBufferIndexedEXT : function (src : GLenum; index : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReadBufferNV : function (mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReadInstrumentsSGIX : function (marker : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReadPixels : function ({WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReadnPixels : function (x : GLint; y : GLint; width : GLsizei; height : GLsizei; format : GLenum; typ : GLenum; bufSize : GLsizei; data : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReadnPixelsARB : function (x : GLint; y : GLint; width : GLsizei; height : GLsizei; format : GLenum; typ : GLenum; bufSize : GLsizei; data : Pointer{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReadnPixelsEXT : function (x : GLint; y : GLint; width : GLsizei; height : GLsizei; format : GLenum; typ : GLenum; bufSize : GLsizei; data : Pointer{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReadnPixelsKHR : function ({WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; bufSize : GLsizei; data : Pointer{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRectd : function ({CoordD}x1 : GLdouble; {CoordD}y1 : GLdouble; {CoordD}x2 : GLdouble; {CoordD}y2 : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRectdv : function ({CoordD}v1 : PGLdouble{x2}; {CoordD}v2 : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRectf : function ({CoordF}x1 : GLfloat; {CoordF}y1 : GLfloat; {CoordF}x2 : GLfloat; {CoordF}y2 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRectfv : function ({CoordF}v1 : PGLfloat{x2}; {CoordF}v2 : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRecti : function ({CoordI}x1 : GLint; {CoordI}y1 : GLint; {CoordI}x2 : GLint; {CoordI}y2 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRectiv : function ({CoordI}v1 : PGLint{x2}; {CoordI}v2 : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRects : function ({CoordS}x1 : GLshort; {CoordS}y1 : GLshort; {CoordS}x2 : GLshort; {CoordS}y2 : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRectsv : function ({CoordS}v1 : PGLshort{x2}; {CoordS}v2 : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRectxOES : function (x1 : GLfixed; y1 : GLfixed; x2 : GLfixed; y2 : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRectxvOES : function (v1 : PGLfixed{x2}; v2 : PGLfixed{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReferencePlaneSGIX : function (equation : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReleaseShaderCompiler : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRenderMode : function ({RenderingMode}mode : GLenum ) : GLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRenderbufferStorage : function ({RenderbufferTarget}target : GLenum; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRenderbufferStorageEXT : function ({RenderbufferTarget}target : GLenum; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRenderbufferStorageMultisample : function (target : GLenum; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRenderbufferStorageMultisampleANGLE : function (target : GLenum; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRenderbufferStorageMultisampleAPPLE : function (target : GLenum; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRenderbufferStorageMultisampleCoverageNV : function ({RenderbufferTarget}target : GLenum; coverageSamples : GLsizei; colorSamples : GLsizei; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRenderbufferStorageMultisampleEXT : function (target : GLenum; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRenderbufferStorageMultisampleIMG : function (target : GLenum; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRenderbufferStorageMultisampleNV : function (target : GLenum; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRenderbufferStorageOES : function (target : GLenum; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodePointerSUN : function ({ReplacementCodeTypeSUN}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeubSUN : function (code : GLubyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeubvSUN : function (code : PGLubyte{x COMPSIZE()} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiColor3fVertex3fSUN : function ({ReplacementCodeSUN}rc : GLuint; r : GLfloat; g : GLfloat; b : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiColor3fVertex3fvSUN : function ({ReplacementCodeSUN}rc : PGLuint{x1}; c : PGLfloat{x3}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiColor4fNormal3fVertex3fSUN : function ({ReplacementCodeSUN}rc : GLuint; r : GLfloat; g : GLfloat; b : GLfloat; a : GLfloat; nx : GLfloat; ny : GLfloat; nz : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiColor4fNormal3fVertex3fvSUN : function ({ReplacementCodeSUN}rc : PGLuint{x1}; c : PGLfloat{x4}; n : PGLfloat{x3}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiColor4ubVertex3fSUN : function ({ReplacementCodeSUN}rc : GLuint; r : GLubyte; g : GLubyte; b : GLubyte; a : GLubyte; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiColor4ubVertex3fvSUN : function ({ReplacementCodeSUN}rc : PGLuint{x1}; c : PGLubyte{x4}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiNormal3fVertex3fSUN : function ({ReplacementCodeSUN}rc : GLuint; nx : GLfloat; ny : GLfloat; nz : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiNormal3fVertex3fvSUN : function ({ReplacementCodeSUN}rc : PGLuint{x1}; n : PGLfloat{x3}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiSUN : function (code : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN : function ({ReplacementCodeSUN}rc : GLuint; s : GLfloat; t : GLfloat; r : GLfloat; g : GLfloat; b : GLfloat; a : GLfloat; nx : GLfloat; ny : GLfloat; nz : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN : function ({ReplacementCodeSUN}rc : PGLuint{x1}; tc : PGLfloat{x2}; c : PGLfloat{x4}; n : PGLfloat{x3}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN : function ({ReplacementCodeSUN}rc : GLuint; s : GLfloat; t : GLfloat; nx : GLfloat; ny : GLfloat; nz : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN : function ({ReplacementCodeSUN}rc : PGLuint{x1}; tc : PGLfloat{x2}; n : PGLfloat{x3}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiTexCoord2fVertex3fSUN : function ({ReplacementCodeSUN}rc : GLuint; s : GLfloat; t : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiTexCoord2fVertex3fvSUN : function ({ReplacementCodeSUN}rc : PGLuint{x1}; tc : PGLfloat{x2}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiVertex3fSUN : function ({ReplacementCodeSUN}rc : GLuint; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuiVertex3fvSUN : function ({ReplacementCodeSUN}rc : PGLuint{x1}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeuivSUN : function (code : PGLuint{x COMPSIZE()} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeusSUN : function (code : GLushort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glReplacementCodeusvSUN : function (code : PGLushort{x COMPSIZE()} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRequestResidentProgramsNV : function (n : GLsizei; programs : PGLuint{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glResetHistogram : function ({HistogramTarget}target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glResetHistogramEXT : function ({HistogramTargetEXT}target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glResetMinmax : function ({MinmaxTarget}target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glResetMinmaxEXT : function ({MinmaxTargetEXT}target : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glResizeBuffersMESA : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glResolveMultisampleFramebufferAPPLE : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glResumeTransformFeedback : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glResumeTransformFeedbackNV : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRotated : function (angle : GLdouble; x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRotatef : function (angle : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRotatex : function (angle : GLfixed; x : GLfixed; y : GLfixed; z : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRotatexOES : function (angle : GLfixed; x : GLfixed; y : GLfixed; z : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSampleCoverage : function (value : GLfloat; {Boolean}invert : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSampleCoverageARB : function (value : GLfloat; {Boolean}invert : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSampleCoverageOES : function ({ClampedFixed}value : GLfixed; {Boolean}invert : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSampleCoveragex : function (value : GLclampx; invert : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSampleCoveragexOES : function (value : GLclampx; invert : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSampleMapATI : function (dst : GLuint; interp : GLuint; {SwizzleOpATI}swizzle : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSampleMaskEXT : function ({ClampedFloat32}value : GLclampf; {Boolean}invert : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSampleMaskIndexedNV : function (index : GLuint; {SampleMaskNV}mask : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSampleMaskSGIS : function ({ClampedFloat32}value : GLclampf; {Boolean}invert : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSampleMaski : function (maskNumber : GLuint; mask : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSamplePatternEXT : function ({SamplePatternEXT}pattern : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSamplePatternSGIS : function ({SamplePatternSGIS}pattern : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSamplerParameterIiv : function (sampler : GLuint; pname : GLenum; param : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSamplerParameterIivEXT : function (sampler : GLuint; pname : GLenum; param : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSamplerParameterIuiv : function (sampler : GLuint; pname : GLenum; param : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSamplerParameterIuivEXT : function (sampler : GLuint; pname : GLenum; param : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSamplerParameterf : function (sampler : GLuint; pname : GLenum; param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSamplerParameterfv : function (sampler : GLuint; pname : GLenum; param : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSamplerParameteri : function (sampler : GLuint; pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSamplerParameteriv : function (sampler : GLuint; pname : GLenum; param : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glScaled : function (x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glScalef : function (x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glScalex : function (x : GLfixed; y : GLfixed; z : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glScalexOES : function (x : GLfixed; y : GLfixed; z : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glScissor : function ({WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glScissorArrayv : function (first : GLuint; count : GLsizei; v : PGLint{x COMPSIZE(count)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glScissorIndexed : function (index : GLuint; left : GLint; bottom : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glScissorIndexedv : function (index : GLuint; v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3b : function ({ColorB}red : GLbyte; {ColorB}green : GLbyte; {ColorB}blue : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3bEXT : function ({ColorB}red : GLbyte; {ColorB}green : GLbyte; {ColorB}blue : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3bv : function ({ColorB}v : PGLbyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3bvEXT : function ({ColorB}v : PGLbyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3d : function ({ColorD}red : GLdouble; {ColorD}green : GLdouble; {ColorD}blue : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3dEXT : function ({ColorD}red : GLdouble; {ColorD}green : GLdouble; {ColorD}blue : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3dv : function ({ColorD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3dvEXT : function ({ColorD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3f : function ({ColorF}red : GLfloat; {ColorF}green : GLfloat; {ColorF}blue : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3fEXT : function ({ColorF}red : GLfloat; {ColorF}green : GLfloat; {ColorF}blue : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3fv : function ({ColorF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3fvEXT : function ({ColorF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3hNV : function ({Half16NV}red : GLhalfNV; {Half16NV}green : GLhalfNV; {Half16NV}blue : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3hvNV : function ({Half16NV}v : PGLhalfNV{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3i : function ({ColorI}red : GLint; {ColorI}green : GLint; {ColorI}blue : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3iEXT : function ({ColorI}red : GLint; {ColorI}green : GLint; {ColorI}blue : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3iv : function ({ColorI}v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3ivEXT : function ({ColorI}v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3s : function ({ColorS}red : GLshort; {ColorS}green : GLshort; {ColorS}blue : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3sEXT : function ({ColorS}red : GLshort; {ColorS}green : GLshort; {ColorS}blue : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3sv : function ({ColorS}v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3svEXT : function ({ColorS}v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3ub : function ({ColorUB}red : GLubyte; {ColorUB}green : GLubyte; {ColorUB}blue : GLubyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3ubEXT : function ({ColorUB}red : GLubyte; {ColorUB}green : GLubyte; {ColorUB}blue : GLubyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3ubv : function ({ColorUB}v : PGLubyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3ubvEXT : function ({ColorUB}v : PGLubyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3ui : function ({ColorUI}red : GLuint; {ColorUI}green : GLuint; {ColorUI}blue : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3uiEXT : function ({ColorUI}red : GLuint; {ColorUI}green : GLuint; {ColorUI}blue : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3uiv : function ({ColorUI}v : PGLuint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3uivEXT : function ({ColorUI}v : PGLuint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3us : function ({ColorUS}red : GLushort; {ColorUS}green : GLushort; {ColorUS}blue : GLushort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3usEXT : function ({ColorUS}red : GLushort; {ColorUS}green : GLushort; {ColorUS}blue : GLushort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3usv : function ({ColorUS}v : PGLushort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColor3usvEXT : function ({ColorUS}v : PGLushort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColorFormatNV : function (size : GLint; typ : GLenum; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColorP3ui : function (typ : GLenum; color : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColorP3uiv : function (typ : GLenum; color : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColorPointer : function (size : GLint; {ColorPointerType}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColorPointerEXT : function (size : GLint; {ColorPointerType}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSecondaryColorPointerListIBM : function (size : GLint; {SecondaryColorPointerTypeIBM}typ : GLenum; stride : GLint; pntr : Pointer{x COMPSIZE(size,type,stride)}; ptrstride : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSelectBuffer : function (size : GLsizei; {SelectName}buffer : PGLuint{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSelectPerfMonitorCountersAMD : function (monitor : GLuint; {Boolean}enable : GLboolean; group : GLuint; numCounters : GLint; counterList : PGLuint{x numCounters} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSeparableFilter2D : function ({SeparableTarget}target : GLenum; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; row : Pointer{x COMPSIZE(target,format,type,width)}; column : Pointer{x COMPSIZE(target,format,type,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSeparableFilter2DEXT : function ({SeparableTargetEXT}target : GLenum; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; row : Pointer{x COMPSIZE(target,format,type,width)}; column : Pointer{x COMPSIZE(target,format,type,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSetFenceAPPLE : function ({FenceNV}fence : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSetFenceNV : function ({FenceNV}fence : GLuint; {FenceConditionNV}condition : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSetFragmentShaderConstantATI : function (dst : GLuint; value : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSetInvariantEXT : function (id : GLuint; {ScalarType}typ : GLenum; addr : Pointer{x COMPSIZE(id,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSetLocalConstantEXT : function (id : GLuint; {ScalarType}typ : GLenum; addr : Pointer{x COMPSIZE(id,type)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSetMultisamplefvAMD : function (pname : GLenum; index : GLuint; val : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glShadeModel : function ({ShadingModel}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glShaderBinary : function (count : GLsizei; shaders : PGLuint{x count}; binaryformat : GLenum; binary : Pointer{x length}; length : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glShaderOp1EXT : function ({VertexShaderOpEXT}op : GLenum; res : GLuint; arg1 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glShaderOp2EXT : function ({VertexShaderOpEXT}op : GLenum; res : GLuint; arg1 : GLuint; arg2 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glShaderOp3EXT : function ({VertexShaderOpEXT}op : GLenum; res : GLuint; arg1 : GLuint; arg2 : GLuint; arg3 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glShaderSource : function (shader : GLuint; count : GLsizei; str : PPGLchar{x count}; length : PGLint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glShaderSourceARB : function ({handleARB}shaderObj : GLhandleARB; count : GLsizei; str : PPGLcharARB{x count}; length : PGLint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glShaderStorageBlockBinding : function (prog : GLuint; storageBlockIndex : GLuint; storageBlockBinding : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSharpenTexFuncSGIS : function ({TextureTarget}target : GLenum; n : GLsizei; points : PGLfloat{x n*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSpriteParameterfSGIX : function ({SpriteParameterNameSGIX}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSpriteParameterfvSGIX : function ({SpriteParameterNameSGIX}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSpriteParameteriSGIX : function ({SpriteParameterNameSGIX}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSpriteParameterivSGIX : function ({SpriteParameterNameSGIX}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStartInstrumentsSGIX : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStartTilingQCOM : function (x : GLuint; y : GLuint; width : GLuint; height : GLuint; preserveMask : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilClearTagEXT : function (stencilTagBits : GLsizei; stencilClearTag : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilFillPathInstancedNV : function (numPaths : GLsizei; {PathElementType}pathNameType : GLenum; {PathElement}paths : Pointer{x COMPSIZE(numPaths,pathNameType,paths)}; {Path}pathBase : GLuint; {PathFillMode}fillMode : GLenum; {MaskedStencilValue}mask : GLuint; {PathTransformType}transformType : GLenum; transformValues : PGLfloat{x COMPSIZE(numPaths,transformType)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilFillPathNV : function ({Path}path : GLuint; {PathFillMode}fillMode : GLenum; {MaskedStencilValue}mask : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilFunc : function ({StencilFunction}func : GLenum; {StencilValue}ref : GLint; {MaskedStencilValue}mask : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilFuncSeparate : function ({StencilFaceDirection}face : GLenum; {StencilFunction}func : GLenum; {StencilValue}ref : GLint; {MaskedStencilValue}mask : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilFuncSeparateATI : function ({StencilFunction}frontfunc : GLenum; {StencilFunction}backfunc : GLenum; {ClampedStencilValue}ref : GLint; {MaskedStencilValue}mask : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilMask : function ({MaskedStencilValue}mask : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilMaskSeparate : function ({StencilFaceDirection}face : GLenum; {MaskedStencilValue}mask : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilOp : function ({StencilOp}fail : GLenum; {StencilOp}zfail : GLenum; {StencilOp}zpass : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilOpSeparate : function ({StencilFaceDirection}face : GLenum; {StencilOp}sfail : GLenum; {StencilOp}dpfail : GLenum; {StencilOp}dppass : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilOpSeparateATI : function ({StencilFaceDirection}face : GLenum; {StencilOp}sfail : GLenum; {StencilOp}dpfail : GLenum; {StencilOp}dppass : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilOpValueAMD : function ({StencilFaceDirection}face : GLenum; value : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilStrokePathInstancedNV : function (numPaths : GLsizei; {PathElementType}pathNameType : GLenum; {PathElement}paths : Pointer{x COMPSIZE(numPaths,pathNameType,paths)}; {Path}pathBase : GLuint; {StencilValue}reference : GLint; {MaskedStencilValue}mask : GLuint; {PathTransformType}transformType : GLenum; transformValues : PGLfloat{x COMPSIZE(numPaths,transformType)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilStrokePathNV : function ({Path}path : GLuint; {StencilValue}reference : GLint; {MaskedStencilValue}mask : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilThenCoverFillPathInstancedNV : function (numPaths : GLsizei; pathNameType : GLenum; paths : Pointer; pathBase : GLuint; fillMode : GLenum; mask : GLuint; coverMode : GLenum; transformType : GLenum; transformValues : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilThenCoverFillPathNV : function (path : GLuint; fillMode : GLenum; mask : GLuint; coverMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilThenCoverStrokePathInstancedNV : function (numPaths : GLsizei; pathNameType : GLenum; paths : Pointer; pathBase : GLuint; reference : GLint; mask : GLuint; coverMode : GLenum; transformType : GLenum; transformValues : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStencilThenCoverStrokePathNV : function (path : GLuint; reference : GLint; mask : GLuint; coverMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStopInstrumentsSGIX : function (marker : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glStringMarkerGREMEDY : function (len : GLsizei; str : Pointer{x len} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSwizzleEXT : function (res : GLuint; input : GLuint; {VertexShaderCoordOutEXT}outX : GLenum; {VertexShaderCoordOutEXT}outY : GLenum; {VertexShaderCoordOutEXT}outZ : GLenum; {VertexShaderCoordOutEXT}outW : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSyncTextureINTEL : function (texture : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTagSampleBufferSGIX : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTangent3bEXT : function (tx : GLbyte; ty : GLbyte; tz : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTangent3bvEXT : function (v : PGLbyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTangent3dEXT : function ({CoordD}tx : GLdouble; {CoordD}ty : GLdouble; {CoordD}tz : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTangent3dvEXT : function ({CoordD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTangent3fEXT : function ({CoordF}tx : GLfloat; {CoordF}ty : GLfloat; {CoordF}tz : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTangent3fvEXT : function ({CoordF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTangent3iEXT : function (tx : GLint; ty : GLint; tz : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTangent3ivEXT : function (v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTangent3sEXT : function (tx : GLshort; ty : GLshort; tz : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTangent3svEXT : function (v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTangentPointerEXT : function ({TangentPointerTypeEXT}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTbufferMask3DFX : function (mask : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTessellationFactorAMD : function (factor : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTessellationModeAMD : function (mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTestFenceAPPLE : function ({FenceNV}fence : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTestFenceNV : function ({FenceNV}fence : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTestObjectAPPLE : function ({ObjectTypeAPPLE}obj : GLenum; name : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexBuffer : function ({TextureTarget}target : GLenum; internalformat : GLenum; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexBufferARB : function ({TextureTarget}target : GLenum; internalformat : GLenum; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexBufferEXT : function ({TextureTarget}target : GLenum; internalformat : GLenum; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexBufferRange : function (target : GLenum; internalformat : GLenum; buffer : GLuint; {BufferOffset}offset : GLintptr; {BufferSize}size : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexBufferRangeEXT : function (target : GLenum; internalformat : GLenum; buffer : GLuint; {BufferOffset}offset : GLintptr; {BufferSize}size : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexBumpParameterfvATI : function ({TexBumpParameterATI}pname : GLenum; param : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexBumpParameterivATI : function ({TexBumpParameterATI}pname : GLenum; param : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1bOES : function (s : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1bvOES : function (coords : PGLbyte{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1d : function ({CoordD}s : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1dv : function ({CoordD}v : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1f : function ({CoordF}s : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1fv : function ({CoordF}v : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1hNV : function ({Half16NV}s : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1hvNV : function ({Half16NV}v : PGLhalfNV{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1i : function ({CoordI}s : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1iv : function ({CoordI}v : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1s : function ({CoordS}s : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1sv : function ({CoordS}v : PGLshort{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1xOES : function (s : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord1xvOES : function (coords : PGLfixed{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2bOES : function (s : GLbyte; t : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2bvOES : function (coords : PGLbyte{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2d : function ({CoordD}s : GLdouble; {CoordD}t : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2dv : function ({CoordD}v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2f : function ({CoordF}s : GLfloat; {CoordF}t : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2fColor3fVertex3fSUN : function (s : GLfloat; t : GLfloat; r : GLfloat; g : GLfloat; b : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2fColor3fVertex3fvSUN : function (tc : PGLfloat{x2}; c : PGLfloat{x3}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2fColor4fNormal3fVertex3fSUN : function (s : GLfloat; t : GLfloat; r : GLfloat; g : GLfloat; b : GLfloat; a : GLfloat; nx : GLfloat; ny : GLfloat; nz : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2fColor4fNormal3fVertex3fvSUN : function (tc : PGLfloat{x2}; c : PGLfloat{x4}; n : PGLfloat{x3}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2fColor4ubVertex3fSUN : function (s : GLfloat; t : GLfloat; r : GLubyte; g : GLubyte; b : GLubyte; a : GLubyte; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2fColor4ubVertex3fvSUN : function (tc : PGLfloat{x2}; c : PGLubyte{x4}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2fNormal3fVertex3fSUN : function (s : GLfloat; t : GLfloat; nx : GLfloat; ny : GLfloat; nz : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2fNormal3fVertex3fvSUN : function (tc : PGLfloat{x2}; n : PGLfloat{x3}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2fVertex3fSUN : function (s : GLfloat; t : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2fVertex3fvSUN : function (tc : PGLfloat{x2}; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2fv : function ({CoordF}v : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2hNV : function ({Half16NV}s : GLhalfNV; {Half16NV}t : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2hvNV : function ({Half16NV}v : PGLhalfNV{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2i : function ({CoordI}s : GLint; {CoordI}t : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2iv : function ({CoordI}v : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2s : function ({CoordS}s : GLshort; {CoordS}t : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2sv : function ({CoordS}v : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2xOES : function (s : GLfixed; t : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord2xvOES : function (coords : PGLfixed{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3bOES : function (s : GLbyte; t : GLbyte; r : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3bvOES : function (coords : PGLbyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3d : function ({CoordD}s : GLdouble; {CoordD}t : GLdouble; {CoordD}r : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3dv : function ({CoordD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3f : function ({CoordF}s : GLfloat; {CoordF}t : GLfloat; {CoordF}r : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3fv : function ({CoordF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3hNV : function ({Half16NV}s : GLhalfNV; {Half16NV}t : GLhalfNV; {Half16NV}r : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3hvNV : function ({Half16NV}v : PGLhalfNV{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3i : function ({CoordI}s : GLint; {CoordI}t : GLint; {CoordI}r : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3iv : function ({CoordI}v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3s : function ({CoordS}s : GLshort; {CoordS}t : GLshort; {CoordS}r : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3sv : function ({CoordS}v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3xOES : function (s : GLfixed; t : GLfixed; r : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord3xvOES : function (coords : PGLfixed{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4bOES : function (s : GLbyte; t : GLbyte; r : GLbyte; q : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4bvOES : function (coords : PGLbyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4d : function ({CoordD}s : GLdouble; {CoordD}t : GLdouble; {CoordD}r : GLdouble; {CoordD}q : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4dv : function ({CoordD}v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4f : function ({CoordF}s : GLfloat; {CoordF}t : GLfloat; {CoordF}r : GLfloat; {CoordF}q : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4fColor4fNormal3fVertex4fSUN : function (s : GLfloat; t : GLfloat; p : GLfloat; q : GLfloat; r : GLfloat; g : GLfloat; b : GLfloat; a : GLfloat; nx : GLfloat; ny : GLfloat; nz : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat; w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4fColor4fNormal3fVertex4fvSUN : function (tc : PGLfloat{x4}; c : PGLfloat{x4}; n : PGLfloat{x3}; v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4fVertex4fSUN : function (s : GLfloat; t : GLfloat; p : GLfloat; q : GLfloat; x : GLfloat; y : GLfloat; z : GLfloat; w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4fVertex4fvSUN : function (tc : PGLfloat{x4}; v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4fv : function ({CoordF}v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4hNV : function ({Half16NV}s : GLhalfNV; {Half16NV}t : GLhalfNV; {Half16NV}r : GLhalfNV; {Half16NV}q : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4hvNV : function ({Half16NV}v : PGLhalfNV{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4i : function ({CoordI}s : GLint; {CoordI}t : GLint; {CoordI}r : GLint; {CoordI}q : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4iv : function ({CoordI}v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4s : function ({CoordS}s : GLshort; {CoordS}t : GLshort; {CoordS}r : GLshort; {CoordS}q : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4sv : function ({CoordS}v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4xOES : function (s : GLfixed; t : GLfixed; r : GLfixed; q : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoord4xvOES : function (coords : PGLfixed{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordFormatNV : function (size : GLint; typ : GLenum; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordP1ui : function (typ : GLenum; coords : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordP1uiv : function (typ : GLenum; coords : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordP2ui : function (typ : GLenum; coords : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordP2uiv : function (typ : GLenum; coords : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordP3ui : function (typ : GLenum; coords : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordP3uiv : function (typ : GLenum; coords : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordP4ui : function (typ : GLenum; coords : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordP4uiv : function (typ : GLenum; coords : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordPointer : function (size : GLint; {TexCoordPointerType}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordPointerEXT : function (size : GLint; {TexCoordPointerType}typ : GLenum; stride : GLsizei; count : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride,count)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordPointerListIBM : function (size : GLint; {TexCoordPointerType}typ : GLenum; stride : GLint; pntr : Pointer{x COMPSIZE(size,type,stride)}; ptrstride : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexCoordPointervINTEL : function (size : GLint; {VertexPointerType}typ : GLenum; pntr : Pointer{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexEnvf : function ({TextureEnvTarget}target : GLenum; {TextureEnvParameter}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexEnvfv : function ({TextureEnvTarget}target : GLenum; {TextureEnvParameter}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexEnvi : function ({TextureEnvTarget}target : GLenum; {TextureEnvParameter}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexEnviv : function ({TextureEnvTarget}target : GLenum; {TextureEnvParameter}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexEnvx : function (target : GLenum; pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexEnvxOES : function (target : GLenum; pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexEnvxv : function (target : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexEnvxvOES : function (target : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexFilterFuncSGIS : function ({TextureTarget}target : GLenum; {TextureFilterSGIS}filter : GLenum; n : GLsizei; weights : PGLfloat{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexGend : function ({TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; param : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexGendv : function ({TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; params : PGLdouble{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexGenf : function ({TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexGenfOES : function (coord : GLenum; pname : GLenum; param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexGenfv : function ({TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexGenfvOES : function (coord : GLenum; pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexGeni : function ({TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexGeniOES : function (coord : GLenum; pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexGeniv : function ({TextureCoordName}coord : GLenum; {TextureGenParameter}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexGenivOES : function (coord : GLenum; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexGenxOES : function (coord : GLenum; pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexGenxvOES : function (coord : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexImage1D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureComponentCount}internalformat : GLint; width : GLsizei; {CheckedInt32}border : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexImage2D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureComponentCount}internalformat : GLint; width : GLsizei; height : GLsizei; {CheckedInt32}border : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexImage2DMultisample : function (target : GLenum; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei; {Boolean}fixedsamplelocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexImage2DMultisampleCoverageNV : function (target : GLenum; coverageSamples : GLsizei; colorSamples : GLsizei; internalFormat : GLint; width : GLsizei; height : GLsizei; {Boolean}fixedSampleLocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexImage3D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureComponentCount}internalformat : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {CheckedInt32}border : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height,depth)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexImage3DEXT : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; {CheckedInt32}border : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height,depth)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexImage3DMultisample : function (target : GLenum; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; {Boolean}fixedsamplelocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexImage3DMultisampleCoverageNV : function (target : GLenum; coverageSamples : GLsizei; colorSamples : GLsizei; internalFormat : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {Boolean}fixedSampleLocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexImage3DOES : function (target : GLenum; level : GLint; internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; border : GLint; format : GLenum; typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height,depth)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexImage4DSGIS : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {PixelInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; size4d : GLsizei; {CheckedInt32}border : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height,depth,size4d)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexPageCommitmentARB : function (target : GLenum; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; resident : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexParameterIiv : function ({TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexParameterIivEXT : function ({TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexParameterIuiv : function ({TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexParameterIuivEXT : function ({TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexParameterf : function ({TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexParameterfv : function ({TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexParameteri : function ({TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexParameteriv : function ({TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexParameterx : function (target : GLenum; pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexParameterxOES : function (target : GLenum; pname : GLenum; param : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexParameterxv : function (target : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexParameterxvOES : function (target : GLenum; pname : GLenum; params : PGLfixed{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexRenderbufferNV : function ({TextureTarget}target : GLenum; renderbuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexStorage1D : function (target : GLenum; levels : GLsizei; internalformat : GLenum; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexStorage1DEXT : function (target : GLenum; levels : GLsizei; internalformat : GLenum; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexStorage2D : function (target : GLenum; levels : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexStorage2DEXT : function (target : GLenum; levels : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexStorage2DMultisample : function (target : GLenum; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei; {Boolean}fixedsamplelocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexStorage3D : function (target : GLenum; levels : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexStorage3DEXT : function (target : GLenum; levels : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexStorage3DMultisample : function (target : GLenum; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; {Boolean}fixedsamplelocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexStorage3DMultisampleOES : function (target : GLenum; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; {Boolean}fixedsamplelocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexStorageSparseAMD : function (target : GLenum; internalFormat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; layers : GLsizei; flags : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexSubImage1D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; width : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexSubImage1DEXT : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; width : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexSubImage2D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexSubImage2DEXT : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexSubImage3D : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height,depth)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexSubImage3DEXT : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height,depth)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexSubImage3DOES : function (target : GLenum; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; format : GLenum; typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height,depth)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexSubImage4DSGIS : function ({TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; {CheckedInt32}woffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; size4d : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height,depth,size4d)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureBarrier : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureBarrierNV : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureBuffer : function (texture : GLuint; internalformat : GLenum; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureBufferEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {TextureInternalFormat}internalformat : GLenum; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureBufferRange : function (texture : GLuint; internalformat : GLenum; buffer : GLuint; offset : GLintptr; size : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureBufferRangeEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {TextureInternalFormat}internalformat : GLenum; buffer : GLuint; {BufferOffset}offset : GLintptr; {BufferSize}size : GLsizeiptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureColorMaskSGIS : function ({Boolean}red : GLboolean; {Boolean}green : GLboolean; {Boolean}blue : GLboolean; {Boolean}alpha : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureImage1DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureComponentCount}internalformat : GLint; width : GLsizei; {CheckedInt32}border : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureImage2DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureComponentCount}internalformat : GLint; width : GLsizei; height : GLsizei; {CheckedInt32}border : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureImage2DMultisampleCoverageNV : function (texture : GLuint; target : GLenum; coverageSamples : GLsizei; colorSamples : GLsizei; internalFormat : GLint; width : GLsizei; height : GLsizei; {Boolean}fixedSampleLocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureImage2DMultisampleNV : function (texture : GLuint; target : GLenum; samples : GLsizei; internalFormat : GLint; width : GLsizei; height : GLsizei; {Boolean}fixedSampleLocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureImage3DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {TextureComponentCount}internalformat : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {CheckedInt32}border : GLint; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height,depth)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureImage3DMultisampleCoverageNV : function (texture : GLuint; target : GLenum; coverageSamples : GLsizei; colorSamples : GLsizei; internalFormat : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {Boolean}fixedSampleLocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureImage3DMultisampleNV : function (texture : GLuint; target : GLenum; samples : GLsizei; internalFormat : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {Boolean}fixedSampleLocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureLightEXT : function ({LightTexturePNameEXT}pname : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureMaterialEXT : function ({MaterialFace}face : GLenum; {MaterialParameter}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureNormalEXT : function ({TextureNormalModeEXT}mode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTexturePageCommitmentEXT : function (texture : GLuint; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; resident : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureParameterIiv : function (texture : GLuint; pname : GLenum; params : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureParameterIivEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureParameterIuiv : function (texture : GLuint; pname : GLenum; params : PGLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureParameterIuivEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; params : PGLuint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureParameterf : function (texture : GLuint; pname : GLenum; param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureParameterfEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedFloat32}param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureParameterfv : function (texture : GLuint; pname : GLenum; param : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureParameterfvEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedFloat32}params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureParameteri : function (texture : GLuint; pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureParameteriEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedInt32}param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureParameteriv : function (texture : GLuint; pname : GLenum; param : PGLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureParameterivEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {TextureParameterName}pname : GLenum; {CheckedInt32}params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureRangeAPPLE : function (target : GLenum; length : GLsizei; pntr : Pointer{x length} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureRenderbufferEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; renderbuffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureStorage1D : function (texture : GLuint; levels : GLsizei; internalformat : GLenum; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureStorage1DEXT : function (texture : GLuint; target : GLenum; levels : GLsizei; internalformat : GLenum; width : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureStorage2D : function (texture : GLuint; levels : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureStorage2DEXT : function (texture : GLuint; target : GLenum; levels : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureStorage2DMultisample : function (texture : GLuint; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei; fixedsamplelocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureStorage2DMultisampleEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; samples : GLsizei; {TextureInternalFormat}internalformat : GLenum; width : GLsizei; height : GLsizei; {Boolean}fixedsamplelocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureStorage3D : function (texture : GLuint; levels : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureStorage3DEXT : function (texture : GLuint; target : GLenum; levels : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureStorage3DMultisample : function (texture : GLuint; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; fixedsamplelocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureStorage3DMultisampleEXT : function (texture : GLuint; target : GLenum; samples : GLsizei; internalformat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; {Boolean}fixedsamplelocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureStorageSparseAMD : function (texture : GLuint; target : GLenum; internalFormat : GLenum; width : GLsizei; height : GLsizei; depth : GLsizei; layers : GLsizei; flags : GLbitfield ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureSubImage1D : function (texture : GLuint; level : GLint; xoffset : GLint; width : GLsizei; format : GLenum; typ : GLenum; pixels : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureSubImage1DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; width : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureSubImage2D : function (texture : GLuint; level : GLint; xoffset : GLint; yoffset : GLint; width : GLsizei; height : GLsizei; format : GLenum; typ : GLenum; pixels : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureSubImage2DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; width : GLsizei; height : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureSubImage3D : function (texture : GLuint; level : GLint; xoffset : GLint; yoffset : GLint; zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; format : GLenum; typ : GLenum; pixels : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureSubImage3DEXT : function ({Texture}texture : GLuint; {TextureTarget}target : GLenum; {CheckedInt32}level : GLint; {CheckedInt32}xoffset : GLint; {CheckedInt32}yoffset : GLint; {CheckedInt32}zoffset : GLint; width : GLsizei; height : GLsizei; depth : GLsizei; {PixelFormat}format : GLenum; {PixelType}typ : GLenum; pixels : Pointer{x COMPSIZE(format,type,width,height,depth)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureView : function (texture : GLuint; target : GLenum; origtexture : GLuint; internalformat : GLenum; minlevel : GLuint; numlevels : GLuint; minlayer : GLuint; numlayers : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTextureViewEXT : function (texture : GLuint; target : GLenum; origtexture : GLuint; internalformat : GLenum; minlevel : GLuint; numlevels : GLuint; minlayer : GLuint; numlayers : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTrackMatrixNV : function ({VertexAttribEnumNV}target : GLenum; address : GLuint; {VertexAttribEnumNV}matrix : GLenum; {VertexAttribEnumNV}transform : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTransformFeedbackAttribsNV : function (count : GLsizei; attribs : PGLint{x COMPSIZE(count)}; bufferMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTransformFeedbackBufferBase : function (xfb : GLuint; index : GLuint; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTransformFeedbackBufferRange : function (xfb : GLuint; index : GLuint; buffer : GLuint; offset : GLintptr; size : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTransformFeedbackStreamAttribsNV : function (count : GLsizei; attribs : PGLint{x count}; nbuffers : GLsizei; bufstreams : PGLint{x nbuffers}; bufferMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTransformFeedbackVaryings : function (prog : GLuint; count : GLsizei; varyings : PPGLchar{x count}; bufferMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTransformFeedbackVaryingsEXT : function (prog : GLuint; count : GLsizei; varyings : PPGLchar{x count}; bufferMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTransformFeedbackVaryingsNV : function (prog : GLuint; count : GLsizei; locations : PGLint{x count}; bufferMode : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTransformPathNV : function ({Path}resultPath : GLuint; {Path}srcPath : GLuint; {PathTransformType}transformType : GLenum; transformValues : PGLfloat{x COMPSIZE(transformType)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTranslated : function (x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTranslatef : function (x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTranslatex : function (x : GLfixed; y : GLfixed; z : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glTranslatexOES : function (x : GLfixed; y : GLfixed; z : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1d : function (location : GLint; x : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1dv : function (location : GLint; count : GLsizei; value : PGLdouble{x count*1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1f : function (location : GLint; v0 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1fARB : function (location : GLint; v0 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1fv : function (location : GLint; count : GLsizei; value : PGLfloat{x count*1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1fvARB : function (location : GLint; count : GLsizei; value : PGLfloat{x count*1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1i : function (location : GLint; v0 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1i64NV : function (location : GLint; x : GLint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1i64vNV : function (location : GLint; count : GLsizei; value : PGLint64EXT{x count*1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1iARB : function (location : GLint; v0 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1iv : function (location : GLint; count : GLsizei; value : PGLint{x count*1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1ivARB : function (location : GLint; count : GLsizei; value : PGLint{x count*1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1ui : function (location : GLint; v0 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1ui64NV : function (location : GLint; x : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1ui64vNV : function (location : GLint; count : GLsizei; value : PGLuint64EXT{x count*1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1uiEXT : function (location : GLint; v0 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1uiv : function (location : GLint; count : GLsizei; value : PGLuint{x count*1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform1uivEXT : function (location : GLint; count : GLsizei; value : PGLuint{x count*1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2d : function (location : GLint; x : GLdouble; y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2dv : function (location : GLint; count : GLsizei; value : PGLdouble{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2f : function (location : GLint; v0 : GLfloat; v1 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2fARB : function (location : GLint; v0 : GLfloat; v1 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2fv : function (location : GLint; count : GLsizei; value : PGLfloat{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2fvARB : function (location : GLint; count : GLsizei; value : PGLfloat{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2i : function (location : GLint; v0 : GLint; v1 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2i64NV : function (location : GLint; x : GLint64EXT; y : GLint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2i64vNV : function (location : GLint; count : GLsizei; value : PGLint64EXT{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2iARB : function (location : GLint; v0 : GLint; v1 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2iv : function (location : GLint; count : GLsizei; value : PGLint{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2ivARB : function (location : GLint; count : GLsizei; value : PGLint{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2ui : function (location : GLint; v0 : GLuint; v1 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2ui64NV : function (location : GLint; x : GLuint64EXT; y : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2ui64vNV : function (location : GLint; count : GLsizei; value : PGLuint64EXT{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2uiEXT : function (location : GLint; v0 : GLuint; v1 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2uiv : function (location : GLint; count : GLsizei; value : PGLuint{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform2uivEXT : function (location : GLint; count : GLsizei; value : PGLuint{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3d : function (location : GLint; x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3dv : function (location : GLint; count : GLsizei; value : PGLdouble{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3f : function (location : GLint; v0 : GLfloat; v1 : GLfloat; v2 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3fARB : function (location : GLint; v0 : GLfloat; v1 : GLfloat; v2 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3fv : function (location : GLint; count : GLsizei; value : PGLfloat{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3fvARB : function (location : GLint; count : GLsizei; value : PGLfloat{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3i : function (location : GLint; v0 : GLint; v1 : GLint; v2 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3i64NV : function (location : GLint; x : GLint64EXT; y : GLint64EXT; z : GLint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3i64vNV : function (location : GLint; count : GLsizei; value : PGLint64EXT{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3iARB : function (location : GLint; v0 : GLint; v1 : GLint; v2 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3iv : function (location : GLint; count : GLsizei; value : PGLint{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3ivARB : function (location : GLint; count : GLsizei; value : PGLint{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3ui : function (location : GLint; v0 : GLuint; v1 : GLuint; v2 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3ui64NV : function (location : GLint; x : GLuint64EXT; y : GLuint64EXT; z : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3ui64vNV : function (location : GLint; count : GLsizei; value : PGLuint64EXT{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3uiEXT : function (location : GLint; v0 : GLuint; v1 : GLuint; v2 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3uiv : function (location : GLint; count : GLsizei; value : PGLuint{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform3uivEXT : function (location : GLint; count : GLsizei; value : PGLuint{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4d : function (location : GLint; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4dv : function (location : GLint; count : GLsizei; value : PGLdouble{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4f : function (location : GLint; v0 : GLfloat; v1 : GLfloat; v2 : GLfloat; v3 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4fARB : function (location : GLint; v0 : GLfloat; v1 : GLfloat; v2 : GLfloat; v3 : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4fv : function (location : GLint; count : GLsizei; value : PGLfloat{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4fvARB : function (location : GLint; count : GLsizei; value : PGLfloat{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4i : function (location : GLint; v0 : GLint; v1 : GLint; v2 : GLint; v3 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4i64NV : function (location : GLint; x : GLint64EXT; y : GLint64EXT; z : GLint64EXT; w : GLint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4i64vNV : function (location : GLint; count : GLsizei; value : PGLint64EXT{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4iARB : function (location : GLint; v0 : GLint; v1 : GLint; v2 : GLint; v3 : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4iv : function (location : GLint; count : GLsizei; value : PGLint{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4ivARB : function (location : GLint; count : GLsizei; value : PGLint{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4ui : function (location : GLint; v0 : GLuint; v1 : GLuint; v2 : GLuint; v3 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4ui64NV : function (location : GLint; x : GLuint64EXT; y : GLuint64EXT; z : GLuint64EXT; w : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4ui64vNV : function (location : GLint; count : GLsizei; value : PGLuint64EXT{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4uiEXT : function (location : GLint; v0 : GLuint; v1 : GLuint; v2 : GLuint; v3 : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4uiv : function (location : GLint; count : GLsizei; value : PGLuint{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniform4uivEXT : function (location : GLint; count : GLsizei; value : PGLuint{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformBlockBinding : function (prog : GLuint; uniformBlockIndex : GLuint; uniformBlockBinding : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformBufferEXT : function (prog : GLuint; location : GLint; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformHandleui64ARB : function (location : GLint; value : GLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformHandleui64NV : function (location : GLint; value : GLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformHandleui64vARB : function (location : GLint; count : GLsizei; value : PGLuint64{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformHandleui64vNV : function (location : GLint; count : GLsizei; value : PGLuint64{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix2dv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix2fv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix2fvARB : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix2x3dv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count*6} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix2x3fv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*6} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix2x3fvNV : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*6} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix2x4dv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count*8} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix2x4fv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*8} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix2x4fvNV : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*8} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix3dv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count*9} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix3fv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*9} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix3fvARB : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*9} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix3x2dv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count*6} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix3x2fv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*6} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix3x2fvNV : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*6} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix3x4dv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count*12} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix3x4fv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*12} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix3x4fvNV : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*12} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix4dv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count*16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix4fv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix4fvARB : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*16} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix4x2dv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count*8} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix4x2fv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*8} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix4x2fvNV : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*8} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix4x3dv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLdouble{x count*12} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix4x3fv : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*12} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformMatrix4x3fvNV : function (location : GLint; count : GLsizei; {Boolean}transpose : GLboolean; value : PGLfloat{x count*12} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformSubroutinesuiv : function (shadertype : GLenum; count : GLsizei; indices : PGLuint{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformui64NV : function (location : GLint; value : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUniformui64vNV : function (location : GLint; count : GLsizei; value : PGLuint64EXT{x count*1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUnlockArraysEXT : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUnmapBuffer : function ({BufferTargetARB}target : GLenum ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUnmapBufferARB : function ({BufferTargetARB}target : GLenum ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUnmapBufferOES : function (target : GLenum ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUnmapNamedBuffer : function (buffer : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUnmapNamedBufferEXT : function (buffer : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUnmapObjectBufferATI : function (buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUnmapTexture2DINTEL : function (texture : GLuint; level : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUpdateObjectBufferATI : function (buffer : GLuint; offset : GLuint; size : GLsizei; pntr : Pointer{x size}; {PreserveModeATI}preserve : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUseProgram : function (prog : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUseProgramObjectARB : function ({handleARB}programObj : GLhandleARB ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUseProgramStages : function (pipeline : GLuint; stages : GLbitfield; prog : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUseProgramStagesEXT : function (pipeline : GLuint; stages : GLbitfield; prog : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glUseShaderProgramEXT : function (typ : GLenum; prog : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVDPAUFiniNV : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVDPAUGetSurfaceivNV : function ({vdpauSurfaceNV}surface : GLvdpauSurfaceNV; pname : GLenum; bufSize : GLsizei; length : PGLsizei; values : PGLint{x bufSize} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVDPAUInitNV : function (vdpDevice : Pointer; getProcAddress : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVDPAUIsSurfaceNV : function ({vdpauSurfaceNV}surface : GLvdpauSurfaceNV ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVDPAUMapSurfacesNV : function (numSurfaces : GLsizei; {vdpauSurfaceNV}surfaces : PGLvdpauSurfaceNV{x numSurfaces} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVDPAURegisterOutputSurfaceNV : function (vdpSurface : Pointer; target : GLenum; numTextureNames : GLsizei; textureNames : PGLuint{x numTextureNames} ) : GLvdpauSurfaceNV; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVDPAURegisterVideoSurfaceNV : function (vdpSurface : Pointer; target : GLenum; numTextureNames : GLsizei; textureNames : PGLuint{x numTextureNames} ) : GLvdpauSurfaceNV; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVDPAUSurfaceAccessNV : function ({vdpauSurfaceNV}surface : GLvdpauSurfaceNV; access : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVDPAUUnmapSurfacesNV : function (numSurface : GLsizei; {vdpauSurfaceNV}surfaces : PGLvdpauSurfaceNV{x numSurface} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVDPAUUnregisterSurfaceNV : function ({vdpauSurfaceNV}surface : GLvdpauSurfaceNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glValidateProgram : function (prog : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glValidateProgramARB : function ({handleARB}programObj : GLhandleARB ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glValidateProgramPipeline : function (pipeline : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glValidateProgramPipelineEXT : function (pipeline : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVariantArrayObjectATI : function (id : GLuint; {ScalarType}typ : GLenum; stride : GLsizei; buffer : GLuint; offset : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVariantPointerEXT : function (id : GLuint; {ScalarType}typ : GLenum; stride : GLuint; addr : Pointer{x COMPSIZE(id,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVariantbvEXT : function (id : GLuint; addr : PGLbyte{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVariantdvEXT : function (id : GLuint; addr : PGLdouble{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVariantfvEXT : function (id : GLuint; addr : PGLfloat{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVariantivEXT : function (id : GLuint; addr : PGLint{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVariantsvEXT : function (id : GLuint; addr : PGLshort{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVariantubvEXT : function (id : GLuint; addr : PGLubyte{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVariantuivEXT : function (id : GLuint; addr : PGLuint{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVariantusvEXT : function (id : GLuint; addr : PGLushort{x COMPSIZE(id)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2bOES : function (x : GLbyte; y : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2bvOES : function (coords : PGLbyte{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2d : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2dv : function ({CoordD}v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2f : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2fv : function ({CoordF}v : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2hNV : function ({Half16NV}x : GLhalfNV; {Half16NV}y : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2hvNV : function ({Half16NV}v : PGLhalfNV{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2i : function ({CoordI}x : GLint; {CoordI}y : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2iv : function ({CoordI}v : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2s : function ({CoordS}x : GLshort; {CoordS}y : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2sv : function ({CoordS}v : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2xOES : function (x : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex2xvOES : function (coords : PGLfixed{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3bOES : function (x : GLbyte; y : GLbyte; z : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3bvOES : function (coords : PGLbyte{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3d : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble; {CoordD}z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3dv : function ({CoordD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3f : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat; {CoordF}z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3fv : function ({CoordF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3hNV : function ({Half16NV}x : GLhalfNV; {Half16NV}y : GLhalfNV; {Half16NV}z : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3hvNV : function ({Half16NV}v : PGLhalfNV{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3i : function ({CoordI}x : GLint; {CoordI}y : GLint; {CoordI}z : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3iv : function ({CoordI}v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3s : function ({CoordS}x : GLshort; {CoordS}y : GLshort; {CoordS}z : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3sv : function ({CoordS}v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3xOES : function (x : GLfixed; y : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex3xvOES : function (coords : PGLfixed{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4bOES : function (x : GLbyte; y : GLbyte; z : GLbyte; w : GLbyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4bvOES : function (coords : PGLbyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4d : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble; {CoordD}z : GLdouble; {CoordD}w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4dv : function ({CoordD}v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4f : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat; {CoordF}z : GLfloat; {CoordF}w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4fv : function ({CoordF}v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4hNV : function ({Half16NV}x : GLhalfNV; {Half16NV}y : GLhalfNV; {Half16NV}z : GLhalfNV; {Half16NV}w : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4hvNV : function ({Half16NV}v : PGLhalfNV{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4i : function ({CoordI}x : GLint; {CoordI}y : GLint; {CoordI}z : GLint; {CoordI}w : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4iv : function ({CoordI}v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4s : function ({CoordS}x : GLshort; {CoordS}y : GLshort; {CoordS}z : GLshort; {CoordS}w : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4sv : function ({CoordS}v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4xOES : function (x : GLfixed; y : GLfixed; z : GLfixed ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertex4xvOES : function (coords : PGLfixed{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayAttribBinding : function (vaobj : GLuint; attribindex : GLuint; bindingindex : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayAttribFormat : function (vaobj : GLuint; attribindex : GLuint; size : GLint; typ : GLenum; normalized : GLboolean; relativeoffset : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayAttribIFormat : function (vaobj : GLuint; attribindex : GLuint; size : GLint; typ : GLenum; relativeoffset : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayAttribLFormat : function (vaobj : GLuint; attribindex : GLuint; size : GLint; typ : GLenum; relativeoffset : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayBindVertexBufferEXT : function (vaobj : GLuint; bindingindex : GLuint; buffer : GLuint; {BufferOffset}offset : GLintptr; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayBindingDivisor : function (vaobj : GLuint; bindingindex : GLuint; divisor : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayColorOffsetEXT : function (vaobj : GLuint; buffer : GLuint; size : GLint; {ColorPointerType}typ : GLenum; stride : GLsizei; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayEdgeFlagOffsetEXT : function (vaobj : GLuint; buffer : GLuint; stride : GLsizei; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayElementBuffer : function (vaobj : GLuint; buffer : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayFogCoordOffsetEXT : function (vaobj : GLuint; buffer : GLuint; {FogCoordinatePointerType}typ : GLenum; stride : GLsizei; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayIndexOffsetEXT : function (vaobj : GLuint; buffer : GLuint; {IndexPointerType}typ : GLenum; stride : GLsizei; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayMultiTexCoordOffsetEXT : function (vaobj : GLuint; buffer : GLuint; texunit : GLenum; size : GLint; {TexCoordPointerType}typ : GLenum; stride : GLsizei; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayNormalOffsetEXT : function (vaobj : GLuint; buffer : GLuint; {NormalPointerType}typ : GLenum; stride : GLsizei; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayParameteriAPPLE : function ({VertexArrayPNameAPPLE}pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayRangeAPPLE : function (length : GLsizei; pntr : Pointer{x length} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayRangeNV : function (length : GLsizei; pntr : Pointer{x COMPSIZE(length)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArraySecondaryColorOffsetEXT : function (vaobj : GLuint; buffer : GLuint; size : GLint; {ColorPointerType}typ : GLenum; stride : GLsizei; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayTexCoordOffsetEXT : function (vaobj : GLuint; buffer : GLuint; size : GLint; {TexCoordPointerType}typ : GLenum; stride : GLsizei; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayVertexAttribBindingEXT : function (vaobj : GLuint; attribindex : GLuint; bindingindex : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayVertexAttribDivisorEXT : function (vaobj : GLuint; index : GLuint; divisor : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayVertexAttribFormatEXT : function (vaobj : GLuint; attribindex : GLuint; size : GLint; typ : GLenum; {Boolean}normalized : GLboolean; relativeoffset : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayVertexAttribIFormatEXT : function (vaobj : GLuint; attribindex : GLuint; size : GLint; typ : GLenum; relativeoffset : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayVertexAttribIOffsetEXT : function (vaobj : GLuint; buffer : GLuint; index : GLuint; size : GLint; {VertexAttribEnum}typ : GLenum; stride : GLsizei; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayVertexAttribLFormatEXT : function (vaobj : GLuint; attribindex : GLuint; size : GLint; typ : GLenum; relativeoffset : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayVertexAttribLOffsetEXT : function (vaobj : GLuint; buffer : GLuint; index : GLuint; size : GLint; typ : GLenum; stride : GLsizei; {BufferOffset}offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayVertexAttribOffsetEXT : function (vaobj : GLuint; buffer : GLuint; index : GLuint; size : GLint; {VertexAttribPointerType}typ : GLenum; normalized : GLboolean; stride : GLsizei; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayVertexBindingDivisorEXT : function (vaobj : GLuint; bindingindex : GLuint; divisor : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayVertexBuffer : function (vaobj : GLuint; bindingindex : GLuint; buffer : GLuint; offset : GLintptr; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayVertexBuffers : function (vaobj : GLuint; first : GLuint; count : GLsizei; buffers : PGLuint; offsets : PGLintptr; strides : PGLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexArrayVertexOffsetEXT : function (vaobj : GLuint; buffer : GLuint; size : GLint; {VertexPointerType}typ : GLenum; stride : GLsizei; offset : GLintptr ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1d : function (index : GLuint; x : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1dARB : function (index : GLuint; x : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1dNV : function (index : GLuint; x : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1dv : function (index : GLuint; v : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1dvARB : function (index : GLuint; v : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1dvNV : function (index : GLuint; v : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1f : function (index : GLuint; x : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1fARB : function (index : GLuint; x : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1fNV : function (index : GLuint; x : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1fv : function (index : GLuint; v : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1fvARB : function (index : GLuint; v : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1fvNV : function (index : GLuint; v : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1hNV : function (index : GLuint; {Half16NV}x : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1hvNV : function (index : GLuint; {Half16NV}v : PGLhalfNV{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1s : function (index : GLuint; x : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1sARB : function (index : GLuint; x : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1sNV : function (index : GLuint; x : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1sv : function (index : GLuint; v : PGLshort{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1svARB : function (index : GLuint; v : PGLshort{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib1svNV : function (index : GLuint; v : PGLshort{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2d : function (index : GLuint; x : GLdouble; y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2dARB : function (index : GLuint; x : GLdouble; y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2dNV : function (index : GLuint; x : GLdouble; y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2dv : function (index : GLuint; v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2dvARB : function (index : GLuint; v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2dvNV : function (index : GLuint; v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2f : function (index : GLuint; x : GLfloat; y : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2fARB : function (index : GLuint; x : GLfloat; y : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2fNV : function (index : GLuint; x : GLfloat; y : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2fv : function (index : GLuint; v : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2fvARB : function (index : GLuint; v : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2fvNV : function (index : GLuint; v : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2hNV : function (index : GLuint; {Half16NV}x : GLhalfNV; {Half16NV}y : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2hvNV : function (index : GLuint; {Half16NV}v : PGLhalfNV{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2s : function (index : GLuint; x : GLshort; y : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2sARB : function (index : GLuint; x : GLshort; y : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2sNV : function (index : GLuint; x : GLshort; y : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2sv : function (index : GLuint; v : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2svARB : function (index : GLuint; v : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib2svNV : function (index : GLuint; v : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3d : function (index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3dARB : function (index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3dNV : function (index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3dv : function (index : GLuint; v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3dvARB : function (index : GLuint; v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3dvNV : function (index : GLuint; v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3f : function (index : GLuint; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3fARB : function (index : GLuint; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3fNV : function (index : GLuint; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3fv : function (index : GLuint; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3fvARB : function (index : GLuint; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3fvNV : function (index : GLuint; v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3hNV : function (index : GLuint; {Half16NV}x : GLhalfNV; {Half16NV}y : GLhalfNV; {Half16NV}z : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3hvNV : function (index : GLuint; {Half16NV}v : PGLhalfNV{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3s : function (index : GLuint; x : GLshort; y : GLshort; z : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3sARB : function (index : GLuint; x : GLshort; y : GLshort; z : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3sNV : function (index : GLuint; x : GLshort; y : GLshort; z : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3sv : function (index : GLuint; v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3svARB : function (index : GLuint; v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib3svNV : function (index : GLuint; v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4Nbv : function (index : GLuint; v : PGLbyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4NbvARB : function (index : GLuint; v : PGLbyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4Niv : function (index : GLuint; v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4NivARB : function (index : GLuint; v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4Nsv : function (index : GLuint; v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4NsvARB : function (index : GLuint; v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4Nub : function (index : GLuint; x : GLubyte; y : GLubyte; z : GLubyte; w : GLubyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4NubARB : function (index : GLuint; x : GLubyte; y : GLubyte; z : GLubyte; w : GLubyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4Nubv : function (index : GLuint; v : PGLubyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4NubvARB : function (index : GLuint; v : PGLubyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4Nuiv : function (index : GLuint; v : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4NuivARB : function (index : GLuint; v : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4Nusv : function (index : GLuint; v : PGLushort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4NusvARB : function (index : GLuint; v : PGLushort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4bv : function (index : GLuint; v : PGLbyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4bvARB : function (index : GLuint; v : PGLbyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4d : function (index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4dARB : function (index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4dNV : function (index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4dv : function (index : GLuint; v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4dvARB : function (index : GLuint; v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4dvNV : function (index : GLuint; v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4f : function (index : GLuint; x : GLfloat; y : GLfloat; z : GLfloat; w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4fARB : function (index : GLuint; x : GLfloat; y : GLfloat; z : GLfloat; w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4fNV : function (index : GLuint; x : GLfloat; y : GLfloat; z : GLfloat; w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4fv : function (index : GLuint; v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4fvARB : function (index : GLuint; v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4fvNV : function (index : GLuint; v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4hNV : function (index : GLuint; {Half16NV}x : GLhalfNV; {Half16NV}y : GLhalfNV; {Half16NV}z : GLhalfNV; {Half16NV}w : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4hvNV : function (index : GLuint; {Half16NV}v : PGLhalfNV{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4iv : function (index : GLuint; v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4ivARB : function (index : GLuint; v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4s : function (index : GLuint; x : GLshort; y : GLshort; z : GLshort; w : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4sARB : function (index : GLuint; x : GLshort; y : GLshort; z : GLshort; w : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4sNV : function (index : GLuint; x : GLshort; y : GLshort; z : GLshort; w : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4sv : function (index : GLuint; v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4svARB : function (index : GLuint; v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4svNV : function (index : GLuint; v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4ubNV : function (index : GLuint; {ColorUB}x : GLubyte; {ColorUB}y : GLubyte; {ColorUB}z : GLubyte; {ColorUB}w : GLubyte ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4ubv : function (index : GLuint; v : PGLubyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4ubvARB : function (index : GLuint; v : PGLubyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4ubvNV : function (index : GLuint; {ColorUB}v : PGLubyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4uiv : function (index : GLuint; v : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4uivARB : function (index : GLuint; v : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4usv : function (index : GLuint; v : PGLushort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttrib4usvARB : function (index : GLuint; v : PGLushort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribArrayObjectATI : function (index : GLuint; size : GLint; {VertexAttribPointerType}typ : GLenum; {Boolean}normalized : GLboolean; stride : GLsizei; buffer : GLuint; offset : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribBinding : function (attribindex : GLuint; bindingindex : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribDivisor : function (index : GLuint; divisor : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribDivisorANGLE : function (index : GLuint; divisor : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribDivisorARB : function (index : GLuint; divisor : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribDivisorEXT : function (index : GLuint; divisor : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribDivisorNV : function (index : GLuint; divisor : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribFormat : function (attribindex : GLuint; size : GLint; typ : GLenum; {Boolean}normalized : GLboolean; relativeoffset : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribFormatNV : function (index : GLuint; size : GLint; typ : GLenum; {Boolean}normalized : GLboolean; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI1i : function (index : GLuint; x : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI1iEXT : function (index : GLuint; x : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI1iv : function (index : GLuint; v : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI1ivEXT : function (index : GLuint; v : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI1ui : function (index : GLuint; x : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI1uiEXT : function (index : GLuint; x : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI1uiv : function (index : GLuint; v : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI1uivEXT : function (index : GLuint; v : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI2i : function (index : GLuint; x : GLint; y : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI2iEXT : function (index : GLuint; x : GLint; y : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI2iv : function (index : GLuint; v : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI2ivEXT : function (index : GLuint; v : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI2ui : function (index : GLuint; x : GLuint; y : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI2uiEXT : function (index : GLuint; x : GLuint; y : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI2uiv : function (index : GLuint; v : PGLuint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI2uivEXT : function (index : GLuint; v : PGLuint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI3i : function (index : GLuint; x : GLint; y : GLint; z : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI3iEXT : function (index : GLuint; x : GLint; y : GLint; z : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI3iv : function (index : GLuint; v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI3ivEXT : function (index : GLuint; v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI3ui : function (index : GLuint; x : GLuint; y : GLuint; z : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI3uiEXT : function (index : GLuint; x : GLuint; y : GLuint; z : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI3uiv : function (index : GLuint; v : PGLuint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI3uivEXT : function (index : GLuint; v : PGLuint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4bv : function (index : GLuint; v : PGLbyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4bvEXT : function (index : GLuint; v : PGLbyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4i : function (index : GLuint; x : GLint; y : GLint; z : GLint; w : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4iEXT : function (index : GLuint; x : GLint; y : GLint; z : GLint; w : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4iv : function (index : GLuint; v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4ivEXT : function (index : GLuint; v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4sv : function (index : GLuint; v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4svEXT : function (index : GLuint; v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4ubv : function (index : GLuint; v : PGLubyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4ubvEXT : function (index : GLuint; v : PGLubyte{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4ui : function (index : GLuint; x : GLuint; y : GLuint; z : GLuint; w : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4uiEXT : function (index : GLuint; x : GLuint; y : GLuint; z : GLuint; w : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4uiv : function (index : GLuint; v : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4uivEXT : function (index : GLuint; v : PGLuint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4usv : function (index : GLuint; v : PGLushort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribI4usvEXT : function (index : GLuint; v : PGLushort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribIFormat : function (attribindex : GLuint; size : GLint; typ : GLenum; relativeoffset : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribIFormatNV : function (index : GLuint; size : GLint; typ : GLenum; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribIPointer : function (index : GLuint; size : GLint; {VertexAttribEnum}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribIPointerEXT : function (index : GLuint; size : GLint; {VertexAttribEnum}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL1d : function (index : GLuint; x : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL1dEXT : function (index : GLuint; x : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL1dv : function (index : GLuint; v : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL1dvEXT : function (index : GLuint; v : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL1i64NV : function (index : GLuint; x : GLint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL1i64vNV : function (index : GLuint; v : PGLint64EXT{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL1ui64ARB : function (index : GLuint; x : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL1ui64NV : function (index : GLuint; x : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL1ui64vARB : function (index : GLuint; v : PGLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL1ui64vNV : function (index : GLuint; v : PGLuint64EXT{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL2d : function (index : GLuint; x : GLdouble; y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL2dEXT : function (index : GLuint; x : GLdouble; y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL2dv : function (index : GLuint; v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL2dvEXT : function (index : GLuint; v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL2i64NV : function (index : GLuint; x : GLint64EXT; y : GLint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL2i64vNV : function (index : GLuint; v : PGLint64EXT{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL2ui64NV : function (index : GLuint; x : GLuint64EXT; y : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL2ui64vNV : function (index : GLuint; v : PGLuint64EXT{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL3d : function (index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL3dEXT : function (index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL3dv : function (index : GLuint; v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL3dvEXT : function (index : GLuint; v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL3i64NV : function (index : GLuint; x : GLint64EXT; y : GLint64EXT; z : GLint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL3i64vNV : function (index : GLuint; v : PGLint64EXT{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL3ui64NV : function (index : GLuint; x : GLuint64EXT; y : GLuint64EXT; z : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL3ui64vNV : function (index : GLuint; v : PGLuint64EXT{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL4d : function (index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL4dEXT : function (index : GLuint; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL4dv : function (index : GLuint; v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL4dvEXT : function (index : GLuint; v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL4i64NV : function (index : GLuint; x : GLint64EXT; y : GLint64EXT; z : GLint64EXT; w : GLint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL4i64vNV : function (index : GLuint; v : PGLint64EXT{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL4ui64NV : function (index : GLuint; x : GLuint64EXT; y : GLuint64EXT; z : GLuint64EXT; w : GLuint64EXT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribL4ui64vNV : function (index : GLuint; v : PGLuint64EXT{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribLFormat : function (attribindex : GLuint; size : GLint; typ : GLenum; relativeoffset : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribLFormatNV : function (index : GLuint; size : GLint; typ : GLenum; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribLPointer : function (index : GLuint; size : GLint; typ : GLenum; stride : GLsizei; pntr : Pointer{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribLPointerEXT : function (index : GLuint; size : GLint; typ : GLenum; stride : GLsizei; pntr : Pointer{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribP1ui : function (index : GLuint; typ : GLenum; {Boolean}normalized : GLboolean; value : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribP1uiv : function (index : GLuint; typ : GLenum; {Boolean}normalized : GLboolean; value : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribP2ui : function (index : GLuint; typ : GLenum; {Boolean}normalized : GLboolean; value : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribP2uiv : function (index : GLuint; typ : GLenum; {Boolean}normalized : GLboolean; value : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribP3ui : function (index : GLuint; typ : GLenum; {Boolean}normalized : GLboolean; value : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribP3uiv : function (index : GLuint; typ : GLenum; {Boolean}normalized : GLboolean; value : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribP4ui : function (index : GLuint; typ : GLenum; {Boolean}normalized : GLboolean; value : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribP4uiv : function (index : GLuint; typ : GLenum; {Boolean}normalized : GLboolean; value : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribParameteriAMD : function (index : GLuint; pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribPointer : function (index : GLuint; size : GLint; {VertexAttribPointerType}typ : GLenum; {Boolean}normalized : GLboolean; stride : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribPointerARB : function (index : GLuint; size : GLint; {VertexAttribPointerType}typ : GLenum; {Boolean}normalized : GLboolean; stride : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribPointerNV : function (index : GLuint; fsize : GLint; {VertexAttribEnumNV}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(fsize,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs1dvNV : function (index : GLuint; count : GLsizei; v : PGLdouble{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs1fvNV : function (index : GLuint; count : GLsizei; v : PGLfloat{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs1hvNV : function (index : GLuint; n : GLsizei; {Half16NV}v : PGLhalfNV{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs1svNV : function (index : GLuint; count : GLsizei; v : PGLshort{x count} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs2dvNV : function (index : GLuint; count : GLsizei; v : PGLdouble{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs2fvNV : function (index : GLuint; count : GLsizei; v : PGLfloat{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs2hvNV : function (index : GLuint; n : GLsizei; {Half16NV}v : PGLhalfNV{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs2svNV : function (index : GLuint; count : GLsizei; v : PGLshort{x count*2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs3dvNV : function (index : GLuint; count : GLsizei; v : PGLdouble{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs3fvNV : function (index : GLuint; count : GLsizei; v : PGLfloat{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs3hvNV : function (index : GLuint; n : GLsizei; {Half16NV}v : PGLhalfNV{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs3svNV : function (index : GLuint; count : GLsizei; v : PGLshort{x count*3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs4dvNV : function (index : GLuint; count : GLsizei; v : PGLdouble{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs4fvNV : function (index : GLuint; count : GLsizei; v : PGLfloat{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs4hvNV : function (index : GLuint; n : GLsizei; {Half16NV}v : PGLhalfNV{x n} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs4svNV : function (index : GLuint; count : GLsizei; v : PGLshort{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexAttribs4ubvNV : function (index : GLuint; count : GLsizei; {ColorUB}v : PGLubyte{x count*4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexBindingDivisor : function (bindingindex : GLuint; divisor : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexBlendARB : function (count : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexBlendEnvfATI : function ({VertexStreamATI}pname : GLenum; param : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexBlendEnviATI : function ({VertexStreamATI}pname : GLenum; param : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexFormatNV : function (size : GLint; typ : GLenum; stride : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexP2ui : function (typ : GLenum; value : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexP2uiv : function (typ : GLenum; value : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexP3ui : function (typ : GLenum; value : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexP3uiv : function (typ : GLenum; value : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexP4ui : function (typ : GLenum; value : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexP4uiv : function (typ : GLenum; value : PGLuint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexPointer : function (size : GLint; {VertexPointerType}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexPointerEXT : function (size : GLint; {VertexPointerType}typ : GLenum; stride : GLsizei; count : GLsizei; pntr : Pointer{x COMPSIZE(size,type,stride,count)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexPointerListIBM : function (size : GLint; {VertexPointerType}typ : GLenum; stride : GLint; pntr : Pointer{x COMPSIZE(size,type,stride)}; ptrstride : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexPointervINTEL : function (size : GLint; {VertexPointerType}typ : GLenum; pntr : Pointer{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream1dATI : function ({VertexStreamATI}stream : GLenum; x : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream1dvATI : function ({VertexStreamATI}stream : GLenum; coords : PGLdouble{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream1fATI : function ({VertexStreamATI}stream : GLenum; x : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream1fvATI : function ({VertexStreamATI}stream : GLenum; coords : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream1iATI : function ({VertexStreamATI}stream : GLenum; x : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream1ivATI : function ({VertexStreamATI}stream : GLenum; coords : PGLint{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream1sATI : function ({VertexStreamATI}stream : GLenum; x : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream1svATI : function ({VertexStreamATI}stream : GLenum; coords : PGLshort{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream2dATI : function ({VertexStreamATI}stream : GLenum; x : GLdouble; y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream2dvATI : function ({VertexStreamATI}stream : GLenum; coords : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream2fATI : function ({VertexStreamATI}stream : GLenum; x : GLfloat; y : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream2fvATI : function ({VertexStreamATI}stream : GLenum; coords : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream2iATI : function ({VertexStreamATI}stream : GLenum; x : GLint; y : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream2ivATI : function ({VertexStreamATI}stream : GLenum; coords : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream2sATI : function ({VertexStreamATI}stream : GLenum; x : GLshort; y : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream2svATI : function ({VertexStreamATI}stream : GLenum; coords : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream3dATI : function ({VertexStreamATI}stream : GLenum; x : GLdouble; y : GLdouble; z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream3dvATI : function ({VertexStreamATI}stream : GLenum; coords : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream3fATI : function ({VertexStreamATI}stream : GLenum; x : GLfloat; y : GLfloat; z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream3fvATI : function ({VertexStreamATI}stream : GLenum; coords : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream3iATI : function ({VertexStreamATI}stream : GLenum; x : GLint; y : GLint; z : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream3ivATI : function ({VertexStreamATI}stream : GLenum; coords : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream3sATI : function ({VertexStreamATI}stream : GLenum; x : GLshort; y : GLshort; z : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream3svATI : function ({VertexStreamATI}stream : GLenum; coords : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream4dATI : function ({VertexStreamATI}stream : GLenum; x : GLdouble; y : GLdouble; z : GLdouble; w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream4dvATI : function ({VertexStreamATI}stream : GLenum; coords : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream4fATI : function ({VertexStreamATI}stream : GLenum; x : GLfloat; y : GLfloat; z : GLfloat; w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream4fvATI : function ({VertexStreamATI}stream : GLenum; coords : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream4iATI : function ({VertexStreamATI}stream : GLenum; x : GLint; y : GLint; z : GLint; w : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream4ivATI : function ({VertexStreamATI}stream : GLenum; coords : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream4sATI : function ({VertexStreamATI}stream : GLenum; x : GLshort; y : GLshort; z : GLshort; w : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexStream4svATI : function ({VertexStreamATI}stream : GLenum; coords : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexWeightPointerEXT : function (size : GLint; {VertexWeightPointerTypeEXT}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexWeightfEXT : function (weight : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexWeightfvEXT : function (weight : PGLfloat{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexWeighthNV : function ({Half16NV}weight : GLhalfNV ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVertexWeighthvNV : function ({Half16NV}weight : PGLhalfNV{x1} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVideoCaptureNV : function (video_capture_slot : GLuint; sequence_num : PGLuint; capture_time : PGLuint64EXT ) : GLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVideoCaptureStreamParameterdvNV : function (video_capture_slot : GLuint; stream : GLuint; pname : GLenum; params : PGLdouble{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVideoCaptureStreamParameterfvNV : function (video_capture_slot : GLuint; stream : GLuint; pname : GLenum; params : PGLfloat{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glVideoCaptureStreamParameterivNV : function (video_capture_slot : GLuint; stream : GLuint; pname : GLenum; params : PGLint{x COMPSIZE(pname)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glViewport : function ({WinCoord}x : GLint; {WinCoord}y : GLint; width : GLsizei; height : GLsizei ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glViewportArrayv : function (first : GLuint; count : GLsizei; v : PGLfloat{x COMPSIZE(count)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glViewportIndexedf : function (index : GLuint; x : GLfloat; y : GLfloat; w : GLfloat; h : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glViewportIndexedfv : function (index : GLuint; v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWaitSync : function ({sync}sync : GLsync; flags : GLbitfield; timeout : GLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWaitSyncAPPLE : function (sync : GLsync; flags : GLbitfield; timeout : GLuint64 ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWeightPathsNV : function ({Path}resultPath : GLuint; numPaths : GLsizei; {Path}paths : PGLuint{x numPaths}; weights : PGLfloat{x numPaths} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWeightPointerARB : function (size : GLint; {WeightPointerTypeARB}typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWeightPointerOES : function (size : GLint; typ : GLenum; stride : GLsizei; pntr : Pointer{x COMPSIZE(type,stride)} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWeightbvARB : function (size : GLint; weights : PGLbyte{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWeightdvARB : function (size : GLint; weights : PGLdouble{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWeightfvARB : function (size : GLint; weights : PGLfloat{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWeightivARB : function (size : GLint; weights : PGLint{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWeightsvARB : function (size : GLint; weights : PGLshort{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWeightubvARB : function (size : GLint; weights : PGLubyte{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWeightuivARB : function (size : GLint; weights : PGLuint{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWeightusvARB : function (size : GLint; weights : PGLushort{x size} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2d : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2dARB : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2dMESA : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2dv : function ({CoordD}v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2dvARB : function ({CoordD}v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2dvMESA : function ({CoordD}v : PGLdouble{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2f : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2fARB : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2fMESA : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2fv : function ({CoordF}v : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2fvARB : function ({CoordF}v : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2fvMESA : function ({CoordF}v : PGLfloat{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2i : function ({CoordI}x : GLint; {CoordI}y : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2iARB : function ({CoordI}x : GLint; {CoordI}y : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2iMESA : function ({CoordI}x : GLint; {CoordI}y : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2iv : function ({CoordI}v : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2ivARB : function ({CoordI}v : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2ivMESA : function ({CoordI}v : PGLint{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2s : function ({CoordS}x : GLshort; {CoordS}y : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2sARB : function ({CoordS}x : GLshort; {CoordS}y : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2sMESA : function ({CoordS}x : GLshort; {CoordS}y : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2sv : function ({CoordS}v : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2svARB : function ({CoordS}v : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos2svMESA : function ({CoordS}v : PGLshort{x2} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3d : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble; {CoordD}z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3dARB : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble; {CoordD}z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3dMESA : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble; {CoordD}z : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3dv : function ({CoordD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3dvARB : function ({CoordD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3dvMESA : function ({CoordD}v : PGLdouble{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3f : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat; {CoordF}z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3fARB : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat; {CoordF}z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3fMESA : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat; {CoordF}z : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3fv : function ({CoordF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3fvARB : function ({CoordF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3fvMESA : function ({CoordF}v : PGLfloat{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3i : function ({CoordI}x : GLint; {CoordI}y : GLint; {CoordI}z : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3iARB : function ({CoordI}x : GLint; {CoordI}y : GLint; {CoordI}z : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3iMESA : function ({CoordI}x : GLint; {CoordI}y : GLint; {CoordI}z : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3iv : function ({CoordI}v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3ivARB : function ({CoordI}v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3ivMESA : function ({CoordI}v : PGLint{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3s : function ({CoordS}x : GLshort; {CoordS}y : GLshort; {CoordS}z : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3sARB : function ({CoordS}x : GLshort; {CoordS}y : GLshort; {CoordS}z : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3sMESA : function ({CoordS}x : GLshort; {CoordS}y : GLshort; {CoordS}z : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3sv : function ({CoordS}v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3svARB : function ({CoordS}v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos3svMESA : function ({CoordS}v : PGLshort{x3} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos4dMESA : function ({CoordD}x : GLdouble; {CoordD}y : GLdouble; {CoordD}z : GLdouble; {CoordD}w : GLdouble ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos4dvMESA : function ({CoordD}v : PGLdouble{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos4fMESA : function ({CoordF}x : GLfloat; {CoordF}y : GLfloat; {CoordF}z : GLfloat; {CoordF}w : GLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos4fvMESA : function ({CoordF}v : PGLfloat{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos4iMESA : function ({CoordI}x : GLint; {CoordI}y : GLint; {CoordI}z : GLint; {CoordI}w : GLint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos4ivMESA : function ({CoordI}v : PGLint{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos4sMESA : function ({CoordS}x : GLshort; {CoordS}y : GLshort; {CoordS}z : GLshort; {CoordS}w : GLshort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWindowPos4svMESA : function ({CoordS}v : PGLshort{x4} ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glWriteMaskEXT : function (res : GLuint; input : GLuint; {VertexShaderWriteMaskEXT}outX : GLenum; {VertexShaderWriteMaskEXT}outY : GLenum; {VertexShaderWriteMaskEXT}outZ : GLenum; {VertexShaderWriteMaskEXT}outW : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCoverageModulationNV : function (components : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glCoverageModulationTableNV : function (n : GLsizei; v : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFragmentCoverageColorNV : function (color : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glFramebufferSampleLocationsfvNV : function (target : GLenum; start_index : GLuint; count : GLsizei; v : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glGetCoverageModulationTableNV : function (bufsize : GLsizei; v : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glNamedFramebufferSampleLocationsfvNV : function (framebuffer : GLuint; start_index : GLuint; count : GLsizei; v : PGLfloat ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glRasterSamplesEXT : function (samples : GLuint; fixedsamplelocations : GLboolean ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glResolveDepthValuesNV : function ( ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  glSubpixelPrecisionBiasNV : function (xbits : GLuint; ybits : GLuint ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};

{$ifdef MSWINDOWS}
  ChoosePixelFormat : function (DC : HDC; pPfd : PPointer ) : integer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  DescribePixelFormat : function (DC : HDC; ipfd : integer; cjpfd : UINT; ppfd : PPointer ) : integer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  GetPixelFormat : function (DC : HDC ) : integer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  SetPixelFormat : function (DC : HDC; ipfd : integer; ppfd : PPointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  SwapBuffers : function (DC : HDC ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglAllocateMemoryNV : function (size : GLsizei; readfreq : GLfloat; writefreq : GLfloat; priority : GLfloat ) : PGLvoid; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglAssociateImageBufferEventsI3D : function (DC : HDC; pEvent : PPointer; pAddress : PPVOID; pSize : PDWORD; count : UINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglBeginFrameTrackingI3D : function ( ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglBindDisplayColorTableEXT : function (id : GLushort ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglBindSwapBarrierNV : function (group : GLuint; barrier : GLuint ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglBindTexImageARB : function (hPbuffer : Pointer; iBuffer : integer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglBindVideoCaptureDeviceNV : function (uVideoSlot : UINT; hDevice : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglBindVideoDeviceNV : function (DC : HDC; uVideoSlot : LongWord; hVideoDevice : Pointer; piAttribList : Pinteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglBindVideoImageNV : function (hVideoDevice : Pointer; hPbuffer : Pointer; iVideoBuffer : integer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglBlitContextFramebufferAMD : function (dstCtx : HGLRC; srcX0 : GLint; srcY0 : GLint; srcX1 : GLint; srcY1 : GLint; dstX0 : GLint; dstY0 : GLint; dstX1 : GLint; dstY1 : GLint; mask : GLbitfield; filter : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglChoosePixelFormatARB : function (DC : HDC; piAttribIList : Pinteger; pfAttribFList : PSingle; nMaxFormats : UINT; piFormats : Pinteger; nNumFormats : PUINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglChoosePixelFormatEXT : function (DC : HDC; piAttribIList : Pinteger; pfAttribFList : PSingle; nMaxFormats : UINT; piFormats : Pinteger; nNumFormats : PUINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCopyContext : function (hglrcSrc : HGLRC; hglrcDst : HGLRC; mask : UINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCopyImageSubDataNV : function (hSrcRC : HGLRC; srcName : GLuint; srcTarget : GLenum; srcLevel : GLint; srcX : GLint; srcY : GLint; srcZ : GLint; hDstRC : HGLRC; dstName : GLuint; dstTarget : GLenum; dstLevel : GLint; dstX : GLint; dstY : GLint; dstZ : GLint; width : GLsizei; height : GLsizei; depth : GLsizei ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCreateAffinityDCNV : function (phGpuList : PPointer ) : HDC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCreateAssociatedContextAMD : function (id : UINT ) : HGLRC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCreateAssociatedContextAttribsAMD : function (id : UINT; hShareContext : HGLRC; attribList : Pinteger ) : HGLRC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCreateBufferRegionARB : function (DC : HDC; iLayerPlane : integer; uType : UINT ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCreateContext : function (DC : HDC ) : HGLRC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCreateContextAttribsARB : function (DC : HDC; hShareContext : HGLRC; attribList : Pinteger ) : HGLRC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCreateDisplayColorTableEXT : function (id : GLushort ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCreateImageBufferI3D : function (DC : HDC; dwSize : DWORD; uFlags : UINT ) : PVOID; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCreateLayerContext : function (DC : HDC; level : integer ) : HGLRC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCreatePbufferARB : function (DC : HDC; iPixelFormat : integer; iWidth : integer; iHeight : integer; piAttribList : Pinteger ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglCreatePbufferEXT : function (DC : HDC; iPixelFormat : integer; iWidth : integer; iHeight : integer; piAttribList : Pinteger ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDelayBeforeSwapNV : function (DC : HDC; seconds : GLfloat ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDeleteAssociatedContextAMD : function (hglrc_ : HGLRC ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDeleteBufferRegionARB : function (hRegion : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDeleteContext : function (oldContext : HGLRC ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDeleteDCNV : function (DC : HDC ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDescribeLayerPlane : function (DC : HDC; pixelFormat : integer; layerPlane : integer; nBytes : UINT; plpd : PLAYERPLANEDESCRIPTOR ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDestroyDisplayColorTableEXT : function (id : GLushort ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDestroyImageBufferI3D : function (DC : HDC; pAddress : PVOID ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDestroyPbufferARB : function (hPbuffer : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDestroyPbufferEXT : function (hPbuffer : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDisableFrameLockI3D : function ( ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDisableGenlockI3D : function (DC : HDC ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDXCloseDeviceNV : function (hDevice : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDXLockObjectsNV : function (hDevice : Pointer; count : GLint; hObjects : PPointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDXObjectAccessNV : function (hObject : Pointer; access : GLenum ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDXOpenDeviceNV : function (dxDevice : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDXRegisterObjectNV : function (hDevice : Pointer; dxObject : Pointer; name : GLuint; typ : GLenum; access : GLenum ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDXSetResourceShareHandleNV : function (dxObject : Pointer; shareHandle : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDXUnlockObjectsNV : function (hDevice : Pointer; count : GLint; hObjects : PPointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglDXUnregisterObjectNV : function (hDevice : Pointer; hObject : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglEnableFrameLockI3D : function ( ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglEnableGenlockI3D : function (DC : HDC ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglEndFrameTrackingI3D : function ( ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglEnumerateVideoCaptureDevicesNV : function (DC : HDC; phDeviceList : PPointer ) : UINT; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglEnumerateVideoDevicesNV : function (DC : HDC; phDeviceList : PPointer ) : integer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglEnumGpuDevicesNV : function (hGpu : Pointer; iDeviceIndex : UINT; lpGpuDevice : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglEnumGpusFromAffinityDCNV : function (hAffinityDC : HDC; iGpuIndex : UINT; hGpu : PPointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglEnumGpusNV : function (iGpuIndex : UINT; phGpu : PPointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglFreeMemoryNV : function (pntr : Pointer ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGenlockSampleRateI3D : function (DC : HDC; uRate : UINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGenlockSourceDelayI3D : function (DC : HDC; uDelay : UINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGenlockSourceEdgeI3D : function (DC : HDC; uEdge : UINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGenlockSourceI3D : function (DC : HDC; uSource : UINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetContextGPUIDAMD : function (hglrc_ : HGLRC ) : UINT; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetCurrentAssociatedContextAMD : function ( ) : HGLRC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetCurrentContext : function ( ) : HGLRC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetCurrentDC : function ( ) : HDC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetCurrentReadDCARB : function ( ) : HDC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetCurrentReadDCEXT : function ( ) : HDC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetDigitalVideoParametersI3D : function (DC : HDC; iAttribute : integer; piValue : Pinteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  GetEnhMetaFilePixelFormat : function (hemf : Pointer; ppfd : PPointer ) : UINT; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetExtensionsStringARB : function (DC : HDC ) : PAnsiChar; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetExtensionsStringEXT : function ( ) : PAnsiChar; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetFrameUsageI3D : function (pUsage : PSingle ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetGammaTableI3D : function (DC : HDC; iEntries : integer; puRed : PUSHORT; puGreen : PUSHORT; puBlue : PUSHORT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetGammaTableParametersI3D : function (DC : HDC; iAttribute : integer; piValue : Pinteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetGenlockSampleRateI3D : function (DC : HDC; uRate : PUINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetGenlockSourceDelayI3D : function (DC : HDC; uDelay : PUINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetGenlockSourceEdgeI3D : function (DC : HDC; uEdge : PUINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetGenlockSourceI3D : function (DC : HDC; uSource : PUINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetGPUIDsAMD : function (maxCount : UINT; ids : PUINT ) : UINT; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetGPUInfoAMD : function (id : UINT; prop : integer; dataType : GLenum; size : UINT; data : Pointer ) : integer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetLayerPaletteEntries : function (DC : HDC; iLayerPlane : integer; iStart : integer; cEntries : integer; pcr : Pointer ) : integer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetMscRateOML : function (DC : HDC; numerator : PInteger; denominator : PInteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetPbufferDCARB : function (hPbuffer : Pointer ) : HDC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetPbufferDCEXT : function (hPbuffer : Pointer ) : HDC; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetPixelFormatAttribfvARB : function (DC : HDC; iPixelFormat : integer; iLayerPlane : integer; nAttributes : UINT; piAttributes : Pinteger; pfValues : PSingle ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetPixelFormatAttribfvEXT : function (DC : HDC; iPixelFormat : integer; iLayerPlane : integer; nAttributes : UINT; piAttributes : Pinteger; pfValues : PSingle ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetPixelFormatAttribivARB : function (DC : HDC; iPixelFormat : integer; iLayerPlane : integer; nAttributes : UINT; piAttributes : Pinteger; piValues : Pinteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetPixelFormatAttribivEXT : function (DC : HDC; iPixelFormat : integer; iLayerPlane : integer; nAttributes : UINT; piAttributes : Pinteger; piValues : Pinteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetProcAddress : function (lpszProc : PAnsiChar ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetSwapIntervalEXT : function ( ) : integer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetSyncValuesOML : function (DC : HDC; ust : PINT64; msc : PINT64; sbc : PINT64 ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetVideoDeviceNV : function (DC : HDC; numDevices : integer; hVideoDevice : PPointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglGetVideoInfoNV : function (hpVideoDevice : Pointer; pulCounterOutputPbuffer : PLongWord; pulCounterOutputVideo : PLongWord ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglIsEnabledFrameLockI3D : function (pFlag : PLongBool ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglIsEnabledGenlockI3D : function (DC : HDC; pFlag : PLongBool ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglJoinSwapGroupNV : function (DC : HDC; group : GLuint ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglLoadDisplayColorTableEXT : function (table : PGLushort; length : GLuint ) : GLboolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglLockVideoCaptureDeviceNV : function (DC : HDC; hDevice : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglMakeAssociatedContextCurrentAMD : function (hglrc_ : HGLRC ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglMakeContextCurrentARB : function (hDrawDC : HDC; hReadDC : HDC; hglrc_ : HGLRC ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglMakeContextCurrentEXT : function (hDrawDC : HDC; hReadDC : HDC; hglrc_ : HGLRC ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglMakeCurrent : function (DC : HDC; newContext : HGLRC ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglQueryCurrentContextNV : function (iAttribute : integer; piValue : Pinteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglQueryFrameCountNV : function (DC : HDC; count : PGLuint ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglQueryFrameLockMasterI3D : function (pFlag : PLongBool ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglQueryFrameTrackingI3D : function (pFrameCount : PDWORD; pMissedFrames : PDWORD; pLastMissedUsage : PSingle ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglQueryGenlockMaxSourceDelayI3D : function (DC : HDC; uMaxLineDelay : PUINT; uMaxPixelDelay : PUINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglQueryMaxSwapGroupsNV : function (DC : HDC; maxGroups : PGLuint; maxBarriers : PGLuint ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglQueryPbufferARB : function (hPbuffer : Pointer; iAttribute : integer; piValue : Pinteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglQueryPbufferEXT : function (hPbuffer : Pointer; iAttribute : integer; piValue : Pinteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglQuerySwapGroupNV : function (DC : HDC; group : PGLuint; barrier : PGLuint ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglQueryVideoCaptureDeviceNV : function (DC : HDC; hDevice : Pointer; iAttribute : integer; piValue : Pinteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglRealizeLayerPalette : function (DC : HDC; iLayerPlane : integer; bRealize : LongBool ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglReleaseImageBufferEventsI3D : function (DC : HDC; pAddress : PPVOID; count : UINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglReleasePbufferDCARB : function (hPbuffer : Pointer; DC : HDC ) : integer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglReleasePbufferDCEXT : function (hPbuffer : Pointer; DC : HDC ) : integer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglReleaseTexImageARB : function (hPbuffer : Pointer; iBuffer : integer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglReleaseVideoCaptureDeviceNV : function (DC : HDC; hDevice : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglReleaseVideoDeviceNV : function (hVideoDevice : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglReleaseVideoImageNV : function (hPbuffer : Pointer; iVideoBuffer : integer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglResetFrameCountNV : function (DC : HDC ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglRestoreBufferRegionARB : function (hRegion : Pointer; x : integer; y : integer; width : integer; height : integer; xSrc : integer; ySrc : integer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglSaveBufferRegionARB : function (hRegion : Pointer; x : integer; y : integer; width : integer; height : integer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglSendPbufferToVideoNV : function (hPbuffer : Pointer; iBufferType : integer; pulCounterPbuffer : PLongWord; bBlock : LongBool ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglSetDigitalVideoParametersI3D : function (DC : HDC; iAttribute : integer; piValue : Pinteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglSetGammaTableI3D : function (DC : HDC; iEntries : integer; puRed : PUSHORT; puGreen : PUSHORT; puBlue : PUSHORT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglSetGammaTableParametersI3D : function (DC : HDC; iAttribute : integer; piValue : Pinteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglSetLayerPaletteEntries : function (DC : HDC; iLayerPlane : integer; iStart : integer; cEntries : integer; pcr : Pointer ) : integer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglSetPbufferAttribARB : function (hPbuffer : Pointer; piAttribList : Pinteger ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglSetStereoEmitterState3DL : function (DC : HDC; uState : UINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglShareLists : function (hrcSrvShare : HGLRC; hrcSrvSource : HGLRC ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglSwapBuffersMscOML : function (DC : HDC; target_msc : INT64; divisor : INT64; remainder : INT64 ) : INT64; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglSwapLayerBuffers : function (DC : HDC; fuFlags : UINT ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglSwapIntervalEXT : function (interval : integer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglSwapLayerBuffersMscOML : function (DC : HDC; fuPlanes : integer; target_msc : INT64; divisor : INT64; remainder : INT64 ) : INT64; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglUseFontBitmaps : function (DC : HDC; first : DWORD; count : DWORD; listBase : DWORD ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglUseFontBitmapsA : function (DC : HDC; first : DWORD; count : DWORD; listBase : DWORD ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglUseFontBitmapsW : function (DC : HDC; first : DWORD; count : DWORD; listBase : DWORD ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglUseFontOutlines : function (DC : HDC; first : DWORD; count : DWORD; listBase : DWORD; deviation : Single; extrusion : Single; format : integer; lpgmf : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglUseFontOutlinesA : function (DC : HDC; first : DWORD; count : DWORD; listBase : DWORD; deviation : Single; extrusion : Single; format : integer; lpgmf : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglUseFontOutlinesW : function (DC : HDC; first : DWORD; count : DWORD; listBase : DWORD; deviation : Single; extrusion : Single; format : integer; lpgmf : Pointer ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglWaitForMscOML : function (DC : HDC; target_msc : INT64; divisor : INT64; remainder : INT64; ust : PINT64; msc : PINT64; sbc : PINT64 ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  wglWaitForSbcOML : function (DC : HDC; target_sbc : INT64; ust : PINT64; msc : PINT64; sbc : PINT64 ) : LongBool; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};

{$endif}
  eglBindAPI : function (api : EGLenum ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglBindTexImage : function (dpy : EGLDisplay; surface : EGLSurface; buffer : EGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglChooseConfig : function (dpy : EGLDisplay; attrib_list : PEGLint; configs : PEGLConfig; config_size : EGLint; num_config : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglClientWaitSync : function (dpy : EGLDisplay; sync : EGLSync; flags : EGLint; timeout : EGLTime ) : EGLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglClientWaitSyncKHR : function (dpy : EGLDisplay; sync : EGLSyncKHR; flags : EGLint; timeout : EGLTimeKHR ) : EGLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglClientWaitSyncNV : function (sync : EGLSyncNV; flags : EGLint; timeout : EGLTimeNV ) : EGLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCopyBuffers : function (dpy : EGLDisplay; surface : EGLSurface; target : EGLNativePixmapType ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateContext : function (dpy : EGLDisplay; config : EGLConfig; share_context : EGLContext; attrib_list : PEGLint ) : EGLContext; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateDRMImageMESA : function (dpy : EGLDisplay; attrib_list : PEGLint ) : EGLImageKHR; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateFenceSyncNV : function (dpy : EGLDisplay; condition : EGLenum; attrib_list : PEGLint ) : EGLSyncNV; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateImage : function (dpy : EGLDisplay; ctx : EGLContext; target : EGLenum; buffer : EGLClientBuffer; attrib_list : PEGLint ) : EGLImage; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateImageKHR : function (dpy : EGLDisplay; ctx : EGLContext; target : EGLenum; buffer : EGLClientBuffer; attrib_list : PEGLint ) : EGLImageKHR; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreatePbufferFromClientBuffer : function (dpy : EGLDisplay; buftype : EGLenum; buffer : EGLClientBuffer; config : EGLConfig; attrib_list : PEGLint ) : EGLSurface; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreatePbufferSurface : function (dpy : EGLDisplay; config : EGLConfig; attrib_list : PEGLint ) : EGLSurface; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreatePixmapSurface : function (dpy : EGLDisplay; config : EGLConfig; pixmap : EGLNativePixmapType; attrib_list : PEGLint ) : EGLSurface; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreatePixmapSurfaceHI : function (dpy : EGLDisplay; config : EGLConfig; pixmap : PEGLClientPixmapHI ) : EGLSurface; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreatePlatformPixmapSurface : function (dpy : EGLDisplay; config : EGLConfig; native_pixmap : Pointer; attrib_list : PEGLAttrib ) : EGLSurface; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreatePlatformPixmapSurfaceEXT : function (dpy : EGLDisplay; config : EGLConfig; native_pixmap : Pointer; attrib_list : PEGLint ) : EGLSurface; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreatePlatformWindowSurface : function (dpy : EGLDisplay; config : EGLConfig; native_window : Pointer; attrib_list : PEGLAttrib ) : EGLSurface; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreatePlatformWindowSurfaceEXT : function (dpy : EGLDisplay; config : EGLConfig; native_window : Pointer; attrib_list : PEGLint ) : EGLSurface; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateStreamFromFileDescriptorKHR : function (dpy : EGLDisplay; file_descriptor : EGLNativeFileDescriptorKHR ) : EGLStreamKHR; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateStreamKHR : function (dpy : EGLDisplay; attrib_list : PEGLint ) : EGLStreamKHR; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateStreamProducerSurfaceKHR : function (dpy : EGLDisplay; config : EGLConfig; stream : EGLStreamKHR; attrib_list : PEGLint ) : EGLSurface; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateStreamSyncNV : function (dpy : EGLDisplay; stream : EGLStreamKHR; typ : EGLenum; attrib_list : PEGLint ) : EGLSyncKHR; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateSync : function (dpy : EGLDisplay; typ : EGLenum; attrib_list : PEGLAttrib ) : EGLSync; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateSyncKHR : function (dpy : EGLDisplay; typ : EGLenum; attrib_list : PEGLint ) : EGLSyncKHR; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateSync64KHR : function (dpy : EGLDisplay; typ : EGLenum; attrib_list : PEGLAttribKHR ) : EGLSyncKHR; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglCreateWindowSurface : function (dpy : EGLDisplay; config : EGLConfig; win : EGLNativeWindowType; attrib_list : PEGLint ) : EGLSurface; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglDestroyContext : function (dpy : EGLDisplay; ctx : EGLContext ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglDestroyImage : function (dpy : EGLDisplay; image : EGLImage ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglDestroyImageKHR : function (dpy : EGLDisplay; image : EGLImageKHR ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglDestroyStreamKHR : function (dpy : EGLDisplay; stream : EGLStreamKHR ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglDestroySurface : function (dpy : EGLDisplay; surface : EGLSurface ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglDestroySync : function (dpy : EGLDisplay; sync : EGLSync ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglDestroySyncKHR : function (dpy : EGLDisplay; sync : EGLSyncKHR ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglDestroySyncNV : function (sync : EGLSyncNV ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglDupNativeFenceFDANDROID : function (dpy : EGLDisplay; sync : EGLSyncKHR ) : EGLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglExportDRMImageMESA : function (dpy : EGLDisplay; image : EGLImageKHR; name : PEGLint; handle : PEGLint; stride : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglFenceNV : function (sync : EGLSyncNV ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetConfigAttrib : function (dpy : EGLDisplay; config : EGLConfig; attribute : EGLint; value : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetConfigs : function (dpy : EGLDisplay; configs : PEGLConfig; config_size : EGLint; num_config : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetCurrentContext : function ( ) : EGLContext; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetCurrentDisplay : function ( ) : EGLDisplay; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetCurrentSurface : function (readdraw : EGLint ) : EGLSurface; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetDisplay : function (display_id : EGLNativeDisplayType ) : EGLDisplay; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetError : function ( ) : EGLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetOutputLayersEXT : function (dpy : EGLDisplay; attrib_list : PEGLAttrib; layers : PEGLOutputLayerEXT; max_layers : EGLint; num_layers : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetOutputPortsEXT : function (dpy : EGLDisplay; attrib_list : PEGLAttrib; ports : PEGLOutputPortEXT; max_ports : EGLint; num_ports : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetPlatformDisplay : function (platform : EGLenum; native_display : Pointer; attrib_list : PEGLAttrib ) : EGLDisplay; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetPlatformDisplayEXT : function (platform : EGLenum; native_display : Pointer; attrib_list : PEGLint ) : EGLDisplay; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetProcAddress : function (procname : PAnsiChar ) : __eglMustCastToProperFunctionPointerType; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetStreamFileDescriptorKHR : function (dpy : EGLDisplay; stream : EGLStreamKHR ) : EGLNativeFileDescriptorKHR; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetSyncAttrib : function (dpy : EGLDisplay; sync : EGLSync; attribute : EGLint; value : PEGLAttrib ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetSyncAttribKHR : function (dpy : EGLDisplay; sync : EGLSyncKHR; attribute : EGLint; value : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetSyncAttribNV : function (sync : EGLSyncNV; attribute : EGLint; value : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetSystemTimeFrequencyNV : function ( ) : EGLuint64NV; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglGetSystemTimeNV : function ( ) : EGLuint64NV; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglInitialize : function (dpy : EGLDisplay; major : PEGLint; minor : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglLockSurfaceKHR : function (dpy : EGLDisplay; surface : EGLSurface; attrib_list : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglMakeCurrent : function (dpy : EGLDisplay; draw : EGLSurface; read : EGLSurface; ctx : EGLContext ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglOutputLayerAttribEXT : function (dpy : EGLDisplay; layer : EGLOutputLayerEXT; attribute : EGLint; value : EGLAttrib ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglOutputPortAttribEXT : function (dpy : EGLDisplay; port : EGLOutputPortEXT; attribute : EGLint; value : EGLAttrib ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglPostSubBufferNV : function (dpy : EGLDisplay; surface : EGLSurface; x : EGLint; y : EGLint; width : EGLint; height : EGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryAPI : function ( ) : EGLenum; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryContext : function (dpy : EGLDisplay; ctx : EGLContext; attribute : EGLint; value : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryDeviceAttribEXT : function (device : EGLDeviceEXT; attribute : EGLint; value : PEGLAttrib ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryDeviceStringEXT : function (device : EGLDeviceEXT; name : EGLint ) : PAnsiChar; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryDevicesEXT : function (max_devices : EGLint; devices : PEGLDeviceEXT; num_devices : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryDisplayAttribEXT : function (dpy : EGLDisplay; attribute : EGLint; value : PEGLAttrib ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryNativeDisplayNV : function (dpy : EGLDisplay; display_id : PEGLNativeDisplayType ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryNativePixmapNV : function (dpy : EGLDisplay; surf : EGLSurface; pixmap : PEGLNativePixmapType ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryNativeWindowNV : function (dpy : EGLDisplay; surf : EGLSurface; window : PEGLNativeWindowType ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryOutputLayerAttribEXT : function (dpy : EGLDisplay; layer : EGLOutputLayerEXT; attribute : EGLint; value : PEGLAttrib ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryOutputLayerStringEXT : function (dpy : EGLDisplay; layer : EGLOutputLayerEXT; name : EGLint ) : PAnsiChar; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryOutputPortAttribEXT : function (dpy : EGLDisplay; port : EGLOutputPortEXT; attribute : EGLint; value : PEGLAttrib ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryOutputPortStringEXT : function (dpy : EGLDisplay; port : EGLOutputPortEXT; name : EGLint ) : PAnsiChar; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryStreamKHR : function (dpy : EGLDisplay; stream : EGLStreamKHR; attribute : EGLenum; value : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryStreamTimeKHR : function (dpy : EGLDisplay; stream : EGLStreamKHR; attribute : EGLenum; value : PEGLTimeKHR ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryStreamu64KHR : function (dpy : EGLDisplay; stream : EGLStreamKHR; attribute : EGLenum; value : PEGLuint64KHR ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQueryString : function (dpy : EGLDisplay; name : EGLint ) : PAnsiChar; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQuerySurface : function (dpy : EGLDisplay; surface : EGLSurface; attribute : EGLint; value : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQuerySurface64KHR : function (dpy : EGLDisplay; surface : EGLSurface; attribute : EGLint; value : PEGLAttribKHR ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglQuerySurfacePointerANGLE : function (dpy : EGLDisplay; surface : EGLSurface; attribute : EGLint; value : Pointer ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglReleaseTexImage : function (dpy : EGLDisplay; surface : EGLSurface; buffer : EGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglReleaseThread : function ( ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglSetBlobCacheFuncsANDROID : function (dpy : EGLDisplay; setfunc : EGLSetBlobFuncANDROID; getfunc : EGLGetBlobFuncANDROID ) : Pointer; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglSignalSyncKHR : function (dpy : EGLDisplay; sync : EGLSyncKHR; mode : EGLenum ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglSignalSyncNV : function (sync : EGLSyncNV; mode : EGLenum ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglStreamAttribKHR : function (dpy : EGLDisplay; stream : EGLStreamKHR; attribute : EGLenum; value : EGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglStreamConsumerAcquireKHR : function (dpy : EGLDisplay; stream : EGLStreamKHR ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglStreamConsumerGLTextureExternalKHR : function (dpy : EGLDisplay; stream : EGLStreamKHR ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglStreamConsumerOutputEXT : function (dpy : EGLDisplay; stream : EGLStreamKHR; layer : EGLOutputLayerEXT ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglStreamConsumerReleaseKHR : function (dpy : EGLDisplay; stream : EGLStreamKHR ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglSurfaceAttrib : function (dpy : EGLDisplay; surface : EGLSurface; attribute : EGLint; value : EGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglSwapBuffers : function (dpy : EGLDisplay; surface : EGLSurface ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglSwapBuffersWithDamageEXT : function (dpy : EGLDisplay; surface : EGLSurface; rects : PEGLint; n_rects : EGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglSwapBuffersRegionNOK : function (dpy : EGLDisplay; surface : EGLSurface; numRects : EGLint; rects : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglSwapBuffersRegion2NOK : function (dpy : EGLDisplay; surface : EGLSurface; numRects : EGLint; rects : PEGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglSwapInterval : function (dpy : EGLDisplay; interval : EGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglTerminate : function (dpy : EGLDisplay ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglUnlockSurfaceKHR : function (dpy : EGLDisplay; surface : EGLSurface ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglWaitClient : function ( ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglWaitGL : function ( ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglWaitNative : function (engine : EGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglWaitSync : function (dpy : EGLDisplay; sync : EGLSync; flags : EGLint ) : EGLBoolean; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};
  eglWaitSyncKHR : function (dpy : EGLDisplay; sync : EGLSyncKHR; flags : EGLint ) : EGLint; {$ifdef MSWINDOWS} stdcall {$else} cdecl {$endif};

{#APIS_END#}

  OpenGLVersionString : string;
  EGLMode : Boolean;

{#HELPER_INTF_BEGIN#}
{$ifdef MSWINDOWS}
procedure LoadWGLCommands(getProc : TGetProcFunc);
procedure LoadWGLExtensionCommands(getProc : TGetProcFunc; exts : string);
procedure ClearWGLCommands();
{$endif}
{$if Defined(MSWINDOWS) or Defined(ANDROID)}
procedure LoadEGLCommands(getProc : TGetProcFunc);
procedure LoadEGLExtensionCommands(Display : EGLDisplay; getProc : TGetProcFunc; exts : string);
procedure ClearEGLCommands();
{$ifend}
procedure LoadOpenGL_Commands(getProc : TGetProcFunc; TargetMajorVersion, TargetMinorVersion : integer);
procedure ClearOpenGL_Commands();
procedure LoadOpenGLES_Commands(getProc : TGetProcFunc; TargetMajorVersion, TargetMinorVersion : integer);
procedure ClearOpenGLES_Commands();
procedure ClearCommands();
procedure LoadOpenGL_ExtensionCommands(getProc : TGetProcFunc; exts : string; TargetMajorVersion, TargetMinorVersion : integer);
procedure ClearOpenGL_ExtensionCommands();
procedure LoadOpenGLES_ExtensionCommands(getProc : TGetProcFunc; exts : string; TargetMajorVersion, TargetMinorVersion : integer);
procedure ClearOpenGLES_ExtensionCommands();
{#HELPER_INTF_END#}

implementation
uses
  System.SysUtils
  ;

{#HELPER_IMPL_BEGIN#}
procedure LoadOpenGL_Commands(getProc : TGetProcFunc; TargetMajorVersion, TargetMinorVersion : integer);
begin
  {GL_VERSION_1_0}
  GL_VERSION_1_0 := (TargetMajorVersion > 1) or ((TargetMajorVersion = 1) and (TargetMinorVersion >= 0));
  if GL_VERSION_1_0 then
  begin
    glCullFace := getProc('glCullFace',1, 0, GL_VERSION_1_0);
    glFrontFace := getProc('glFrontFace',1, 0, GL_VERSION_1_0);
    glHint := getProc('glHint',1, 0, GL_VERSION_1_0);
    glLineWidth := getProc('glLineWidth',1, 0, GL_VERSION_1_0);
    glPointSize := getProc('glPointSize',1, 0, GL_VERSION_1_0);
    glPolygonMode := getProc('glPolygonMode',1, 0, GL_VERSION_1_0);
    glScissor := getProc('glScissor',1, 0, GL_VERSION_1_0);
    glTexParameterf := getProc('glTexParameterf',1, 0, GL_VERSION_1_0);
    glTexParameterfv := getProc('glTexParameterfv',1, 0, GL_VERSION_1_0);
    glTexParameteri := getProc('glTexParameteri',1, 0, GL_VERSION_1_0);
    glTexParameteriv := getProc('glTexParameteriv',1, 0, GL_VERSION_1_0);
    glTexImage1D := getProc('glTexImage1D',1, 0, GL_VERSION_1_0);
    glTexImage2D := getProc('glTexImage2D',1, 0, GL_VERSION_1_0);
    glDrawBuffer := getProc('glDrawBuffer',1, 0, GL_VERSION_1_0);
    glClear := getProc('glClear',1, 0, GL_VERSION_1_0);
    glClearColor := getProc('glClearColor',1, 0, GL_VERSION_1_0);
    glClearStencil := getProc('glClearStencil',1, 0, GL_VERSION_1_0);
    glClearDepth := getProc('glClearDepth',1, 0, GL_VERSION_1_0);
    glStencilMask := getProc('glStencilMask',1, 0, GL_VERSION_1_0);
    glColorMask := getProc('glColorMask',1, 0, GL_VERSION_1_0);
    glDepthMask := getProc('glDepthMask',1, 0, GL_VERSION_1_0);
    glDisable := getProc('glDisable',1, 0, GL_VERSION_1_0);
    glEnable := getProc('glEnable',1, 0, GL_VERSION_1_0);
    glFinish := getProc('glFinish',1, 0, GL_VERSION_1_0);
    glFlush := getProc('glFlush',1, 0, GL_VERSION_1_0);
    glBlendFunc := getProc('glBlendFunc',1, 0, GL_VERSION_1_0);
    glLogicOp := getProc('glLogicOp',1, 0, GL_VERSION_1_0);
    glStencilFunc := getProc('glStencilFunc',1, 0, GL_VERSION_1_0);
    glStencilOp := getProc('glStencilOp',1, 0, GL_VERSION_1_0);
    glDepthFunc := getProc('glDepthFunc',1, 0, GL_VERSION_1_0);
    glPixelStoref := getProc('glPixelStoref',1, 0, GL_VERSION_1_0);
    glPixelStorei := getProc('glPixelStorei',1, 0, GL_VERSION_1_0);
    glReadBuffer := getProc('glReadBuffer',1, 0, GL_VERSION_1_0);
    glReadPixels := getProc('glReadPixels',1, 0, GL_VERSION_1_0);
    glGetBooleanv := getProc('glGetBooleanv',1, 0, GL_VERSION_1_0);
    glGetDoublev := getProc('glGetDoublev',1, 0, GL_VERSION_1_0);
    glGetError := getProc('glGetError',1, 0, GL_VERSION_1_0);
    glGetFloatv := getProc('glGetFloatv',1, 0, GL_VERSION_1_0);
    glGetIntegerv := getProc('glGetIntegerv',1, 0, GL_VERSION_1_0);
    glGetString := getProc('glGetString',1, 0, GL_VERSION_1_0);
    glGetTexImage := getProc('glGetTexImage',1, 0, GL_VERSION_1_0);
    glGetTexParameterfv := getProc('glGetTexParameterfv',1, 0, GL_VERSION_1_0);
    glGetTexParameteriv := getProc('glGetTexParameteriv',1, 0, GL_VERSION_1_0);
    glGetTexLevelParameterfv := getProc('glGetTexLevelParameterfv',1, 0, GL_VERSION_1_0);
    glGetTexLevelParameteriv := getProc('glGetTexLevelParameteriv',1, 0, GL_VERSION_1_0);
    glIsEnabled := getProc('glIsEnabled',1, 0, GL_VERSION_1_0);
    glDepthRange := getProc('glDepthRange',1, 0, GL_VERSION_1_0);
    glViewport := getProc('glViewport',1, 0, GL_VERSION_1_0);
    glNewList := getProc('glNewList',1, 0, GL_VERSION_1_0);
    glEndList := getProc('glEndList',1, 0, GL_VERSION_1_0);
    glCallList := getProc('glCallList',1, 0, GL_VERSION_1_0);
    glCallLists := getProc('glCallLists',1, 0, GL_VERSION_1_0);
    glDeleteLists := getProc('glDeleteLists',1, 0, GL_VERSION_1_0);
    glGenLists := getProc('glGenLists',1, 0, GL_VERSION_1_0);
    glListBase := getProc('glListBase',1, 0, GL_VERSION_1_0);
    glBegin := getProc('glBegin',1, 0, GL_VERSION_1_0);
    glBitmap := getProc('glBitmap',1, 0, GL_VERSION_1_0);
    glColor3b := getProc('glColor3b',1, 0, GL_VERSION_1_0);
    glColor3bv := getProc('glColor3bv',1, 0, GL_VERSION_1_0);
    glColor3d := getProc('glColor3d',1, 0, GL_VERSION_1_0);
    glColor3dv := getProc('glColor3dv',1, 0, GL_VERSION_1_0);
    glColor3f := getProc('glColor3f',1, 0, GL_VERSION_1_0);
    glColor3fv := getProc('glColor3fv',1, 0, GL_VERSION_1_0);
    glColor3i := getProc('glColor3i',1, 0, GL_VERSION_1_0);
    glColor3iv := getProc('glColor3iv',1, 0, GL_VERSION_1_0);
    glColor3s := getProc('glColor3s',1, 0, GL_VERSION_1_0);
    glColor3sv := getProc('glColor3sv',1, 0, GL_VERSION_1_0);
    glColor3ub := getProc('glColor3ub',1, 0, GL_VERSION_1_0);
    glColor3ubv := getProc('glColor3ubv',1, 0, GL_VERSION_1_0);
    glColor3ui := getProc('glColor3ui',1, 0, GL_VERSION_1_0);
    glColor3uiv := getProc('glColor3uiv',1, 0, GL_VERSION_1_0);
    glColor3us := getProc('glColor3us',1, 0, GL_VERSION_1_0);
    glColor3usv := getProc('glColor3usv',1, 0, GL_VERSION_1_0);
    glColor4b := getProc('glColor4b',1, 0, GL_VERSION_1_0);
    glColor4bv := getProc('glColor4bv',1, 0, GL_VERSION_1_0);
    glColor4d := getProc('glColor4d',1, 0, GL_VERSION_1_0);
    glColor4dv := getProc('glColor4dv',1, 0, GL_VERSION_1_0);
    glColor4f := getProc('glColor4f',1, 0, GL_VERSION_1_0);
    glColor4fv := getProc('glColor4fv',1, 0, GL_VERSION_1_0);
    glColor4i := getProc('glColor4i',1, 0, GL_VERSION_1_0);
    glColor4iv := getProc('glColor4iv',1, 0, GL_VERSION_1_0);
    glColor4s := getProc('glColor4s',1, 0, GL_VERSION_1_0);
    glColor4sv := getProc('glColor4sv',1, 0, GL_VERSION_1_0);
    glColor4ub := getProc('glColor4ub',1, 0, GL_VERSION_1_0);
    glColor4ubv := getProc('glColor4ubv',1, 0, GL_VERSION_1_0);
    glColor4ui := getProc('glColor4ui',1, 0, GL_VERSION_1_0);
    glColor4uiv := getProc('glColor4uiv',1, 0, GL_VERSION_1_0);
    glColor4us := getProc('glColor4us',1, 0, GL_VERSION_1_0);
    glColor4usv := getProc('glColor4usv',1, 0, GL_VERSION_1_0);
    glEdgeFlag := getProc('glEdgeFlag',1, 0, GL_VERSION_1_0);
    glEdgeFlagv := getProc('glEdgeFlagv',1, 0, GL_VERSION_1_0);
    glEnd := getProc('glEnd',1, 0, GL_VERSION_1_0);
    glIndexd := getProc('glIndexd',1, 0, GL_VERSION_1_0);
    glIndexdv := getProc('glIndexdv',1, 0, GL_VERSION_1_0);
    glIndexf := getProc('glIndexf',1, 0, GL_VERSION_1_0);
    glIndexfv := getProc('glIndexfv',1, 0, GL_VERSION_1_0);
    glIndexi := getProc('glIndexi',1, 0, GL_VERSION_1_0);
    glIndexiv := getProc('glIndexiv',1, 0, GL_VERSION_1_0);
    glIndexs := getProc('glIndexs',1, 0, GL_VERSION_1_0);
    glIndexsv := getProc('glIndexsv',1, 0, GL_VERSION_1_0);
    glNormal3b := getProc('glNormal3b',1, 0, GL_VERSION_1_0);
    glNormal3bv := getProc('glNormal3bv',1, 0, GL_VERSION_1_0);
    glNormal3d := getProc('glNormal3d',1, 0, GL_VERSION_1_0);
    glNormal3dv := getProc('glNormal3dv',1, 0, GL_VERSION_1_0);
    glNormal3f := getProc('glNormal3f',1, 0, GL_VERSION_1_0);
    glNormal3fv := getProc('glNormal3fv',1, 0, GL_VERSION_1_0);
    glNormal3i := getProc('glNormal3i',1, 0, GL_VERSION_1_0);
    glNormal3iv := getProc('glNormal3iv',1, 0, GL_VERSION_1_0);
    glNormal3s := getProc('glNormal3s',1, 0, GL_VERSION_1_0);
    glNormal3sv := getProc('glNormal3sv',1, 0, GL_VERSION_1_0);
    glRasterPos2d := getProc('glRasterPos2d',1, 0, GL_VERSION_1_0);
    glRasterPos2dv := getProc('glRasterPos2dv',1, 0, GL_VERSION_1_0);
    glRasterPos2f := getProc('glRasterPos2f',1, 0, GL_VERSION_1_0);
    glRasterPos2fv := getProc('glRasterPos2fv',1, 0, GL_VERSION_1_0);
    glRasterPos2i := getProc('glRasterPos2i',1, 0, GL_VERSION_1_0);
    glRasterPos2iv := getProc('glRasterPos2iv',1, 0, GL_VERSION_1_0);
    glRasterPos2s := getProc('glRasterPos2s',1, 0, GL_VERSION_1_0);
    glRasterPos2sv := getProc('glRasterPos2sv',1, 0, GL_VERSION_1_0);
    glRasterPos3d := getProc('glRasterPos3d',1, 0, GL_VERSION_1_0);
    glRasterPos3dv := getProc('glRasterPos3dv',1, 0, GL_VERSION_1_0);
    glRasterPos3f := getProc('glRasterPos3f',1, 0, GL_VERSION_1_0);
    glRasterPos3fv := getProc('glRasterPos3fv',1, 0, GL_VERSION_1_0);
    glRasterPos3i := getProc('glRasterPos3i',1, 0, GL_VERSION_1_0);
    glRasterPos3iv := getProc('glRasterPos3iv',1, 0, GL_VERSION_1_0);
    glRasterPos3s := getProc('glRasterPos3s',1, 0, GL_VERSION_1_0);
    glRasterPos3sv := getProc('glRasterPos3sv',1, 0, GL_VERSION_1_0);
    glRasterPos4d := getProc('glRasterPos4d',1, 0, GL_VERSION_1_0);
    glRasterPos4dv := getProc('glRasterPos4dv',1, 0, GL_VERSION_1_0);
    glRasterPos4f := getProc('glRasterPos4f',1, 0, GL_VERSION_1_0);
    glRasterPos4fv := getProc('glRasterPos4fv',1, 0, GL_VERSION_1_0);
    glRasterPos4i := getProc('glRasterPos4i',1, 0, GL_VERSION_1_0);
    glRasterPos4iv := getProc('glRasterPos4iv',1, 0, GL_VERSION_1_0);
    glRasterPos4s := getProc('glRasterPos4s',1, 0, GL_VERSION_1_0);
    glRasterPos4sv := getProc('glRasterPos4sv',1, 0, GL_VERSION_1_0);
    glRectd := getProc('glRectd',1, 0, GL_VERSION_1_0);
    glRectdv := getProc('glRectdv',1, 0, GL_VERSION_1_0);
    glRectf := getProc('glRectf',1, 0, GL_VERSION_1_0);
    glRectfv := getProc('glRectfv',1, 0, GL_VERSION_1_0);
    glRecti := getProc('glRecti',1, 0, GL_VERSION_1_0);
    glRectiv := getProc('glRectiv',1, 0, GL_VERSION_1_0);
    glRects := getProc('glRects',1, 0, GL_VERSION_1_0);
    glRectsv := getProc('glRectsv',1, 0, GL_VERSION_1_0);
    glTexCoord1d := getProc('glTexCoord1d',1, 0, GL_VERSION_1_0);
    glTexCoord1dv := getProc('glTexCoord1dv',1, 0, GL_VERSION_1_0);
    glTexCoord1f := getProc('glTexCoord1f',1, 0, GL_VERSION_1_0);
    glTexCoord1fv := getProc('glTexCoord1fv',1, 0, GL_VERSION_1_0);
    glTexCoord1i := getProc('glTexCoord1i',1, 0, GL_VERSION_1_0);
    glTexCoord1iv := getProc('glTexCoord1iv',1, 0, GL_VERSION_1_0);
    glTexCoord1s := getProc('glTexCoord1s',1, 0, GL_VERSION_1_0);
    glTexCoord1sv := getProc('glTexCoord1sv',1, 0, GL_VERSION_1_0);
    glTexCoord2d := getProc('glTexCoord2d',1, 0, GL_VERSION_1_0);
    glTexCoord2dv := getProc('glTexCoord2dv',1, 0, GL_VERSION_1_0);
    glTexCoord2f := getProc('glTexCoord2f',1, 0, GL_VERSION_1_0);
    glTexCoord2fv := getProc('glTexCoord2fv',1, 0, GL_VERSION_1_0);
    glTexCoord2i := getProc('glTexCoord2i',1, 0, GL_VERSION_1_0);
    glTexCoord2iv := getProc('glTexCoord2iv',1, 0, GL_VERSION_1_0);
    glTexCoord2s := getProc('glTexCoord2s',1, 0, GL_VERSION_1_0);
    glTexCoord2sv := getProc('glTexCoord2sv',1, 0, GL_VERSION_1_0);
    glTexCoord3d := getProc('glTexCoord3d',1, 0, GL_VERSION_1_0);
    glTexCoord3dv := getProc('glTexCoord3dv',1, 0, GL_VERSION_1_0);
    glTexCoord3f := getProc('glTexCoord3f',1, 0, GL_VERSION_1_0);
    glTexCoord3fv := getProc('glTexCoord3fv',1, 0, GL_VERSION_1_0);
    glTexCoord3i := getProc('glTexCoord3i',1, 0, GL_VERSION_1_0);
    glTexCoord3iv := getProc('glTexCoord3iv',1, 0, GL_VERSION_1_0);
    glTexCoord3s := getProc('glTexCoord3s',1, 0, GL_VERSION_1_0);
    glTexCoord3sv := getProc('glTexCoord3sv',1, 0, GL_VERSION_1_0);
    glTexCoord4d := getProc('glTexCoord4d',1, 0, GL_VERSION_1_0);
    glTexCoord4dv := getProc('glTexCoord4dv',1, 0, GL_VERSION_1_0);
    glTexCoord4f := getProc('glTexCoord4f',1, 0, GL_VERSION_1_0);
    glTexCoord4fv := getProc('glTexCoord4fv',1, 0, GL_VERSION_1_0);
    glTexCoord4i := getProc('glTexCoord4i',1, 0, GL_VERSION_1_0);
    glTexCoord4iv := getProc('glTexCoord4iv',1, 0, GL_VERSION_1_0);
    glTexCoord4s := getProc('glTexCoord4s',1, 0, GL_VERSION_1_0);
    glTexCoord4sv := getProc('glTexCoord4sv',1, 0, GL_VERSION_1_0);
    glVertex2d := getProc('glVertex2d',1, 0, GL_VERSION_1_0);
    glVertex2dv := getProc('glVertex2dv',1, 0, GL_VERSION_1_0);
    glVertex2f := getProc('glVertex2f',1, 0, GL_VERSION_1_0);
    glVertex2fv := getProc('glVertex2fv',1, 0, GL_VERSION_1_0);
    glVertex2i := getProc('glVertex2i',1, 0, GL_VERSION_1_0);
    glVertex2iv := getProc('glVertex2iv',1, 0, GL_VERSION_1_0);
    glVertex2s := getProc('glVertex2s',1, 0, GL_VERSION_1_0);
    glVertex2sv := getProc('glVertex2sv',1, 0, GL_VERSION_1_0);
    glVertex3d := getProc('glVertex3d',1, 0, GL_VERSION_1_0);
    glVertex3dv := getProc('glVertex3dv',1, 0, GL_VERSION_1_0);
    glVertex3f := getProc('glVertex3f',1, 0, GL_VERSION_1_0);
    glVertex3fv := getProc('glVertex3fv',1, 0, GL_VERSION_1_0);
    glVertex3i := getProc('glVertex3i',1, 0, GL_VERSION_1_0);
    glVertex3iv := getProc('glVertex3iv',1, 0, GL_VERSION_1_0);
    glVertex3s := getProc('glVertex3s',1, 0, GL_VERSION_1_0);
    glVertex3sv := getProc('glVertex3sv',1, 0, GL_VERSION_1_0);
    glVertex4d := getProc('glVertex4d',1, 0, GL_VERSION_1_0);
    glVertex4dv := getProc('glVertex4dv',1, 0, GL_VERSION_1_0);
    glVertex4f := getProc('glVertex4f',1, 0, GL_VERSION_1_0);
    glVertex4fv := getProc('glVertex4fv',1, 0, GL_VERSION_1_0);
    glVertex4i := getProc('glVertex4i',1, 0, GL_VERSION_1_0);
    glVertex4iv := getProc('glVertex4iv',1, 0, GL_VERSION_1_0);
    glVertex4s := getProc('glVertex4s',1, 0, GL_VERSION_1_0);
    glVertex4sv := getProc('glVertex4sv',1, 0, GL_VERSION_1_0);
    glClipPlane := getProc('glClipPlane',1, 0, GL_VERSION_1_0);
    glColorMaterial := getProc('glColorMaterial',1, 0, GL_VERSION_1_0);
    glFogf := getProc('glFogf',1, 0, GL_VERSION_1_0);
    glFogfv := getProc('glFogfv',1, 0, GL_VERSION_1_0);
    glFogi := getProc('glFogi',1, 0, GL_VERSION_1_0);
    glFogiv := getProc('glFogiv',1, 0, GL_VERSION_1_0);
    glLightf := getProc('glLightf',1, 0, GL_VERSION_1_0);
    glLightfv := getProc('glLightfv',1, 0, GL_VERSION_1_0);
    glLighti := getProc('glLighti',1, 0, GL_VERSION_1_0);
    glLightiv := getProc('glLightiv',1, 0, GL_VERSION_1_0);
    glLightModelf := getProc('glLightModelf',1, 0, GL_VERSION_1_0);
    glLightModelfv := getProc('glLightModelfv',1, 0, GL_VERSION_1_0);
    glLightModeli := getProc('glLightModeli',1, 0, GL_VERSION_1_0);
    glLightModeliv := getProc('glLightModeliv',1, 0, GL_VERSION_1_0);
    glLineStipple := getProc('glLineStipple',1, 0, GL_VERSION_1_0);
    glMaterialf := getProc('glMaterialf',1, 0, GL_VERSION_1_0);
    glMaterialfv := getProc('glMaterialfv',1, 0, GL_VERSION_1_0);
    glMateriali := getProc('glMateriali',1, 0, GL_VERSION_1_0);
    glMaterialiv := getProc('glMaterialiv',1, 0, GL_VERSION_1_0);
    glPolygonStipple := getProc('glPolygonStipple',1, 0, GL_VERSION_1_0);
    glShadeModel := getProc('glShadeModel',1, 0, GL_VERSION_1_0);
    glTexEnvf := getProc('glTexEnvf',1, 0, GL_VERSION_1_0);
    glTexEnvfv := getProc('glTexEnvfv',1, 0, GL_VERSION_1_0);
    glTexEnvi := getProc('glTexEnvi',1, 0, GL_VERSION_1_0);
    glTexEnviv := getProc('glTexEnviv',1, 0, GL_VERSION_1_0);
    glTexGend := getProc('glTexGend',1, 0, GL_VERSION_1_0);
    glTexGendv := getProc('glTexGendv',1, 0, GL_VERSION_1_0);
    glTexGenf := getProc('glTexGenf',1, 0, GL_VERSION_1_0);
    glTexGenfv := getProc('glTexGenfv',1, 0, GL_VERSION_1_0);
    glTexGeni := getProc('glTexGeni',1, 0, GL_VERSION_1_0);
    glTexGeniv := getProc('glTexGeniv',1, 0, GL_VERSION_1_0);
    glFeedbackBuffer := getProc('glFeedbackBuffer',1, 0, GL_VERSION_1_0);
    glSelectBuffer := getProc('glSelectBuffer',1, 0, GL_VERSION_1_0);
    glRenderMode := getProc('glRenderMode',1, 0, GL_VERSION_1_0);
    glInitNames := getProc('glInitNames',1, 0, GL_VERSION_1_0);
    glLoadName := getProc('glLoadName',1, 0, GL_VERSION_1_0);
    glPassThrough := getProc('glPassThrough',1, 0, GL_VERSION_1_0);
    glPopName := getProc('glPopName',1, 0, GL_VERSION_1_0);
    glPushName := getProc('glPushName',1, 0, GL_VERSION_1_0);
    glClearAccum := getProc('glClearAccum',1, 0, GL_VERSION_1_0);
    glClearIndex := getProc('glClearIndex',1, 0, GL_VERSION_1_0);
    glIndexMask := getProc('glIndexMask',1, 0, GL_VERSION_1_0);
    glAccum := getProc('glAccum',1, 0, GL_VERSION_1_0);
    glPopAttrib := getProc('glPopAttrib',1, 0, GL_VERSION_1_0);
    glPushAttrib := getProc('glPushAttrib',1, 0, GL_VERSION_1_0);
    glMap1d := getProc('glMap1d',1, 0, GL_VERSION_1_0);
    glMap1f := getProc('glMap1f',1, 0, GL_VERSION_1_0);
    glMap2d := getProc('glMap2d',1, 0, GL_VERSION_1_0);
    glMap2f := getProc('glMap2f',1, 0, GL_VERSION_1_0);
    glMapGrid1d := getProc('glMapGrid1d',1, 0, GL_VERSION_1_0);
    glMapGrid1f := getProc('glMapGrid1f',1, 0, GL_VERSION_1_0);
    glMapGrid2d := getProc('glMapGrid2d',1, 0, GL_VERSION_1_0);
    glMapGrid2f := getProc('glMapGrid2f',1, 0, GL_VERSION_1_0);
    glEvalCoord1d := getProc('glEvalCoord1d',1, 0, GL_VERSION_1_0);
    glEvalCoord1dv := getProc('glEvalCoord1dv',1, 0, GL_VERSION_1_0);
    glEvalCoord1f := getProc('glEvalCoord1f',1, 0, GL_VERSION_1_0);
    glEvalCoord1fv := getProc('glEvalCoord1fv',1, 0, GL_VERSION_1_0);
    glEvalCoord2d := getProc('glEvalCoord2d',1, 0, GL_VERSION_1_0);
    glEvalCoord2dv := getProc('glEvalCoord2dv',1, 0, GL_VERSION_1_0);
    glEvalCoord2f := getProc('glEvalCoord2f',1, 0, GL_VERSION_1_0);
    glEvalCoord2fv := getProc('glEvalCoord2fv',1, 0, GL_VERSION_1_0);
    glEvalMesh1 := getProc('glEvalMesh1',1, 0, GL_VERSION_1_0);
    glEvalPoint1 := getProc('glEvalPoint1',1, 0, GL_VERSION_1_0);
    glEvalMesh2 := getProc('glEvalMesh2',1, 0, GL_VERSION_1_0);
    glEvalPoint2 := getProc('glEvalPoint2',1, 0, GL_VERSION_1_0);
    glAlphaFunc := getProc('glAlphaFunc',1, 0, GL_VERSION_1_0);
    glPixelZoom := getProc('glPixelZoom',1, 0, GL_VERSION_1_0);
    glPixelTransferf := getProc('glPixelTransferf',1, 0, GL_VERSION_1_0);
    glPixelTransferi := getProc('glPixelTransferi',1, 0, GL_VERSION_1_0);
    glPixelMapfv := getProc('glPixelMapfv',1, 0, GL_VERSION_1_0);
    glPixelMapuiv := getProc('glPixelMapuiv',1, 0, GL_VERSION_1_0);
    glPixelMapusv := getProc('glPixelMapusv',1, 0, GL_VERSION_1_0);
    glCopyPixels := getProc('glCopyPixels',1, 0, GL_VERSION_1_0);
    glDrawPixels := getProc('glDrawPixels',1, 0, GL_VERSION_1_0);
    glGetClipPlane := getProc('glGetClipPlane',1, 0, GL_VERSION_1_0);
    glGetLightfv := getProc('glGetLightfv',1, 0, GL_VERSION_1_0);
    glGetLightiv := getProc('glGetLightiv',1, 0, GL_VERSION_1_0);
    glGetMapdv := getProc('glGetMapdv',1, 0, GL_VERSION_1_0);
    glGetMapfv := getProc('glGetMapfv',1, 0, GL_VERSION_1_0);
    glGetMapiv := getProc('glGetMapiv',1, 0, GL_VERSION_1_0);
    glGetMaterialfv := getProc('glGetMaterialfv',1, 0, GL_VERSION_1_0);
    glGetMaterialiv := getProc('glGetMaterialiv',1, 0, GL_VERSION_1_0);
    glGetPixelMapfv := getProc('glGetPixelMapfv',1, 0, GL_VERSION_1_0);
    glGetPixelMapuiv := getProc('glGetPixelMapuiv',1, 0, GL_VERSION_1_0);
    glGetPixelMapusv := getProc('glGetPixelMapusv',1, 0, GL_VERSION_1_0);
    glGetPolygonStipple := getProc('glGetPolygonStipple',1, 0, GL_VERSION_1_0);
    glGetTexEnvfv := getProc('glGetTexEnvfv',1, 0, GL_VERSION_1_0);
    glGetTexEnviv := getProc('glGetTexEnviv',1, 0, GL_VERSION_1_0);
    glGetTexGendv := getProc('glGetTexGendv',1, 0, GL_VERSION_1_0);
    glGetTexGenfv := getProc('glGetTexGenfv',1, 0, GL_VERSION_1_0);
    glGetTexGeniv := getProc('glGetTexGeniv',1, 0, GL_VERSION_1_0);
    glIsList := getProc('glIsList',1, 0, GL_VERSION_1_0);
    glFrustum := getProc('glFrustum',1, 0, GL_VERSION_1_0);
    glLoadIdentity := getProc('glLoadIdentity',1, 0, GL_VERSION_1_0);
    glLoadMatrixf := getProc('glLoadMatrixf',1, 0, GL_VERSION_1_0);
    glLoadMatrixd := getProc('glLoadMatrixd',1, 0, GL_VERSION_1_0);
    glMatrixMode := getProc('glMatrixMode',1, 0, GL_VERSION_1_0);
    glMultMatrixf := getProc('glMultMatrixf',1, 0, GL_VERSION_1_0);
    glMultMatrixd := getProc('glMultMatrixd',1, 0, GL_VERSION_1_0);
    glOrtho := getProc('glOrtho',1, 0, GL_VERSION_1_0);
    glPopMatrix := getProc('glPopMatrix',1, 0, GL_VERSION_1_0);
    glPushMatrix := getProc('glPushMatrix',1, 0, GL_VERSION_1_0);
    glRotated := getProc('glRotated',1, 0, GL_VERSION_1_0);
    glRotatef := getProc('glRotatef',1, 0, GL_VERSION_1_0);
    glScaled := getProc('glScaled',1, 0, GL_VERSION_1_0);
    glScalef := getProc('glScalef',1, 0, GL_VERSION_1_0);
    glTranslated := getProc('glTranslated',1, 0, GL_VERSION_1_0);
    glTranslatef := getProc('glTranslatef',1, 0, GL_VERSION_1_0);
  end;

end;

procedure ClearOpenGL_Commands;
begin
  {GL_VERSION_1_0}
  GL_VERSION_1_0 := false;
  glCullFace := nil;
  glFrontFace := nil;
  glHint := nil;
  glLineWidth := nil;
  glPointSize := nil;
  glPolygonMode := nil;
  glScissor := nil;
  glTexParameterf := nil;
  glTexParameterfv := nil;
  glTexParameteri := nil;
  glTexParameteriv := nil;
  glTexImage1D := nil;
  glTexImage2D := nil;
  glDrawBuffer := nil;
  glClear := nil;
  glClearColor := nil;
  glClearStencil := nil;
  glClearDepth := nil;
  glStencilMask := nil;
  glColorMask := nil;
  glDepthMask := nil;
  glDisable := nil;
  glEnable := nil;
  glFinish := nil;
  glFlush := nil;
  glBlendFunc := nil;
  glLogicOp := nil;
  glStencilFunc := nil;
  glStencilOp := nil;
  glDepthFunc := nil;
  glPixelStoref := nil;
  glPixelStorei := nil;
  glReadBuffer := nil;
  glReadPixels := nil;
  glGetBooleanv := nil;
  glGetDoublev := nil;
  glGetError := nil;
  glGetFloatv := nil;
  glGetIntegerv := nil;
  glGetString := nil;
  glGetTexImage := nil;
  glGetTexParameterfv := nil;
  glGetTexParameteriv := nil;
  glGetTexLevelParameterfv := nil;
  glGetTexLevelParameteriv := nil;
  glIsEnabled := nil;
  glDepthRange := nil;
  glViewport := nil;
  glNewList := nil;
  glEndList := nil;
  glCallList := nil;
  glCallLists := nil;
  glDeleteLists := nil;
  glGenLists := nil;
  glListBase := nil;
  glBegin := nil;
  glBitmap := nil;
  glColor3b := nil;
  glColor3bv := nil;
  glColor3d := nil;
  glColor3dv := nil;
  glColor3f := nil;
  glColor3fv := nil;
  glColor3i := nil;
  glColor3iv := nil;
  glColor3s := nil;
  glColor3sv := nil;
  glColor3ub := nil;
  glColor3ubv := nil;
  glColor3ui := nil;
  glColor3uiv := nil;
  glColor3us := nil;
  glColor3usv := nil;
  glColor4b := nil;
  glColor4bv := nil;
  glColor4d := nil;
  glColor4dv := nil;
  glColor4f := nil;
  glColor4fv := nil;
  glColor4i := nil;
  glColor4iv := nil;
  glColor4s := nil;
  glColor4sv := nil;
  glColor4ub := nil;
  glColor4ubv := nil;
  glColor4ui := nil;
  glColor4uiv := nil;
  glColor4us := nil;
  glColor4usv := nil;
  glEdgeFlag := nil;
  glEdgeFlagv := nil;
  glEnd := nil;
  glIndexd := nil;
  glIndexdv := nil;
  glIndexf := nil;
  glIndexfv := nil;
  glIndexi := nil;
  glIndexiv := nil;
  glIndexs := nil;
  glIndexsv := nil;
  glNormal3b := nil;
  glNormal3bv := nil;
  glNormal3d := nil;
  glNormal3dv := nil;
  glNormal3f := nil;
  glNormal3fv := nil;
  glNormal3i := nil;
  glNormal3iv := nil;
  glNormal3s := nil;
  glNormal3sv := nil;
  glRasterPos2d := nil;
  glRasterPos2dv := nil;
  glRasterPos2f := nil;
  glRasterPos2fv := nil;
  glRasterPos2i := nil;
  glRasterPos2iv := nil;
  glRasterPos2s := nil;
  glRasterPos2sv := nil;
  glRasterPos3d := nil;
  glRasterPos3dv := nil;
  glRasterPos3f := nil;
  glRasterPos3fv := nil;
  glRasterPos3i := nil;
  glRasterPos3iv := nil;
  glRasterPos3s := nil;
  glRasterPos3sv := nil;
  glRasterPos4d := nil;
  glRasterPos4dv := nil;
  glRasterPos4f := nil;
  glRasterPos4fv := nil;
  glRasterPos4i := nil;
  glRasterPos4iv := nil;
  glRasterPos4s := nil;
  glRasterPos4sv := nil;
  glRectd := nil;
  glRectdv := nil;
  glRectf := nil;
  glRectfv := nil;
  glRecti := nil;
  glRectiv := nil;
  glRects := nil;
  glRectsv := nil;
  glTexCoord1d := nil;
  glTexCoord1dv := nil;
  glTexCoord1f := nil;
  glTexCoord1fv := nil;
  glTexCoord1i := nil;
  glTexCoord1iv := nil;
  glTexCoord1s := nil;
  glTexCoord1sv := nil;
  glTexCoord2d := nil;
  glTexCoord2dv := nil;
  glTexCoord2f := nil;
  glTexCoord2fv := nil;
  glTexCoord2i := nil;
  glTexCoord2iv := nil;
  glTexCoord2s := nil;
  glTexCoord2sv := nil;
  glTexCoord3d := nil;
  glTexCoord3dv := nil;
  glTexCoord3f := nil;
  glTexCoord3fv := nil;
  glTexCoord3i := nil;
  glTexCoord3iv := nil;
  glTexCoord3s := nil;
  glTexCoord3sv := nil;
  glTexCoord4d := nil;
  glTexCoord4dv := nil;
  glTexCoord4f := nil;
  glTexCoord4fv := nil;
  glTexCoord4i := nil;
  glTexCoord4iv := nil;
  glTexCoord4s := nil;
  glTexCoord4sv := nil;
  glVertex2d := nil;
  glVertex2dv := nil;
  glVertex2f := nil;
  glVertex2fv := nil;
  glVertex2i := nil;
  glVertex2iv := nil;
  glVertex2s := nil;
  glVertex2sv := nil;
  glVertex3d := nil;
  glVertex3dv := nil;
  glVertex3f := nil;
  glVertex3fv := nil;
  glVertex3i := nil;
  glVertex3iv := nil;
  glVertex3s := nil;
  glVertex3sv := nil;
  glVertex4d := nil;
  glVertex4dv := nil;
  glVertex4f := nil;
  glVertex4fv := nil;
  glVertex4i := nil;
  glVertex4iv := nil;
  glVertex4s := nil;
  glVertex4sv := nil;
  glClipPlane := nil;
  glColorMaterial := nil;
  glFogf := nil;
  glFogfv := nil;
  glFogi := nil;
  glFogiv := nil;
  glLightf := nil;
  glLightfv := nil;
  glLighti := nil;
  glLightiv := nil;
  glLightModelf := nil;
  glLightModelfv := nil;
  glLightModeli := nil;
  glLightModeliv := nil;
  glLineStipple := nil;
  glMaterialf := nil;
  glMaterialfv := nil;
  glMateriali := nil;
  glMaterialiv := nil;
  glPolygonStipple := nil;
  glShadeModel := nil;
  glTexEnvf := nil;
  glTexEnvfv := nil;
  glTexEnvi := nil;
  glTexEnviv := nil;
  glTexGend := nil;
  glTexGendv := nil;
  glTexGenf := nil;
  glTexGenfv := nil;
  glTexGeni := nil;
  glTexGeniv := nil;
  glFeedbackBuffer := nil;
  glSelectBuffer := nil;
  glRenderMode := nil;
  glInitNames := nil;
  glLoadName := nil;
  glPassThrough := nil;
  glPopName := nil;
  glPushName := nil;
  glClearAccum := nil;
  glClearIndex := nil;
  glIndexMask := nil;
  glAccum := nil;
  glPopAttrib := nil;
  glPushAttrib := nil;
  glMap1d := nil;
  glMap1f := nil;
  glMap2d := nil;
  glMap2f := nil;
  glMapGrid1d := nil;
  glMapGrid1f := nil;
  glMapGrid2d := nil;
  glMapGrid2f := nil;
  glEvalCoord1d := nil;
  glEvalCoord1dv := nil;
  glEvalCoord1f := nil;
  glEvalCoord1fv := nil;
  glEvalCoord2d := nil;
  glEvalCoord2dv := nil;
  glEvalCoord2f := nil;
  glEvalCoord2fv := nil;
  glEvalMesh1 := nil;
  glEvalPoint1 := nil;
  glEvalMesh2 := nil;
  glEvalPoint2 := nil;
  glAlphaFunc := nil;
  glPixelZoom := nil;
  glPixelTransferf := nil;
  glPixelTransferi := nil;
  glPixelMapfv := nil;
  glPixelMapuiv := nil;
  glPixelMapusv := nil;
  glCopyPixels := nil;
  glDrawPixels := nil;
  glGetClipPlane := nil;
  glGetLightfv := nil;
  glGetLightiv := nil;
  glGetMapdv := nil;
  glGetMapfv := nil;
  glGetMapiv := nil;
  glGetMaterialfv := nil;
  glGetMaterialiv := nil;
  glGetPixelMapfv := nil;
  glGetPixelMapuiv := nil;
  glGetPixelMapusv := nil;
  glGetPolygonStipple := nil;
  glGetTexEnvfv := nil;
  glGetTexEnviv := nil;
  glGetTexGendv := nil;
  glGetTexGenfv := nil;
  glGetTexGeniv := nil;
  glIsList := nil;
  glFrustum := nil;
  glLoadIdentity := nil;
  glLoadMatrixf := nil;
  glLoadMatrixd := nil;
  glMatrixMode := nil;
  glMultMatrixf := nil;
  glMultMatrixd := nil;
  glOrtho := nil;
  glPopMatrix := nil;
  glPushMatrix := nil;
  glRotated := nil;
  glRotatef := nil;
  glScaled := nil;
  glScalef := nil;
  glTranslated := nil;
  glTranslatef := nil;
end;

procedure LoadOpenGLES_Commands(getProc : TGetProcFunc; TargetMajorVersion, TargetMinorVersion : integer);
begin
  {GL_VERSION_ES_CM_1_0}
  GL_VERSION_ES_CM_1_0 := (TargetMajorVersion > 1) or ((TargetMajorVersion = 1) and (TargetMinorVersion >= 0));
  if GL_VERSION_ES_CM_1_0 then
  begin
    glAlphaFunc := getProc('glAlphaFunc',1, 0, GL_VERSION_ES_CM_1_0);
    glClearColor := getProc('glClearColor',1, 0, GL_VERSION_ES_CM_1_0);
    glClearDepthf := getProc('glClearDepthf',1, 0, GL_VERSION_ES_CM_1_0);
    glClipPlanef := getProc('glClipPlanef',1, 0, GL_VERSION_ES_CM_1_0);
    glColor4f := getProc('glColor4f',1, 0, GL_VERSION_ES_CM_1_0);
    glDepthRangef := getProc('glDepthRangef',1, 0, GL_VERSION_ES_CM_1_0);
    glFogf := getProc('glFogf',1, 0, GL_VERSION_ES_CM_1_0);
    glFogfv := getProc('glFogfv',1, 0, GL_VERSION_ES_CM_1_0);
    glFrustumf := getProc('glFrustumf',1, 0, GL_VERSION_ES_CM_1_0);
    glGetClipPlanef := getProc('glGetClipPlanef',1, 0, GL_VERSION_ES_CM_1_0);
    glGetFloatv := getProc('glGetFloatv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetLightfv := getProc('glGetLightfv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetMaterialfv := getProc('glGetMaterialfv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetTexEnvfv := getProc('glGetTexEnvfv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetTexParameterfv := getProc('glGetTexParameterfv',1, 0, GL_VERSION_ES_CM_1_0);
    glLightModelf := getProc('glLightModelf',1, 0, GL_VERSION_ES_CM_1_0);
    glLightModelfv := getProc('glLightModelfv',1, 0, GL_VERSION_ES_CM_1_0);
    glLightf := getProc('glLightf',1, 0, GL_VERSION_ES_CM_1_0);
    glLightfv := getProc('glLightfv',1, 0, GL_VERSION_ES_CM_1_0);
    glLineWidth := getProc('glLineWidth',1, 0, GL_VERSION_ES_CM_1_0);
    glLoadMatrixf := getProc('glLoadMatrixf',1, 0, GL_VERSION_ES_CM_1_0);
    glMaterialf := getProc('glMaterialf',1, 0, GL_VERSION_ES_CM_1_0);
    glMaterialfv := getProc('glMaterialfv',1, 0, GL_VERSION_ES_CM_1_0);
    glMultMatrixf := getProc('glMultMatrixf',1, 0, GL_VERSION_ES_CM_1_0);
    glMultiTexCoord4f := getProc('glMultiTexCoord4f',1, 0, GL_VERSION_ES_CM_1_0);
    glNormal3f := getProc('glNormal3f',1, 0, GL_VERSION_ES_CM_1_0);
    glOrthof := getProc('glOrthof',1, 0, GL_VERSION_ES_CM_1_0);
    glPointParameterf := getProc('glPointParameterf',1, 0, GL_VERSION_ES_CM_1_0);
    glPointParameterfv := getProc('glPointParameterfv',1, 0, GL_VERSION_ES_CM_1_0);
    glPointSize := getProc('glPointSize',1, 0, GL_VERSION_ES_CM_1_0);
    glPolygonOffset := getProc('glPolygonOffset',1, 0, GL_VERSION_ES_CM_1_0);
    glRotatef := getProc('glRotatef',1, 0, GL_VERSION_ES_CM_1_0);
    glScalef := getProc('glScalef',1, 0, GL_VERSION_ES_CM_1_0);
    glTexEnvf := getProc('glTexEnvf',1, 0, GL_VERSION_ES_CM_1_0);
    glTexEnvfv := getProc('glTexEnvfv',1, 0, GL_VERSION_ES_CM_1_0);
    glTexParameterf := getProc('glTexParameterf',1, 0, GL_VERSION_ES_CM_1_0);
    glTexParameterfv := getProc('glTexParameterfv',1, 0, GL_VERSION_ES_CM_1_0);
    glTranslatef := getProc('glTranslatef',1, 0, GL_VERSION_ES_CM_1_0);
    glActiveTexture := getProc('glActiveTexture',1, 0, GL_VERSION_ES_CM_1_0);
    glAlphaFuncx := getProc('glAlphaFuncx',1, 0, GL_VERSION_ES_CM_1_0);
    glBindBuffer := getProc('glBindBuffer',1, 0, GL_VERSION_ES_CM_1_0);
    glBindTexture := getProc('glBindTexture',1, 0, GL_VERSION_ES_CM_1_0);
    glBlendFunc := getProc('glBlendFunc',1, 0, GL_VERSION_ES_CM_1_0);
    glBufferData := getProc('glBufferData',1, 0, GL_VERSION_ES_CM_1_0);
    glBufferSubData := getProc('glBufferSubData',1, 0, GL_VERSION_ES_CM_1_0);
    glClear := getProc('glClear',1, 0, GL_VERSION_ES_CM_1_0);
    glClearColorx := getProc('glClearColorx',1, 0, GL_VERSION_ES_CM_1_0);
    glClearDepthx := getProc('glClearDepthx',1, 0, GL_VERSION_ES_CM_1_0);
    glClearStencil := getProc('glClearStencil',1, 0, GL_VERSION_ES_CM_1_0);
    glClientActiveTexture := getProc('glClientActiveTexture',1, 0, GL_VERSION_ES_CM_1_0);
    glClipPlanex := getProc('glClipPlanex',1, 0, GL_VERSION_ES_CM_1_0);
    glColor4ub := getProc('glColor4ub',1, 0, GL_VERSION_ES_CM_1_0);
    glColor4x := getProc('glColor4x',1, 0, GL_VERSION_ES_CM_1_0);
    glColorMask := getProc('glColorMask',1, 0, GL_VERSION_ES_CM_1_0);
    glColorPointer := getProc('glColorPointer',1, 0, GL_VERSION_ES_CM_1_0);
    glCompressedTexImage2D := getProc('glCompressedTexImage2D',1, 0, GL_VERSION_ES_CM_1_0);
    glCompressedTexSubImage2D := getProc('glCompressedTexSubImage2D',1, 0, GL_VERSION_ES_CM_1_0);
    glCopyTexImage2D := getProc('glCopyTexImage2D',1, 0, GL_VERSION_ES_CM_1_0);
    glCopyTexSubImage2D := getProc('glCopyTexSubImage2D',1, 0, GL_VERSION_ES_CM_1_0);
    glCullFace := getProc('glCullFace',1, 0, GL_VERSION_ES_CM_1_0);
    glDeleteBuffers := getProc('glDeleteBuffers',1, 0, GL_VERSION_ES_CM_1_0);
    glDeleteTextures := getProc('glDeleteTextures',1, 0, GL_VERSION_ES_CM_1_0);
    glDepthFunc := getProc('glDepthFunc',1, 0, GL_VERSION_ES_CM_1_0);
    glDepthMask := getProc('glDepthMask',1, 0, GL_VERSION_ES_CM_1_0);
    glDepthRangex := getProc('glDepthRangex',1, 0, GL_VERSION_ES_CM_1_0);
    glDisable := getProc('glDisable',1, 0, GL_VERSION_ES_CM_1_0);
    glDisableClientState := getProc('glDisableClientState',1, 0, GL_VERSION_ES_CM_1_0);
    glDrawArrays := getProc('glDrawArrays',1, 0, GL_VERSION_ES_CM_1_0);
    glDrawElements := getProc('glDrawElements',1, 0, GL_VERSION_ES_CM_1_0);
    glEnable := getProc('glEnable',1, 0, GL_VERSION_ES_CM_1_0);
    glEnableClientState := getProc('glEnableClientState',1, 0, GL_VERSION_ES_CM_1_0);
    glFinish := getProc('glFinish',1, 0, GL_VERSION_ES_CM_1_0);
    glFlush := getProc('glFlush',1, 0, GL_VERSION_ES_CM_1_0);
    glFogx := getProc('glFogx',1, 0, GL_VERSION_ES_CM_1_0);
    glFogxv := getProc('glFogxv',1, 0, GL_VERSION_ES_CM_1_0);
    glFrontFace := getProc('glFrontFace',1, 0, GL_VERSION_ES_CM_1_0);
    glFrustumx := getProc('glFrustumx',1, 0, GL_VERSION_ES_CM_1_0);
    glGetBooleanv := getProc('glGetBooleanv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetBufferParameteriv := getProc('glGetBufferParameteriv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetClipPlanex := getProc('glGetClipPlanex',1, 0, GL_VERSION_ES_CM_1_0);
    glGenBuffers := getProc('glGenBuffers',1, 0, GL_VERSION_ES_CM_1_0);
    glGenTextures := getProc('glGenTextures',1, 0, GL_VERSION_ES_CM_1_0);
    glGetError := getProc('glGetError',1, 0, GL_VERSION_ES_CM_1_0);
    glGetFixedv := getProc('glGetFixedv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetIntegerv := getProc('glGetIntegerv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetLightxv := getProc('glGetLightxv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetMaterialxv := getProc('glGetMaterialxv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetPointerv := getProc('glGetPointerv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetString := getProc('glGetString',1, 0, GL_VERSION_ES_CM_1_0);
    glGetTexEnviv := getProc('glGetTexEnviv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetTexEnvxv := getProc('glGetTexEnvxv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetTexParameteriv := getProc('glGetTexParameteriv',1, 0, GL_VERSION_ES_CM_1_0);
    glGetTexParameterxv := getProc('glGetTexParameterxv',1, 0, GL_VERSION_ES_CM_1_0);
    glHint := getProc('glHint',1, 0, GL_VERSION_ES_CM_1_0);
    glIsBuffer := getProc('glIsBuffer',1, 0, GL_VERSION_ES_CM_1_0);
    glIsEnabled := getProc('glIsEnabled',1, 0, GL_VERSION_ES_CM_1_0);
    glIsTexture := getProc('glIsTexture',1, 0, GL_VERSION_ES_CM_1_0);
    glLightModelx := getProc('glLightModelx',1, 0, GL_VERSION_ES_CM_1_0);
    glLightModelxv := getProc('glLightModelxv',1, 0, GL_VERSION_ES_CM_1_0);
    glLightx := getProc('glLightx',1, 0, GL_VERSION_ES_CM_1_0);
    glLightxv := getProc('glLightxv',1, 0, GL_VERSION_ES_CM_1_0);
    glLineWidthx := getProc('glLineWidthx',1, 0, GL_VERSION_ES_CM_1_0);
    glLoadIdentity := getProc('glLoadIdentity',1, 0, GL_VERSION_ES_CM_1_0);
    glLoadMatrixx := getProc('glLoadMatrixx',1, 0, GL_VERSION_ES_CM_1_0);
    glLogicOp := getProc('glLogicOp',1, 0, GL_VERSION_ES_CM_1_0);
    glMaterialx := getProc('glMaterialx',1, 0, GL_VERSION_ES_CM_1_0);
    glMaterialxv := getProc('glMaterialxv',1, 0, GL_VERSION_ES_CM_1_0);
    glMatrixMode := getProc('glMatrixMode',1, 0, GL_VERSION_ES_CM_1_0);
    glMultMatrixx := getProc('glMultMatrixx',1, 0, GL_VERSION_ES_CM_1_0);
    glMultiTexCoord4x := getProc('glMultiTexCoord4x',1, 0, GL_VERSION_ES_CM_1_0);
    glNormal3x := getProc('glNormal3x',1, 0, GL_VERSION_ES_CM_1_0);
    glNormalPointer := getProc('glNormalPointer',1, 0, GL_VERSION_ES_CM_1_0);
    glOrthox := getProc('glOrthox',1, 0, GL_VERSION_ES_CM_1_0);
    glPixelStorei := getProc('glPixelStorei',1, 0, GL_VERSION_ES_CM_1_0);
    glPointParameterx := getProc('glPointParameterx',1, 0, GL_VERSION_ES_CM_1_0);
    glPointParameterxv := getProc('glPointParameterxv',1, 0, GL_VERSION_ES_CM_1_0);
    glPointSizex := getProc('glPointSizex',1, 0, GL_VERSION_ES_CM_1_0);
    glPolygonOffsetx := getProc('glPolygonOffsetx',1, 0, GL_VERSION_ES_CM_1_0);
    glPopMatrix := getProc('glPopMatrix',1, 0, GL_VERSION_ES_CM_1_0);
    glPushMatrix := getProc('glPushMatrix',1, 0, GL_VERSION_ES_CM_1_0);
    glReadPixels := getProc('glReadPixels',1, 0, GL_VERSION_ES_CM_1_0);
    glRotatex := getProc('glRotatex',1, 0, GL_VERSION_ES_CM_1_0);
    glSampleCoverage := getProc('glSampleCoverage',1, 0, GL_VERSION_ES_CM_1_0);
    glSampleCoveragex := getProc('glSampleCoveragex',1, 0, GL_VERSION_ES_CM_1_0);
    glScalex := getProc('glScalex',1, 0, GL_VERSION_ES_CM_1_0);
    glScissor := getProc('glScissor',1, 0, GL_VERSION_ES_CM_1_0);
    glShadeModel := getProc('glShadeModel',1, 0, GL_VERSION_ES_CM_1_0);
    glStencilFunc := getProc('glStencilFunc',1, 0, GL_VERSION_ES_CM_1_0);
    glStencilMask := getProc('glStencilMask',1, 0, GL_VERSION_ES_CM_1_0);
    glStencilOp := getProc('glStencilOp',1, 0, GL_VERSION_ES_CM_1_0);
    glTexCoordPointer := getProc('glTexCoordPointer',1, 0, GL_VERSION_ES_CM_1_0);
    glTexEnvi := getProc('glTexEnvi',1, 0, GL_VERSION_ES_CM_1_0);
    glTexEnvx := getProc('glTexEnvx',1, 0, GL_VERSION_ES_CM_1_0);
    glTexEnviv := getProc('glTexEnviv',1, 0, GL_VERSION_ES_CM_1_0);
    glTexEnvxv := getProc('glTexEnvxv',1, 0, GL_VERSION_ES_CM_1_0);
    glTexImage2D := getProc('glTexImage2D',1, 0, GL_VERSION_ES_CM_1_0);
    glTexParameteri := getProc('glTexParameteri',1, 0, GL_VERSION_ES_CM_1_0);
    glTexParameterx := getProc('glTexParameterx',1, 0, GL_VERSION_ES_CM_1_0);
    glTexParameteriv := getProc('glTexParameteriv',1, 0, GL_VERSION_ES_CM_1_0);
    glTexParameterxv := getProc('glTexParameterxv',1, 0, GL_VERSION_ES_CM_1_0);
    glTexSubImage2D := getProc('glTexSubImage2D',1, 0, GL_VERSION_ES_CM_1_0);
    glTranslatex := getProc('glTranslatex',1, 0, GL_VERSION_ES_CM_1_0);
    glVertexPointer := getProc('glVertexPointer',1, 0, GL_VERSION_ES_CM_1_0);
    glViewport := getProc('glViewport',1, 0, GL_VERSION_ES_CM_1_0);
  end;

  {GL_ES_VERSION_2_0}
  GL_ES_VERSION_2_0 := (TargetMajorVersion > 2) or ((TargetMajorVersion = 2) and (TargetMinorVersion >= 0));
  if GL_ES_VERSION_2_0 then
  begin
    glAttachShader := getProc('glAttachShader',2, 0, GL_ES_VERSION_2_0);
    glBindAttribLocation := getProc('glBindAttribLocation',2, 0, GL_ES_VERSION_2_0);
    glBindFramebuffer := getProc('glBindFramebuffer',2, 0, GL_ES_VERSION_2_0);
    glBindRenderbuffer := getProc('glBindRenderbuffer',2, 0, GL_ES_VERSION_2_0);
    glBlendColor := getProc('glBlendColor',2, 0, GL_ES_VERSION_2_0);
    glBlendEquation := getProc('glBlendEquation',2, 0, GL_ES_VERSION_2_0);
    glBlendEquationSeparate := getProc('glBlendEquationSeparate',2, 0, GL_ES_VERSION_2_0);
    glBlendFuncSeparate := getProc('glBlendFuncSeparate',2, 0, GL_ES_VERSION_2_0);
    glCheckFramebufferStatus := getProc('glCheckFramebufferStatus',2, 0, GL_ES_VERSION_2_0);
    glCompileShader := getProc('glCompileShader',2, 0, GL_ES_VERSION_2_0);
    glCreateProgram := getProc('glCreateProgram',2, 0, GL_ES_VERSION_2_0);
    glCreateShader := getProc('glCreateShader',2, 0, GL_ES_VERSION_2_0);
    glDeleteFramebuffers := getProc('glDeleteFramebuffers',2, 0, GL_ES_VERSION_2_0);
    glDeleteProgram := getProc('glDeleteProgram',2, 0, GL_ES_VERSION_2_0);
    glDeleteRenderbuffers := getProc('glDeleteRenderbuffers',2, 0, GL_ES_VERSION_2_0);
    glDeleteShader := getProc('glDeleteShader',2, 0, GL_ES_VERSION_2_0);
    glDetachShader := getProc('glDetachShader',2, 0, GL_ES_VERSION_2_0);
    glDisableVertexAttribArray := getProc('glDisableVertexAttribArray',2, 0, GL_ES_VERSION_2_0);
    glEnableVertexAttribArray := getProc('glEnableVertexAttribArray',2, 0, GL_ES_VERSION_2_0);
    glFramebufferRenderbuffer := getProc('glFramebufferRenderbuffer',2, 0, GL_ES_VERSION_2_0);
    glFramebufferTexture2D := getProc('glFramebufferTexture2D',2, 0, GL_ES_VERSION_2_0);
    glGenerateMipmap := getProc('glGenerateMipmap',2, 0, GL_ES_VERSION_2_0);
    glGenFramebuffers := getProc('glGenFramebuffers',2, 0, GL_ES_VERSION_2_0);
    glGenRenderbuffers := getProc('glGenRenderbuffers',2, 0, GL_ES_VERSION_2_0);
    glGetActiveAttrib := getProc('glGetActiveAttrib',2, 0, GL_ES_VERSION_2_0);
    glGetActiveUniform := getProc('glGetActiveUniform',2, 0, GL_ES_VERSION_2_0);
    glGetAttachedShaders := getProc('glGetAttachedShaders',2, 0, GL_ES_VERSION_2_0);
    glGetAttribLocation := getProc('glGetAttribLocation',2, 0, GL_ES_VERSION_2_0);
    glGetFramebufferAttachmentParameteriv := getProc('glGetFramebufferAttachmentParameteriv',2, 0, GL_ES_VERSION_2_0);
    glGetProgramiv := getProc('glGetProgramiv',2, 0, GL_ES_VERSION_2_0);
    glGetProgramInfoLog := getProc('glGetProgramInfoLog',2, 0, GL_ES_VERSION_2_0);
    glGetRenderbufferParameteriv := getProc('glGetRenderbufferParameteriv',2, 0, GL_ES_VERSION_2_0);
    glGetShaderiv := getProc('glGetShaderiv',2, 0, GL_ES_VERSION_2_0);
    glGetShaderInfoLog := getProc('glGetShaderInfoLog',2, 0, GL_ES_VERSION_2_0);
    glGetShaderPrecisionFormat := getProc('glGetShaderPrecisionFormat',2, 0, GL_ES_VERSION_2_0);
    glGetShaderSource := getProc('glGetShaderSource',2, 0, GL_ES_VERSION_2_0);
    glGetUniformfv := getProc('glGetUniformfv',2, 0, GL_ES_VERSION_2_0);
    glGetUniformiv := getProc('glGetUniformiv',2, 0, GL_ES_VERSION_2_0);
    glGetUniformLocation := getProc('glGetUniformLocation',2, 0, GL_ES_VERSION_2_0);
    glGetVertexAttribfv := getProc('glGetVertexAttribfv',2, 0, GL_ES_VERSION_2_0);
    glGetVertexAttribiv := getProc('glGetVertexAttribiv',2, 0, GL_ES_VERSION_2_0);
    glGetVertexAttribPointerv := getProc('glGetVertexAttribPointerv',2, 0, GL_ES_VERSION_2_0);
    glIsFramebuffer := getProc('glIsFramebuffer',2, 0, GL_ES_VERSION_2_0);
    glIsProgram := getProc('glIsProgram',2, 0, GL_ES_VERSION_2_0);
    glIsRenderbuffer := getProc('glIsRenderbuffer',2, 0, GL_ES_VERSION_2_0);
    glIsShader := getProc('glIsShader',2, 0, GL_ES_VERSION_2_0);
    glLinkProgram := getProc('glLinkProgram',2, 0, GL_ES_VERSION_2_0);
    glReleaseShaderCompiler := getProc('glReleaseShaderCompiler',2, 0, GL_ES_VERSION_2_0);
    glRenderbufferStorage := getProc('glRenderbufferStorage',2, 0, GL_ES_VERSION_2_0);
    glShaderBinary := getProc('glShaderBinary',2, 0, GL_ES_VERSION_2_0);
    glShaderSource := getProc('glShaderSource',2, 0, GL_ES_VERSION_2_0);
    glStencilFuncSeparate := getProc('glStencilFuncSeparate',2, 0, GL_ES_VERSION_2_0);
    glStencilMaskSeparate := getProc('glStencilMaskSeparate',2, 0, GL_ES_VERSION_2_0);
    glStencilOpSeparate := getProc('glStencilOpSeparate',2, 0, GL_ES_VERSION_2_0);
    glUniform1f := getProc('glUniform1f',2, 0, GL_ES_VERSION_2_0);
    glUniform1fv := getProc('glUniform1fv',2, 0, GL_ES_VERSION_2_0);
    glUniform1i := getProc('glUniform1i',2, 0, GL_ES_VERSION_2_0);
    glUniform1iv := getProc('glUniform1iv',2, 0, GL_ES_VERSION_2_0);
    glUniform2f := getProc('glUniform2f',2, 0, GL_ES_VERSION_2_0);
    glUniform2fv := getProc('glUniform2fv',2, 0, GL_ES_VERSION_2_0);
    glUniform2i := getProc('glUniform2i',2, 0, GL_ES_VERSION_2_0);
    glUniform2iv := getProc('glUniform2iv',2, 0, GL_ES_VERSION_2_0);
    glUniform3f := getProc('glUniform3f',2, 0, GL_ES_VERSION_2_0);
    glUniform3fv := getProc('glUniform3fv',2, 0, GL_ES_VERSION_2_0);
    glUniform3i := getProc('glUniform3i',2, 0, GL_ES_VERSION_2_0);
    glUniform3iv := getProc('glUniform3iv',2, 0, GL_ES_VERSION_2_0);
    glUniform4f := getProc('glUniform4f',2, 0, GL_ES_VERSION_2_0);
    glUniform4fv := getProc('glUniform4fv',2, 0, GL_ES_VERSION_2_0);
    glUniform4i := getProc('glUniform4i',2, 0, GL_ES_VERSION_2_0);
    glUniform4iv := getProc('glUniform4iv',2, 0, GL_ES_VERSION_2_0);
    glUniformMatrix2fv := getProc('glUniformMatrix2fv',2, 0, GL_ES_VERSION_2_0);
    glUniformMatrix3fv := getProc('glUniformMatrix3fv',2, 0, GL_ES_VERSION_2_0);
    glUniformMatrix4fv := getProc('glUniformMatrix4fv',2, 0, GL_ES_VERSION_2_0);
    glUseProgram := getProc('glUseProgram',2, 0, GL_ES_VERSION_2_0);
    glValidateProgram := getProc('glValidateProgram',2, 0, GL_ES_VERSION_2_0);
    glVertexAttrib1f := getProc('glVertexAttrib1f',2, 0, GL_ES_VERSION_2_0);
    glVertexAttrib1fv := getProc('glVertexAttrib1fv',2, 0, GL_ES_VERSION_2_0);
    glVertexAttrib2f := getProc('glVertexAttrib2f',2, 0, GL_ES_VERSION_2_0);
    glVertexAttrib2fv := getProc('glVertexAttrib2fv',2, 0, GL_ES_VERSION_2_0);
    glVertexAttrib3f := getProc('glVertexAttrib3f',2, 0, GL_ES_VERSION_2_0);
    glVertexAttrib3fv := getProc('glVertexAttrib3fv',2, 0, GL_ES_VERSION_2_0);
    glVertexAttrib4f := getProc('glVertexAttrib4f',2, 0, GL_ES_VERSION_2_0);
    glVertexAttrib4fv := getProc('glVertexAttrib4fv',2, 0, GL_ES_VERSION_2_0);
    glVertexAttribPointer := getProc('glVertexAttribPointer',2, 0, GL_ES_VERSION_2_0);
  end;

  {GL_ES_VERSION_3_0}
  GL_ES_VERSION_3_0 := (TargetMajorVersion > 3) or ((TargetMajorVersion = 3) and (TargetMinorVersion >= 0));
  if GL_ES_VERSION_3_0 then
  begin
    glReadBuffer := getProc('glReadBuffer',3, 0, GL_ES_VERSION_3_0);
    glDrawRangeElements := getProc('glDrawRangeElements',3, 0, GL_ES_VERSION_3_0);
    glTexImage3D := getProc('glTexImage3D',3, 0, GL_ES_VERSION_3_0);
    glTexSubImage3D := getProc('glTexSubImage3D',3, 0, GL_ES_VERSION_3_0);
    glCopyTexSubImage3D := getProc('glCopyTexSubImage3D',3, 0, GL_ES_VERSION_3_0);
    glCompressedTexImage3D := getProc('glCompressedTexImage3D',3, 0, GL_ES_VERSION_3_0);
    glCompressedTexSubImage3D := getProc('glCompressedTexSubImage3D',3, 0, GL_ES_VERSION_3_0);
    glGenQueries := getProc('glGenQueries',3, 0, GL_ES_VERSION_3_0);
    glDeleteQueries := getProc('glDeleteQueries',3, 0, GL_ES_VERSION_3_0);
    glIsQuery := getProc('glIsQuery',3, 0, GL_ES_VERSION_3_0);
    glBeginQuery := getProc('glBeginQuery',3, 0, GL_ES_VERSION_3_0);
    glEndQuery := getProc('glEndQuery',3, 0, GL_ES_VERSION_3_0);
    glGetQueryiv := getProc('glGetQueryiv',3, 0, GL_ES_VERSION_3_0);
    glGetQueryObjectuiv := getProc('glGetQueryObjectuiv',3, 0, GL_ES_VERSION_3_0);
    glUnmapBuffer := getProc('glUnmapBuffer',3, 0, GL_ES_VERSION_3_0);
    glGetBufferPointerv := getProc('glGetBufferPointerv',3, 0, GL_ES_VERSION_3_0);
    glDrawBuffers := getProc('glDrawBuffers',3, 0, GL_ES_VERSION_3_0);
    glUniformMatrix2x3fv := getProc('glUniformMatrix2x3fv',3, 0, GL_ES_VERSION_3_0);
    glUniformMatrix3x2fv := getProc('glUniformMatrix3x2fv',3, 0, GL_ES_VERSION_3_0);
    glUniformMatrix2x4fv := getProc('glUniformMatrix2x4fv',3, 0, GL_ES_VERSION_3_0);
    glUniformMatrix4x2fv := getProc('glUniformMatrix4x2fv',3, 0, GL_ES_VERSION_3_0);
    glUniformMatrix3x4fv := getProc('glUniformMatrix3x4fv',3, 0, GL_ES_VERSION_3_0);
    glUniformMatrix4x3fv := getProc('glUniformMatrix4x3fv',3, 0, GL_ES_VERSION_3_0);
    glBlitFramebuffer := getProc('glBlitFramebuffer',3, 0, GL_ES_VERSION_3_0);
    glRenderbufferStorageMultisample := getProc('glRenderbufferStorageMultisample',3, 0, GL_ES_VERSION_3_0);
    glFramebufferTextureLayer := getProc('glFramebufferTextureLayer',3, 0, GL_ES_VERSION_3_0);
    glMapBufferRange := getProc('glMapBufferRange',3, 0, GL_ES_VERSION_3_0);
    glFlushMappedBufferRange := getProc('glFlushMappedBufferRange',3, 0, GL_ES_VERSION_3_0);
    glBindVertexArray := getProc('glBindVertexArray',3, 0, GL_ES_VERSION_3_0);
    glDeleteVertexArrays := getProc('glDeleteVertexArrays',3, 0, GL_ES_VERSION_3_0);
    glGenVertexArrays := getProc('glGenVertexArrays',3, 0, GL_ES_VERSION_3_0);
    glIsVertexArray := getProc('glIsVertexArray',3, 0, GL_ES_VERSION_3_0);
    glGetIntegeri_v := getProc('glGetIntegeri_v',3, 0, GL_ES_VERSION_3_0);
    glBeginTransformFeedback := getProc('glBeginTransformFeedback',3, 0, GL_ES_VERSION_3_0);
    glEndTransformFeedback := getProc('glEndTransformFeedback',3, 0, GL_ES_VERSION_3_0);
    glBindBufferRange := getProc('glBindBufferRange',3, 0, GL_ES_VERSION_3_0);
    glBindBufferBase := getProc('glBindBufferBase',3, 0, GL_ES_VERSION_3_0);
    glTransformFeedbackVaryings := getProc('glTransformFeedbackVaryings',3, 0, GL_ES_VERSION_3_0);
    glGetTransformFeedbackVarying := getProc('glGetTransformFeedbackVarying',3, 0, GL_ES_VERSION_3_0);
    glVertexAttribIPointer := getProc('glVertexAttribIPointer',3, 0, GL_ES_VERSION_3_0);
    glGetVertexAttribIiv := getProc('glGetVertexAttribIiv',3, 0, GL_ES_VERSION_3_0);
    glGetVertexAttribIuiv := getProc('glGetVertexAttribIuiv',3, 0, GL_ES_VERSION_3_0);
    glVertexAttribI4i := getProc('glVertexAttribI4i',3, 0, GL_ES_VERSION_3_0);
    glVertexAttribI4ui := getProc('glVertexAttribI4ui',3, 0, GL_ES_VERSION_3_0);
    glVertexAttribI4iv := getProc('glVertexAttribI4iv',3, 0, GL_ES_VERSION_3_0);
    glVertexAttribI4uiv := getProc('glVertexAttribI4uiv',3, 0, GL_ES_VERSION_3_0);
    glGetUniformuiv := getProc('glGetUniformuiv',3, 0, GL_ES_VERSION_3_0);
    glGetFragDataLocation := getProc('glGetFragDataLocation',3, 0, GL_ES_VERSION_3_0);
    glUniform1ui := getProc('glUniform1ui',3, 0, GL_ES_VERSION_3_0);
    glUniform2ui := getProc('glUniform2ui',3, 0, GL_ES_VERSION_3_0);
    glUniform3ui := getProc('glUniform3ui',3, 0, GL_ES_VERSION_3_0);
    glUniform4ui := getProc('glUniform4ui',3, 0, GL_ES_VERSION_3_0);
    glUniform1uiv := getProc('glUniform1uiv',3, 0, GL_ES_VERSION_3_0);
    glUniform2uiv := getProc('glUniform2uiv',3, 0, GL_ES_VERSION_3_0);
    glUniform3uiv := getProc('glUniform3uiv',3, 0, GL_ES_VERSION_3_0);
    glUniform4uiv := getProc('glUniform4uiv',3, 0, GL_ES_VERSION_3_0);
    glClearBufferiv := getProc('glClearBufferiv',3, 0, GL_ES_VERSION_3_0);
    glClearBufferuiv := getProc('glClearBufferuiv',3, 0, GL_ES_VERSION_3_0);
    glClearBufferfv := getProc('glClearBufferfv',3, 0, GL_ES_VERSION_3_0);
    glClearBufferfi := getProc('glClearBufferfi',3, 0, GL_ES_VERSION_3_0);
    glGetStringi := getProc('glGetStringi',3, 0, GL_ES_VERSION_3_0);
    glCopyBufferSubData := getProc('glCopyBufferSubData',3, 0, GL_ES_VERSION_3_0);
    glGetUniformIndices := getProc('glGetUniformIndices',3, 0, GL_ES_VERSION_3_0);
    glGetActiveUniformsiv := getProc('glGetActiveUniformsiv',3, 0, GL_ES_VERSION_3_0);
    glGetUniformBlockIndex := getProc('glGetUniformBlockIndex',3, 0, GL_ES_VERSION_3_0);
    glGetActiveUniformBlockiv := getProc('glGetActiveUniformBlockiv',3, 0, GL_ES_VERSION_3_0);
    glGetActiveUniformBlockName := getProc('glGetActiveUniformBlockName',3, 0, GL_ES_VERSION_3_0);
    glUniformBlockBinding := getProc('glUniformBlockBinding',3, 0, GL_ES_VERSION_3_0);
    glDrawArraysInstanced := getProc('glDrawArraysInstanced',3, 0, GL_ES_VERSION_3_0);
    glDrawElementsInstanced := getProc('glDrawElementsInstanced',3, 0, GL_ES_VERSION_3_0);
    glFenceSync := getProc('glFenceSync',3, 0, GL_ES_VERSION_3_0);
    glIsSync := getProc('glIsSync',3, 0, GL_ES_VERSION_3_0);
    glDeleteSync := getProc('glDeleteSync',3, 0, GL_ES_VERSION_3_0);
    glClientWaitSync := getProc('glClientWaitSync',3, 0, GL_ES_VERSION_3_0);
    glWaitSync := getProc('glWaitSync',3, 0, GL_ES_VERSION_3_0);
    glGetInteger64v := getProc('glGetInteger64v',3, 0, GL_ES_VERSION_3_0);
    glGetSynciv := getProc('glGetSynciv',3, 0, GL_ES_VERSION_3_0);
    glGetInteger64i_v := getProc('glGetInteger64i_v',3, 0, GL_ES_VERSION_3_0);
    glGetBufferParameteri64v := getProc('glGetBufferParameteri64v',3, 0, GL_ES_VERSION_3_0);
    glGenSamplers := getProc('glGenSamplers',3, 0, GL_ES_VERSION_3_0);
    glDeleteSamplers := getProc('glDeleteSamplers',3, 0, GL_ES_VERSION_3_0);
    glIsSampler := getProc('glIsSampler',3, 0, GL_ES_VERSION_3_0);
    glBindSampler := getProc('glBindSampler',3, 0, GL_ES_VERSION_3_0);
    glSamplerParameteri := getProc('glSamplerParameteri',3, 0, GL_ES_VERSION_3_0);
    glSamplerParameteriv := getProc('glSamplerParameteriv',3, 0, GL_ES_VERSION_3_0);
    glSamplerParameterf := getProc('glSamplerParameterf',3, 0, GL_ES_VERSION_3_0);
    glSamplerParameterfv := getProc('glSamplerParameterfv',3, 0, GL_ES_VERSION_3_0);
    glGetSamplerParameteriv := getProc('glGetSamplerParameteriv',3, 0, GL_ES_VERSION_3_0);
    glGetSamplerParameterfv := getProc('glGetSamplerParameterfv',3, 0, GL_ES_VERSION_3_0);
    glVertexAttribDivisor := getProc('glVertexAttribDivisor',3, 0, GL_ES_VERSION_3_0);
    glBindTransformFeedback := getProc('glBindTransformFeedback',3, 0, GL_ES_VERSION_3_0);
    glDeleteTransformFeedbacks := getProc('glDeleteTransformFeedbacks',3, 0, GL_ES_VERSION_3_0);
    glGenTransformFeedbacks := getProc('glGenTransformFeedbacks',3, 0, GL_ES_VERSION_3_0);
    glIsTransformFeedback := getProc('glIsTransformFeedback',3, 0, GL_ES_VERSION_3_0);
    glPauseTransformFeedback := getProc('glPauseTransformFeedback',3, 0, GL_ES_VERSION_3_0);
    glResumeTransformFeedback := getProc('glResumeTransformFeedback',3, 0, GL_ES_VERSION_3_0);
    glGetProgramBinary := getProc('glGetProgramBinary',3, 0, GL_ES_VERSION_3_0);
    glProgramBinary := getProc('glProgramBinary',3, 0, GL_ES_VERSION_3_0);
    glProgramParameteri := getProc('glProgramParameteri',3, 0, GL_ES_VERSION_3_0);
    glInvalidateFramebuffer := getProc('glInvalidateFramebuffer',3, 0, GL_ES_VERSION_3_0);
    glInvalidateSubFramebuffer := getProc('glInvalidateSubFramebuffer',3, 0, GL_ES_VERSION_3_0);
    glTexStorage2D := getProc('glTexStorage2D',3, 0, GL_ES_VERSION_3_0);
    glTexStorage3D := getProc('glTexStorage3D',3, 0, GL_ES_VERSION_3_0);
    glGetInternalformativ := getProc('glGetInternalformativ',3, 0, GL_ES_VERSION_3_0);
  end;

  {GL_ES_VERSION_3_1}
  GL_ES_VERSION_3_1 := (TargetMajorVersion > 3) or ((TargetMajorVersion = 3) and (TargetMinorVersion >= 1));
  if GL_ES_VERSION_3_1 then
  begin
    glDispatchCompute := getProc('glDispatchCompute',3, 1, GL_ES_VERSION_3_1);
    glDispatchComputeIndirect := getProc('glDispatchComputeIndirect',3, 1, GL_ES_VERSION_3_1);
    glDrawArraysIndirect := getProc('glDrawArraysIndirect',3, 1, GL_ES_VERSION_3_1);
    glDrawElementsIndirect := getProc('glDrawElementsIndirect',3, 1, GL_ES_VERSION_3_1);
    glFramebufferParameteri := getProc('glFramebufferParameteri',3, 1, GL_ES_VERSION_3_1);
    glGetFramebufferParameteriv := getProc('glGetFramebufferParameteriv',3, 1, GL_ES_VERSION_3_1);
    glGetProgramInterfaceiv := getProc('glGetProgramInterfaceiv',3, 1, GL_ES_VERSION_3_1);
    glGetProgramResourceIndex := getProc('glGetProgramResourceIndex',3, 1, GL_ES_VERSION_3_1);
    glGetProgramResourceName := getProc('glGetProgramResourceName',3, 1, GL_ES_VERSION_3_1);
    glGetProgramResourceiv := getProc('glGetProgramResourceiv',3, 1, GL_ES_VERSION_3_1);
    glGetProgramResourceLocation := getProc('glGetProgramResourceLocation',3, 1, GL_ES_VERSION_3_1);
    glUseProgramStages := getProc('glUseProgramStages',3, 1, GL_ES_VERSION_3_1);
    glActiveShaderProgram := getProc('glActiveShaderProgram',3, 1, GL_ES_VERSION_3_1);
    glCreateShaderProgramv := getProc('glCreateShaderProgramv',3, 1, GL_ES_VERSION_3_1);
    glBindProgramPipeline := getProc('glBindProgramPipeline',3, 1, GL_ES_VERSION_3_1);
    glDeleteProgramPipelines := getProc('glDeleteProgramPipelines',3, 1, GL_ES_VERSION_3_1);
    glGenProgramPipelines := getProc('glGenProgramPipelines',3, 1, GL_ES_VERSION_3_1);
    glIsProgramPipeline := getProc('glIsProgramPipeline',3, 1, GL_ES_VERSION_3_1);
    glGetProgramPipelineiv := getProc('glGetProgramPipelineiv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform1i := getProc('glProgramUniform1i',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform2i := getProc('glProgramUniform2i',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform3i := getProc('glProgramUniform3i',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform4i := getProc('glProgramUniform4i',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform1ui := getProc('glProgramUniform1ui',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform2ui := getProc('glProgramUniform2ui',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform3ui := getProc('glProgramUniform3ui',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform4ui := getProc('glProgramUniform4ui',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform1f := getProc('glProgramUniform1f',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform2f := getProc('glProgramUniform2f',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform3f := getProc('glProgramUniform3f',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform4f := getProc('glProgramUniform4f',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform1iv := getProc('glProgramUniform1iv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform2iv := getProc('glProgramUniform2iv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform3iv := getProc('glProgramUniform3iv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform4iv := getProc('glProgramUniform4iv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform1uiv := getProc('glProgramUniform1uiv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform2uiv := getProc('glProgramUniform2uiv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform3uiv := getProc('glProgramUniform3uiv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform4uiv := getProc('glProgramUniform4uiv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform1fv := getProc('glProgramUniform1fv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform2fv := getProc('glProgramUniform2fv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform3fv := getProc('glProgramUniform3fv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniform4fv := getProc('glProgramUniform4fv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniformMatrix2fv := getProc('glProgramUniformMatrix2fv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniformMatrix3fv := getProc('glProgramUniformMatrix3fv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniformMatrix4fv := getProc('glProgramUniformMatrix4fv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniformMatrix2x3fv := getProc('glProgramUniformMatrix2x3fv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniformMatrix3x2fv := getProc('glProgramUniformMatrix3x2fv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniformMatrix2x4fv := getProc('glProgramUniformMatrix2x4fv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniformMatrix4x2fv := getProc('glProgramUniformMatrix4x2fv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniformMatrix3x4fv := getProc('glProgramUniformMatrix3x4fv',3, 1, GL_ES_VERSION_3_1);
    glProgramUniformMatrix4x3fv := getProc('glProgramUniformMatrix4x3fv',3, 1, GL_ES_VERSION_3_1);
    glValidateProgramPipeline := getProc('glValidateProgramPipeline',3, 1, GL_ES_VERSION_3_1);
    glGetProgramPipelineInfoLog := getProc('glGetProgramPipelineInfoLog',3, 1, GL_ES_VERSION_3_1);
    glBindImageTexture := getProc('glBindImageTexture',3, 1, GL_ES_VERSION_3_1);
    glGetBooleani_v := getProc('glGetBooleani_v',3, 1, GL_ES_VERSION_3_1);
    glMemoryBarrier := getProc('glMemoryBarrier',3, 1, GL_ES_VERSION_3_1);
    glMemoryBarrierByRegion := getProc('glMemoryBarrierByRegion',3, 1, GL_ES_VERSION_3_1);
    glTexStorage2DMultisample := getProc('glTexStorage2DMultisample',3, 1, GL_ES_VERSION_3_1);
    glGetMultisamplefv := getProc('glGetMultisamplefv',3, 1, GL_ES_VERSION_3_1);
    glSampleMaski := getProc('glSampleMaski',3, 1, GL_ES_VERSION_3_1);
    glGetTexLevelParameteriv := getProc('glGetTexLevelParameteriv',3, 1, GL_ES_VERSION_3_1);
    glGetTexLevelParameterfv := getProc('glGetTexLevelParameterfv',3, 1, GL_ES_VERSION_3_1);
    glBindVertexBuffer := getProc('glBindVertexBuffer',3, 1, GL_ES_VERSION_3_1);
    glVertexAttribFormat := getProc('glVertexAttribFormat',3, 1, GL_ES_VERSION_3_1);
    glVertexAttribIFormat := getProc('glVertexAttribIFormat',3, 1, GL_ES_VERSION_3_1);
    glVertexAttribBinding := getProc('glVertexAttribBinding',3, 1, GL_ES_VERSION_3_1);
    glVertexBindingDivisor := getProc('glVertexBindingDivisor',3, 1, GL_ES_VERSION_3_1);
  end;

end;

procedure ClearOpenGLES_Commands;
begin
  {GL_VERSION_ES_CM_1_0}
  GL_VERSION_ES_CM_1_0 := false;
  glAlphaFunc := nil;
  glClearColor := nil;
  glClearDepthf := nil;
  glClipPlanef := nil;
  glColor4f := nil;
  glDepthRangef := nil;
  glFogf := nil;
  glFogfv := nil;
  glFrustumf := nil;
  glGetClipPlanef := nil;
  glGetFloatv := nil;
  glGetLightfv := nil;
  glGetMaterialfv := nil;
  glGetTexEnvfv := nil;
  glGetTexParameterfv := nil;
  glLightModelf := nil;
  glLightModelfv := nil;
  glLightf := nil;
  glLightfv := nil;
  glLineWidth := nil;
  glLoadMatrixf := nil;
  glMaterialf := nil;
  glMaterialfv := nil;
  glMultMatrixf := nil;
  glMultiTexCoord4f := nil;
  glNormal3f := nil;
  glOrthof := nil;
  glPointParameterf := nil;
  glPointParameterfv := nil;
  glPointSize := nil;
  glPolygonOffset := nil;
  glRotatef := nil;
  glScalef := nil;
  glTexEnvf := nil;
  glTexEnvfv := nil;
  glTexParameterf := nil;
  glTexParameterfv := nil;
  glTranslatef := nil;
  glActiveTexture := nil;
  glAlphaFuncx := nil;
  glBindBuffer := nil;
  glBindTexture := nil;
  glBlendFunc := nil;
  glBufferData := nil;
  glBufferSubData := nil;
  glClear := nil;
  glClearColorx := nil;
  glClearDepthx := nil;
  glClearStencil := nil;
  glClientActiveTexture := nil;
  glClipPlanex := nil;
  glColor4ub := nil;
  glColor4x := nil;
  glColorMask := nil;
  glColorPointer := nil;
  glCompressedTexImage2D := nil;
  glCompressedTexSubImage2D := nil;
  glCopyTexImage2D := nil;
  glCopyTexSubImage2D := nil;
  glCullFace := nil;
  glDeleteBuffers := nil;
  glDeleteTextures := nil;
  glDepthFunc := nil;
  glDepthMask := nil;
  glDepthRangex := nil;
  glDisable := nil;
  glDisableClientState := nil;
  glDrawArrays := nil;
  glDrawElements := nil;
  glEnable := nil;
  glEnableClientState := nil;
  glFinish := nil;
  glFlush := nil;
  glFogx := nil;
  glFogxv := nil;
  glFrontFace := nil;
  glFrustumx := nil;
  glGetBooleanv := nil;
  glGetBufferParameteriv := nil;
  glGetClipPlanex := nil;
  glGenBuffers := nil;
  glGenTextures := nil;
  glGetError := nil;
  glGetFixedv := nil;
  glGetIntegerv := nil;
  glGetLightxv := nil;
  glGetMaterialxv := nil;
  glGetPointerv := nil;
  glGetString := nil;
  glGetTexEnviv := nil;
  glGetTexEnvxv := nil;
  glGetTexParameteriv := nil;
  glGetTexParameterxv := nil;
  glHint := nil;
  glIsBuffer := nil;
  glIsEnabled := nil;
  glIsTexture := nil;
  glLightModelx := nil;
  glLightModelxv := nil;
  glLightx := nil;
  glLightxv := nil;
  glLineWidthx := nil;
  glLoadIdentity := nil;
  glLoadMatrixx := nil;
  glLogicOp := nil;
  glMaterialx := nil;
  glMaterialxv := nil;
  glMatrixMode := nil;
  glMultMatrixx := nil;
  glMultiTexCoord4x := nil;
  glNormal3x := nil;
  glNormalPointer := nil;
  glOrthox := nil;
  glPixelStorei := nil;
  glPointParameterx := nil;
  glPointParameterxv := nil;
  glPointSizex := nil;
  glPolygonOffsetx := nil;
  glPopMatrix := nil;
  glPushMatrix := nil;
  glReadPixels := nil;
  glRotatex := nil;
  glSampleCoverage := nil;
  glSampleCoveragex := nil;
  glScalex := nil;
  glScissor := nil;
  glShadeModel := nil;
  glStencilFunc := nil;
  glStencilMask := nil;
  glStencilOp := nil;
  glTexCoordPointer := nil;
  glTexEnvi := nil;
  glTexEnvx := nil;
  glTexEnviv := nil;
  glTexEnvxv := nil;
  glTexImage2D := nil;
  glTexParameteri := nil;
  glTexParameterx := nil;
  glTexParameteriv := nil;
  glTexParameterxv := nil;
  glTexSubImage2D := nil;
  glTranslatex := nil;
  glVertexPointer := nil;
  glViewport := nil;
  {GL_ES_VERSION_2_0}
  GL_ES_VERSION_2_0 := false;
  glAttachShader := nil;
  glBindAttribLocation := nil;
  glBindFramebuffer := nil;
  glBindRenderbuffer := nil;
  glBlendColor := nil;
  glBlendEquation := nil;
  glBlendEquationSeparate := nil;
  glBlendFuncSeparate := nil;
  glCheckFramebufferStatus := nil;
  glCompileShader := nil;
  glCreateProgram := nil;
  glCreateShader := nil;
  glDeleteFramebuffers := nil;
  glDeleteProgram := nil;
  glDeleteRenderbuffers := nil;
  glDeleteShader := nil;
  glDetachShader := nil;
  glDisableVertexAttribArray := nil;
  glEnableVertexAttribArray := nil;
  glFramebufferRenderbuffer := nil;
  glFramebufferTexture2D := nil;
  glGenerateMipmap := nil;
  glGenFramebuffers := nil;
  glGenRenderbuffers := nil;
  glGetActiveAttrib := nil;
  glGetActiveUniform := nil;
  glGetAttachedShaders := nil;
  glGetAttribLocation := nil;
  glGetFramebufferAttachmentParameteriv := nil;
  glGetProgramiv := nil;
  glGetProgramInfoLog := nil;
  glGetRenderbufferParameteriv := nil;
  glGetShaderiv := nil;
  glGetShaderInfoLog := nil;
  glGetShaderPrecisionFormat := nil;
  glGetShaderSource := nil;
  glGetUniformfv := nil;
  glGetUniformiv := nil;
  glGetUniformLocation := nil;
  glGetVertexAttribfv := nil;
  glGetVertexAttribiv := nil;
  glGetVertexAttribPointerv := nil;
  glIsFramebuffer := nil;
  glIsProgram := nil;
  glIsRenderbuffer := nil;
  glIsShader := nil;
  glLinkProgram := nil;
  glReleaseShaderCompiler := nil;
  glRenderbufferStorage := nil;
  glShaderBinary := nil;
  glShaderSource := nil;
  glStencilFuncSeparate := nil;
  glStencilMaskSeparate := nil;
  glStencilOpSeparate := nil;
  glUniform1f := nil;
  glUniform1fv := nil;
  glUniform1i := nil;
  glUniform1iv := nil;
  glUniform2f := nil;
  glUniform2fv := nil;
  glUniform2i := nil;
  glUniform2iv := nil;
  glUniform3f := nil;
  glUniform3fv := nil;
  glUniform3i := nil;
  glUniform3iv := nil;
  glUniform4f := nil;
  glUniform4fv := nil;
  glUniform4i := nil;
  glUniform4iv := nil;
  glUniformMatrix2fv := nil;
  glUniformMatrix3fv := nil;
  glUniformMatrix4fv := nil;
  glUseProgram := nil;
  glValidateProgram := nil;
  glVertexAttrib1f := nil;
  glVertexAttrib1fv := nil;
  glVertexAttrib2f := nil;
  glVertexAttrib2fv := nil;
  glVertexAttrib3f := nil;
  glVertexAttrib3fv := nil;
  glVertexAttrib4f := nil;
  glVertexAttrib4fv := nil;
  glVertexAttribPointer := nil;
  {GL_ES_VERSION_3_0}
  GL_ES_VERSION_3_0 := false;
  glReadBuffer := nil;
  glDrawRangeElements := nil;
  glTexImage3D := nil;
  glTexSubImage3D := nil;
  glCopyTexSubImage3D := nil;
  glCompressedTexImage3D := nil;
  glCompressedTexSubImage3D := nil;
  glGenQueries := nil;
  glDeleteQueries := nil;
  glIsQuery := nil;
  glBeginQuery := nil;
  glEndQuery := nil;
  glGetQueryiv := nil;
  glGetQueryObjectuiv := nil;
  glUnmapBuffer := nil;
  glGetBufferPointerv := nil;
  glDrawBuffers := nil;
  glUniformMatrix2x3fv := nil;
  glUniformMatrix3x2fv := nil;
  glUniformMatrix2x4fv := nil;
  glUniformMatrix4x2fv := nil;
  glUniformMatrix3x4fv := nil;
  glUniformMatrix4x3fv := nil;
  glBlitFramebuffer := nil;
  glRenderbufferStorageMultisample := nil;
  glFramebufferTextureLayer := nil;
  glMapBufferRange := nil;
  glFlushMappedBufferRange := nil;
  glBindVertexArray := nil;
  glDeleteVertexArrays := nil;
  glGenVertexArrays := nil;
  glIsVertexArray := nil;
  glGetIntegeri_v := nil;
  glBeginTransformFeedback := nil;
  glEndTransformFeedback := nil;
  glBindBufferRange := nil;
  glBindBufferBase := nil;
  glTransformFeedbackVaryings := nil;
  glGetTransformFeedbackVarying := nil;
  glVertexAttribIPointer := nil;
  glGetVertexAttribIiv := nil;
  glGetVertexAttribIuiv := nil;
  glVertexAttribI4i := nil;
  glVertexAttribI4ui := nil;
  glVertexAttribI4iv := nil;
  glVertexAttribI4uiv := nil;
  glGetUniformuiv := nil;
  glGetFragDataLocation := nil;
  glUniform1ui := nil;
  glUniform2ui := nil;
  glUniform3ui := nil;
  glUniform4ui := nil;
  glUniform1uiv := nil;
  glUniform2uiv := nil;
  glUniform3uiv := nil;
  glUniform4uiv := nil;
  glClearBufferiv := nil;
  glClearBufferuiv := nil;
  glClearBufferfv := nil;
  glClearBufferfi := nil;
  glGetStringi := nil;
  glCopyBufferSubData := nil;
  glGetUniformIndices := nil;
  glGetActiveUniformsiv := nil;
  glGetUniformBlockIndex := nil;
  glGetActiveUniformBlockiv := nil;
  glGetActiveUniformBlockName := nil;
  glUniformBlockBinding := nil;
  glDrawArraysInstanced := nil;
  glDrawElementsInstanced := nil;
  glFenceSync := nil;
  glIsSync := nil;
  glDeleteSync := nil;
  glClientWaitSync := nil;
  glWaitSync := nil;
  glGetInteger64v := nil;
  glGetSynciv := nil;
  glGetInteger64i_v := nil;
  glGetBufferParameteri64v := nil;
  glGenSamplers := nil;
  glDeleteSamplers := nil;
  glIsSampler := nil;
  glBindSampler := nil;
  glSamplerParameteri := nil;
  glSamplerParameteriv := nil;
  glSamplerParameterf := nil;
  glSamplerParameterfv := nil;
  glGetSamplerParameteriv := nil;
  glGetSamplerParameterfv := nil;
  glVertexAttribDivisor := nil;
  glBindTransformFeedback := nil;
  glDeleteTransformFeedbacks := nil;
  glGenTransformFeedbacks := nil;
  glIsTransformFeedback := nil;
  glPauseTransformFeedback := nil;
  glResumeTransformFeedback := nil;
  glGetProgramBinary := nil;
  glProgramBinary := nil;
  glProgramParameteri := nil;
  glInvalidateFramebuffer := nil;
  glInvalidateSubFramebuffer := nil;
  glTexStorage2D := nil;
  glTexStorage3D := nil;
  glGetInternalformativ := nil;
  {GL_ES_VERSION_3_1}
  GL_ES_VERSION_3_1 := false;
  glDispatchCompute := nil;
  glDispatchComputeIndirect := nil;
  glDrawArraysIndirect := nil;
  glDrawElementsIndirect := nil;
  glFramebufferParameteri := nil;
  glGetFramebufferParameteriv := nil;
  glGetProgramInterfaceiv := nil;
  glGetProgramResourceIndex := nil;
  glGetProgramResourceName := nil;
  glGetProgramResourceiv := nil;
  glGetProgramResourceLocation := nil;
  glUseProgramStages := nil;
  glActiveShaderProgram := nil;
  glCreateShaderProgramv := nil;
  glBindProgramPipeline := nil;
  glDeleteProgramPipelines := nil;
  glGenProgramPipelines := nil;
  glIsProgramPipeline := nil;
  glGetProgramPipelineiv := nil;
  glProgramUniform1i := nil;
  glProgramUniform2i := nil;
  glProgramUniform3i := nil;
  glProgramUniform4i := nil;
  glProgramUniform1ui := nil;
  glProgramUniform2ui := nil;
  glProgramUniform3ui := nil;
  glProgramUniform4ui := nil;
  glProgramUniform1f := nil;
  glProgramUniform2f := nil;
  glProgramUniform3f := nil;
  glProgramUniform4f := nil;
  glProgramUniform1iv := nil;
  glProgramUniform2iv := nil;
  glProgramUniform3iv := nil;
  glProgramUniform4iv := nil;
  glProgramUniform1uiv := nil;
  glProgramUniform2uiv := nil;
  glProgramUniform3uiv := nil;
  glProgramUniform4uiv := nil;
  glProgramUniform1fv := nil;
  glProgramUniform2fv := nil;
  glProgramUniform3fv := nil;
  glProgramUniform4fv := nil;
  glProgramUniformMatrix2fv := nil;
  glProgramUniformMatrix3fv := nil;
  glProgramUniformMatrix4fv := nil;
  glProgramUniformMatrix2x3fv := nil;
  glProgramUniformMatrix3x2fv := nil;
  glProgramUniformMatrix2x4fv := nil;
  glProgramUniformMatrix4x2fv := nil;
  glProgramUniformMatrix3x4fv := nil;
  glProgramUniformMatrix4x3fv := nil;
  glValidateProgramPipeline := nil;
  glGetProgramPipelineInfoLog := nil;
  glBindImageTexture := nil;
  glGetBooleani_v := nil;
  glMemoryBarrier := nil;
  glMemoryBarrierByRegion := nil;
  glTexStorage2DMultisample := nil;
  glGetMultisamplefv := nil;
  glSampleMaski := nil;
  glGetTexLevelParameteriv := nil;
  glGetTexLevelParameterfv := nil;
  glBindVertexBuffer := nil;
  glVertexAttribFormat := nil;
  glVertexAttribIFormat := nil;
  glVertexAttribBinding := nil;
  glVertexBindingDivisor := nil;
end;

procedure LoadOpenGL_ExtensionCommands(getProc : TGetProcFunc; exts : string; TargetMajorVersion, TargetMinorVersion : integer);
begin
  {GL_VERSION_1_1}
  GL_VERSION_1_1 := (TargetMajorVersion > 1) or ((TargetMajorVersion = 1) and (TargetMinorVersion >= 1));
  if GL_VERSION_1_1 then
  begin
    glDrawArrays := getProc('glDrawArrays',1, 1, GL_VERSION_1_1);
    glDrawElements := getProc('glDrawElements',1, 1, GL_VERSION_1_1);
    glGetPointerv := getProc('glGetPointerv',1, 1, GL_VERSION_1_1);
    glPolygonOffset := getProc('glPolygonOffset',1, 1, GL_VERSION_1_1);
    glCopyTexImage1D := getProc('glCopyTexImage1D',1, 1, GL_VERSION_1_1);
    glCopyTexImage2D := getProc('glCopyTexImage2D',1, 1, GL_VERSION_1_1);
    glCopyTexSubImage1D := getProc('glCopyTexSubImage1D',1, 1, GL_VERSION_1_1);
    glCopyTexSubImage2D := getProc('glCopyTexSubImage2D',1, 1, GL_VERSION_1_1);
    glTexSubImage1D := getProc('glTexSubImage1D',1, 1, GL_VERSION_1_1);
    glTexSubImage2D := getProc('glTexSubImage2D',1, 1, GL_VERSION_1_1);
    glBindTexture := getProc('glBindTexture',1, 1, GL_VERSION_1_1);
    glDeleteTextures := getProc('glDeleteTextures',1, 1, GL_VERSION_1_1);
    glGenTextures := getProc('glGenTextures',1, 1, GL_VERSION_1_1);
    glIsTexture := getProc('glIsTexture',1, 1, GL_VERSION_1_1);
    glArrayElement := getProc('glArrayElement',1, 1, GL_VERSION_1_1);
    glColorPointer := getProc('glColorPointer',1, 1, GL_VERSION_1_1);
    glDisableClientState := getProc('glDisableClientState',1, 1, GL_VERSION_1_1);
    glEdgeFlagPointer := getProc('glEdgeFlagPointer',1, 1, GL_VERSION_1_1);
    glEnableClientState := getProc('glEnableClientState',1, 1, GL_VERSION_1_1);
    glIndexPointer := getProc('glIndexPointer',1, 1, GL_VERSION_1_1);
    glInterleavedArrays := getProc('glInterleavedArrays',1, 1, GL_VERSION_1_1);
    glNormalPointer := getProc('glNormalPointer',1, 1, GL_VERSION_1_1);
    glTexCoordPointer := getProc('glTexCoordPointer',1, 1, GL_VERSION_1_1);
    glVertexPointer := getProc('glVertexPointer',1, 1, GL_VERSION_1_1);
    glAreTexturesResident := getProc('glAreTexturesResident',1, 1, GL_VERSION_1_1);
    glPrioritizeTextures := getProc('glPrioritizeTextures',1, 1, GL_VERSION_1_1);
    glIndexub := getProc('glIndexub',1, 1, GL_VERSION_1_1);
    glIndexubv := getProc('glIndexubv',1, 1, GL_VERSION_1_1);
    glPopClientAttrib := getProc('glPopClientAttrib',1, 1, GL_VERSION_1_1);
    glPushClientAttrib := getProc('glPushClientAttrib',1, 1, GL_VERSION_1_1);
  end;

  {GL_VERSION_1_2}
  GL_VERSION_1_2 := (TargetMajorVersion > 1) or ((TargetMajorVersion = 1) and (TargetMinorVersion >= 2));
  if GL_VERSION_1_2 then
  begin
    glDrawRangeElements := getProc('glDrawRangeElements',1, 2, GL_VERSION_1_2);
    glTexImage3D := getProc('glTexImage3D',1, 2, GL_VERSION_1_2);
    glTexSubImage3D := getProc('glTexSubImage3D',1, 2, GL_VERSION_1_2);
    glCopyTexSubImage3D := getProc('glCopyTexSubImage3D',1, 2, GL_VERSION_1_2);
  end;

  {GL_VERSION_1_3}
  GL_VERSION_1_3 := (TargetMajorVersion > 1) or ((TargetMajorVersion = 1) and (TargetMinorVersion >= 3));
  if GL_VERSION_1_3 then
  begin
    glActiveTexture := getProc('glActiveTexture',1, 3, GL_VERSION_1_3);
    glSampleCoverage := getProc('glSampleCoverage',1, 3, GL_VERSION_1_3);
    glCompressedTexImage3D := getProc('glCompressedTexImage3D',1, 3, GL_VERSION_1_3);
    glCompressedTexImage2D := getProc('glCompressedTexImage2D',1, 3, GL_VERSION_1_3);
    glCompressedTexImage1D := getProc('glCompressedTexImage1D',1, 3, GL_VERSION_1_3);
    glCompressedTexSubImage3D := getProc('glCompressedTexSubImage3D',1, 3, GL_VERSION_1_3);
    glCompressedTexSubImage2D := getProc('glCompressedTexSubImage2D',1, 3, GL_VERSION_1_3);
    glCompressedTexSubImage1D := getProc('glCompressedTexSubImage1D',1, 3, GL_VERSION_1_3);
    glGetCompressedTexImage := getProc('glGetCompressedTexImage',1, 3, GL_VERSION_1_3);
    glClientActiveTexture := getProc('glClientActiveTexture',1, 3, GL_VERSION_1_3);
    glMultiTexCoord1d := getProc('glMultiTexCoord1d',1, 3, GL_VERSION_1_3);
    glMultiTexCoord1dv := getProc('glMultiTexCoord1dv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord1f := getProc('glMultiTexCoord1f',1, 3, GL_VERSION_1_3);
    glMultiTexCoord1fv := getProc('glMultiTexCoord1fv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord1i := getProc('glMultiTexCoord1i',1, 3, GL_VERSION_1_3);
    glMultiTexCoord1iv := getProc('glMultiTexCoord1iv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord1s := getProc('glMultiTexCoord1s',1, 3, GL_VERSION_1_3);
    glMultiTexCoord1sv := getProc('glMultiTexCoord1sv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord2d := getProc('glMultiTexCoord2d',1, 3, GL_VERSION_1_3);
    glMultiTexCoord2dv := getProc('glMultiTexCoord2dv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord2f := getProc('glMultiTexCoord2f',1, 3, GL_VERSION_1_3);
    glMultiTexCoord2fv := getProc('glMultiTexCoord2fv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord2i := getProc('glMultiTexCoord2i',1, 3, GL_VERSION_1_3);
    glMultiTexCoord2iv := getProc('glMultiTexCoord2iv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord2s := getProc('glMultiTexCoord2s',1, 3, GL_VERSION_1_3);
    glMultiTexCoord2sv := getProc('glMultiTexCoord2sv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord3d := getProc('glMultiTexCoord3d',1, 3, GL_VERSION_1_3);
    glMultiTexCoord3dv := getProc('glMultiTexCoord3dv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord3f := getProc('glMultiTexCoord3f',1, 3, GL_VERSION_1_3);
    glMultiTexCoord3fv := getProc('glMultiTexCoord3fv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord3i := getProc('glMultiTexCoord3i',1, 3, GL_VERSION_1_3);
    glMultiTexCoord3iv := getProc('glMultiTexCoord3iv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord3s := getProc('glMultiTexCoord3s',1, 3, GL_VERSION_1_3);
    glMultiTexCoord3sv := getProc('glMultiTexCoord3sv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord4d := getProc('glMultiTexCoord4d',1, 3, GL_VERSION_1_3);
    glMultiTexCoord4dv := getProc('glMultiTexCoord4dv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord4f := getProc('glMultiTexCoord4f',1, 3, GL_VERSION_1_3);
    glMultiTexCoord4fv := getProc('glMultiTexCoord4fv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord4i := getProc('glMultiTexCoord4i',1, 3, GL_VERSION_1_3);
    glMultiTexCoord4iv := getProc('glMultiTexCoord4iv',1, 3, GL_VERSION_1_3);
    glMultiTexCoord4s := getProc('glMultiTexCoord4s',1, 3, GL_VERSION_1_3);
    glMultiTexCoord4sv := getProc('glMultiTexCoord4sv',1, 3, GL_VERSION_1_3);
    glLoadTransposeMatrixf := getProc('glLoadTransposeMatrixf',1, 3, GL_VERSION_1_3);
    glLoadTransposeMatrixd := getProc('glLoadTransposeMatrixd',1, 3, GL_VERSION_1_3);
    glMultTransposeMatrixf := getProc('glMultTransposeMatrixf',1, 3, GL_VERSION_1_3);
    glMultTransposeMatrixd := getProc('glMultTransposeMatrixd',1, 3, GL_VERSION_1_3);
  end;

  {GL_VERSION_1_4}
  GL_VERSION_1_4 := (TargetMajorVersion > 1) or ((TargetMajorVersion = 1) and (TargetMinorVersion >= 4));
  if GL_VERSION_1_4 then
  begin
    glBlendFuncSeparate := getProc('glBlendFuncSeparate',1, 4, GL_VERSION_1_4);
    glMultiDrawArrays := getProc('glMultiDrawArrays',1, 4, GL_VERSION_1_4);
    glMultiDrawElements := getProc('glMultiDrawElements',1, 4, GL_VERSION_1_4);
    glPointParameterf := getProc('glPointParameterf',1, 4, GL_VERSION_1_4);
    glPointParameterfv := getProc('glPointParameterfv',1, 4, GL_VERSION_1_4);
    glPointParameteri := getProc('glPointParameteri',1, 4, GL_VERSION_1_4);
    glPointParameteriv := getProc('glPointParameteriv',1, 4, GL_VERSION_1_4);
    glFogCoordf := getProc('glFogCoordf',1, 4, GL_VERSION_1_4);
    glFogCoordfv := getProc('glFogCoordfv',1, 4, GL_VERSION_1_4);
    glFogCoordd := getProc('glFogCoordd',1, 4, GL_VERSION_1_4);
    glFogCoorddv := getProc('glFogCoorddv',1, 4, GL_VERSION_1_4);
    glFogCoordPointer := getProc('glFogCoordPointer',1, 4, GL_VERSION_1_4);
    glSecondaryColor3b := getProc('glSecondaryColor3b',1, 4, GL_VERSION_1_4);
    glSecondaryColor3bv := getProc('glSecondaryColor3bv',1, 4, GL_VERSION_1_4);
    glSecondaryColor3d := getProc('glSecondaryColor3d',1, 4, GL_VERSION_1_4);
    glSecondaryColor3dv := getProc('glSecondaryColor3dv',1, 4, GL_VERSION_1_4);
    glSecondaryColor3f := getProc('glSecondaryColor3f',1, 4, GL_VERSION_1_4);
    glSecondaryColor3fv := getProc('glSecondaryColor3fv',1, 4, GL_VERSION_1_4);
    glSecondaryColor3i := getProc('glSecondaryColor3i',1, 4, GL_VERSION_1_4);
    glSecondaryColor3iv := getProc('glSecondaryColor3iv',1, 4, GL_VERSION_1_4);
    glSecondaryColor3s := getProc('glSecondaryColor3s',1, 4, GL_VERSION_1_4);
    glSecondaryColor3sv := getProc('glSecondaryColor3sv',1, 4, GL_VERSION_1_4);
    glSecondaryColor3ub := getProc('glSecondaryColor3ub',1, 4, GL_VERSION_1_4);
    glSecondaryColor3ubv := getProc('glSecondaryColor3ubv',1, 4, GL_VERSION_1_4);
    glSecondaryColor3ui := getProc('glSecondaryColor3ui',1, 4, GL_VERSION_1_4);
    glSecondaryColor3uiv := getProc('glSecondaryColor3uiv',1, 4, GL_VERSION_1_4);
    glSecondaryColor3us := getProc('glSecondaryColor3us',1, 4, GL_VERSION_1_4);
    glSecondaryColor3usv := getProc('glSecondaryColor3usv',1, 4, GL_VERSION_1_4);
    glSecondaryColorPointer := getProc('glSecondaryColorPointer',1, 4, GL_VERSION_1_4);
    glWindowPos2d := getProc('glWindowPos2d',1, 4, GL_VERSION_1_4);
    glWindowPos2dv := getProc('glWindowPos2dv',1, 4, GL_VERSION_1_4);
    glWindowPos2f := getProc('glWindowPos2f',1, 4, GL_VERSION_1_4);
    glWindowPos2fv := getProc('glWindowPos2fv',1, 4, GL_VERSION_1_4);
    glWindowPos2i := getProc('glWindowPos2i',1, 4, GL_VERSION_1_4);
    glWindowPos2iv := getProc('glWindowPos2iv',1, 4, GL_VERSION_1_4);
    glWindowPos2s := getProc('glWindowPos2s',1, 4, GL_VERSION_1_4);
    glWindowPos2sv := getProc('glWindowPos2sv',1, 4, GL_VERSION_1_4);
    glWindowPos3d := getProc('glWindowPos3d',1, 4, GL_VERSION_1_4);
    glWindowPos3dv := getProc('glWindowPos3dv',1, 4, GL_VERSION_1_4);
    glWindowPos3f := getProc('glWindowPos3f',1, 4, GL_VERSION_1_4);
    glWindowPos3fv := getProc('glWindowPos3fv',1, 4, GL_VERSION_1_4);
    glWindowPos3i := getProc('glWindowPos3i',1, 4, GL_VERSION_1_4);
    glWindowPos3iv := getProc('glWindowPos3iv',1, 4, GL_VERSION_1_4);
    glWindowPos3s := getProc('glWindowPos3s',1, 4, GL_VERSION_1_4);
    glWindowPos3sv := getProc('glWindowPos3sv',1, 4, GL_VERSION_1_4);
    glBlendColor := getProc('glBlendColor',1, 4, GL_VERSION_1_4);
    glBlendEquation := getProc('glBlendEquation',1, 4, GL_VERSION_1_4);
  end;

  {GL_VERSION_1_5}
  GL_VERSION_1_5 := (TargetMajorVersion > 1) or ((TargetMajorVersion = 1) and (TargetMinorVersion >= 5));
  if GL_VERSION_1_5 then
  begin
    glGenQueries := getProc('glGenQueries',1, 5, GL_VERSION_1_5);
    glDeleteQueries := getProc('glDeleteQueries',1, 5, GL_VERSION_1_5);
    glIsQuery := getProc('glIsQuery',1, 5, GL_VERSION_1_5);
    glBeginQuery := getProc('glBeginQuery',1, 5, GL_VERSION_1_5);
    glEndQuery := getProc('glEndQuery',1, 5, GL_VERSION_1_5);
    glGetQueryiv := getProc('glGetQueryiv',1, 5, GL_VERSION_1_5);
    glGetQueryObjectiv := getProc('glGetQueryObjectiv',1, 5, GL_VERSION_1_5);
    glGetQueryObjectuiv := getProc('glGetQueryObjectuiv',1, 5, GL_VERSION_1_5);
    glBindBuffer := getProc('glBindBuffer',1, 5, GL_VERSION_1_5);
    glDeleteBuffers := getProc('glDeleteBuffers',1, 5, GL_VERSION_1_5);
    glGenBuffers := getProc('glGenBuffers',1, 5, GL_VERSION_1_5);
    glIsBuffer := getProc('glIsBuffer',1, 5, GL_VERSION_1_5);
    glBufferData := getProc('glBufferData',1, 5, GL_VERSION_1_5);
    glBufferSubData := getProc('glBufferSubData',1, 5, GL_VERSION_1_5);
    glGetBufferSubData := getProc('glGetBufferSubData',1, 5, GL_VERSION_1_5);
    glMapBuffer := getProc('glMapBuffer',1, 5, GL_VERSION_1_5);
    glUnmapBuffer := getProc('glUnmapBuffer',1, 5, GL_VERSION_1_5);
    glGetBufferParameteriv := getProc('glGetBufferParameteriv',1, 5, GL_VERSION_1_5);
    glGetBufferPointerv := getProc('glGetBufferPointerv',1, 5, GL_VERSION_1_5);
  end;

  {GL_VERSION_2_0}
  GL_VERSION_2_0 := (TargetMajorVersion > 2) or ((TargetMajorVersion = 2) and (TargetMinorVersion >= 0));
  if GL_VERSION_2_0 then
  begin
    glBlendEquationSeparate := getProc('glBlendEquationSeparate',2, 0, GL_VERSION_2_0);
    glDrawBuffers := getProc('glDrawBuffers',2, 0, GL_VERSION_2_0);
    glStencilOpSeparate := getProc('glStencilOpSeparate',2, 0, GL_VERSION_2_0);
    glStencilFuncSeparate := getProc('glStencilFuncSeparate',2, 0, GL_VERSION_2_0);
    glStencilMaskSeparate := getProc('glStencilMaskSeparate',2, 0, GL_VERSION_2_0);
    glAttachShader := getProc('glAttachShader',2, 0, GL_VERSION_2_0);
    glBindAttribLocation := getProc('glBindAttribLocation',2, 0, GL_VERSION_2_0);
    glCompileShader := getProc('glCompileShader',2, 0, GL_VERSION_2_0);
    glCreateProgram := getProc('glCreateProgram',2, 0, GL_VERSION_2_0);
    glCreateShader := getProc('glCreateShader',2, 0, GL_VERSION_2_0);
    glDeleteProgram := getProc('glDeleteProgram',2, 0, GL_VERSION_2_0);
    glDeleteShader := getProc('glDeleteShader',2, 0, GL_VERSION_2_0);
    glDetachShader := getProc('glDetachShader',2, 0, GL_VERSION_2_0);
    glDisableVertexAttribArray := getProc('glDisableVertexAttribArray',2, 0, GL_VERSION_2_0);
    glEnableVertexAttribArray := getProc('glEnableVertexAttribArray',2, 0, GL_VERSION_2_0);
    glGetActiveAttrib := getProc('glGetActiveAttrib',2, 0, GL_VERSION_2_0);
    glGetActiveUniform := getProc('glGetActiveUniform',2, 0, GL_VERSION_2_0);
    glGetAttachedShaders := getProc('glGetAttachedShaders',2, 0, GL_VERSION_2_0);
    glGetAttribLocation := getProc('glGetAttribLocation',2, 0, GL_VERSION_2_0);
    glGetProgramiv := getProc('glGetProgramiv',2, 0, GL_VERSION_2_0);
    glGetProgramInfoLog := getProc('glGetProgramInfoLog',2, 0, GL_VERSION_2_0);
    glGetShaderiv := getProc('glGetShaderiv',2, 0, GL_VERSION_2_0);
    glGetShaderInfoLog := getProc('glGetShaderInfoLog',2, 0, GL_VERSION_2_0);
    glGetShaderSource := getProc('glGetShaderSource',2, 0, GL_VERSION_2_0);
    glGetUniformLocation := getProc('glGetUniformLocation',2, 0, GL_VERSION_2_0);
    glGetUniformfv := getProc('glGetUniformfv',2, 0, GL_VERSION_2_0);
    glGetUniformiv := getProc('glGetUniformiv',2, 0, GL_VERSION_2_0);
    glGetVertexAttribdv := getProc('glGetVertexAttribdv',2, 0, GL_VERSION_2_0);
    glGetVertexAttribfv := getProc('glGetVertexAttribfv',2, 0, GL_VERSION_2_0);
    glGetVertexAttribiv := getProc('glGetVertexAttribiv',2, 0, GL_VERSION_2_0);
    glGetVertexAttribPointerv := getProc('glGetVertexAttribPointerv',2, 0, GL_VERSION_2_0);
    glIsProgram := getProc('glIsProgram',2, 0, GL_VERSION_2_0);
    glIsShader := getProc('glIsShader',2, 0, GL_VERSION_2_0);
    glLinkProgram := getProc('glLinkProgram',2, 0, GL_VERSION_2_0);
    glShaderSource := getProc('glShaderSource',2, 0, GL_VERSION_2_0);
    glUseProgram := getProc('glUseProgram',2, 0, GL_VERSION_2_0);
    glUniform1f := getProc('glUniform1f',2, 0, GL_VERSION_2_0);
    glUniform2f := getProc('glUniform2f',2, 0, GL_VERSION_2_0);
    glUniform3f := getProc('glUniform3f',2, 0, GL_VERSION_2_0);
    glUniform4f := getProc('glUniform4f',2, 0, GL_VERSION_2_0);
    glUniform1i := getProc('glUniform1i',2, 0, GL_VERSION_2_0);
    glUniform2i := getProc('glUniform2i',2, 0, GL_VERSION_2_0);
    glUniform3i := getProc('glUniform3i',2, 0, GL_VERSION_2_0);
    glUniform4i := getProc('glUniform4i',2, 0, GL_VERSION_2_0);
    glUniform1fv := getProc('glUniform1fv',2, 0, GL_VERSION_2_0);
    glUniform2fv := getProc('glUniform2fv',2, 0, GL_VERSION_2_0);
    glUniform3fv := getProc('glUniform3fv',2, 0, GL_VERSION_2_0);
    glUniform4fv := getProc('glUniform4fv',2, 0, GL_VERSION_2_0);
    glUniform1iv := getProc('glUniform1iv',2, 0, GL_VERSION_2_0);
    glUniform2iv := getProc('glUniform2iv',2, 0, GL_VERSION_2_0);
    glUniform3iv := getProc('glUniform3iv',2, 0, GL_VERSION_2_0);
    glUniform4iv := getProc('glUniform4iv',2, 0, GL_VERSION_2_0);
    glUniformMatrix2fv := getProc('glUniformMatrix2fv',2, 0, GL_VERSION_2_0);
    glUniformMatrix3fv := getProc('glUniformMatrix3fv',2, 0, GL_VERSION_2_0);
    glUniformMatrix4fv := getProc('glUniformMatrix4fv',2, 0, GL_VERSION_2_0);
    glValidateProgram := getProc('glValidateProgram',2, 0, GL_VERSION_2_0);
    glVertexAttrib1d := getProc('glVertexAttrib1d',2, 0, GL_VERSION_2_0);
    glVertexAttrib1dv := getProc('glVertexAttrib1dv',2, 0, GL_VERSION_2_0);
    glVertexAttrib1f := getProc('glVertexAttrib1f',2, 0, GL_VERSION_2_0);
    glVertexAttrib1fv := getProc('glVertexAttrib1fv',2, 0, GL_VERSION_2_0);
    glVertexAttrib1s := getProc('glVertexAttrib1s',2, 0, GL_VERSION_2_0);
    glVertexAttrib1sv := getProc('glVertexAttrib1sv',2, 0, GL_VERSION_2_0);
    glVertexAttrib2d := getProc('glVertexAttrib2d',2, 0, GL_VERSION_2_0);
    glVertexAttrib2dv := getProc('glVertexAttrib2dv',2, 0, GL_VERSION_2_0);
    glVertexAttrib2f := getProc('glVertexAttrib2f',2, 0, GL_VERSION_2_0);
    glVertexAttrib2fv := getProc('glVertexAttrib2fv',2, 0, GL_VERSION_2_0);
    glVertexAttrib2s := getProc('glVertexAttrib2s',2, 0, GL_VERSION_2_0);
    glVertexAttrib2sv := getProc('glVertexAttrib2sv',2, 0, GL_VERSION_2_0);
    glVertexAttrib3d := getProc('glVertexAttrib3d',2, 0, GL_VERSION_2_0);
    glVertexAttrib3dv := getProc('glVertexAttrib3dv',2, 0, GL_VERSION_2_0);
    glVertexAttrib3f := getProc('glVertexAttrib3f',2, 0, GL_VERSION_2_0);
    glVertexAttrib3fv := getProc('glVertexAttrib3fv',2, 0, GL_VERSION_2_0);
    glVertexAttrib3s := getProc('glVertexAttrib3s',2, 0, GL_VERSION_2_0);
    glVertexAttrib3sv := getProc('glVertexAttrib3sv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4Nbv := getProc('glVertexAttrib4Nbv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4Niv := getProc('glVertexAttrib4Niv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4Nsv := getProc('glVertexAttrib4Nsv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4Nub := getProc('glVertexAttrib4Nub',2, 0, GL_VERSION_2_0);
    glVertexAttrib4Nubv := getProc('glVertexAttrib4Nubv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4Nuiv := getProc('glVertexAttrib4Nuiv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4Nusv := getProc('glVertexAttrib4Nusv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4bv := getProc('glVertexAttrib4bv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4d := getProc('glVertexAttrib4d',2, 0, GL_VERSION_2_0);
    glVertexAttrib4dv := getProc('glVertexAttrib4dv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4f := getProc('glVertexAttrib4f',2, 0, GL_VERSION_2_0);
    glVertexAttrib4fv := getProc('glVertexAttrib4fv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4iv := getProc('glVertexAttrib4iv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4s := getProc('glVertexAttrib4s',2, 0, GL_VERSION_2_0);
    glVertexAttrib4sv := getProc('glVertexAttrib4sv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4ubv := getProc('glVertexAttrib4ubv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4uiv := getProc('glVertexAttrib4uiv',2, 0, GL_VERSION_2_0);
    glVertexAttrib4usv := getProc('glVertexAttrib4usv',2, 0, GL_VERSION_2_0);
    glVertexAttribPointer := getProc('glVertexAttribPointer',2, 0, GL_VERSION_2_0);
  end;

  {GL_VERSION_2_1}
  GL_VERSION_2_1 := (TargetMajorVersion > 2) or ((TargetMajorVersion = 2) and (TargetMinorVersion >= 1));
  if GL_VERSION_2_1 then
  begin
    glUniformMatrix2x3fv := getProc('glUniformMatrix2x3fv',2, 1, GL_VERSION_2_1);
    glUniformMatrix3x2fv := getProc('glUniformMatrix3x2fv',2, 1, GL_VERSION_2_1);
    glUniformMatrix2x4fv := getProc('glUniformMatrix2x4fv',2, 1, GL_VERSION_2_1);
    glUniformMatrix4x2fv := getProc('glUniformMatrix4x2fv',2, 1, GL_VERSION_2_1);
    glUniformMatrix3x4fv := getProc('glUniformMatrix3x4fv',2, 1, GL_VERSION_2_1);
    glUniformMatrix4x3fv := getProc('glUniformMatrix4x3fv',2, 1, GL_VERSION_2_1);
  end;

  {GL_VERSION_3_0}
  GL_VERSION_3_0 := (TargetMajorVersion > 3) or ((TargetMajorVersion = 3) and (TargetMinorVersion >= 0));
  if GL_VERSION_3_0 then
  begin
    glColorMaski := getProc('glColorMaski',3, 0, GL_VERSION_3_0);
    glGetBooleani_v := getProc('glGetBooleani_v',3, 0, GL_VERSION_3_0);
    glGetIntegeri_v := getProc('glGetIntegeri_v',3, 0, GL_VERSION_3_0);
    glEnablei := getProc('glEnablei',3, 0, GL_VERSION_3_0);
    glDisablei := getProc('glDisablei',3, 0, GL_VERSION_3_0);
    glIsEnabledi := getProc('glIsEnabledi',3, 0, GL_VERSION_3_0);
    glBeginTransformFeedback := getProc('glBeginTransformFeedback',3, 0, GL_VERSION_3_0);
    glEndTransformFeedback := getProc('glEndTransformFeedback',3, 0, GL_VERSION_3_0);
    glBindBufferRange := getProc('glBindBufferRange',3, 0, GL_VERSION_3_0);
    glBindBufferBase := getProc('glBindBufferBase',3, 0, GL_VERSION_3_0);
    glTransformFeedbackVaryings := getProc('glTransformFeedbackVaryings',3, 0, GL_VERSION_3_0);
    glGetTransformFeedbackVarying := getProc('glGetTransformFeedbackVarying',3, 0, GL_VERSION_3_0);
    glClampColor := getProc('glClampColor',3, 0, GL_VERSION_3_0);
    glBeginConditionalRender := getProc('glBeginConditionalRender',3, 0, GL_VERSION_3_0);
    glEndConditionalRender := getProc('glEndConditionalRender',3, 0, GL_VERSION_3_0);
    glVertexAttribIPointer := getProc('glVertexAttribIPointer',3, 0, GL_VERSION_3_0);
    glGetVertexAttribIiv := getProc('glGetVertexAttribIiv',3, 0, GL_VERSION_3_0);
    glGetVertexAttribIuiv := getProc('glGetVertexAttribIuiv',3, 0, GL_VERSION_3_0);
    glVertexAttribI1i := getProc('glVertexAttribI1i',3, 0, GL_VERSION_3_0);
    glVertexAttribI2i := getProc('glVertexAttribI2i',3, 0, GL_VERSION_3_0);
    glVertexAttribI3i := getProc('glVertexAttribI3i',3, 0, GL_VERSION_3_0);
    glVertexAttribI4i := getProc('glVertexAttribI4i',3, 0, GL_VERSION_3_0);
    glVertexAttribI1ui := getProc('glVertexAttribI1ui',3, 0, GL_VERSION_3_0);
    glVertexAttribI2ui := getProc('glVertexAttribI2ui',3, 0, GL_VERSION_3_0);
    glVertexAttribI3ui := getProc('glVertexAttribI3ui',3, 0, GL_VERSION_3_0);
    glVertexAttribI4ui := getProc('glVertexAttribI4ui',3, 0, GL_VERSION_3_0);
    glVertexAttribI1iv := getProc('glVertexAttribI1iv',3, 0, GL_VERSION_3_0);
    glVertexAttribI2iv := getProc('glVertexAttribI2iv',3, 0, GL_VERSION_3_0);
    glVertexAttribI3iv := getProc('glVertexAttribI3iv',3, 0, GL_VERSION_3_0);
    glVertexAttribI4iv := getProc('glVertexAttribI4iv',3, 0, GL_VERSION_3_0);
    glVertexAttribI1uiv := getProc('glVertexAttribI1uiv',3, 0, GL_VERSION_3_0);
    glVertexAttribI2uiv := getProc('glVertexAttribI2uiv',3, 0, GL_VERSION_3_0);
    glVertexAttribI3uiv := getProc('glVertexAttribI3uiv',3, 0, GL_VERSION_3_0);
    glVertexAttribI4uiv := getProc('glVertexAttribI4uiv',3, 0, GL_VERSION_3_0);
    glVertexAttribI4bv := getProc('glVertexAttribI4bv',3, 0, GL_VERSION_3_0);
    glVertexAttribI4sv := getProc('glVertexAttribI4sv',3, 0, GL_VERSION_3_0);
    glVertexAttribI4ubv := getProc('glVertexAttribI4ubv',3, 0, GL_VERSION_3_0);
    glVertexAttribI4usv := getProc('glVertexAttribI4usv',3, 0, GL_VERSION_3_0);
    glGetUniformuiv := getProc('glGetUniformuiv',3, 0, GL_VERSION_3_0);
    glBindFragDataLocation := getProc('glBindFragDataLocation',3, 0, GL_VERSION_3_0);
    glGetFragDataLocation := getProc('glGetFragDataLocation',3, 0, GL_VERSION_3_0);
    glUniform1ui := getProc('glUniform1ui',3, 0, GL_VERSION_3_0);
    glUniform2ui := getProc('glUniform2ui',3, 0, GL_VERSION_3_0);
    glUniform3ui := getProc('glUniform3ui',3, 0, GL_VERSION_3_0);
    glUniform4ui := getProc('glUniform4ui',3, 0, GL_VERSION_3_0);
    glUniform1uiv := getProc('glUniform1uiv',3, 0, GL_VERSION_3_0);
    glUniform2uiv := getProc('glUniform2uiv',3, 0, GL_VERSION_3_0);
    glUniform3uiv := getProc('glUniform3uiv',3, 0, GL_VERSION_3_0);
    glUniform4uiv := getProc('glUniform4uiv',3, 0, GL_VERSION_3_0);
    glTexParameterIiv := getProc('glTexParameterIiv',3, 0, GL_VERSION_3_0);
    glTexParameterIuiv := getProc('glTexParameterIuiv',3, 0, GL_VERSION_3_0);
    glGetTexParameterIiv := getProc('glGetTexParameterIiv',3, 0, GL_VERSION_3_0);
    glGetTexParameterIuiv := getProc('glGetTexParameterIuiv',3, 0, GL_VERSION_3_0);
    glClearBufferiv := getProc('glClearBufferiv',3, 0, GL_VERSION_3_0);
    glClearBufferuiv := getProc('glClearBufferuiv',3, 0, GL_VERSION_3_0);
    glClearBufferfv := getProc('glClearBufferfv',3, 0, GL_VERSION_3_0);
    glClearBufferfi := getProc('glClearBufferfi',3, 0, GL_VERSION_3_0);
    glGetStringi := getProc('glGetStringi',3, 0, GL_VERSION_3_0);
    glIsRenderbuffer := getProc('glIsRenderbuffer',3, 0, GL_VERSION_3_0);
    glBindRenderbuffer := getProc('glBindRenderbuffer',3, 0, GL_VERSION_3_0);
    glDeleteRenderbuffers := getProc('glDeleteRenderbuffers',3, 0, GL_VERSION_3_0);
    glGenRenderbuffers := getProc('glGenRenderbuffers',3, 0, GL_VERSION_3_0);
    glRenderbufferStorage := getProc('glRenderbufferStorage',3, 0, GL_VERSION_3_0);
    glGetRenderbufferParameteriv := getProc('glGetRenderbufferParameteriv',3, 0, GL_VERSION_3_0);
    glIsFramebuffer := getProc('glIsFramebuffer',3, 0, GL_VERSION_3_0);
    glBindFramebuffer := getProc('glBindFramebuffer',3, 0, GL_VERSION_3_0);
    glDeleteFramebuffers := getProc('glDeleteFramebuffers',3, 0, GL_VERSION_3_0);
    glGenFramebuffers := getProc('glGenFramebuffers',3, 0, GL_VERSION_3_0);
    glCheckFramebufferStatus := getProc('glCheckFramebufferStatus',3, 0, GL_VERSION_3_0);
    glFramebufferTexture1D := getProc('glFramebufferTexture1D',3, 0, GL_VERSION_3_0);
    glFramebufferTexture2D := getProc('glFramebufferTexture2D',3, 0, GL_VERSION_3_0);
    glFramebufferTexture3D := getProc('glFramebufferTexture3D',3, 0, GL_VERSION_3_0);
    glFramebufferRenderbuffer := getProc('glFramebufferRenderbuffer',3, 0, GL_VERSION_3_0);
    glGetFramebufferAttachmentParameteriv := getProc('glGetFramebufferAttachmentParameteriv',3, 0, GL_VERSION_3_0);
    glGenerateMipmap := getProc('glGenerateMipmap',3, 0, GL_VERSION_3_0);
    glBlitFramebuffer := getProc('glBlitFramebuffer',3, 0, GL_VERSION_3_0);
    glRenderbufferStorageMultisample := getProc('glRenderbufferStorageMultisample',3, 0, GL_VERSION_3_0);
    glFramebufferTextureLayer := getProc('glFramebufferTextureLayer',3, 0, GL_VERSION_3_0);
    glMapBufferRange := getProc('glMapBufferRange',3, 0, GL_VERSION_3_0);
    glFlushMappedBufferRange := getProc('glFlushMappedBufferRange',3, 0, GL_VERSION_3_0);
    glBindVertexArray := getProc('glBindVertexArray',3, 0, GL_VERSION_3_0);
    glDeleteVertexArrays := getProc('glDeleteVertexArrays',3, 0, GL_VERSION_3_0);
    glGenVertexArrays := getProc('glGenVertexArrays',3, 0, GL_VERSION_3_0);
    glIsVertexArray := getProc('glIsVertexArray',3, 0, GL_VERSION_3_0);
  end;

  {GL_VERSION_3_1}
  GL_VERSION_3_1 := (TargetMajorVersion > 3) or ((TargetMajorVersion = 3) and (TargetMinorVersion >= 1));
  if GL_VERSION_3_1 then
  begin
    glDrawArraysInstanced := getProc('glDrawArraysInstanced',3, 1, GL_VERSION_3_1);
    glDrawElementsInstanced := getProc('glDrawElementsInstanced',3, 1, GL_VERSION_3_1);
    glTexBuffer := getProc('glTexBuffer',3, 1, GL_VERSION_3_1);
    glPrimitiveRestartIndex := getProc('glPrimitiveRestartIndex',3, 1, GL_VERSION_3_1);
    glCopyBufferSubData := getProc('glCopyBufferSubData',3, 1, GL_VERSION_3_1);
    glGetUniformIndices := getProc('glGetUniformIndices',3, 1, GL_VERSION_3_1);
    glGetActiveUniformsiv := getProc('glGetActiveUniformsiv',3, 1, GL_VERSION_3_1);
    glGetActiveUniformName := getProc('glGetActiveUniformName',3, 1, GL_VERSION_3_1);
    glGetUniformBlockIndex := getProc('glGetUniformBlockIndex',3, 1, GL_VERSION_3_1);
    glGetActiveUniformBlockiv := getProc('glGetActiveUniformBlockiv',3, 1, GL_VERSION_3_1);
    glGetActiveUniformBlockName := getProc('glGetActiveUniformBlockName',3, 1, GL_VERSION_3_1);
    glUniformBlockBinding := getProc('glUniformBlockBinding',3, 1, GL_VERSION_3_1);
  end;

  {GL_VERSION_3_2}
  GL_VERSION_3_2 := (TargetMajorVersion > 3) or ((TargetMajorVersion = 3) and (TargetMinorVersion >= 2));
  if GL_VERSION_3_2 then
  begin
    glDrawElementsBaseVertex := getProc('glDrawElementsBaseVertex',3, 2, GL_VERSION_3_2);
    glDrawRangeElementsBaseVertex := getProc('glDrawRangeElementsBaseVertex',3, 2, GL_VERSION_3_2);
    glDrawElementsInstancedBaseVertex := getProc('glDrawElementsInstancedBaseVertex',3, 2, GL_VERSION_3_2);
    glMultiDrawElementsBaseVertex := getProc('glMultiDrawElementsBaseVertex',3, 2, GL_VERSION_3_2);
    glProvokingVertex := getProc('glProvokingVertex',3, 2, GL_VERSION_3_2);
    glFenceSync := getProc('glFenceSync',3, 2, GL_VERSION_3_2);
    glIsSync := getProc('glIsSync',3, 2, GL_VERSION_3_2);
    glDeleteSync := getProc('glDeleteSync',3, 2, GL_VERSION_3_2);
    glClientWaitSync := getProc('glClientWaitSync',3, 2, GL_VERSION_3_2);
    glWaitSync := getProc('glWaitSync',3, 2, GL_VERSION_3_2);
    glGetInteger64v := getProc('glGetInteger64v',3, 2, GL_VERSION_3_2);
    glGetSynciv := getProc('glGetSynciv',3, 2, GL_VERSION_3_2);
    glGetInteger64i_v := getProc('glGetInteger64i_v',3, 2, GL_VERSION_3_2);
    glGetBufferParameteri64v := getProc('glGetBufferParameteri64v',3, 2, GL_VERSION_3_2);
    glFramebufferTexture := getProc('glFramebufferTexture',3, 2, GL_VERSION_3_2);
    glTexImage2DMultisample := getProc('glTexImage2DMultisample',3, 2, GL_VERSION_3_2);
    glTexImage3DMultisample := getProc('glTexImage3DMultisample',3, 2, GL_VERSION_3_2);
    glGetMultisamplefv := getProc('glGetMultisamplefv',3, 2, GL_VERSION_3_2);
    glSampleMaski := getProc('glSampleMaski',3, 2, GL_VERSION_3_2);
    if GL_VERSION_3_2 then glNewList := nil;
    if GL_VERSION_3_2 then glEndList := nil;
    if GL_VERSION_3_2 then glCallList := nil;
    if GL_VERSION_3_2 then glCallLists := nil;
    if GL_VERSION_3_2 then glDeleteLists := nil;
    if GL_VERSION_3_2 then glGenLists := nil;
    if GL_VERSION_3_2 then glListBase := nil;
    if GL_VERSION_3_2 then glBegin := nil;
    if GL_VERSION_3_2 then glBitmap := nil;
    if GL_VERSION_3_2 then glColor3b := nil;
    if GL_VERSION_3_2 then glColor3bv := nil;
    if GL_VERSION_3_2 then glColor3d := nil;
    if GL_VERSION_3_2 then glColor3dv := nil;
    if GL_VERSION_3_2 then glColor3f := nil;
    if GL_VERSION_3_2 then glColor3fv := nil;
    if GL_VERSION_3_2 then glColor3i := nil;
    if GL_VERSION_3_2 then glColor3iv := nil;
    if GL_VERSION_3_2 then glColor3s := nil;
    if GL_VERSION_3_2 then glColor3sv := nil;
    if GL_VERSION_3_2 then glColor3ub := nil;
    if GL_VERSION_3_2 then glColor3ubv := nil;
    if GL_VERSION_3_2 then glColor3ui := nil;
    if GL_VERSION_3_2 then glColor3uiv := nil;
    if GL_VERSION_3_2 then glColor3us := nil;
    if GL_VERSION_3_2 then glColor3usv := nil;
    if GL_VERSION_3_2 then glColor4b := nil;
    if GL_VERSION_3_2 then glColor4bv := nil;
    if GL_VERSION_3_2 then glColor4d := nil;
    if GL_VERSION_3_2 then glColor4dv := nil;
    if GL_VERSION_3_2 then glColor4f := nil;
    if GL_VERSION_3_2 then glColor4fv := nil;
    if GL_VERSION_3_2 then glColor4i := nil;
    if GL_VERSION_3_2 then glColor4iv := nil;
    if GL_VERSION_3_2 then glColor4s := nil;
    if GL_VERSION_3_2 then glColor4sv := nil;
    if GL_VERSION_3_2 then glColor4ub := nil;
    if GL_VERSION_3_2 then glColor4ubv := nil;
    if GL_VERSION_3_2 then glColor4ui := nil;
    if GL_VERSION_3_2 then glColor4uiv := nil;
    if GL_VERSION_3_2 then glColor4us := nil;
    if GL_VERSION_3_2 then glColor4usv := nil;
    if GL_VERSION_3_2 then glEdgeFlag := nil;
    if GL_VERSION_3_2 then glEdgeFlagv := nil;
    if GL_VERSION_3_2 then glEnd := nil;
    if GL_VERSION_3_2 then glIndexd := nil;
    if GL_VERSION_3_2 then glIndexdv := nil;
    if GL_VERSION_3_2 then glIndexf := nil;
    if GL_VERSION_3_2 then glIndexfv := nil;
    if GL_VERSION_3_2 then glIndexi := nil;
    if GL_VERSION_3_2 then glIndexiv := nil;
    if GL_VERSION_3_2 then glIndexs := nil;
    if GL_VERSION_3_2 then glIndexsv := nil;
    if GL_VERSION_3_2 then glNormal3b := nil;
    if GL_VERSION_3_2 then glNormal3bv := nil;
    if GL_VERSION_3_2 then glNormal3d := nil;
    if GL_VERSION_3_2 then glNormal3dv := nil;
    if GL_VERSION_3_2 then glNormal3f := nil;
    if GL_VERSION_3_2 then glNormal3fv := nil;
    if GL_VERSION_3_2 then glNormal3i := nil;
    if GL_VERSION_3_2 then glNormal3iv := nil;
    if GL_VERSION_3_2 then glNormal3s := nil;
    if GL_VERSION_3_2 then glNormal3sv := nil;
    if GL_VERSION_3_2 then glRasterPos2d := nil;
    if GL_VERSION_3_2 then glRasterPos2dv := nil;
    if GL_VERSION_3_2 then glRasterPos2f := nil;
    if GL_VERSION_3_2 then glRasterPos2fv := nil;
    if GL_VERSION_3_2 then glRasterPos2i := nil;
    if GL_VERSION_3_2 then glRasterPos2iv := nil;
    if GL_VERSION_3_2 then glRasterPos2s := nil;
    if GL_VERSION_3_2 then glRasterPos2sv := nil;
    if GL_VERSION_3_2 then glRasterPos3d := nil;
    if GL_VERSION_3_2 then glRasterPos3dv := nil;
    if GL_VERSION_3_2 then glRasterPos3f := nil;
    if GL_VERSION_3_2 then glRasterPos3fv := nil;
    if GL_VERSION_3_2 then glRasterPos3i := nil;
    if GL_VERSION_3_2 then glRasterPos3iv := nil;
    if GL_VERSION_3_2 then glRasterPos3s := nil;
    if GL_VERSION_3_2 then glRasterPos3sv := nil;
    if GL_VERSION_3_2 then glRasterPos4d := nil;
    if GL_VERSION_3_2 then glRasterPos4dv := nil;
    if GL_VERSION_3_2 then glRasterPos4f := nil;
    if GL_VERSION_3_2 then glRasterPos4fv := nil;
    if GL_VERSION_3_2 then glRasterPos4i := nil;
    if GL_VERSION_3_2 then glRasterPos4iv := nil;
    if GL_VERSION_3_2 then glRasterPos4s := nil;
    if GL_VERSION_3_2 then glRasterPos4sv := nil;
    if GL_VERSION_3_2 then glRectd := nil;
    if GL_VERSION_3_2 then glRectdv := nil;
    if GL_VERSION_3_2 then glRectf := nil;
    if GL_VERSION_3_2 then glRectfv := nil;
    if GL_VERSION_3_2 then glRecti := nil;
    if GL_VERSION_3_2 then glRectiv := nil;
    if GL_VERSION_3_2 then glRects := nil;
    if GL_VERSION_3_2 then glRectsv := nil;
    if GL_VERSION_3_2 then glTexCoord1d := nil;
    if GL_VERSION_3_2 then glTexCoord1dv := nil;
    if GL_VERSION_3_2 then glTexCoord1f := nil;
    if GL_VERSION_3_2 then glTexCoord1fv := nil;
    if GL_VERSION_3_2 then glTexCoord1i := nil;
    if GL_VERSION_3_2 then glTexCoord1iv := nil;
    if GL_VERSION_3_2 then glTexCoord1s := nil;
    if GL_VERSION_3_2 then glTexCoord1sv := nil;
    if GL_VERSION_3_2 then glTexCoord2d := nil;
    if GL_VERSION_3_2 then glTexCoord2dv := nil;
    if GL_VERSION_3_2 then glTexCoord2f := nil;
    if GL_VERSION_3_2 then glTexCoord2fv := nil;
    if GL_VERSION_3_2 then glTexCoord2i := nil;
    if GL_VERSION_3_2 then glTexCoord2iv := nil;
    if GL_VERSION_3_2 then glTexCoord2s := nil;
    if GL_VERSION_3_2 then glTexCoord2sv := nil;
    if GL_VERSION_3_2 then glTexCoord3d := nil;
    if GL_VERSION_3_2 then glTexCoord3dv := nil;
    if GL_VERSION_3_2 then glTexCoord3f := nil;
    if GL_VERSION_3_2 then glTexCoord3fv := nil;
    if GL_VERSION_3_2 then glTexCoord3i := nil;
    if GL_VERSION_3_2 then glTexCoord3iv := nil;
    if GL_VERSION_3_2 then glTexCoord3s := nil;
    if GL_VERSION_3_2 then glTexCoord3sv := nil;
    if GL_VERSION_3_2 then glTexCoord4d := nil;
    if GL_VERSION_3_2 then glTexCoord4dv := nil;
    if GL_VERSION_3_2 then glTexCoord4f := nil;
    if GL_VERSION_3_2 then glTexCoord4fv := nil;
    if GL_VERSION_3_2 then glTexCoord4i := nil;
    if GL_VERSION_3_2 then glTexCoord4iv := nil;
    if GL_VERSION_3_2 then glTexCoord4s := nil;
    if GL_VERSION_3_2 then glTexCoord4sv := nil;
    if GL_VERSION_3_2 then glVertex2d := nil;
    if GL_VERSION_3_2 then glVertex2dv := nil;
    if GL_VERSION_3_2 then glVertex2f := nil;
    if GL_VERSION_3_2 then glVertex2fv := nil;
    if GL_VERSION_3_2 then glVertex2i := nil;
    if GL_VERSION_3_2 then glVertex2iv := nil;
    if GL_VERSION_3_2 then glVertex2s := nil;
    if GL_VERSION_3_2 then glVertex2sv := nil;
    if GL_VERSION_3_2 then glVertex3d := nil;
    if GL_VERSION_3_2 then glVertex3dv := nil;
    if GL_VERSION_3_2 then glVertex3f := nil;
    if GL_VERSION_3_2 then glVertex3fv := nil;
    if GL_VERSION_3_2 then glVertex3i := nil;
    if GL_VERSION_3_2 then glVertex3iv := nil;
    if GL_VERSION_3_2 then glVertex3s := nil;
    if GL_VERSION_3_2 then glVertex3sv := nil;
    if GL_VERSION_3_2 then glVertex4d := nil;
    if GL_VERSION_3_2 then glVertex4dv := nil;
    if GL_VERSION_3_2 then glVertex4f := nil;
    if GL_VERSION_3_2 then glVertex4fv := nil;
    if GL_VERSION_3_2 then glVertex4i := nil;
    if GL_VERSION_3_2 then glVertex4iv := nil;
    if GL_VERSION_3_2 then glVertex4s := nil;
    if GL_VERSION_3_2 then glVertex4sv := nil;
    if GL_VERSION_3_2 then glClipPlane := nil;
    if GL_VERSION_3_2 then glColorMaterial := nil;
    if GL_VERSION_3_2 then glFogf := nil;
    if GL_VERSION_3_2 then glFogfv := nil;
    if GL_VERSION_3_2 then glFogi := nil;
    if GL_VERSION_3_2 then glFogiv := nil;
    if GL_VERSION_3_2 then glLightf := nil;
    if GL_VERSION_3_2 then glLightfv := nil;
    if GL_VERSION_3_2 then glLighti := nil;
    if GL_VERSION_3_2 then glLightiv := nil;
    if GL_VERSION_3_2 then glLightModelf := nil;
    if GL_VERSION_3_2 then glLightModelfv := nil;
    if GL_VERSION_3_2 then glLightModeli := nil;
    if GL_VERSION_3_2 then glLightModeliv := nil;
    if GL_VERSION_3_2 then glLineStipple := nil;
    if GL_VERSION_3_2 then glMaterialf := nil;
    if GL_VERSION_3_2 then glMaterialfv := nil;
    if GL_VERSION_3_2 then glMateriali := nil;
    if GL_VERSION_3_2 then glMaterialiv := nil;
    if GL_VERSION_3_2 then glPolygonStipple := nil;
    if GL_VERSION_3_2 then glShadeModel := nil;
    if GL_VERSION_3_2 then glTexEnvf := nil;
    if GL_VERSION_3_2 then glTexEnvfv := nil;
    if GL_VERSION_3_2 then glTexEnvi := nil;
    if GL_VERSION_3_2 then glTexEnviv := nil;
    if GL_VERSION_3_2 then glTexGend := nil;
    if GL_VERSION_3_2 then glTexGendv := nil;
    if GL_VERSION_3_2 then glTexGenf := nil;
    if GL_VERSION_3_2 then glTexGenfv := nil;
    if GL_VERSION_3_2 then glTexGeni := nil;
    if GL_VERSION_3_2 then glTexGeniv := nil;
    if GL_VERSION_3_2 then glFeedbackBuffer := nil;
    if GL_VERSION_3_2 then glSelectBuffer := nil;
    if GL_VERSION_3_2 then glRenderMode := nil;
    if GL_VERSION_3_2 then glInitNames := nil;
    if GL_VERSION_3_2 then glLoadName := nil;
    if GL_VERSION_3_2 then glPassThrough := nil;
    if GL_VERSION_3_2 then glPopName := nil;
    if GL_VERSION_3_2 then glPushName := nil;
    if GL_VERSION_3_2 then glClearAccum := nil;
    if GL_VERSION_3_2 then glClearIndex := nil;
    if GL_VERSION_3_2 then glIndexMask := nil;
    if GL_VERSION_3_2 then glAccum := nil;
    if GL_VERSION_3_2 then glPopAttrib := nil;
    if GL_VERSION_3_2 then glPushAttrib := nil;
    if GL_VERSION_3_2 then glMap1d := nil;
    if GL_VERSION_3_2 then glMap1f := nil;
    if GL_VERSION_3_2 then glMap2d := nil;
    if GL_VERSION_3_2 then glMap2f := nil;
    if GL_VERSION_3_2 then glMapGrid1d := nil;
    if GL_VERSION_3_2 then glMapGrid1f := nil;
    if GL_VERSION_3_2 then glMapGrid2d := nil;
    if GL_VERSION_3_2 then glMapGrid2f := nil;
    if GL_VERSION_3_2 then glEvalCoord1d := nil;
    if GL_VERSION_3_2 then glEvalCoord1dv := nil;
    if GL_VERSION_3_2 then glEvalCoord1f := nil;
    if GL_VERSION_3_2 then glEvalCoord1fv := nil;
    if GL_VERSION_3_2 then glEvalCoord2d := nil;
    if GL_VERSION_3_2 then glEvalCoord2dv := nil;
    if GL_VERSION_3_2 then glEvalCoord2f := nil;
    if GL_VERSION_3_2 then glEvalCoord2fv := nil;
    if GL_VERSION_3_2 then glEvalMesh1 := nil;
    if GL_VERSION_3_2 then glEvalPoint1 := nil;
    if GL_VERSION_3_2 then glEvalMesh2 := nil;
    if GL_VERSION_3_2 then glEvalPoint2 := nil;
    if GL_VERSION_3_2 then glAlphaFunc := nil;
    if GL_VERSION_3_2 then glPixelZoom := nil;
    if GL_VERSION_3_2 then glPixelTransferf := nil;
    if GL_VERSION_3_2 then glPixelTransferi := nil;
    if GL_VERSION_3_2 then glPixelMapfv := nil;
    if GL_VERSION_3_2 then glPixelMapuiv := nil;
    if GL_VERSION_3_2 then glPixelMapusv := nil;
    if GL_VERSION_3_2 then glCopyPixels := nil;
    if GL_VERSION_3_2 then glDrawPixels := nil;
    if GL_VERSION_3_2 then glGetClipPlane := nil;
    if GL_VERSION_3_2 then glGetLightfv := nil;
    if GL_VERSION_3_2 then glGetLightiv := nil;
    if GL_VERSION_3_2 then glGetMapdv := nil;
    if GL_VERSION_3_2 then glGetMapfv := nil;
    if GL_VERSION_3_2 then glGetMapiv := nil;
    if GL_VERSION_3_2 then glGetMaterialfv := nil;
    if GL_VERSION_3_2 then glGetMaterialiv := nil;
    if GL_VERSION_3_2 then glGetPixelMapfv := nil;
    if GL_VERSION_3_2 then glGetPixelMapuiv := nil;
    if GL_VERSION_3_2 then glGetPixelMapusv := nil;
    if GL_VERSION_3_2 then glGetPolygonStipple := nil;
    if GL_VERSION_3_2 then glGetTexEnvfv := nil;
    if GL_VERSION_3_2 then glGetTexEnviv := nil;
    if GL_VERSION_3_2 then glGetTexGendv := nil;
    if GL_VERSION_3_2 then glGetTexGenfv := nil;
    if GL_VERSION_3_2 then glGetTexGeniv := nil;
    if GL_VERSION_3_2 then glIsList := nil;
    if GL_VERSION_3_2 then glFrustum := nil;
    if GL_VERSION_3_2 then glLoadIdentity := nil;
    if GL_VERSION_3_2 then glLoadMatrixf := nil;
    if GL_VERSION_3_2 then glLoadMatrixd := nil;
    if GL_VERSION_3_2 then glMatrixMode := nil;
    if GL_VERSION_3_2 then glMultMatrixf := nil;
    if GL_VERSION_3_2 then glMultMatrixd := nil;
    if GL_VERSION_3_2 then glOrtho := nil;
    if GL_VERSION_3_2 then glPopMatrix := nil;
    if GL_VERSION_3_2 then glPushMatrix := nil;
    if GL_VERSION_3_2 then glRotated := nil;
    if GL_VERSION_3_2 then glRotatef := nil;
    if GL_VERSION_3_2 then glScaled := nil;
    if GL_VERSION_3_2 then glScalef := nil;
    if GL_VERSION_3_2 then glTranslated := nil;
    if GL_VERSION_3_2 then glTranslatef := nil;
  end;

  {GL_VERSION_3_3}
  GL_VERSION_3_3 := (TargetMajorVersion > 3) or ((TargetMajorVersion = 3) and (TargetMinorVersion >= 3));
  if GL_VERSION_3_3 then
  begin
    glBindFragDataLocationIndexed := getProc('glBindFragDataLocationIndexed',3, 3, GL_VERSION_3_3);
    glGetFragDataIndex := getProc('glGetFragDataIndex',3, 3, GL_VERSION_3_3);
    glGenSamplers := getProc('glGenSamplers',3, 3, GL_VERSION_3_3);
    glDeleteSamplers := getProc('glDeleteSamplers',3, 3, GL_VERSION_3_3);
    glIsSampler := getProc('glIsSampler',3, 3, GL_VERSION_3_3);
    glBindSampler := getProc('glBindSampler',3, 3, GL_VERSION_3_3);
    glSamplerParameteri := getProc('glSamplerParameteri',3, 3, GL_VERSION_3_3);
    glSamplerParameteriv := getProc('glSamplerParameteriv',3, 3, GL_VERSION_3_3);
    glSamplerParameterf := getProc('glSamplerParameterf',3, 3, GL_VERSION_3_3);
    glSamplerParameterfv := getProc('glSamplerParameterfv',3, 3, GL_VERSION_3_3);
    glSamplerParameterIiv := getProc('glSamplerParameterIiv',3, 3, GL_VERSION_3_3);
    glSamplerParameterIuiv := getProc('glSamplerParameterIuiv',3, 3, GL_VERSION_3_3);
    glGetSamplerParameteriv := getProc('glGetSamplerParameteriv',3, 3, GL_VERSION_3_3);
    glGetSamplerParameterIiv := getProc('glGetSamplerParameterIiv',3, 3, GL_VERSION_3_3);
    glGetSamplerParameterfv := getProc('glGetSamplerParameterfv',3, 3, GL_VERSION_3_3);
    glGetSamplerParameterIuiv := getProc('glGetSamplerParameterIuiv',3, 3, GL_VERSION_3_3);
    glQueryCounter := getProc('glQueryCounter',3, 3, GL_VERSION_3_3);
    glGetQueryObjecti64v := getProc('glGetQueryObjecti64v',3, 3, GL_VERSION_3_3);
    glGetQueryObjectui64v := getProc('glGetQueryObjectui64v',3, 3, GL_VERSION_3_3);
    glVertexAttribDivisor := getProc('glVertexAttribDivisor',3, 3, GL_VERSION_3_3);
    glVertexAttribP1ui := getProc('glVertexAttribP1ui',3, 3, GL_VERSION_3_3);
    glVertexAttribP1uiv := getProc('glVertexAttribP1uiv',3, 3, GL_VERSION_3_3);
    glVertexAttribP2ui := getProc('glVertexAttribP2ui',3, 3, GL_VERSION_3_3);
    glVertexAttribP2uiv := getProc('glVertexAttribP2uiv',3, 3, GL_VERSION_3_3);
    glVertexAttribP3ui := getProc('glVertexAttribP3ui',3, 3, GL_VERSION_3_3);
    glVertexAttribP3uiv := getProc('glVertexAttribP3uiv',3, 3, GL_VERSION_3_3);
    glVertexAttribP4ui := getProc('glVertexAttribP4ui',3, 3, GL_VERSION_3_3);
    glVertexAttribP4uiv := getProc('glVertexAttribP4uiv',3, 3, GL_VERSION_3_3);
    glVertexP2ui := getProc('glVertexP2ui',3, 3, GL_VERSION_3_3);
    glVertexP2uiv := getProc('glVertexP2uiv',3, 3, GL_VERSION_3_3);
    glVertexP3ui := getProc('glVertexP3ui',3, 3, GL_VERSION_3_3);
    glVertexP3uiv := getProc('glVertexP3uiv',3, 3, GL_VERSION_3_3);
    glVertexP4ui := getProc('glVertexP4ui',3, 3, GL_VERSION_3_3);
    glVertexP4uiv := getProc('glVertexP4uiv',3, 3, GL_VERSION_3_3);
    glTexCoordP1ui := getProc('glTexCoordP1ui',3, 3, GL_VERSION_3_3);
    glTexCoordP1uiv := getProc('glTexCoordP1uiv',3, 3, GL_VERSION_3_3);
    glTexCoordP2ui := getProc('glTexCoordP2ui',3, 3, GL_VERSION_3_3);
    glTexCoordP2uiv := getProc('glTexCoordP2uiv',3, 3, GL_VERSION_3_3);
    glTexCoordP3ui := getProc('glTexCoordP3ui',3, 3, GL_VERSION_3_3);
    glTexCoordP3uiv := getProc('glTexCoordP3uiv',3, 3, GL_VERSION_3_3);
    glTexCoordP4ui := getProc('glTexCoordP4ui',3, 3, GL_VERSION_3_3);
    glTexCoordP4uiv := getProc('glTexCoordP4uiv',3, 3, GL_VERSION_3_3);
    glMultiTexCoordP1ui := getProc('glMultiTexCoordP1ui',3, 3, GL_VERSION_3_3);
    glMultiTexCoordP1uiv := getProc('glMultiTexCoordP1uiv',3, 3, GL_VERSION_3_3);
    glMultiTexCoordP2ui := getProc('glMultiTexCoordP2ui',3, 3, GL_VERSION_3_3);
    glMultiTexCoordP2uiv := getProc('glMultiTexCoordP2uiv',3, 3, GL_VERSION_3_3);
    glMultiTexCoordP3ui := getProc('glMultiTexCoordP3ui',3, 3, GL_VERSION_3_3);
    glMultiTexCoordP3uiv := getProc('glMultiTexCoordP3uiv',3, 3, GL_VERSION_3_3);
    glMultiTexCoordP4ui := getProc('glMultiTexCoordP4ui',3, 3, GL_VERSION_3_3);
    glMultiTexCoordP4uiv := getProc('glMultiTexCoordP4uiv',3, 3, GL_VERSION_3_3);
    glNormalP3ui := getProc('glNormalP3ui',3, 3, GL_VERSION_3_3);
    glNormalP3uiv := getProc('glNormalP3uiv',3, 3, GL_VERSION_3_3);
    glColorP3ui := getProc('glColorP3ui',3, 3, GL_VERSION_3_3);
    glColorP3uiv := getProc('glColorP3uiv',3, 3, GL_VERSION_3_3);
    glColorP4ui := getProc('glColorP4ui',3, 3, GL_VERSION_3_3);
    glColorP4uiv := getProc('glColorP4uiv',3, 3, GL_VERSION_3_3);
    glSecondaryColorP3ui := getProc('glSecondaryColorP3ui',3, 3, GL_VERSION_3_3);
    glSecondaryColorP3uiv := getProc('glSecondaryColorP3uiv',3, 3, GL_VERSION_3_3);
  end;

  {GL_VERSION_4_0}
  GL_VERSION_4_0 := (TargetMajorVersion > 4) or ((TargetMajorVersion = 4) and (TargetMinorVersion >= 0));
  if GL_VERSION_4_0 then
  begin
    glMinSampleShading := getProc('glMinSampleShading',4, 0, GL_VERSION_4_0);
    glBlendEquationi := getProc('glBlendEquationi',4, 0, GL_VERSION_4_0);
    glBlendEquationSeparatei := getProc('glBlendEquationSeparatei',4, 0, GL_VERSION_4_0);
    glBlendFunci := getProc('glBlendFunci',4, 0, GL_VERSION_4_0);
    glBlendFuncSeparatei := getProc('glBlendFuncSeparatei',4, 0, GL_VERSION_4_0);
    glDrawArraysIndirect := getProc('glDrawArraysIndirect',4, 0, GL_VERSION_4_0);
    glDrawElementsIndirect := getProc('glDrawElementsIndirect',4, 0, GL_VERSION_4_0);
    glUniform1d := getProc('glUniform1d',4, 0, GL_VERSION_4_0);
    glUniform2d := getProc('glUniform2d',4, 0, GL_VERSION_4_0);
    glUniform3d := getProc('glUniform3d',4, 0, GL_VERSION_4_0);
    glUniform4d := getProc('glUniform4d',4, 0, GL_VERSION_4_0);
    glUniform1dv := getProc('glUniform1dv',4, 0, GL_VERSION_4_0);
    glUniform2dv := getProc('glUniform2dv',4, 0, GL_VERSION_4_0);
    glUniform3dv := getProc('glUniform3dv',4, 0, GL_VERSION_4_0);
    glUniform4dv := getProc('glUniform4dv',4, 0, GL_VERSION_4_0);
    glUniformMatrix2dv := getProc('glUniformMatrix2dv',4, 0, GL_VERSION_4_0);
    glUniformMatrix3dv := getProc('glUniformMatrix3dv',4, 0, GL_VERSION_4_0);
    glUniformMatrix4dv := getProc('glUniformMatrix4dv',4, 0, GL_VERSION_4_0);
    glUniformMatrix2x3dv := getProc('glUniformMatrix2x3dv',4, 0, GL_VERSION_4_0);
    glUniformMatrix2x4dv := getProc('glUniformMatrix2x4dv',4, 0, GL_VERSION_4_0);
    glUniformMatrix3x2dv := getProc('glUniformMatrix3x2dv',4, 0, GL_VERSION_4_0);
    glUniformMatrix3x4dv := getProc('glUniformMatrix3x4dv',4, 0, GL_VERSION_4_0);
    glUniformMatrix4x2dv := getProc('glUniformMatrix4x2dv',4, 0, GL_VERSION_4_0);
    glUniformMatrix4x3dv := getProc('glUniformMatrix4x3dv',4, 0, GL_VERSION_4_0);
    glGetUniformdv := getProc('glGetUniformdv',4, 0, GL_VERSION_4_0);
    glGetSubroutineUniformLocation := getProc('glGetSubroutineUniformLocation',4, 0, GL_VERSION_4_0);
    glGetSubroutineIndex := getProc('glGetSubroutineIndex',4, 0, GL_VERSION_4_0);
    glGetActiveSubroutineUniformiv := getProc('glGetActiveSubroutineUniformiv',4, 0, GL_VERSION_4_0);
    glGetActiveSubroutineUniformName := getProc('glGetActiveSubroutineUniformName',4, 0, GL_VERSION_4_0);
    glGetActiveSubroutineName := getProc('glGetActiveSubroutineName',4, 0, GL_VERSION_4_0);
    glUniformSubroutinesuiv := getProc('glUniformSubroutinesuiv',4, 0, GL_VERSION_4_0);
    glGetUniformSubroutineuiv := getProc('glGetUniformSubroutineuiv',4, 0, GL_VERSION_4_0);
    glGetProgramStageiv := getProc('glGetProgramStageiv',4, 0, GL_VERSION_4_0);
    glPatchParameteri := getProc('glPatchParameteri',4, 0, GL_VERSION_4_0);
    glPatchParameterfv := getProc('glPatchParameterfv',4, 0, GL_VERSION_4_0);
    glBindTransformFeedback := getProc('glBindTransformFeedback',4, 0, GL_VERSION_4_0);
    glDeleteTransformFeedbacks := getProc('glDeleteTransformFeedbacks',4, 0, GL_VERSION_4_0);
    glGenTransformFeedbacks := getProc('glGenTransformFeedbacks',4, 0, GL_VERSION_4_0);
    glIsTransformFeedback := getProc('glIsTransformFeedback',4, 0, GL_VERSION_4_0);
    glPauseTransformFeedback := getProc('glPauseTransformFeedback',4, 0, GL_VERSION_4_0);
    glResumeTransformFeedback := getProc('glResumeTransformFeedback',4, 0, GL_VERSION_4_0);
    glDrawTransformFeedback := getProc('glDrawTransformFeedback',4, 0, GL_VERSION_4_0);
    glDrawTransformFeedbackStream := getProc('glDrawTransformFeedbackStream',4, 0, GL_VERSION_4_0);
    glBeginQueryIndexed := getProc('glBeginQueryIndexed',4, 0, GL_VERSION_4_0);
    glEndQueryIndexed := getProc('glEndQueryIndexed',4, 0, GL_VERSION_4_0);
    glGetQueryIndexediv := getProc('glGetQueryIndexediv',4, 0, GL_VERSION_4_0);
  end;

  {GL_VERSION_4_1}
  GL_VERSION_4_1 := (TargetMajorVersion > 4) or ((TargetMajorVersion = 4) and (TargetMinorVersion >= 1));
  if GL_VERSION_4_1 then
  begin
    glReleaseShaderCompiler := getProc('glReleaseShaderCompiler',4, 1, GL_VERSION_4_1);
    glShaderBinary := getProc('glShaderBinary',4, 1, GL_VERSION_4_1);
    glGetShaderPrecisionFormat := getProc('glGetShaderPrecisionFormat',4, 1, GL_VERSION_4_1);
    glDepthRangef := getProc('glDepthRangef',4, 1, GL_VERSION_4_1);
    glClearDepthf := getProc('glClearDepthf',4, 1, GL_VERSION_4_1);
    glGetProgramBinary := getProc('glGetProgramBinary',4, 1, GL_VERSION_4_1);
    glProgramBinary := getProc('glProgramBinary',4, 1, GL_VERSION_4_1);
    glProgramParameteri := getProc('glProgramParameteri',4, 1, GL_VERSION_4_1);
    glUseProgramStages := getProc('glUseProgramStages',4, 1, GL_VERSION_4_1);
    glActiveShaderProgram := getProc('glActiveShaderProgram',4, 1, GL_VERSION_4_1);
    glCreateShaderProgramv := getProc('glCreateShaderProgramv',4, 1, GL_VERSION_4_1);
    glBindProgramPipeline := getProc('glBindProgramPipeline',4, 1, GL_VERSION_4_1);
    glDeleteProgramPipelines := getProc('glDeleteProgramPipelines',4, 1, GL_VERSION_4_1);
    glGenProgramPipelines := getProc('glGenProgramPipelines',4, 1, GL_VERSION_4_1);
    glIsProgramPipeline := getProc('glIsProgramPipeline',4, 1, GL_VERSION_4_1);
    glGetProgramPipelineiv := getProc('glGetProgramPipelineiv',4, 1, GL_VERSION_4_1);
    glProgramUniform1i := getProc('glProgramUniform1i',4, 1, GL_VERSION_4_1);
    glProgramUniform1iv := getProc('glProgramUniform1iv',4, 1, GL_VERSION_4_1);
    glProgramUniform1f := getProc('glProgramUniform1f',4, 1, GL_VERSION_4_1);
    glProgramUniform1fv := getProc('glProgramUniform1fv',4, 1, GL_VERSION_4_1);
    glProgramUniform1d := getProc('glProgramUniform1d',4, 1, GL_VERSION_4_1);
    glProgramUniform1dv := getProc('glProgramUniform1dv',4, 1, GL_VERSION_4_1);
    glProgramUniform1ui := getProc('glProgramUniform1ui',4, 1, GL_VERSION_4_1);
    glProgramUniform1uiv := getProc('glProgramUniform1uiv',4, 1, GL_VERSION_4_1);
    glProgramUniform2i := getProc('glProgramUniform2i',4, 1, GL_VERSION_4_1);
    glProgramUniform2iv := getProc('glProgramUniform2iv',4, 1, GL_VERSION_4_1);
    glProgramUniform2f := getProc('glProgramUniform2f',4, 1, GL_VERSION_4_1);
    glProgramUniform2fv := getProc('glProgramUniform2fv',4, 1, GL_VERSION_4_1);
    glProgramUniform2d := getProc('glProgramUniform2d',4, 1, GL_VERSION_4_1);
    glProgramUniform2dv := getProc('glProgramUniform2dv',4, 1, GL_VERSION_4_1);
    glProgramUniform2ui := getProc('glProgramUniform2ui',4, 1, GL_VERSION_4_1);
    glProgramUniform2uiv := getProc('glProgramUniform2uiv',4, 1, GL_VERSION_4_1);
    glProgramUniform3i := getProc('glProgramUniform3i',4, 1, GL_VERSION_4_1);
    glProgramUniform3iv := getProc('glProgramUniform3iv',4, 1, GL_VERSION_4_1);
    glProgramUniform3f := getProc('glProgramUniform3f',4, 1, GL_VERSION_4_1);
    glProgramUniform3fv := getProc('glProgramUniform3fv',4, 1, GL_VERSION_4_1);
    glProgramUniform3d := getProc('glProgramUniform3d',4, 1, GL_VERSION_4_1);
    glProgramUniform3dv := getProc('glProgramUniform3dv',4, 1, GL_VERSION_4_1);
    glProgramUniform3ui := getProc('glProgramUniform3ui',4, 1, GL_VERSION_4_1);
    glProgramUniform3uiv := getProc('glProgramUniform3uiv',4, 1, GL_VERSION_4_1);
    glProgramUniform4i := getProc('glProgramUniform4i',4, 1, GL_VERSION_4_1);
    glProgramUniform4iv := getProc('glProgramUniform4iv',4, 1, GL_VERSION_4_1);
    glProgramUniform4f := getProc('glProgramUniform4f',4, 1, GL_VERSION_4_1);
    glProgramUniform4fv := getProc('glProgramUniform4fv',4, 1, GL_VERSION_4_1);
    glProgramUniform4d := getProc('glProgramUniform4d',4, 1, GL_VERSION_4_1);
    glProgramUniform4dv := getProc('glProgramUniform4dv',4, 1, GL_VERSION_4_1);
    glProgramUniform4ui := getProc('glProgramUniform4ui',4, 1, GL_VERSION_4_1);
    glProgramUniform4uiv := getProc('glProgramUniform4uiv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix2fv := getProc('glProgramUniformMatrix2fv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix3fv := getProc('glProgramUniformMatrix3fv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix4fv := getProc('glProgramUniformMatrix4fv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix2dv := getProc('glProgramUniformMatrix2dv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix3dv := getProc('glProgramUniformMatrix3dv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix4dv := getProc('glProgramUniformMatrix4dv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix2x3fv := getProc('glProgramUniformMatrix2x3fv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix3x2fv := getProc('glProgramUniformMatrix3x2fv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix2x4fv := getProc('glProgramUniformMatrix2x4fv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix4x2fv := getProc('glProgramUniformMatrix4x2fv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix3x4fv := getProc('glProgramUniformMatrix3x4fv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix4x3fv := getProc('glProgramUniformMatrix4x3fv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix2x3dv := getProc('glProgramUniformMatrix2x3dv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix3x2dv := getProc('glProgramUniformMatrix3x2dv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix2x4dv := getProc('glProgramUniformMatrix2x4dv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix4x2dv := getProc('glProgramUniformMatrix4x2dv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix3x4dv := getProc('glProgramUniformMatrix3x4dv',4, 1, GL_VERSION_4_1);
    glProgramUniformMatrix4x3dv := getProc('glProgramUniformMatrix4x3dv',4, 1, GL_VERSION_4_1);
    glValidateProgramPipeline := getProc('glValidateProgramPipeline',4, 1, GL_VERSION_4_1);
    glGetProgramPipelineInfoLog := getProc('glGetProgramPipelineInfoLog',4, 1, GL_VERSION_4_1);
    glVertexAttribL1d := getProc('glVertexAttribL1d',4, 1, GL_VERSION_4_1);
    glVertexAttribL2d := getProc('glVertexAttribL2d',4, 1, GL_VERSION_4_1);
    glVertexAttribL3d := getProc('glVertexAttribL3d',4, 1, GL_VERSION_4_1);
    glVertexAttribL4d := getProc('glVertexAttribL4d',4, 1, GL_VERSION_4_1);
    glVertexAttribL1dv := getProc('glVertexAttribL1dv',4, 1, GL_VERSION_4_1);
    glVertexAttribL2dv := getProc('glVertexAttribL2dv',4, 1, GL_VERSION_4_1);
    glVertexAttribL3dv := getProc('glVertexAttribL3dv',4, 1, GL_VERSION_4_1);
    glVertexAttribL4dv := getProc('glVertexAttribL4dv',4, 1, GL_VERSION_4_1);
    glVertexAttribLPointer := getProc('glVertexAttribLPointer',4, 1, GL_VERSION_4_1);
    glGetVertexAttribLdv := getProc('glGetVertexAttribLdv',4, 1, GL_VERSION_4_1);
    glViewportArrayv := getProc('glViewportArrayv',4, 1, GL_VERSION_4_1);
    glViewportIndexedf := getProc('glViewportIndexedf',4, 1, GL_VERSION_4_1);
    glViewportIndexedfv := getProc('glViewportIndexedfv',4, 1, GL_VERSION_4_1);
    glScissorArrayv := getProc('glScissorArrayv',4, 1, GL_VERSION_4_1);
    glScissorIndexed := getProc('glScissorIndexed',4, 1, GL_VERSION_4_1);
    glScissorIndexedv := getProc('glScissorIndexedv',4, 1, GL_VERSION_4_1);
    glDepthRangeArrayv := getProc('glDepthRangeArrayv',4, 1, GL_VERSION_4_1);
    glDepthRangeIndexed := getProc('glDepthRangeIndexed',4, 1, GL_VERSION_4_1);
    glGetFloati_v := getProc('glGetFloati_v',4, 1, GL_VERSION_4_1);
    glGetDoublei_v := getProc('glGetDoublei_v',4, 1, GL_VERSION_4_1);
  end;

  {GL_VERSION_4_2}
  GL_VERSION_4_2 := (TargetMajorVersion > 4) or ((TargetMajorVersion = 4) and (TargetMinorVersion >= 2));
  if GL_VERSION_4_2 then
  begin
    glDrawArraysInstancedBaseInstance := getProc('glDrawArraysInstancedBaseInstance',4, 2, GL_VERSION_4_2);
    glDrawElementsInstancedBaseInstance := getProc('glDrawElementsInstancedBaseInstance',4, 2, GL_VERSION_4_2);
    glDrawElementsInstancedBaseVertexBaseInstance := getProc('glDrawElementsInstancedBaseVertexBaseInstance',4, 2, GL_VERSION_4_2);
    glGetInternalformativ := getProc('glGetInternalformativ',4, 2, GL_VERSION_4_2);
    glGetActiveAtomicCounterBufferiv := getProc('glGetActiveAtomicCounterBufferiv',4, 2, GL_VERSION_4_2);
    glBindImageTexture := getProc('glBindImageTexture',4, 2, GL_VERSION_4_2);
    glMemoryBarrier := getProc('glMemoryBarrier',4, 2, GL_VERSION_4_2);
    glTexStorage1D := getProc('glTexStorage1D',4, 2, GL_VERSION_4_2);
    glTexStorage2D := getProc('glTexStorage2D',4, 2, GL_VERSION_4_2);
    glTexStorage3D := getProc('glTexStorage3D',4, 2, GL_VERSION_4_2);
    glDrawTransformFeedbackInstanced := getProc('glDrawTransformFeedbackInstanced',4, 2, GL_VERSION_4_2);
    glDrawTransformFeedbackStreamInstanced := getProc('glDrawTransformFeedbackStreamInstanced',4, 2, GL_VERSION_4_2);
  end;

  {GL_VERSION_4_3}
  GL_VERSION_4_3 := (TargetMajorVersion > 4) or ((TargetMajorVersion = 4) and (TargetMinorVersion >= 3));
  if GL_VERSION_4_3 then
  begin
    glClearBufferData := getProc('glClearBufferData',4, 3, GL_VERSION_4_3);
    glClearBufferSubData := getProc('glClearBufferSubData',4, 3, GL_VERSION_4_3);
    glDispatchCompute := getProc('glDispatchCompute',4, 3, GL_VERSION_4_3);
    glDispatchComputeIndirect := getProc('glDispatchComputeIndirect',4, 3, GL_VERSION_4_3);
    glCopyImageSubData := getProc('glCopyImageSubData',4, 3, GL_VERSION_4_3);
    glFramebufferParameteri := getProc('glFramebufferParameteri',4, 3, GL_VERSION_4_3);
    glGetFramebufferParameteriv := getProc('glGetFramebufferParameteriv',4, 3, GL_VERSION_4_3);
    glGetInternalformati64v := getProc('glGetInternalformati64v',4, 3, GL_VERSION_4_3);
    glInvalidateTexSubImage := getProc('glInvalidateTexSubImage',4, 3, GL_VERSION_4_3);
    glInvalidateTexImage := getProc('glInvalidateTexImage',4, 3, GL_VERSION_4_3);
    glInvalidateBufferSubData := getProc('glInvalidateBufferSubData',4, 3, GL_VERSION_4_3);
    glInvalidateBufferData := getProc('glInvalidateBufferData',4, 3, GL_VERSION_4_3);
    glInvalidateFramebuffer := getProc('glInvalidateFramebuffer',4, 3, GL_VERSION_4_3);
    glInvalidateSubFramebuffer := getProc('glInvalidateSubFramebuffer',4, 3, GL_VERSION_4_3);
    glMultiDrawArraysIndirect := getProc('glMultiDrawArraysIndirect',4, 3, GL_VERSION_4_3);
    glMultiDrawElementsIndirect := getProc('glMultiDrawElementsIndirect',4, 3, GL_VERSION_4_3);
    glGetProgramInterfaceiv := getProc('glGetProgramInterfaceiv',4, 3, GL_VERSION_4_3);
    glGetProgramResourceIndex := getProc('glGetProgramResourceIndex',4, 3, GL_VERSION_4_3);
    glGetProgramResourceName := getProc('glGetProgramResourceName',4, 3, GL_VERSION_4_3);
    glGetProgramResourceiv := getProc('glGetProgramResourceiv',4, 3, GL_VERSION_4_3);
    glGetProgramResourceLocation := getProc('glGetProgramResourceLocation',4, 3, GL_VERSION_4_3);
    glGetProgramResourceLocationIndex := getProc('glGetProgramResourceLocationIndex',4, 3, GL_VERSION_4_3);
    glShaderStorageBlockBinding := getProc('glShaderStorageBlockBinding',4, 3, GL_VERSION_4_3);
    glTexBufferRange := getProc('glTexBufferRange',4, 3, GL_VERSION_4_3);
    glTexStorage2DMultisample := getProc('glTexStorage2DMultisample',4, 3, GL_VERSION_4_3);
    glTexStorage3DMultisample := getProc('glTexStorage3DMultisample',4, 3, GL_VERSION_4_3);
    glTextureView := getProc('glTextureView',4, 3, GL_VERSION_4_3);
    glBindVertexBuffer := getProc('glBindVertexBuffer',4, 3, GL_VERSION_4_3);
    glVertexAttribFormat := getProc('glVertexAttribFormat',4, 3, GL_VERSION_4_3);
    glVertexAttribIFormat := getProc('glVertexAttribIFormat',4, 3, GL_VERSION_4_3);
    glVertexAttribLFormat := getProc('glVertexAttribLFormat',4, 3, GL_VERSION_4_3);
    glVertexAttribBinding := getProc('glVertexAttribBinding',4, 3, GL_VERSION_4_3);
    glVertexBindingDivisor := getProc('glVertexBindingDivisor',4, 3, GL_VERSION_4_3);
    glDebugMessageControl := getProc('glDebugMessageControl',4, 3, GL_VERSION_4_3);
    glDebugMessageInsert := getProc('glDebugMessageInsert',4, 3, GL_VERSION_4_3);
    glDebugMessageCallback := getProc('glDebugMessageCallback',4, 3, GL_VERSION_4_3);
    glGetDebugMessageLog := getProc('glGetDebugMessageLog',4, 3, GL_VERSION_4_3);
    glPushDebugGroup := getProc('glPushDebugGroup',4, 3, GL_VERSION_4_3);
    glPopDebugGroup := getProc('glPopDebugGroup',4, 3, GL_VERSION_4_3);
    glObjectLabel := getProc('glObjectLabel',4, 3, GL_VERSION_4_3);
    glGetObjectLabel := getProc('glGetObjectLabel',4, 3, GL_VERSION_4_3);
    glObjectPtrLabel := getProc('glObjectPtrLabel',4, 3, GL_VERSION_4_3);
    glGetObjectPtrLabel := getProc('glGetObjectPtrLabel',4, 3, GL_VERSION_4_3);
  end;

  {GL_VERSION_4_4}
  GL_VERSION_4_4 := (TargetMajorVersion > 4) or ((TargetMajorVersion = 4) and (TargetMinorVersion >= 4));
  if GL_VERSION_4_4 then
  begin
    glBufferStorage := getProc('glBufferStorage',4, 4, GL_VERSION_4_4);
    glClearTexImage := getProc('glClearTexImage',4, 4, GL_VERSION_4_4);
    glClearTexSubImage := getProc('glClearTexSubImage',4, 4, GL_VERSION_4_4);
    glBindBuffersBase := getProc('glBindBuffersBase',4, 4, GL_VERSION_4_4);
    glBindBuffersRange := getProc('glBindBuffersRange',4, 4, GL_VERSION_4_4);
    glBindTextures := getProc('glBindTextures',4, 4, GL_VERSION_4_4);
    glBindSamplers := getProc('glBindSamplers',4, 4, GL_VERSION_4_4);
    glBindImageTextures := getProc('glBindImageTextures',4, 4, GL_VERSION_4_4);
    glBindVertexBuffers := getProc('glBindVertexBuffers',4, 4, GL_VERSION_4_4);
  end;

  {GL_VERSION_4_5}
  GL_VERSION_4_5 := (TargetMajorVersion > 4) or ((TargetMajorVersion = 4) and (TargetMinorVersion >= 5));
  if GL_VERSION_4_5 then
  begin
    glClipControl := getProc('glClipControl',4, 5, GL_VERSION_4_5);
    glCreateTransformFeedbacks := getProc('glCreateTransformFeedbacks',4, 5, GL_VERSION_4_5);
    glTransformFeedbackBufferBase := getProc('glTransformFeedbackBufferBase',4, 5, GL_VERSION_4_5);
    glTransformFeedbackBufferRange := getProc('glTransformFeedbackBufferRange',4, 5, GL_VERSION_4_5);
    glGetTransformFeedbackiv := getProc('glGetTransformFeedbackiv',4, 5, GL_VERSION_4_5);
    glGetTransformFeedbacki_v := getProc('glGetTransformFeedbacki_v',4, 5, GL_VERSION_4_5);
    glGetTransformFeedbacki64_v := getProc('glGetTransformFeedbacki64_v',4, 5, GL_VERSION_4_5);
    glCreateBuffers := getProc('glCreateBuffers',4, 5, GL_VERSION_4_5);
    glNamedBufferStorage := getProc('glNamedBufferStorage',4, 5, GL_VERSION_4_5);
    glNamedBufferData := getProc('glNamedBufferData',4, 5, GL_VERSION_4_5);
    glNamedBufferSubData := getProc('glNamedBufferSubData',4, 5, GL_VERSION_4_5);
    glCopyNamedBufferSubData := getProc('glCopyNamedBufferSubData',4, 5, GL_VERSION_4_5);
    glClearNamedBufferData := getProc('glClearNamedBufferData',4, 5, GL_VERSION_4_5);
    glClearNamedBufferSubData := getProc('glClearNamedBufferSubData',4, 5, GL_VERSION_4_5);
    glMapNamedBuffer := getProc('glMapNamedBuffer',4, 5, GL_VERSION_4_5);
    glMapNamedBufferRange := getProc('glMapNamedBufferRange',4, 5, GL_VERSION_4_5);
    glUnmapNamedBuffer := getProc('glUnmapNamedBuffer',4, 5, GL_VERSION_4_5);
    glFlushMappedNamedBufferRange := getProc('glFlushMappedNamedBufferRange',4, 5, GL_VERSION_4_5);
    glGetNamedBufferParameteriv := getProc('glGetNamedBufferParameteriv',4, 5, GL_VERSION_4_5);
    glGetNamedBufferParameteri64v := getProc('glGetNamedBufferParameteri64v',4, 5, GL_VERSION_4_5);
    glGetNamedBufferPointerv := getProc('glGetNamedBufferPointerv',4, 5, GL_VERSION_4_5);
    glGetNamedBufferSubData := getProc('glGetNamedBufferSubData',4, 5, GL_VERSION_4_5);
    glCreateFramebuffers := getProc('glCreateFramebuffers',4, 5, GL_VERSION_4_5);
    glNamedFramebufferRenderbuffer := getProc('glNamedFramebufferRenderbuffer',4, 5, GL_VERSION_4_5);
    glNamedFramebufferParameteri := getProc('glNamedFramebufferParameteri',4, 5, GL_VERSION_4_5);
    glNamedFramebufferTexture := getProc('glNamedFramebufferTexture',4, 5, GL_VERSION_4_5);
    glNamedFramebufferTextureLayer := getProc('glNamedFramebufferTextureLayer',4, 5, GL_VERSION_4_5);
    glNamedFramebufferDrawBuffer := getProc('glNamedFramebufferDrawBuffer',4, 5, GL_VERSION_4_5);
    glNamedFramebufferDrawBuffers := getProc('glNamedFramebufferDrawBuffers',4, 5, GL_VERSION_4_5);
    glNamedFramebufferReadBuffer := getProc('glNamedFramebufferReadBuffer',4, 5, GL_VERSION_4_5);
    glInvalidateNamedFramebufferData := getProc('glInvalidateNamedFramebufferData',4, 5, GL_VERSION_4_5);
    glInvalidateNamedFramebufferSubData := getProc('glInvalidateNamedFramebufferSubData',4, 5, GL_VERSION_4_5);
    glClearNamedFramebufferiv := getProc('glClearNamedFramebufferiv',4, 5, GL_VERSION_4_5);
    glClearNamedFramebufferuiv := getProc('glClearNamedFramebufferuiv',4, 5, GL_VERSION_4_5);
    glClearNamedFramebufferfv := getProc('glClearNamedFramebufferfv',4, 5, GL_VERSION_4_5);
    glClearNamedFramebufferfi := getProc('glClearNamedFramebufferfi',4, 5, GL_VERSION_4_5);
    glBlitNamedFramebuffer := getProc('glBlitNamedFramebuffer',4, 5, GL_VERSION_4_5);
    glCheckNamedFramebufferStatus := getProc('glCheckNamedFramebufferStatus',4, 5, GL_VERSION_4_5);
    glGetNamedFramebufferParameteriv := getProc('glGetNamedFramebufferParameteriv',4, 5, GL_VERSION_4_5);
    glGetNamedFramebufferAttachmentParameteriv := getProc('glGetNamedFramebufferAttachmentParameteriv',4, 5, GL_VERSION_4_5);
    glCreateRenderbuffers := getProc('glCreateRenderbuffers',4, 5, GL_VERSION_4_5);
    glNamedRenderbufferStorage := getProc('glNamedRenderbufferStorage',4, 5, GL_VERSION_4_5);
    glNamedRenderbufferStorageMultisample := getProc('glNamedRenderbufferStorageMultisample',4, 5, GL_VERSION_4_5);
    glGetNamedRenderbufferParameteriv := getProc('glGetNamedRenderbufferParameteriv',4, 5, GL_VERSION_4_5);
    glCreateTextures := getProc('glCreateTextures',4, 5, GL_VERSION_4_5);
    glTextureBuffer := getProc('glTextureBuffer',4, 5, GL_VERSION_4_5);
    glTextureBufferRange := getProc('glTextureBufferRange',4, 5, GL_VERSION_4_5);
    glTextureStorage1D := getProc('glTextureStorage1D',4, 5, GL_VERSION_4_5);
    glTextureStorage2D := getProc('glTextureStorage2D',4, 5, GL_VERSION_4_5);
    glTextureStorage3D := getProc('glTextureStorage3D',4, 5, GL_VERSION_4_5);
    glTextureStorage2DMultisample := getProc('glTextureStorage2DMultisample',4, 5, GL_VERSION_4_5);
    glTextureStorage3DMultisample := getProc('glTextureStorage3DMultisample',4, 5, GL_VERSION_4_5);
    glTextureSubImage1D := getProc('glTextureSubImage1D',4, 5, GL_VERSION_4_5);
    glTextureSubImage2D := getProc('glTextureSubImage2D',4, 5, GL_VERSION_4_5);
    glTextureSubImage3D := getProc('glTextureSubImage3D',4, 5, GL_VERSION_4_5);
    glCompressedTextureSubImage1D := getProc('glCompressedTextureSubImage1D',4, 5, GL_VERSION_4_5);
    glCompressedTextureSubImage2D := getProc('glCompressedTextureSubImage2D',4, 5, GL_VERSION_4_5);
    glCompressedTextureSubImage3D := getProc('glCompressedTextureSubImage3D',4, 5, GL_VERSION_4_5);
    glCopyTextureSubImage1D := getProc('glCopyTextureSubImage1D',4, 5, GL_VERSION_4_5);
    glCopyTextureSubImage2D := getProc('glCopyTextureSubImage2D',4, 5, GL_VERSION_4_5);
    glCopyTextureSubImage3D := getProc('glCopyTextureSubImage3D',4, 5, GL_VERSION_4_5);
    glTextureParameterf := getProc('glTextureParameterf',4, 5, GL_VERSION_4_5);
    glTextureParameterfv := getProc('glTextureParameterfv',4, 5, GL_VERSION_4_5);
    glTextureParameteri := getProc('glTextureParameteri',4, 5, GL_VERSION_4_5);
    glTextureParameterIiv := getProc('glTextureParameterIiv',4, 5, GL_VERSION_4_5);
    glTextureParameterIuiv := getProc('glTextureParameterIuiv',4, 5, GL_VERSION_4_5);
    glTextureParameteriv := getProc('glTextureParameteriv',4, 5, GL_VERSION_4_5);
    glGenerateTextureMipmap := getProc('glGenerateTextureMipmap',4, 5, GL_VERSION_4_5);
    glBindTextureUnit := getProc('glBindTextureUnit',4, 5, GL_VERSION_4_5);
    glGetTextureImage := getProc('glGetTextureImage',4, 5, GL_VERSION_4_5);
    glGetCompressedTextureImage := getProc('glGetCompressedTextureImage',4, 5, GL_VERSION_4_5);
    glGetTextureLevelParameterfv := getProc('glGetTextureLevelParameterfv',4, 5, GL_VERSION_4_5);
    glGetTextureLevelParameteriv := getProc('glGetTextureLevelParameteriv',4, 5, GL_VERSION_4_5);
    glGetTextureParameterfv := getProc('glGetTextureParameterfv',4, 5, GL_VERSION_4_5);
    glGetTextureParameterIiv := getProc('glGetTextureParameterIiv',4, 5, GL_VERSION_4_5);
    glGetTextureParameterIuiv := getProc('glGetTextureParameterIuiv',4, 5, GL_VERSION_4_5);
    glGetTextureParameteriv := getProc('glGetTextureParameteriv',4, 5, GL_VERSION_4_5);
    glCreateVertexArrays := getProc('glCreateVertexArrays',4, 5, GL_VERSION_4_5);
    glDisableVertexArrayAttrib := getProc('glDisableVertexArrayAttrib',4, 5, GL_VERSION_4_5);
    glEnableVertexArrayAttrib := getProc('glEnableVertexArrayAttrib',4, 5, GL_VERSION_4_5);
    glVertexArrayElementBuffer := getProc('glVertexArrayElementBuffer',4, 5, GL_VERSION_4_5);
    glVertexArrayVertexBuffer := getProc('glVertexArrayVertexBuffer',4, 5, GL_VERSION_4_5);
    glVertexArrayVertexBuffers := getProc('glVertexArrayVertexBuffers',4, 5, GL_VERSION_4_5);
    glVertexArrayAttribBinding := getProc('glVertexArrayAttribBinding',4, 5, GL_VERSION_4_5);
    glVertexArrayAttribFormat := getProc('glVertexArrayAttribFormat',4, 5, GL_VERSION_4_5);
    glVertexArrayAttribIFormat := getProc('glVertexArrayAttribIFormat',4, 5, GL_VERSION_4_5);
    glVertexArrayAttribLFormat := getProc('glVertexArrayAttribLFormat',4, 5, GL_VERSION_4_5);
    glVertexArrayBindingDivisor := getProc('glVertexArrayBindingDivisor',4, 5, GL_VERSION_4_5);
    glGetVertexArrayiv := getProc('glGetVertexArrayiv',4, 5, GL_VERSION_4_5);
    glGetVertexArrayIndexediv := getProc('glGetVertexArrayIndexediv',4, 5, GL_VERSION_4_5);
    glGetVertexArrayIndexed64iv := getProc('glGetVertexArrayIndexed64iv',4, 5, GL_VERSION_4_5);
    glCreateSamplers := getProc('glCreateSamplers',4, 5, GL_VERSION_4_5);
    glCreateProgramPipelines := getProc('glCreateProgramPipelines',4, 5, GL_VERSION_4_5);
    glCreateQueries := getProc('glCreateQueries',4, 5, GL_VERSION_4_5);
    glGetQueryBufferObjecti64v := getProc('glGetQueryBufferObjecti64v',4, 5, GL_VERSION_4_5);
    glGetQueryBufferObjectiv := getProc('glGetQueryBufferObjectiv',4, 5, GL_VERSION_4_5);
    glGetQueryBufferObjectui64v := getProc('glGetQueryBufferObjectui64v',4, 5, GL_VERSION_4_5);
    glGetQueryBufferObjectuiv := getProc('glGetQueryBufferObjectuiv',4, 5, GL_VERSION_4_5);
    glMemoryBarrierByRegion := getProc('glMemoryBarrierByRegion',4, 5, GL_VERSION_4_5);
    glGetTextureSubImage := getProc('glGetTextureSubImage',4, 5, GL_VERSION_4_5);
    glGetCompressedTextureSubImage := getProc('glGetCompressedTextureSubImage',4, 5, GL_VERSION_4_5);
    glGetGraphicsResetStatus := getProc('glGetGraphicsResetStatus',4, 5, GL_VERSION_4_5);
    glGetnCompressedTexImage := getProc('glGetnCompressedTexImage',4, 5, GL_VERSION_4_5);
    glGetnTexImage := getProc('glGetnTexImage',4, 5, GL_VERSION_4_5);
    glGetnUniformdv := getProc('glGetnUniformdv',4, 5, GL_VERSION_4_5);
    glGetnUniformfv := getProc('glGetnUniformfv',4, 5, GL_VERSION_4_5);
    glGetnUniformiv := getProc('glGetnUniformiv',4, 5, GL_VERSION_4_5);
    glGetnUniformuiv := getProc('glGetnUniformuiv',4, 5, GL_VERSION_4_5);
    glReadnPixels := getProc('glReadnPixels',4, 5, GL_VERSION_4_5);
    glGetnMapdv := getProc('glGetnMapdv',4, 5, GL_VERSION_4_5);
    glGetnMapfv := getProc('glGetnMapfv',4, 5, GL_VERSION_4_5);
    glGetnMapiv := getProc('glGetnMapiv',4, 5, GL_VERSION_4_5);
    glGetnPixelMapfv := getProc('glGetnPixelMapfv',4, 5, GL_VERSION_4_5);
    glGetnPixelMapuiv := getProc('glGetnPixelMapuiv',4, 5, GL_VERSION_4_5);
    glGetnPixelMapusv := getProc('glGetnPixelMapusv',4, 5, GL_VERSION_4_5);
    glGetnPolygonStipple := getProc('glGetnPolygonStipple',4, 5, GL_VERSION_4_5);
    glGetnColorTable := getProc('glGetnColorTable',4, 5, GL_VERSION_4_5);
    glGetnConvolutionFilter := getProc('glGetnConvolutionFilter',4, 5, GL_VERSION_4_5);
    glGetnSeparableFilter := getProc('glGetnSeparableFilter',4, 5, GL_VERSION_4_5);
    glGetnHistogram := getProc('glGetnHistogram',4, 5, GL_VERSION_4_5);
    glGetnMinmax := getProc('glGetnMinmax',4, 5, GL_VERSION_4_5);
    glTextureBarrier := getProc('glTextureBarrier',4, 5, GL_VERSION_4_5);
  end;

  GL_3DFX_multisample := Pos('GL_3DFX_multisample ', exts) > 0;
  GL_3DFX_tbuffer := Pos('GL_3DFX_tbuffer ', exts) > 0;
  if GL_3DFX_tbuffer then
  begin
    glTbufferMask3DFX := getProc('glTbufferMask3DFX',EXTENSION_PROC, 0, GL_3DFX_tbuffer);
  end;

  GL_3DFX_texture_compression_FXT1 := Pos('GL_3DFX_texture_compression_FXT1 ', exts) > 0;
  GL_AMD_blend_minmax_factor := Pos('GL_AMD_blend_minmax_factor ', exts) > 0;
  GL_AMD_conservative_depth := Pos('GL_AMD_conservative_depth ', exts) > 0;
  GL_AMD_debug_output := Pos('GL_AMD_debug_output ', exts) > 0;
  if GL_AMD_debug_output then
  begin
    glDebugMessageEnableAMD := getProc('glDebugMessageEnableAMD',EXTENSION_PROC, 0, GL_AMD_debug_output);
    glDebugMessageInsertAMD := getProc('glDebugMessageInsertAMD',EXTENSION_PROC, 0, GL_AMD_debug_output);
    glDebugMessageCallbackAMD := getProc('glDebugMessageCallbackAMD',EXTENSION_PROC, 0, GL_AMD_debug_output);
    glGetDebugMessageLogAMD := getProc('glGetDebugMessageLogAMD',EXTENSION_PROC, 0, GL_AMD_debug_output);
  end;

  GL_AMD_depth_clamp_separate := Pos('GL_AMD_depth_clamp_separate ', exts) > 0;
  GL_AMD_draw_buffers_blend := Pos('GL_AMD_draw_buffers_blend ', exts) > 0;
  if GL_AMD_draw_buffers_blend then
  begin
    glBlendFuncIndexedAMD := getProc('glBlendFuncIndexedAMD',EXTENSION_PROC, 0, GL_AMD_draw_buffers_blend);
    glBlendFuncSeparateIndexedAMD := getProc('glBlendFuncSeparateIndexedAMD',EXTENSION_PROC, 0, GL_AMD_draw_buffers_blend);
    glBlendEquationIndexedAMD := getProc('glBlendEquationIndexedAMD',EXTENSION_PROC, 0, GL_AMD_draw_buffers_blend);
    glBlendEquationSeparateIndexedAMD := getProc('glBlendEquationSeparateIndexedAMD',EXTENSION_PROC, 0, GL_AMD_draw_buffers_blend);
  end;

  GL_AMD_gcn_shader := Pos('GL_AMD_gcn_shader ', exts) > 0;
  GL_AMD_gpu_shader_int64 := Pos('GL_AMD_gpu_shader_int64 ', exts) > 0;
  if GL_AMD_gpu_shader_int64 then
  begin
    glUniform1i64NV := getProc('glUniform1i64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform2i64NV := getProc('glUniform2i64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform3i64NV := getProc('glUniform3i64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform4i64NV := getProc('glUniform4i64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform1i64vNV := getProc('glUniform1i64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform2i64vNV := getProc('glUniform2i64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform3i64vNV := getProc('glUniform3i64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform4i64vNV := getProc('glUniform4i64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform1ui64NV := getProc('glUniform1ui64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform2ui64NV := getProc('glUniform2ui64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform3ui64NV := getProc('glUniform3ui64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform4ui64NV := getProc('glUniform4ui64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform1ui64vNV := getProc('glUniform1ui64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform2ui64vNV := getProc('glUniform2ui64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform3ui64vNV := getProc('glUniform3ui64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glUniform4ui64vNV := getProc('glUniform4ui64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glGetUniformi64vNV := getProc('glGetUniformi64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glGetUniformui64vNV := getProc('glGetUniformui64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform1i64NV := getProc('glProgramUniform1i64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform2i64NV := getProc('glProgramUniform2i64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform3i64NV := getProc('glProgramUniform3i64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform4i64NV := getProc('glProgramUniform4i64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform1i64vNV := getProc('glProgramUniform1i64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform2i64vNV := getProc('glProgramUniform2i64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform3i64vNV := getProc('glProgramUniform3i64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform4i64vNV := getProc('glProgramUniform4i64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform1ui64NV := getProc('glProgramUniform1ui64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform2ui64NV := getProc('glProgramUniform2ui64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform3ui64NV := getProc('glProgramUniform3ui64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform4ui64NV := getProc('glProgramUniform4ui64NV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform1ui64vNV := getProc('glProgramUniform1ui64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform2ui64vNV := getProc('glProgramUniform2ui64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform3ui64vNV := getProc('glProgramUniform3ui64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
    glProgramUniform4ui64vNV := getProc('glProgramUniform4ui64vNV',EXTENSION_PROC, 0, GL_AMD_gpu_shader_int64);
  end;

  GL_AMD_interleaved_elements := Pos('GL_AMD_interleaved_elements ', exts) > 0;
  if GL_AMD_interleaved_elements then
  begin
    glVertexAttribParameteriAMD := getProc('glVertexAttribParameteriAMD',EXTENSION_PROC, 0, GL_AMD_interleaved_elements);
  end;

  GL_AMD_multi_draw_indirect := Pos('GL_AMD_multi_draw_indirect ', exts) > 0;
  if GL_AMD_multi_draw_indirect then
  begin
    glMultiDrawArraysIndirectAMD := getProc('glMultiDrawArraysIndirectAMD',EXTENSION_PROC, 0, GL_AMD_multi_draw_indirect);
    glMultiDrawElementsIndirectAMD := getProc('glMultiDrawElementsIndirectAMD',EXTENSION_PROC, 0, GL_AMD_multi_draw_indirect);
  end;

  GL_AMD_name_gen_delete := Pos('GL_AMD_name_gen_delete ', exts) > 0;
  if GL_AMD_name_gen_delete then
  begin
    glGenNamesAMD := getProc('glGenNamesAMD',EXTENSION_PROC, 0, GL_AMD_name_gen_delete);
    glDeleteNamesAMD := getProc('glDeleteNamesAMD',EXTENSION_PROC, 0, GL_AMD_name_gen_delete);
    glIsNameAMD := getProc('glIsNameAMD',EXTENSION_PROC, 0, GL_AMD_name_gen_delete);
  end;

  GL_AMD_occlusion_query_event := Pos('GL_AMD_occlusion_query_event ', exts) > 0;
  if GL_AMD_occlusion_query_event then
  begin
    glQueryObjectParameteruiAMD := getProc('glQueryObjectParameteruiAMD',EXTENSION_PROC, 0, GL_AMD_occlusion_query_event);
  end;

  GL_AMD_pinned_memory := Pos('GL_AMD_pinned_memory ', exts) > 0;
  GL_AMD_query_buffer_object := Pos('GL_AMD_query_buffer_object ', exts) > 0;
  GL_AMD_sample_positions := Pos('GL_AMD_sample_positions ', exts) > 0;
  if GL_AMD_sample_positions then
  begin
    glSetMultisamplefvAMD := getProc('glSetMultisamplefvAMD',EXTENSION_PROC, 0, GL_AMD_sample_positions);
  end;

  GL_AMD_seamless_cubemap_per_texture := Pos('GL_AMD_seamless_cubemap_per_texture ', exts) > 0;
  GL_AMD_shader_atomic_counter_ops := Pos('GL_AMD_shader_atomic_counter_ops ', exts) > 0;
  GL_AMD_shader_stencil_export := Pos('GL_AMD_shader_stencil_export ', exts) > 0;
  GL_AMD_shader_trinary_minmax := Pos('GL_AMD_shader_trinary_minmax ', exts) > 0;
  GL_AMD_sparse_texture := Pos('GL_AMD_sparse_texture ', exts) > 0;
  if GL_AMD_sparse_texture then
  begin
    glTexStorageSparseAMD := getProc('glTexStorageSparseAMD',EXTENSION_PROC, 0, GL_AMD_sparse_texture);
    glTextureStorageSparseAMD := getProc('glTextureStorageSparseAMD',EXTENSION_PROC, 0, GL_AMD_sparse_texture);
  end;

  GL_AMD_stencil_operation_extended := Pos('GL_AMD_stencil_operation_extended ', exts) > 0;
  if GL_AMD_stencil_operation_extended then
  begin
    glStencilOpValueAMD := getProc('glStencilOpValueAMD',EXTENSION_PROC, 0, GL_AMD_stencil_operation_extended);
  end;

  GL_AMD_texture_texture4 := Pos('GL_AMD_texture_texture4 ', exts) > 0;
  GL_AMD_transform_feedback3_lines_triangles := Pos('GL_AMD_transform_feedback3_lines_triangles ', exts) > 0;
  GL_AMD_transform_feedback4 := Pos('GL_AMD_transform_feedback4 ', exts) > 0;
  GL_AMD_vertex_shader_layer := Pos('GL_AMD_vertex_shader_layer ', exts) > 0;
  GL_AMD_vertex_shader_tessellator := Pos('GL_AMD_vertex_shader_tessellator ', exts) > 0;
  if GL_AMD_vertex_shader_tessellator then
  begin
    glTessellationFactorAMD := getProc('glTessellationFactorAMD',EXTENSION_PROC, 0, GL_AMD_vertex_shader_tessellator);
    glTessellationModeAMD := getProc('glTessellationModeAMD',EXTENSION_PROC, 0, GL_AMD_vertex_shader_tessellator);
  end;

  GL_AMD_vertex_shader_viewport_index := Pos('GL_AMD_vertex_shader_viewport_index ', exts) > 0;
  GL_APPLE_aux_depth_stencil := Pos('GL_APPLE_aux_depth_stencil ', exts) > 0;
  GL_APPLE_client_storage := Pos('GL_APPLE_client_storage ', exts) > 0;
  GL_APPLE_element_array := Pos('GL_APPLE_element_array ', exts) > 0;
  if GL_APPLE_element_array then
  begin
    glElementPointerAPPLE := getProc('glElementPointerAPPLE',EXTENSION_PROC, 0, GL_APPLE_element_array);
    glDrawElementArrayAPPLE := getProc('glDrawElementArrayAPPLE',EXTENSION_PROC, 0, GL_APPLE_element_array);
    glDrawRangeElementArrayAPPLE := getProc('glDrawRangeElementArrayAPPLE',EXTENSION_PROC, 0, GL_APPLE_element_array);
    glMultiDrawElementArrayAPPLE := getProc('glMultiDrawElementArrayAPPLE',EXTENSION_PROC, 0, GL_APPLE_element_array);
    glMultiDrawRangeElementArrayAPPLE := getProc('glMultiDrawRangeElementArrayAPPLE',EXTENSION_PROC, 0, GL_APPLE_element_array);
  end;

  GL_APPLE_fence := Pos('GL_APPLE_fence ', exts) > 0;
  if GL_APPLE_fence then
  begin
    glGenFencesAPPLE := getProc('glGenFencesAPPLE',EXTENSION_PROC, 0, GL_APPLE_fence);
    glDeleteFencesAPPLE := getProc('glDeleteFencesAPPLE',EXTENSION_PROC, 0, GL_APPLE_fence);
    glSetFenceAPPLE := getProc('glSetFenceAPPLE',EXTENSION_PROC, 0, GL_APPLE_fence);
    glIsFenceAPPLE := getProc('glIsFenceAPPLE',EXTENSION_PROC, 0, GL_APPLE_fence);
    glTestFenceAPPLE := getProc('glTestFenceAPPLE',EXTENSION_PROC, 0, GL_APPLE_fence);
    glFinishFenceAPPLE := getProc('glFinishFenceAPPLE',EXTENSION_PROC, 0, GL_APPLE_fence);
    glTestObjectAPPLE := getProc('glTestObjectAPPLE',EXTENSION_PROC, 0, GL_APPLE_fence);
    glFinishObjectAPPLE := getProc('glFinishObjectAPPLE',EXTENSION_PROC, 0, GL_APPLE_fence);
  end;

  GL_APPLE_float_pixels := Pos('GL_APPLE_float_pixels ', exts) > 0;
  GL_APPLE_flush_buffer_range := Pos('GL_APPLE_flush_buffer_range ', exts) > 0;
  if GL_APPLE_flush_buffer_range then
  begin
    glBufferParameteriAPPLE := getProc('glBufferParameteriAPPLE',EXTENSION_PROC, 0, GL_APPLE_flush_buffer_range);
    glFlushMappedBufferRangeAPPLE := getProc('glFlushMappedBufferRangeAPPLE',EXTENSION_PROC, 0, GL_APPLE_flush_buffer_range);
  end;

  GL_APPLE_object_purgeable := Pos('GL_APPLE_object_purgeable ', exts) > 0;
  if GL_APPLE_object_purgeable then
  begin
    glObjectPurgeableAPPLE := getProc('glObjectPurgeableAPPLE',EXTENSION_PROC, 0, GL_APPLE_object_purgeable);
    glObjectUnpurgeableAPPLE := getProc('glObjectUnpurgeableAPPLE',EXTENSION_PROC, 0, GL_APPLE_object_purgeable);
    glGetObjectParameterivAPPLE := getProc('glGetObjectParameterivAPPLE',EXTENSION_PROC, 0, GL_APPLE_object_purgeable);
  end;

  GL_APPLE_row_bytes := Pos('GL_APPLE_row_bytes ', exts) > 0;
  GL_APPLE_specular_vector := Pos('GL_APPLE_specular_vector ', exts) > 0;
  GL_APPLE_texture_range := Pos('GL_APPLE_texture_range ', exts) > 0;
  if GL_APPLE_texture_range then
  begin
    glTextureRangeAPPLE := getProc('glTextureRangeAPPLE',EXTENSION_PROC, 0, GL_APPLE_texture_range);
    glGetTexParameterPointervAPPLE := getProc('glGetTexParameterPointervAPPLE',EXTENSION_PROC, 0, GL_APPLE_texture_range);
  end;

  GL_APPLE_transform_hint := Pos('GL_APPLE_transform_hint ', exts) > 0;
  GL_APPLE_vertex_array_object := Pos('GL_APPLE_vertex_array_object ', exts) > 0;
  if GL_APPLE_vertex_array_object then
  begin
    glBindVertexArrayAPPLE := getProc('glBindVertexArrayAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_array_object);
    glDeleteVertexArraysAPPLE := getProc('glDeleteVertexArraysAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_array_object);
    glGenVertexArraysAPPLE := getProc('glGenVertexArraysAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_array_object);
    glIsVertexArrayAPPLE := getProc('glIsVertexArrayAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_array_object);
  end;

  GL_APPLE_vertex_array_range := Pos('GL_APPLE_vertex_array_range ', exts) > 0;
  if GL_APPLE_vertex_array_range then
  begin
    glVertexArrayRangeAPPLE := getProc('glVertexArrayRangeAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_array_range);
    glFlushVertexArrayRangeAPPLE := getProc('glFlushVertexArrayRangeAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_array_range);
    glVertexArrayParameteriAPPLE := getProc('glVertexArrayParameteriAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_array_range);
  end;

  GL_APPLE_vertex_program_evaluators := Pos('GL_APPLE_vertex_program_evaluators ', exts) > 0;
  if GL_APPLE_vertex_program_evaluators then
  begin
    glEnableVertexAttribAPPLE := getProc('glEnableVertexAttribAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_program_evaluators);
    glDisableVertexAttribAPPLE := getProc('glDisableVertexAttribAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_program_evaluators);
    glIsVertexAttribEnabledAPPLE := getProc('glIsVertexAttribEnabledAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_program_evaluators);
    glMapVertexAttrib1dAPPLE := getProc('glMapVertexAttrib1dAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_program_evaluators);
    glMapVertexAttrib1fAPPLE := getProc('glMapVertexAttrib1fAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_program_evaluators);
    glMapVertexAttrib2dAPPLE := getProc('glMapVertexAttrib2dAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_program_evaluators);
    glMapVertexAttrib2fAPPLE := getProc('glMapVertexAttrib2fAPPLE',EXTENSION_PROC, 0, GL_APPLE_vertex_program_evaluators);
  end;

  GL_APPLE_ycbcr_422 := Pos('GL_APPLE_ycbcr_422 ', exts) > 0;
  GL_ARB_ES2_compatibility := Pos('GL_ARB_ES2_compatibility ', exts) > 0;
  if GL_ARB_ES2_compatibility then
  begin
//*2
    glReleaseShaderCompiler := getProc('glReleaseShaderCompiler',EXTENSION_PROC, 0, GL_ARB_ES2_compatibility);
//*2
    glShaderBinary := getProc('glShaderBinary',EXTENSION_PROC, 0, GL_ARB_ES2_compatibility);
//*2
    glGetShaderPrecisionFormat := getProc('glGetShaderPrecisionFormat',EXTENSION_PROC, 0, GL_ARB_ES2_compatibility);
//*2
    glDepthRangef := getProc('glDepthRangef',EXTENSION_PROC, 0, GL_ARB_ES2_compatibility);
//*2
    glClearDepthf := getProc('glClearDepthf',EXTENSION_PROC, 0, GL_ARB_ES2_compatibility);
  end;

  GL_ARB_color_buffer_float := Pos('GL_ARB_color_buffer_float ', exts) > 0;
  if GL_ARB_color_buffer_float then
  begin
    glClampColorARB := getProc('glClampColorARB',EXTENSION_PROC, 0, GL_ARB_color_buffer_float);
  end;

  GL_ARB_compatibility := Pos('GL_ARB_compatibility ', exts) > 0;
  GL_ARB_depth_texture := Pos('GL_ARB_depth_texture ', exts) > 0;
  GL_ARB_draw_buffers := Pos('GL_ARB_draw_buffers ', exts) > 0;
  if GL_ARB_draw_buffers then
  begin
    glDrawBuffersARB := getProc('glDrawBuffersARB',EXTENSION_PROC, 0, GL_ARB_draw_buffers);
  end;

  GL_ARB_draw_instanced := Pos('GL_ARB_draw_instanced ', exts) > 0;
  if GL_ARB_draw_instanced then
  begin
    glDrawArraysInstancedARB := getProc('glDrawArraysInstancedARB',EXTENSION_PROC, 0, GL_ARB_draw_instanced);
    glDrawElementsInstancedARB := getProc('glDrawElementsInstancedARB',EXTENSION_PROC, 0, GL_ARB_draw_instanced);
  end;

  GL_ARB_fragment_program := Pos('GL_ARB_fragment_program ', exts) > 0;
  if GL_ARB_fragment_program then
  begin
    glProgramStringARB := getProc('glProgramStringARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glBindProgramARB := getProc('glBindProgramARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glDeleteProgramsARB := getProc('glDeleteProgramsARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glGenProgramsARB := getProc('glGenProgramsARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glProgramEnvParameter4dARB := getProc('glProgramEnvParameter4dARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glProgramEnvParameter4dvARB := getProc('glProgramEnvParameter4dvARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glProgramEnvParameter4fARB := getProc('glProgramEnvParameter4fARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glProgramEnvParameter4fvARB := getProc('glProgramEnvParameter4fvARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glProgramLocalParameter4dARB := getProc('glProgramLocalParameter4dARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glProgramLocalParameter4dvARB := getProc('glProgramLocalParameter4dvARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glProgramLocalParameter4fARB := getProc('glProgramLocalParameter4fARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glProgramLocalParameter4fvARB := getProc('glProgramLocalParameter4fvARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glGetProgramEnvParameterdvARB := getProc('glGetProgramEnvParameterdvARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glGetProgramEnvParameterfvARB := getProc('glGetProgramEnvParameterfvARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glGetProgramLocalParameterdvARB := getProc('glGetProgramLocalParameterdvARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glGetProgramLocalParameterfvARB := getProc('glGetProgramLocalParameterfvARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glGetProgramivARB := getProc('glGetProgramivARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glGetProgramStringARB := getProc('glGetProgramStringARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
    glIsProgramARB := getProc('glIsProgramARB',EXTENSION_PROC, 0, GL_ARB_fragment_program);
  end;

  GL_ARB_fragment_program_shadow := Pos('GL_ARB_fragment_program_shadow ', exts) > 0;
  GL_ARB_fragment_shader := Pos('GL_ARB_fragment_shader ', exts) > 0;
  GL_ARB_geometry_shader4 := Pos('GL_ARB_geometry_shader4 ', exts) > 0;
  if GL_ARB_geometry_shader4 then
  begin
    glProgramParameteriARB := getProc('glProgramParameteriARB',EXTENSION_PROC, 0, GL_ARB_geometry_shader4);
    glFramebufferTextureARB := getProc('glFramebufferTextureARB',EXTENSION_PROC, 0, GL_ARB_geometry_shader4);
    glFramebufferTextureLayerARB := getProc('glFramebufferTextureLayerARB',EXTENSION_PROC, 0, GL_ARB_geometry_shader4);
    glFramebufferTextureFaceARB := getProc('glFramebufferTextureFaceARB',EXTENSION_PROC, 0, GL_ARB_geometry_shader4);
  end;

  GL_ARB_half_float_pixel := Pos('GL_ARB_half_float_pixel ', exts) > 0;
  GL_ARB_instanced_arrays := Pos('GL_ARB_instanced_arrays ', exts) > 0;
  if GL_ARB_instanced_arrays then
  begin
    glVertexAttribDivisorARB := getProc('glVertexAttribDivisorARB',EXTENSION_PROC, 0, GL_ARB_instanced_arrays);
  end;

  GL_ARB_matrix_palette := Pos('GL_ARB_matrix_palette ', exts) > 0;
  if GL_ARB_matrix_palette then
  begin
    glCurrentPaletteMatrixARB := getProc('glCurrentPaletteMatrixARB',EXTENSION_PROC, 0, GL_ARB_matrix_palette);
    glMatrixIndexubvARB := getProc('glMatrixIndexubvARB',EXTENSION_PROC, 0, GL_ARB_matrix_palette);
    glMatrixIndexusvARB := getProc('glMatrixIndexusvARB',EXTENSION_PROC, 0, GL_ARB_matrix_palette);
    glMatrixIndexuivARB := getProc('glMatrixIndexuivARB',EXTENSION_PROC, 0, GL_ARB_matrix_palette);
    glMatrixIndexPointerARB := getProc('glMatrixIndexPointerARB',EXTENSION_PROC, 0, GL_ARB_matrix_palette);
  end;

  GL_ARB_multisample := Pos('GL_ARB_multisample ', exts) > 0;
  if GL_ARB_multisample then
  begin
    glSampleCoverageARB := getProc('glSampleCoverageARB',EXTENSION_PROC, 0, GL_ARB_multisample);
  end;

  GL_ARB_multitexture := Pos('GL_ARB_multitexture ', exts) > 0;
  if GL_ARB_multitexture then
  begin
    glActiveTextureARB := getProc('glActiveTextureARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glClientActiveTextureARB := getProc('glClientActiveTextureARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord1dARB := getProc('glMultiTexCoord1dARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord1dvARB := getProc('glMultiTexCoord1dvARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord1fARB := getProc('glMultiTexCoord1fARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord1fvARB := getProc('glMultiTexCoord1fvARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord1iARB := getProc('glMultiTexCoord1iARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord1ivARB := getProc('glMultiTexCoord1ivARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord1sARB := getProc('glMultiTexCoord1sARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord1svARB := getProc('glMultiTexCoord1svARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord2dARB := getProc('glMultiTexCoord2dARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord2dvARB := getProc('glMultiTexCoord2dvARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord2fARB := getProc('glMultiTexCoord2fARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord2fvARB := getProc('glMultiTexCoord2fvARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord2iARB := getProc('glMultiTexCoord2iARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord2ivARB := getProc('glMultiTexCoord2ivARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord2sARB := getProc('glMultiTexCoord2sARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord2svARB := getProc('glMultiTexCoord2svARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord3dARB := getProc('glMultiTexCoord3dARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord3dvARB := getProc('glMultiTexCoord3dvARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord3fARB := getProc('glMultiTexCoord3fARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord3fvARB := getProc('glMultiTexCoord3fvARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord3iARB := getProc('glMultiTexCoord3iARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord3ivARB := getProc('glMultiTexCoord3ivARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord3sARB := getProc('glMultiTexCoord3sARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord3svARB := getProc('glMultiTexCoord3svARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord4dARB := getProc('glMultiTexCoord4dARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord4dvARB := getProc('glMultiTexCoord4dvARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord4fARB := getProc('glMultiTexCoord4fARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord4fvARB := getProc('glMultiTexCoord4fvARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord4iARB := getProc('glMultiTexCoord4iARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord4ivARB := getProc('glMultiTexCoord4ivARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord4sARB := getProc('glMultiTexCoord4sARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
    glMultiTexCoord4svARB := getProc('glMultiTexCoord4svARB',EXTENSION_PROC, 0, GL_ARB_multitexture);
  end;

  GL_ARB_occlusion_query := Pos('GL_ARB_occlusion_query ', exts) > 0;
  if GL_ARB_occlusion_query then
  begin
    glGenQueriesARB := getProc('glGenQueriesARB',EXTENSION_PROC, 0, GL_ARB_occlusion_query);
    glDeleteQueriesARB := getProc('glDeleteQueriesARB',EXTENSION_PROC, 0, GL_ARB_occlusion_query);
    glIsQueryARB := getProc('glIsQueryARB',EXTENSION_PROC, 0, GL_ARB_occlusion_query);
    glBeginQueryARB := getProc('glBeginQueryARB',EXTENSION_PROC, 0, GL_ARB_occlusion_query);
    glEndQueryARB := getProc('glEndQueryARB',EXTENSION_PROC, 0, GL_ARB_occlusion_query);
    glGetQueryivARB := getProc('glGetQueryivARB',EXTENSION_PROC, 0, GL_ARB_occlusion_query);
    glGetQueryObjectivARB := getProc('glGetQueryObjectivARB',EXTENSION_PROC, 0, GL_ARB_occlusion_query);
    glGetQueryObjectuivARB := getProc('glGetQueryObjectuivARB',EXTENSION_PROC, 0, GL_ARB_occlusion_query);
  end;

  GL_ARB_pixel_buffer_object := Pos('GL_ARB_pixel_buffer_object ', exts) > 0;
  GL_ARB_point_parameters := Pos('GL_ARB_point_parameters ', exts) > 0;
  if GL_ARB_point_parameters then
  begin
    glPointParameterfARB := getProc('glPointParameterfARB',EXTENSION_PROC, 0, GL_ARB_point_parameters);
    glPointParameterfvARB := getProc('glPointParameterfvARB',EXTENSION_PROC, 0, GL_ARB_point_parameters);
  end;

  GL_ARB_point_sprite := Pos('GL_ARB_point_sprite ', exts) > 0;
  GL_ARB_shader_objects := Pos('GL_ARB_shader_objects ', exts) > 0;
  if GL_ARB_shader_objects then
  begin
    glDeleteObjectARB := getProc('glDeleteObjectARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glGetHandleARB := getProc('glGetHandleARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glDetachObjectARB := getProc('glDetachObjectARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glCreateShaderObjectARB := getProc('glCreateShaderObjectARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glShaderSourceARB := getProc('glShaderSourceARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glCompileShaderARB := getProc('glCompileShaderARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glCreateProgramObjectARB := getProc('glCreateProgramObjectARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glAttachObjectARB := getProc('glAttachObjectARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glLinkProgramARB := getProc('glLinkProgramARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUseProgramObjectARB := getProc('glUseProgramObjectARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glValidateProgramARB := getProc('glValidateProgramARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform1fARB := getProc('glUniform1fARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform2fARB := getProc('glUniform2fARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform3fARB := getProc('glUniform3fARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform4fARB := getProc('glUniform4fARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform1iARB := getProc('glUniform1iARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform2iARB := getProc('glUniform2iARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform3iARB := getProc('glUniform3iARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform4iARB := getProc('glUniform4iARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform1fvARB := getProc('glUniform1fvARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform2fvARB := getProc('glUniform2fvARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform3fvARB := getProc('glUniform3fvARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform4fvARB := getProc('glUniform4fvARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform1ivARB := getProc('glUniform1ivARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform2ivARB := getProc('glUniform2ivARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform3ivARB := getProc('glUniform3ivARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniform4ivARB := getProc('glUniform4ivARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniformMatrix2fvARB := getProc('glUniformMatrix2fvARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniformMatrix3fvARB := getProc('glUniformMatrix3fvARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glUniformMatrix4fvARB := getProc('glUniformMatrix4fvARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glGetObjectParameterfvARB := getProc('glGetObjectParameterfvARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glGetObjectParameterivARB := getProc('glGetObjectParameterivARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glGetInfoLogARB := getProc('glGetInfoLogARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glGetAttachedObjectsARB := getProc('glGetAttachedObjectsARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glGetUniformLocationARB := getProc('glGetUniformLocationARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glGetActiveUniformARB := getProc('glGetActiveUniformARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glGetUniformfvARB := getProc('glGetUniformfvARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glGetUniformivARB := getProc('glGetUniformivARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
    glGetShaderSourceARB := getProc('glGetShaderSourceARB',EXTENSION_PROC, 0, GL_ARB_shader_objects);
  end;

  GL_ARB_shader_texture_lod := Pos('GL_ARB_shader_texture_lod ', exts) > 0;
  GL_ARB_shading_language_100 := Pos('GL_ARB_shading_language_100 ', exts) > 0;
  GL_ARB_shadow := Pos('GL_ARB_shadow ', exts) > 0;
  GL_ARB_shadow_ambient := Pos('GL_ARB_shadow_ambient ', exts) > 0;
  GL_ARB_texture_border_clamp := Pos('GL_ARB_texture_border_clamp ', exts) > 0;
  GL_ARB_texture_buffer_object := Pos('GL_ARB_texture_buffer_object ', exts) > 0;
  if GL_ARB_texture_buffer_object then
  begin
    glTexBufferARB := getProc('glTexBufferARB',EXTENSION_PROC, 0, GL_ARB_texture_buffer_object);
  end;

  GL_ARB_texture_compression := Pos('GL_ARB_texture_compression ', exts) > 0;
  if GL_ARB_texture_compression then
  begin
    glCompressedTexImage3DARB := getProc('glCompressedTexImage3DARB',EXTENSION_PROC, 0, GL_ARB_texture_compression);
    glCompressedTexImage2DARB := getProc('glCompressedTexImage2DARB',EXTENSION_PROC, 0, GL_ARB_texture_compression);
    glCompressedTexImage1DARB := getProc('glCompressedTexImage1DARB',EXTENSION_PROC, 0, GL_ARB_texture_compression);
    glCompressedTexSubImage3DARB := getProc('glCompressedTexSubImage3DARB',EXTENSION_PROC, 0, GL_ARB_texture_compression);
    glCompressedTexSubImage2DARB := getProc('glCompressedTexSubImage2DARB',EXTENSION_PROC, 0, GL_ARB_texture_compression);
    glCompressedTexSubImage1DARB := getProc('glCompressedTexSubImage1DARB',EXTENSION_PROC, 0, GL_ARB_texture_compression);
    glGetCompressedTexImageARB := getProc('glGetCompressedTexImageARB',EXTENSION_PROC, 0, GL_ARB_texture_compression);
  end;

  GL_ARB_texture_cube_map := Pos('GL_ARB_texture_cube_map ', exts) > 0;
  GL_ARB_texture_env_add := Pos('GL_ARB_texture_env_add ', exts) > 0;
  GL_ARB_texture_env_combine := Pos('GL_ARB_texture_env_combine ', exts) > 0;
  GL_ARB_texture_env_crossbar := Pos('GL_ARB_texture_env_crossbar ', exts) > 0;
  GL_ARB_texture_env_dot3 := Pos('GL_ARB_texture_env_dot3 ', exts) > 0;
  GL_ARB_texture_float := Pos('GL_ARB_texture_float ', exts) > 0;
  GL_ARB_texture_mirrored_repeat := Pos('GL_ARB_texture_mirrored_repeat ', exts) > 0;
  GL_ARB_texture_non_power_of_two := Pos('GL_ARB_texture_non_power_of_two ', exts) > 0;
  GL_ARB_texture_rectangle := Pos('GL_ARB_texture_rectangle ', exts) > 0;
  GL_ARB_transpose_matrix := Pos('GL_ARB_transpose_matrix ', exts) > 0;
  if GL_ARB_transpose_matrix then
  begin
    glLoadTransposeMatrixfARB := getProc('glLoadTransposeMatrixfARB',EXTENSION_PROC, 0, GL_ARB_transpose_matrix);
    glLoadTransposeMatrixdARB := getProc('glLoadTransposeMatrixdARB',EXTENSION_PROC, 0, GL_ARB_transpose_matrix);
    glMultTransposeMatrixfARB := getProc('glMultTransposeMatrixfARB',EXTENSION_PROC, 0, GL_ARB_transpose_matrix);
    glMultTransposeMatrixdARB := getProc('glMultTransposeMatrixdARB',EXTENSION_PROC, 0, GL_ARB_transpose_matrix);
  end;

  GL_ARB_vertex_blend := Pos('GL_ARB_vertex_blend ', exts) > 0;
  if GL_ARB_vertex_blend then
  begin
    glWeightbvARB := getProc('glWeightbvARB',EXTENSION_PROC, 0, GL_ARB_vertex_blend);
    glWeightsvARB := getProc('glWeightsvARB',EXTENSION_PROC, 0, GL_ARB_vertex_blend);
    glWeightivARB := getProc('glWeightivARB',EXTENSION_PROC, 0, GL_ARB_vertex_blend);
    glWeightfvARB := getProc('glWeightfvARB',EXTENSION_PROC, 0, GL_ARB_vertex_blend);
    glWeightdvARB := getProc('glWeightdvARB',EXTENSION_PROC, 0, GL_ARB_vertex_blend);
    glWeightubvARB := getProc('glWeightubvARB',EXTENSION_PROC, 0, GL_ARB_vertex_blend);
    glWeightusvARB := getProc('glWeightusvARB',EXTENSION_PROC, 0, GL_ARB_vertex_blend);
    glWeightuivARB := getProc('glWeightuivARB',EXTENSION_PROC, 0, GL_ARB_vertex_blend);
    glWeightPointerARB := getProc('glWeightPointerARB',EXTENSION_PROC, 0, GL_ARB_vertex_blend);
    glVertexBlendARB := getProc('glVertexBlendARB',EXTENSION_PROC, 0, GL_ARB_vertex_blend);
  end;

  GL_ARB_vertex_buffer_object := Pos('GL_ARB_vertex_buffer_object ', exts) > 0;
  if GL_ARB_vertex_buffer_object then
  begin
    glBindBufferARB := getProc('glBindBufferARB',EXTENSION_PROC, 0, GL_ARB_vertex_buffer_object);
    glDeleteBuffersARB := getProc('glDeleteBuffersARB',EXTENSION_PROC, 0, GL_ARB_vertex_buffer_object);
    glGenBuffersARB := getProc('glGenBuffersARB',EXTENSION_PROC, 0, GL_ARB_vertex_buffer_object);
    glIsBufferARB := getProc('glIsBufferARB',EXTENSION_PROC, 0, GL_ARB_vertex_buffer_object);
    glBufferDataARB := getProc('glBufferDataARB',EXTENSION_PROC, 0, GL_ARB_vertex_buffer_object);
    glBufferSubDataARB := getProc('glBufferSubDataARB',EXTENSION_PROC, 0, GL_ARB_vertex_buffer_object);
    glGetBufferSubDataARB := getProc('glGetBufferSubDataARB',EXTENSION_PROC, 0, GL_ARB_vertex_buffer_object);
    glMapBufferARB := getProc('glMapBufferARB',EXTENSION_PROC, 0, GL_ARB_vertex_buffer_object);
    glUnmapBufferARB := getProc('glUnmapBufferARB',EXTENSION_PROC, 0, GL_ARB_vertex_buffer_object);
    glGetBufferParameterivARB := getProc('glGetBufferParameterivARB',EXTENSION_PROC, 0, GL_ARB_vertex_buffer_object);
    glGetBufferPointervARB := getProc('glGetBufferPointervARB',EXTENSION_PROC, 0, GL_ARB_vertex_buffer_object);
  end;

  GL_ARB_vertex_program := Pos('GL_ARB_vertex_program ', exts) > 0;
  if GL_ARB_vertex_program then
  begin
    glVertexAttrib1dARB := getProc('glVertexAttrib1dARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib1dvARB := getProc('glVertexAttrib1dvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib1fARB := getProc('glVertexAttrib1fARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib1fvARB := getProc('glVertexAttrib1fvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib1sARB := getProc('glVertexAttrib1sARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib1svARB := getProc('glVertexAttrib1svARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib2dARB := getProc('glVertexAttrib2dARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib2dvARB := getProc('glVertexAttrib2dvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib2fARB := getProc('glVertexAttrib2fARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib2fvARB := getProc('glVertexAttrib2fvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib2sARB := getProc('glVertexAttrib2sARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib2svARB := getProc('glVertexAttrib2svARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib3dARB := getProc('glVertexAttrib3dARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib3dvARB := getProc('glVertexAttrib3dvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib3fARB := getProc('glVertexAttrib3fARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib3fvARB := getProc('glVertexAttrib3fvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib3sARB := getProc('glVertexAttrib3sARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib3svARB := getProc('glVertexAttrib3svARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4NbvARB := getProc('glVertexAttrib4NbvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4NivARB := getProc('glVertexAttrib4NivARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4NsvARB := getProc('glVertexAttrib4NsvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4NubARB := getProc('glVertexAttrib4NubARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4NubvARB := getProc('glVertexAttrib4NubvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4NuivARB := getProc('glVertexAttrib4NuivARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4NusvARB := getProc('glVertexAttrib4NusvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4bvARB := getProc('glVertexAttrib4bvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4dARB := getProc('glVertexAttrib4dARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4dvARB := getProc('glVertexAttrib4dvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4fARB := getProc('glVertexAttrib4fARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4fvARB := getProc('glVertexAttrib4fvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4ivARB := getProc('glVertexAttrib4ivARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4sARB := getProc('glVertexAttrib4sARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4svARB := getProc('glVertexAttrib4svARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4ubvARB := getProc('glVertexAttrib4ubvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4uivARB := getProc('glVertexAttrib4uivARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttrib4usvARB := getProc('glVertexAttrib4usvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glVertexAttribPointerARB := getProc('glVertexAttribPointerARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glEnableVertexAttribArrayARB := getProc('glEnableVertexAttribArrayARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glDisableVertexAttribArrayARB := getProc('glDisableVertexAttribArrayARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glProgramStringARB := getProc('glProgramStringARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glBindProgramARB := getProc('glBindProgramARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glDeleteProgramsARB := getProc('glDeleteProgramsARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glGenProgramsARB := getProc('glGenProgramsARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glProgramEnvParameter4dARB := getProc('glProgramEnvParameter4dARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glProgramEnvParameter4dvARB := getProc('glProgramEnvParameter4dvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glProgramEnvParameter4fARB := getProc('glProgramEnvParameter4fARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glProgramEnvParameter4fvARB := getProc('glProgramEnvParameter4fvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glProgramLocalParameter4dARB := getProc('glProgramLocalParameter4dARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glProgramLocalParameter4dvARB := getProc('glProgramLocalParameter4dvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glProgramLocalParameter4fARB := getProc('glProgramLocalParameter4fARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glProgramLocalParameter4fvARB := getProc('glProgramLocalParameter4fvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glGetProgramEnvParameterdvARB := getProc('glGetProgramEnvParameterdvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glGetProgramEnvParameterfvARB := getProc('glGetProgramEnvParameterfvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glGetProgramLocalParameterdvARB := getProc('glGetProgramLocalParameterdvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glGetProgramLocalParameterfvARB := getProc('glGetProgramLocalParameterfvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glGetProgramivARB := getProc('glGetProgramivARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glGetProgramStringARB := getProc('glGetProgramStringARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glGetVertexAttribdvARB := getProc('glGetVertexAttribdvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glGetVertexAttribfvARB := getProc('glGetVertexAttribfvARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glGetVertexAttribivARB := getProc('glGetVertexAttribivARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
    glGetVertexAttribPointervARB := getProc('glGetVertexAttribPointervARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
//*2
    glIsProgramARB := getProc('glIsProgramARB',EXTENSION_PROC, 0, GL_ARB_vertex_program);
  end;

  GL_ARB_vertex_shader := Pos('GL_ARB_vertex_shader ', exts) > 0;
  if GL_ARB_vertex_shader then
  begin
//*2
    glVertexAttrib1fARB := getProc('glVertexAttrib1fARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib1sARB := getProc('glVertexAttrib1sARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib1dARB := getProc('glVertexAttrib1dARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib2fARB := getProc('glVertexAttrib2fARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib2sARB := getProc('glVertexAttrib2sARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib2dARB := getProc('glVertexAttrib2dARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib3fARB := getProc('glVertexAttrib3fARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib3sARB := getProc('glVertexAttrib3sARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib3dARB := getProc('glVertexAttrib3dARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4fARB := getProc('glVertexAttrib4fARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4sARB := getProc('glVertexAttrib4sARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4dARB := getProc('glVertexAttrib4dARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4NubARB := getProc('glVertexAttrib4NubARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib1fvARB := getProc('glVertexAttrib1fvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib1svARB := getProc('glVertexAttrib1svARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib1dvARB := getProc('glVertexAttrib1dvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib2fvARB := getProc('glVertexAttrib2fvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib2svARB := getProc('glVertexAttrib2svARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib2dvARB := getProc('glVertexAttrib2dvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib3fvARB := getProc('glVertexAttrib3fvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib3svARB := getProc('glVertexAttrib3svARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib3dvARB := getProc('glVertexAttrib3dvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4fvARB := getProc('glVertexAttrib4fvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4svARB := getProc('glVertexAttrib4svARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4dvARB := getProc('glVertexAttrib4dvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4ivARB := getProc('glVertexAttrib4ivARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4bvARB := getProc('glVertexAttrib4bvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4ubvARB := getProc('glVertexAttrib4ubvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4usvARB := getProc('glVertexAttrib4usvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4uivARB := getProc('glVertexAttrib4uivARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4NbvARB := getProc('glVertexAttrib4NbvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4NsvARB := getProc('glVertexAttrib4NsvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4NivARB := getProc('glVertexAttrib4NivARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4NubvARB := getProc('glVertexAttrib4NubvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4NusvARB := getProc('glVertexAttrib4NusvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttrib4NuivARB := getProc('glVertexAttrib4NuivARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glVertexAttribPointerARB := getProc('glVertexAttribPointerARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glEnableVertexAttribArrayARB := getProc('glEnableVertexAttribArrayARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glDisableVertexAttribArrayARB := getProc('glDisableVertexAttribArrayARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
    glBindAttribLocationARB := getProc('glBindAttribLocationARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
    glGetActiveAttribARB := getProc('glGetActiveAttribARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
    glGetAttribLocationARB := getProc('glGetAttribLocationARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glGetVertexAttribdvARB := getProc('glGetVertexAttribdvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glGetVertexAttribfvARB := getProc('glGetVertexAttribfvARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glGetVertexAttribivARB := getProc('glGetVertexAttribivARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
//*2
    glGetVertexAttribPointervARB := getProc('glGetVertexAttribPointervARB',EXTENSION_PROC, 0, GL_ARB_vertex_shader);
  end;

  GL_ARB_window_pos := Pos('GL_ARB_window_pos ', exts) > 0;
  if GL_ARB_window_pos then
  begin
    glWindowPos2dARB := getProc('glWindowPos2dARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos2dvARB := getProc('glWindowPos2dvARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos2fARB := getProc('glWindowPos2fARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos2fvARB := getProc('glWindowPos2fvARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos2iARB := getProc('glWindowPos2iARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos2ivARB := getProc('glWindowPos2ivARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos2sARB := getProc('glWindowPos2sARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos2svARB := getProc('glWindowPos2svARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos3dARB := getProc('glWindowPos3dARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos3dvARB := getProc('glWindowPos3dvARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos3fARB := getProc('glWindowPos3fARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos3fvARB := getProc('glWindowPos3fvARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos3iARB := getProc('glWindowPos3iARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos3ivARB := getProc('glWindowPos3ivARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos3sARB := getProc('glWindowPos3sARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
    glWindowPos3svARB := getProc('glWindowPos3svARB',EXTENSION_PROC, 0, GL_ARB_window_pos);
  end;

  GL_ATI_draw_buffers := Pos('GL_ATI_draw_buffers ', exts) > 0;
  if GL_ATI_draw_buffers then
  begin
    glDrawBuffersATI := getProc('glDrawBuffersATI',EXTENSION_PROC, 0, GL_ATI_draw_buffers);
  end;

  GL_ATI_element_array := Pos('GL_ATI_element_array ', exts) > 0;
  if GL_ATI_element_array then
  begin
    glElementPointerATI := getProc('glElementPointerATI',EXTENSION_PROC, 0, GL_ATI_element_array);
    glDrawElementArrayATI := getProc('glDrawElementArrayATI',EXTENSION_PROC, 0, GL_ATI_element_array);
    glDrawRangeElementArrayATI := getProc('glDrawRangeElementArrayATI',EXTENSION_PROC, 0, GL_ATI_element_array);
  end;

  GL_ATI_envmap_bumpmap := Pos('GL_ATI_envmap_bumpmap ', exts) > 0;
  if GL_ATI_envmap_bumpmap then
  begin
    glTexBumpParameterivATI := getProc('glTexBumpParameterivATI',EXTENSION_PROC, 0, GL_ATI_envmap_bumpmap);
    glTexBumpParameterfvATI := getProc('glTexBumpParameterfvATI',EXTENSION_PROC, 0, GL_ATI_envmap_bumpmap);
    glGetTexBumpParameterivATI := getProc('glGetTexBumpParameterivATI',EXTENSION_PROC, 0, GL_ATI_envmap_bumpmap);
    glGetTexBumpParameterfvATI := getProc('glGetTexBumpParameterfvATI',EXTENSION_PROC, 0, GL_ATI_envmap_bumpmap);
  end;

  GL_ATI_fragment_shader := Pos('GL_ATI_fragment_shader ', exts) > 0;
  if GL_ATI_fragment_shader then
  begin
    glGenFragmentShadersATI := getProc('glGenFragmentShadersATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glBindFragmentShaderATI := getProc('glBindFragmentShaderATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glDeleteFragmentShaderATI := getProc('glDeleteFragmentShaderATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glBeginFragmentShaderATI := getProc('glBeginFragmentShaderATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glEndFragmentShaderATI := getProc('glEndFragmentShaderATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glPassTexCoordATI := getProc('glPassTexCoordATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glSampleMapATI := getProc('glSampleMapATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glColorFragmentOp1ATI := getProc('glColorFragmentOp1ATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glColorFragmentOp2ATI := getProc('glColorFragmentOp2ATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glColorFragmentOp3ATI := getProc('glColorFragmentOp3ATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glAlphaFragmentOp1ATI := getProc('glAlphaFragmentOp1ATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glAlphaFragmentOp2ATI := getProc('glAlphaFragmentOp2ATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glAlphaFragmentOp3ATI := getProc('glAlphaFragmentOp3ATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
    glSetFragmentShaderConstantATI := getProc('glSetFragmentShaderConstantATI',EXTENSION_PROC, 0, GL_ATI_fragment_shader);
  end;

  GL_ATI_map_object_buffer := Pos('GL_ATI_map_object_buffer ', exts) > 0;
  if GL_ATI_map_object_buffer then
  begin
    glMapObjectBufferATI := getProc('glMapObjectBufferATI',EXTENSION_PROC, 0, GL_ATI_map_object_buffer);
    glUnmapObjectBufferATI := getProc('glUnmapObjectBufferATI',EXTENSION_PROC, 0, GL_ATI_map_object_buffer);
  end;

  GL_ATI_meminfo := Pos('GL_ATI_meminfo ', exts) > 0;
  GL_ATI_pixel_format_float := Pos('GL_ATI_pixel_format_float ', exts) > 0;
  GL_ATI_pn_triangles := Pos('GL_ATI_pn_triangles ', exts) > 0;
  if GL_ATI_pn_triangles then
  begin
    glPNTrianglesiATI := getProc('glPNTrianglesiATI',EXTENSION_PROC, 0, GL_ATI_pn_triangles);
    glPNTrianglesfATI := getProc('glPNTrianglesfATI',EXTENSION_PROC, 0, GL_ATI_pn_triangles);
  end;

  GL_ATI_separate_stencil := Pos('GL_ATI_separate_stencil ', exts) > 0;
  if GL_ATI_separate_stencil then
  begin
    glStencilOpSeparateATI := getProc('glStencilOpSeparateATI',EXTENSION_PROC, 0, GL_ATI_separate_stencil);
    glStencilFuncSeparateATI := getProc('glStencilFuncSeparateATI',EXTENSION_PROC, 0, GL_ATI_separate_stencil);
  end;

  GL_ATI_text_fragment_shader := Pos('GL_ATI_text_fragment_shader ', exts) > 0;
  GL_ATI_texture_env_combine3 := Pos('GL_ATI_texture_env_combine3 ', exts) > 0;
  GL_ATI_texture_float := Pos('GL_ATI_texture_float ', exts) > 0;
  GL_ATI_texture_mirror_once := Pos('GL_ATI_texture_mirror_once ', exts) > 0;
  GL_ATI_vertex_array_object := Pos('GL_ATI_vertex_array_object ', exts) > 0;
  if GL_ATI_vertex_array_object then
  begin
    glNewObjectBufferATI := getProc('glNewObjectBufferATI',EXTENSION_PROC, 0, GL_ATI_vertex_array_object);
    glIsObjectBufferATI := getProc('glIsObjectBufferATI',EXTENSION_PROC, 0, GL_ATI_vertex_array_object);
    glUpdateObjectBufferATI := getProc('glUpdateObjectBufferATI',EXTENSION_PROC, 0, GL_ATI_vertex_array_object);
    glGetObjectBufferfvATI := getProc('glGetObjectBufferfvATI',EXTENSION_PROC, 0, GL_ATI_vertex_array_object);
    glGetObjectBufferivATI := getProc('glGetObjectBufferivATI',EXTENSION_PROC, 0, GL_ATI_vertex_array_object);
    glFreeObjectBufferATI := getProc('glFreeObjectBufferATI',EXTENSION_PROC, 0, GL_ATI_vertex_array_object);
    glArrayObjectATI := getProc('glArrayObjectATI',EXTENSION_PROC, 0, GL_ATI_vertex_array_object);
    glGetArrayObjectfvATI := getProc('glGetArrayObjectfvATI',EXTENSION_PROC, 0, GL_ATI_vertex_array_object);
    glGetArrayObjectivATI := getProc('glGetArrayObjectivATI',EXTENSION_PROC, 0, GL_ATI_vertex_array_object);
    glVariantArrayObjectATI := getProc('glVariantArrayObjectATI',EXTENSION_PROC, 0, GL_ATI_vertex_array_object);
    glGetVariantArrayObjectfvATI := getProc('glGetVariantArrayObjectfvATI',EXTENSION_PROC, 0, GL_ATI_vertex_array_object);
    glGetVariantArrayObjectivATI := getProc('glGetVariantArrayObjectivATI',EXTENSION_PROC, 0, GL_ATI_vertex_array_object);
  end;

  GL_ATI_vertex_attrib_array_object := Pos('GL_ATI_vertex_attrib_array_object ', exts) > 0;
  if GL_ATI_vertex_attrib_array_object then
  begin
    glVertexAttribArrayObjectATI := getProc('glVertexAttribArrayObjectATI',EXTENSION_PROC, 0, GL_ATI_vertex_attrib_array_object);
    glGetVertexAttribArrayObjectfvATI := getProc('glGetVertexAttribArrayObjectfvATI',EXTENSION_PROC, 0, GL_ATI_vertex_attrib_array_object);
    glGetVertexAttribArrayObjectivATI := getProc('glGetVertexAttribArrayObjectivATI',EXTENSION_PROC, 0, GL_ATI_vertex_attrib_array_object);
  end;

  GL_ATI_vertex_streams := Pos('GL_ATI_vertex_streams ', exts) > 0;
  if GL_ATI_vertex_streams then
  begin
    glVertexStream1sATI := getProc('glVertexStream1sATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream1svATI := getProc('glVertexStream1svATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream1iATI := getProc('glVertexStream1iATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream1ivATI := getProc('glVertexStream1ivATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream1fATI := getProc('glVertexStream1fATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream1fvATI := getProc('glVertexStream1fvATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream1dATI := getProc('glVertexStream1dATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream1dvATI := getProc('glVertexStream1dvATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream2sATI := getProc('glVertexStream2sATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream2svATI := getProc('glVertexStream2svATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream2iATI := getProc('glVertexStream2iATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream2ivATI := getProc('glVertexStream2ivATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream2fATI := getProc('glVertexStream2fATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream2fvATI := getProc('glVertexStream2fvATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream2dATI := getProc('glVertexStream2dATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream2dvATI := getProc('glVertexStream2dvATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream3sATI := getProc('glVertexStream3sATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream3svATI := getProc('glVertexStream3svATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream3iATI := getProc('glVertexStream3iATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream3ivATI := getProc('glVertexStream3ivATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream3fATI := getProc('glVertexStream3fATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream3fvATI := getProc('glVertexStream3fvATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream3dATI := getProc('glVertexStream3dATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream3dvATI := getProc('glVertexStream3dvATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream4sATI := getProc('glVertexStream4sATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream4svATI := getProc('glVertexStream4svATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream4iATI := getProc('glVertexStream4iATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream4ivATI := getProc('glVertexStream4ivATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream4fATI := getProc('glVertexStream4fATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream4fvATI := getProc('glVertexStream4fvATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream4dATI := getProc('glVertexStream4dATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexStream4dvATI := getProc('glVertexStream4dvATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glNormalStream3bATI := getProc('glNormalStream3bATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glNormalStream3bvATI := getProc('glNormalStream3bvATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glNormalStream3sATI := getProc('glNormalStream3sATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glNormalStream3svATI := getProc('glNormalStream3svATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glNormalStream3iATI := getProc('glNormalStream3iATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glNormalStream3ivATI := getProc('glNormalStream3ivATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glNormalStream3fATI := getProc('glNormalStream3fATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glNormalStream3fvATI := getProc('glNormalStream3fvATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glNormalStream3dATI := getProc('glNormalStream3dATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glNormalStream3dvATI := getProc('glNormalStream3dvATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glClientActiveVertexStreamATI := getProc('glClientActiveVertexStreamATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexBlendEnviATI := getProc('glVertexBlendEnviATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
    glVertexBlendEnvfATI := getProc('glVertexBlendEnvfATI',EXTENSION_PROC, 0, GL_ATI_vertex_streams);
  end;

  GL_EXT_422_pixels := Pos('GL_EXT_422_pixels ', exts) > 0;
  GL_EXT_abgr := Pos('GL_EXT_abgr ', exts) > 0;
  GL_EXT_bgra := Pos('GL_EXT_bgra ', exts) > 0;
  GL_EXT_bindable_uniform := Pos('GL_EXT_bindable_uniform ', exts) > 0;
  if GL_EXT_bindable_uniform then
  begin
    glUniformBufferEXT := getProc('glUniformBufferEXT',EXTENSION_PROC, 0, GL_EXT_bindable_uniform);
    glGetUniformBufferSizeEXT := getProc('glGetUniformBufferSizeEXT',EXTENSION_PROC, 0, GL_EXT_bindable_uniform);
    glGetUniformOffsetEXT := getProc('glGetUniformOffsetEXT',EXTENSION_PROC, 0, GL_EXT_bindable_uniform);
  end;

  GL_EXT_blend_color := Pos('GL_EXT_blend_color ', exts) > 0;
  if GL_EXT_blend_color then
  begin
    glBlendColorEXT := getProc('glBlendColorEXT',EXTENSION_PROC, 0, GL_EXT_blend_color);
  end;

  GL_EXT_blend_equation_separate := Pos('GL_EXT_blend_equation_separate ', exts) > 0;
  if GL_EXT_blend_equation_separate then
  begin
    glBlendEquationSeparateEXT := getProc('glBlendEquationSeparateEXT',EXTENSION_PROC, 0, GL_EXT_blend_equation_separate);
  end;

  GL_EXT_blend_func_separate := Pos('GL_EXT_blend_func_separate ', exts) > 0;
  if GL_EXT_blend_func_separate then
  begin
    glBlendFuncSeparateEXT := getProc('glBlendFuncSeparateEXT',EXTENSION_PROC, 0, GL_EXT_blend_func_separate);
  end;

  GL_EXT_blend_logic_op := Pos('GL_EXT_blend_logic_op ', exts) > 0;
  GL_EXT_blend_subtract := Pos('GL_EXT_blend_subtract ', exts) > 0;
  GL_EXT_clip_volume_hint := Pos('GL_EXT_clip_volume_hint ', exts) > 0;
  GL_EXT_cmyka := Pos('GL_EXT_cmyka ', exts) > 0;
  GL_EXT_color_subtable := Pos('GL_EXT_color_subtable ', exts) > 0;
  if GL_EXT_color_subtable then
  begin
    glColorSubTableEXT := getProc('glColorSubTableEXT',EXTENSION_PROC, 0, GL_EXT_color_subtable);
    glCopyColorSubTableEXT := getProc('glCopyColorSubTableEXT',EXTENSION_PROC, 0, GL_EXT_color_subtable);
  end;

  GL_EXT_compiled_vertex_array := Pos('GL_EXT_compiled_vertex_array ', exts) > 0;
  if GL_EXT_compiled_vertex_array then
  begin
    glLockArraysEXT := getProc('glLockArraysEXT',EXTENSION_PROC, 0, GL_EXT_compiled_vertex_array);
    glUnlockArraysEXT := getProc('glUnlockArraysEXT',EXTENSION_PROC, 0, GL_EXT_compiled_vertex_array);
  end;

  GL_EXT_convolution := Pos('GL_EXT_convolution ', exts) > 0;
  if GL_EXT_convolution then
  begin
    glConvolutionFilter1DEXT := getProc('glConvolutionFilter1DEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
    glConvolutionFilter2DEXT := getProc('glConvolutionFilter2DEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
    glConvolutionParameterfEXT := getProc('glConvolutionParameterfEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
    glConvolutionParameterfvEXT := getProc('glConvolutionParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
    glConvolutionParameteriEXT := getProc('glConvolutionParameteriEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
    glConvolutionParameterivEXT := getProc('glConvolutionParameterivEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
    glCopyConvolutionFilter1DEXT := getProc('glCopyConvolutionFilter1DEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
    glCopyConvolutionFilter2DEXT := getProc('glCopyConvolutionFilter2DEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
    glGetConvolutionFilterEXT := getProc('glGetConvolutionFilterEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
    glGetConvolutionParameterfvEXT := getProc('glGetConvolutionParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
    glGetConvolutionParameterivEXT := getProc('glGetConvolutionParameterivEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
    glGetSeparableFilterEXT := getProc('glGetSeparableFilterEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
    glSeparableFilter2DEXT := getProc('glSeparableFilter2DEXT',EXTENSION_PROC, 0, GL_EXT_convolution);
  end;

  GL_EXT_coordinate_frame := Pos('GL_EXT_coordinate_frame ', exts) > 0;
  if GL_EXT_coordinate_frame then
  begin
    glTangent3bEXT := getProc('glTangent3bEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glTangent3bvEXT := getProc('glTangent3bvEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glTangent3dEXT := getProc('glTangent3dEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glTangent3dvEXT := getProc('glTangent3dvEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glTangent3fEXT := getProc('glTangent3fEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glTangent3fvEXT := getProc('glTangent3fvEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glTangent3iEXT := getProc('glTangent3iEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glTangent3ivEXT := getProc('glTangent3ivEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glTangent3sEXT := getProc('glTangent3sEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glTangent3svEXT := getProc('glTangent3svEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glBinormal3bEXT := getProc('glBinormal3bEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glBinormal3bvEXT := getProc('glBinormal3bvEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glBinormal3dEXT := getProc('glBinormal3dEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glBinormal3dvEXT := getProc('glBinormal3dvEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glBinormal3fEXT := getProc('glBinormal3fEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glBinormal3fvEXT := getProc('glBinormal3fvEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glBinormal3iEXT := getProc('glBinormal3iEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glBinormal3ivEXT := getProc('glBinormal3ivEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glBinormal3sEXT := getProc('glBinormal3sEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glBinormal3svEXT := getProc('glBinormal3svEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glTangentPointerEXT := getProc('glTangentPointerEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
    glBinormalPointerEXT := getProc('glBinormalPointerEXT',EXTENSION_PROC, 0, GL_EXT_coordinate_frame);
  end;

  GL_EXT_copy_texture := Pos('GL_EXT_copy_texture ', exts) > 0;
  if GL_EXT_copy_texture then
  begin
    glCopyTexImage1DEXT := getProc('glCopyTexImage1DEXT',EXTENSION_PROC, 0, GL_EXT_copy_texture);
    glCopyTexImage2DEXT := getProc('glCopyTexImage2DEXT',EXTENSION_PROC, 0, GL_EXT_copy_texture);
    glCopyTexSubImage1DEXT := getProc('glCopyTexSubImage1DEXT',EXTENSION_PROC, 0, GL_EXT_copy_texture);
    glCopyTexSubImage2DEXT := getProc('glCopyTexSubImage2DEXT',EXTENSION_PROC, 0, GL_EXT_copy_texture);
    glCopyTexSubImage3DEXT := getProc('glCopyTexSubImage3DEXT',EXTENSION_PROC, 0, GL_EXT_copy_texture);
  end;

  GL_EXT_cull_vertex := Pos('GL_EXT_cull_vertex ', exts) > 0;
  if GL_EXT_cull_vertex then
  begin
    glCullParameterdvEXT := getProc('glCullParameterdvEXT',EXTENSION_PROC, 0, GL_EXT_cull_vertex);
    glCullParameterfvEXT := getProc('glCullParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_cull_vertex);
  end;

  GL_EXT_depth_bounds_test := Pos('GL_EXT_depth_bounds_test ', exts) > 0;
  if GL_EXT_depth_bounds_test then
  begin
    glDepthBoundsEXT := getProc('glDepthBoundsEXT',EXTENSION_PROC, 0, GL_EXT_depth_bounds_test);
  end;

  GL_EXT_direct_state_access := Pos('GL_EXT_direct_state_access ', exts) > 0;
  if GL_EXT_direct_state_access then
  begin
    glMatrixLoadfEXT := getProc('glMatrixLoadfEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixLoaddEXT := getProc('glMatrixLoaddEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixMultfEXT := getProc('glMatrixMultfEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixMultdEXT := getProc('glMatrixMultdEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixLoadIdentityEXT := getProc('glMatrixLoadIdentityEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixRotatefEXT := getProc('glMatrixRotatefEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixRotatedEXT := getProc('glMatrixRotatedEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixScalefEXT := getProc('glMatrixScalefEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixScaledEXT := getProc('glMatrixScaledEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixTranslatefEXT := getProc('glMatrixTranslatefEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixTranslatedEXT := getProc('glMatrixTranslatedEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixFrustumEXT := getProc('glMatrixFrustumEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixOrthoEXT := getProc('glMatrixOrthoEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixPopEXT := getProc('glMatrixPopEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixPushEXT := getProc('glMatrixPushEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glClientAttribDefaultEXT := getProc('glClientAttribDefaultEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glPushClientAttribDefaultEXT := getProc('glPushClientAttribDefaultEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureParameterfEXT := getProc('glTextureParameterfEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureParameterfvEXT := getProc('glTextureParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureParameteriEXT := getProc('glTextureParameteriEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureParameterivEXT := getProc('glTextureParameterivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureImage1DEXT := getProc('glTextureImage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureImage2DEXT := getProc('glTextureImage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureSubImage1DEXT := getProc('glTextureSubImage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureSubImage2DEXT := getProc('glTextureSubImage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCopyTextureImage1DEXT := getProc('glCopyTextureImage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCopyTextureImage2DEXT := getProc('glCopyTextureImage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCopyTextureSubImage1DEXT := getProc('glCopyTextureSubImage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCopyTextureSubImage2DEXT := getProc('glCopyTextureSubImage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetTextureImageEXT := getProc('glGetTextureImageEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetTextureParameterfvEXT := getProc('glGetTextureParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetTextureParameterivEXT := getProc('glGetTextureParameterivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetTextureLevelParameterfvEXT := getProc('glGetTextureLevelParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetTextureLevelParameterivEXT := getProc('glGetTextureLevelParameterivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureImage3DEXT := getProc('glTextureImage3DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureSubImage3DEXT := getProc('glTextureSubImage3DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCopyTextureSubImage3DEXT := getProc('glCopyTextureSubImage3DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glBindMultiTextureEXT := getProc('glBindMultiTextureEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexCoordPointerEXT := getProc('glMultiTexCoordPointerEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexEnvfEXT := getProc('glMultiTexEnvfEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexEnvfvEXT := getProc('glMultiTexEnvfvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexEnviEXT := getProc('glMultiTexEnviEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexEnvivEXT := getProc('glMultiTexEnvivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexGendEXT := getProc('glMultiTexGendEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexGendvEXT := getProc('glMultiTexGendvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexGenfEXT := getProc('glMultiTexGenfEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexGenfvEXT := getProc('glMultiTexGenfvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexGeniEXT := getProc('glMultiTexGeniEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexGenivEXT := getProc('glMultiTexGenivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetMultiTexEnvfvEXT := getProc('glGetMultiTexEnvfvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetMultiTexEnvivEXT := getProc('glGetMultiTexEnvivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetMultiTexGendvEXT := getProc('glGetMultiTexGendvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetMultiTexGenfvEXT := getProc('glGetMultiTexGenfvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetMultiTexGenivEXT := getProc('glGetMultiTexGenivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexParameteriEXT := getProc('glMultiTexParameteriEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexParameterivEXT := getProc('glMultiTexParameterivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexParameterfEXT := getProc('glMultiTexParameterfEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexParameterfvEXT := getProc('glMultiTexParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexImage1DEXT := getProc('glMultiTexImage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexImage2DEXT := getProc('glMultiTexImage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexSubImage1DEXT := getProc('glMultiTexSubImage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexSubImage2DEXT := getProc('glMultiTexSubImage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCopyMultiTexImage1DEXT := getProc('glCopyMultiTexImage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCopyMultiTexImage2DEXT := getProc('glCopyMultiTexImage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCopyMultiTexSubImage1DEXT := getProc('glCopyMultiTexSubImage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCopyMultiTexSubImage2DEXT := getProc('glCopyMultiTexSubImage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetMultiTexImageEXT := getProc('glGetMultiTexImageEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetMultiTexParameterfvEXT := getProc('glGetMultiTexParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetMultiTexParameterivEXT := getProc('glGetMultiTexParameterivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetMultiTexLevelParameterfvEXT := getProc('glGetMultiTexLevelParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetMultiTexLevelParameterivEXT := getProc('glGetMultiTexLevelParameterivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexImage3DEXT := getProc('glMultiTexImage3DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexSubImage3DEXT := getProc('glMultiTexSubImage3DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCopyMultiTexSubImage3DEXT := getProc('glCopyMultiTexSubImage3DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glEnableClientStateIndexedEXT := getProc('glEnableClientStateIndexedEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glDisableClientStateIndexedEXT := getProc('glDisableClientStateIndexedEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetFloatIndexedvEXT := getProc('glGetFloatIndexedvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetDoubleIndexedvEXT := getProc('glGetDoubleIndexedvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetPointerIndexedvEXT := getProc('glGetPointerIndexedvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glEnableIndexedEXT := getProc('glEnableIndexedEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glDisableIndexedEXT := getProc('glDisableIndexedEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glIsEnabledIndexedEXT := getProc('glIsEnabledIndexedEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetIntegerIndexedvEXT := getProc('glGetIntegerIndexedvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetBooleanIndexedvEXT := getProc('glGetBooleanIndexedvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCompressedTextureImage3DEXT := getProc('glCompressedTextureImage3DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCompressedTextureImage2DEXT := getProc('glCompressedTextureImage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCompressedTextureImage1DEXT := getProc('glCompressedTextureImage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCompressedTextureSubImage3DEXT := getProc('glCompressedTextureSubImage3DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCompressedTextureSubImage2DEXT := getProc('glCompressedTextureSubImage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCompressedTextureSubImage1DEXT := getProc('glCompressedTextureSubImage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetCompressedTextureImageEXT := getProc('glGetCompressedTextureImageEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCompressedMultiTexImage3DEXT := getProc('glCompressedMultiTexImage3DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCompressedMultiTexImage2DEXT := getProc('glCompressedMultiTexImage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCompressedMultiTexImage1DEXT := getProc('glCompressedMultiTexImage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCompressedMultiTexSubImage3DEXT := getProc('glCompressedMultiTexSubImage3DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCompressedMultiTexSubImage2DEXT := getProc('glCompressedMultiTexSubImage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCompressedMultiTexSubImage1DEXT := getProc('glCompressedMultiTexSubImage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetCompressedMultiTexImageEXT := getProc('glGetCompressedMultiTexImageEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixLoadTransposefEXT := getProc('glMatrixLoadTransposefEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixLoadTransposedEXT := getProc('glMatrixLoadTransposedEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixMultTransposefEXT := getProc('glMatrixMultTransposefEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMatrixMultTransposedEXT := getProc('glMatrixMultTransposedEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedBufferDataEXT := getProc('glNamedBufferDataEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedBufferSubDataEXT := getProc('glNamedBufferSubDataEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMapNamedBufferEXT := getProc('glMapNamedBufferEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glUnmapNamedBufferEXT := getProc('glUnmapNamedBufferEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetNamedBufferParameterivEXT := getProc('glGetNamedBufferParameterivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetNamedBufferPointervEXT := getProc('glGetNamedBufferPointervEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetNamedBufferSubDataEXT := getProc('glGetNamedBufferSubDataEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform1fEXT := getProc('glProgramUniform1fEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform2fEXT := getProc('glProgramUniform2fEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform3fEXT := getProc('glProgramUniform3fEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform4fEXT := getProc('glProgramUniform4fEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform1iEXT := getProc('glProgramUniform1iEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform2iEXT := getProc('glProgramUniform2iEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform3iEXT := getProc('glProgramUniform3iEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform4iEXT := getProc('glProgramUniform4iEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform1fvEXT := getProc('glProgramUniform1fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform2fvEXT := getProc('glProgramUniform2fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform3fvEXT := getProc('glProgramUniform3fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform4fvEXT := getProc('glProgramUniform4fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform1ivEXT := getProc('glProgramUniform1ivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform2ivEXT := getProc('glProgramUniform2ivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform3ivEXT := getProc('glProgramUniform3ivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform4ivEXT := getProc('glProgramUniform4ivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix2fvEXT := getProc('glProgramUniformMatrix2fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix3fvEXT := getProc('glProgramUniformMatrix3fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix4fvEXT := getProc('glProgramUniformMatrix4fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix2x3fvEXT := getProc('glProgramUniformMatrix2x3fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix3x2fvEXT := getProc('glProgramUniformMatrix3x2fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix2x4fvEXT := getProc('glProgramUniformMatrix2x4fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix4x2fvEXT := getProc('glProgramUniformMatrix4x2fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix3x4fvEXT := getProc('glProgramUniformMatrix3x4fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix4x3fvEXT := getProc('glProgramUniformMatrix4x3fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureBufferEXT := getProc('glTextureBufferEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexBufferEXT := getProc('glMultiTexBufferEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureParameterIivEXT := getProc('glTextureParameterIivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureParameterIuivEXT := getProc('glTextureParameterIuivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetTextureParameterIivEXT := getProc('glGetTextureParameterIivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetTextureParameterIuivEXT := getProc('glGetTextureParameterIuivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexParameterIivEXT := getProc('glMultiTexParameterIivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexParameterIuivEXT := getProc('glMultiTexParameterIuivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetMultiTexParameterIivEXT := getProc('glGetMultiTexParameterIivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetMultiTexParameterIuivEXT := getProc('glGetMultiTexParameterIuivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform1uiEXT := getProc('glProgramUniform1uiEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform2uiEXT := getProc('glProgramUniform2uiEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform3uiEXT := getProc('glProgramUniform3uiEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform4uiEXT := getProc('glProgramUniform4uiEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform1uivEXT := getProc('glProgramUniform1uivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform2uivEXT := getProc('glProgramUniform2uivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform3uivEXT := getProc('glProgramUniform3uivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform4uivEXT := getProc('glProgramUniform4uivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedProgramLocalParameters4fvEXT := getProc('glNamedProgramLocalParameters4fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedProgramLocalParameterI4iEXT := getProc('glNamedProgramLocalParameterI4iEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedProgramLocalParameterI4ivEXT := getProc('glNamedProgramLocalParameterI4ivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedProgramLocalParametersI4ivEXT := getProc('glNamedProgramLocalParametersI4ivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedProgramLocalParameterI4uiEXT := getProc('glNamedProgramLocalParameterI4uiEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedProgramLocalParameterI4uivEXT := getProc('glNamedProgramLocalParameterI4uivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedProgramLocalParametersI4uivEXT := getProc('glNamedProgramLocalParametersI4uivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetNamedProgramLocalParameterIivEXT := getProc('glGetNamedProgramLocalParameterIivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetNamedProgramLocalParameterIuivEXT := getProc('glGetNamedProgramLocalParameterIuivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glEnableClientStateiEXT := getProc('glEnableClientStateiEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glDisableClientStateiEXT := getProc('glDisableClientStateiEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetFloati_vEXT := getProc('glGetFloati_vEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetDoublei_vEXT := getProc('glGetDoublei_vEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetPointeri_vEXT := getProc('glGetPointeri_vEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedProgramStringEXT := getProc('glNamedProgramStringEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedProgramLocalParameter4dEXT := getProc('glNamedProgramLocalParameter4dEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedProgramLocalParameter4dvEXT := getProc('glNamedProgramLocalParameter4dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedProgramLocalParameter4fEXT := getProc('glNamedProgramLocalParameter4fEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedProgramLocalParameter4fvEXT := getProc('glNamedProgramLocalParameter4fvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetNamedProgramLocalParameterdvEXT := getProc('glGetNamedProgramLocalParameterdvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetNamedProgramLocalParameterfvEXT := getProc('glGetNamedProgramLocalParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetNamedProgramivEXT := getProc('glGetNamedProgramivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetNamedProgramStringEXT := getProc('glGetNamedProgramStringEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedRenderbufferStorageEXT := getProc('glNamedRenderbufferStorageEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetNamedRenderbufferParameterivEXT := getProc('glGetNamedRenderbufferParameterivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedRenderbufferStorageMultisampleEXT := getProc('glNamedRenderbufferStorageMultisampleEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedRenderbufferStorageMultisampleCoverageEXT := getProc('glNamedRenderbufferStorageMultisampleCoverageEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glCheckNamedFramebufferStatusEXT := getProc('glCheckNamedFramebufferStatusEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedFramebufferTexture1DEXT := getProc('glNamedFramebufferTexture1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedFramebufferTexture2DEXT := getProc('glNamedFramebufferTexture2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedFramebufferTexture3DEXT := getProc('glNamedFramebufferTexture3DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedFramebufferRenderbufferEXT := getProc('glNamedFramebufferRenderbufferEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetNamedFramebufferAttachmentParameterivEXT := getProc('glGetNamedFramebufferAttachmentParameterivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGenerateTextureMipmapEXT := getProc('glGenerateTextureMipmapEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGenerateMultiTexMipmapEXT := getProc('glGenerateMultiTexMipmapEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glFramebufferDrawBufferEXT := getProc('glFramebufferDrawBufferEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glFramebufferDrawBuffersEXT := getProc('glFramebufferDrawBuffersEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glFramebufferReadBufferEXT := getProc('glFramebufferReadBufferEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetFramebufferParameterivEXT := getProc('glGetFramebufferParameterivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedCopyBufferSubDataEXT := getProc('glNamedCopyBufferSubDataEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedFramebufferTextureEXT := getProc('glNamedFramebufferTextureEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedFramebufferTextureLayerEXT := getProc('glNamedFramebufferTextureLayerEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedFramebufferTextureFaceEXT := getProc('glNamedFramebufferTextureFaceEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureRenderbufferEXT := getProc('glTextureRenderbufferEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMultiTexRenderbufferEXT := getProc('glMultiTexRenderbufferEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayVertexOffsetEXT := getProc('glVertexArrayVertexOffsetEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayColorOffsetEXT := getProc('glVertexArrayColorOffsetEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayEdgeFlagOffsetEXT := getProc('glVertexArrayEdgeFlagOffsetEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayIndexOffsetEXT := getProc('glVertexArrayIndexOffsetEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayNormalOffsetEXT := getProc('glVertexArrayNormalOffsetEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayTexCoordOffsetEXT := getProc('glVertexArrayTexCoordOffsetEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayMultiTexCoordOffsetEXT := getProc('glVertexArrayMultiTexCoordOffsetEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayFogCoordOffsetEXT := getProc('glVertexArrayFogCoordOffsetEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArraySecondaryColorOffsetEXT := getProc('glVertexArraySecondaryColorOffsetEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayVertexAttribOffsetEXT := getProc('glVertexArrayVertexAttribOffsetEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayVertexAttribIOffsetEXT := getProc('glVertexArrayVertexAttribIOffsetEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glEnableVertexArrayEXT := getProc('glEnableVertexArrayEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glDisableVertexArrayEXT := getProc('glDisableVertexArrayEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glEnableVertexArrayAttribEXT := getProc('glEnableVertexArrayAttribEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glDisableVertexArrayAttribEXT := getProc('glDisableVertexArrayAttribEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetVertexArrayIntegervEXT := getProc('glGetVertexArrayIntegervEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetVertexArrayPointervEXT := getProc('glGetVertexArrayPointervEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetVertexArrayIntegeri_vEXT := getProc('glGetVertexArrayIntegeri_vEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetVertexArrayPointeri_vEXT := getProc('glGetVertexArrayPointeri_vEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glMapNamedBufferRangeEXT := getProc('glMapNamedBufferRangeEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glFlushMappedNamedBufferRangeEXT := getProc('glFlushMappedNamedBufferRangeEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedBufferStorageEXT := getProc('glNamedBufferStorageEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glClearNamedBufferDataEXT := getProc('glClearNamedBufferDataEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glClearNamedBufferSubDataEXT := getProc('glClearNamedBufferSubDataEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glNamedFramebufferParameteriEXT := getProc('glNamedFramebufferParameteriEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glGetNamedFramebufferParameterivEXT := getProc('glGetNamedFramebufferParameterivEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform1dEXT := getProc('glProgramUniform1dEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform2dEXT := getProc('glProgramUniform2dEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform3dEXT := getProc('glProgramUniform3dEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform4dEXT := getProc('glProgramUniform4dEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform1dvEXT := getProc('glProgramUniform1dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform2dvEXT := getProc('glProgramUniform2dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform3dvEXT := getProc('glProgramUniform3dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniform4dvEXT := getProc('glProgramUniform4dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix2dvEXT := getProc('glProgramUniformMatrix2dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix3dvEXT := getProc('glProgramUniformMatrix3dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix4dvEXT := getProc('glProgramUniformMatrix4dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix2x3dvEXT := getProc('glProgramUniformMatrix2x3dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix2x4dvEXT := getProc('glProgramUniformMatrix2x4dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix3x2dvEXT := getProc('glProgramUniformMatrix3x2dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix3x4dvEXT := getProc('glProgramUniformMatrix3x4dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix4x2dvEXT := getProc('glProgramUniformMatrix4x2dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glProgramUniformMatrix4x3dvEXT := getProc('glProgramUniformMatrix4x3dvEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureBufferRangeEXT := getProc('glTextureBufferRangeEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureStorage1DEXT := getProc('glTextureStorage1DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureStorage2DEXT := getProc('glTextureStorage2DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureStorage3DEXT := getProc('glTextureStorage3DEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureStorage2DMultisampleEXT := getProc('glTextureStorage2DMultisampleEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTextureStorage3DMultisampleEXT := getProc('glTextureStorage3DMultisampleEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayBindVertexBufferEXT := getProc('glVertexArrayBindVertexBufferEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayVertexAttribFormatEXT := getProc('glVertexArrayVertexAttribFormatEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayVertexAttribIFormatEXT := getProc('glVertexArrayVertexAttribIFormatEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayVertexAttribLFormatEXT := getProc('glVertexArrayVertexAttribLFormatEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayVertexAttribBindingEXT := getProc('glVertexArrayVertexAttribBindingEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayVertexBindingDivisorEXT := getProc('glVertexArrayVertexBindingDivisorEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayVertexAttribLOffsetEXT := getProc('glVertexArrayVertexAttribLOffsetEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glTexturePageCommitmentEXT := getProc('glTexturePageCommitmentEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
    glVertexArrayVertexAttribDivisorEXT := getProc('glVertexArrayVertexAttribDivisorEXT',EXTENSION_PROC, 0, GL_EXT_direct_state_access);
  end;

  GL_EXT_draw_buffers2 := Pos('GL_EXT_draw_buffers2 ', exts) > 0;
  if GL_EXT_draw_buffers2 then
  begin
    glColorMaskIndexedEXT := getProc('glColorMaskIndexedEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers2);
//*2
    glGetBooleanIndexedvEXT := getProc('glGetBooleanIndexedvEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers2);
//*2
    glGetIntegerIndexedvEXT := getProc('glGetIntegerIndexedvEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers2);
//*2
    glEnableIndexedEXT := getProc('glEnableIndexedEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers2);
//*2
    glDisableIndexedEXT := getProc('glDisableIndexedEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers2);
//*2
    glIsEnabledIndexedEXT := getProc('glIsEnabledIndexedEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers2);
  end;

  GL_EXT_draw_range_elements := Pos('GL_EXT_draw_range_elements ', exts) > 0;
  if GL_EXT_draw_range_elements then
  begin
    glDrawRangeElementsEXT := getProc('glDrawRangeElementsEXT',EXTENSION_PROC, 0, GL_EXT_draw_range_elements);
  end;

  GL_EXT_fog_coord := Pos('GL_EXT_fog_coord ', exts) > 0;
  if GL_EXT_fog_coord then
  begin
    glFogCoordfEXT := getProc('glFogCoordfEXT',EXTENSION_PROC, 0, GL_EXT_fog_coord);
    glFogCoordfvEXT := getProc('glFogCoordfvEXT',EXTENSION_PROC, 0, GL_EXT_fog_coord);
    glFogCoorddEXT := getProc('glFogCoorddEXT',EXTENSION_PROC, 0, GL_EXT_fog_coord);
    glFogCoorddvEXT := getProc('glFogCoorddvEXT',EXTENSION_PROC, 0, GL_EXT_fog_coord);
    glFogCoordPointerEXT := getProc('glFogCoordPointerEXT',EXTENSION_PROC, 0, GL_EXT_fog_coord);
  end;

  GL_EXT_framebuffer_blit := Pos('GL_EXT_framebuffer_blit ', exts) > 0;
  if GL_EXT_framebuffer_blit then
  begin
    glBlitFramebufferEXT := getProc('glBlitFramebufferEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_blit);
  end;

  GL_EXT_framebuffer_multisample := Pos('GL_EXT_framebuffer_multisample ', exts) > 0;
  if GL_EXT_framebuffer_multisample then
  begin
    glRenderbufferStorageMultisampleEXT := getProc('glRenderbufferStorageMultisampleEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_multisample);
  end;

  GL_EXT_framebuffer_multisample_blit_scaled := Pos('GL_EXT_framebuffer_multisample_blit_scaled ', exts) > 0;
  GL_EXT_framebuffer_object := Pos('GL_EXT_framebuffer_object ', exts) > 0;
  if GL_EXT_framebuffer_object then
  begin
    glIsRenderbufferEXT := getProc('glIsRenderbufferEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glBindRenderbufferEXT := getProc('glBindRenderbufferEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glDeleteRenderbuffersEXT := getProc('glDeleteRenderbuffersEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glGenRenderbuffersEXT := getProc('glGenRenderbuffersEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glRenderbufferStorageEXT := getProc('glRenderbufferStorageEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glGetRenderbufferParameterivEXT := getProc('glGetRenderbufferParameterivEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glIsFramebufferEXT := getProc('glIsFramebufferEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glBindFramebufferEXT := getProc('glBindFramebufferEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glDeleteFramebuffersEXT := getProc('glDeleteFramebuffersEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glGenFramebuffersEXT := getProc('glGenFramebuffersEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glCheckFramebufferStatusEXT := getProc('glCheckFramebufferStatusEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glFramebufferTexture1DEXT := getProc('glFramebufferTexture1DEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glFramebufferTexture2DEXT := getProc('glFramebufferTexture2DEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glFramebufferTexture3DEXT := getProc('glFramebufferTexture3DEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glFramebufferRenderbufferEXT := getProc('glFramebufferRenderbufferEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glGetFramebufferAttachmentParameterivEXT := getProc('glGetFramebufferAttachmentParameterivEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
    glGenerateMipmapEXT := getProc('glGenerateMipmapEXT',EXTENSION_PROC, 0, GL_EXT_framebuffer_object);
  end;

  GL_EXT_framebuffer_sRGB := Pos('GL_EXT_framebuffer_sRGB ', exts) > 0;
  GL_EXT_geometry_shader4 := Pos('GL_EXT_geometry_shader4 ', exts) > 0;
  if GL_EXT_geometry_shader4 then
  begin
    glProgramParameteriEXT := getProc('glProgramParameteriEXT',EXTENSION_PROC, 0, GL_EXT_geometry_shader4);
  end;

  GL_EXT_gpu_program_parameters := Pos('GL_EXT_gpu_program_parameters ', exts) > 0;
  if GL_EXT_gpu_program_parameters then
  begin
    glProgramEnvParameters4fvEXT := getProc('glProgramEnvParameters4fvEXT',EXTENSION_PROC, 0, GL_EXT_gpu_program_parameters);
    glProgramLocalParameters4fvEXT := getProc('glProgramLocalParameters4fvEXT',EXTENSION_PROC, 0, GL_EXT_gpu_program_parameters);
  end;

  GL_EXT_gpu_shader4 := Pos('GL_EXT_gpu_shader4 ', exts) > 0;
  if GL_EXT_gpu_shader4 then
  begin
    glGetUniformuivEXT := getProc('glGetUniformuivEXT',EXTENSION_PROC, 0, GL_EXT_gpu_shader4);
    glBindFragDataLocationEXT := getProc('glBindFragDataLocationEXT',EXTENSION_PROC, 0, GL_EXT_gpu_shader4);
    glGetFragDataLocationEXT := getProc('glGetFragDataLocationEXT',EXTENSION_PROC, 0, GL_EXT_gpu_shader4);
    glUniform1uiEXT := getProc('glUniform1uiEXT',EXTENSION_PROC, 0, GL_EXT_gpu_shader4);
    glUniform2uiEXT := getProc('glUniform2uiEXT',EXTENSION_PROC, 0, GL_EXT_gpu_shader4);
    glUniform3uiEXT := getProc('glUniform3uiEXT',EXTENSION_PROC, 0, GL_EXT_gpu_shader4);
    glUniform4uiEXT := getProc('glUniform4uiEXT',EXTENSION_PROC, 0, GL_EXT_gpu_shader4);
    glUniform1uivEXT := getProc('glUniform1uivEXT',EXTENSION_PROC, 0, GL_EXT_gpu_shader4);
    glUniform2uivEXT := getProc('glUniform2uivEXT',EXTENSION_PROC, 0, GL_EXT_gpu_shader4);
    glUniform3uivEXT := getProc('glUniform3uivEXT',EXTENSION_PROC, 0, GL_EXT_gpu_shader4);
    glUniform4uivEXT := getProc('glUniform4uivEXT',EXTENSION_PROC, 0, GL_EXT_gpu_shader4);
  end;

  GL_EXT_histogram := Pos('GL_EXT_histogram ', exts) > 0;
  if GL_EXT_histogram then
  begin
    glGetHistogramEXT := getProc('glGetHistogramEXT',EXTENSION_PROC, 0, GL_EXT_histogram);
    glGetHistogramParameterfvEXT := getProc('glGetHistogramParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_histogram);
    glGetHistogramParameterivEXT := getProc('glGetHistogramParameterivEXT',EXTENSION_PROC, 0, GL_EXT_histogram);
    glGetMinmaxEXT := getProc('glGetMinmaxEXT',EXTENSION_PROC, 0, GL_EXT_histogram);
    glGetMinmaxParameterfvEXT := getProc('glGetMinmaxParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_histogram);
    glGetMinmaxParameterivEXT := getProc('glGetMinmaxParameterivEXT',EXTENSION_PROC, 0, GL_EXT_histogram);
    glHistogramEXT := getProc('glHistogramEXT',EXTENSION_PROC, 0, GL_EXT_histogram);
    glMinmaxEXT := getProc('glMinmaxEXT',EXTENSION_PROC, 0, GL_EXT_histogram);
    glResetHistogramEXT := getProc('glResetHistogramEXT',EXTENSION_PROC, 0, GL_EXT_histogram);
    glResetMinmaxEXT := getProc('glResetMinmaxEXT',EXTENSION_PROC, 0, GL_EXT_histogram);
  end;

  GL_EXT_index_array_formats := Pos('GL_EXT_index_array_formats ', exts) > 0;
  GL_EXT_index_func := Pos('GL_EXT_index_func ', exts) > 0;
  if GL_EXT_index_func then
  begin
    glIndexFuncEXT := getProc('glIndexFuncEXT',EXTENSION_PROC, 0, GL_EXT_index_func);
  end;

  GL_EXT_index_material := Pos('GL_EXT_index_material ', exts) > 0;
  if GL_EXT_index_material then
  begin
    glIndexMaterialEXT := getProc('glIndexMaterialEXT',EXTENSION_PROC, 0, GL_EXT_index_material);
  end;

  GL_EXT_index_texture := Pos('GL_EXT_index_texture ', exts) > 0;
  GL_EXT_light_texture := Pos('GL_EXT_light_texture ', exts) > 0;
  if GL_EXT_light_texture then
  begin
    glApplyTextureEXT := getProc('glApplyTextureEXT',EXTENSION_PROC, 0, GL_EXT_light_texture);
    glTextureLightEXT := getProc('glTextureLightEXT',EXTENSION_PROC, 0, GL_EXT_light_texture);
    glTextureMaterialEXT := getProc('glTextureMaterialEXT',EXTENSION_PROC, 0, GL_EXT_light_texture);
  end;

  GL_EXT_misc_attribute := Pos('GL_EXT_misc_attribute ', exts) > 0;
  GL_EXT_multisample := Pos('GL_EXT_multisample ', exts) > 0;
  if GL_EXT_multisample then
  begin
    glSampleMaskEXT := getProc('glSampleMaskEXT',EXTENSION_PROC, 0, GL_EXT_multisample);
    glSamplePatternEXT := getProc('glSamplePatternEXT',EXTENSION_PROC, 0, GL_EXT_multisample);
  end;

  GL_EXT_packed_depth_stencil := Pos('GL_EXT_packed_depth_stencil ', exts) > 0;
  GL_EXT_packed_float := Pos('GL_EXT_packed_float ', exts) > 0;
  GL_EXT_packed_pixels := Pos('GL_EXT_packed_pixels ', exts) > 0;
  GL_EXT_paletted_texture := Pos('GL_EXT_paletted_texture ', exts) > 0;
  if GL_EXT_paletted_texture then
  begin
    glColorTableEXT := getProc('glColorTableEXT',EXTENSION_PROC, 0, GL_EXT_paletted_texture);
    glGetColorTableEXT := getProc('glGetColorTableEXT',EXTENSION_PROC, 0, GL_EXT_paletted_texture);
    glGetColorTableParameterivEXT := getProc('glGetColorTableParameterivEXT',EXTENSION_PROC, 0, GL_EXT_paletted_texture);
    glGetColorTableParameterfvEXT := getProc('glGetColorTableParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_paletted_texture);
  end;

  GL_EXT_pixel_buffer_object := Pos('GL_EXT_pixel_buffer_object ', exts) > 0;
  GL_EXT_pixel_transform := Pos('GL_EXT_pixel_transform ', exts) > 0;
  if GL_EXT_pixel_transform then
  begin
    glPixelTransformParameteriEXT := getProc('glPixelTransformParameteriEXT',EXTENSION_PROC, 0, GL_EXT_pixel_transform);
    glPixelTransformParameterfEXT := getProc('glPixelTransformParameterfEXT',EXTENSION_PROC, 0, GL_EXT_pixel_transform);
    glPixelTransformParameterivEXT := getProc('glPixelTransformParameterivEXT',EXTENSION_PROC, 0, GL_EXT_pixel_transform);
    glPixelTransformParameterfvEXT := getProc('glPixelTransformParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_pixel_transform);
    glGetPixelTransformParameterivEXT := getProc('glGetPixelTransformParameterivEXT',EXTENSION_PROC, 0, GL_EXT_pixel_transform);
    glGetPixelTransformParameterfvEXT := getProc('glGetPixelTransformParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_pixel_transform);
  end;

  GL_EXT_pixel_transform_color_table := Pos('GL_EXT_pixel_transform_color_table ', exts) > 0;
  GL_EXT_point_parameters := Pos('GL_EXT_point_parameters ', exts) > 0;
  if GL_EXT_point_parameters then
  begin
    glPointParameterfEXT := getProc('glPointParameterfEXT',EXTENSION_PROC, 0, GL_EXT_point_parameters);
    glPointParameterfvEXT := getProc('glPointParameterfvEXT',EXTENSION_PROC, 0, GL_EXT_point_parameters);
  end;

  GL_EXT_polygon_offset := Pos('GL_EXT_polygon_offset ', exts) > 0;
  if GL_EXT_polygon_offset then
  begin
    glPolygonOffsetEXT := getProc('glPolygonOffsetEXT',EXTENSION_PROC, 0, GL_EXT_polygon_offset);
  end;

  GL_EXT_polygon_offset_clamp := Pos('GL_EXT_polygon_offset_clamp ', exts) > 0;
  if GL_EXT_polygon_offset_clamp then
  begin
    glPolygonOffsetClampEXT := getProc('glPolygonOffsetClampEXT',EXTENSION_PROC, 0, GL_EXT_polygon_offset_clamp);
  end;

  GL_EXT_post_depth_coverage := Pos('GL_EXT_post_depth_coverage ', exts) > 0;
  GL_EXT_provoking_vertex := Pos('GL_EXT_provoking_vertex ', exts) > 0;
  if GL_EXT_provoking_vertex then
  begin
    glProvokingVertexEXT := getProc('glProvokingVertexEXT',EXTENSION_PROC, 0, GL_EXT_provoking_vertex);
  end;

  GL_EXT_raster_multisample := Pos('GL_EXT_raster_multisample ', exts) > 0;
  if GL_EXT_raster_multisample then
  begin
    glRasterSamplesEXT := getProc('glRasterSamplesEXT',EXTENSION_PROC, 0, GL_EXT_raster_multisample);
  end;

  GL_EXT_rescale_normal := Pos('GL_EXT_rescale_normal ', exts) > 0;
  GL_EXT_secondary_color := Pos('GL_EXT_secondary_color ', exts) > 0;
  if GL_EXT_secondary_color then
  begin
    glSecondaryColor3bEXT := getProc('glSecondaryColor3bEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3bvEXT := getProc('glSecondaryColor3bvEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3dEXT := getProc('glSecondaryColor3dEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3dvEXT := getProc('glSecondaryColor3dvEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3fEXT := getProc('glSecondaryColor3fEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3fvEXT := getProc('glSecondaryColor3fvEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3iEXT := getProc('glSecondaryColor3iEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3ivEXT := getProc('glSecondaryColor3ivEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3sEXT := getProc('glSecondaryColor3sEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3svEXT := getProc('glSecondaryColor3svEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3ubEXT := getProc('glSecondaryColor3ubEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3ubvEXT := getProc('glSecondaryColor3ubvEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3uiEXT := getProc('glSecondaryColor3uiEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3uivEXT := getProc('glSecondaryColor3uivEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3usEXT := getProc('glSecondaryColor3usEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColor3usvEXT := getProc('glSecondaryColor3usvEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
    glSecondaryColorPointerEXT := getProc('glSecondaryColorPointerEXT',EXTENSION_PROC, 0, GL_EXT_secondary_color);
  end;

  GL_EXT_separate_specular_color := Pos('GL_EXT_separate_specular_color ', exts) > 0;
  GL_EXT_shader_image_load_formatted := Pos('GL_EXT_shader_image_load_formatted ', exts) > 0;
  GL_EXT_shader_image_load_store := Pos('GL_EXT_shader_image_load_store ', exts) > 0;
  if GL_EXT_shader_image_load_store then
  begin
    glBindImageTextureEXT := getProc('glBindImageTextureEXT',EXTENSION_PROC, 0, GL_EXT_shader_image_load_store);
    glMemoryBarrierEXT := getProc('glMemoryBarrierEXT',EXTENSION_PROC, 0, GL_EXT_shader_image_load_store);
  end;

  GL_EXT_shadow_funcs := Pos('GL_EXT_shadow_funcs ', exts) > 0;
  GL_EXT_shared_texture_palette := Pos('GL_EXT_shared_texture_palette ', exts) > 0;
  GL_EXT_sparse_texture2 := Pos('GL_EXT_sparse_texture2 ', exts) > 0;
  GL_EXT_stencil_clear_tag := Pos('GL_EXT_stencil_clear_tag ', exts) > 0;
  if GL_EXT_stencil_clear_tag then
  begin
    glStencilClearTagEXT := getProc('glStencilClearTagEXT',EXTENSION_PROC, 0, GL_EXT_stencil_clear_tag);
  end;

  GL_EXT_stencil_two_side := Pos('GL_EXT_stencil_two_side ', exts) > 0;
  if GL_EXT_stencil_two_side then
  begin
    glActiveStencilFaceEXT := getProc('glActiveStencilFaceEXT',EXTENSION_PROC, 0, GL_EXT_stencil_two_side);
  end;

  GL_EXT_stencil_wrap := Pos('GL_EXT_stencil_wrap ', exts) > 0;
  GL_EXT_subtexture := Pos('GL_EXT_subtexture ', exts) > 0;
  if GL_EXT_subtexture then
  begin
    glTexSubImage1DEXT := getProc('glTexSubImage1DEXT',EXTENSION_PROC, 0, GL_EXT_subtexture);
    glTexSubImage2DEXT := getProc('glTexSubImage2DEXT',EXTENSION_PROC, 0, GL_EXT_subtexture);
  end;

  GL_EXT_texture := Pos('GL_EXT_texture ', exts) > 0;
  GL_EXT_texture3D := Pos('GL_EXT_texture3D ', exts) > 0;
  if GL_EXT_texture3D then
  begin
    glTexImage3DEXT := getProc('glTexImage3DEXT',EXTENSION_PROC, 0, GL_EXT_texture3D);
    glTexSubImage3DEXT := getProc('glTexSubImage3DEXT',EXTENSION_PROC, 0, GL_EXT_texture3D);
  end;

  GL_EXT_texture_array := Pos('GL_EXT_texture_array ', exts) > 0;
  if GL_EXT_texture_array then
  begin
    glFramebufferTextureLayerEXT := getProc('glFramebufferTextureLayerEXT',EXTENSION_PROC, 0, GL_EXT_texture_array);
  end;

  GL_EXT_texture_buffer_object := Pos('GL_EXT_texture_buffer_object ', exts) > 0;
  if GL_EXT_texture_buffer_object then
  begin
    glTexBufferEXT := getProc('glTexBufferEXT',EXTENSION_PROC, 0, GL_EXT_texture_buffer_object);
  end;

  GL_EXT_texture_compression_latc := Pos('GL_EXT_texture_compression_latc ', exts) > 0;
  GL_EXT_texture_compression_rgtc := Pos('GL_EXT_texture_compression_rgtc ', exts) > 0;
  GL_EXT_texture_cube_map := Pos('GL_EXT_texture_cube_map ', exts) > 0;
  GL_EXT_texture_env_add := Pos('GL_EXT_texture_env_add ', exts) > 0;
  GL_EXT_texture_env_combine := Pos('GL_EXT_texture_env_combine ', exts) > 0;
  GL_EXT_texture_env_dot3 := Pos('GL_EXT_texture_env_dot3 ', exts) > 0;
  GL_EXT_texture_filter_minmax := Pos('GL_EXT_texture_filter_minmax ', exts) > 0;
  if GL_EXT_texture_filter_minmax then
  begin
//*2
    glRasterSamplesEXT := getProc('glRasterSamplesEXT',EXTENSION_PROC, 0, GL_EXT_texture_filter_minmax);
  end;

  GL_EXT_texture_integer := Pos('GL_EXT_texture_integer ', exts) > 0;
  if GL_EXT_texture_integer then
  begin
    glTexParameterIivEXT := getProc('glTexParameterIivEXT',EXTENSION_PROC, 0, GL_EXT_texture_integer);
    glTexParameterIuivEXT := getProc('glTexParameterIuivEXT',EXTENSION_PROC, 0, GL_EXT_texture_integer);
    glGetTexParameterIivEXT := getProc('glGetTexParameterIivEXT',EXTENSION_PROC, 0, GL_EXT_texture_integer);
    glGetTexParameterIuivEXT := getProc('glGetTexParameterIuivEXT',EXTENSION_PROC, 0, GL_EXT_texture_integer);
    glClearColorIiEXT := getProc('glClearColorIiEXT',EXTENSION_PROC, 0, GL_EXT_texture_integer);
    glClearColorIuiEXT := getProc('glClearColorIuiEXT',EXTENSION_PROC, 0, GL_EXT_texture_integer);
  end;

  GL_EXT_texture_mirror_clamp := Pos('GL_EXT_texture_mirror_clamp ', exts) > 0;
  GL_EXT_texture_object := Pos('GL_EXT_texture_object ', exts) > 0;
  if GL_EXT_texture_object then
  begin
    glAreTexturesResidentEXT := getProc('glAreTexturesResidentEXT',EXTENSION_PROC, 0, GL_EXT_texture_object);
    glBindTextureEXT := getProc('glBindTextureEXT',EXTENSION_PROC, 0, GL_EXT_texture_object);
    glDeleteTexturesEXT := getProc('glDeleteTexturesEXT',EXTENSION_PROC, 0, GL_EXT_texture_object);
    glGenTexturesEXT := getProc('glGenTexturesEXT',EXTENSION_PROC, 0, GL_EXT_texture_object);
    glIsTextureEXT := getProc('glIsTextureEXT',EXTENSION_PROC, 0, GL_EXT_texture_object);
    glPrioritizeTexturesEXT := getProc('glPrioritizeTexturesEXT',EXTENSION_PROC, 0, GL_EXT_texture_object);
  end;

  GL_EXT_texture_perturb_normal := Pos('GL_EXT_texture_perturb_normal ', exts) > 0;
  if GL_EXT_texture_perturb_normal then
  begin
    glTextureNormalEXT := getProc('glTextureNormalEXT',EXTENSION_PROC, 0, GL_EXT_texture_perturb_normal);
  end;

  GL_EXT_texture_sRGB := Pos('GL_EXT_texture_sRGB ', exts) > 0;
  GL_EXT_texture_shared_exponent := Pos('GL_EXT_texture_shared_exponent ', exts) > 0;
  GL_EXT_texture_snorm := Pos('GL_EXT_texture_snorm ', exts) > 0;
  GL_EXT_texture_swizzle := Pos('GL_EXT_texture_swizzle ', exts) > 0;
  GL_EXT_timer_query := Pos('GL_EXT_timer_query ', exts) > 0;
  if GL_EXT_timer_query then
  begin
    glGetQueryObjecti64vEXT := getProc('glGetQueryObjecti64vEXT',EXTENSION_PROC, 0, GL_EXT_timer_query);
    glGetQueryObjectui64vEXT := getProc('glGetQueryObjectui64vEXT',EXTENSION_PROC, 0, GL_EXT_timer_query);
  end;

  GL_EXT_transform_feedback := Pos('GL_EXT_transform_feedback ', exts) > 0;
  if GL_EXT_transform_feedback then
  begin
    glBeginTransformFeedbackEXT := getProc('glBeginTransformFeedbackEXT',EXTENSION_PROC, 0, GL_EXT_transform_feedback);
    glEndTransformFeedbackEXT := getProc('glEndTransformFeedbackEXT',EXTENSION_PROC, 0, GL_EXT_transform_feedback);
    glBindBufferRangeEXT := getProc('glBindBufferRangeEXT',EXTENSION_PROC, 0, GL_EXT_transform_feedback);
    glBindBufferOffsetEXT := getProc('glBindBufferOffsetEXT',EXTENSION_PROC, 0, GL_EXT_transform_feedback);
    glBindBufferBaseEXT := getProc('glBindBufferBaseEXT',EXTENSION_PROC, 0, GL_EXT_transform_feedback);
    glTransformFeedbackVaryingsEXT := getProc('glTransformFeedbackVaryingsEXT',EXTENSION_PROC, 0, GL_EXT_transform_feedback);
    glGetTransformFeedbackVaryingEXT := getProc('glGetTransformFeedbackVaryingEXT',EXTENSION_PROC, 0, GL_EXT_transform_feedback);
  end;

  GL_EXT_vertex_array := Pos('GL_EXT_vertex_array ', exts) > 0;
  if GL_EXT_vertex_array then
  begin
    glArrayElementEXT := getProc('glArrayElementEXT',EXTENSION_PROC, 0, GL_EXT_vertex_array);
    glColorPointerEXT := getProc('glColorPointerEXT',EXTENSION_PROC, 0, GL_EXT_vertex_array);
    glDrawArraysEXT := getProc('glDrawArraysEXT',EXTENSION_PROC, 0, GL_EXT_vertex_array);
    glEdgeFlagPointerEXT := getProc('glEdgeFlagPointerEXT',EXTENSION_PROC, 0, GL_EXT_vertex_array);
    glGetPointervEXT := getProc('glGetPointervEXT',EXTENSION_PROC, 0, GL_EXT_vertex_array);
    glIndexPointerEXT := getProc('glIndexPointerEXT',EXTENSION_PROC, 0, GL_EXT_vertex_array);
    glNormalPointerEXT := getProc('glNormalPointerEXT',EXTENSION_PROC, 0, GL_EXT_vertex_array);
    glTexCoordPointerEXT := getProc('glTexCoordPointerEXT',EXTENSION_PROC, 0, GL_EXT_vertex_array);
    glVertexPointerEXT := getProc('glVertexPointerEXT',EXTENSION_PROC, 0, GL_EXT_vertex_array);
  end;

  GL_EXT_vertex_array_bgra := Pos('GL_EXT_vertex_array_bgra ', exts) > 0;
  GL_EXT_vertex_attrib_64bit := Pos('GL_EXT_vertex_attrib_64bit ', exts) > 0;
  if GL_EXT_vertex_attrib_64bit then
  begin
    glVertexAttribL1dEXT := getProc('glVertexAttribL1dEXT',EXTENSION_PROC, 0, GL_EXT_vertex_attrib_64bit);
    glVertexAttribL2dEXT := getProc('glVertexAttribL2dEXT',EXTENSION_PROC, 0, GL_EXT_vertex_attrib_64bit);
    glVertexAttribL3dEXT := getProc('glVertexAttribL3dEXT',EXTENSION_PROC, 0, GL_EXT_vertex_attrib_64bit);
    glVertexAttribL4dEXT := getProc('glVertexAttribL4dEXT',EXTENSION_PROC, 0, GL_EXT_vertex_attrib_64bit);
    glVertexAttribL1dvEXT := getProc('glVertexAttribL1dvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_attrib_64bit);
    glVertexAttribL2dvEXT := getProc('glVertexAttribL2dvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_attrib_64bit);
    glVertexAttribL3dvEXT := getProc('glVertexAttribL3dvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_attrib_64bit);
    glVertexAttribL4dvEXT := getProc('glVertexAttribL4dvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_attrib_64bit);
    glVertexAttribLPointerEXT := getProc('glVertexAttribLPointerEXT',EXTENSION_PROC, 0, GL_EXT_vertex_attrib_64bit);
    glGetVertexAttribLdvEXT := getProc('glGetVertexAttribLdvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_attrib_64bit);
  end;

  GL_EXT_vertex_shader := Pos('GL_EXT_vertex_shader ', exts) > 0;
  if GL_EXT_vertex_shader then
  begin
    glBeginVertexShaderEXT := getProc('glBeginVertexShaderEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glEndVertexShaderEXT := getProc('glEndVertexShaderEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glBindVertexShaderEXT := getProc('glBindVertexShaderEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glGenVertexShadersEXT := getProc('glGenVertexShadersEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glDeleteVertexShaderEXT := getProc('glDeleteVertexShaderEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glShaderOp1EXT := getProc('glShaderOp1EXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glShaderOp2EXT := getProc('glShaderOp2EXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glShaderOp3EXT := getProc('glShaderOp3EXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glSwizzleEXT := getProc('glSwizzleEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glWriteMaskEXT := getProc('glWriteMaskEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glInsertComponentEXT := getProc('glInsertComponentEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glExtractComponentEXT := getProc('glExtractComponentEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glGenSymbolsEXT := getProc('glGenSymbolsEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glSetInvariantEXT := getProc('glSetInvariantEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glSetLocalConstantEXT := getProc('glSetLocalConstantEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glVariantbvEXT := getProc('glVariantbvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glVariantsvEXT := getProc('glVariantsvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glVariantivEXT := getProc('glVariantivEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glVariantfvEXT := getProc('glVariantfvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glVariantdvEXT := getProc('glVariantdvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glVariantubvEXT := getProc('glVariantubvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glVariantusvEXT := getProc('glVariantusvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glVariantuivEXT := getProc('glVariantuivEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glVariantPointerEXT := getProc('glVariantPointerEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glEnableVariantClientStateEXT := getProc('glEnableVariantClientStateEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glDisableVariantClientStateEXT := getProc('glDisableVariantClientStateEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glBindLightParameterEXT := getProc('glBindLightParameterEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glBindMaterialParameterEXT := getProc('glBindMaterialParameterEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glBindTexGenParameterEXT := getProc('glBindTexGenParameterEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glBindTextureUnitParameterEXT := getProc('glBindTextureUnitParameterEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glBindParameterEXT := getProc('glBindParameterEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glIsVariantEnabledEXT := getProc('glIsVariantEnabledEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glGetVariantBooleanvEXT := getProc('glGetVariantBooleanvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glGetVariantIntegervEXT := getProc('glGetVariantIntegervEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glGetVariantFloatvEXT := getProc('glGetVariantFloatvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glGetVariantPointervEXT := getProc('glGetVariantPointervEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glGetInvariantBooleanvEXT := getProc('glGetInvariantBooleanvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glGetInvariantIntegervEXT := getProc('glGetInvariantIntegervEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glGetInvariantFloatvEXT := getProc('glGetInvariantFloatvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glGetLocalConstantBooleanvEXT := getProc('glGetLocalConstantBooleanvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glGetLocalConstantIntegervEXT := getProc('glGetLocalConstantIntegervEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
    glGetLocalConstantFloatvEXT := getProc('glGetLocalConstantFloatvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_shader);
  end;

  GL_EXT_vertex_weighting := Pos('GL_EXT_vertex_weighting ', exts) > 0;
  if GL_EXT_vertex_weighting then
  begin
    glVertexWeightfEXT := getProc('glVertexWeightfEXT',EXTENSION_PROC, 0, GL_EXT_vertex_weighting);
    glVertexWeightfvEXT := getProc('glVertexWeightfvEXT',EXTENSION_PROC, 0, GL_EXT_vertex_weighting);
    glVertexWeightPointerEXT := getProc('glVertexWeightPointerEXT',EXTENSION_PROC, 0, GL_EXT_vertex_weighting);
  end;

  GL_EXT_x11_sync_object := Pos('GL_EXT_x11_sync_object ', exts) > 0;
  if GL_EXT_x11_sync_object then
  begin
    glImportSyncEXT := getProc('glImportSyncEXT',EXTENSION_PROC, 0, GL_EXT_x11_sync_object);
  end;

  GL_GREMEDY_frame_terminator := Pos('GL_GREMEDY_frame_terminator ', exts) > 0;
  if GL_GREMEDY_frame_terminator then
  begin
    glFrameTerminatorGREMEDY := getProc('glFrameTerminatorGREMEDY',EXTENSION_PROC, 0, GL_GREMEDY_frame_terminator);
  end;

  GL_GREMEDY_string_marker := Pos('GL_GREMEDY_string_marker ', exts) > 0;
  if GL_GREMEDY_string_marker then
  begin
    glStringMarkerGREMEDY := getProc('glStringMarkerGREMEDY',EXTENSION_PROC, 0, GL_GREMEDY_string_marker);
  end;

  GL_HP_convolution_border_modes := Pos('GL_HP_convolution_border_modes ', exts) > 0;
  GL_HP_image_transform := Pos('GL_HP_image_transform ', exts) > 0;
  if GL_HP_image_transform then
  begin
    glImageTransformParameteriHP := getProc('glImageTransformParameteriHP',EXTENSION_PROC, 0, GL_HP_image_transform);
    glImageTransformParameterfHP := getProc('glImageTransformParameterfHP',EXTENSION_PROC, 0, GL_HP_image_transform);
    glImageTransformParameterivHP := getProc('glImageTransformParameterivHP',EXTENSION_PROC, 0, GL_HP_image_transform);
    glImageTransformParameterfvHP := getProc('glImageTransformParameterfvHP',EXTENSION_PROC, 0, GL_HP_image_transform);
    glGetImageTransformParameterivHP := getProc('glGetImageTransformParameterivHP',EXTENSION_PROC, 0, GL_HP_image_transform);
    glGetImageTransformParameterfvHP := getProc('glGetImageTransformParameterfvHP',EXTENSION_PROC, 0, GL_HP_image_transform);
  end;

  GL_HP_occlusion_test := Pos('GL_HP_occlusion_test ', exts) > 0;
  GL_HP_texture_lighting := Pos('GL_HP_texture_lighting ', exts) > 0;
  GL_IBM_cull_vertex := Pos('GL_IBM_cull_vertex ', exts) > 0;
  GL_IBM_multimode_draw_arrays := Pos('GL_IBM_multimode_draw_arrays ', exts) > 0;
  if GL_IBM_multimode_draw_arrays then
  begin
    glMultiModeDrawArraysIBM := getProc('glMultiModeDrawArraysIBM',EXTENSION_PROC, 0, GL_IBM_multimode_draw_arrays);
    glMultiModeDrawElementsIBM := getProc('glMultiModeDrawElementsIBM',EXTENSION_PROC, 0, GL_IBM_multimode_draw_arrays);
  end;

  GL_IBM_rasterpos_clip := Pos('GL_IBM_rasterpos_clip ', exts) > 0;
  GL_IBM_static_data := Pos('GL_IBM_static_data ', exts) > 0;
  if GL_IBM_static_data then
  begin
    glFlushStaticDataIBM := getProc('glFlushStaticDataIBM',EXTENSION_PROC, 0, GL_IBM_static_data);
  end;

  GL_IBM_texture_mirrored_repeat := Pos('GL_IBM_texture_mirrored_repeat ', exts) > 0;
  GL_IBM_vertex_array_lists := Pos('GL_IBM_vertex_array_lists ', exts) > 0;
  if GL_IBM_vertex_array_lists then
  begin
    glColorPointerListIBM := getProc('glColorPointerListIBM',EXTENSION_PROC, 0, GL_IBM_vertex_array_lists);
    glSecondaryColorPointerListIBM := getProc('glSecondaryColorPointerListIBM',EXTENSION_PROC, 0, GL_IBM_vertex_array_lists);
    glEdgeFlagPointerListIBM := getProc('glEdgeFlagPointerListIBM',EXTENSION_PROC, 0, GL_IBM_vertex_array_lists);
    glFogCoordPointerListIBM := getProc('glFogCoordPointerListIBM',EXTENSION_PROC, 0, GL_IBM_vertex_array_lists);
    glIndexPointerListIBM := getProc('glIndexPointerListIBM',EXTENSION_PROC, 0, GL_IBM_vertex_array_lists);
    glNormalPointerListIBM := getProc('glNormalPointerListIBM',EXTENSION_PROC, 0, GL_IBM_vertex_array_lists);
    glTexCoordPointerListIBM := getProc('glTexCoordPointerListIBM',EXTENSION_PROC, 0, GL_IBM_vertex_array_lists);
    glVertexPointerListIBM := getProc('glVertexPointerListIBM',EXTENSION_PROC, 0, GL_IBM_vertex_array_lists);
  end;

  GL_IMG_multisampled_render_to_texture := Pos('GL_IMG_multisampled_render_to_texture ', exts) > 0;
  if GL_IMG_multisampled_render_to_texture then
  begin
    glRenderbufferStorageMultisampleIMG := getProc('glRenderbufferStorageMultisampleIMG',EXTENSION_PROC, 0, GL_IMG_multisampled_render_to_texture);
    glFramebufferTexture2DMultisampleIMG := getProc('glFramebufferTexture2DMultisampleIMG',EXTENSION_PROC, 0, GL_IMG_multisampled_render_to_texture);
  end;

  GL_INGR_blend_func_separate := Pos('GL_INGR_blend_func_separate ', exts) > 0;
  if GL_INGR_blend_func_separate then
  begin
    glBlendFuncSeparateINGR := getProc('glBlendFuncSeparateINGR',EXTENSION_PROC, 0, GL_INGR_blend_func_separate);
  end;

  GL_INGR_color_clamp := Pos('GL_INGR_color_clamp ', exts) > 0;
  GL_INGR_interlace_read := Pos('GL_INGR_interlace_read ', exts) > 0;
  GL_INTEL_fragment_shader_ordering := Pos('GL_INTEL_fragment_shader_ordering ', exts) > 0;
  GL_INTEL_map_texture := Pos('GL_INTEL_map_texture ', exts) > 0;
  if GL_INTEL_map_texture then
  begin
    glSyncTextureINTEL := getProc('glSyncTextureINTEL',EXTENSION_PROC, 0, GL_INTEL_map_texture);
    glUnmapTexture2DINTEL := getProc('glUnmapTexture2DINTEL',EXTENSION_PROC, 0, GL_INTEL_map_texture);
    glMapTexture2DINTEL := getProc('glMapTexture2DINTEL',EXTENSION_PROC, 0, GL_INTEL_map_texture);
  end;

  GL_INTEL_parallel_arrays := Pos('GL_INTEL_parallel_arrays ', exts) > 0;
  if GL_INTEL_parallel_arrays then
  begin
    glVertexPointervINTEL := getProc('glVertexPointervINTEL',EXTENSION_PROC, 0, GL_INTEL_parallel_arrays);
    glNormalPointervINTEL := getProc('glNormalPointervINTEL',EXTENSION_PROC, 0, GL_INTEL_parallel_arrays);
    glColorPointervINTEL := getProc('glColorPointervINTEL',EXTENSION_PROC, 0, GL_INTEL_parallel_arrays);
    glTexCoordPointervINTEL := getProc('glTexCoordPointervINTEL',EXTENSION_PROC, 0, GL_INTEL_parallel_arrays);
  end;

  GL_KHR_blend_equation_advanced := Pos('GL_KHR_blend_equation_advanced ', exts) > 0;
  if GL_KHR_blend_equation_advanced then
  begin
    glBlendBarrierKHR := getProc('glBlendBarrierKHR',EXTENSION_PROC, 0, GL_KHR_blend_equation_advanced);
  end;

  GL_MESAX_texture_stack := Pos('GL_MESAX_texture_stack ', exts) > 0;
  GL_MESA_pack_invert := Pos('GL_MESA_pack_invert ', exts) > 0;
  GL_MESA_resize_buffers := Pos('GL_MESA_resize_buffers ', exts) > 0;
  if GL_MESA_resize_buffers then
  begin
    glResizeBuffersMESA := getProc('glResizeBuffersMESA',EXTENSION_PROC, 0, GL_MESA_resize_buffers);
  end;

  GL_MESA_window_pos := Pos('GL_MESA_window_pos ', exts) > 0;
  if GL_MESA_window_pos then
  begin
    glWindowPos2dMESA := getProc('glWindowPos2dMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos2dvMESA := getProc('glWindowPos2dvMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos2fMESA := getProc('glWindowPos2fMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos2fvMESA := getProc('glWindowPos2fvMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos2iMESA := getProc('glWindowPos2iMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos2ivMESA := getProc('glWindowPos2ivMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos2sMESA := getProc('glWindowPos2sMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos2svMESA := getProc('glWindowPos2svMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos3dMESA := getProc('glWindowPos3dMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos3dvMESA := getProc('glWindowPos3dvMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos3fMESA := getProc('glWindowPos3fMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos3fvMESA := getProc('glWindowPos3fvMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos3iMESA := getProc('glWindowPos3iMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos3ivMESA := getProc('glWindowPos3ivMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos3sMESA := getProc('glWindowPos3sMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos3svMESA := getProc('glWindowPos3svMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos4dMESA := getProc('glWindowPos4dMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos4dvMESA := getProc('glWindowPos4dvMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos4fMESA := getProc('glWindowPos4fMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos4fvMESA := getProc('glWindowPos4fvMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos4iMESA := getProc('glWindowPos4iMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos4ivMESA := getProc('glWindowPos4ivMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos4sMESA := getProc('glWindowPos4sMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
    glWindowPos4svMESA := getProc('glWindowPos4svMESA',EXTENSION_PROC, 0, GL_MESA_window_pos);
  end;

  GL_MESA_ycbcr_texture := Pos('GL_MESA_ycbcr_texture ', exts) > 0;
  GL_NVX_conditional_render := Pos('GL_NVX_conditional_render ', exts) > 0;
  if GL_NVX_conditional_render then
  begin
    glBeginConditionalRenderNVX := getProc('glBeginConditionalRenderNVX',EXTENSION_PROC, 0, GL_NVX_conditional_render);
    glEndConditionalRenderNVX := getProc('glEndConditionalRenderNVX',EXTENSION_PROC, 0, GL_NVX_conditional_render);
  end;

  GL_NVX_gpu_memory_info := Pos('GL_NVX_gpu_memory_info ', exts) > 0;
  GL_NV_bindless_multi_draw_indirect := Pos('GL_NV_bindless_multi_draw_indirect ', exts) > 0;
  if GL_NV_bindless_multi_draw_indirect then
  begin
    glMultiDrawArraysIndirectBindlessNV := getProc('glMultiDrawArraysIndirectBindlessNV',EXTENSION_PROC, 0, GL_NV_bindless_multi_draw_indirect);
    glMultiDrawElementsIndirectBindlessNV := getProc('glMultiDrawElementsIndirectBindlessNV',EXTENSION_PROC, 0, GL_NV_bindless_multi_draw_indirect);
  end;

  GL_NV_bindless_multi_draw_indirect_count := Pos('GL_NV_bindless_multi_draw_indirect_count ', exts) > 0;
  if GL_NV_bindless_multi_draw_indirect_count then
  begin
    glMultiDrawArraysIndirectBindlessCountNV := getProc('glMultiDrawArraysIndirectBindlessCountNV',EXTENSION_PROC, 0, GL_NV_bindless_multi_draw_indirect_count);
    glMultiDrawElementsIndirectBindlessCountNV := getProc('glMultiDrawElementsIndirectBindlessCountNV',EXTENSION_PROC, 0, GL_NV_bindless_multi_draw_indirect_count);
  end;

  GL_NV_bindless_texture := Pos('GL_NV_bindless_texture ', exts) > 0;
  if GL_NV_bindless_texture then
  begin
    glGetTextureHandleNV := getProc('glGetTextureHandleNV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
    glGetTextureSamplerHandleNV := getProc('glGetTextureSamplerHandleNV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
    glMakeTextureHandleResidentNV := getProc('glMakeTextureHandleResidentNV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
    glMakeTextureHandleNonResidentNV := getProc('glMakeTextureHandleNonResidentNV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
    glGetImageHandleNV := getProc('glGetImageHandleNV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
    glMakeImageHandleResidentNV := getProc('glMakeImageHandleResidentNV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
    glMakeImageHandleNonResidentNV := getProc('glMakeImageHandleNonResidentNV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
    glUniformHandleui64NV := getProc('glUniformHandleui64NV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
    glUniformHandleui64vNV := getProc('glUniformHandleui64vNV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
    glProgramUniformHandleui64NV := getProc('glProgramUniformHandleui64NV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
    glProgramUniformHandleui64vNV := getProc('glProgramUniformHandleui64vNV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
    glIsTextureHandleResidentNV := getProc('glIsTextureHandleResidentNV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
    glIsImageHandleResidentNV := getProc('glIsImageHandleResidentNV',EXTENSION_PROC, 0, GL_NV_bindless_texture);
  end;

  GL_NV_blend_square := Pos('GL_NV_blend_square ', exts) > 0;
  GL_NV_compute_program5 := Pos('GL_NV_compute_program5 ', exts) > 0;
  GL_NV_conditional_render := Pos('GL_NV_conditional_render ', exts) > 0;
  if GL_NV_conditional_render then
  begin
    glBeginConditionalRenderNV := getProc('glBeginConditionalRenderNV',EXTENSION_PROC, 0, GL_NV_conditional_render);
    glEndConditionalRenderNV := getProc('glEndConditionalRenderNV',EXTENSION_PROC, 0, GL_NV_conditional_render);
  end;

  GL_NV_conservative_raster := Pos('GL_NV_conservative_raster ', exts) > 0;
  if GL_NV_conservative_raster then
  begin
    glSubpixelPrecisionBiasNV := getProc('glSubpixelPrecisionBiasNV',EXTENSION_PROC, 0, GL_NV_conservative_raster);
  end;

  GL_NV_copy_depth_to_color := Pos('GL_NV_copy_depth_to_color ', exts) > 0;
  GL_NV_copy_image := Pos('GL_NV_copy_image ', exts) > 0;
  if GL_NV_copy_image then
  begin
    glCopyImageSubDataNV := getProc('glCopyImageSubDataNV',EXTENSION_PROC, 0, GL_NV_copy_image);
  end;

  GL_NV_deep_texture3D := Pos('GL_NV_deep_texture3D ', exts) > 0;
  GL_NV_depth_buffer_float := Pos('GL_NV_depth_buffer_float ', exts) > 0;
  if GL_NV_depth_buffer_float then
  begin
    glDepthRangedNV := getProc('glDepthRangedNV',EXTENSION_PROC, 0, GL_NV_depth_buffer_float);
    glClearDepthdNV := getProc('glClearDepthdNV',EXTENSION_PROC, 0, GL_NV_depth_buffer_float);
    glDepthBoundsdNV := getProc('glDepthBoundsdNV',EXTENSION_PROC, 0, GL_NV_depth_buffer_float);
  end;

  GL_NV_depth_clamp := Pos('GL_NV_depth_clamp ', exts) > 0;
  GL_NV_draw_texture := Pos('GL_NV_draw_texture ', exts) > 0;
  if GL_NV_draw_texture then
  begin
    glDrawTextureNV := getProc('glDrawTextureNV',EXTENSION_PROC, 0, GL_NV_draw_texture);
  end;

  GL_NV_evaluators := Pos('GL_NV_evaluators ', exts) > 0;
  if GL_NV_evaluators then
  begin
    glMapControlPointsNV := getProc('glMapControlPointsNV',EXTENSION_PROC, 0, GL_NV_evaluators);
    glMapParameterivNV := getProc('glMapParameterivNV',EXTENSION_PROC, 0, GL_NV_evaluators);
    glMapParameterfvNV := getProc('glMapParameterfvNV',EXTENSION_PROC, 0, GL_NV_evaluators);
    glGetMapControlPointsNV := getProc('glGetMapControlPointsNV',EXTENSION_PROC, 0, GL_NV_evaluators);
    glGetMapParameterivNV := getProc('glGetMapParameterivNV',EXTENSION_PROC, 0, GL_NV_evaluators);
    glGetMapParameterfvNV := getProc('glGetMapParameterfvNV',EXTENSION_PROC, 0, GL_NV_evaluators);
    glGetMapAttribParameterivNV := getProc('glGetMapAttribParameterivNV',EXTENSION_PROC, 0, GL_NV_evaluators);
    glGetMapAttribParameterfvNV := getProc('glGetMapAttribParameterfvNV',EXTENSION_PROC, 0, GL_NV_evaluators);
    glEvalMapsNV := getProc('glEvalMapsNV',EXTENSION_PROC, 0, GL_NV_evaluators);
  end;

  GL_NV_explicit_multisample := Pos('GL_NV_explicit_multisample ', exts) > 0;
  if GL_NV_explicit_multisample then
  begin
    glGetMultisamplefvNV := getProc('glGetMultisamplefvNV',EXTENSION_PROC, 0, GL_NV_explicit_multisample);
    glSampleMaskIndexedNV := getProc('glSampleMaskIndexedNV',EXTENSION_PROC, 0, GL_NV_explicit_multisample);
    glTexRenderbufferNV := getProc('glTexRenderbufferNV',EXTENSION_PROC, 0, GL_NV_explicit_multisample);
  end;

  GL_NV_fill_rectangle := Pos('GL_NV_fill_rectangle ', exts) > 0;
  GL_NV_float_buffer := Pos('GL_NV_float_buffer ', exts) > 0;
  GL_NV_fog_distance := Pos('GL_NV_fog_distance ', exts) > 0;
  GL_NV_fragment_coverage_to_color := Pos('GL_NV_fragment_coverage_to_color ', exts) > 0;
  if GL_NV_fragment_coverage_to_color then
  begin
    glFragmentCoverageColorNV := getProc('glFragmentCoverageColorNV',EXTENSION_PROC, 0, GL_NV_fragment_coverage_to_color);
  end;

  GL_NV_fragment_program := Pos('GL_NV_fragment_program ', exts) > 0;
  if GL_NV_fragment_program then
  begin
    glProgramNamedParameter4fNV := getProc('glProgramNamedParameter4fNV',EXTENSION_PROC, 0, GL_NV_fragment_program);
    glProgramNamedParameter4fvNV := getProc('glProgramNamedParameter4fvNV',EXTENSION_PROC, 0, GL_NV_fragment_program);
    glProgramNamedParameter4dNV := getProc('glProgramNamedParameter4dNV',EXTENSION_PROC, 0, GL_NV_fragment_program);
    glProgramNamedParameter4dvNV := getProc('glProgramNamedParameter4dvNV',EXTENSION_PROC, 0, GL_NV_fragment_program);
    glGetProgramNamedParameterfvNV := getProc('glGetProgramNamedParameterfvNV',EXTENSION_PROC, 0, GL_NV_fragment_program);
    glGetProgramNamedParameterdvNV := getProc('glGetProgramNamedParameterdvNV',EXTENSION_PROC, 0, GL_NV_fragment_program);
  end;

  GL_NV_fragment_program2 := Pos('GL_NV_fragment_program2 ', exts) > 0;
  GL_NV_fragment_program4 := Pos('GL_NV_fragment_program4 ', exts) > 0;
  GL_NV_fragment_program_option := Pos('GL_NV_fragment_program_option ', exts) > 0;
  GL_NV_fragment_shader_interlock := Pos('GL_NV_fragment_shader_interlock ', exts) > 0;
  GL_NV_framebuffer_mixed_samples := Pos('GL_NV_framebuffer_mixed_samples ', exts) > 0;
  if GL_NV_framebuffer_mixed_samples then
  begin
//*2
    glRasterSamplesEXT := getProc('glRasterSamplesEXT',EXTENSION_PROC, 0, GL_NV_framebuffer_mixed_samples);
    glCoverageModulationTableNV := getProc('glCoverageModulationTableNV',EXTENSION_PROC, 0, GL_NV_framebuffer_mixed_samples);
    glGetCoverageModulationTableNV := getProc('glGetCoverageModulationTableNV',EXTENSION_PROC, 0, GL_NV_framebuffer_mixed_samples);
    glCoverageModulationNV := getProc('glCoverageModulationNV',EXTENSION_PROC, 0, GL_NV_framebuffer_mixed_samples);
  end;

  GL_NV_framebuffer_multisample_coverage := Pos('GL_NV_framebuffer_multisample_coverage ', exts) > 0;
  if GL_NV_framebuffer_multisample_coverage then
  begin
    glRenderbufferStorageMultisampleCoverageNV := getProc('glRenderbufferStorageMultisampleCoverageNV',EXTENSION_PROC, 0, GL_NV_framebuffer_multisample_coverage);
  end;

  GL_NV_geometry_program4 := Pos('GL_NV_geometry_program4 ', exts) > 0;
  if GL_NV_geometry_program4 then
  begin
    glProgramVertexLimitNV := getProc('glProgramVertexLimitNV',EXTENSION_PROC, 0, GL_NV_geometry_program4);
    glFramebufferTextureEXT := getProc('glFramebufferTextureEXT',EXTENSION_PROC, 0, GL_NV_geometry_program4);
//*2
    glFramebufferTextureLayerEXT := getProc('glFramebufferTextureLayerEXT',EXTENSION_PROC, 0, GL_NV_geometry_program4);
    glFramebufferTextureFaceEXT := getProc('glFramebufferTextureFaceEXT',EXTENSION_PROC, 0, GL_NV_geometry_program4);
  end;

  GL_NV_geometry_shader4 := Pos('GL_NV_geometry_shader4 ', exts) > 0;
  GL_NV_geometry_shader_passthrough := Pos('GL_NV_geometry_shader_passthrough ', exts) > 0;
  GL_NV_gpu_program4 := Pos('GL_NV_gpu_program4 ', exts) > 0;
  if GL_NV_gpu_program4 then
  begin
    glProgramLocalParameterI4iNV := getProc('glProgramLocalParameterI4iNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glProgramLocalParameterI4ivNV := getProc('glProgramLocalParameterI4ivNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glProgramLocalParametersI4ivNV := getProc('glProgramLocalParametersI4ivNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glProgramLocalParameterI4uiNV := getProc('glProgramLocalParameterI4uiNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glProgramLocalParameterI4uivNV := getProc('glProgramLocalParameterI4uivNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glProgramLocalParametersI4uivNV := getProc('glProgramLocalParametersI4uivNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glProgramEnvParameterI4iNV := getProc('glProgramEnvParameterI4iNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glProgramEnvParameterI4ivNV := getProc('glProgramEnvParameterI4ivNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glProgramEnvParametersI4ivNV := getProc('glProgramEnvParametersI4ivNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glProgramEnvParameterI4uiNV := getProc('glProgramEnvParameterI4uiNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glProgramEnvParameterI4uivNV := getProc('glProgramEnvParameterI4uivNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glProgramEnvParametersI4uivNV := getProc('glProgramEnvParametersI4uivNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glGetProgramLocalParameterIivNV := getProc('glGetProgramLocalParameterIivNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glGetProgramLocalParameterIuivNV := getProc('glGetProgramLocalParameterIuivNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glGetProgramEnvParameterIivNV := getProc('glGetProgramEnvParameterIivNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
    glGetProgramEnvParameterIuivNV := getProc('glGetProgramEnvParameterIuivNV',EXTENSION_PROC, 0, GL_NV_gpu_program4);
  end;

  GL_NV_gpu_program5 := Pos('GL_NV_gpu_program5 ', exts) > 0;
  if GL_NV_gpu_program5 then
  begin
    glProgramSubroutineParametersuivNV := getProc('glProgramSubroutineParametersuivNV',EXTENSION_PROC, 0, GL_NV_gpu_program5);
    glGetProgramSubroutineParameteruivNV := getProc('glGetProgramSubroutineParameteruivNV',EXTENSION_PROC, 0, GL_NV_gpu_program5);
  end;

  GL_NV_gpu_program5_mem_extended := Pos('GL_NV_gpu_program5_mem_extended ', exts) > 0;
  GL_NV_gpu_shader5 := Pos('GL_NV_gpu_shader5 ', exts) > 0;
  if GL_NV_gpu_shader5 then
  begin
//*2
    glUniform1i64NV := getProc('glUniform1i64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform2i64NV := getProc('glUniform2i64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform3i64NV := getProc('glUniform3i64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform4i64NV := getProc('glUniform4i64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform1i64vNV := getProc('glUniform1i64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform2i64vNV := getProc('glUniform2i64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform3i64vNV := getProc('glUniform3i64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform4i64vNV := getProc('glUniform4i64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform1ui64NV := getProc('glUniform1ui64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform2ui64NV := getProc('glUniform2ui64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform3ui64NV := getProc('glUniform3ui64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform4ui64NV := getProc('glUniform4ui64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform1ui64vNV := getProc('glUniform1ui64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform2ui64vNV := getProc('glUniform2ui64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform3ui64vNV := getProc('glUniform3ui64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glUniform4ui64vNV := getProc('glUniform4ui64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glGetUniformi64vNV := getProc('glGetUniformi64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform1i64NV := getProc('glProgramUniform1i64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform2i64NV := getProc('glProgramUniform2i64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform3i64NV := getProc('glProgramUniform3i64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform4i64NV := getProc('glProgramUniform4i64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform1i64vNV := getProc('glProgramUniform1i64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform2i64vNV := getProc('glProgramUniform2i64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform3i64vNV := getProc('glProgramUniform3i64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform4i64vNV := getProc('glProgramUniform4i64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform1ui64NV := getProc('glProgramUniform1ui64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform2ui64NV := getProc('glProgramUniform2ui64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform3ui64NV := getProc('glProgramUniform3ui64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform4ui64NV := getProc('glProgramUniform4ui64NV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform1ui64vNV := getProc('glProgramUniform1ui64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform2ui64vNV := getProc('glProgramUniform2ui64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform3ui64vNV := getProc('glProgramUniform3ui64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
//*2
    glProgramUniform4ui64vNV := getProc('glProgramUniform4ui64vNV',EXTENSION_PROC, 0, GL_NV_gpu_shader5);
  end;

  GL_NV_half_float := Pos('GL_NV_half_float ', exts) > 0;
  if GL_NV_half_float then
  begin
    glVertex2hNV := getProc('glVertex2hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertex2hvNV := getProc('glVertex2hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertex3hNV := getProc('glVertex3hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertex3hvNV := getProc('glVertex3hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertex4hNV := getProc('glVertex4hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertex4hvNV := getProc('glVertex4hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glNormal3hNV := getProc('glNormal3hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glNormal3hvNV := getProc('glNormal3hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glColor3hNV := getProc('glColor3hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glColor3hvNV := getProc('glColor3hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glColor4hNV := getProc('glColor4hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glColor4hvNV := getProc('glColor4hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glTexCoord1hNV := getProc('glTexCoord1hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glTexCoord1hvNV := getProc('glTexCoord1hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glTexCoord2hNV := getProc('glTexCoord2hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glTexCoord2hvNV := getProc('glTexCoord2hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glTexCoord3hNV := getProc('glTexCoord3hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glTexCoord3hvNV := getProc('glTexCoord3hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glTexCoord4hNV := getProc('glTexCoord4hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glTexCoord4hvNV := getProc('glTexCoord4hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glMultiTexCoord1hNV := getProc('glMultiTexCoord1hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glMultiTexCoord1hvNV := getProc('glMultiTexCoord1hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glMultiTexCoord2hNV := getProc('glMultiTexCoord2hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glMultiTexCoord2hvNV := getProc('glMultiTexCoord2hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glMultiTexCoord3hNV := getProc('glMultiTexCoord3hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glMultiTexCoord3hvNV := getProc('glMultiTexCoord3hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glMultiTexCoord4hNV := getProc('glMultiTexCoord4hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glMultiTexCoord4hvNV := getProc('glMultiTexCoord4hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glFogCoordhNV := getProc('glFogCoordhNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glFogCoordhvNV := getProc('glFogCoordhvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glSecondaryColor3hNV := getProc('glSecondaryColor3hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glSecondaryColor3hvNV := getProc('glSecondaryColor3hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexWeighthNV := getProc('glVertexWeighthNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexWeighthvNV := getProc('glVertexWeighthvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexAttrib1hNV := getProc('glVertexAttrib1hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexAttrib1hvNV := getProc('glVertexAttrib1hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexAttrib2hNV := getProc('glVertexAttrib2hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexAttrib2hvNV := getProc('glVertexAttrib2hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexAttrib3hNV := getProc('glVertexAttrib3hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexAttrib3hvNV := getProc('glVertexAttrib3hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexAttrib4hNV := getProc('glVertexAttrib4hNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexAttrib4hvNV := getProc('glVertexAttrib4hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexAttribs1hvNV := getProc('glVertexAttribs1hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexAttribs2hvNV := getProc('glVertexAttribs2hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexAttribs3hvNV := getProc('glVertexAttribs3hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
    glVertexAttribs4hvNV := getProc('glVertexAttribs4hvNV',EXTENSION_PROC, 0, GL_NV_half_float);
  end;

  GL_NV_light_max_exponent := Pos('GL_NV_light_max_exponent ', exts) > 0;
  GL_NV_multisample_coverage := Pos('GL_NV_multisample_coverage ', exts) > 0;
  GL_NV_multisample_filter_hint := Pos('GL_NV_multisample_filter_hint ', exts) > 0;
  GL_NV_occlusion_query := Pos('GL_NV_occlusion_query ', exts) > 0;
  if GL_NV_occlusion_query then
  begin
    glGenOcclusionQueriesNV := getProc('glGenOcclusionQueriesNV',EXTENSION_PROC, 0, GL_NV_occlusion_query);
    glDeleteOcclusionQueriesNV := getProc('glDeleteOcclusionQueriesNV',EXTENSION_PROC, 0, GL_NV_occlusion_query);
    glIsOcclusionQueryNV := getProc('glIsOcclusionQueryNV',EXTENSION_PROC, 0, GL_NV_occlusion_query);
    glBeginOcclusionQueryNV := getProc('glBeginOcclusionQueryNV',EXTENSION_PROC, 0, GL_NV_occlusion_query);
    glEndOcclusionQueryNV := getProc('glEndOcclusionQueryNV',EXTENSION_PROC, 0, GL_NV_occlusion_query);
    glGetOcclusionQueryivNV := getProc('glGetOcclusionQueryivNV',EXTENSION_PROC, 0, GL_NV_occlusion_query);
    glGetOcclusionQueryuivNV := getProc('glGetOcclusionQueryuivNV',EXTENSION_PROC, 0, GL_NV_occlusion_query);
  end;

  GL_NV_packed_depth_stencil := Pos('GL_NV_packed_depth_stencil ', exts) > 0;
  GL_NV_parameter_buffer_object := Pos('GL_NV_parameter_buffer_object ', exts) > 0;
  if GL_NV_parameter_buffer_object then
  begin
    glProgramBufferParametersfvNV := getProc('glProgramBufferParametersfvNV',EXTENSION_PROC, 0, GL_NV_parameter_buffer_object);
    glProgramBufferParametersIivNV := getProc('glProgramBufferParametersIivNV',EXTENSION_PROC, 0, GL_NV_parameter_buffer_object);
    glProgramBufferParametersIuivNV := getProc('glProgramBufferParametersIuivNV',EXTENSION_PROC, 0, GL_NV_parameter_buffer_object);
  end;

  GL_NV_parameter_buffer_object2 := Pos('GL_NV_parameter_buffer_object2 ', exts) > 0;
  GL_NV_path_rendering := Pos('GL_NV_path_rendering ', exts) > 0;
  if GL_NV_path_rendering then
  begin
    glGenPathsNV := getProc('glGenPathsNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glDeletePathsNV := getProc('glDeletePathsNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glIsPathNV := getProc('glIsPathNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathCommandsNV := getProc('glPathCommandsNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathCoordsNV := getProc('glPathCoordsNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathSubCommandsNV := getProc('glPathSubCommandsNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathSubCoordsNV := getProc('glPathSubCoordsNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathStringNV := getProc('glPathStringNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathGlyphsNV := getProc('glPathGlyphsNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathGlyphRangeNV := getProc('glPathGlyphRangeNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glWeightPathsNV := getProc('glWeightPathsNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glCopyPathNV := getProc('glCopyPathNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glInterpolatePathsNV := getProc('glInterpolatePathsNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glTransformPathNV := getProc('glTransformPathNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathParameterivNV := getProc('glPathParameterivNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathParameteriNV := getProc('glPathParameteriNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathParameterfvNV := getProc('glPathParameterfvNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathParameterfNV := getProc('glPathParameterfNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathDashArrayNV := getProc('glPathDashArrayNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathStencilFuncNV := getProc('glPathStencilFuncNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathStencilDepthOffsetNV := getProc('glPathStencilDepthOffsetNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glStencilFillPathNV := getProc('glStencilFillPathNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glStencilStrokePathNV := getProc('glStencilStrokePathNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glStencilFillPathInstancedNV := getProc('glStencilFillPathInstancedNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glStencilStrokePathInstancedNV := getProc('glStencilStrokePathInstancedNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathCoverDepthFuncNV := getProc('glPathCoverDepthFuncNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathColorGenNV := getProc('glPathColorGenNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathTexGenNV := getProc('glPathTexGenNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathFogGenNV := getProc('glPathFogGenNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glCoverFillPathNV := getProc('glCoverFillPathNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glCoverStrokePathNV := getProc('glCoverStrokePathNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glCoverFillPathInstancedNV := getProc('glCoverFillPathInstancedNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glCoverStrokePathInstancedNV := getProc('glCoverStrokePathInstancedNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathParameterivNV := getProc('glGetPathParameterivNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathParameterfvNV := getProc('glGetPathParameterfvNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathCommandsNV := getProc('glGetPathCommandsNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathCoordsNV := getProc('glGetPathCoordsNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathDashArrayNV := getProc('glGetPathDashArrayNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathMetricsNV := getProc('glGetPathMetricsNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathMetricRangeNV := getProc('glGetPathMetricRangeNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathSpacingNV := getProc('glGetPathSpacingNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathColorGenivNV := getProc('glGetPathColorGenivNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathColorGenfvNV := getProc('glGetPathColorGenfvNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathTexGenivNV := getProc('glGetPathTexGenivNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathTexGenfvNV := getProc('glGetPathTexGenfvNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glIsPointInFillPathNV := getProc('glIsPointInFillPathNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glIsPointInStrokePathNV := getProc('glIsPointInStrokePathNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetPathLengthNV := getProc('glGetPathLengthNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPointAlongPathNV := getProc('glPointAlongPathNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glMatrixLoad3x2fNV := getProc('glMatrixLoad3x2fNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glMatrixLoad3x3fNV := getProc('glMatrixLoad3x3fNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glMatrixLoadTranspose3x3fNV := getProc('glMatrixLoadTranspose3x3fNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glMatrixMult3x2fNV := getProc('glMatrixMult3x2fNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glMatrixMult3x3fNV := getProc('glMatrixMult3x3fNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glMatrixMultTranspose3x3fNV := getProc('glMatrixMultTranspose3x3fNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glStencilThenCoverFillPathNV := getProc('glStencilThenCoverFillPathNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glStencilThenCoverStrokePathNV := getProc('glStencilThenCoverStrokePathNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glStencilThenCoverFillPathInstancedNV := getProc('glStencilThenCoverFillPathInstancedNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glStencilThenCoverStrokePathInstancedNV := getProc('glStencilThenCoverStrokePathInstancedNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathGlyphIndexRangeNV := getProc('glPathGlyphIndexRangeNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathGlyphIndexArrayNV := getProc('glPathGlyphIndexArrayNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glPathMemoryGlyphIndexArrayNV := getProc('glPathMemoryGlyphIndexArrayNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glProgramPathFragmentInputGenNV := getProc('glProgramPathFragmentInputGenNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
    glGetProgramResourcefvNV := getProc('glGetProgramResourcefvNV',EXTENSION_PROC, 0, GL_NV_path_rendering);
  end;

  GL_NV_pixel_data_range := Pos('GL_NV_pixel_data_range ', exts) > 0;
  if GL_NV_pixel_data_range then
  begin
    glPixelDataRangeNV := getProc('glPixelDataRangeNV',EXTENSION_PROC, 0, GL_NV_pixel_data_range);
    glFlushPixelDataRangeNV := getProc('glFlushPixelDataRangeNV',EXTENSION_PROC, 0, GL_NV_pixel_data_range);
  end;

  GL_NV_point_sprite := Pos('GL_NV_point_sprite ', exts) > 0;
  if GL_NV_point_sprite then
  begin
    glPointParameteriNV := getProc('glPointParameteriNV',EXTENSION_PROC, 0, GL_NV_point_sprite);
    glPointParameterivNV := getProc('glPointParameterivNV',EXTENSION_PROC, 0, GL_NV_point_sprite);
  end;

  GL_NV_present_video := Pos('GL_NV_present_video ', exts) > 0;
  if GL_NV_present_video then
  begin
    glPresentFrameKeyedNV := getProc('glPresentFrameKeyedNV',EXTENSION_PROC, 0, GL_NV_present_video);
    glPresentFrameDualFillNV := getProc('glPresentFrameDualFillNV',EXTENSION_PROC, 0, GL_NV_present_video);
    glGetVideoivNV := getProc('glGetVideoivNV',EXTENSION_PROC, 0, GL_NV_present_video);
    glGetVideouivNV := getProc('glGetVideouivNV',EXTENSION_PROC, 0, GL_NV_present_video);
    glGetVideoi64vNV := getProc('glGetVideoi64vNV',EXTENSION_PROC, 0, GL_NV_present_video);
    glGetVideoui64vNV := getProc('glGetVideoui64vNV',EXTENSION_PROC, 0, GL_NV_present_video);
  end;

  GL_NV_primitive_restart := Pos('GL_NV_primitive_restart ', exts) > 0;
  if GL_NV_primitive_restart then
  begin
    glPrimitiveRestartNV := getProc('glPrimitiveRestartNV',EXTENSION_PROC, 0, GL_NV_primitive_restart);
    glPrimitiveRestartIndexNV := getProc('glPrimitiveRestartIndexNV',EXTENSION_PROC, 0, GL_NV_primitive_restart);
  end;

  GL_NV_register_combiners := Pos('GL_NV_register_combiners ', exts) > 0;
  if GL_NV_register_combiners then
  begin
    glCombinerParameterfvNV := getProc('glCombinerParameterfvNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
    glCombinerParameterfNV := getProc('glCombinerParameterfNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
    glCombinerParameterivNV := getProc('glCombinerParameterivNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
    glCombinerParameteriNV := getProc('glCombinerParameteriNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
    glCombinerInputNV := getProc('glCombinerInputNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
    glCombinerOutputNV := getProc('glCombinerOutputNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
    glFinalCombinerInputNV := getProc('glFinalCombinerInputNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
    glGetCombinerInputParameterfvNV := getProc('glGetCombinerInputParameterfvNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
    glGetCombinerInputParameterivNV := getProc('glGetCombinerInputParameterivNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
    glGetCombinerOutputParameterfvNV := getProc('glGetCombinerOutputParameterfvNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
    glGetCombinerOutputParameterivNV := getProc('glGetCombinerOutputParameterivNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
    glGetFinalCombinerInputParameterfvNV := getProc('glGetFinalCombinerInputParameterfvNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
    glGetFinalCombinerInputParameterivNV := getProc('glGetFinalCombinerInputParameterivNV',EXTENSION_PROC, 0, GL_NV_register_combiners);
  end;

  GL_NV_path_rendering_shared_edge := Pos('GL_NV_path_rendering_shared_edge ', exts) > 0;
  GL_NV_register_combiners2 := Pos('GL_NV_register_combiners2 ', exts) > 0;
  if GL_NV_register_combiners2 then
  begin
    glCombinerStageParameterfvNV := getProc('glCombinerStageParameterfvNV',EXTENSION_PROC, 0, GL_NV_register_combiners2);
    glGetCombinerStageParameterfvNV := getProc('glGetCombinerStageParameterfvNV',EXTENSION_PROC, 0, GL_NV_register_combiners2);
  end;

  GL_NV_sample_locations := Pos('GL_NV_sample_locations ', exts) > 0;
  if GL_NV_sample_locations then
  begin
    glFramebufferSampleLocationsfvNV := getProc('glFramebufferSampleLocationsfvNV',EXTENSION_PROC, 0, GL_NV_sample_locations);
    glNamedFramebufferSampleLocationsfvNV := getProc('glNamedFramebufferSampleLocationsfvNV',EXTENSION_PROC, 0, GL_NV_sample_locations);
    glResolveDepthValuesNV := getProc('glResolveDepthValuesNV',EXTENSION_PROC, 0, GL_NV_sample_locations);
  end;

  GL_NV_sample_mask_override_coverage := Pos('GL_NV_sample_mask_override_coverage ', exts) > 0;
  GL_NV_shader_atomic_counters := Pos('GL_NV_shader_atomic_counters ', exts) > 0;
  GL_NV_shader_atomic_float := Pos('GL_NV_shader_atomic_float ', exts) > 0;
  GL_NV_shader_atomic_fp16_vector := Pos('GL_NV_shader_atomic_fp16_vector ', exts) > 0;
  GL_NV_shader_atomic_int64 := Pos('GL_NV_shader_atomic_int64 ', exts) > 0;
  GL_NV_shader_buffer_load := Pos('GL_NV_shader_buffer_load ', exts) > 0;
  if GL_NV_shader_buffer_load then
  begin
    glMakeBufferResidentNV := getProc('glMakeBufferResidentNV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
    glMakeBufferNonResidentNV := getProc('glMakeBufferNonResidentNV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
    glIsBufferResidentNV := getProc('glIsBufferResidentNV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
    glMakeNamedBufferResidentNV := getProc('glMakeNamedBufferResidentNV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
    glMakeNamedBufferNonResidentNV := getProc('glMakeNamedBufferNonResidentNV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
    glIsNamedBufferResidentNV := getProc('glIsNamedBufferResidentNV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
    glGetBufferParameterui64vNV := getProc('glGetBufferParameterui64vNV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
    glGetNamedBufferParameterui64vNV := getProc('glGetNamedBufferParameterui64vNV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
    glGetIntegerui64vNV := getProc('glGetIntegerui64vNV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
    glUniformui64NV := getProc('glUniformui64NV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
    glUniformui64vNV := getProc('glUniformui64vNV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
//*2
    glGetUniformui64vNV := getProc('glGetUniformui64vNV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
    glProgramUniformui64NV := getProc('glProgramUniformui64NV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
    glProgramUniformui64vNV := getProc('glProgramUniformui64vNV',EXTENSION_PROC, 0, GL_NV_shader_buffer_load);
  end;

  GL_NV_shader_buffer_store := Pos('GL_NV_shader_buffer_store ', exts) > 0;
  GL_NV_shader_storage_buffer_object := Pos('GL_NV_shader_storage_buffer_object ', exts) > 0;
  GL_NV_shader_thread_group := Pos('GL_NV_shader_thread_group ', exts) > 0;
  GL_NV_shader_thread_shuffle := Pos('GL_NV_shader_thread_shuffle ', exts) > 0;
  GL_NV_tessellation_program5 := Pos('GL_NV_tessellation_program5 ', exts) > 0;
  GL_NV_texgen_emboss := Pos('GL_NV_texgen_emboss ', exts) > 0;
  GL_NV_texgen_reflection := Pos('GL_NV_texgen_reflection ', exts) > 0;
  GL_NV_texture_barrier := Pos('GL_NV_texture_barrier ', exts) > 0;
  if GL_NV_texture_barrier then
  begin
    glTextureBarrierNV := getProc('glTextureBarrierNV',EXTENSION_PROC, 0, GL_NV_texture_barrier);
  end;

  GL_NV_texture_compression_vtc := Pos('GL_NV_texture_compression_vtc ', exts) > 0;
  GL_NV_texture_env_combine4 := Pos('GL_NV_texture_env_combine4 ', exts) > 0;
  GL_NV_texture_expand_normal := Pos('GL_NV_texture_expand_normal ', exts) > 0;
  GL_NV_texture_multisample := Pos('GL_NV_texture_multisample ', exts) > 0;
  if GL_NV_texture_multisample then
  begin
    glTexImage2DMultisampleCoverageNV := getProc('glTexImage2DMultisampleCoverageNV',EXTENSION_PROC, 0, GL_NV_texture_multisample);
    glTexImage3DMultisampleCoverageNV := getProc('glTexImage3DMultisampleCoverageNV',EXTENSION_PROC, 0, GL_NV_texture_multisample);
    glTextureImage2DMultisampleNV := getProc('glTextureImage2DMultisampleNV',EXTENSION_PROC, 0, GL_NV_texture_multisample);
    glTextureImage3DMultisampleNV := getProc('glTextureImage3DMultisampleNV',EXTENSION_PROC, 0, GL_NV_texture_multisample);
    glTextureImage2DMultisampleCoverageNV := getProc('glTextureImage2DMultisampleCoverageNV',EXTENSION_PROC, 0, GL_NV_texture_multisample);
    glTextureImage3DMultisampleCoverageNV := getProc('glTextureImage3DMultisampleCoverageNV',EXTENSION_PROC, 0, GL_NV_texture_multisample);
  end;

  GL_NV_texture_rectangle := Pos('GL_NV_texture_rectangle ', exts) > 0;
  GL_NV_texture_shader := Pos('GL_NV_texture_shader ', exts) > 0;
  GL_NV_texture_shader2 := Pos('GL_NV_texture_shader2 ', exts) > 0;
  GL_NV_texture_shader3 := Pos('GL_NV_texture_shader3 ', exts) > 0;
  GL_NV_transform_feedback := Pos('GL_NV_transform_feedback ', exts) > 0;
  if GL_NV_transform_feedback then
  begin
    glBeginTransformFeedbackNV := getProc('glBeginTransformFeedbackNV',EXTENSION_PROC, 0, GL_NV_transform_feedback);
    glEndTransformFeedbackNV := getProc('glEndTransformFeedbackNV',EXTENSION_PROC, 0, GL_NV_transform_feedback);
    glTransformFeedbackAttribsNV := getProc('glTransformFeedbackAttribsNV',EXTENSION_PROC, 0, GL_NV_transform_feedback);
    glBindBufferRangeNV := getProc('glBindBufferRangeNV',EXTENSION_PROC, 0, GL_NV_transform_feedback);
    glBindBufferOffsetNV := getProc('glBindBufferOffsetNV',EXTENSION_PROC, 0, GL_NV_transform_feedback);
    glBindBufferBaseNV := getProc('glBindBufferBaseNV',EXTENSION_PROC, 0, GL_NV_transform_feedback);
    glTransformFeedbackVaryingsNV := getProc('glTransformFeedbackVaryingsNV',EXTENSION_PROC, 0, GL_NV_transform_feedback);
    glActiveVaryingNV := getProc('glActiveVaryingNV',EXTENSION_PROC, 0, GL_NV_transform_feedback);
    glGetVaryingLocationNV := getProc('glGetVaryingLocationNV',EXTENSION_PROC, 0, GL_NV_transform_feedback);
    glGetActiveVaryingNV := getProc('glGetActiveVaryingNV',EXTENSION_PROC, 0, GL_NV_transform_feedback);
    glGetTransformFeedbackVaryingNV := getProc('glGetTransformFeedbackVaryingNV',EXTENSION_PROC, 0, GL_NV_transform_feedback);
    glTransformFeedbackStreamAttribsNV := getProc('glTransformFeedbackStreamAttribsNV',EXTENSION_PROC, 0, GL_NV_transform_feedback);
  end;

  GL_NV_transform_feedback2 := Pos('GL_NV_transform_feedback2 ', exts) > 0;
  if GL_NV_transform_feedback2 then
  begin
    glBindTransformFeedbackNV := getProc('glBindTransformFeedbackNV',EXTENSION_PROC, 0, GL_NV_transform_feedback2);
    glDeleteTransformFeedbacksNV := getProc('glDeleteTransformFeedbacksNV',EXTENSION_PROC, 0, GL_NV_transform_feedback2);
    glGenTransformFeedbacksNV := getProc('glGenTransformFeedbacksNV',EXTENSION_PROC, 0, GL_NV_transform_feedback2);
    glIsTransformFeedbackNV := getProc('glIsTransformFeedbackNV',EXTENSION_PROC, 0, GL_NV_transform_feedback2);
    glPauseTransformFeedbackNV := getProc('glPauseTransformFeedbackNV',EXTENSION_PROC, 0, GL_NV_transform_feedback2);
    glResumeTransformFeedbackNV := getProc('glResumeTransformFeedbackNV',EXTENSION_PROC, 0, GL_NV_transform_feedback2);
    glDrawTransformFeedbackNV := getProc('glDrawTransformFeedbackNV',EXTENSION_PROC, 0, GL_NV_transform_feedback2);
  end;

  GL_NV_uniform_buffer_unified_memory := Pos('GL_NV_uniform_buffer_unified_memory ', exts) > 0;
  GL_NV_vdpau_interop := Pos('GL_NV_vdpau_interop ', exts) > 0;
  if GL_NV_vdpau_interop then
  begin
    glVDPAUInitNV := getProc('glVDPAUInitNV',EXTENSION_PROC, 0, GL_NV_vdpau_interop);
    glVDPAUFiniNV := getProc('glVDPAUFiniNV',EXTENSION_PROC, 0, GL_NV_vdpau_interop);
    glVDPAURegisterVideoSurfaceNV := getProc('glVDPAURegisterVideoSurfaceNV',EXTENSION_PROC, 0, GL_NV_vdpau_interop);
    glVDPAURegisterOutputSurfaceNV := getProc('glVDPAURegisterOutputSurfaceNV',EXTENSION_PROC, 0, GL_NV_vdpau_interop);
    glVDPAUIsSurfaceNV := getProc('glVDPAUIsSurfaceNV',EXTENSION_PROC, 0, GL_NV_vdpau_interop);
    glVDPAUUnregisterSurfaceNV := getProc('glVDPAUUnregisterSurfaceNV',EXTENSION_PROC, 0, GL_NV_vdpau_interop);
    glVDPAUGetSurfaceivNV := getProc('glVDPAUGetSurfaceivNV',EXTENSION_PROC, 0, GL_NV_vdpau_interop);
    glVDPAUSurfaceAccessNV := getProc('glVDPAUSurfaceAccessNV',EXTENSION_PROC, 0, GL_NV_vdpau_interop);
    glVDPAUMapSurfacesNV := getProc('glVDPAUMapSurfacesNV',EXTENSION_PROC, 0, GL_NV_vdpau_interop);
    glVDPAUUnmapSurfacesNV := getProc('glVDPAUUnmapSurfacesNV',EXTENSION_PROC, 0, GL_NV_vdpau_interop);
  end;

  GL_NV_vertex_array_range := Pos('GL_NV_vertex_array_range ', exts) > 0;
  if GL_NV_vertex_array_range then
  begin
    glFlushVertexArrayRangeNV := getProc('glFlushVertexArrayRangeNV',EXTENSION_PROC, 0, GL_NV_vertex_array_range);
    glVertexArrayRangeNV := getProc('glVertexArrayRangeNV',EXTENSION_PROC, 0, GL_NV_vertex_array_range);
  end;

  GL_NV_vertex_array_range2 := Pos('GL_NV_vertex_array_range2 ', exts) > 0;
  GL_NV_vertex_attrib_integer_64bit := Pos('GL_NV_vertex_attrib_integer_64bit ', exts) > 0;
  if GL_NV_vertex_attrib_integer_64bit then
  begin
    glVertexAttribL1i64NV := getProc('glVertexAttribL1i64NV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL2i64NV := getProc('glVertexAttribL2i64NV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL3i64NV := getProc('glVertexAttribL3i64NV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL4i64NV := getProc('glVertexAttribL4i64NV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL1i64vNV := getProc('glVertexAttribL1i64vNV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL2i64vNV := getProc('glVertexAttribL2i64vNV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL3i64vNV := getProc('glVertexAttribL3i64vNV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL4i64vNV := getProc('glVertexAttribL4i64vNV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL1ui64NV := getProc('glVertexAttribL1ui64NV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL2ui64NV := getProc('glVertexAttribL2ui64NV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL3ui64NV := getProc('glVertexAttribL3ui64NV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL4ui64NV := getProc('glVertexAttribL4ui64NV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL1ui64vNV := getProc('glVertexAttribL1ui64vNV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL2ui64vNV := getProc('glVertexAttribL2ui64vNV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL3ui64vNV := getProc('glVertexAttribL3ui64vNV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribL4ui64vNV := getProc('glVertexAttribL4ui64vNV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glGetVertexAttribLi64vNV := getProc('glGetVertexAttribLi64vNV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glGetVertexAttribLui64vNV := getProc('glGetVertexAttribLui64vNV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
    glVertexAttribLFormatNV := getProc('glVertexAttribLFormatNV',EXTENSION_PROC, 0, GL_NV_vertex_attrib_integer_64bit);
  end;

  GL_NV_vertex_buffer_unified_memory := Pos('GL_NV_vertex_buffer_unified_memory ', exts) > 0;
  if GL_NV_vertex_buffer_unified_memory then
  begin
    glBufferAddressRangeNV := getProc('glBufferAddressRangeNV',EXTENSION_PROC, 0, GL_NV_vertex_buffer_unified_memory);
    glVertexFormatNV := getProc('glVertexFormatNV',EXTENSION_PROC, 0, GL_NV_vertex_buffer_unified_memory);
    glNormalFormatNV := getProc('glNormalFormatNV',EXTENSION_PROC, 0, GL_NV_vertex_buffer_unified_memory);
    glColorFormatNV := getProc('glColorFormatNV',EXTENSION_PROC, 0, GL_NV_vertex_buffer_unified_memory);
    glIndexFormatNV := getProc('glIndexFormatNV',EXTENSION_PROC, 0, GL_NV_vertex_buffer_unified_memory);
    glTexCoordFormatNV := getProc('glTexCoordFormatNV',EXTENSION_PROC, 0, GL_NV_vertex_buffer_unified_memory);
    glEdgeFlagFormatNV := getProc('glEdgeFlagFormatNV',EXTENSION_PROC, 0, GL_NV_vertex_buffer_unified_memory);
    glSecondaryColorFormatNV := getProc('glSecondaryColorFormatNV',EXTENSION_PROC, 0, GL_NV_vertex_buffer_unified_memory);
    glFogCoordFormatNV := getProc('glFogCoordFormatNV',EXTENSION_PROC, 0, GL_NV_vertex_buffer_unified_memory);
    glVertexAttribFormatNV := getProc('glVertexAttribFormatNV',EXTENSION_PROC, 0, GL_NV_vertex_buffer_unified_memory);
    glVertexAttribIFormatNV := getProc('glVertexAttribIFormatNV',EXTENSION_PROC, 0, GL_NV_vertex_buffer_unified_memory);
    glGetIntegerui64i_vNV := getProc('glGetIntegerui64i_vNV',EXTENSION_PROC, 0, GL_NV_vertex_buffer_unified_memory);
  end;

  GL_NV_vertex_program := Pos('GL_NV_vertex_program ', exts) > 0;
  if GL_NV_vertex_program then
  begin
    glAreProgramsResidentNV := getProc('glAreProgramsResidentNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glBindProgramNV := getProc('glBindProgramNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glDeleteProgramsNV := getProc('glDeleteProgramsNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glExecuteProgramNV := getProc('glExecuteProgramNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glGenProgramsNV := getProc('glGenProgramsNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glGetProgramParameterdvNV := getProc('glGetProgramParameterdvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glGetProgramParameterfvNV := getProc('glGetProgramParameterfvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glGetProgramivNV := getProc('glGetProgramivNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glGetProgramStringNV := getProc('glGetProgramStringNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glGetTrackMatrixivNV := getProc('glGetTrackMatrixivNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glGetVertexAttribdvNV := getProc('glGetVertexAttribdvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glGetVertexAttribfvNV := getProc('glGetVertexAttribfvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glGetVertexAttribivNV := getProc('glGetVertexAttribivNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glGetVertexAttribPointervNV := getProc('glGetVertexAttribPointervNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glIsProgramNV := getProc('glIsProgramNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glLoadProgramNV := getProc('glLoadProgramNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glProgramParameter4dNV := getProc('glProgramParameter4dNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glProgramParameter4dvNV := getProc('glProgramParameter4dvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glProgramParameter4fNV := getProc('glProgramParameter4fNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glProgramParameter4fvNV := getProc('glProgramParameter4fvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glProgramParameters4dvNV := getProc('glProgramParameters4dvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glProgramParameters4fvNV := getProc('glProgramParameters4fvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glRequestResidentProgramsNV := getProc('glRequestResidentProgramsNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glTrackMatrixNV := getProc('glTrackMatrixNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribPointerNV := getProc('glVertexAttribPointerNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib1dNV := getProc('glVertexAttrib1dNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib1dvNV := getProc('glVertexAttrib1dvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib1fNV := getProc('glVertexAttrib1fNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib1fvNV := getProc('glVertexAttrib1fvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib1sNV := getProc('glVertexAttrib1sNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib1svNV := getProc('glVertexAttrib1svNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib2dNV := getProc('glVertexAttrib2dNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib2dvNV := getProc('glVertexAttrib2dvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib2fNV := getProc('glVertexAttrib2fNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib2fvNV := getProc('glVertexAttrib2fvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib2sNV := getProc('glVertexAttrib2sNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib2svNV := getProc('glVertexAttrib2svNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib3dNV := getProc('glVertexAttrib3dNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib3dvNV := getProc('glVertexAttrib3dvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib3fNV := getProc('glVertexAttrib3fNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib3fvNV := getProc('glVertexAttrib3fvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib3sNV := getProc('glVertexAttrib3sNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib3svNV := getProc('glVertexAttrib3svNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib4dNV := getProc('glVertexAttrib4dNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib4dvNV := getProc('glVertexAttrib4dvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib4fNV := getProc('glVertexAttrib4fNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib4fvNV := getProc('glVertexAttrib4fvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib4sNV := getProc('glVertexAttrib4sNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib4svNV := getProc('glVertexAttrib4svNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib4ubNV := getProc('glVertexAttrib4ubNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttrib4ubvNV := getProc('glVertexAttrib4ubvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs1dvNV := getProc('glVertexAttribs1dvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs1fvNV := getProc('glVertexAttribs1fvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs1svNV := getProc('glVertexAttribs1svNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs2dvNV := getProc('glVertexAttribs2dvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs2fvNV := getProc('glVertexAttribs2fvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs2svNV := getProc('glVertexAttribs2svNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs3dvNV := getProc('glVertexAttribs3dvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs3fvNV := getProc('glVertexAttribs3fvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs3svNV := getProc('glVertexAttribs3svNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs4dvNV := getProc('glVertexAttribs4dvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs4fvNV := getProc('glVertexAttribs4fvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs4svNV := getProc('glVertexAttribs4svNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
    glVertexAttribs4ubvNV := getProc('glVertexAttribs4ubvNV',EXTENSION_PROC, 0, GL_NV_vertex_program);
  end;

  GL_NV_vertex_program1_1 := Pos('GL_NV_vertex_program1_1 ', exts) > 0;
  GL_NV_vertex_program2 := Pos('GL_NV_vertex_program2 ', exts) > 0;
  GL_NV_vertex_program2_option := Pos('GL_NV_vertex_program2_option ', exts) > 0;
  GL_NV_vertex_program3 := Pos('GL_NV_vertex_program3 ', exts) > 0;
  GL_NV_vertex_program4 := Pos('GL_NV_vertex_program4 ', exts) > 0;
  if GL_NV_vertex_program4 then
  begin
    glVertexAttribI1iEXT := getProc('glVertexAttribI1iEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI2iEXT := getProc('glVertexAttribI2iEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI3iEXT := getProc('glVertexAttribI3iEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI4iEXT := getProc('glVertexAttribI4iEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI1uiEXT := getProc('glVertexAttribI1uiEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI2uiEXT := getProc('glVertexAttribI2uiEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI3uiEXT := getProc('glVertexAttribI3uiEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI4uiEXT := getProc('glVertexAttribI4uiEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI1ivEXT := getProc('glVertexAttribI1ivEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI2ivEXT := getProc('glVertexAttribI2ivEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI3ivEXT := getProc('glVertexAttribI3ivEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI4ivEXT := getProc('glVertexAttribI4ivEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI1uivEXT := getProc('glVertexAttribI1uivEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI2uivEXT := getProc('glVertexAttribI2uivEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI3uivEXT := getProc('glVertexAttribI3uivEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI4uivEXT := getProc('glVertexAttribI4uivEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI4bvEXT := getProc('glVertexAttribI4bvEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI4svEXT := getProc('glVertexAttribI4svEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI4ubvEXT := getProc('glVertexAttribI4ubvEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribI4usvEXT := getProc('glVertexAttribI4usvEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glVertexAttribIPointerEXT := getProc('glVertexAttribIPointerEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glGetVertexAttribIivEXT := getProc('glGetVertexAttribIivEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
    glGetVertexAttribIuivEXT := getProc('glGetVertexAttribIuivEXT',EXTENSION_PROC, 0, GL_NV_vertex_program4);
  end;

  GL_NV_video_capture := Pos('GL_NV_video_capture ', exts) > 0;
  if GL_NV_video_capture then
  begin
    glBeginVideoCaptureNV := getProc('glBeginVideoCaptureNV',EXTENSION_PROC, 0, GL_NV_video_capture);
    glBindVideoCaptureStreamBufferNV := getProc('glBindVideoCaptureStreamBufferNV',EXTENSION_PROC, 0, GL_NV_video_capture);
    glBindVideoCaptureStreamTextureNV := getProc('glBindVideoCaptureStreamTextureNV',EXTENSION_PROC, 0, GL_NV_video_capture);
    glEndVideoCaptureNV := getProc('glEndVideoCaptureNV',EXTENSION_PROC, 0, GL_NV_video_capture);
    glGetVideoCaptureivNV := getProc('glGetVideoCaptureivNV',EXTENSION_PROC, 0, GL_NV_video_capture);
    glGetVideoCaptureStreamivNV := getProc('glGetVideoCaptureStreamivNV',EXTENSION_PROC, 0, GL_NV_video_capture);
    glGetVideoCaptureStreamfvNV := getProc('glGetVideoCaptureStreamfvNV',EXTENSION_PROC, 0, GL_NV_video_capture);
    glGetVideoCaptureStreamdvNV := getProc('glGetVideoCaptureStreamdvNV',EXTENSION_PROC, 0, GL_NV_video_capture);
    glVideoCaptureNV := getProc('glVideoCaptureNV',EXTENSION_PROC, 0, GL_NV_video_capture);
    glVideoCaptureStreamParameterivNV := getProc('glVideoCaptureStreamParameterivNV',EXTENSION_PROC, 0, GL_NV_video_capture);
    glVideoCaptureStreamParameterfvNV := getProc('glVideoCaptureStreamParameterfvNV',EXTENSION_PROC, 0, GL_NV_video_capture);
    glVideoCaptureStreamParameterdvNV := getProc('glVideoCaptureStreamParameterdvNV',EXTENSION_PROC, 0, GL_NV_video_capture);
  end;

  GL_OES_EGL_image := Pos('GL_OES_EGL_image ', exts) > 0;
  if GL_OES_EGL_image then
  begin
    glEGLImageTargetTexture2DOES := getProc('glEGLImageTargetTexture2DOES',EXTENSION_PROC, 0, GL_OES_EGL_image);
    glEGLImageTargetRenderbufferStorageOES := getProc('glEGLImageTargetRenderbufferStorageOES',EXTENSION_PROC, 0, GL_OES_EGL_image);
  end;

  GL_OML_interlace := Pos('GL_OML_interlace ', exts) > 0;
  GL_OML_resample := Pos('GL_OML_resample ', exts) > 0;
  GL_OML_subsample := Pos('GL_OML_subsample ', exts) > 0;
  GL_PGI_misc_hints := Pos('GL_PGI_misc_hints ', exts) > 0;
  if GL_PGI_misc_hints then
  begin
    glHintPGI := getProc('glHintPGI',EXTENSION_PROC, 0, GL_PGI_misc_hints);
  end;

  GL_PGI_vertex_hints := Pos('GL_PGI_vertex_hints ', exts) > 0;
  GL_REND_screen_coordinates := Pos('GL_REND_screen_coordinates ', exts) > 0;
  GL_S3_s3tc := Pos('GL_S3_s3tc ', exts) > 0;
  GL_SGIS_detail_texture := Pos('GL_SGIS_detail_texture ', exts) > 0;
  if GL_SGIS_detail_texture then
  begin
    glDetailTexFuncSGIS := getProc('glDetailTexFuncSGIS',EXTENSION_PROC, 0, GL_SGIS_detail_texture);
    glGetDetailTexFuncSGIS := getProc('glGetDetailTexFuncSGIS',EXTENSION_PROC, 0, GL_SGIS_detail_texture);
  end;

  GL_SGIS_fog_function := Pos('GL_SGIS_fog_function ', exts) > 0;
  if GL_SGIS_fog_function then
  begin
    glFogFuncSGIS := getProc('glFogFuncSGIS',EXTENSION_PROC, 0, GL_SGIS_fog_function);
    glGetFogFuncSGIS := getProc('glGetFogFuncSGIS',EXTENSION_PROC, 0, GL_SGIS_fog_function);
  end;

  GL_SGIS_generate_mipmap := Pos('GL_SGIS_generate_mipmap ', exts) > 0;
  GL_SGIS_multisample := Pos('GL_SGIS_multisample ', exts) > 0;
  if GL_SGIS_multisample then
  begin
    glSampleMaskSGIS := getProc('glSampleMaskSGIS',EXTENSION_PROC, 0, GL_SGIS_multisample);
    glSamplePatternSGIS := getProc('glSamplePatternSGIS',EXTENSION_PROC, 0, GL_SGIS_multisample);
  end;

  GL_SGIS_pixel_texture := Pos('GL_SGIS_pixel_texture ', exts) > 0;
  if GL_SGIS_pixel_texture then
  begin
    glPixelTexGenParameteriSGIS := getProc('glPixelTexGenParameteriSGIS',EXTENSION_PROC, 0, GL_SGIS_pixel_texture);
    glPixelTexGenParameterivSGIS := getProc('glPixelTexGenParameterivSGIS',EXTENSION_PROC, 0, GL_SGIS_pixel_texture);
    glPixelTexGenParameterfSGIS := getProc('glPixelTexGenParameterfSGIS',EXTENSION_PROC, 0, GL_SGIS_pixel_texture);
    glPixelTexGenParameterfvSGIS := getProc('glPixelTexGenParameterfvSGIS',EXTENSION_PROC, 0, GL_SGIS_pixel_texture);
    glGetPixelTexGenParameterivSGIS := getProc('glGetPixelTexGenParameterivSGIS',EXTENSION_PROC, 0, GL_SGIS_pixel_texture);
    glGetPixelTexGenParameterfvSGIS := getProc('glGetPixelTexGenParameterfvSGIS',EXTENSION_PROC, 0, GL_SGIS_pixel_texture);
  end;

  GL_SGIS_point_line_texgen := Pos('GL_SGIS_point_line_texgen ', exts) > 0;
  GL_SGIS_point_parameters := Pos('GL_SGIS_point_parameters ', exts) > 0;
  if GL_SGIS_point_parameters then
  begin
    glPointParameterfSGIS := getProc('glPointParameterfSGIS',EXTENSION_PROC, 0, GL_SGIS_point_parameters);
    glPointParameterfvSGIS := getProc('glPointParameterfvSGIS',EXTENSION_PROC, 0, GL_SGIS_point_parameters);
  end;

  GL_SGIS_sharpen_texture := Pos('GL_SGIS_sharpen_texture ', exts) > 0;
  if GL_SGIS_sharpen_texture then
  begin
    glSharpenTexFuncSGIS := getProc('glSharpenTexFuncSGIS',EXTENSION_PROC, 0, GL_SGIS_sharpen_texture);
    glGetSharpenTexFuncSGIS := getProc('glGetSharpenTexFuncSGIS',EXTENSION_PROC, 0, GL_SGIS_sharpen_texture);
  end;

  GL_SGIS_texture4D := Pos('GL_SGIS_texture4D ', exts) > 0;
  if GL_SGIS_texture4D then
  begin
    glTexImage4DSGIS := getProc('glTexImage4DSGIS',EXTENSION_PROC, 0, GL_SGIS_texture4D);
    glTexSubImage4DSGIS := getProc('glTexSubImage4DSGIS',EXTENSION_PROC, 0, GL_SGIS_texture4D);
  end;

  GL_SGIS_texture_border_clamp := Pos('GL_SGIS_texture_border_clamp ', exts) > 0;
  GL_SGIS_texture_color_mask := Pos('GL_SGIS_texture_color_mask ', exts) > 0;
  if GL_SGIS_texture_color_mask then
  begin
    glTextureColorMaskSGIS := getProc('glTextureColorMaskSGIS',EXTENSION_PROC, 0, GL_SGIS_texture_color_mask);
  end;

  GL_SGIS_texture_edge_clamp := Pos('GL_SGIS_texture_edge_clamp ', exts) > 0;
  GL_SGIS_texture_filter4 := Pos('GL_SGIS_texture_filter4 ', exts) > 0;
  if GL_SGIS_texture_filter4 then
  begin
    glGetTexFilterFuncSGIS := getProc('glGetTexFilterFuncSGIS',EXTENSION_PROC, 0, GL_SGIS_texture_filter4);
    glTexFilterFuncSGIS := getProc('glTexFilterFuncSGIS',EXTENSION_PROC, 0, GL_SGIS_texture_filter4);
  end;

  GL_SGIS_texture_lod := Pos('GL_SGIS_texture_lod ', exts) > 0;
  GL_SGIS_texture_select := Pos('GL_SGIS_texture_select ', exts) > 0;
  GL_SGIX_async := Pos('GL_SGIX_async ', exts) > 0;
  if GL_SGIX_async then
  begin
    glAsyncMarkerSGIX := getProc('glAsyncMarkerSGIX',EXTENSION_PROC, 0, GL_SGIX_async);
    glFinishAsyncSGIX := getProc('glFinishAsyncSGIX',EXTENSION_PROC, 0, GL_SGIX_async);
    glPollAsyncSGIX := getProc('glPollAsyncSGIX',EXTENSION_PROC, 0, GL_SGIX_async);
    glGenAsyncMarkersSGIX := getProc('glGenAsyncMarkersSGIX',EXTENSION_PROC, 0, GL_SGIX_async);
    glDeleteAsyncMarkersSGIX := getProc('glDeleteAsyncMarkersSGIX',EXTENSION_PROC, 0, GL_SGIX_async);
    glIsAsyncMarkerSGIX := getProc('glIsAsyncMarkerSGIX',EXTENSION_PROC, 0, GL_SGIX_async);
  end;

  GL_SGIX_async_histogram := Pos('GL_SGIX_async_histogram ', exts) > 0;
  GL_SGIX_async_pixel := Pos('GL_SGIX_async_pixel ', exts) > 0;
  GL_SGIX_blend_alpha_minmax := Pos('GL_SGIX_blend_alpha_minmax ', exts) > 0;
  GL_SGIX_calligraphic_fragment := Pos('GL_SGIX_calligraphic_fragment ', exts) > 0;
  GL_SGIX_clipmap := Pos('GL_SGIX_clipmap ', exts) > 0;
  GL_SGIX_convolution_accuracy := Pos('GL_SGIX_convolution_accuracy ', exts) > 0;
  GL_SGIX_depth_pass_instrument := Pos('GL_SGIX_depth_pass_instrument ', exts) > 0;
  GL_SGIX_depth_texture := Pos('GL_SGIX_depth_texture ', exts) > 0;
  GL_SGIX_flush_raster := Pos('GL_SGIX_flush_raster ', exts) > 0;
  if GL_SGIX_flush_raster then
  begin
    glFlushRasterSGIX := getProc('glFlushRasterSGIX',EXTENSION_PROC, 0, GL_SGIX_flush_raster);
  end;

  GL_SGIX_fog_offset := Pos('GL_SGIX_fog_offset ', exts) > 0;
  GL_SGIX_fragment_lighting := Pos('GL_SGIX_fragment_lighting ', exts) > 0;
  if GL_SGIX_fragment_lighting then
  begin
    glFragmentColorMaterialSGIX := getProc('glFragmentColorMaterialSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glFragmentLightfSGIX := getProc('glFragmentLightfSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glFragmentLightfvSGIX := getProc('glFragmentLightfvSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glFragmentLightiSGIX := getProc('glFragmentLightiSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glFragmentLightivSGIX := getProc('glFragmentLightivSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glFragmentLightModelfSGIX := getProc('glFragmentLightModelfSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glFragmentLightModelfvSGIX := getProc('glFragmentLightModelfvSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glFragmentLightModeliSGIX := getProc('glFragmentLightModeliSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glFragmentLightModelivSGIX := getProc('glFragmentLightModelivSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glFragmentMaterialfSGIX := getProc('glFragmentMaterialfSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glFragmentMaterialfvSGIX := getProc('glFragmentMaterialfvSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glFragmentMaterialiSGIX := getProc('glFragmentMaterialiSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glFragmentMaterialivSGIX := getProc('glFragmentMaterialivSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glGetFragmentLightfvSGIX := getProc('glGetFragmentLightfvSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glGetFragmentLightivSGIX := getProc('glGetFragmentLightivSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glGetFragmentMaterialfvSGIX := getProc('glGetFragmentMaterialfvSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glGetFragmentMaterialivSGIX := getProc('glGetFragmentMaterialivSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
    glLightEnviSGIX := getProc('glLightEnviSGIX',EXTENSION_PROC, 0, GL_SGIX_fragment_lighting);
  end;

  GL_SGIX_framezoom := Pos('GL_SGIX_framezoom ', exts) > 0;
  if GL_SGIX_framezoom then
  begin
    glFrameZoomSGIX := getProc('glFrameZoomSGIX',EXTENSION_PROC, 0, GL_SGIX_framezoom);
  end;

  GL_SGIX_igloo_interface := Pos('GL_SGIX_igloo_interface ', exts) > 0;
  if GL_SGIX_igloo_interface then
  begin
    glIglooInterfaceSGIX := getProc('glIglooInterfaceSGIX',EXTENSION_PROC, 0, GL_SGIX_igloo_interface);
  end;

  GL_SGIX_instruments := Pos('GL_SGIX_instruments ', exts) > 0;
  if GL_SGIX_instruments then
  begin
    glGetInstrumentsSGIX := getProc('glGetInstrumentsSGIX',EXTENSION_PROC, 0, GL_SGIX_instruments);
    glInstrumentsBufferSGIX := getProc('glInstrumentsBufferSGIX',EXTENSION_PROC, 0, GL_SGIX_instruments);
    glPollInstrumentsSGIX := getProc('glPollInstrumentsSGIX',EXTENSION_PROC, 0, GL_SGIX_instruments);
    glReadInstrumentsSGIX := getProc('glReadInstrumentsSGIX',EXTENSION_PROC, 0, GL_SGIX_instruments);
    glStartInstrumentsSGIX := getProc('glStartInstrumentsSGIX',EXTENSION_PROC, 0, GL_SGIX_instruments);
    glStopInstrumentsSGIX := getProc('glStopInstrumentsSGIX',EXTENSION_PROC, 0, GL_SGIX_instruments);
  end;

  GL_SGIX_interlace := Pos('GL_SGIX_interlace ', exts) > 0;
  GL_SGIX_ir_instrument1 := Pos('GL_SGIX_ir_instrument1 ', exts) > 0;
  GL_SGIX_list_priority := Pos('GL_SGIX_list_priority ', exts) > 0;
  if GL_SGIX_list_priority then
  begin
    glGetListParameterfvSGIX := getProc('glGetListParameterfvSGIX',EXTENSION_PROC, 0, GL_SGIX_list_priority);
    glGetListParameterivSGIX := getProc('glGetListParameterivSGIX',EXTENSION_PROC, 0, GL_SGIX_list_priority);
    glListParameterfSGIX := getProc('glListParameterfSGIX',EXTENSION_PROC, 0, GL_SGIX_list_priority);
    glListParameterfvSGIX := getProc('glListParameterfvSGIX',EXTENSION_PROC, 0, GL_SGIX_list_priority);
    glListParameteriSGIX := getProc('glListParameteriSGIX',EXTENSION_PROC, 0, GL_SGIX_list_priority);
    glListParameterivSGIX := getProc('glListParameterivSGIX',EXTENSION_PROC, 0, GL_SGIX_list_priority);
  end;

  GL_SGIX_pixel_texture := Pos('GL_SGIX_pixel_texture ', exts) > 0;
  if GL_SGIX_pixel_texture then
  begin
    glPixelTexGenSGIX := getProc('glPixelTexGenSGIX',EXTENSION_PROC, 0, GL_SGIX_pixel_texture);
  end;

  GL_SGIX_pixel_tiles := Pos('GL_SGIX_pixel_tiles ', exts) > 0;
  GL_SGIX_polynomial_ffd := Pos('GL_SGIX_polynomial_ffd ', exts) > 0;
  if GL_SGIX_polynomial_ffd then
  begin
    glDeformationMap3dSGIX := getProc('glDeformationMap3dSGIX',EXTENSION_PROC, 0, GL_SGIX_polynomial_ffd);
    glDeformationMap3fSGIX := getProc('glDeformationMap3fSGIX',EXTENSION_PROC, 0, GL_SGIX_polynomial_ffd);
    glDeformSGIX := getProc('glDeformSGIX',EXTENSION_PROC, 0, GL_SGIX_polynomial_ffd);
    glLoadIdentityDeformationMapSGIX := getProc('glLoadIdentityDeformationMapSGIX',EXTENSION_PROC, 0, GL_SGIX_polynomial_ffd);
  end;

  GL_SGIX_reference_plane := Pos('GL_SGIX_reference_plane ', exts) > 0;
  if GL_SGIX_reference_plane then
  begin
    glReferencePlaneSGIX := getProc('glReferencePlaneSGIX',EXTENSION_PROC, 0, GL_SGIX_reference_plane);
  end;

  GL_SGIX_resample := Pos('GL_SGIX_resample ', exts) > 0;
  GL_SGIX_scalebias_hint := Pos('GL_SGIX_scalebias_hint ', exts) > 0;
  GL_SGIX_shadow := Pos('GL_SGIX_shadow ', exts) > 0;
  GL_SGIX_shadow_ambient := Pos('GL_SGIX_shadow_ambient ', exts) > 0;
  GL_SGIX_sprite := Pos('GL_SGIX_sprite ', exts) > 0;
  if GL_SGIX_sprite then
  begin
    glSpriteParameterfSGIX := getProc('glSpriteParameterfSGIX',EXTENSION_PROC, 0, GL_SGIX_sprite);
    glSpriteParameterfvSGIX := getProc('glSpriteParameterfvSGIX',EXTENSION_PROC, 0, GL_SGIX_sprite);
    glSpriteParameteriSGIX := getProc('glSpriteParameteriSGIX',EXTENSION_PROC, 0, GL_SGIX_sprite);
    glSpriteParameterivSGIX := getProc('glSpriteParameterivSGIX',EXTENSION_PROC, 0, GL_SGIX_sprite);
  end;

  GL_SGIX_subsample := Pos('GL_SGIX_subsample ', exts) > 0;
  GL_SGIX_tag_sample_buffer := Pos('GL_SGIX_tag_sample_buffer ', exts) > 0;
  if GL_SGIX_tag_sample_buffer then
  begin
    glTagSampleBufferSGIX := getProc('glTagSampleBufferSGIX',EXTENSION_PROC, 0, GL_SGIX_tag_sample_buffer);
  end;

  GL_SGIX_texture_add_env := Pos('GL_SGIX_texture_add_env ', exts) > 0;
  GL_SGIX_texture_coordinate_clamp := Pos('GL_SGIX_texture_coordinate_clamp ', exts) > 0;
  GL_SGIX_texture_lod_bias := Pos('GL_SGIX_texture_lod_bias ', exts) > 0;
  GL_SGIX_texture_multi_buffer := Pos('GL_SGIX_texture_multi_buffer ', exts) > 0;
  GL_SGIX_texture_scale_bias := Pos('GL_SGIX_texture_scale_bias ', exts) > 0;
  GL_SGIX_vertex_preclip := Pos('GL_SGIX_vertex_preclip ', exts) > 0;
  GL_SGIX_ycrcb := Pos('GL_SGIX_ycrcb ', exts) > 0;
  GL_SGIX_ycrcb_subsample := Pos('GL_SGIX_ycrcb_subsample ', exts) > 0;
  GL_SGIX_ycrcba := Pos('GL_SGIX_ycrcba ', exts) > 0;
  GL_SGI_color_matrix := Pos('GL_SGI_color_matrix ', exts) > 0;
  GL_SGI_color_table := Pos('GL_SGI_color_table ', exts) > 0;
  if GL_SGI_color_table then
  begin
    glColorTableSGI := getProc('glColorTableSGI',EXTENSION_PROC, 0, GL_SGI_color_table);
    glColorTableParameterfvSGI := getProc('glColorTableParameterfvSGI',EXTENSION_PROC, 0, GL_SGI_color_table);
    glColorTableParameterivSGI := getProc('glColorTableParameterivSGI',EXTENSION_PROC, 0, GL_SGI_color_table);
    glCopyColorTableSGI := getProc('glCopyColorTableSGI',EXTENSION_PROC, 0, GL_SGI_color_table);
    glGetColorTableSGI := getProc('glGetColorTableSGI',EXTENSION_PROC, 0, GL_SGI_color_table);
    glGetColorTableParameterfvSGI := getProc('glGetColorTableParameterfvSGI',EXTENSION_PROC, 0, GL_SGI_color_table);
    glGetColorTableParameterivSGI := getProc('glGetColorTableParameterivSGI',EXTENSION_PROC, 0, GL_SGI_color_table);
  end;

  GL_SGI_texture_color_table := Pos('GL_SGI_texture_color_table ', exts) > 0;
  GL_SUNX_constant_data := Pos('GL_SUNX_constant_data ', exts) > 0;
  if GL_SUNX_constant_data then
  begin
    glFinishTextureSUNX := getProc('glFinishTextureSUNX',EXTENSION_PROC, 0, GL_SUNX_constant_data);
  end;

  GL_SUN_convolution_border_modes := Pos('GL_SUN_convolution_border_modes ', exts) > 0;
  GL_SUN_global_alpha := Pos('GL_SUN_global_alpha ', exts) > 0;
  if GL_SUN_global_alpha then
  begin
    glGlobalAlphaFactorbSUN := getProc('glGlobalAlphaFactorbSUN',EXTENSION_PROC, 0, GL_SUN_global_alpha);
    glGlobalAlphaFactorsSUN := getProc('glGlobalAlphaFactorsSUN',EXTENSION_PROC, 0, GL_SUN_global_alpha);
    glGlobalAlphaFactoriSUN := getProc('glGlobalAlphaFactoriSUN',EXTENSION_PROC, 0, GL_SUN_global_alpha);
    glGlobalAlphaFactorfSUN := getProc('glGlobalAlphaFactorfSUN',EXTENSION_PROC, 0, GL_SUN_global_alpha);
    glGlobalAlphaFactordSUN := getProc('glGlobalAlphaFactordSUN',EXTENSION_PROC, 0, GL_SUN_global_alpha);
    glGlobalAlphaFactorubSUN := getProc('glGlobalAlphaFactorubSUN',EXTENSION_PROC, 0, GL_SUN_global_alpha);
    glGlobalAlphaFactorusSUN := getProc('glGlobalAlphaFactorusSUN',EXTENSION_PROC, 0, GL_SUN_global_alpha);
    glGlobalAlphaFactoruiSUN := getProc('glGlobalAlphaFactoruiSUN',EXTENSION_PROC, 0, GL_SUN_global_alpha);
  end;

  GL_SUN_mesh_array := Pos('GL_SUN_mesh_array ', exts) > 0;
  if GL_SUN_mesh_array then
  begin
    glDrawMeshArraysSUN := getProc('glDrawMeshArraysSUN',EXTENSION_PROC, 0, GL_SUN_mesh_array);
  end;

  GL_SUN_slice_accum := Pos('GL_SUN_slice_accum ', exts) > 0;
  GL_SUN_triangle_list := Pos('GL_SUN_triangle_list ', exts) > 0;
  if GL_SUN_triangle_list then
  begin
    glReplacementCodeuiSUN := getProc('glReplacementCodeuiSUN',EXTENSION_PROC, 0, GL_SUN_triangle_list);
    glReplacementCodeusSUN := getProc('glReplacementCodeusSUN',EXTENSION_PROC, 0, GL_SUN_triangle_list);
    glReplacementCodeubSUN := getProc('glReplacementCodeubSUN',EXTENSION_PROC, 0, GL_SUN_triangle_list);
    glReplacementCodeuivSUN := getProc('glReplacementCodeuivSUN',EXTENSION_PROC, 0, GL_SUN_triangle_list);
    glReplacementCodeusvSUN := getProc('glReplacementCodeusvSUN',EXTENSION_PROC, 0, GL_SUN_triangle_list);
    glReplacementCodeubvSUN := getProc('glReplacementCodeubvSUN',EXTENSION_PROC, 0, GL_SUN_triangle_list);
    glReplacementCodePointerSUN := getProc('glReplacementCodePointerSUN',EXTENSION_PROC, 0, GL_SUN_triangle_list);
  end;

  GL_SUN_vertex := Pos('GL_SUN_vertex ', exts) > 0;
  if GL_SUN_vertex then
  begin
    glColor4ubVertex2fSUN := getProc('glColor4ubVertex2fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glColor4ubVertex2fvSUN := getProc('glColor4ubVertex2fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glColor4ubVertex3fSUN := getProc('glColor4ubVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glColor4ubVertex3fvSUN := getProc('glColor4ubVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glColor3fVertex3fSUN := getProc('glColor3fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glColor3fVertex3fvSUN := getProc('glColor3fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glNormal3fVertex3fSUN := getProc('glNormal3fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glNormal3fVertex3fvSUN := getProc('glNormal3fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glColor4fNormal3fVertex3fSUN := getProc('glColor4fNormal3fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glColor4fNormal3fVertex3fvSUN := getProc('glColor4fNormal3fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord2fVertex3fSUN := getProc('glTexCoord2fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord2fVertex3fvSUN := getProc('glTexCoord2fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord4fVertex4fSUN := getProc('glTexCoord4fVertex4fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord4fVertex4fvSUN := getProc('glTexCoord4fVertex4fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord2fColor4ubVertex3fSUN := getProc('glTexCoord2fColor4ubVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord2fColor4ubVertex3fvSUN := getProc('glTexCoord2fColor4ubVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord2fColor3fVertex3fSUN := getProc('glTexCoord2fColor3fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord2fColor3fVertex3fvSUN := getProc('glTexCoord2fColor3fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord2fNormal3fVertex3fSUN := getProc('glTexCoord2fNormal3fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord2fNormal3fVertex3fvSUN := getProc('glTexCoord2fNormal3fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord2fColor4fNormal3fVertex3fSUN := getProc('glTexCoord2fColor4fNormal3fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord2fColor4fNormal3fVertex3fvSUN := getProc('glTexCoord2fColor4fNormal3fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord4fColor4fNormal3fVertex4fSUN := getProc('glTexCoord4fColor4fNormal3fVertex4fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glTexCoord4fColor4fNormal3fVertex4fvSUN := getProc('glTexCoord4fColor4fNormal3fVertex4fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiVertex3fSUN := getProc('glReplacementCodeuiVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiVertex3fvSUN := getProc('glReplacementCodeuiVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiColor4ubVertex3fSUN := getProc('glReplacementCodeuiColor4ubVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiColor4ubVertex3fvSUN := getProc('glReplacementCodeuiColor4ubVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiColor3fVertex3fSUN := getProc('glReplacementCodeuiColor3fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiColor3fVertex3fvSUN := getProc('glReplacementCodeuiColor3fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiNormal3fVertex3fSUN := getProc('glReplacementCodeuiNormal3fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiNormal3fVertex3fvSUN := getProc('glReplacementCodeuiNormal3fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiColor4fNormal3fVertex3fSUN := getProc('glReplacementCodeuiColor4fNormal3fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiColor4fNormal3fVertex3fvSUN := getProc('glReplacementCodeuiColor4fNormal3fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiTexCoord2fVertex3fSUN := getProc('glReplacementCodeuiTexCoord2fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiTexCoord2fVertex3fvSUN := getProc('glReplacementCodeuiTexCoord2fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN := getProc('glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN := getProc('glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN := getProc('glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
    glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN := getProc('glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN',EXTENSION_PROC, 0, GL_SUN_vertex);
  end;

  GL_WIN_phong_shading := Pos('GL_WIN_phong_shading ', exts) > 0;
  GL_WIN_specular_fog := Pos('GL_WIN_specular_fog ', exts) > 0;
end;

procedure ClearOpenGL_ExtensionCommands;
begin
  {GL_VERSION_1_1}
  GL_VERSION_1_1 := false;
  glDrawArrays := nil;
  glDrawElements := nil;
  glGetPointerv := nil;
  glPolygonOffset := nil;
  glCopyTexImage1D := nil;
  glCopyTexImage2D := nil;
  glCopyTexSubImage1D := nil;
  glCopyTexSubImage2D := nil;
  glTexSubImage1D := nil;
  glTexSubImage2D := nil;
  glBindTexture := nil;
  glDeleteTextures := nil;
  glGenTextures := nil;
  glIsTexture := nil;
  glArrayElement := nil;
  glColorPointer := nil;
  glDisableClientState := nil;
  glEdgeFlagPointer := nil;
  glEnableClientState := nil;
  glIndexPointer := nil;
  glInterleavedArrays := nil;
  glNormalPointer := nil;
  glTexCoordPointer := nil;
  glVertexPointer := nil;
  glAreTexturesResident := nil;
  glPrioritizeTextures := nil;
  glIndexub := nil;
  glIndexubv := nil;
  glPopClientAttrib := nil;
  glPushClientAttrib := nil;
  {GL_VERSION_1_2}
  GL_VERSION_1_2 := false;
  glDrawRangeElements := nil;
  glTexImage3D := nil;
  glTexSubImage3D := nil;
  glCopyTexSubImage3D := nil;
  {GL_VERSION_1_3}
  GL_VERSION_1_3 := false;
  glActiveTexture := nil;
  glSampleCoverage := nil;
  glCompressedTexImage3D := nil;
  glCompressedTexImage2D := nil;
  glCompressedTexImage1D := nil;
  glCompressedTexSubImage3D := nil;
  glCompressedTexSubImage2D := nil;
  glCompressedTexSubImage1D := nil;
  glGetCompressedTexImage := nil;
  glClientActiveTexture := nil;
  glMultiTexCoord1d := nil;
  glMultiTexCoord1dv := nil;
  glMultiTexCoord1f := nil;
  glMultiTexCoord1fv := nil;
  glMultiTexCoord1i := nil;
  glMultiTexCoord1iv := nil;
  glMultiTexCoord1s := nil;
  glMultiTexCoord1sv := nil;
  glMultiTexCoord2d := nil;
  glMultiTexCoord2dv := nil;
  glMultiTexCoord2f := nil;
  glMultiTexCoord2fv := nil;
  glMultiTexCoord2i := nil;
  glMultiTexCoord2iv := nil;
  glMultiTexCoord2s := nil;
  glMultiTexCoord2sv := nil;
  glMultiTexCoord3d := nil;
  glMultiTexCoord3dv := nil;
  glMultiTexCoord3f := nil;
  glMultiTexCoord3fv := nil;
  glMultiTexCoord3i := nil;
  glMultiTexCoord3iv := nil;
  glMultiTexCoord3s := nil;
  glMultiTexCoord3sv := nil;
  glMultiTexCoord4d := nil;
  glMultiTexCoord4dv := nil;
  glMultiTexCoord4f := nil;
  glMultiTexCoord4fv := nil;
  glMultiTexCoord4i := nil;
  glMultiTexCoord4iv := nil;
  glMultiTexCoord4s := nil;
  glMultiTexCoord4sv := nil;
  glLoadTransposeMatrixf := nil;
  glLoadTransposeMatrixd := nil;
  glMultTransposeMatrixf := nil;
  glMultTransposeMatrixd := nil;
  {GL_VERSION_1_4}
  GL_VERSION_1_4 := false;
  glBlendFuncSeparate := nil;
  glMultiDrawArrays := nil;
  glMultiDrawElements := nil;
  glPointParameterf := nil;
  glPointParameterfv := nil;
  glPointParameteri := nil;
  glPointParameteriv := nil;
  glFogCoordf := nil;
  glFogCoordfv := nil;
  glFogCoordd := nil;
  glFogCoorddv := nil;
  glFogCoordPointer := nil;
  glSecondaryColor3b := nil;
  glSecondaryColor3bv := nil;
  glSecondaryColor3d := nil;
  glSecondaryColor3dv := nil;
  glSecondaryColor3f := nil;
  glSecondaryColor3fv := nil;
  glSecondaryColor3i := nil;
  glSecondaryColor3iv := nil;
  glSecondaryColor3s := nil;
  glSecondaryColor3sv := nil;
  glSecondaryColor3ub := nil;
  glSecondaryColor3ubv := nil;
  glSecondaryColor3ui := nil;
  glSecondaryColor3uiv := nil;
  glSecondaryColor3us := nil;
  glSecondaryColor3usv := nil;
  glSecondaryColorPointer := nil;
  glWindowPos2d := nil;
  glWindowPos2dv := nil;
  glWindowPos2f := nil;
  glWindowPos2fv := nil;
  glWindowPos2i := nil;
  glWindowPos2iv := nil;
  glWindowPos2s := nil;
  glWindowPos2sv := nil;
  glWindowPos3d := nil;
  glWindowPos3dv := nil;
  glWindowPos3f := nil;
  glWindowPos3fv := nil;
  glWindowPos3i := nil;
  glWindowPos3iv := nil;
  glWindowPos3s := nil;
  glWindowPos3sv := nil;
  glBlendColor := nil;
  glBlendEquation := nil;
  {GL_VERSION_1_5}
  GL_VERSION_1_5 := false;
  glGenQueries := nil;
  glDeleteQueries := nil;
  glIsQuery := nil;
  glBeginQuery := nil;
  glEndQuery := nil;
  glGetQueryiv := nil;
  glGetQueryObjectiv := nil;
  glGetQueryObjectuiv := nil;
  glBindBuffer := nil;
  glDeleteBuffers := nil;
  glGenBuffers := nil;
  glIsBuffer := nil;
  glBufferData := nil;
  glBufferSubData := nil;
  glGetBufferSubData := nil;
  glMapBuffer := nil;
  glUnmapBuffer := nil;
  glGetBufferParameteriv := nil;
  glGetBufferPointerv := nil;
  {GL_VERSION_2_0}
  GL_VERSION_2_0 := false;
  glBlendEquationSeparate := nil;
  glDrawBuffers := nil;
  glStencilOpSeparate := nil;
  glStencilFuncSeparate := nil;
  glStencilMaskSeparate := nil;
  glAttachShader := nil;
  glBindAttribLocation := nil;
  glCompileShader := nil;
  glCreateProgram := nil;
  glCreateShader := nil;
  glDeleteProgram := nil;
  glDeleteShader := nil;
  glDetachShader := nil;
  glDisableVertexAttribArray := nil;
  glEnableVertexAttribArray := nil;
  glGetActiveAttrib := nil;
  glGetActiveUniform := nil;
  glGetAttachedShaders := nil;
  glGetAttribLocation := nil;
  glGetProgramiv := nil;
  glGetProgramInfoLog := nil;
  glGetShaderiv := nil;
  glGetShaderInfoLog := nil;
  glGetShaderSource := nil;
  glGetUniformLocation := nil;
  glGetUniformfv := nil;
  glGetUniformiv := nil;
  glGetVertexAttribdv := nil;
  glGetVertexAttribfv := nil;
  glGetVertexAttribiv := nil;
  glGetVertexAttribPointerv := nil;
  glIsProgram := nil;
  glIsShader := nil;
  glLinkProgram := nil;
  glShaderSource := nil;
  glUseProgram := nil;
  glUniform1f := nil;
  glUniform2f := nil;
  glUniform3f := nil;
  glUniform4f := nil;
  glUniform1i := nil;
  glUniform2i := nil;
  glUniform3i := nil;
  glUniform4i := nil;
  glUniform1fv := nil;
  glUniform2fv := nil;
  glUniform3fv := nil;
  glUniform4fv := nil;
  glUniform1iv := nil;
  glUniform2iv := nil;
  glUniform3iv := nil;
  glUniform4iv := nil;
  glUniformMatrix2fv := nil;
  glUniformMatrix3fv := nil;
  glUniformMatrix4fv := nil;
  glValidateProgram := nil;
  glVertexAttrib1d := nil;
  glVertexAttrib1dv := nil;
  glVertexAttrib1f := nil;
  glVertexAttrib1fv := nil;
  glVertexAttrib1s := nil;
  glVertexAttrib1sv := nil;
  glVertexAttrib2d := nil;
  glVertexAttrib2dv := nil;
  glVertexAttrib2f := nil;
  glVertexAttrib2fv := nil;
  glVertexAttrib2s := nil;
  glVertexAttrib2sv := nil;
  glVertexAttrib3d := nil;
  glVertexAttrib3dv := nil;
  glVertexAttrib3f := nil;
  glVertexAttrib3fv := nil;
  glVertexAttrib3s := nil;
  glVertexAttrib3sv := nil;
  glVertexAttrib4Nbv := nil;
  glVertexAttrib4Niv := nil;
  glVertexAttrib4Nsv := nil;
  glVertexAttrib4Nub := nil;
  glVertexAttrib4Nubv := nil;
  glVertexAttrib4Nuiv := nil;
  glVertexAttrib4Nusv := nil;
  glVertexAttrib4bv := nil;
  glVertexAttrib4d := nil;
  glVertexAttrib4dv := nil;
  glVertexAttrib4f := nil;
  glVertexAttrib4fv := nil;
  glVertexAttrib4iv := nil;
  glVertexAttrib4s := nil;
  glVertexAttrib4sv := nil;
  glVertexAttrib4ubv := nil;
  glVertexAttrib4uiv := nil;
  glVertexAttrib4usv := nil;
  glVertexAttribPointer := nil;
  {GL_VERSION_2_1}
  GL_VERSION_2_1 := false;
  glUniformMatrix2x3fv := nil;
  glUniformMatrix3x2fv := nil;
  glUniformMatrix2x4fv := nil;
  glUniformMatrix4x2fv := nil;
  glUniformMatrix3x4fv := nil;
  glUniformMatrix4x3fv := nil;
  {GL_VERSION_3_0}
  GL_VERSION_3_0 := false;
  glColorMaski := nil;
  glGetBooleani_v := nil;
  glGetIntegeri_v := nil;
  glEnablei := nil;
  glDisablei := nil;
  glIsEnabledi := nil;
  glBeginTransformFeedback := nil;
  glEndTransformFeedback := nil;
  glBindBufferRange := nil;
  glBindBufferBase := nil;
  glTransformFeedbackVaryings := nil;
  glGetTransformFeedbackVarying := nil;
  glClampColor := nil;
  glBeginConditionalRender := nil;
  glEndConditionalRender := nil;
  glVertexAttribIPointer := nil;
  glGetVertexAttribIiv := nil;
  glGetVertexAttribIuiv := nil;
  glVertexAttribI1i := nil;
  glVertexAttribI2i := nil;
  glVertexAttribI3i := nil;
  glVertexAttribI4i := nil;
  glVertexAttribI1ui := nil;
  glVertexAttribI2ui := nil;
  glVertexAttribI3ui := nil;
  glVertexAttribI4ui := nil;
  glVertexAttribI1iv := nil;
  glVertexAttribI2iv := nil;
  glVertexAttribI3iv := nil;
  glVertexAttribI4iv := nil;
  glVertexAttribI1uiv := nil;
  glVertexAttribI2uiv := nil;
  glVertexAttribI3uiv := nil;
  glVertexAttribI4uiv := nil;
  glVertexAttribI4bv := nil;
  glVertexAttribI4sv := nil;
  glVertexAttribI4ubv := nil;
  glVertexAttribI4usv := nil;
  glGetUniformuiv := nil;
  glBindFragDataLocation := nil;
  glGetFragDataLocation := nil;
  glUniform1ui := nil;
  glUniform2ui := nil;
  glUniform3ui := nil;
  glUniform4ui := nil;
  glUniform1uiv := nil;
  glUniform2uiv := nil;
  glUniform3uiv := nil;
  glUniform4uiv := nil;
  glTexParameterIiv := nil;
  glTexParameterIuiv := nil;
  glGetTexParameterIiv := nil;
  glGetTexParameterIuiv := nil;
  glClearBufferiv := nil;
  glClearBufferuiv := nil;
  glClearBufferfv := nil;
  glClearBufferfi := nil;
  glGetStringi := nil;
  glIsRenderbuffer := nil;
  glBindRenderbuffer := nil;
  glDeleteRenderbuffers := nil;
  glGenRenderbuffers := nil;
  glRenderbufferStorage := nil;
  glGetRenderbufferParameteriv := nil;
  glIsFramebuffer := nil;
  glBindFramebuffer := nil;
  glDeleteFramebuffers := nil;
  glGenFramebuffers := nil;
  glCheckFramebufferStatus := nil;
  glFramebufferTexture1D := nil;
  glFramebufferTexture2D := nil;
  glFramebufferTexture3D := nil;
  glFramebufferRenderbuffer := nil;
  glGetFramebufferAttachmentParameteriv := nil;
  glGenerateMipmap := nil;
  glBlitFramebuffer := nil;
  glRenderbufferStorageMultisample := nil;
  glFramebufferTextureLayer := nil;
  glMapBufferRange := nil;
  glFlushMappedBufferRange := nil;
  glBindVertexArray := nil;
  glDeleteVertexArrays := nil;
  glGenVertexArrays := nil;
  glIsVertexArray := nil;
  {GL_VERSION_3_1}
  GL_VERSION_3_1 := false;
  glDrawArraysInstanced := nil;
  glDrawElementsInstanced := nil;
  glTexBuffer := nil;
  glPrimitiveRestartIndex := nil;
  glCopyBufferSubData := nil;
  glGetUniformIndices := nil;
  glGetActiveUniformsiv := nil;
  glGetActiveUniformName := nil;
  glGetUniformBlockIndex := nil;
  glGetActiveUniformBlockiv := nil;
  glGetActiveUniformBlockName := nil;
  glUniformBlockBinding := nil;
  {GL_VERSION_3_2}
  GL_VERSION_3_2 := false;
  glDrawElementsBaseVertex := nil;
  glDrawRangeElementsBaseVertex := nil;
  glDrawElementsInstancedBaseVertex := nil;
  glMultiDrawElementsBaseVertex := nil;
  glProvokingVertex := nil;
  glFenceSync := nil;
  glIsSync := nil;
  glDeleteSync := nil;
  glClientWaitSync := nil;
  glWaitSync := nil;
  glGetInteger64v := nil;
  glGetSynciv := nil;
  glGetInteger64i_v := nil;
  glGetBufferParameteri64v := nil;
  glFramebufferTexture := nil;
  glTexImage2DMultisample := nil;
  glTexImage3DMultisample := nil;
  glGetMultisamplefv := nil;
  glSampleMaski := nil;
  glNewList := nil;
  glEndList := nil;
  glCallList := nil;
  glCallLists := nil;
  glDeleteLists := nil;
  glGenLists := nil;
  glListBase := nil;
  glBegin := nil;
  glBitmap := nil;
  glColor3b := nil;
  glColor3bv := nil;
  glColor3d := nil;
  glColor3dv := nil;
  glColor3f := nil;
  glColor3fv := nil;
  glColor3i := nil;
  glColor3iv := nil;
  glColor3s := nil;
  glColor3sv := nil;
  glColor3ub := nil;
  glColor3ubv := nil;
  glColor3ui := nil;
  glColor3uiv := nil;
  glColor3us := nil;
  glColor3usv := nil;
  glColor4b := nil;
  glColor4bv := nil;
  glColor4d := nil;
  glColor4dv := nil;
  glColor4f := nil;
  glColor4fv := nil;
  glColor4i := nil;
  glColor4iv := nil;
  glColor4s := nil;
  glColor4sv := nil;
  glColor4ub := nil;
  glColor4ubv := nil;
  glColor4ui := nil;
  glColor4uiv := nil;
  glColor4us := nil;
  glColor4usv := nil;
  glEdgeFlag := nil;
  glEdgeFlagv := nil;
  glEnd := nil;
  glIndexd := nil;
  glIndexdv := nil;
  glIndexf := nil;
  glIndexfv := nil;
  glIndexi := nil;
  glIndexiv := nil;
  glIndexs := nil;
  glIndexsv := nil;
  glNormal3b := nil;
  glNormal3bv := nil;
  glNormal3d := nil;
  glNormal3dv := nil;
  glNormal3f := nil;
  glNormal3fv := nil;
  glNormal3i := nil;
  glNormal3iv := nil;
  glNormal3s := nil;
  glNormal3sv := nil;
  glRasterPos2d := nil;
  glRasterPos2dv := nil;
  glRasterPos2f := nil;
  glRasterPos2fv := nil;
  glRasterPos2i := nil;
  glRasterPos2iv := nil;
  glRasterPos2s := nil;
  glRasterPos2sv := nil;
  glRasterPos3d := nil;
  glRasterPos3dv := nil;
  glRasterPos3f := nil;
  glRasterPos3fv := nil;
  glRasterPos3i := nil;
  glRasterPos3iv := nil;
  glRasterPos3s := nil;
  glRasterPos3sv := nil;
  glRasterPos4d := nil;
  glRasterPos4dv := nil;
  glRasterPos4f := nil;
  glRasterPos4fv := nil;
  glRasterPos4i := nil;
  glRasterPos4iv := nil;
  glRasterPos4s := nil;
  glRasterPos4sv := nil;
  glRectd := nil;
  glRectdv := nil;
  glRectf := nil;
  glRectfv := nil;
  glRecti := nil;
  glRectiv := nil;
  glRects := nil;
  glRectsv := nil;
  glTexCoord1d := nil;
  glTexCoord1dv := nil;
  glTexCoord1f := nil;
  glTexCoord1fv := nil;
  glTexCoord1i := nil;
  glTexCoord1iv := nil;
  glTexCoord1s := nil;
  glTexCoord1sv := nil;
  glTexCoord2d := nil;
  glTexCoord2dv := nil;
  glTexCoord2f := nil;
  glTexCoord2fv := nil;
  glTexCoord2i := nil;
  glTexCoord2iv := nil;
  glTexCoord2s := nil;
  glTexCoord2sv := nil;
  glTexCoord3d := nil;
  glTexCoord3dv := nil;
  glTexCoord3f := nil;
  glTexCoord3fv := nil;
  glTexCoord3i := nil;
  glTexCoord3iv := nil;
  glTexCoord3s := nil;
  glTexCoord3sv := nil;
  glTexCoord4d := nil;
  glTexCoord4dv := nil;
  glTexCoord4f := nil;
  glTexCoord4fv := nil;
  glTexCoord4i := nil;
  glTexCoord4iv := nil;
  glTexCoord4s := nil;
  glTexCoord4sv := nil;
  glVertex2d := nil;
  glVertex2dv := nil;
  glVertex2f := nil;
  glVertex2fv := nil;
  glVertex2i := nil;
  glVertex2iv := nil;
  glVertex2s := nil;
  glVertex2sv := nil;
  glVertex3d := nil;
  glVertex3dv := nil;
  glVertex3f := nil;
  glVertex3fv := nil;
  glVertex3i := nil;
  glVertex3iv := nil;
  glVertex3s := nil;
  glVertex3sv := nil;
  glVertex4d := nil;
  glVertex4dv := nil;
  glVertex4f := nil;
  glVertex4fv := nil;
  glVertex4i := nil;
  glVertex4iv := nil;
  glVertex4s := nil;
  glVertex4sv := nil;
  glClipPlane := nil;
  glColorMaterial := nil;
  glFogf := nil;
  glFogfv := nil;
  glFogi := nil;
  glFogiv := nil;
  glLightf := nil;
  glLightfv := nil;
  glLighti := nil;
  glLightiv := nil;
  glLightModelf := nil;
  glLightModelfv := nil;
  glLightModeli := nil;
  glLightModeliv := nil;
  glLineStipple := nil;
  glMaterialf := nil;
  glMaterialfv := nil;
  glMateriali := nil;
  glMaterialiv := nil;
  glPolygonStipple := nil;
  glShadeModel := nil;
  glTexEnvf := nil;
  glTexEnvfv := nil;
  glTexEnvi := nil;
  glTexEnviv := nil;
  glTexGend := nil;
  glTexGendv := nil;
  glTexGenf := nil;
  glTexGenfv := nil;
  glTexGeni := nil;
  glTexGeniv := nil;
  glFeedbackBuffer := nil;
  glSelectBuffer := nil;
  glRenderMode := nil;
  glInitNames := nil;
  glLoadName := nil;
  glPassThrough := nil;
  glPopName := nil;
  glPushName := nil;
  glClearAccum := nil;
  glClearIndex := nil;
  glIndexMask := nil;
  glAccum := nil;
  glPopAttrib := nil;
  glPushAttrib := nil;
  glMap1d := nil;
  glMap1f := nil;
  glMap2d := nil;
  glMap2f := nil;
  glMapGrid1d := nil;
  glMapGrid1f := nil;
  glMapGrid2d := nil;
  glMapGrid2f := nil;
  glEvalCoord1d := nil;
  glEvalCoord1dv := nil;
  glEvalCoord1f := nil;
  glEvalCoord1fv := nil;
  glEvalCoord2d := nil;
  glEvalCoord2dv := nil;
  glEvalCoord2f := nil;
  glEvalCoord2fv := nil;
  glEvalMesh1 := nil;
  glEvalPoint1 := nil;
  glEvalMesh2 := nil;
  glEvalPoint2 := nil;
  glAlphaFunc := nil;
  glPixelZoom := nil;
  glPixelTransferf := nil;
  glPixelTransferi := nil;
  glPixelMapfv := nil;
  glPixelMapuiv := nil;
  glPixelMapusv := nil;
  glCopyPixels := nil;
  glDrawPixels := nil;
  glGetClipPlane := nil;
  glGetLightfv := nil;
  glGetLightiv := nil;
  glGetMapdv := nil;
  glGetMapfv := nil;
  glGetMapiv := nil;
  glGetMaterialfv := nil;
  glGetMaterialiv := nil;
  glGetPixelMapfv := nil;
  glGetPixelMapuiv := nil;
  glGetPixelMapusv := nil;
  glGetPolygonStipple := nil;
  glGetTexEnvfv := nil;
  glGetTexEnviv := nil;
  glGetTexGendv := nil;
  glGetTexGenfv := nil;
  glGetTexGeniv := nil;
  glIsList := nil;
  glFrustum := nil;
  glLoadIdentity := nil;
  glLoadMatrixf := nil;
  glLoadMatrixd := nil;
  glMatrixMode := nil;
  glMultMatrixf := nil;
  glMultMatrixd := nil;
  glOrtho := nil;
  glPopMatrix := nil;
  glPushMatrix := nil;
  glRotated := nil;
  glRotatef := nil;
  glScaled := nil;
  glScalef := nil;
  glTranslated := nil;
  glTranslatef := nil;
  {GL_VERSION_3_3}
  GL_VERSION_3_3 := false;
  glBindFragDataLocationIndexed := nil;
  glGetFragDataIndex := nil;
  glGenSamplers := nil;
  glDeleteSamplers := nil;
  glIsSampler := nil;
  glBindSampler := nil;
  glSamplerParameteri := nil;
  glSamplerParameteriv := nil;
  glSamplerParameterf := nil;
  glSamplerParameterfv := nil;
  glSamplerParameterIiv := nil;
  glSamplerParameterIuiv := nil;
  glGetSamplerParameteriv := nil;
  glGetSamplerParameterIiv := nil;
  glGetSamplerParameterfv := nil;
  glGetSamplerParameterIuiv := nil;
  glQueryCounter := nil;
  glGetQueryObjecti64v := nil;
  glGetQueryObjectui64v := nil;
  glVertexAttribDivisor := nil;
  glVertexAttribP1ui := nil;
  glVertexAttribP1uiv := nil;
  glVertexAttribP2ui := nil;
  glVertexAttribP2uiv := nil;
  glVertexAttribP3ui := nil;
  glVertexAttribP3uiv := nil;
  glVertexAttribP4ui := nil;
  glVertexAttribP4uiv := nil;
  glVertexP2ui := nil;
  glVertexP2uiv := nil;
  glVertexP3ui := nil;
  glVertexP3uiv := nil;
  glVertexP4ui := nil;
  glVertexP4uiv := nil;
  glTexCoordP1ui := nil;
  glTexCoordP1uiv := nil;
  glTexCoordP2ui := nil;
  glTexCoordP2uiv := nil;
  glTexCoordP3ui := nil;
  glTexCoordP3uiv := nil;
  glTexCoordP4ui := nil;
  glTexCoordP4uiv := nil;
  glMultiTexCoordP1ui := nil;
  glMultiTexCoordP1uiv := nil;
  glMultiTexCoordP2ui := nil;
  glMultiTexCoordP2uiv := nil;
  glMultiTexCoordP3ui := nil;
  glMultiTexCoordP3uiv := nil;
  glMultiTexCoordP4ui := nil;
  glMultiTexCoordP4uiv := nil;
  glNormalP3ui := nil;
  glNormalP3uiv := nil;
  glColorP3ui := nil;
  glColorP3uiv := nil;
  glColorP4ui := nil;
  glColorP4uiv := nil;
  glSecondaryColorP3ui := nil;
  glSecondaryColorP3uiv := nil;
  {GL_VERSION_4_0}
  GL_VERSION_4_0 := false;
  glMinSampleShading := nil;
  glBlendEquationi := nil;
  glBlendEquationSeparatei := nil;
  glBlendFunci := nil;
  glBlendFuncSeparatei := nil;
  glDrawArraysIndirect := nil;
  glDrawElementsIndirect := nil;
  glUniform1d := nil;
  glUniform2d := nil;
  glUniform3d := nil;
  glUniform4d := nil;
  glUniform1dv := nil;
  glUniform2dv := nil;
  glUniform3dv := nil;
  glUniform4dv := nil;
  glUniformMatrix2dv := nil;
  glUniformMatrix3dv := nil;
  glUniformMatrix4dv := nil;
  glUniformMatrix2x3dv := nil;
  glUniformMatrix2x4dv := nil;
  glUniformMatrix3x2dv := nil;
  glUniformMatrix3x4dv := nil;
  glUniformMatrix4x2dv := nil;
  glUniformMatrix4x3dv := nil;
  glGetUniformdv := nil;
  glGetSubroutineUniformLocation := nil;
  glGetSubroutineIndex := nil;
  glGetActiveSubroutineUniformiv := nil;
  glGetActiveSubroutineUniformName := nil;
  glGetActiveSubroutineName := nil;
  glUniformSubroutinesuiv := nil;
  glGetUniformSubroutineuiv := nil;
  glGetProgramStageiv := nil;
  glPatchParameteri := nil;
  glPatchParameterfv := nil;
  glBindTransformFeedback := nil;
  glDeleteTransformFeedbacks := nil;
  glGenTransformFeedbacks := nil;
  glIsTransformFeedback := nil;
  glPauseTransformFeedback := nil;
  glResumeTransformFeedback := nil;
  glDrawTransformFeedback := nil;
  glDrawTransformFeedbackStream := nil;
  glBeginQueryIndexed := nil;
  glEndQueryIndexed := nil;
  glGetQueryIndexediv := nil;
  {GL_VERSION_4_1}
  GL_VERSION_4_1 := false;
  glReleaseShaderCompiler := nil;
  glShaderBinary := nil;
  glGetShaderPrecisionFormat := nil;
  glDepthRangef := nil;
  glClearDepthf := nil;
  glGetProgramBinary := nil;
  glProgramBinary := nil;
  glProgramParameteri := nil;
  glUseProgramStages := nil;
  glActiveShaderProgram := nil;
  glCreateShaderProgramv := nil;
  glBindProgramPipeline := nil;
  glDeleteProgramPipelines := nil;
  glGenProgramPipelines := nil;
  glIsProgramPipeline := nil;
  glGetProgramPipelineiv := nil;
  glProgramUniform1i := nil;
  glProgramUniform1iv := nil;
  glProgramUniform1f := nil;
  glProgramUniform1fv := nil;
  glProgramUniform1d := nil;
  glProgramUniform1dv := nil;
  glProgramUniform1ui := nil;
  glProgramUniform1uiv := nil;
  glProgramUniform2i := nil;
  glProgramUniform2iv := nil;
  glProgramUniform2f := nil;
  glProgramUniform2fv := nil;
  glProgramUniform2d := nil;
  glProgramUniform2dv := nil;
  glProgramUniform2ui := nil;
  glProgramUniform2uiv := nil;
  glProgramUniform3i := nil;
  glProgramUniform3iv := nil;
  glProgramUniform3f := nil;
  glProgramUniform3fv := nil;
  glProgramUniform3d := nil;
  glProgramUniform3dv := nil;
  glProgramUniform3ui := nil;
  glProgramUniform3uiv := nil;
  glProgramUniform4i := nil;
  glProgramUniform4iv := nil;
  glProgramUniform4f := nil;
  glProgramUniform4fv := nil;
  glProgramUniform4d := nil;
  glProgramUniform4dv := nil;
  glProgramUniform4ui := nil;
  glProgramUniform4uiv := nil;
  glProgramUniformMatrix2fv := nil;
  glProgramUniformMatrix3fv := nil;
  glProgramUniformMatrix4fv := nil;
  glProgramUniformMatrix2dv := nil;
  glProgramUniformMatrix3dv := nil;
  glProgramUniformMatrix4dv := nil;
  glProgramUniformMatrix2x3fv := nil;
  glProgramUniformMatrix3x2fv := nil;
  glProgramUniformMatrix2x4fv := nil;
  glProgramUniformMatrix4x2fv := nil;
  glProgramUniformMatrix3x4fv := nil;
  glProgramUniformMatrix4x3fv := nil;
  glProgramUniformMatrix2x3dv := nil;
  glProgramUniformMatrix3x2dv := nil;
  glProgramUniformMatrix2x4dv := nil;
  glProgramUniformMatrix4x2dv := nil;
  glProgramUniformMatrix3x4dv := nil;
  glProgramUniformMatrix4x3dv := nil;
  glValidateProgramPipeline := nil;
  glGetProgramPipelineInfoLog := nil;
  glVertexAttribL1d := nil;
  glVertexAttribL2d := nil;
  glVertexAttribL3d := nil;
  glVertexAttribL4d := nil;
  glVertexAttribL1dv := nil;
  glVertexAttribL2dv := nil;
  glVertexAttribL3dv := nil;
  glVertexAttribL4dv := nil;
  glVertexAttribLPointer := nil;
  glGetVertexAttribLdv := nil;
  glViewportArrayv := nil;
  glViewportIndexedf := nil;
  glViewportIndexedfv := nil;
  glScissorArrayv := nil;
  glScissorIndexed := nil;
  glScissorIndexedv := nil;
  glDepthRangeArrayv := nil;
  glDepthRangeIndexed := nil;
  glGetFloati_v := nil;
  glGetDoublei_v := nil;
  {GL_VERSION_4_2}
  GL_VERSION_4_2 := false;
  glDrawArraysInstancedBaseInstance := nil;
  glDrawElementsInstancedBaseInstance := nil;
  glDrawElementsInstancedBaseVertexBaseInstance := nil;
  glGetInternalformativ := nil;
  glGetActiveAtomicCounterBufferiv := nil;
  glBindImageTexture := nil;
  glMemoryBarrier := nil;
  glTexStorage1D := nil;
  glTexStorage2D := nil;
  glTexStorage3D := nil;
  glDrawTransformFeedbackInstanced := nil;
  glDrawTransformFeedbackStreamInstanced := nil;
  {GL_VERSION_4_3}
  GL_VERSION_4_3 := false;
  glClearBufferData := nil;
  glClearBufferSubData := nil;
  glDispatchCompute := nil;
  glDispatchComputeIndirect := nil;
  glCopyImageSubData := nil;
  glFramebufferParameteri := nil;
  glGetFramebufferParameteriv := nil;
  glGetInternalformati64v := nil;
  glInvalidateTexSubImage := nil;
  glInvalidateTexImage := nil;
  glInvalidateBufferSubData := nil;
  glInvalidateBufferData := nil;
  glInvalidateFramebuffer := nil;
  glInvalidateSubFramebuffer := nil;
  glMultiDrawArraysIndirect := nil;
  glMultiDrawElementsIndirect := nil;
  glGetProgramInterfaceiv := nil;
  glGetProgramResourceIndex := nil;
  glGetProgramResourceName := nil;
  glGetProgramResourceiv := nil;
  glGetProgramResourceLocation := nil;
  glGetProgramResourceLocationIndex := nil;
  glShaderStorageBlockBinding := nil;
  glTexBufferRange := nil;
  glTexStorage2DMultisample := nil;
  glTexStorage3DMultisample := nil;
  glTextureView := nil;
  glBindVertexBuffer := nil;
  glVertexAttribFormat := nil;
  glVertexAttribIFormat := nil;
  glVertexAttribLFormat := nil;
  glVertexAttribBinding := nil;
  glVertexBindingDivisor := nil;
  glDebugMessageControl := nil;
  glDebugMessageInsert := nil;
  glDebugMessageCallback := nil;
  glGetDebugMessageLog := nil;
  glPushDebugGroup := nil;
  glPopDebugGroup := nil;
  glObjectLabel := nil;
  glGetObjectLabel := nil;
  glObjectPtrLabel := nil;
  glGetObjectPtrLabel := nil;
  {GL_VERSION_4_4}
  GL_VERSION_4_4 := false;
  glBufferStorage := nil;
  glClearTexImage := nil;
  glClearTexSubImage := nil;
  glBindBuffersBase := nil;
  glBindBuffersRange := nil;
  glBindTextures := nil;
  glBindSamplers := nil;
  glBindImageTextures := nil;
  glBindVertexBuffers := nil;
  {GL_VERSION_4_5}
  GL_VERSION_4_5 := false;
  glClipControl := nil;
  glCreateTransformFeedbacks := nil;
  glTransformFeedbackBufferBase := nil;
  glTransformFeedbackBufferRange := nil;
  glGetTransformFeedbackiv := nil;
  glGetTransformFeedbacki_v := nil;
  glGetTransformFeedbacki64_v := nil;
  glCreateBuffers := nil;
  glNamedBufferStorage := nil;
  glNamedBufferData := nil;
  glNamedBufferSubData := nil;
  glCopyNamedBufferSubData := nil;
  glClearNamedBufferData := nil;
  glClearNamedBufferSubData := nil;
  glMapNamedBuffer := nil;
  glMapNamedBufferRange := nil;
  glUnmapNamedBuffer := nil;
  glFlushMappedNamedBufferRange := nil;
  glGetNamedBufferParameteriv := nil;
  glGetNamedBufferParameteri64v := nil;
  glGetNamedBufferPointerv := nil;
  glGetNamedBufferSubData := nil;
  glCreateFramebuffers := nil;
  glNamedFramebufferRenderbuffer := nil;
  glNamedFramebufferParameteri := nil;
  glNamedFramebufferTexture := nil;
  glNamedFramebufferTextureLayer := nil;
  glNamedFramebufferDrawBuffer := nil;
  glNamedFramebufferDrawBuffers := nil;
  glNamedFramebufferReadBuffer := nil;
  glInvalidateNamedFramebufferData := nil;
  glInvalidateNamedFramebufferSubData := nil;
  glClearNamedFramebufferiv := nil;
  glClearNamedFramebufferuiv := nil;
  glClearNamedFramebufferfv := nil;
  glClearNamedFramebufferfi := nil;
  glBlitNamedFramebuffer := nil;
  glCheckNamedFramebufferStatus := nil;
  glGetNamedFramebufferParameteriv := nil;
  glGetNamedFramebufferAttachmentParameteriv := nil;
  glCreateRenderbuffers := nil;
  glNamedRenderbufferStorage := nil;
  glNamedRenderbufferStorageMultisample := nil;
  glGetNamedRenderbufferParameteriv := nil;
  glCreateTextures := nil;
  glTextureBuffer := nil;
  glTextureBufferRange := nil;
  glTextureStorage1D := nil;
  glTextureStorage2D := nil;
  glTextureStorage3D := nil;
  glTextureStorage2DMultisample := nil;
  glTextureStorage3DMultisample := nil;
  glTextureSubImage1D := nil;
  glTextureSubImage2D := nil;
  glTextureSubImage3D := nil;
  glCompressedTextureSubImage1D := nil;
  glCompressedTextureSubImage2D := nil;
  glCompressedTextureSubImage3D := nil;
  glCopyTextureSubImage1D := nil;
  glCopyTextureSubImage2D := nil;
  glCopyTextureSubImage3D := nil;
  glTextureParameterf := nil;
  glTextureParameterfv := nil;
  glTextureParameteri := nil;
  glTextureParameterIiv := nil;
  glTextureParameterIuiv := nil;
  glTextureParameteriv := nil;
  glGenerateTextureMipmap := nil;
  glBindTextureUnit := nil;
  glGetTextureImage := nil;
  glGetCompressedTextureImage := nil;
  glGetTextureLevelParameterfv := nil;
  glGetTextureLevelParameteriv := nil;
  glGetTextureParameterfv := nil;
  glGetTextureParameterIiv := nil;
  glGetTextureParameterIuiv := nil;
  glGetTextureParameteriv := nil;
  glCreateVertexArrays := nil;
  glDisableVertexArrayAttrib := nil;
  glEnableVertexArrayAttrib := nil;
  glVertexArrayElementBuffer := nil;
  glVertexArrayVertexBuffer := nil;
  glVertexArrayVertexBuffers := nil;
  glVertexArrayAttribBinding := nil;
  glVertexArrayAttribFormat := nil;
  glVertexArrayAttribIFormat := nil;
  glVertexArrayAttribLFormat := nil;
  glVertexArrayBindingDivisor := nil;
  glGetVertexArrayiv := nil;
  glGetVertexArrayIndexediv := nil;
  glGetVertexArrayIndexed64iv := nil;
  glCreateSamplers := nil;
  glCreateProgramPipelines := nil;
  glCreateQueries := nil;
  glGetQueryBufferObjecti64v := nil;
  glGetQueryBufferObjectiv := nil;
  glGetQueryBufferObjectui64v := nil;
  glGetQueryBufferObjectuiv := nil;
  glMemoryBarrierByRegion := nil;
  glGetTextureSubImage := nil;
  glGetCompressedTextureSubImage := nil;
  glGetGraphicsResetStatus := nil;
  glGetnCompressedTexImage := nil;
  glGetnTexImage := nil;
  glGetnUniformdv := nil;
  glGetnUniformfv := nil;
  glGetnUniformiv := nil;
  glGetnUniformuiv := nil;
  glReadnPixels := nil;
  glGetnMapdv := nil;
  glGetnMapfv := nil;
  glGetnMapiv := nil;
  glGetnPixelMapfv := nil;
  glGetnPixelMapuiv := nil;
  glGetnPixelMapusv := nil;
  glGetnPolygonStipple := nil;
  glGetnColorTable := nil;
  glGetnConvolutionFilter := nil;
  glGetnSeparableFilter := nil;
  glGetnHistogram := nil;
  glGetnMinmax := nil;
  glTextureBarrier := nil;
  GL_3DFX_multisample := false;
  GL_3DFX_tbuffer := false;
  glTbufferMask3DFX := nil;
  GL_3DFX_texture_compression_FXT1 := false;
  GL_AMD_blend_minmax_factor := false;
  GL_AMD_conservative_depth := false;
  GL_AMD_debug_output := false;
  glDebugMessageEnableAMD := nil;
  glDebugMessageInsertAMD := nil;
  glDebugMessageCallbackAMD := nil;
  glGetDebugMessageLogAMD := nil;
  GL_AMD_depth_clamp_separate := false;
  GL_AMD_draw_buffers_blend := false;
  glBlendFuncIndexedAMD := nil;
  glBlendFuncSeparateIndexedAMD := nil;
  glBlendEquationIndexedAMD := nil;
  glBlendEquationSeparateIndexedAMD := nil;
  GL_AMD_gcn_shader := false;
  GL_AMD_gpu_shader_int64 := false;
  glUniform1i64NV := nil;
  glUniform2i64NV := nil;
  glUniform3i64NV := nil;
  glUniform4i64NV := nil;
  glUniform1i64vNV := nil;
  glUniform2i64vNV := nil;
  glUniform3i64vNV := nil;
  glUniform4i64vNV := nil;
  glUniform1ui64NV := nil;
  glUniform2ui64NV := nil;
  glUniform3ui64NV := nil;
  glUniform4ui64NV := nil;
  glUniform1ui64vNV := nil;
  glUniform2ui64vNV := nil;
  glUniform3ui64vNV := nil;
  glUniform4ui64vNV := nil;
  glGetUniformi64vNV := nil;
  glGetUniformui64vNV := nil;
  glProgramUniform1i64NV := nil;
  glProgramUniform2i64NV := nil;
  glProgramUniform3i64NV := nil;
  glProgramUniform4i64NV := nil;
  glProgramUniform1i64vNV := nil;
  glProgramUniform2i64vNV := nil;
  glProgramUniform3i64vNV := nil;
  glProgramUniform4i64vNV := nil;
  glProgramUniform1ui64NV := nil;
  glProgramUniform2ui64NV := nil;
  glProgramUniform3ui64NV := nil;
  glProgramUniform4ui64NV := nil;
  glProgramUniform1ui64vNV := nil;
  glProgramUniform2ui64vNV := nil;
  glProgramUniform3ui64vNV := nil;
  glProgramUniform4ui64vNV := nil;
  GL_AMD_interleaved_elements := false;
  glVertexAttribParameteriAMD := nil;
  GL_AMD_multi_draw_indirect := false;
  glMultiDrawArraysIndirectAMD := nil;
  glMultiDrawElementsIndirectAMD := nil;
  GL_AMD_name_gen_delete := false;
  glGenNamesAMD := nil;
  glDeleteNamesAMD := nil;
  glIsNameAMD := nil;
  GL_AMD_occlusion_query_event := false;
  glQueryObjectParameteruiAMD := nil;
  GL_AMD_pinned_memory := false;
  GL_AMD_query_buffer_object := false;
  GL_AMD_sample_positions := false;
  glSetMultisamplefvAMD := nil;
  GL_AMD_seamless_cubemap_per_texture := false;
  GL_AMD_shader_atomic_counter_ops := false;
  GL_AMD_shader_stencil_export := false;
  GL_AMD_shader_trinary_minmax := false;
  GL_AMD_sparse_texture := false;
  glTexStorageSparseAMD := nil;
  glTextureStorageSparseAMD := nil;
  GL_AMD_stencil_operation_extended := false;
  glStencilOpValueAMD := nil;
  GL_AMD_texture_texture4 := false;
  GL_AMD_transform_feedback3_lines_triangles := false;
  GL_AMD_transform_feedback4 := false;
  GL_AMD_vertex_shader_layer := false;
  GL_AMD_vertex_shader_tessellator := false;
  glTessellationFactorAMD := nil;
  glTessellationModeAMD := nil;
  GL_AMD_vertex_shader_viewport_index := false;
  GL_APPLE_aux_depth_stencil := false;
  GL_APPLE_client_storage := false;
  GL_APPLE_element_array := false;
  glElementPointerAPPLE := nil;
  glDrawElementArrayAPPLE := nil;
  glDrawRangeElementArrayAPPLE := nil;
  glMultiDrawElementArrayAPPLE := nil;
  glMultiDrawRangeElementArrayAPPLE := nil;
  GL_APPLE_fence := false;
  glGenFencesAPPLE := nil;
  glDeleteFencesAPPLE := nil;
  glSetFenceAPPLE := nil;
  glIsFenceAPPLE := nil;
  glTestFenceAPPLE := nil;
  glFinishFenceAPPLE := nil;
  glTestObjectAPPLE := nil;
  glFinishObjectAPPLE := nil;
  GL_APPLE_float_pixels := false;
  GL_APPLE_flush_buffer_range := false;
  glBufferParameteriAPPLE := nil;
  glFlushMappedBufferRangeAPPLE := nil;
  GL_APPLE_object_purgeable := false;
  glObjectPurgeableAPPLE := nil;
  glObjectUnpurgeableAPPLE := nil;
  glGetObjectParameterivAPPLE := nil;
  GL_APPLE_row_bytes := false;
  GL_APPLE_specular_vector := false;
  GL_APPLE_texture_range := false;
  glTextureRangeAPPLE := nil;
  glGetTexParameterPointervAPPLE := nil;
  GL_APPLE_transform_hint := false;
  GL_APPLE_vertex_array_object := false;
  glBindVertexArrayAPPLE := nil;
  glDeleteVertexArraysAPPLE := nil;
  glGenVertexArraysAPPLE := nil;
  glIsVertexArrayAPPLE := nil;
  GL_APPLE_vertex_array_range := false;
  glVertexArrayRangeAPPLE := nil;
  glFlushVertexArrayRangeAPPLE := nil;
  glVertexArrayParameteriAPPLE := nil;
  GL_APPLE_vertex_program_evaluators := false;
  glEnableVertexAttribAPPLE := nil;
  glDisableVertexAttribAPPLE := nil;
  glIsVertexAttribEnabledAPPLE := nil;
  glMapVertexAttrib1dAPPLE := nil;
  glMapVertexAttrib1fAPPLE := nil;
  glMapVertexAttrib2dAPPLE := nil;
  glMapVertexAttrib2fAPPLE := nil;
  GL_APPLE_ycbcr_422 := false;
  GL_ARB_ES2_compatibility := false;
  glReleaseShaderCompiler := nil;
  glShaderBinary := nil;
  glGetShaderPrecisionFormat := nil;
  glDepthRangef := nil;
  glClearDepthf := nil;
  GL_ARB_color_buffer_float := false;
  glClampColorARB := nil;
  GL_ARB_compatibility := false;
  GL_ARB_depth_texture := false;
  GL_ARB_draw_buffers := false;
  glDrawBuffersARB := nil;
  GL_ARB_draw_instanced := false;
  glDrawArraysInstancedARB := nil;
  glDrawElementsInstancedARB := nil;
  GL_ARB_fragment_program := false;
  glProgramStringARB := nil;
  glBindProgramARB := nil;
  glDeleteProgramsARB := nil;
  glGenProgramsARB := nil;
  glProgramEnvParameter4dARB := nil;
  glProgramEnvParameter4dvARB := nil;
  glProgramEnvParameter4fARB := nil;
  glProgramEnvParameter4fvARB := nil;
  glProgramLocalParameter4dARB := nil;
  glProgramLocalParameter4dvARB := nil;
  glProgramLocalParameter4fARB := nil;
  glProgramLocalParameter4fvARB := nil;
  glGetProgramEnvParameterdvARB := nil;
  glGetProgramEnvParameterfvARB := nil;
  glGetProgramLocalParameterdvARB := nil;
  glGetProgramLocalParameterfvARB := nil;
  glGetProgramivARB := nil;
  glGetProgramStringARB := nil;
  glIsProgramARB := nil;
  GL_ARB_fragment_program_shadow := false;
  GL_ARB_fragment_shader := false;
  GL_ARB_geometry_shader4 := false;
  glProgramParameteriARB := nil;
  glFramebufferTextureARB := nil;
  glFramebufferTextureLayerARB := nil;
  glFramebufferTextureFaceARB := nil;
  GL_ARB_half_float_pixel := false;
  GL_ARB_instanced_arrays := false;
  glVertexAttribDivisorARB := nil;
  GL_ARB_matrix_palette := false;
  glCurrentPaletteMatrixARB := nil;
  glMatrixIndexubvARB := nil;
  glMatrixIndexusvARB := nil;
  glMatrixIndexuivARB := nil;
  glMatrixIndexPointerARB := nil;
  GL_ARB_multisample := false;
  glSampleCoverageARB := nil;
  GL_ARB_multitexture := false;
  glActiveTextureARB := nil;
  glClientActiveTextureARB := nil;
  glMultiTexCoord1dARB := nil;
  glMultiTexCoord1dvARB := nil;
  glMultiTexCoord1fARB := nil;
  glMultiTexCoord1fvARB := nil;
  glMultiTexCoord1iARB := nil;
  glMultiTexCoord1ivARB := nil;
  glMultiTexCoord1sARB := nil;
  glMultiTexCoord1svARB := nil;
  glMultiTexCoord2dARB := nil;
  glMultiTexCoord2dvARB := nil;
  glMultiTexCoord2fARB := nil;
  glMultiTexCoord2fvARB := nil;
  glMultiTexCoord2iARB := nil;
  glMultiTexCoord2ivARB := nil;
  glMultiTexCoord2sARB := nil;
  glMultiTexCoord2svARB := nil;
  glMultiTexCoord3dARB := nil;
  glMultiTexCoord3dvARB := nil;
  glMultiTexCoord3fARB := nil;
  glMultiTexCoord3fvARB := nil;
  glMultiTexCoord3iARB := nil;
  glMultiTexCoord3ivARB := nil;
  glMultiTexCoord3sARB := nil;
  glMultiTexCoord3svARB := nil;
  glMultiTexCoord4dARB := nil;
  glMultiTexCoord4dvARB := nil;
  glMultiTexCoord4fARB := nil;
  glMultiTexCoord4fvARB := nil;
  glMultiTexCoord4iARB := nil;
  glMultiTexCoord4ivARB := nil;
  glMultiTexCoord4sARB := nil;
  glMultiTexCoord4svARB := nil;
  GL_ARB_occlusion_query := false;
  glGenQueriesARB := nil;
  glDeleteQueriesARB := nil;
  glIsQueryARB := nil;
  glBeginQueryARB := nil;
  glEndQueryARB := nil;
  glGetQueryivARB := nil;
  glGetQueryObjectivARB := nil;
  glGetQueryObjectuivARB := nil;
  GL_ARB_pixel_buffer_object := false;
  GL_ARB_point_parameters := false;
  glPointParameterfARB := nil;
  glPointParameterfvARB := nil;
  GL_ARB_point_sprite := false;
  GL_ARB_shader_objects := false;
  glDeleteObjectARB := nil;
  glGetHandleARB := nil;
  glDetachObjectARB := nil;
  glCreateShaderObjectARB := nil;
  glShaderSourceARB := nil;
  glCompileShaderARB := nil;
  glCreateProgramObjectARB := nil;
  glAttachObjectARB := nil;
  glLinkProgramARB := nil;
  glUseProgramObjectARB := nil;
  glValidateProgramARB := nil;
  glUniform1fARB := nil;
  glUniform2fARB := nil;
  glUniform3fARB := nil;
  glUniform4fARB := nil;
  glUniform1iARB := nil;
  glUniform2iARB := nil;
  glUniform3iARB := nil;
  glUniform4iARB := nil;
  glUniform1fvARB := nil;
  glUniform2fvARB := nil;
  glUniform3fvARB := nil;
  glUniform4fvARB := nil;
  glUniform1ivARB := nil;
  glUniform2ivARB := nil;
  glUniform3ivARB := nil;
  glUniform4ivARB := nil;
  glUniformMatrix2fvARB := nil;
  glUniformMatrix3fvARB := nil;
  glUniformMatrix4fvARB := nil;
  glGetObjectParameterfvARB := nil;
  glGetObjectParameterivARB := nil;
  glGetInfoLogARB := nil;
  glGetAttachedObjectsARB := nil;
  glGetUniformLocationARB := nil;
  glGetActiveUniformARB := nil;
  glGetUniformfvARB := nil;
  glGetUniformivARB := nil;
  glGetShaderSourceARB := nil;
  GL_ARB_shader_texture_lod := false;
  GL_ARB_shading_language_100 := false;
  GL_ARB_shadow := false;
  GL_ARB_shadow_ambient := false;
  GL_ARB_texture_border_clamp := false;
  GL_ARB_texture_buffer_object := false;
  glTexBufferARB := nil;
  GL_ARB_texture_compression := false;
  glCompressedTexImage3DARB := nil;
  glCompressedTexImage2DARB := nil;
  glCompressedTexImage1DARB := nil;
  glCompressedTexSubImage3DARB := nil;
  glCompressedTexSubImage2DARB := nil;
  glCompressedTexSubImage1DARB := nil;
  glGetCompressedTexImageARB := nil;
  GL_ARB_texture_cube_map := false;
  GL_ARB_texture_env_add := false;
  GL_ARB_texture_env_combine := false;
  GL_ARB_texture_env_crossbar := false;
  GL_ARB_texture_env_dot3 := false;
  GL_ARB_texture_float := false;
  GL_ARB_texture_mirrored_repeat := false;
  GL_ARB_texture_non_power_of_two := false;
  GL_ARB_texture_rectangle := false;
  GL_ARB_transpose_matrix := false;
  glLoadTransposeMatrixfARB := nil;
  glLoadTransposeMatrixdARB := nil;
  glMultTransposeMatrixfARB := nil;
  glMultTransposeMatrixdARB := nil;
  GL_ARB_vertex_blend := false;
  glWeightbvARB := nil;
  glWeightsvARB := nil;
  glWeightivARB := nil;
  glWeightfvARB := nil;
  glWeightdvARB := nil;
  glWeightubvARB := nil;
  glWeightusvARB := nil;
  glWeightuivARB := nil;
  glWeightPointerARB := nil;
  glVertexBlendARB := nil;
  GL_ARB_vertex_buffer_object := false;
  glBindBufferARB := nil;
  glDeleteBuffersARB := nil;
  glGenBuffersARB := nil;
  glIsBufferARB := nil;
  glBufferDataARB := nil;
  glBufferSubDataARB := nil;
  glGetBufferSubDataARB := nil;
  glMapBufferARB := nil;
  glUnmapBufferARB := nil;
  glGetBufferParameterivARB := nil;
  glGetBufferPointervARB := nil;
  GL_ARB_vertex_program := false;
  glVertexAttrib1dARB := nil;
  glVertexAttrib1dvARB := nil;
  glVertexAttrib1fARB := nil;
  glVertexAttrib1fvARB := nil;
  glVertexAttrib1sARB := nil;
  glVertexAttrib1svARB := nil;
  glVertexAttrib2dARB := nil;
  glVertexAttrib2dvARB := nil;
  glVertexAttrib2fARB := nil;
  glVertexAttrib2fvARB := nil;
  glVertexAttrib2sARB := nil;
  glVertexAttrib2svARB := nil;
  glVertexAttrib3dARB := nil;
  glVertexAttrib3dvARB := nil;
  glVertexAttrib3fARB := nil;
  glVertexAttrib3fvARB := nil;
  glVertexAttrib3sARB := nil;
  glVertexAttrib3svARB := nil;
  glVertexAttrib4NbvARB := nil;
  glVertexAttrib4NivARB := nil;
  glVertexAttrib4NsvARB := nil;
  glVertexAttrib4NubARB := nil;
  glVertexAttrib4NubvARB := nil;
  glVertexAttrib4NuivARB := nil;
  glVertexAttrib4NusvARB := nil;
  glVertexAttrib4bvARB := nil;
  glVertexAttrib4dARB := nil;
  glVertexAttrib4dvARB := nil;
  glVertexAttrib4fARB := nil;
  glVertexAttrib4fvARB := nil;
  glVertexAttrib4ivARB := nil;
  glVertexAttrib4sARB := nil;
  glVertexAttrib4svARB := nil;
  glVertexAttrib4ubvARB := nil;
  glVertexAttrib4uivARB := nil;
  glVertexAttrib4usvARB := nil;
  glVertexAttribPointerARB := nil;
  glEnableVertexAttribArrayARB := nil;
  glDisableVertexAttribArrayARB := nil;
  glProgramStringARB := nil;
  glBindProgramARB := nil;
  glDeleteProgramsARB := nil;
  glGenProgramsARB := nil;
  glProgramEnvParameter4dARB := nil;
  glProgramEnvParameter4dvARB := nil;
  glProgramEnvParameter4fARB := nil;
  glProgramEnvParameter4fvARB := nil;
  glProgramLocalParameter4dARB := nil;
  glProgramLocalParameter4dvARB := nil;
  glProgramLocalParameter4fARB := nil;
  glProgramLocalParameter4fvARB := nil;
  glGetProgramEnvParameterdvARB := nil;
  glGetProgramEnvParameterfvARB := nil;
  glGetProgramLocalParameterdvARB := nil;
  glGetProgramLocalParameterfvARB := nil;
  glGetProgramivARB := nil;
  glGetProgramStringARB := nil;
  glGetVertexAttribdvARB := nil;
  glGetVertexAttribfvARB := nil;
  glGetVertexAttribivARB := nil;
  glGetVertexAttribPointervARB := nil;
  glIsProgramARB := nil;
  GL_ARB_vertex_shader := false;
  glVertexAttrib1fARB := nil;
  glVertexAttrib1sARB := nil;
  glVertexAttrib1dARB := nil;
  glVertexAttrib2fARB := nil;
  glVertexAttrib2sARB := nil;
  glVertexAttrib2dARB := nil;
  glVertexAttrib3fARB := nil;
  glVertexAttrib3sARB := nil;
  glVertexAttrib3dARB := nil;
  glVertexAttrib4fARB := nil;
  glVertexAttrib4sARB := nil;
  glVertexAttrib4dARB := nil;
  glVertexAttrib4NubARB := nil;
  glVertexAttrib1fvARB := nil;
  glVertexAttrib1svARB := nil;
  glVertexAttrib1dvARB := nil;
  glVertexAttrib2fvARB := nil;
  glVertexAttrib2svARB := nil;
  glVertexAttrib2dvARB := nil;
  glVertexAttrib3fvARB := nil;
  glVertexAttrib3svARB := nil;
  glVertexAttrib3dvARB := nil;
  glVertexAttrib4fvARB := nil;
  glVertexAttrib4svARB := nil;
  glVertexAttrib4dvARB := nil;
  glVertexAttrib4ivARB := nil;
  glVertexAttrib4bvARB := nil;
  glVertexAttrib4ubvARB := nil;
  glVertexAttrib4usvARB := nil;
  glVertexAttrib4uivARB := nil;
  glVertexAttrib4NbvARB := nil;
  glVertexAttrib4NsvARB := nil;
  glVertexAttrib4NivARB := nil;
  glVertexAttrib4NubvARB := nil;
  glVertexAttrib4NusvARB := nil;
  glVertexAttrib4NuivARB := nil;
  glVertexAttribPointerARB := nil;
  glEnableVertexAttribArrayARB := nil;
  glDisableVertexAttribArrayARB := nil;
  glBindAttribLocationARB := nil;
  glGetActiveAttribARB := nil;
  glGetAttribLocationARB := nil;
  glGetVertexAttribdvARB := nil;
  glGetVertexAttribfvARB := nil;
  glGetVertexAttribivARB := nil;
  glGetVertexAttribPointervARB := nil;
  GL_ARB_window_pos := false;
  glWindowPos2dARB := nil;
  glWindowPos2dvARB := nil;
  glWindowPos2fARB := nil;
  glWindowPos2fvARB := nil;
  glWindowPos2iARB := nil;
  glWindowPos2ivARB := nil;
  glWindowPos2sARB := nil;
  glWindowPos2svARB := nil;
  glWindowPos3dARB := nil;
  glWindowPos3dvARB := nil;
  glWindowPos3fARB := nil;
  glWindowPos3fvARB := nil;
  glWindowPos3iARB := nil;
  glWindowPos3ivARB := nil;
  glWindowPos3sARB := nil;
  glWindowPos3svARB := nil;
  GL_ATI_draw_buffers := false;
  glDrawBuffersATI := nil;
  GL_ATI_element_array := false;
  glElementPointerATI := nil;
  glDrawElementArrayATI := nil;
  glDrawRangeElementArrayATI := nil;
  GL_ATI_envmap_bumpmap := false;
  glTexBumpParameterivATI := nil;
  glTexBumpParameterfvATI := nil;
  glGetTexBumpParameterivATI := nil;
  glGetTexBumpParameterfvATI := nil;
  GL_ATI_fragment_shader := false;
  glGenFragmentShadersATI := nil;
  glBindFragmentShaderATI := nil;
  glDeleteFragmentShaderATI := nil;
  glBeginFragmentShaderATI := nil;
  glEndFragmentShaderATI := nil;
  glPassTexCoordATI := nil;
  glSampleMapATI := nil;
  glColorFragmentOp1ATI := nil;
  glColorFragmentOp2ATI := nil;
  glColorFragmentOp3ATI := nil;
  glAlphaFragmentOp1ATI := nil;
  glAlphaFragmentOp2ATI := nil;
  glAlphaFragmentOp3ATI := nil;
  glSetFragmentShaderConstantATI := nil;
  GL_ATI_map_object_buffer := false;
  glMapObjectBufferATI := nil;
  glUnmapObjectBufferATI := nil;
  GL_ATI_meminfo := false;
  GL_ATI_pixel_format_float := false;
  GL_ATI_pn_triangles := false;
  glPNTrianglesiATI := nil;
  glPNTrianglesfATI := nil;
  GL_ATI_separate_stencil := false;
  glStencilOpSeparateATI := nil;
  glStencilFuncSeparateATI := nil;
  GL_ATI_text_fragment_shader := false;
  GL_ATI_texture_env_combine3 := false;
  GL_ATI_texture_float := false;
  GL_ATI_texture_mirror_once := false;
  GL_ATI_vertex_array_object := false;
  glNewObjectBufferATI := nil;
  glIsObjectBufferATI := nil;
  glUpdateObjectBufferATI := nil;
  glGetObjectBufferfvATI := nil;
  glGetObjectBufferivATI := nil;
  glFreeObjectBufferATI := nil;
  glArrayObjectATI := nil;
  glGetArrayObjectfvATI := nil;
  glGetArrayObjectivATI := nil;
  glVariantArrayObjectATI := nil;
  glGetVariantArrayObjectfvATI := nil;
  glGetVariantArrayObjectivATI := nil;
  GL_ATI_vertex_attrib_array_object := false;
  glVertexAttribArrayObjectATI := nil;
  glGetVertexAttribArrayObjectfvATI := nil;
  glGetVertexAttribArrayObjectivATI := nil;
  GL_ATI_vertex_streams := false;
  glVertexStream1sATI := nil;
  glVertexStream1svATI := nil;
  glVertexStream1iATI := nil;
  glVertexStream1ivATI := nil;
  glVertexStream1fATI := nil;
  glVertexStream1fvATI := nil;
  glVertexStream1dATI := nil;
  glVertexStream1dvATI := nil;
  glVertexStream2sATI := nil;
  glVertexStream2svATI := nil;
  glVertexStream2iATI := nil;
  glVertexStream2ivATI := nil;
  glVertexStream2fATI := nil;
  glVertexStream2fvATI := nil;
  glVertexStream2dATI := nil;
  glVertexStream2dvATI := nil;
  glVertexStream3sATI := nil;
  glVertexStream3svATI := nil;
  glVertexStream3iATI := nil;
  glVertexStream3ivATI := nil;
  glVertexStream3fATI := nil;
  glVertexStream3fvATI := nil;
  glVertexStream3dATI := nil;
  glVertexStream3dvATI := nil;
  glVertexStream4sATI := nil;
  glVertexStream4svATI := nil;
  glVertexStream4iATI := nil;
  glVertexStream4ivATI := nil;
  glVertexStream4fATI := nil;
  glVertexStream4fvATI := nil;
  glVertexStream4dATI := nil;
  glVertexStream4dvATI := nil;
  glNormalStream3bATI := nil;
  glNormalStream3bvATI := nil;
  glNormalStream3sATI := nil;
  glNormalStream3svATI := nil;
  glNormalStream3iATI := nil;
  glNormalStream3ivATI := nil;
  glNormalStream3fATI := nil;
  glNormalStream3fvATI := nil;
  glNormalStream3dATI := nil;
  glNormalStream3dvATI := nil;
  glClientActiveVertexStreamATI := nil;
  glVertexBlendEnviATI := nil;
  glVertexBlendEnvfATI := nil;
  GL_EXT_422_pixels := false;
  GL_EXT_abgr := false;
  GL_EXT_bgra := false;
  GL_EXT_bindable_uniform := false;
  glUniformBufferEXT := nil;
  glGetUniformBufferSizeEXT := nil;
  glGetUniformOffsetEXT := nil;
  GL_EXT_blend_color := false;
  glBlendColorEXT := nil;
  GL_EXT_blend_equation_separate := false;
  glBlendEquationSeparateEXT := nil;
  GL_EXT_blend_func_separate := false;
  glBlendFuncSeparateEXT := nil;
  GL_EXT_blend_logic_op := false;
  GL_EXT_blend_subtract := false;
  GL_EXT_clip_volume_hint := false;
  GL_EXT_cmyka := false;
  GL_EXT_color_subtable := false;
  glColorSubTableEXT := nil;
  glCopyColorSubTableEXT := nil;
  GL_EXT_compiled_vertex_array := false;
  glLockArraysEXT := nil;
  glUnlockArraysEXT := nil;
  GL_EXT_convolution := false;
  glConvolutionFilter1DEXT := nil;
  glConvolutionFilter2DEXT := nil;
  glConvolutionParameterfEXT := nil;
  glConvolutionParameterfvEXT := nil;
  glConvolutionParameteriEXT := nil;
  glConvolutionParameterivEXT := nil;
  glCopyConvolutionFilter1DEXT := nil;
  glCopyConvolutionFilter2DEXT := nil;
  glGetConvolutionFilterEXT := nil;
  glGetConvolutionParameterfvEXT := nil;
  glGetConvolutionParameterivEXT := nil;
  glGetSeparableFilterEXT := nil;
  glSeparableFilter2DEXT := nil;
  GL_EXT_coordinate_frame := false;
  glTangent3bEXT := nil;
  glTangent3bvEXT := nil;
  glTangent3dEXT := nil;
  glTangent3dvEXT := nil;
  glTangent3fEXT := nil;
  glTangent3fvEXT := nil;
  glTangent3iEXT := nil;
  glTangent3ivEXT := nil;
  glTangent3sEXT := nil;
  glTangent3svEXT := nil;
  glBinormal3bEXT := nil;
  glBinormal3bvEXT := nil;
  glBinormal3dEXT := nil;
  glBinormal3dvEXT := nil;
  glBinormal3fEXT := nil;
  glBinormal3fvEXT := nil;
  glBinormal3iEXT := nil;
  glBinormal3ivEXT := nil;
  glBinormal3sEXT := nil;
  glBinormal3svEXT := nil;
  glTangentPointerEXT := nil;
  glBinormalPointerEXT := nil;
  GL_EXT_copy_texture := false;
  glCopyTexImage1DEXT := nil;
  glCopyTexImage2DEXT := nil;
  glCopyTexSubImage1DEXT := nil;
  glCopyTexSubImage2DEXT := nil;
  glCopyTexSubImage3DEXT := nil;
  GL_EXT_cull_vertex := false;
  glCullParameterdvEXT := nil;
  glCullParameterfvEXT := nil;
  GL_EXT_depth_bounds_test := false;
  glDepthBoundsEXT := nil;
  GL_EXT_direct_state_access := false;
  glMatrixLoadfEXT := nil;
  glMatrixLoaddEXT := nil;
  glMatrixMultfEXT := nil;
  glMatrixMultdEXT := nil;
  glMatrixLoadIdentityEXT := nil;
  glMatrixRotatefEXT := nil;
  glMatrixRotatedEXT := nil;
  glMatrixScalefEXT := nil;
  glMatrixScaledEXT := nil;
  glMatrixTranslatefEXT := nil;
  glMatrixTranslatedEXT := nil;
  glMatrixFrustumEXT := nil;
  glMatrixOrthoEXT := nil;
  glMatrixPopEXT := nil;
  glMatrixPushEXT := nil;
  glClientAttribDefaultEXT := nil;
  glPushClientAttribDefaultEXT := nil;
  glTextureParameterfEXT := nil;
  glTextureParameterfvEXT := nil;
  glTextureParameteriEXT := nil;
  glTextureParameterivEXT := nil;
  glTextureImage1DEXT := nil;
  glTextureImage2DEXT := nil;
  glTextureSubImage1DEXT := nil;
  glTextureSubImage2DEXT := nil;
  glCopyTextureImage1DEXT := nil;
  glCopyTextureImage2DEXT := nil;
  glCopyTextureSubImage1DEXT := nil;
  glCopyTextureSubImage2DEXT := nil;
  glGetTextureImageEXT := nil;
  glGetTextureParameterfvEXT := nil;
  glGetTextureParameterivEXT := nil;
  glGetTextureLevelParameterfvEXT := nil;
  glGetTextureLevelParameterivEXT := nil;
  glTextureImage3DEXT := nil;
  glTextureSubImage3DEXT := nil;
  glCopyTextureSubImage3DEXT := nil;
  glBindMultiTextureEXT := nil;
  glMultiTexCoordPointerEXT := nil;
  glMultiTexEnvfEXT := nil;
  glMultiTexEnvfvEXT := nil;
  glMultiTexEnviEXT := nil;
  glMultiTexEnvivEXT := nil;
  glMultiTexGendEXT := nil;
  glMultiTexGendvEXT := nil;
  glMultiTexGenfEXT := nil;
  glMultiTexGenfvEXT := nil;
  glMultiTexGeniEXT := nil;
  glMultiTexGenivEXT := nil;
  glGetMultiTexEnvfvEXT := nil;
  glGetMultiTexEnvivEXT := nil;
  glGetMultiTexGendvEXT := nil;
  glGetMultiTexGenfvEXT := nil;
  glGetMultiTexGenivEXT := nil;
  glMultiTexParameteriEXT := nil;
  glMultiTexParameterivEXT := nil;
  glMultiTexParameterfEXT := nil;
  glMultiTexParameterfvEXT := nil;
  glMultiTexImage1DEXT := nil;
  glMultiTexImage2DEXT := nil;
  glMultiTexSubImage1DEXT := nil;
  glMultiTexSubImage2DEXT := nil;
  glCopyMultiTexImage1DEXT := nil;
  glCopyMultiTexImage2DEXT := nil;
  glCopyMultiTexSubImage1DEXT := nil;
  glCopyMultiTexSubImage2DEXT := nil;
  glGetMultiTexImageEXT := nil;
  glGetMultiTexParameterfvEXT := nil;
  glGetMultiTexParameterivEXT := nil;
  glGetMultiTexLevelParameterfvEXT := nil;
  glGetMultiTexLevelParameterivEXT := nil;
  glMultiTexImage3DEXT := nil;
  glMultiTexSubImage3DEXT := nil;
  glCopyMultiTexSubImage3DEXT := nil;
  glEnableClientStateIndexedEXT := nil;
  glDisableClientStateIndexedEXT := nil;
  glGetFloatIndexedvEXT := nil;
  glGetDoubleIndexedvEXT := nil;
  glGetPointerIndexedvEXT := nil;
  glEnableIndexedEXT := nil;
  glDisableIndexedEXT := nil;
  glIsEnabledIndexedEXT := nil;
  glGetIntegerIndexedvEXT := nil;
  glGetBooleanIndexedvEXT := nil;
  glCompressedTextureImage3DEXT := nil;
  glCompressedTextureImage2DEXT := nil;
  glCompressedTextureImage1DEXT := nil;
  glCompressedTextureSubImage3DEXT := nil;
  glCompressedTextureSubImage2DEXT := nil;
  glCompressedTextureSubImage1DEXT := nil;
  glGetCompressedTextureImageEXT := nil;
  glCompressedMultiTexImage3DEXT := nil;
  glCompressedMultiTexImage2DEXT := nil;
  glCompressedMultiTexImage1DEXT := nil;
  glCompressedMultiTexSubImage3DEXT := nil;
  glCompressedMultiTexSubImage2DEXT := nil;
  glCompressedMultiTexSubImage1DEXT := nil;
  glGetCompressedMultiTexImageEXT := nil;
  glMatrixLoadTransposefEXT := nil;
  glMatrixLoadTransposedEXT := nil;
  glMatrixMultTransposefEXT := nil;
  glMatrixMultTransposedEXT := nil;
  glNamedBufferDataEXT := nil;
  glNamedBufferSubDataEXT := nil;
  glMapNamedBufferEXT := nil;
  glUnmapNamedBufferEXT := nil;
  glGetNamedBufferParameterivEXT := nil;
  glGetNamedBufferPointervEXT := nil;
  glGetNamedBufferSubDataEXT := nil;
  glProgramUniform1fEXT := nil;
  glProgramUniform2fEXT := nil;
  glProgramUniform3fEXT := nil;
  glProgramUniform4fEXT := nil;
  glProgramUniform1iEXT := nil;
  glProgramUniform2iEXT := nil;
  glProgramUniform3iEXT := nil;
  glProgramUniform4iEXT := nil;
  glProgramUniform1fvEXT := nil;
  glProgramUniform2fvEXT := nil;
  glProgramUniform3fvEXT := nil;
  glProgramUniform4fvEXT := nil;
  glProgramUniform1ivEXT := nil;
  glProgramUniform2ivEXT := nil;
  glProgramUniform3ivEXT := nil;
  glProgramUniform4ivEXT := nil;
  glProgramUniformMatrix2fvEXT := nil;
  glProgramUniformMatrix3fvEXT := nil;
  glProgramUniformMatrix4fvEXT := nil;
  glProgramUniformMatrix2x3fvEXT := nil;
  glProgramUniformMatrix3x2fvEXT := nil;
  glProgramUniformMatrix2x4fvEXT := nil;
  glProgramUniformMatrix4x2fvEXT := nil;
  glProgramUniformMatrix3x4fvEXT := nil;
  glProgramUniformMatrix4x3fvEXT := nil;
  glTextureBufferEXT := nil;
  glMultiTexBufferEXT := nil;
  glTextureParameterIivEXT := nil;
  glTextureParameterIuivEXT := nil;
  glGetTextureParameterIivEXT := nil;
  glGetTextureParameterIuivEXT := nil;
  glMultiTexParameterIivEXT := nil;
  glMultiTexParameterIuivEXT := nil;
  glGetMultiTexParameterIivEXT := nil;
  glGetMultiTexParameterIuivEXT := nil;
  glProgramUniform1uiEXT := nil;
  glProgramUniform2uiEXT := nil;
  glProgramUniform3uiEXT := nil;
  glProgramUniform4uiEXT := nil;
  glProgramUniform1uivEXT := nil;
  glProgramUniform2uivEXT := nil;
  glProgramUniform3uivEXT := nil;
  glProgramUniform4uivEXT := nil;
  glNamedProgramLocalParameters4fvEXT := nil;
  glNamedProgramLocalParameterI4iEXT := nil;
  glNamedProgramLocalParameterI4ivEXT := nil;
  glNamedProgramLocalParametersI4ivEXT := nil;
  glNamedProgramLocalParameterI4uiEXT := nil;
  glNamedProgramLocalParameterI4uivEXT := nil;
  glNamedProgramLocalParametersI4uivEXT := nil;
  glGetNamedProgramLocalParameterIivEXT := nil;
  glGetNamedProgramLocalParameterIuivEXT := nil;
  glEnableClientStateiEXT := nil;
  glDisableClientStateiEXT := nil;
  glGetFloati_vEXT := nil;
  glGetDoublei_vEXT := nil;
  glGetPointeri_vEXT := nil;
  glNamedProgramStringEXT := nil;
  glNamedProgramLocalParameter4dEXT := nil;
  glNamedProgramLocalParameter4dvEXT := nil;
  glNamedProgramLocalParameter4fEXT := nil;
  glNamedProgramLocalParameter4fvEXT := nil;
  glGetNamedProgramLocalParameterdvEXT := nil;
  glGetNamedProgramLocalParameterfvEXT := nil;
  glGetNamedProgramivEXT := nil;
  glGetNamedProgramStringEXT := nil;
  glNamedRenderbufferStorageEXT := nil;
  glGetNamedRenderbufferParameterivEXT := nil;
  glNamedRenderbufferStorageMultisampleEXT := nil;
  glNamedRenderbufferStorageMultisampleCoverageEXT := nil;
  glCheckNamedFramebufferStatusEXT := nil;
  glNamedFramebufferTexture1DEXT := nil;
  glNamedFramebufferTexture2DEXT := nil;
  glNamedFramebufferTexture3DEXT := nil;
  glNamedFramebufferRenderbufferEXT := nil;
  glGetNamedFramebufferAttachmentParameterivEXT := nil;
  glGenerateTextureMipmapEXT := nil;
  glGenerateMultiTexMipmapEXT := nil;
  glFramebufferDrawBufferEXT := nil;
  glFramebufferDrawBuffersEXT := nil;
  glFramebufferReadBufferEXT := nil;
  glGetFramebufferParameterivEXT := nil;
  glNamedCopyBufferSubDataEXT := nil;
  glNamedFramebufferTextureEXT := nil;
  glNamedFramebufferTextureLayerEXT := nil;
  glNamedFramebufferTextureFaceEXT := nil;
  glTextureRenderbufferEXT := nil;
  glMultiTexRenderbufferEXT := nil;
  glVertexArrayVertexOffsetEXT := nil;
  glVertexArrayColorOffsetEXT := nil;
  glVertexArrayEdgeFlagOffsetEXT := nil;
  glVertexArrayIndexOffsetEXT := nil;
  glVertexArrayNormalOffsetEXT := nil;
  glVertexArrayTexCoordOffsetEXT := nil;
  glVertexArrayMultiTexCoordOffsetEXT := nil;
  glVertexArrayFogCoordOffsetEXT := nil;
  glVertexArraySecondaryColorOffsetEXT := nil;
  glVertexArrayVertexAttribOffsetEXT := nil;
  glVertexArrayVertexAttribIOffsetEXT := nil;
  glEnableVertexArrayEXT := nil;
  glDisableVertexArrayEXT := nil;
  glEnableVertexArrayAttribEXT := nil;
  glDisableVertexArrayAttribEXT := nil;
  glGetVertexArrayIntegervEXT := nil;
  glGetVertexArrayPointervEXT := nil;
  glGetVertexArrayIntegeri_vEXT := nil;
  glGetVertexArrayPointeri_vEXT := nil;
  glMapNamedBufferRangeEXT := nil;
  glFlushMappedNamedBufferRangeEXT := nil;
  glNamedBufferStorageEXT := nil;
  glClearNamedBufferDataEXT := nil;
  glClearNamedBufferSubDataEXT := nil;
  glNamedFramebufferParameteriEXT := nil;
  glGetNamedFramebufferParameterivEXT := nil;
  glProgramUniform1dEXT := nil;
  glProgramUniform2dEXT := nil;
  glProgramUniform3dEXT := nil;
  glProgramUniform4dEXT := nil;
  glProgramUniform1dvEXT := nil;
  glProgramUniform2dvEXT := nil;
  glProgramUniform3dvEXT := nil;
  glProgramUniform4dvEXT := nil;
  glProgramUniformMatrix2dvEXT := nil;
  glProgramUniformMatrix3dvEXT := nil;
  glProgramUniformMatrix4dvEXT := nil;
  glProgramUniformMatrix2x3dvEXT := nil;
  glProgramUniformMatrix2x4dvEXT := nil;
  glProgramUniformMatrix3x2dvEXT := nil;
  glProgramUniformMatrix3x4dvEXT := nil;
  glProgramUniformMatrix4x2dvEXT := nil;
  glProgramUniformMatrix4x3dvEXT := nil;
  glTextureBufferRangeEXT := nil;
  glTextureStorage1DEXT := nil;
  glTextureStorage2DEXT := nil;
  glTextureStorage3DEXT := nil;
  glTextureStorage2DMultisampleEXT := nil;
  glTextureStorage3DMultisampleEXT := nil;
  glVertexArrayBindVertexBufferEXT := nil;
  glVertexArrayVertexAttribFormatEXT := nil;
  glVertexArrayVertexAttribIFormatEXT := nil;
  glVertexArrayVertexAttribLFormatEXT := nil;
  glVertexArrayVertexAttribBindingEXT := nil;
  glVertexArrayVertexBindingDivisorEXT := nil;
  glVertexArrayVertexAttribLOffsetEXT := nil;
  glTexturePageCommitmentEXT := nil;
  glVertexArrayVertexAttribDivisorEXT := nil;
  GL_EXT_draw_buffers2 := false;
  glColorMaskIndexedEXT := nil;
  glGetBooleanIndexedvEXT := nil;
  glGetIntegerIndexedvEXT := nil;
  glEnableIndexedEXT := nil;
  glDisableIndexedEXT := nil;
  glIsEnabledIndexedEXT := nil;
  GL_EXT_draw_range_elements := false;
  glDrawRangeElementsEXT := nil;
  GL_EXT_fog_coord := false;
  glFogCoordfEXT := nil;
  glFogCoordfvEXT := nil;
  glFogCoorddEXT := nil;
  glFogCoorddvEXT := nil;
  glFogCoordPointerEXT := nil;
  GL_EXT_framebuffer_blit := false;
  glBlitFramebufferEXT := nil;
  GL_EXT_framebuffer_multisample := false;
  glRenderbufferStorageMultisampleEXT := nil;
  GL_EXT_framebuffer_multisample_blit_scaled := false;
  GL_EXT_framebuffer_object := false;
  glIsRenderbufferEXT := nil;
  glBindRenderbufferEXT := nil;
  glDeleteRenderbuffersEXT := nil;
  glGenRenderbuffersEXT := nil;
  glRenderbufferStorageEXT := nil;
  glGetRenderbufferParameterivEXT := nil;
  glIsFramebufferEXT := nil;
  glBindFramebufferEXT := nil;
  glDeleteFramebuffersEXT := nil;
  glGenFramebuffersEXT := nil;
  glCheckFramebufferStatusEXT := nil;
  glFramebufferTexture1DEXT := nil;
  glFramebufferTexture2DEXT := nil;
  glFramebufferTexture3DEXT := nil;
  glFramebufferRenderbufferEXT := nil;
  glGetFramebufferAttachmentParameterivEXT := nil;
  glGenerateMipmapEXT := nil;
  GL_EXT_framebuffer_sRGB := false;
  GL_EXT_geometry_shader4 := false;
  glProgramParameteriEXT := nil;
  GL_EXT_gpu_program_parameters := false;
  glProgramEnvParameters4fvEXT := nil;
  glProgramLocalParameters4fvEXT := nil;
  GL_EXT_gpu_shader4 := false;
  glGetUniformuivEXT := nil;
  glBindFragDataLocationEXT := nil;
  glGetFragDataLocationEXT := nil;
  glUniform1uiEXT := nil;
  glUniform2uiEXT := nil;
  glUniform3uiEXT := nil;
  glUniform4uiEXT := nil;
  glUniform1uivEXT := nil;
  glUniform2uivEXT := nil;
  glUniform3uivEXT := nil;
  glUniform4uivEXT := nil;
  GL_EXT_histogram := false;
  glGetHistogramEXT := nil;
  glGetHistogramParameterfvEXT := nil;
  glGetHistogramParameterivEXT := nil;
  glGetMinmaxEXT := nil;
  glGetMinmaxParameterfvEXT := nil;
  glGetMinmaxParameterivEXT := nil;
  glHistogramEXT := nil;
  glMinmaxEXT := nil;
  glResetHistogramEXT := nil;
  glResetMinmaxEXT := nil;
  GL_EXT_index_array_formats := false;
  GL_EXT_index_func := false;
  glIndexFuncEXT := nil;
  GL_EXT_index_material := false;
  glIndexMaterialEXT := nil;
  GL_EXT_index_texture := false;
  GL_EXT_light_texture := false;
  glApplyTextureEXT := nil;
  glTextureLightEXT := nil;
  glTextureMaterialEXT := nil;
  GL_EXT_misc_attribute := false;
  GL_EXT_multisample := false;
  glSampleMaskEXT := nil;
  glSamplePatternEXT := nil;
  GL_EXT_packed_depth_stencil := false;
  GL_EXT_packed_float := false;
  GL_EXT_packed_pixels := false;
  GL_EXT_paletted_texture := false;
  glColorTableEXT := nil;
  glGetColorTableEXT := nil;
  glGetColorTableParameterivEXT := nil;
  glGetColorTableParameterfvEXT := nil;
  GL_EXT_pixel_buffer_object := false;
  GL_EXT_pixel_transform := false;
  glPixelTransformParameteriEXT := nil;
  glPixelTransformParameterfEXT := nil;
  glPixelTransformParameterivEXT := nil;
  glPixelTransformParameterfvEXT := nil;
  glGetPixelTransformParameterivEXT := nil;
  glGetPixelTransformParameterfvEXT := nil;
  GL_EXT_pixel_transform_color_table := false;
  GL_EXT_point_parameters := false;
  glPointParameterfEXT := nil;
  glPointParameterfvEXT := nil;
  GL_EXT_polygon_offset := false;
  glPolygonOffsetEXT := nil;
  GL_EXT_polygon_offset_clamp := false;
  glPolygonOffsetClampEXT := nil;
  GL_EXT_post_depth_coverage := false;
  GL_EXT_provoking_vertex := false;
  glProvokingVertexEXT := nil;
  GL_EXT_raster_multisample := false;
  glRasterSamplesEXT := nil;
  GL_EXT_rescale_normal := false;
  GL_EXT_secondary_color := false;
  glSecondaryColor3bEXT := nil;
  glSecondaryColor3bvEXT := nil;
  glSecondaryColor3dEXT := nil;
  glSecondaryColor3dvEXT := nil;
  glSecondaryColor3fEXT := nil;
  glSecondaryColor3fvEXT := nil;
  glSecondaryColor3iEXT := nil;
  glSecondaryColor3ivEXT := nil;
  glSecondaryColor3sEXT := nil;
  glSecondaryColor3svEXT := nil;
  glSecondaryColor3ubEXT := nil;
  glSecondaryColor3ubvEXT := nil;
  glSecondaryColor3uiEXT := nil;
  glSecondaryColor3uivEXT := nil;
  glSecondaryColor3usEXT := nil;
  glSecondaryColor3usvEXT := nil;
  glSecondaryColorPointerEXT := nil;
  GL_EXT_separate_specular_color := false;
  GL_EXT_shader_image_load_formatted := false;
  GL_EXT_shader_image_load_store := false;
  glBindImageTextureEXT := nil;
  glMemoryBarrierEXT := nil;
  GL_EXT_shadow_funcs := false;
  GL_EXT_shared_texture_palette := false;
  GL_EXT_sparse_texture2 := false;
  GL_EXT_stencil_clear_tag := false;
  glStencilClearTagEXT := nil;
  GL_EXT_stencil_two_side := false;
  glActiveStencilFaceEXT := nil;
  GL_EXT_stencil_wrap := false;
  GL_EXT_subtexture := false;
  glTexSubImage1DEXT := nil;
  glTexSubImage2DEXT := nil;
  GL_EXT_texture := false;
  GL_EXT_texture3D := false;
  glTexImage3DEXT := nil;
  glTexSubImage3DEXT := nil;
  GL_EXT_texture_array := false;
  glFramebufferTextureLayerEXT := nil;
  GL_EXT_texture_buffer_object := false;
  glTexBufferEXT := nil;
  GL_EXT_texture_compression_latc := false;
  GL_EXT_texture_compression_rgtc := false;
  GL_EXT_texture_cube_map := false;
  GL_EXT_texture_env_add := false;
  GL_EXT_texture_env_combine := false;
  GL_EXT_texture_env_dot3 := false;
  GL_EXT_texture_filter_minmax := false;
  glRasterSamplesEXT := nil;
  GL_EXT_texture_integer := false;
  glTexParameterIivEXT := nil;
  glTexParameterIuivEXT := nil;
  glGetTexParameterIivEXT := nil;
  glGetTexParameterIuivEXT := nil;
  glClearColorIiEXT := nil;
  glClearColorIuiEXT := nil;
  GL_EXT_texture_mirror_clamp := false;
  GL_EXT_texture_object := false;
  glAreTexturesResidentEXT := nil;
  glBindTextureEXT := nil;
  glDeleteTexturesEXT := nil;
  glGenTexturesEXT := nil;
  glIsTextureEXT := nil;
  glPrioritizeTexturesEXT := nil;
  GL_EXT_texture_perturb_normal := false;
  glTextureNormalEXT := nil;
  GL_EXT_texture_sRGB := false;
  GL_EXT_texture_shared_exponent := false;
  GL_EXT_texture_snorm := false;
  GL_EXT_texture_swizzle := false;
  GL_EXT_timer_query := false;
  glGetQueryObjecti64vEXT := nil;
  glGetQueryObjectui64vEXT := nil;
  GL_EXT_transform_feedback := false;
  glBeginTransformFeedbackEXT := nil;
  glEndTransformFeedbackEXT := nil;
  glBindBufferRangeEXT := nil;
  glBindBufferOffsetEXT := nil;
  glBindBufferBaseEXT := nil;
  glTransformFeedbackVaryingsEXT := nil;
  glGetTransformFeedbackVaryingEXT := nil;
  GL_EXT_vertex_array := false;
  glArrayElementEXT := nil;
  glColorPointerEXT := nil;
  glDrawArraysEXT := nil;
  glEdgeFlagPointerEXT := nil;
  glGetPointervEXT := nil;
  glIndexPointerEXT := nil;
  glNormalPointerEXT := nil;
  glTexCoordPointerEXT := nil;
  glVertexPointerEXT := nil;
  GL_EXT_vertex_array_bgra := false;
  GL_EXT_vertex_attrib_64bit := false;
  glVertexAttribL1dEXT := nil;
  glVertexAttribL2dEXT := nil;
  glVertexAttribL3dEXT := nil;
  glVertexAttribL4dEXT := nil;
  glVertexAttribL1dvEXT := nil;
  glVertexAttribL2dvEXT := nil;
  glVertexAttribL3dvEXT := nil;
  glVertexAttribL4dvEXT := nil;
  glVertexAttribLPointerEXT := nil;
  glGetVertexAttribLdvEXT := nil;
  GL_EXT_vertex_shader := false;
  glBeginVertexShaderEXT := nil;
  glEndVertexShaderEXT := nil;
  glBindVertexShaderEXT := nil;
  glGenVertexShadersEXT := nil;
  glDeleteVertexShaderEXT := nil;
  glShaderOp1EXT := nil;
  glShaderOp2EXT := nil;
  glShaderOp3EXT := nil;
  glSwizzleEXT := nil;
  glWriteMaskEXT := nil;
  glInsertComponentEXT := nil;
  glExtractComponentEXT := nil;
  glGenSymbolsEXT := nil;
  glSetInvariantEXT := nil;
  glSetLocalConstantEXT := nil;
  glVariantbvEXT := nil;
  glVariantsvEXT := nil;
  glVariantivEXT := nil;
  glVariantfvEXT := nil;
  glVariantdvEXT := nil;
  glVariantubvEXT := nil;
  glVariantusvEXT := nil;
  glVariantuivEXT := nil;
  glVariantPointerEXT := nil;
  glEnableVariantClientStateEXT := nil;
  glDisableVariantClientStateEXT := nil;
  glBindLightParameterEXT := nil;
  glBindMaterialParameterEXT := nil;
  glBindTexGenParameterEXT := nil;
  glBindTextureUnitParameterEXT := nil;
  glBindParameterEXT := nil;
  glIsVariantEnabledEXT := nil;
  glGetVariantBooleanvEXT := nil;
  glGetVariantIntegervEXT := nil;
  glGetVariantFloatvEXT := nil;
  glGetVariantPointervEXT := nil;
  glGetInvariantBooleanvEXT := nil;
  glGetInvariantIntegervEXT := nil;
  glGetInvariantFloatvEXT := nil;
  glGetLocalConstantBooleanvEXT := nil;
  glGetLocalConstantIntegervEXT := nil;
  glGetLocalConstantFloatvEXT := nil;
  GL_EXT_vertex_weighting := false;
  glVertexWeightfEXT := nil;
  glVertexWeightfvEXT := nil;
  glVertexWeightPointerEXT := nil;
  GL_EXT_x11_sync_object := false;
  glImportSyncEXT := nil;
  GL_GREMEDY_frame_terminator := false;
  glFrameTerminatorGREMEDY := nil;
  GL_GREMEDY_string_marker := false;
  glStringMarkerGREMEDY := nil;
  GL_HP_convolution_border_modes := false;
  GL_HP_image_transform := false;
  glImageTransformParameteriHP := nil;
  glImageTransformParameterfHP := nil;
  glImageTransformParameterivHP := nil;
  glImageTransformParameterfvHP := nil;
  glGetImageTransformParameterivHP := nil;
  glGetImageTransformParameterfvHP := nil;
  GL_HP_occlusion_test := false;
  GL_HP_texture_lighting := false;
  GL_IBM_cull_vertex := false;
  GL_IBM_multimode_draw_arrays := false;
  glMultiModeDrawArraysIBM := nil;
  glMultiModeDrawElementsIBM := nil;
  GL_IBM_rasterpos_clip := false;
  GL_IBM_static_data := false;
  glFlushStaticDataIBM := nil;
  GL_IBM_texture_mirrored_repeat := false;
  GL_IBM_vertex_array_lists := false;
  glColorPointerListIBM := nil;
  glSecondaryColorPointerListIBM := nil;
  glEdgeFlagPointerListIBM := nil;
  glFogCoordPointerListIBM := nil;
  glIndexPointerListIBM := nil;
  glNormalPointerListIBM := nil;
  glTexCoordPointerListIBM := nil;
  glVertexPointerListIBM := nil;
  GL_IMG_multisampled_render_to_texture := false;
  glRenderbufferStorageMultisampleIMG := nil;
  glFramebufferTexture2DMultisampleIMG := nil;
  GL_INGR_blend_func_separate := false;
  glBlendFuncSeparateINGR := nil;
  GL_INGR_color_clamp := false;
  GL_INGR_interlace_read := false;
  GL_INTEL_fragment_shader_ordering := false;
  GL_INTEL_map_texture := false;
  glSyncTextureINTEL := nil;
  glUnmapTexture2DINTEL := nil;
  glMapTexture2DINTEL := nil;
  GL_INTEL_parallel_arrays := false;
  glVertexPointervINTEL := nil;
  glNormalPointervINTEL := nil;
  glColorPointervINTEL := nil;
  glTexCoordPointervINTEL := nil;
  GL_KHR_blend_equation_advanced := false;
  glBlendBarrierKHR := nil;
  GL_MESAX_texture_stack := false;
  GL_MESA_pack_invert := false;
  GL_MESA_resize_buffers := false;
  glResizeBuffersMESA := nil;
  GL_MESA_window_pos := false;
  glWindowPos2dMESA := nil;
  glWindowPos2dvMESA := nil;
  glWindowPos2fMESA := nil;
  glWindowPos2fvMESA := nil;
  glWindowPos2iMESA := nil;
  glWindowPos2ivMESA := nil;
  glWindowPos2sMESA := nil;
  glWindowPos2svMESA := nil;
  glWindowPos3dMESA := nil;
  glWindowPos3dvMESA := nil;
  glWindowPos3fMESA := nil;
  glWindowPos3fvMESA := nil;
  glWindowPos3iMESA := nil;
  glWindowPos3ivMESA := nil;
  glWindowPos3sMESA := nil;
  glWindowPos3svMESA := nil;
  glWindowPos4dMESA := nil;
  glWindowPos4dvMESA := nil;
  glWindowPos4fMESA := nil;
  glWindowPos4fvMESA := nil;
  glWindowPos4iMESA := nil;
  glWindowPos4ivMESA := nil;
  glWindowPos4sMESA := nil;
  glWindowPos4svMESA := nil;
  GL_MESA_ycbcr_texture := false;
  GL_NVX_conditional_render := false;
  glBeginConditionalRenderNVX := nil;
  glEndConditionalRenderNVX := nil;
  GL_NVX_gpu_memory_info := false;
  GL_NV_bindless_multi_draw_indirect := false;
  glMultiDrawArraysIndirectBindlessNV := nil;
  glMultiDrawElementsIndirectBindlessNV := nil;
  GL_NV_bindless_multi_draw_indirect_count := false;
  glMultiDrawArraysIndirectBindlessCountNV := nil;
  glMultiDrawElementsIndirectBindlessCountNV := nil;
  GL_NV_bindless_texture := false;
  glGetTextureHandleNV := nil;
  glGetTextureSamplerHandleNV := nil;
  glMakeTextureHandleResidentNV := nil;
  glMakeTextureHandleNonResidentNV := nil;
  glGetImageHandleNV := nil;
  glMakeImageHandleResidentNV := nil;
  glMakeImageHandleNonResidentNV := nil;
  glUniformHandleui64NV := nil;
  glUniformHandleui64vNV := nil;
  glProgramUniformHandleui64NV := nil;
  glProgramUniformHandleui64vNV := nil;
  glIsTextureHandleResidentNV := nil;
  glIsImageHandleResidentNV := nil;
  GL_NV_blend_square := false;
  GL_NV_compute_program5 := false;
  GL_NV_conditional_render := false;
  glBeginConditionalRenderNV := nil;
  glEndConditionalRenderNV := nil;
  GL_NV_conservative_raster := false;
  glSubpixelPrecisionBiasNV := nil;
  GL_NV_copy_depth_to_color := false;
  GL_NV_copy_image := false;
  glCopyImageSubDataNV := nil;
  GL_NV_deep_texture3D := false;
  GL_NV_depth_buffer_float := false;
  glDepthRangedNV := nil;
  glClearDepthdNV := nil;
  glDepthBoundsdNV := nil;
  GL_NV_depth_clamp := false;
  GL_NV_draw_texture := false;
  glDrawTextureNV := nil;
  GL_NV_evaluators := false;
  glMapControlPointsNV := nil;
  glMapParameterivNV := nil;
  glMapParameterfvNV := nil;
  glGetMapControlPointsNV := nil;
  glGetMapParameterivNV := nil;
  glGetMapParameterfvNV := nil;
  glGetMapAttribParameterivNV := nil;
  glGetMapAttribParameterfvNV := nil;
  glEvalMapsNV := nil;
  GL_NV_explicit_multisample := false;
  glGetMultisamplefvNV := nil;
  glSampleMaskIndexedNV := nil;
  glTexRenderbufferNV := nil;
  GL_NV_fill_rectangle := false;
  GL_NV_float_buffer := false;
  GL_NV_fog_distance := false;
  GL_NV_fragment_coverage_to_color := false;
  glFragmentCoverageColorNV := nil;
  GL_NV_fragment_program := false;
  glProgramNamedParameter4fNV := nil;
  glProgramNamedParameter4fvNV := nil;
  glProgramNamedParameter4dNV := nil;
  glProgramNamedParameter4dvNV := nil;
  glGetProgramNamedParameterfvNV := nil;
  glGetProgramNamedParameterdvNV := nil;
  GL_NV_fragment_program2 := false;
  GL_NV_fragment_program4 := false;
  GL_NV_fragment_program_option := false;
  GL_NV_fragment_shader_interlock := false;
  GL_NV_framebuffer_mixed_samples := false;
  glRasterSamplesEXT := nil;
  glCoverageModulationTableNV := nil;
  glGetCoverageModulationTableNV := nil;
  glCoverageModulationNV := nil;
  GL_NV_framebuffer_multisample_coverage := false;
  glRenderbufferStorageMultisampleCoverageNV := nil;
  GL_NV_geometry_program4 := false;
  glProgramVertexLimitNV := nil;
  glFramebufferTextureEXT := nil;
  glFramebufferTextureLayerEXT := nil;
  glFramebufferTextureFaceEXT := nil;
  GL_NV_geometry_shader4 := false;
  GL_NV_geometry_shader_passthrough := false;
  GL_NV_gpu_program4 := false;
  glProgramLocalParameterI4iNV := nil;
  glProgramLocalParameterI4ivNV := nil;
  glProgramLocalParametersI4ivNV := nil;
  glProgramLocalParameterI4uiNV := nil;
  glProgramLocalParameterI4uivNV := nil;
  glProgramLocalParametersI4uivNV := nil;
  glProgramEnvParameterI4iNV := nil;
  glProgramEnvParameterI4ivNV := nil;
  glProgramEnvParametersI4ivNV := nil;
  glProgramEnvParameterI4uiNV := nil;
  glProgramEnvParameterI4uivNV := nil;
  glProgramEnvParametersI4uivNV := nil;
  glGetProgramLocalParameterIivNV := nil;
  glGetProgramLocalParameterIuivNV := nil;
  glGetProgramEnvParameterIivNV := nil;
  glGetProgramEnvParameterIuivNV := nil;
  GL_NV_gpu_program5 := false;
  glProgramSubroutineParametersuivNV := nil;
  glGetProgramSubroutineParameteruivNV := nil;
  GL_NV_gpu_program5_mem_extended := false;
  GL_NV_gpu_shader5 := false;
  glUniform1i64NV := nil;
  glUniform2i64NV := nil;
  glUniform3i64NV := nil;
  glUniform4i64NV := nil;
  glUniform1i64vNV := nil;
  glUniform2i64vNV := nil;
  glUniform3i64vNV := nil;
  glUniform4i64vNV := nil;
  glUniform1ui64NV := nil;
  glUniform2ui64NV := nil;
  glUniform3ui64NV := nil;
  glUniform4ui64NV := nil;
  glUniform1ui64vNV := nil;
  glUniform2ui64vNV := nil;
  glUniform3ui64vNV := nil;
  glUniform4ui64vNV := nil;
  glGetUniformi64vNV := nil;
  glProgramUniform1i64NV := nil;
  glProgramUniform2i64NV := nil;
  glProgramUniform3i64NV := nil;
  glProgramUniform4i64NV := nil;
  glProgramUniform1i64vNV := nil;
  glProgramUniform2i64vNV := nil;
  glProgramUniform3i64vNV := nil;
  glProgramUniform4i64vNV := nil;
  glProgramUniform1ui64NV := nil;
  glProgramUniform2ui64NV := nil;
  glProgramUniform3ui64NV := nil;
  glProgramUniform4ui64NV := nil;
  glProgramUniform1ui64vNV := nil;
  glProgramUniform2ui64vNV := nil;
  glProgramUniform3ui64vNV := nil;
  glProgramUniform4ui64vNV := nil;
  GL_NV_half_float := false;
  glVertex2hNV := nil;
  glVertex2hvNV := nil;
  glVertex3hNV := nil;
  glVertex3hvNV := nil;
  glVertex4hNV := nil;
  glVertex4hvNV := nil;
  glNormal3hNV := nil;
  glNormal3hvNV := nil;
  glColor3hNV := nil;
  glColor3hvNV := nil;
  glColor4hNV := nil;
  glColor4hvNV := nil;
  glTexCoord1hNV := nil;
  glTexCoord1hvNV := nil;
  glTexCoord2hNV := nil;
  glTexCoord2hvNV := nil;
  glTexCoord3hNV := nil;
  glTexCoord3hvNV := nil;
  glTexCoord4hNV := nil;
  glTexCoord4hvNV := nil;
  glMultiTexCoord1hNV := nil;
  glMultiTexCoord1hvNV := nil;
  glMultiTexCoord2hNV := nil;
  glMultiTexCoord2hvNV := nil;
  glMultiTexCoord3hNV := nil;
  glMultiTexCoord3hvNV := nil;
  glMultiTexCoord4hNV := nil;
  glMultiTexCoord4hvNV := nil;
  glFogCoordhNV := nil;
  glFogCoordhvNV := nil;
  glSecondaryColor3hNV := nil;
  glSecondaryColor3hvNV := nil;
  glVertexWeighthNV := nil;
  glVertexWeighthvNV := nil;
  glVertexAttrib1hNV := nil;
  glVertexAttrib1hvNV := nil;
  glVertexAttrib2hNV := nil;
  glVertexAttrib2hvNV := nil;
  glVertexAttrib3hNV := nil;
  glVertexAttrib3hvNV := nil;
  glVertexAttrib4hNV := nil;
  glVertexAttrib4hvNV := nil;
  glVertexAttribs1hvNV := nil;
  glVertexAttribs2hvNV := nil;
  glVertexAttribs3hvNV := nil;
  glVertexAttribs4hvNV := nil;
  GL_NV_light_max_exponent := false;
  GL_NV_multisample_coverage := false;
  GL_NV_multisample_filter_hint := false;
  GL_NV_occlusion_query := false;
  glGenOcclusionQueriesNV := nil;
  glDeleteOcclusionQueriesNV := nil;
  glIsOcclusionQueryNV := nil;
  glBeginOcclusionQueryNV := nil;
  glEndOcclusionQueryNV := nil;
  glGetOcclusionQueryivNV := nil;
  glGetOcclusionQueryuivNV := nil;
  GL_NV_packed_depth_stencil := false;
  GL_NV_parameter_buffer_object := false;
  glProgramBufferParametersfvNV := nil;
  glProgramBufferParametersIivNV := nil;
  glProgramBufferParametersIuivNV := nil;
  GL_NV_parameter_buffer_object2 := false;
  GL_NV_path_rendering := false;
  glGenPathsNV := nil;
  glDeletePathsNV := nil;
  glIsPathNV := nil;
  glPathCommandsNV := nil;
  glPathCoordsNV := nil;
  glPathSubCommandsNV := nil;
  glPathSubCoordsNV := nil;
  glPathStringNV := nil;
  glPathGlyphsNV := nil;
  glPathGlyphRangeNV := nil;
  glWeightPathsNV := nil;
  glCopyPathNV := nil;
  glInterpolatePathsNV := nil;
  glTransformPathNV := nil;
  glPathParameterivNV := nil;
  glPathParameteriNV := nil;
  glPathParameterfvNV := nil;
  glPathParameterfNV := nil;
  glPathDashArrayNV := nil;
  glPathStencilFuncNV := nil;
  glPathStencilDepthOffsetNV := nil;
  glStencilFillPathNV := nil;
  glStencilStrokePathNV := nil;
  glStencilFillPathInstancedNV := nil;
  glStencilStrokePathInstancedNV := nil;
  glPathCoverDepthFuncNV := nil;
  glPathColorGenNV := nil;
  glPathTexGenNV := nil;
  glPathFogGenNV := nil;
  glCoverFillPathNV := nil;
  glCoverStrokePathNV := nil;
  glCoverFillPathInstancedNV := nil;
  glCoverStrokePathInstancedNV := nil;
  glGetPathParameterivNV := nil;
  glGetPathParameterfvNV := nil;
  glGetPathCommandsNV := nil;
  glGetPathCoordsNV := nil;
  glGetPathDashArrayNV := nil;
  glGetPathMetricsNV := nil;
  glGetPathMetricRangeNV := nil;
  glGetPathSpacingNV := nil;
  glGetPathColorGenivNV := nil;
  glGetPathColorGenfvNV := nil;
  glGetPathTexGenivNV := nil;
  glGetPathTexGenfvNV := nil;
  glIsPointInFillPathNV := nil;
  glIsPointInStrokePathNV := nil;
  glGetPathLengthNV := nil;
  glPointAlongPathNV := nil;
  glMatrixLoad3x2fNV := nil;
  glMatrixLoad3x3fNV := nil;
  glMatrixLoadTranspose3x3fNV := nil;
  glMatrixMult3x2fNV := nil;
  glMatrixMult3x3fNV := nil;
  glMatrixMultTranspose3x3fNV := nil;
  glStencilThenCoverFillPathNV := nil;
  glStencilThenCoverStrokePathNV := nil;
  glStencilThenCoverFillPathInstancedNV := nil;
  glStencilThenCoverStrokePathInstancedNV := nil;
  glPathGlyphIndexRangeNV := nil;
  glPathGlyphIndexArrayNV := nil;
  glPathMemoryGlyphIndexArrayNV := nil;
  glProgramPathFragmentInputGenNV := nil;
  glGetProgramResourcefvNV := nil;
  GL_NV_pixel_data_range := false;
  glPixelDataRangeNV := nil;
  glFlushPixelDataRangeNV := nil;
  GL_NV_point_sprite := false;
  glPointParameteriNV := nil;
  glPointParameterivNV := nil;
  GL_NV_present_video := false;
  glPresentFrameKeyedNV := nil;
  glPresentFrameDualFillNV := nil;
  glGetVideoivNV := nil;
  glGetVideouivNV := nil;
  glGetVideoi64vNV := nil;
  glGetVideoui64vNV := nil;
  GL_NV_primitive_restart := false;
  glPrimitiveRestartNV := nil;
  glPrimitiveRestartIndexNV := nil;
  GL_NV_register_combiners := false;
  glCombinerParameterfvNV := nil;
  glCombinerParameterfNV := nil;
  glCombinerParameterivNV := nil;
  glCombinerParameteriNV := nil;
  glCombinerInputNV := nil;
  glCombinerOutputNV := nil;
  glFinalCombinerInputNV := nil;
  glGetCombinerInputParameterfvNV := nil;
  glGetCombinerInputParameterivNV := nil;
  glGetCombinerOutputParameterfvNV := nil;
  glGetCombinerOutputParameterivNV := nil;
  glGetFinalCombinerInputParameterfvNV := nil;
  glGetFinalCombinerInputParameterivNV := nil;
  GL_NV_path_rendering_shared_edge := false;
  GL_NV_register_combiners2 := false;
  glCombinerStageParameterfvNV := nil;
  glGetCombinerStageParameterfvNV := nil;
  GL_NV_sample_locations := false;
  glFramebufferSampleLocationsfvNV := nil;
  glNamedFramebufferSampleLocationsfvNV := nil;
  glResolveDepthValuesNV := nil;
  GL_NV_sample_mask_override_coverage := false;
  GL_NV_shader_atomic_counters := false;
  GL_NV_shader_atomic_float := false;
  GL_NV_shader_atomic_fp16_vector := false;
  GL_NV_shader_atomic_int64 := false;
  GL_NV_shader_buffer_load := false;
  glMakeBufferResidentNV := nil;
  glMakeBufferNonResidentNV := nil;
  glIsBufferResidentNV := nil;
  glMakeNamedBufferResidentNV := nil;
  glMakeNamedBufferNonResidentNV := nil;
  glIsNamedBufferResidentNV := nil;
  glGetBufferParameterui64vNV := nil;
  glGetNamedBufferParameterui64vNV := nil;
  glGetIntegerui64vNV := nil;
  glUniformui64NV := nil;
  glUniformui64vNV := nil;
  glGetUniformui64vNV := nil;
  glProgramUniformui64NV := nil;
  glProgramUniformui64vNV := nil;
  GL_NV_shader_buffer_store := false;
  GL_NV_shader_storage_buffer_object := false;
  GL_NV_shader_thread_group := false;
  GL_NV_shader_thread_shuffle := false;
  GL_NV_tessellation_program5 := false;
  GL_NV_texgen_emboss := false;
  GL_NV_texgen_reflection := false;
  GL_NV_texture_barrier := false;
  glTextureBarrierNV := nil;
  GL_NV_texture_compression_vtc := false;
  GL_NV_texture_env_combine4 := false;
  GL_NV_texture_expand_normal := false;
  GL_NV_texture_multisample := false;
  glTexImage2DMultisampleCoverageNV := nil;
  glTexImage3DMultisampleCoverageNV := nil;
  glTextureImage2DMultisampleNV := nil;
  glTextureImage3DMultisampleNV := nil;
  glTextureImage2DMultisampleCoverageNV := nil;
  glTextureImage3DMultisampleCoverageNV := nil;
  GL_NV_texture_rectangle := false;
  GL_NV_texture_shader := false;
  GL_NV_texture_shader2 := false;
  GL_NV_texture_shader3 := false;
  GL_NV_transform_feedback := false;
  glBeginTransformFeedbackNV := nil;
  glEndTransformFeedbackNV := nil;
  glTransformFeedbackAttribsNV := nil;
  glBindBufferRangeNV := nil;
  glBindBufferOffsetNV := nil;
  glBindBufferBaseNV := nil;
  glTransformFeedbackVaryingsNV := nil;
  glActiveVaryingNV := nil;
  glGetVaryingLocationNV := nil;
  glGetActiveVaryingNV := nil;
  glGetTransformFeedbackVaryingNV := nil;
  glTransformFeedbackStreamAttribsNV := nil;
  GL_NV_transform_feedback2 := false;
  glBindTransformFeedbackNV := nil;
  glDeleteTransformFeedbacksNV := nil;
  glGenTransformFeedbacksNV := nil;
  glIsTransformFeedbackNV := nil;
  glPauseTransformFeedbackNV := nil;
  glResumeTransformFeedbackNV := nil;
  glDrawTransformFeedbackNV := nil;
  GL_NV_uniform_buffer_unified_memory := false;
  GL_NV_vdpau_interop := false;
  glVDPAUInitNV := nil;
  glVDPAUFiniNV := nil;
  glVDPAURegisterVideoSurfaceNV := nil;
  glVDPAURegisterOutputSurfaceNV := nil;
  glVDPAUIsSurfaceNV := nil;
  glVDPAUUnregisterSurfaceNV := nil;
  glVDPAUGetSurfaceivNV := nil;
  glVDPAUSurfaceAccessNV := nil;
  glVDPAUMapSurfacesNV := nil;
  glVDPAUUnmapSurfacesNV := nil;
  GL_NV_vertex_array_range := false;
  glFlushVertexArrayRangeNV := nil;
  glVertexArrayRangeNV := nil;
  GL_NV_vertex_array_range2 := false;
  GL_NV_vertex_attrib_integer_64bit := false;
  glVertexAttribL1i64NV := nil;
  glVertexAttribL2i64NV := nil;
  glVertexAttribL3i64NV := nil;
  glVertexAttribL4i64NV := nil;
  glVertexAttribL1i64vNV := nil;
  glVertexAttribL2i64vNV := nil;
  glVertexAttribL3i64vNV := nil;
  glVertexAttribL4i64vNV := nil;
  glVertexAttribL1ui64NV := nil;
  glVertexAttribL2ui64NV := nil;
  glVertexAttribL3ui64NV := nil;
  glVertexAttribL4ui64NV := nil;
  glVertexAttribL1ui64vNV := nil;
  glVertexAttribL2ui64vNV := nil;
  glVertexAttribL3ui64vNV := nil;
  glVertexAttribL4ui64vNV := nil;
  glGetVertexAttribLi64vNV := nil;
  glGetVertexAttribLui64vNV := nil;
  glVertexAttribLFormatNV := nil;
  GL_NV_vertex_buffer_unified_memory := false;
  glBufferAddressRangeNV := nil;
  glVertexFormatNV := nil;
  glNormalFormatNV := nil;
  glColorFormatNV := nil;
  glIndexFormatNV := nil;
  glTexCoordFormatNV := nil;
  glEdgeFlagFormatNV := nil;
  glSecondaryColorFormatNV := nil;
  glFogCoordFormatNV := nil;
  glVertexAttribFormatNV := nil;
  glVertexAttribIFormatNV := nil;
  glGetIntegerui64i_vNV := nil;
  GL_NV_vertex_program := false;
  glAreProgramsResidentNV := nil;
  glBindProgramNV := nil;
  glDeleteProgramsNV := nil;
  glExecuteProgramNV := nil;
  glGenProgramsNV := nil;
  glGetProgramParameterdvNV := nil;
  glGetProgramParameterfvNV := nil;
  glGetProgramivNV := nil;
  glGetProgramStringNV := nil;
  glGetTrackMatrixivNV := nil;
  glGetVertexAttribdvNV := nil;
  glGetVertexAttribfvNV := nil;
  glGetVertexAttribivNV := nil;
  glGetVertexAttribPointervNV := nil;
  glIsProgramNV := nil;
  glLoadProgramNV := nil;
  glProgramParameter4dNV := nil;
  glProgramParameter4dvNV := nil;
  glProgramParameter4fNV := nil;
  glProgramParameter4fvNV := nil;
  glProgramParameters4dvNV := nil;
  glProgramParameters4fvNV := nil;
  glRequestResidentProgramsNV := nil;
  glTrackMatrixNV := nil;
  glVertexAttribPointerNV := nil;
  glVertexAttrib1dNV := nil;
  glVertexAttrib1dvNV := nil;
  glVertexAttrib1fNV := nil;
  glVertexAttrib1fvNV := nil;
  glVertexAttrib1sNV := nil;
  glVertexAttrib1svNV := nil;
  glVertexAttrib2dNV := nil;
  glVertexAttrib2dvNV := nil;
  glVertexAttrib2fNV := nil;
  glVertexAttrib2fvNV := nil;
  glVertexAttrib2sNV := nil;
  glVertexAttrib2svNV := nil;
  glVertexAttrib3dNV := nil;
  glVertexAttrib3dvNV := nil;
  glVertexAttrib3fNV := nil;
  glVertexAttrib3fvNV := nil;
  glVertexAttrib3sNV := nil;
  glVertexAttrib3svNV := nil;
  glVertexAttrib4dNV := nil;
  glVertexAttrib4dvNV := nil;
  glVertexAttrib4fNV := nil;
  glVertexAttrib4fvNV := nil;
  glVertexAttrib4sNV := nil;
  glVertexAttrib4svNV := nil;
  glVertexAttrib4ubNV := nil;
  glVertexAttrib4ubvNV := nil;
  glVertexAttribs1dvNV := nil;
  glVertexAttribs1fvNV := nil;
  glVertexAttribs1svNV := nil;
  glVertexAttribs2dvNV := nil;
  glVertexAttribs2fvNV := nil;
  glVertexAttribs2svNV := nil;
  glVertexAttribs3dvNV := nil;
  glVertexAttribs3fvNV := nil;
  glVertexAttribs3svNV := nil;
  glVertexAttribs4dvNV := nil;
  glVertexAttribs4fvNV := nil;
  glVertexAttribs4svNV := nil;
  glVertexAttribs4ubvNV := nil;
  GL_NV_vertex_program1_1 := false;
  GL_NV_vertex_program2 := false;
  GL_NV_vertex_program2_option := false;
  GL_NV_vertex_program3 := false;
  GL_NV_vertex_program4 := false;
  glVertexAttribI1iEXT := nil;
  glVertexAttribI2iEXT := nil;
  glVertexAttribI3iEXT := nil;
  glVertexAttribI4iEXT := nil;
  glVertexAttribI1uiEXT := nil;
  glVertexAttribI2uiEXT := nil;
  glVertexAttribI3uiEXT := nil;
  glVertexAttribI4uiEXT := nil;
  glVertexAttribI1ivEXT := nil;
  glVertexAttribI2ivEXT := nil;
  glVertexAttribI3ivEXT := nil;
  glVertexAttribI4ivEXT := nil;
  glVertexAttribI1uivEXT := nil;
  glVertexAttribI2uivEXT := nil;
  glVertexAttribI3uivEXT := nil;
  glVertexAttribI4uivEXT := nil;
  glVertexAttribI4bvEXT := nil;
  glVertexAttribI4svEXT := nil;
  glVertexAttribI4ubvEXT := nil;
  glVertexAttribI4usvEXT := nil;
  glVertexAttribIPointerEXT := nil;
  glGetVertexAttribIivEXT := nil;
  glGetVertexAttribIuivEXT := nil;
  GL_NV_video_capture := false;
  glBeginVideoCaptureNV := nil;
  glBindVideoCaptureStreamBufferNV := nil;
  glBindVideoCaptureStreamTextureNV := nil;
  glEndVideoCaptureNV := nil;
  glGetVideoCaptureivNV := nil;
  glGetVideoCaptureStreamivNV := nil;
  glGetVideoCaptureStreamfvNV := nil;
  glGetVideoCaptureStreamdvNV := nil;
  glVideoCaptureNV := nil;
  glVideoCaptureStreamParameterivNV := nil;
  glVideoCaptureStreamParameterfvNV := nil;
  glVideoCaptureStreamParameterdvNV := nil;
  GL_OES_EGL_image := false;
  glEGLImageTargetTexture2DOES := nil;
  glEGLImageTargetRenderbufferStorageOES := nil;
  GL_OML_interlace := false;
  GL_OML_resample := false;
  GL_OML_subsample := false;
  GL_PGI_misc_hints := false;
  glHintPGI := nil;
  GL_PGI_vertex_hints := false;
  GL_REND_screen_coordinates := false;
  GL_S3_s3tc := false;
  GL_SGIS_detail_texture := false;
  glDetailTexFuncSGIS := nil;
  glGetDetailTexFuncSGIS := nil;
  GL_SGIS_fog_function := false;
  glFogFuncSGIS := nil;
  glGetFogFuncSGIS := nil;
  GL_SGIS_generate_mipmap := false;
  GL_SGIS_multisample := false;
  glSampleMaskSGIS := nil;
  glSamplePatternSGIS := nil;
  GL_SGIS_pixel_texture := false;
  glPixelTexGenParameteriSGIS := nil;
  glPixelTexGenParameterivSGIS := nil;
  glPixelTexGenParameterfSGIS := nil;
  glPixelTexGenParameterfvSGIS := nil;
  glGetPixelTexGenParameterivSGIS := nil;
  glGetPixelTexGenParameterfvSGIS := nil;
  GL_SGIS_point_line_texgen := false;
  GL_SGIS_point_parameters := false;
  glPointParameterfSGIS := nil;
  glPointParameterfvSGIS := nil;
  GL_SGIS_sharpen_texture := false;
  glSharpenTexFuncSGIS := nil;
  glGetSharpenTexFuncSGIS := nil;
  GL_SGIS_texture4D := false;
  glTexImage4DSGIS := nil;
  glTexSubImage4DSGIS := nil;
  GL_SGIS_texture_border_clamp := false;
  GL_SGIS_texture_color_mask := false;
  glTextureColorMaskSGIS := nil;
  GL_SGIS_texture_edge_clamp := false;
  GL_SGIS_texture_filter4 := false;
  glGetTexFilterFuncSGIS := nil;
  glTexFilterFuncSGIS := nil;
  GL_SGIS_texture_lod := false;
  GL_SGIS_texture_select := false;
  GL_SGIX_async := false;
  glAsyncMarkerSGIX := nil;
  glFinishAsyncSGIX := nil;
  glPollAsyncSGIX := nil;
  glGenAsyncMarkersSGIX := nil;
  glDeleteAsyncMarkersSGIX := nil;
  glIsAsyncMarkerSGIX := nil;
  GL_SGIX_async_histogram := false;
  GL_SGIX_async_pixel := false;
  GL_SGIX_blend_alpha_minmax := false;
  GL_SGIX_calligraphic_fragment := false;
  GL_SGIX_clipmap := false;
  GL_SGIX_convolution_accuracy := false;
  GL_SGIX_depth_pass_instrument := false;
  GL_SGIX_depth_texture := false;
  GL_SGIX_flush_raster := false;
  glFlushRasterSGIX := nil;
  GL_SGIX_fog_offset := false;
  GL_SGIX_fragment_lighting := false;
  glFragmentColorMaterialSGIX := nil;
  glFragmentLightfSGIX := nil;
  glFragmentLightfvSGIX := nil;
  glFragmentLightiSGIX := nil;
  glFragmentLightivSGIX := nil;
  glFragmentLightModelfSGIX := nil;
  glFragmentLightModelfvSGIX := nil;
  glFragmentLightModeliSGIX := nil;
  glFragmentLightModelivSGIX := nil;
  glFragmentMaterialfSGIX := nil;
  glFragmentMaterialfvSGIX := nil;
  glFragmentMaterialiSGIX := nil;
  glFragmentMaterialivSGIX := nil;
  glGetFragmentLightfvSGIX := nil;
  glGetFragmentLightivSGIX := nil;
  glGetFragmentMaterialfvSGIX := nil;
  glGetFragmentMaterialivSGIX := nil;
  glLightEnviSGIX := nil;
  GL_SGIX_framezoom := false;
  glFrameZoomSGIX := nil;
  GL_SGIX_igloo_interface := false;
  glIglooInterfaceSGIX := nil;
  GL_SGIX_instruments := false;
  glGetInstrumentsSGIX := nil;
  glInstrumentsBufferSGIX := nil;
  glPollInstrumentsSGIX := nil;
  glReadInstrumentsSGIX := nil;
  glStartInstrumentsSGIX := nil;
  glStopInstrumentsSGIX := nil;
  GL_SGIX_interlace := false;
  GL_SGIX_ir_instrument1 := false;
  GL_SGIX_list_priority := false;
  glGetListParameterfvSGIX := nil;
  glGetListParameterivSGIX := nil;
  glListParameterfSGIX := nil;
  glListParameterfvSGIX := nil;
  glListParameteriSGIX := nil;
  glListParameterivSGIX := nil;
  GL_SGIX_pixel_texture := false;
  glPixelTexGenSGIX := nil;
  GL_SGIX_pixel_tiles := false;
  GL_SGIX_polynomial_ffd := false;
  glDeformationMap3dSGIX := nil;
  glDeformationMap3fSGIX := nil;
  glDeformSGIX := nil;
  glLoadIdentityDeformationMapSGIX := nil;
  GL_SGIX_reference_plane := false;
  glReferencePlaneSGIX := nil;
  GL_SGIX_resample := false;
  GL_SGIX_scalebias_hint := false;
  GL_SGIX_shadow := false;
  GL_SGIX_shadow_ambient := false;
  GL_SGIX_sprite := false;
  glSpriteParameterfSGIX := nil;
  glSpriteParameterfvSGIX := nil;
  glSpriteParameteriSGIX := nil;
  glSpriteParameterivSGIX := nil;
  GL_SGIX_subsample := false;
  GL_SGIX_tag_sample_buffer := false;
  glTagSampleBufferSGIX := nil;
  GL_SGIX_texture_add_env := false;
  GL_SGIX_texture_coordinate_clamp := false;
  GL_SGIX_texture_lod_bias := false;
  GL_SGIX_texture_multi_buffer := false;
  GL_SGIX_texture_scale_bias := false;
  GL_SGIX_vertex_preclip := false;
  GL_SGIX_ycrcb := false;
  GL_SGIX_ycrcb_subsample := false;
  GL_SGIX_ycrcba := false;
  GL_SGI_color_matrix := false;
  GL_SGI_color_table := false;
  glColorTableSGI := nil;
  glColorTableParameterfvSGI := nil;
  glColorTableParameterivSGI := nil;
  glCopyColorTableSGI := nil;
  glGetColorTableSGI := nil;
  glGetColorTableParameterfvSGI := nil;
  glGetColorTableParameterivSGI := nil;
  GL_SGI_texture_color_table := false;
  GL_SUNX_constant_data := false;
  glFinishTextureSUNX := nil;
  GL_SUN_convolution_border_modes := false;
  GL_SUN_global_alpha := false;
  glGlobalAlphaFactorbSUN := nil;
  glGlobalAlphaFactorsSUN := nil;
  glGlobalAlphaFactoriSUN := nil;
  glGlobalAlphaFactorfSUN := nil;
  glGlobalAlphaFactordSUN := nil;
  glGlobalAlphaFactorubSUN := nil;
  glGlobalAlphaFactorusSUN := nil;
  glGlobalAlphaFactoruiSUN := nil;
  GL_SUN_mesh_array := false;
  glDrawMeshArraysSUN := nil;
  GL_SUN_slice_accum := false;
  GL_SUN_triangle_list := false;
  glReplacementCodeuiSUN := nil;
  glReplacementCodeusSUN := nil;
  glReplacementCodeubSUN := nil;
  glReplacementCodeuivSUN := nil;
  glReplacementCodeusvSUN := nil;
  glReplacementCodeubvSUN := nil;
  glReplacementCodePointerSUN := nil;
  GL_SUN_vertex := false;
  glColor4ubVertex2fSUN := nil;
  glColor4ubVertex2fvSUN := nil;
  glColor4ubVertex3fSUN := nil;
  glColor4ubVertex3fvSUN := nil;
  glColor3fVertex3fSUN := nil;
  glColor3fVertex3fvSUN := nil;
  glNormal3fVertex3fSUN := nil;
  glNormal3fVertex3fvSUN := nil;
  glColor4fNormal3fVertex3fSUN := nil;
  glColor4fNormal3fVertex3fvSUN := nil;
  glTexCoord2fVertex3fSUN := nil;
  glTexCoord2fVertex3fvSUN := nil;
  glTexCoord4fVertex4fSUN := nil;
  glTexCoord4fVertex4fvSUN := nil;
  glTexCoord2fColor4ubVertex3fSUN := nil;
  glTexCoord2fColor4ubVertex3fvSUN := nil;
  glTexCoord2fColor3fVertex3fSUN := nil;
  glTexCoord2fColor3fVertex3fvSUN := nil;
  glTexCoord2fNormal3fVertex3fSUN := nil;
  glTexCoord2fNormal3fVertex3fvSUN := nil;
  glTexCoord2fColor4fNormal3fVertex3fSUN := nil;
  glTexCoord2fColor4fNormal3fVertex3fvSUN := nil;
  glTexCoord4fColor4fNormal3fVertex4fSUN := nil;
  glTexCoord4fColor4fNormal3fVertex4fvSUN := nil;
  glReplacementCodeuiVertex3fSUN := nil;
  glReplacementCodeuiVertex3fvSUN := nil;
  glReplacementCodeuiColor4ubVertex3fSUN := nil;
  glReplacementCodeuiColor4ubVertex3fvSUN := nil;
  glReplacementCodeuiColor3fVertex3fSUN := nil;
  glReplacementCodeuiColor3fVertex3fvSUN := nil;
  glReplacementCodeuiNormal3fVertex3fSUN := nil;
  glReplacementCodeuiNormal3fVertex3fvSUN := nil;
  glReplacementCodeuiColor4fNormal3fVertex3fSUN := nil;
  glReplacementCodeuiColor4fNormal3fVertex3fvSUN := nil;
  glReplacementCodeuiTexCoord2fVertex3fSUN := nil;
  glReplacementCodeuiTexCoord2fVertex3fvSUN := nil;
  glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN := nil;
  glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN := nil;
  glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN := nil;
  glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN := nil;
  GL_WIN_phong_shading := false;
  GL_WIN_specular_fog := false;
  {GL_VERSION_1_1}
  GL_VERSION_1_1 := false;
  glDrawArrays := nil;
  glDrawElements := nil;
  glGetPointerv := nil;
  glPolygonOffset := nil;
  glCopyTexImage1D := nil;
  glCopyTexImage2D := nil;
  glCopyTexSubImage1D := nil;
  glCopyTexSubImage2D := nil;
  glTexSubImage1D := nil;
  glTexSubImage2D := nil;
  glBindTexture := nil;
  glDeleteTextures := nil;
  glGenTextures := nil;
  glIsTexture := nil;
  glArrayElement := nil;
  glColorPointer := nil;
  glDisableClientState := nil;
  glEdgeFlagPointer := nil;
  glEnableClientState := nil;
  glIndexPointer := nil;
  glInterleavedArrays := nil;
  glNormalPointer := nil;
  glTexCoordPointer := nil;
  glVertexPointer := nil;
  glAreTexturesResident := nil;
  glPrioritizeTextures := nil;
  glIndexub := nil;
  glIndexubv := nil;
  glPopClientAttrib := nil;
  glPushClientAttrib := nil;
  {GL_VERSION_1_2}
  GL_VERSION_1_2 := false;
  glDrawRangeElements := nil;
  glTexImage3D := nil;
  glTexSubImage3D := nil;
  glCopyTexSubImage3D := nil;
  {GL_VERSION_1_3}
  GL_VERSION_1_3 := false;
  glActiveTexture := nil;
  glSampleCoverage := nil;
  glCompressedTexImage3D := nil;
  glCompressedTexImage2D := nil;
  glCompressedTexImage1D := nil;
  glCompressedTexSubImage3D := nil;
  glCompressedTexSubImage2D := nil;
  glCompressedTexSubImage1D := nil;
  glGetCompressedTexImage := nil;
  glClientActiveTexture := nil;
  glMultiTexCoord1d := nil;
  glMultiTexCoord1dv := nil;
  glMultiTexCoord1f := nil;
  glMultiTexCoord1fv := nil;
  glMultiTexCoord1i := nil;
  glMultiTexCoord1iv := nil;
  glMultiTexCoord1s := nil;
  glMultiTexCoord1sv := nil;
  glMultiTexCoord2d := nil;
  glMultiTexCoord2dv := nil;
  glMultiTexCoord2f := nil;
  glMultiTexCoord2fv := nil;
  glMultiTexCoord2i := nil;
  glMultiTexCoord2iv := nil;
  glMultiTexCoord2s := nil;
  glMultiTexCoord2sv := nil;
  glMultiTexCoord3d := nil;
  glMultiTexCoord3dv := nil;
  glMultiTexCoord3f := nil;
  glMultiTexCoord3fv := nil;
  glMultiTexCoord3i := nil;
  glMultiTexCoord3iv := nil;
  glMultiTexCoord3s := nil;
  glMultiTexCoord3sv := nil;
  glMultiTexCoord4d := nil;
  glMultiTexCoord4dv := nil;
  glMultiTexCoord4f := nil;
  glMultiTexCoord4fv := nil;
  glMultiTexCoord4i := nil;
  glMultiTexCoord4iv := nil;
  glMultiTexCoord4s := nil;
  glMultiTexCoord4sv := nil;
  glLoadTransposeMatrixf := nil;
  glLoadTransposeMatrixd := nil;
  glMultTransposeMatrixf := nil;
  glMultTransposeMatrixd := nil;
  {GL_VERSION_1_4}
  GL_VERSION_1_4 := false;
  glBlendFuncSeparate := nil;
  glMultiDrawArrays := nil;
  glMultiDrawElements := nil;
  glPointParameterf := nil;
  glPointParameterfv := nil;
  glPointParameteri := nil;
  glPointParameteriv := nil;
  glFogCoordf := nil;
  glFogCoordfv := nil;
  glFogCoordd := nil;
  glFogCoorddv := nil;
  glFogCoordPointer := nil;
  glSecondaryColor3b := nil;
  glSecondaryColor3bv := nil;
  glSecondaryColor3d := nil;
  glSecondaryColor3dv := nil;
  glSecondaryColor3f := nil;
  glSecondaryColor3fv := nil;
  glSecondaryColor3i := nil;
  glSecondaryColor3iv := nil;
  glSecondaryColor3s := nil;
  glSecondaryColor3sv := nil;
  glSecondaryColor3ub := nil;
  glSecondaryColor3ubv := nil;
  glSecondaryColor3ui := nil;
  glSecondaryColor3uiv := nil;
  glSecondaryColor3us := nil;
  glSecondaryColor3usv := nil;
  glSecondaryColorPointer := nil;
  glWindowPos2d := nil;
  glWindowPos2dv := nil;
  glWindowPos2f := nil;
  glWindowPos2fv := nil;
  glWindowPos2i := nil;
  glWindowPos2iv := nil;
  glWindowPos2s := nil;
  glWindowPos2sv := nil;
  glWindowPos3d := nil;
  glWindowPos3dv := nil;
  glWindowPos3f := nil;
  glWindowPos3fv := nil;
  glWindowPos3i := nil;
  glWindowPos3iv := nil;
  glWindowPos3s := nil;
  glWindowPos3sv := nil;
  glBlendColor := nil;
  glBlendEquation := nil;
  {GL_VERSION_1_5}
  GL_VERSION_1_5 := false;
  glGenQueries := nil;
  glDeleteQueries := nil;
  glIsQuery := nil;
  glBeginQuery := nil;
  glEndQuery := nil;
  glGetQueryiv := nil;
  glGetQueryObjectiv := nil;
  glGetQueryObjectuiv := nil;
  glBindBuffer := nil;
  glDeleteBuffers := nil;
  glGenBuffers := nil;
  glIsBuffer := nil;
  glBufferData := nil;
  glBufferSubData := nil;
  glGetBufferSubData := nil;
  glMapBuffer := nil;
  glUnmapBuffer := nil;
  glGetBufferParameteriv := nil;
  glGetBufferPointerv := nil;
  {GL_VERSION_2_0}
  GL_VERSION_2_0 := false;
  glBlendEquationSeparate := nil;
  glDrawBuffers := nil;
  glStencilOpSeparate := nil;
  glStencilFuncSeparate := nil;
  glStencilMaskSeparate := nil;
  glAttachShader := nil;
  glBindAttribLocation := nil;
  glCompileShader := nil;
  glCreateProgram := nil;
  glCreateShader := nil;
  glDeleteProgram := nil;
  glDeleteShader := nil;
  glDetachShader := nil;
  glDisableVertexAttribArray := nil;
  glEnableVertexAttribArray := nil;
  glGetActiveAttrib := nil;
  glGetActiveUniform := nil;
  glGetAttachedShaders := nil;
  glGetAttribLocation := nil;
  glGetProgramiv := nil;
  glGetProgramInfoLog := nil;
  glGetShaderiv := nil;
  glGetShaderInfoLog := nil;
  glGetShaderSource := nil;
  glGetUniformLocation := nil;
  glGetUniformfv := nil;
  glGetUniformiv := nil;
  glGetVertexAttribdv := nil;
  glGetVertexAttribfv := nil;
  glGetVertexAttribiv := nil;
  glGetVertexAttribPointerv := nil;
  glIsProgram := nil;
  glIsShader := nil;
  glLinkProgram := nil;
  glShaderSource := nil;
  glUseProgram := nil;
  glUniform1f := nil;
  glUniform2f := nil;
  glUniform3f := nil;
  glUniform4f := nil;
  glUniform1i := nil;
  glUniform2i := nil;
  glUniform3i := nil;
  glUniform4i := nil;
  glUniform1fv := nil;
  glUniform2fv := nil;
  glUniform3fv := nil;
  glUniform4fv := nil;
  glUniform1iv := nil;
  glUniform2iv := nil;
  glUniform3iv := nil;
  glUniform4iv := nil;
  glUniformMatrix2fv := nil;
  glUniformMatrix3fv := nil;
  glUniformMatrix4fv := nil;
  glValidateProgram := nil;
  glVertexAttrib1d := nil;
  glVertexAttrib1dv := nil;
  glVertexAttrib1f := nil;
  glVertexAttrib1fv := nil;
  glVertexAttrib1s := nil;
  glVertexAttrib1sv := nil;
  glVertexAttrib2d := nil;
  glVertexAttrib2dv := nil;
  glVertexAttrib2f := nil;
  glVertexAttrib2fv := nil;
  glVertexAttrib2s := nil;
  glVertexAttrib2sv := nil;
  glVertexAttrib3d := nil;
  glVertexAttrib3dv := nil;
  glVertexAttrib3f := nil;
  glVertexAttrib3fv := nil;
  glVertexAttrib3s := nil;
  glVertexAttrib3sv := nil;
  glVertexAttrib4Nbv := nil;
  glVertexAttrib4Niv := nil;
  glVertexAttrib4Nsv := nil;
  glVertexAttrib4Nub := nil;
  glVertexAttrib4Nubv := nil;
  glVertexAttrib4Nuiv := nil;
  glVertexAttrib4Nusv := nil;
  glVertexAttrib4bv := nil;
  glVertexAttrib4d := nil;
  glVertexAttrib4dv := nil;
  glVertexAttrib4f := nil;
  glVertexAttrib4fv := nil;
  glVertexAttrib4iv := nil;
  glVertexAttrib4s := nil;
  glVertexAttrib4sv := nil;
  glVertexAttrib4ubv := nil;
  glVertexAttrib4uiv := nil;
  glVertexAttrib4usv := nil;
  glVertexAttribPointer := nil;
  {GL_VERSION_2_1}
  GL_VERSION_2_1 := false;
  glUniformMatrix2x3fv := nil;
  glUniformMatrix3x2fv := nil;
  glUniformMatrix2x4fv := nil;
  glUniformMatrix4x2fv := nil;
  glUniformMatrix3x4fv := nil;
  glUniformMatrix4x3fv := nil;
  {GL_VERSION_3_0}
  GL_VERSION_3_0 := false;
  glColorMaski := nil;
  glGetBooleani_v := nil;
  glGetIntegeri_v := nil;
  glEnablei := nil;
  glDisablei := nil;
  glIsEnabledi := nil;
  glBeginTransformFeedback := nil;
  glEndTransformFeedback := nil;
  glBindBufferRange := nil;
  glBindBufferBase := nil;
  glTransformFeedbackVaryings := nil;
  glGetTransformFeedbackVarying := nil;
  glClampColor := nil;
  glBeginConditionalRender := nil;
  glEndConditionalRender := nil;
  glVertexAttribIPointer := nil;
  glGetVertexAttribIiv := nil;
  glGetVertexAttribIuiv := nil;
  glVertexAttribI1i := nil;
  glVertexAttribI2i := nil;
  glVertexAttribI3i := nil;
  glVertexAttribI4i := nil;
  glVertexAttribI1ui := nil;
  glVertexAttribI2ui := nil;
  glVertexAttribI3ui := nil;
  glVertexAttribI4ui := nil;
  glVertexAttribI1iv := nil;
  glVertexAttribI2iv := nil;
  glVertexAttribI3iv := nil;
  glVertexAttribI4iv := nil;
  glVertexAttribI1uiv := nil;
  glVertexAttribI2uiv := nil;
  glVertexAttribI3uiv := nil;
  glVertexAttribI4uiv := nil;
  glVertexAttribI4bv := nil;
  glVertexAttribI4sv := nil;
  glVertexAttribI4ubv := nil;
  glVertexAttribI4usv := nil;
  glGetUniformuiv := nil;
  glBindFragDataLocation := nil;
  glGetFragDataLocation := nil;
  glUniform1ui := nil;
  glUniform2ui := nil;
  glUniform3ui := nil;
  glUniform4ui := nil;
  glUniform1uiv := nil;
  glUniform2uiv := nil;
  glUniform3uiv := nil;
  glUniform4uiv := nil;
  glTexParameterIiv := nil;
  glTexParameterIuiv := nil;
  glGetTexParameterIiv := nil;
  glGetTexParameterIuiv := nil;
  glClearBufferiv := nil;
  glClearBufferuiv := nil;
  glClearBufferfv := nil;
  glClearBufferfi := nil;
  glGetStringi := nil;
  glIsRenderbuffer := nil;
  glBindRenderbuffer := nil;
  glDeleteRenderbuffers := nil;
  glGenRenderbuffers := nil;
  glRenderbufferStorage := nil;
  glGetRenderbufferParameteriv := nil;
  glIsFramebuffer := nil;
  glBindFramebuffer := nil;
  glDeleteFramebuffers := nil;
  glGenFramebuffers := nil;
  glCheckFramebufferStatus := nil;
  glFramebufferTexture1D := nil;
  glFramebufferTexture2D := nil;
  glFramebufferTexture3D := nil;
  glFramebufferRenderbuffer := nil;
  glGetFramebufferAttachmentParameteriv := nil;
  glGenerateMipmap := nil;
  glBlitFramebuffer := nil;
  glRenderbufferStorageMultisample := nil;
  glFramebufferTextureLayer := nil;
  glMapBufferRange := nil;
  glFlushMappedBufferRange := nil;
  glBindVertexArray := nil;
  glDeleteVertexArrays := nil;
  glGenVertexArrays := nil;
  glIsVertexArray := nil;
  {GL_VERSION_3_1}
  GL_VERSION_3_1 := false;
  glDrawArraysInstanced := nil;
  glDrawElementsInstanced := nil;
  glTexBuffer := nil;
  glPrimitiveRestartIndex := nil;
  glCopyBufferSubData := nil;
  glGetUniformIndices := nil;
  glGetActiveUniformsiv := nil;
  glGetActiveUniformName := nil;
  glGetUniformBlockIndex := nil;
  glGetActiveUniformBlockiv := nil;
  glGetActiveUniformBlockName := nil;
  glUniformBlockBinding := nil;
  {GL_VERSION_3_2}
  GL_VERSION_3_2 := false;
  glDrawElementsBaseVertex := nil;
  glDrawRangeElementsBaseVertex := nil;
  glDrawElementsInstancedBaseVertex := nil;
  glMultiDrawElementsBaseVertex := nil;
  glProvokingVertex := nil;
  glFenceSync := nil;
  glIsSync := nil;
  glDeleteSync := nil;
  glClientWaitSync := nil;
  glWaitSync := nil;
  glGetInteger64v := nil;
  glGetSynciv := nil;
  glGetInteger64i_v := nil;
  glGetBufferParameteri64v := nil;
  glFramebufferTexture := nil;
  glTexImage2DMultisample := nil;
  glTexImage3DMultisample := nil;
  glGetMultisamplefv := nil;
  glSampleMaski := nil;
  glNewList := nil;
  glEndList := nil;
  glCallList := nil;
  glCallLists := nil;
  glDeleteLists := nil;
  glGenLists := nil;
  glListBase := nil;
  glBegin := nil;
  glBitmap := nil;
  glColor3b := nil;
  glColor3bv := nil;
  glColor3d := nil;
  glColor3dv := nil;
  glColor3f := nil;
  glColor3fv := nil;
  glColor3i := nil;
  glColor3iv := nil;
  glColor3s := nil;
  glColor3sv := nil;
  glColor3ub := nil;
  glColor3ubv := nil;
  glColor3ui := nil;
  glColor3uiv := nil;
  glColor3us := nil;
  glColor3usv := nil;
  glColor4b := nil;
  glColor4bv := nil;
  glColor4d := nil;
  glColor4dv := nil;
  glColor4f := nil;
  glColor4fv := nil;
  glColor4i := nil;
  glColor4iv := nil;
  glColor4s := nil;
  glColor4sv := nil;
  glColor4ub := nil;
  glColor4ubv := nil;
  glColor4ui := nil;
  glColor4uiv := nil;
  glColor4us := nil;
  glColor4usv := nil;
  glEdgeFlag := nil;
  glEdgeFlagv := nil;
  glEnd := nil;
  glIndexd := nil;
  glIndexdv := nil;
  glIndexf := nil;
  glIndexfv := nil;
  glIndexi := nil;
  glIndexiv := nil;
  glIndexs := nil;
  glIndexsv := nil;
  glNormal3b := nil;
  glNormal3bv := nil;
  glNormal3d := nil;
  glNormal3dv := nil;
  glNormal3f := nil;
  glNormal3fv := nil;
  glNormal3i := nil;
  glNormal3iv := nil;
  glNormal3s := nil;
  glNormal3sv := nil;
  glRasterPos2d := nil;
  glRasterPos2dv := nil;
  glRasterPos2f := nil;
  glRasterPos2fv := nil;
  glRasterPos2i := nil;
  glRasterPos2iv := nil;
  glRasterPos2s := nil;
  glRasterPos2sv := nil;
  glRasterPos3d := nil;
  glRasterPos3dv := nil;
  glRasterPos3f := nil;
  glRasterPos3fv := nil;
  glRasterPos3i := nil;
  glRasterPos3iv := nil;
  glRasterPos3s := nil;
  glRasterPos3sv := nil;
  glRasterPos4d := nil;
  glRasterPos4dv := nil;
  glRasterPos4f := nil;
  glRasterPos4fv := nil;
  glRasterPos4i := nil;
  glRasterPos4iv := nil;
  glRasterPos4s := nil;
  glRasterPos4sv := nil;
  glRectd := nil;
  glRectdv := nil;
  glRectf := nil;
  glRectfv := nil;
  glRecti := nil;
  glRectiv := nil;
  glRects := nil;
  glRectsv := nil;
  glTexCoord1d := nil;
  glTexCoord1dv := nil;
  glTexCoord1f := nil;
  glTexCoord1fv := nil;
  glTexCoord1i := nil;
  glTexCoord1iv := nil;
  glTexCoord1s := nil;
  glTexCoord1sv := nil;
  glTexCoord2d := nil;
  glTexCoord2dv := nil;
  glTexCoord2f := nil;
  glTexCoord2fv := nil;
  glTexCoord2i := nil;
  glTexCoord2iv := nil;
  glTexCoord2s := nil;
  glTexCoord2sv := nil;
  glTexCoord3d := nil;
  glTexCoord3dv := nil;
  glTexCoord3f := nil;
  glTexCoord3fv := nil;
  glTexCoord3i := nil;
  glTexCoord3iv := nil;
  glTexCoord3s := nil;
  glTexCoord3sv := nil;
  glTexCoord4d := nil;
  glTexCoord4dv := nil;
  glTexCoord4f := nil;
  glTexCoord4fv := nil;
  glTexCoord4i := nil;
  glTexCoord4iv := nil;
  glTexCoord4s := nil;
  glTexCoord4sv := nil;
  glVertex2d := nil;
  glVertex2dv := nil;
  glVertex2f := nil;
  glVertex2fv := nil;
  glVertex2i := nil;
  glVertex2iv := nil;
  glVertex2s := nil;
  glVertex2sv := nil;
  glVertex3d := nil;
  glVertex3dv := nil;
  glVertex3f := nil;
  glVertex3fv := nil;
  glVertex3i := nil;
  glVertex3iv := nil;
  glVertex3s := nil;
  glVertex3sv := nil;
  glVertex4d := nil;
  glVertex4dv := nil;
  glVertex4f := nil;
  glVertex4fv := nil;
  glVertex4i := nil;
  glVertex4iv := nil;
  glVertex4s := nil;
  glVertex4sv := nil;
  glClipPlane := nil;
  glColorMaterial := nil;
  glFogf := nil;
  glFogfv := nil;
  glFogi := nil;
  glFogiv := nil;
  glLightf := nil;
  glLightfv := nil;
  glLighti := nil;
  glLightiv := nil;
  glLightModelf := nil;
  glLightModelfv := nil;
  glLightModeli := nil;
  glLightModeliv := nil;
  glLineStipple := nil;
  glMaterialf := nil;
  glMaterialfv := nil;
  glMateriali := nil;
  glMaterialiv := nil;
  glPolygonStipple := nil;
  glShadeModel := nil;
  glTexEnvf := nil;
  glTexEnvfv := nil;
  glTexEnvi := nil;
  glTexEnviv := nil;
  glTexGend := nil;
  glTexGendv := nil;
  glTexGenf := nil;
  glTexGenfv := nil;
  glTexGeni := nil;
  glTexGeniv := nil;
  glFeedbackBuffer := nil;
  glSelectBuffer := nil;
  glRenderMode := nil;
  glInitNames := nil;
  glLoadName := nil;
  glPassThrough := nil;
  glPopName := nil;
  glPushName := nil;
  glClearAccum := nil;
  glClearIndex := nil;
  glIndexMask := nil;
  glAccum := nil;
  glPopAttrib := nil;
  glPushAttrib := nil;
  glMap1d := nil;
  glMap1f := nil;
  glMap2d := nil;
  glMap2f := nil;
  glMapGrid1d := nil;
  glMapGrid1f := nil;
  glMapGrid2d := nil;
  glMapGrid2f := nil;
  glEvalCoord1d := nil;
  glEvalCoord1dv := nil;
  glEvalCoord1f := nil;
  glEvalCoord1fv := nil;
  glEvalCoord2d := nil;
  glEvalCoord2dv := nil;
  glEvalCoord2f := nil;
  glEvalCoord2fv := nil;
  glEvalMesh1 := nil;
  glEvalPoint1 := nil;
  glEvalMesh2 := nil;
  glEvalPoint2 := nil;
  glAlphaFunc := nil;
  glPixelZoom := nil;
  glPixelTransferf := nil;
  glPixelTransferi := nil;
  glPixelMapfv := nil;
  glPixelMapuiv := nil;
  glPixelMapusv := nil;
  glCopyPixels := nil;
  glDrawPixels := nil;
  glGetClipPlane := nil;
  glGetLightfv := nil;
  glGetLightiv := nil;
  glGetMapdv := nil;
  glGetMapfv := nil;
  glGetMapiv := nil;
  glGetMaterialfv := nil;
  glGetMaterialiv := nil;
  glGetPixelMapfv := nil;
  glGetPixelMapuiv := nil;
  glGetPixelMapusv := nil;
  glGetPolygonStipple := nil;
  glGetTexEnvfv := nil;
  glGetTexEnviv := nil;
  glGetTexGendv := nil;
  glGetTexGenfv := nil;
  glGetTexGeniv := nil;
  glIsList := nil;
  glFrustum := nil;
  glLoadIdentity := nil;
  glLoadMatrixf := nil;
  glLoadMatrixd := nil;
  glMatrixMode := nil;
  glMultMatrixf := nil;
  glMultMatrixd := nil;
  glOrtho := nil;
  glPopMatrix := nil;
  glPushMatrix := nil;
  glRotated := nil;
  glRotatef := nil;
  glScaled := nil;
  glScalef := nil;
  glTranslated := nil;
  glTranslatef := nil;
  {GL_VERSION_3_3}
  GL_VERSION_3_3 := false;
  glBindFragDataLocationIndexed := nil;
  glGetFragDataIndex := nil;
  glGenSamplers := nil;
  glDeleteSamplers := nil;
  glIsSampler := nil;
  glBindSampler := nil;
  glSamplerParameteri := nil;
  glSamplerParameteriv := nil;
  glSamplerParameterf := nil;
  glSamplerParameterfv := nil;
  glSamplerParameterIiv := nil;
  glSamplerParameterIuiv := nil;
  glGetSamplerParameteriv := nil;
  glGetSamplerParameterIiv := nil;
  glGetSamplerParameterfv := nil;
  glGetSamplerParameterIuiv := nil;
  glQueryCounter := nil;
  glGetQueryObjecti64v := nil;
  glGetQueryObjectui64v := nil;
  glVertexAttribDivisor := nil;
  glVertexAttribP1ui := nil;
  glVertexAttribP1uiv := nil;
  glVertexAttribP2ui := nil;
  glVertexAttribP2uiv := nil;
  glVertexAttribP3ui := nil;
  glVertexAttribP3uiv := nil;
  glVertexAttribP4ui := nil;
  glVertexAttribP4uiv := nil;
  glVertexP2ui := nil;
  glVertexP2uiv := nil;
  glVertexP3ui := nil;
  glVertexP3uiv := nil;
  glVertexP4ui := nil;
  glVertexP4uiv := nil;
  glTexCoordP1ui := nil;
  glTexCoordP1uiv := nil;
  glTexCoordP2ui := nil;
  glTexCoordP2uiv := nil;
  glTexCoordP3ui := nil;
  glTexCoordP3uiv := nil;
  glTexCoordP4ui := nil;
  glTexCoordP4uiv := nil;
  glMultiTexCoordP1ui := nil;
  glMultiTexCoordP1uiv := nil;
  glMultiTexCoordP2ui := nil;
  glMultiTexCoordP2uiv := nil;
  glMultiTexCoordP3ui := nil;
  glMultiTexCoordP3uiv := nil;
  glMultiTexCoordP4ui := nil;
  glMultiTexCoordP4uiv := nil;
  glNormalP3ui := nil;
  glNormalP3uiv := nil;
  glColorP3ui := nil;
  glColorP3uiv := nil;
  glColorP4ui := nil;
  glColorP4uiv := nil;
  glSecondaryColorP3ui := nil;
  glSecondaryColorP3uiv := nil;
  {GL_VERSION_4_0}
  GL_VERSION_4_0 := false;
  glMinSampleShading := nil;
  glBlendEquationi := nil;
  glBlendEquationSeparatei := nil;
  glBlendFunci := nil;
  glBlendFuncSeparatei := nil;
  glDrawArraysIndirect := nil;
  glDrawElementsIndirect := nil;
  glUniform1d := nil;
  glUniform2d := nil;
  glUniform3d := nil;
  glUniform4d := nil;
  glUniform1dv := nil;
  glUniform2dv := nil;
  glUniform3dv := nil;
  glUniform4dv := nil;
  glUniformMatrix2dv := nil;
  glUniformMatrix3dv := nil;
  glUniformMatrix4dv := nil;
  glUniformMatrix2x3dv := nil;
  glUniformMatrix2x4dv := nil;
  glUniformMatrix3x2dv := nil;
  glUniformMatrix3x4dv := nil;
  glUniformMatrix4x2dv := nil;
  glUniformMatrix4x3dv := nil;
  glGetUniformdv := nil;
  glGetSubroutineUniformLocation := nil;
  glGetSubroutineIndex := nil;
  glGetActiveSubroutineUniformiv := nil;
  glGetActiveSubroutineUniformName := nil;
  glGetActiveSubroutineName := nil;
  glUniformSubroutinesuiv := nil;
  glGetUniformSubroutineuiv := nil;
  glGetProgramStageiv := nil;
  glPatchParameteri := nil;
  glPatchParameterfv := nil;
  glBindTransformFeedback := nil;
  glDeleteTransformFeedbacks := nil;
  glGenTransformFeedbacks := nil;
  glIsTransformFeedback := nil;
  glPauseTransformFeedback := nil;
  glResumeTransformFeedback := nil;
  glDrawTransformFeedback := nil;
  glDrawTransformFeedbackStream := nil;
  glBeginQueryIndexed := nil;
  glEndQueryIndexed := nil;
  glGetQueryIndexediv := nil;
  {GL_VERSION_4_1}
  GL_VERSION_4_1 := false;
  glReleaseShaderCompiler := nil;
  glShaderBinary := nil;
  glGetShaderPrecisionFormat := nil;
  glDepthRangef := nil;
  glClearDepthf := nil;
  glGetProgramBinary := nil;
  glProgramBinary := nil;
  glProgramParameteri := nil;
  glUseProgramStages := nil;
  glActiveShaderProgram := nil;
  glCreateShaderProgramv := nil;
  glBindProgramPipeline := nil;
  glDeleteProgramPipelines := nil;
  glGenProgramPipelines := nil;
  glIsProgramPipeline := nil;
  glGetProgramPipelineiv := nil;
  glProgramUniform1i := nil;
  glProgramUniform1iv := nil;
  glProgramUniform1f := nil;
  glProgramUniform1fv := nil;
  glProgramUniform1d := nil;
  glProgramUniform1dv := nil;
  glProgramUniform1ui := nil;
  glProgramUniform1uiv := nil;
  glProgramUniform2i := nil;
  glProgramUniform2iv := nil;
  glProgramUniform2f := nil;
  glProgramUniform2fv := nil;
  glProgramUniform2d := nil;
  glProgramUniform2dv := nil;
  glProgramUniform2ui := nil;
  glProgramUniform2uiv := nil;
  glProgramUniform3i := nil;
  glProgramUniform3iv := nil;
  glProgramUniform3f := nil;
  glProgramUniform3fv := nil;
  glProgramUniform3d := nil;
  glProgramUniform3dv := nil;
  glProgramUniform3ui := nil;
  glProgramUniform3uiv := nil;
  glProgramUniform4i := nil;
  glProgramUniform4iv := nil;
  glProgramUniform4f := nil;
  glProgramUniform4fv := nil;
  glProgramUniform4d := nil;
  glProgramUniform4dv := nil;
  glProgramUniform4ui := nil;
  glProgramUniform4uiv := nil;
  glProgramUniformMatrix2fv := nil;
  glProgramUniformMatrix3fv := nil;
  glProgramUniformMatrix4fv := nil;
  glProgramUniformMatrix2dv := nil;
  glProgramUniformMatrix3dv := nil;
  glProgramUniformMatrix4dv := nil;
  glProgramUniformMatrix2x3fv := nil;
  glProgramUniformMatrix3x2fv := nil;
  glProgramUniformMatrix2x4fv := nil;
  glProgramUniformMatrix4x2fv := nil;
  glProgramUniformMatrix3x4fv := nil;
  glProgramUniformMatrix4x3fv := nil;
  glProgramUniformMatrix2x3dv := nil;
  glProgramUniformMatrix3x2dv := nil;
  glProgramUniformMatrix2x4dv := nil;
  glProgramUniformMatrix4x2dv := nil;
  glProgramUniformMatrix3x4dv := nil;
  glProgramUniformMatrix4x3dv := nil;
  glValidateProgramPipeline := nil;
  glGetProgramPipelineInfoLog := nil;
  glVertexAttribL1d := nil;
  glVertexAttribL2d := nil;
  glVertexAttribL3d := nil;
  glVertexAttribL4d := nil;
  glVertexAttribL1dv := nil;
  glVertexAttribL2dv := nil;
  glVertexAttribL3dv := nil;
  glVertexAttribL4dv := nil;
  glVertexAttribLPointer := nil;
  glGetVertexAttribLdv := nil;
  glViewportArrayv := nil;
  glViewportIndexedf := nil;
  glViewportIndexedfv := nil;
  glScissorArrayv := nil;
  glScissorIndexed := nil;
  glScissorIndexedv := nil;
  glDepthRangeArrayv := nil;
  glDepthRangeIndexed := nil;
  glGetFloati_v := nil;
  glGetDoublei_v := nil;
  {GL_VERSION_4_2}
  GL_VERSION_4_2 := false;
  glDrawArraysInstancedBaseInstance := nil;
  glDrawElementsInstancedBaseInstance := nil;
  glDrawElementsInstancedBaseVertexBaseInstance := nil;
  glGetInternalformativ := nil;
  glGetActiveAtomicCounterBufferiv := nil;
  glBindImageTexture := nil;
  glMemoryBarrier := nil;
  glTexStorage1D := nil;
  glTexStorage2D := nil;
  glTexStorage3D := nil;
  glDrawTransformFeedbackInstanced := nil;
  glDrawTransformFeedbackStreamInstanced := nil;
  {GL_VERSION_4_3}
  GL_VERSION_4_3 := false;
  glClearBufferData := nil;
  glClearBufferSubData := nil;
  glDispatchCompute := nil;
  glDispatchComputeIndirect := nil;
  glCopyImageSubData := nil;
  glFramebufferParameteri := nil;
  glGetFramebufferParameteriv := nil;
  glGetInternalformati64v := nil;
  glInvalidateTexSubImage := nil;
  glInvalidateTexImage := nil;
  glInvalidateBufferSubData := nil;
  glInvalidateBufferData := nil;
  glInvalidateFramebuffer := nil;
  glInvalidateSubFramebuffer := nil;
  glMultiDrawArraysIndirect := nil;
  glMultiDrawElementsIndirect := nil;
  glGetProgramInterfaceiv := nil;
  glGetProgramResourceIndex := nil;
  glGetProgramResourceName := nil;
  glGetProgramResourceiv := nil;
  glGetProgramResourceLocation := nil;
  glGetProgramResourceLocationIndex := nil;
  glShaderStorageBlockBinding := nil;
  glTexBufferRange := nil;
  glTexStorage2DMultisample := nil;
  glTexStorage3DMultisample := nil;
  glTextureView := nil;
  glBindVertexBuffer := nil;
  glVertexAttribFormat := nil;
  glVertexAttribIFormat := nil;
  glVertexAttribLFormat := nil;
  glVertexAttribBinding := nil;
  glVertexBindingDivisor := nil;
  glDebugMessageControl := nil;
  glDebugMessageInsert := nil;
  glDebugMessageCallback := nil;
  glGetDebugMessageLog := nil;
  glPushDebugGroup := nil;
  glPopDebugGroup := nil;
  glObjectLabel := nil;
  glGetObjectLabel := nil;
  glObjectPtrLabel := nil;
  glGetObjectPtrLabel := nil;
  {GL_VERSION_4_4}
  GL_VERSION_4_4 := false;
  glBufferStorage := nil;
  glClearTexImage := nil;
  glClearTexSubImage := nil;
  glBindBuffersBase := nil;
  glBindBuffersRange := nil;
  glBindTextures := nil;
  glBindSamplers := nil;
  glBindImageTextures := nil;
  glBindVertexBuffers := nil;
  {GL_VERSION_4_5}
  GL_VERSION_4_5 := false;
  glClipControl := nil;
  glCreateTransformFeedbacks := nil;
  glTransformFeedbackBufferBase := nil;
  glTransformFeedbackBufferRange := nil;
  glGetTransformFeedbackiv := nil;
  glGetTransformFeedbacki_v := nil;
  glGetTransformFeedbacki64_v := nil;
  glCreateBuffers := nil;
  glNamedBufferStorage := nil;
  glNamedBufferData := nil;
  glNamedBufferSubData := nil;
  glCopyNamedBufferSubData := nil;
  glClearNamedBufferData := nil;
  glClearNamedBufferSubData := nil;
  glMapNamedBuffer := nil;
  glMapNamedBufferRange := nil;
  glUnmapNamedBuffer := nil;
  glFlushMappedNamedBufferRange := nil;
  glGetNamedBufferParameteriv := nil;
  glGetNamedBufferParameteri64v := nil;
  glGetNamedBufferPointerv := nil;
  glGetNamedBufferSubData := nil;
  glCreateFramebuffers := nil;
  glNamedFramebufferRenderbuffer := nil;
  glNamedFramebufferParameteri := nil;
  glNamedFramebufferTexture := nil;
  glNamedFramebufferTextureLayer := nil;
  glNamedFramebufferDrawBuffer := nil;
  glNamedFramebufferDrawBuffers := nil;
  glNamedFramebufferReadBuffer := nil;
  glInvalidateNamedFramebufferData := nil;
  glInvalidateNamedFramebufferSubData := nil;
  glClearNamedFramebufferiv := nil;
  glClearNamedFramebufferuiv := nil;
  glClearNamedFramebufferfv := nil;
  glClearNamedFramebufferfi := nil;
  glBlitNamedFramebuffer := nil;
  glCheckNamedFramebufferStatus := nil;
  glGetNamedFramebufferParameteriv := nil;
  glGetNamedFramebufferAttachmentParameteriv := nil;
  glCreateRenderbuffers := nil;
  glNamedRenderbufferStorage := nil;
  glNamedRenderbufferStorageMultisample := nil;
  glGetNamedRenderbufferParameteriv := nil;
  glCreateTextures := nil;
  glTextureBuffer := nil;
  glTextureBufferRange := nil;
  glTextureStorage1D := nil;
  glTextureStorage2D := nil;
  glTextureStorage3D := nil;
  glTextureStorage2DMultisample := nil;
  glTextureStorage3DMultisample := nil;
  glTextureSubImage1D := nil;
  glTextureSubImage2D := nil;
  glTextureSubImage3D := nil;
  glCompressedTextureSubImage1D := nil;
  glCompressedTextureSubImage2D := nil;
  glCompressedTextureSubImage3D := nil;
  glCopyTextureSubImage1D := nil;
  glCopyTextureSubImage2D := nil;
  glCopyTextureSubImage3D := nil;
  glTextureParameterf := nil;
  glTextureParameterfv := nil;
  glTextureParameteri := nil;
  glTextureParameterIiv := nil;
  glTextureParameterIuiv := nil;
  glTextureParameteriv := nil;
  glGenerateTextureMipmap := nil;
  glBindTextureUnit := nil;
  glGetTextureImage := nil;
  glGetCompressedTextureImage := nil;
  glGetTextureLevelParameterfv := nil;
  glGetTextureLevelParameteriv := nil;
  glGetTextureParameterfv := nil;
  glGetTextureParameterIiv := nil;
  glGetTextureParameterIuiv := nil;
  glGetTextureParameteriv := nil;
  glCreateVertexArrays := nil;
  glDisableVertexArrayAttrib := nil;
  glEnableVertexArrayAttrib := nil;
  glVertexArrayElementBuffer := nil;
  glVertexArrayVertexBuffer := nil;
  glVertexArrayVertexBuffers := nil;
  glVertexArrayAttribBinding := nil;
  glVertexArrayAttribFormat := nil;
  glVertexArrayAttribIFormat := nil;
  glVertexArrayAttribLFormat := nil;
  glVertexArrayBindingDivisor := nil;
  glGetVertexArrayiv := nil;
  glGetVertexArrayIndexediv := nil;
  glGetVertexArrayIndexed64iv := nil;
  glCreateSamplers := nil;
  glCreateProgramPipelines := nil;
  glCreateQueries := nil;
  glGetQueryBufferObjecti64v := nil;
  glGetQueryBufferObjectiv := nil;
  glGetQueryBufferObjectui64v := nil;
  glGetQueryBufferObjectuiv := nil;
  glMemoryBarrierByRegion := nil;
  glGetTextureSubImage := nil;
  glGetCompressedTextureSubImage := nil;
  glGetGraphicsResetStatus := nil;
  glGetnCompressedTexImage := nil;
  glGetnTexImage := nil;
  glGetnUniformdv := nil;
  glGetnUniformfv := nil;
  glGetnUniformiv := nil;
  glGetnUniformuiv := nil;
  glReadnPixels := nil;
  glGetnMapdv := nil;
  glGetnMapfv := nil;
  glGetnMapiv := nil;
  glGetnPixelMapfv := nil;
  glGetnPixelMapuiv := nil;
  glGetnPixelMapusv := nil;
  glGetnPolygonStipple := nil;
  glGetnColorTable := nil;
  glGetnConvolutionFilter := nil;
  glGetnSeparableFilter := nil;
  glGetnHistogram := nil;
  glGetnMinmax := nil;
  glTextureBarrier := nil;
  {GL_VERSION_1_1}
  GL_VERSION_1_1 := false;
  glDrawArrays := nil;
  glDrawElements := nil;
  glGetPointerv := nil;
  glPolygonOffset := nil;
  glCopyTexImage1D := nil;
  glCopyTexImage2D := nil;
  glCopyTexSubImage1D := nil;
  glCopyTexSubImage2D := nil;
  glTexSubImage1D := nil;
  glTexSubImage2D := nil;
  glBindTexture := nil;
  glDeleteTextures := nil;
  glGenTextures := nil;
  glIsTexture := nil;
  glArrayElement := nil;
  glColorPointer := nil;
  glDisableClientState := nil;
  glEdgeFlagPointer := nil;
  glEnableClientState := nil;
  glIndexPointer := nil;
  glInterleavedArrays := nil;
  glNormalPointer := nil;
  glTexCoordPointer := nil;
  glVertexPointer := nil;
  glAreTexturesResident := nil;
  glPrioritizeTextures := nil;
  glIndexub := nil;
  glIndexubv := nil;
  glPopClientAttrib := nil;
  glPushClientAttrib := nil;
  {GL_VERSION_1_2}
  GL_VERSION_1_2 := false;
  glDrawRangeElements := nil;
  glTexImage3D := nil;
  glTexSubImage3D := nil;
  glCopyTexSubImage3D := nil;
  {GL_VERSION_1_3}
  GL_VERSION_1_3 := false;
  glActiveTexture := nil;
  glSampleCoverage := nil;
  glCompressedTexImage3D := nil;
  glCompressedTexImage2D := nil;
  glCompressedTexImage1D := nil;
  glCompressedTexSubImage3D := nil;
  glCompressedTexSubImage2D := nil;
  glCompressedTexSubImage1D := nil;
  glGetCompressedTexImage := nil;
  glClientActiveTexture := nil;
  glMultiTexCoord1d := nil;
  glMultiTexCoord1dv := nil;
  glMultiTexCoord1f := nil;
  glMultiTexCoord1fv := nil;
  glMultiTexCoord1i := nil;
  glMultiTexCoord1iv := nil;
  glMultiTexCoord1s := nil;
  glMultiTexCoord1sv := nil;
  glMultiTexCoord2d := nil;
  glMultiTexCoord2dv := nil;
  glMultiTexCoord2f := nil;
  glMultiTexCoord2fv := nil;
  glMultiTexCoord2i := nil;
  glMultiTexCoord2iv := nil;
  glMultiTexCoord2s := nil;
  glMultiTexCoord2sv := nil;
  glMultiTexCoord3d := nil;
  glMultiTexCoord3dv := nil;
  glMultiTexCoord3f := nil;
  glMultiTexCoord3fv := nil;
  glMultiTexCoord3i := nil;
  glMultiTexCoord3iv := nil;
  glMultiTexCoord3s := nil;
  glMultiTexCoord3sv := nil;
  glMultiTexCoord4d := nil;
  glMultiTexCoord4dv := nil;
  glMultiTexCoord4f := nil;
  glMultiTexCoord4fv := nil;
  glMultiTexCoord4i := nil;
  glMultiTexCoord4iv := nil;
  glMultiTexCoord4s := nil;
  glMultiTexCoord4sv := nil;
  glLoadTransposeMatrixf := nil;
  glLoadTransposeMatrixd := nil;
  glMultTransposeMatrixf := nil;
  glMultTransposeMatrixd := nil;
  {GL_VERSION_1_4}
  GL_VERSION_1_4 := false;
  glBlendFuncSeparate := nil;
  glMultiDrawArrays := nil;
  glMultiDrawElements := nil;
  glPointParameterf := nil;
  glPointParameterfv := nil;
  glPointParameteri := nil;
  glPointParameteriv := nil;
  glFogCoordf := nil;
  glFogCoordfv := nil;
  glFogCoordd := nil;
  glFogCoorddv := nil;
  glFogCoordPointer := nil;
  glSecondaryColor3b := nil;
  glSecondaryColor3bv := nil;
  glSecondaryColor3d := nil;
  glSecondaryColor3dv := nil;
  glSecondaryColor3f := nil;
  glSecondaryColor3fv := nil;
  glSecondaryColor3i := nil;
  glSecondaryColor3iv := nil;
  glSecondaryColor3s := nil;
  glSecondaryColor3sv := nil;
  glSecondaryColor3ub := nil;
  glSecondaryColor3ubv := nil;
  glSecondaryColor3ui := nil;
  glSecondaryColor3uiv := nil;
  glSecondaryColor3us := nil;
  glSecondaryColor3usv := nil;
  glSecondaryColorPointer := nil;
  glWindowPos2d := nil;
  glWindowPos2dv := nil;
  glWindowPos2f := nil;
  glWindowPos2fv := nil;
  glWindowPos2i := nil;
  glWindowPos2iv := nil;
  glWindowPos2s := nil;
  glWindowPos2sv := nil;
  glWindowPos3d := nil;
  glWindowPos3dv := nil;
  glWindowPos3f := nil;
  glWindowPos3fv := nil;
  glWindowPos3i := nil;
  glWindowPos3iv := nil;
  glWindowPos3s := nil;
  glWindowPos3sv := nil;
  glBlendColor := nil;
  glBlendEquation := nil;
  {GL_VERSION_1_5}
  GL_VERSION_1_5 := false;
  glGenQueries := nil;
  glDeleteQueries := nil;
  glIsQuery := nil;
  glBeginQuery := nil;
  glEndQuery := nil;
  glGetQueryiv := nil;
  glGetQueryObjectiv := nil;
  glGetQueryObjectuiv := nil;
  glBindBuffer := nil;
  glDeleteBuffers := nil;
  glGenBuffers := nil;
  glIsBuffer := nil;
  glBufferData := nil;
  glBufferSubData := nil;
  glGetBufferSubData := nil;
  glMapBuffer := nil;
  glUnmapBuffer := nil;
  glGetBufferParameteriv := nil;
  glGetBufferPointerv := nil;
  {GL_VERSION_2_0}
  GL_VERSION_2_0 := false;
  glBlendEquationSeparate := nil;
  glDrawBuffers := nil;
  glStencilOpSeparate := nil;
  glStencilFuncSeparate := nil;
  glStencilMaskSeparate := nil;
  glAttachShader := nil;
  glBindAttribLocation := nil;
  glCompileShader := nil;
  glCreateProgram := nil;
  glCreateShader := nil;
  glDeleteProgram := nil;
  glDeleteShader := nil;
  glDetachShader := nil;
  glDisableVertexAttribArray := nil;
  glEnableVertexAttribArray := nil;
  glGetActiveAttrib := nil;
  glGetActiveUniform := nil;
  glGetAttachedShaders := nil;
  glGetAttribLocation := nil;
  glGetProgramiv := nil;
  glGetProgramInfoLog := nil;
  glGetShaderiv := nil;
  glGetShaderInfoLog := nil;
  glGetShaderSource := nil;
  glGetUniformLocation := nil;
  glGetUniformfv := nil;
  glGetUniformiv := nil;
  glGetVertexAttribdv := nil;
  glGetVertexAttribfv := nil;
  glGetVertexAttribiv := nil;
  glGetVertexAttribPointerv := nil;
  glIsProgram := nil;
  glIsShader := nil;
  glLinkProgram := nil;
  glShaderSource := nil;
  glUseProgram := nil;
  glUniform1f := nil;
  glUniform2f := nil;
  glUniform3f := nil;
  glUniform4f := nil;
  glUniform1i := nil;
  glUniform2i := nil;
  glUniform3i := nil;
  glUniform4i := nil;
  glUniform1fv := nil;
  glUniform2fv := nil;
  glUniform3fv := nil;
  glUniform4fv := nil;
  glUniform1iv := nil;
  glUniform2iv := nil;
  glUniform3iv := nil;
  glUniform4iv := nil;
  glUniformMatrix2fv := nil;
  glUniformMatrix3fv := nil;
  glUniformMatrix4fv := nil;
  glValidateProgram := nil;
  glVertexAttrib1d := nil;
  glVertexAttrib1dv := nil;
  glVertexAttrib1f := nil;
  glVertexAttrib1fv := nil;
  glVertexAttrib1s := nil;
  glVertexAttrib1sv := nil;
  glVertexAttrib2d := nil;
  glVertexAttrib2dv := nil;
  glVertexAttrib2f := nil;
  glVertexAttrib2fv := nil;
  glVertexAttrib2s := nil;
  glVertexAttrib2sv := nil;
  glVertexAttrib3d := nil;
  glVertexAttrib3dv := nil;
  glVertexAttrib3f := nil;
  glVertexAttrib3fv := nil;
  glVertexAttrib3s := nil;
  glVertexAttrib3sv := nil;
  glVertexAttrib4Nbv := nil;
  glVertexAttrib4Niv := nil;
  glVertexAttrib4Nsv := nil;
  glVertexAttrib4Nub := nil;
  glVertexAttrib4Nubv := nil;
  glVertexAttrib4Nuiv := nil;
  glVertexAttrib4Nusv := nil;
  glVertexAttrib4bv := nil;
  glVertexAttrib4d := nil;
  glVertexAttrib4dv := nil;
  glVertexAttrib4f := nil;
  glVertexAttrib4fv := nil;
  glVertexAttrib4iv := nil;
  glVertexAttrib4s := nil;
  glVertexAttrib4sv := nil;
  glVertexAttrib4ubv := nil;
  glVertexAttrib4uiv := nil;
  glVertexAttrib4usv := nil;
  glVertexAttribPointer := nil;
  {GL_VERSION_2_1}
  GL_VERSION_2_1 := false;
  glUniformMatrix2x3fv := nil;
  glUniformMatrix3x2fv := nil;
  glUniformMatrix2x4fv := nil;
  glUniformMatrix4x2fv := nil;
  glUniformMatrix3x4fv := nil;
  glUniformMatrix4x3fv := nil;
  {GL_VERSION_3_0}
  GL_VERSION_3_0 := false;
  glColorMaski := nil;
  glGetBooleani_v := nil;
  glGetIntegeri_v := nil;
  glEnablei := nil;
  glDisablei := nil;
  glIsEnabledi := nil;
  glBeginTransformFeedback := nil;
  glEndTransformFeedback := nil;
  glBindBufferRange := nil;
  glBindBufferBase := nil;
  glTransformFeedbackVaryings := nil;
  glGetTransformFeedbackVarying := nil;
  glClampColor := nil;
  glBeginConditionalRender := nil;
  glEndConditionalRender := nil;
  glVertexAttribIPointer := nil;
  glGetVertexAttribIiv := nil;
  glGetVertexAttribIuiv := nil;
  glVertexAttribI1i := nil;
  glVertexAttribI2i := nil;
  glVertexAttribI3i := nil;
  glVertexAttribI4i := nil;
  glVertexAttribI1ui := nil;
  glVertexAttribI2ui := nil;
  glVertexAttribI3ui := nil;
  glVertexAttribI4ui := nil;
  glVertexAttribI1iv := nil;
  glVertexAttribI2iv := nil;
  glVertexAttribI3iv := nil;
  glVertexAttribI4iv := nil;
  glVertexAttribI1uiv := nil;
  glVertexAttribI2uiv := nil;
  glVertexAttribI3uiv := nil;
  glVertexAttribI4uiv := nil;
  glVertexAttribI4bv := nil;
  glVertexAttribI4sv := nil;
  glVertexAttribI4ubv := nil;
  glVertexAttribI4usv := nil;
  glGetUniformuiv := nil;
  glBindFragDataLocation := nil;
  glGetFragDataLocation := nil;
  glUniform1ui := nil;
  glUniform2ui := nil;
  glUniform3ui := nil;
  glUniform4ui := nil;
  glUniform1uiv := nil;
  glUniform2uiv := nil;
  glUniform3uiv := nil;
  glUniform4uiv := nil;
  glTexParameterIiv := nil;
  glTexParameterIuiv := nil;
  glGetTexParameterIiv := nil;
  glGetTexParameterIuiv := nil;
  glClearBufferiv := nil;
  glClearBufferuiv := nil;
  glClearBufferfv := nil;
  glClearBufferfi := nil;
  glGetStringi := nil;
  glIsRenderbuffer := nil;
  glBindRenderbuffer := nil;
  glDeleteRenderbuffers := nil;
  glGenRenderbuffers := nil;
  glRenderbufferStorage := nil;
  glGetRenderbufferParameteriv := nil;
  glIsFramebuffer := nil;
  glBindFramebuffer := nil;
  glDeleteFramebuffers := nil;
  glGenFramebuffers := nil;
  glCheckFramebufferStatus := nil;
  glFramebufferTexture1D := nil;
  glFramebufferTexture2D := nil;
  glFramebufferTexture3D := nil;
  glFramebufferRenderbuffer := nil;
  glGetFramebufferAttachmentParameteriv := nil;
  glGenerateMipmap := nil;
  glBlitFramebuffer := nil;
  glRenderbufferStorageMultisample := nil;
  glFramebufferTextureLayer := nil;
  glMapBufferRange := nil;
  glFlushMappedBufferRange := nil;
  glBindVertexArray := nil;
  glDeleteVertexArrays := nil;
  glGenVertexArrays := nil;
  glIsVertexArray := nil;
  {GL_VERSION_3_1}
  GL_VERSION_3_1 := false;
  glDrawArraysInstanced := nil;
  glDrawElementsInstanced := nil;
  glTexBuffer := nil;
  glPrimitiveRestartIndex := nil;
  glCopyBufferSubData := nil;
  glGetUniformIndices := nil;
  glGetActiveUniformsiv := nil;
  glGetActiveUniformName := nil;
  glGetUniformBlockIndex := nil;
  glGetActiveUniformBlockiv := nil;
  glGetActiveUniformBlockName := nil;
  glUniformBlockBinding := nil;
  {GL_VERSION_3_2}
  GL_VERSION_3_2 := false;
  glDrawElementsBaseVertex := nil;
  glDrawRangeElementsBaseVertex := nil;
  glDrawElementsInstancedBaseVertex := nil;
  glMultiDrawElementsBaseVertex := nil;
  glProvokingVertex := nil;
  glFenceSync := nil;
  glIsSync := nil;
  glDeleteSync := nil;
  glClientWaitSync := nil;
  glWaitSync := nil;
  glGetInteger64v := nil;
  glGetSynciv := nil;
  glGetInteger64i_v := nil;
  glGetBufferParameteri64v := nil;
  glFramebufferTexture := nil;
  glTexImage2DMultisample := nil;
  glTexImage3DMultisample := nil;
  glGetMultisamplefv := nil;
  glSampleMaski := nil;
  glNewList := nil;
  glEndList := nil;
  glCallList := nil;
  glCallLists := nil;
  glDeleteLists := nil;
  glGenLists := nil;
  glListBase := nil;
  glBegin := nil;
  glBitmap := nil;
  glColor3b := nil;
  glColor3bv := nil;
  glColor3d := nil;
  glColor3dv := nil;
  glColor3f := nil;
  glColor3fv := nil;
  glColor3i := nil;
  glColor3iv := nil;
  glColor3s := nil;
  glColor3sv := nil;
  glColor3ub := nil;
  glColor3ubv := nil;
  glColor3ui := nil;
  glColor3uiv := nil;
  glColor3us := nil;
  glColor3usv := nil;
  glColor4b := nil;
  glColor4bv := nil;
  glColor4d := nil;
  glColor4dv := nil;
  glColor4f := nil;
  glColor4fv := nil;
  glColor4i := nil;
  glColor4iv := nil;
  glColor4s := nil;
  glColor4sv := nil;
  glColor4ub := nil;
  glColor4ubv := nil;
  glColor4ui := nil;
  glColor4uiv := nil;
  glColor4us := nil;
  glColor4usv := nil;
  glEdgeFlag := nil;
  glEdgeFlagv := nil;
  glEnd := nil;
  glIndexd := nil;
  glIndexdv := nil;
  glIndexf := nil;
  glIndexfv := nil;
  glIndexi := nil;
  glIndexiv := nil;
  glIndexs := nil;
  glIndexsv := nil;
  glNormal3b := nil;
  glNormal3bv := nil;
  glNormal3d := nil;
  glNormal3dv := nil;
  glNormal3f := nil;
  glNormal3fv := nil;
  glNormal3i := nil;
  glNormal3iv := nil;
  glNormal3s := nil;
  glNormal3sv := nil;
  glRasterPos2d := nil;
  glRasterPos2dv := nil;
  glRasterPos2f := nil;
  glRasterPos2fv := nil;
  glRasterPos2i := nil;
  glRasterPos2iv := nil;
  glRasterPos2s := nil;
  glRasterPos2sv := nil;
  glRasterPos3d := nil;
  glRasterPos3dv := nil;
  glRasterPos3f := nil;
  glRasterPos3fv := nil;
  glRasterPos3i := nil;
  glRasterPos3iv := nil;
  glRasterPos3s := nil;
  glRasterPos3sv := nil;
  glRasterPos4d := nil;
  glRasterPos4dv := nil;
  glRasterPos4f := nil;
  glRasterPos4fv := nil;
  glRasterPos4i := nil;
  glRasterPos4iv := nil;
  glRasterPos4s := nil;
  glRasterPos4sv := nil;
  glRectd := nil;
  glRectdv := nil;
  glRectf := nil;
  glRectfv := nil;
  glRecti := nil;
  glRectiv := nil;
  glRects := nil;
  glRectsv := nil;
  glTexCoord1d := nil;
  glTexCoord1dv := nil;
  glTexCoord1f := nil;
  glTexCoord1fv := nil;
  glTexCoord1i := nil;
  glTexCoord1iv := nil;
  glTexCoord1s := nil;
  glTexCoord1sv := nil;
  glTexCoord2d := nil;
  glTexCoord2dv := nil;
  glTexCoord2f := nil;
  glTexCoord2fv := nil;
  glTexCoord2i := nil;
  glTexCoord2iv := nil;
  glTexCoord2s := nil;
  glTexCoord2sv := nil;
  glTexCoord3d := nil;
  glTexCoord3dv := nil;
  glTexCoord3f := nil;
  glTexCoord3fv := nil;
  glTexCoord3i := nil;
  glTexCoord3iv := nil;
  glTexCoord3s := nil;
  glTexCoord3sv := nil;
  glTexCoord4d := nil;
  glTexCoord4dv := nil;
  glTexCoord4f := nil;
  glTexCoord4fv := nil;
  glTexCoord4i := nil;
  glTexCoord4iv := nil;
  glTexCoord4s := nil;
  glTexCoord4sv := nil;
  glVertex2d := nil;
  glVertex2dv := nil;
  glVertex2f := nil;
  glVertex2fv := nil;
  glVertex2i := nil;
  glVertex2iv := nil;
  glVertex2s := nil;
  glVertex2sv := nil;
  glVertex3d := nil;
  glVertex3dv := nil;
  glVertex3f := nil;
  glVertex3fv := nil;
  glVertex3i := nil;
  glVertex3iv := nil;
  glVertex3s := nil;
  glVertex3sv := nil;
  glVertex4d := nil;
  glVertex4dv := nil;
  glVertex4f := nil;
  glVertex4fv := nil;
  glVertex4i := nil;
  glVertex4iv := nil;
  glVertex4s := nil;
  glVertex4sv := nil;
  glClipPlane := nil;
  glColorMaterial := nil;
  glFogf := nil;
  glFogfv := nil;
  glFogi := nil;
  glFogiv := nil;
  glLightf := nil;
  glLightfv := nil;
  glLighti := nil;
  glLightiv := nil;
  glLightModelf := nil;
  glLightModelfv := nil;
  glLightModeli := nil;
  glLightModeliv := nil;
  glLineStipple := nil;
  glMaterialf := nil;
  glMaterialfv := nil;
  glMateriali := nil;
  glMaterialiv := nil;
  glPolygonStipple := nil;
  glShadeModel := nil;
  glTexEnvf := nil;
  glTexEnvfv := nil;
  glTexEnvi := nil;
  glTexEnviv := nil;
  glTexGend := nil;
  glTexGendv := nil;
  glTexGenf := nil;
  glTexGenfv := nil;
  glTexGeni := nil;
  glTexGeniv := nil;
  glFeedbackBuffer := nil;
  glSelectBuffer := nil;
  glRenderMode := nil;
  glInitNames := nil;
  glLoadName := nil;
  glPassThrough := nil;
  glPopName := nil;
  glPushName := nil;
  glClearAccum := nil;
  glClearIndex := nil;
  glIndexMask := nil;
  glAccum := nil;
  glPopAttrib := nil;
  glPushAttrib := nil;
  glMap1d := nil;
  glMap1f := nil;
  glMap2d := nil;
  glMap2f := nil;
  glMapGrid1d := nil;
  glMapGrid1f := nil;
  glMapGrid2d := nil;
  glMapGrid2f := nil;
  glEvalCoord1d := nil;
  glEvalCoord1dv := nil;
  glEvalCoord1f := nil;
  glEvalCoord1fv := nil;
  glEvalCoord2d := nil;
  glEvalCoord2dv := nil;
  glEvalCoord2f := nil;
  glEvalCoord2fv := nil;
  glEvalMesh1 := nil;
  glEvalPoint1 := nil;
  glEvalMesh2 := nil;
  glEvalPoint2 := nil;
  glAlphaFunc := nil;
  glPixelZoom := nil;
  glPixelTransferf := nil;
  glPixelTransferi := nil;
  glPixelMapfv := nil;
  glPixelMapuiv := nil;
  glPixelMapusv := nil;
  glCopyPixels := nil;
  glDrawPixels := nil;
  glGetClipPlane := nil;
  glGetLightfv := nil;
  glGetLightiv := nil;
  glGetMapdv := nil;
  glGetMapfv := nil;
  glGetMapiv := nil;
  glGetMaterialfv := nil;
  glGetMaterialiv := nil;
  glGetPixelMapfv := nil;
  glGetPixelMapuiv := nil;
  glGetPixelMapusv := nil;
  glGetPolygonStipple := nil;
  glGetTexEnvfv := nil;
  glGetTexEnviv := nil;
  glGetTexGendv := nil;
  glGetTexGenfv := nil;
  glGetTexGeniv := nil;
  glIsList := nil;
  glFrustum := nil;
  glLoadIdentity := nil;
  glLoadMatrixf := nil;
  glLoadMatrixd := nil;
  glMatrixMode := nil;
  glMultMatrixf := nil;
  glMultMatrixd := nil;
  glOrtho := nil;
  glPopMatrix := nil;
  glPushMatrix := nil;
  glRotated := nil;
  glRotatef := nil;
  glScaled := nil;
  glScalef := nil;
  glTranslated := nil;
  glTranslatef := nil;
  {GL_VERSION_3_3}
  GL_VERSION_3_3 := false;
  glBindFragDataLocationIndexed := nil;
  glGetFragDataIndex := nil;
  glGenSamplers := nil;
  glDeleteSamplers := nil;
  glIsSampler := nil;
  glBindSampler := nil;
  glSamplerParameteri := nil;
  glSamplerParameteriv := nil;
  glSamplerParameterf := nil;
  glSamplerParameterfv := nil;
  glSamplerParameterIiv := nil;
  glSamplerParameterIuiv := nil;
  glGetSamplerParameteriv := nil;
  glGetSamplerParameterIiv := nil;
  glGetSamplerParameterfv := nil;
  glGetSamplerParameterIuiv := nil;
  glQueryCounter := nil;
  glGetQueryObjecti64v := nil;
  glGetQueryObjectui64v := nil;
  glVertexAttribDivisor := nil;
  glVertexAttribP1ui := nil;
  glVertexAttribP1uiv := nil;
  glVertexAttribP2ui := nil;
  glVertexAttribP2uiv := nil;
  glVertexAttribP3ui := nil;
  glVertexAttribP3uiv := nil;
  glVertexAttribP4ui := nil;
  glVertexAttribP4uiv := nil;
  glVertexP2ui := nil;
  glVertexP2uiv := nil;
  glVertexP3ui := nil;
  glVertexP3uiv := nil;
  glVertexP4ui := nil;
  glVertexP4uiv := nil;
  glTexCoordP1ui := nil;
  glTexCoordP1uiv := nil;
  glTexCoordP2ui := nil;
  glTexCoordP2uiv := nil;
  glTexCoordP3ui := nil;
  glTexCoordP3uiv := nil;
  glTexCoordP4ui := nil;
  glTexCoordP4uiv := nil;
  glMultiTexCoordP1ui := nil;
  glMultiTexCoordP1uiv := nil;
  glMultiTexCoordP2ui := nil;
  glMultiTexCoordP2uiv := nil;
  glMultiTexCoordP3ui := nil;
  glMultiTexCoordP3uiv := nil;
  glMultiTexCoordP4ui := nil;
  glMultiTexCoordP4uiv := nil;
  glNormalP3ui := nil;
  glNormalP3uiv := nil;
  glColorP3ui := nil;
  glColorP3uiv := nil;
  glColorP4ui := nil;
  glColorP4uiv := nil;
  glSecondaryColorP3ui := nil;
  glSecondaryColorP3uiv := nil;
  {GL_VERSION_4_0}
  GL_VERSION_4_0 := false;
  glMinSampleShading := nil;
  glBlendEquationi := nil;
  glBlendEquationSeparatei := nil;
  glBlendFunci := nil;
  glBlendFuncSeparatei := nil;
  glDrawArraysIndirect := nil;
  glDrawElementsIndirect := nil;
  glUniform1d := nil;
  glUniform2d := nil;
  glUniform3d := nil;
  glUniform4d := nil;
  glUniform1dv := nil;
  glUniform2dv := nil;
  glUniform3dv := nil;
  glUniform4dv := nil;
  glUniformMatrix2dv := nil;
  glUniformMatrix3dv := nil;
  glUniformMatrix4dv := nil;
  glUniformMatrix2x3dv := nil;
  glUniformMatrix2x4dv := nil;
  glUniformMatrix3x2dv := nil;
  glUniformMatrix3x4dv := nil;
  glUniformMatrix4x2dv := nil;
  glUniformMatrix4x3dv := nil;
  glGetUniformdv := nil;
  glGetSubroutineUniformLocation := nil;
  glGetSubroutineIndex := nil;
  glGetActiveSubroutineUniformiv := nil;
  glGetActiveSubroutineUniformName := nil;
  glGetActiveSubroutineName := nil;
  glUniformSubroutinesuiv := nil;
  glGetUniformSubroutineuiv := nil;
  glGetProgramStageiv := nil;
  glPatchParameteri := nil;
  glPatchParameterfv := nil;
  glBindTransformFeedback := nil;
  glDeleteTransformFeedbacks := nil;
  glGenTransformFeedbacks := nil;
  glIsTransformFeedback := nil;
  glPauseTransformFeedback := nil;
  glResumeTransformFeedback := nil;
  glDrawTransformFeedback := nil;
  glDrawTransformFeedbackStream := nil;
  glBeginQueryIndexed := nil;
  glEndQueryIndexed := nil;
  glGetQueryIndexediv := nil;
  {GL_VERSION_4_1}
  GL_VERSION_4_1 := false;
  glReleaseShaderCompiler := nil;
  glShaderBinary := nil;
  glGetShaderPrecisionFormat := nil;
  glDepthRangef := nil;
  glClearDepthf := nil;
  glGetProgramBinary := nil;
  glProgramBinary := nil;
  glProgramParameteri := nil;
  glUseProgramStages := nil;
  glActiveShaderProgram := nil;
  glCreateShaderProgramv := nil;
  glBindProgramPipeline := nil;
  glDeleteProgramPipelines := nil;
  glGenProgramPipelines := nil;
  glIsProgramPipeline := nil;
  glGetProgramPipelineiv := nil;
  glProgramUniform1i := nil;
  glProgramUniform1iv := nil;
  glProgramUniform1f := nil;
  glProgramUniform1fv := nil;
  glProgramUniform1d := nil;
  glProgramUniform1dv := nil;
  glProgramUniform1ui := nil;
  glProgramUniform1uiv := nil;
  glProgramUniform2i := nil;
  glProgramUniform2iv := nil;
  glProgramUniform2f := nil;
  glProgramUniform2fv := nil;
  glProgramUniform2d := nil;
  glProgramUniform2dv := nil;
  glProgramUniform2ui := nil;
  glProgramUniform2uiv := nil;
  glProgramUniform3i := nil;
  glProgramUniform3iv := nil;
  glProgramUniform3f := nil;
  glProgramUniform3fv := nil;
  glProgramUniform3d := nil;
  glProgramUniform3dv := nil;
  glProgramUniform3ui := nil;
  glProgramUniform3uiv := nil;
  glProgramUniform4i := nil;
  glProgramUniform4iv := nil;
  glProgramUniform4f := nil;
  glProgramUniform4fv := nil;
  glProgramUniform4d := nil;
  glProgramUniform4dv := nil;
  glProgramUniform4ui := nil;
  glProgramUniform4uiv := nil;
  glProgramUniformMatrix2fv := nil;
  glProgramUniformMatrix3fv := nil;
  glProgramUniformMatrix4fv := nil;
  glProgramUniformMatrix2dv := nil;
  glProgramUniformMatrix3dv := nil;
  glProgramUniformMatrix4dv := nil;
  glProgramUniformMatrix2x3fv := nil;
  glProgramUniformMatrix3x2fv := nil;
  glProgramUniformMatrix2x4fv := nil;
  glProgramUniformMatrix4x2fv := nil;
  glProgramUniformMatrix3x4fv := nil;
  glProgramUniformMatrix4x3fv := nil;
  glProgramUniformMatrix2x3dv := nil;
  glProgramUniformMatrix3x2dv := nil;
  glProgramUniformMatrix2x4dv := nil;
  glProgramUniformMatrix4x2dv := nil;
  glProgramUniformMatrix3x4dv := nil;
  glProgramUniformMatrix4x3dv := nil;
  glValidateProgramPipeline := nil;
  glGetProgramPipelineInfoLog := nil;
  glVertexAttribL1d := nil;
  glVertexAttribL2d := nil;
  glVertexAttribL3d := nil;
  glVertexAttribL4d := nil;
  glVertexAttribL1dv := nil;
  glVertexAttribL2dv := nil;
  glVertexAttribL3dv := nil;
  glVertexAttribL4dv := nil;
  glVertexAttribLPointer := nil;
  glGetVertexAttribLdv := nil;
  glViewportArrayv := nil;
  glViewportIndexedf := nil;
  glViewportIndexedfv := nil;
  glScissorArrayv := nil;
  glScissorIndexed := nil;
  glScissorIndexedv := nil;
  glDepthRangeArrayv := nil;
  glDepthRangeIndexed := nil;
  glGetFloati_v := nil;
  glGetDoublei_v := nil;
  {GL_VERSION_4_2}
  GL_VERSION_4_2 := false;
  glDrawArraysInstancedBaseInstance := nil;
  glDrawElementsInstancedBaseInstance := nil;
  glDrawElementsInstancedBaseVertexBaseInstance := nil;
  glGetInternalformativ := nil;
  glGetActiveAtomicCounterBufferiv := nil;
  glBindImageTexture := nil;
  glMemoryBarrier := nil;
  glTexStorage1D := nil;
  glTexStorage2D := nil;
  glTexStorage3D := nil;
  glDrawTransformFeedbackInstanced := nil;
  glDrawTransformFeedbackStreamInstanced := nil;
  {GL_VERSION_4_3}
  GL_VERSION_4_3 := false;
  glClearBufferData := nil;
  glClearBufferSubData := nil;
  glDispatchCompute := nil;
  glDispatchComputeIndirect := nil;
  glCopyImageSubData := nil;
  glFramebufferParameteri := nil;
  glGetFramebufferParameteriv := nil;
  glGetInternalformati64v := nil;
  glInvalidateTexSubImage := nil;
  glInvalidateTexImage := nil;
  glInvalidateBufferSubData := nil;
  glInvalidateBufferData := nil;
  glInvalidateFramebuffer := nil;
  glInvalidateSubFramebuffer := nil;
  glMultiDrawArraysIndirect := nil;
  glMultiDrawElementsIndirect := nil;
  glGetProgramInterfaceiv := nil;
  glGetProgramResourceIndex := nil;
  glGetProgramResourceName := nil;
  glGetProgramResourceiv := nil;
  glGetProgramResourceLocation := nil;
  glGetProgramResourceLocationIndex := nil;
  glShaderStorageBlockBinding := nil;
  glTexBufferRange := nil;
  glTexStorage2DMultisample := nil;
  glTexStorage3DMultisample := nil;
  glTextureView := nil;
  glBindVertexBuffer := nil;
  glVertexAttribFormat := nil;
  glVertexAttribIFormat := nil;
  glVertexAttribLFormat := nil;
  glVertexAttribBinding := nil;
  glVertexBindingDivisor := nil;
  glDebugMessageControl := nil;
  glDebugMessageInsert := nil;
  glDebugMessageCallback := nil;
  glGetDebugMessageLog := nil;
  glPushDebugGroup := nil;
  glPopDebugGroup := nil;
  glObjectLabel := nil;
  glGetObjectLabel := nil;
  glObjectPtrLabel := nil;
  glGetObjectPtrLabel := nil;
  {GL_VERSION_4_4}
  GL_VERSION_4_4 := false;
  glBufferStorage := nil;
  glClearTexImage := nil;
  glClearTexSubImage := nil;
  glBindBuffersBase := nil;
  glBindBuffersRange := nil;
  glBindTextures := nil;
  glBindSamplers := nil;
  glBindImageTextures := nil;
  glBindVertexBuffers := nil;
  {GL_VERSION_4_5}
  GL_VERSION_4_5 := false;
  glClipControl := nil;
  glCreateTransformFeedbacks := nil;
  glTransformFeedbackBufferBase := nil;
  glTransformFeedbackBufferRange := nil;
  glGetTransformFeedbackiv := nil;
  glGetTransformFeedbacki_v := nil;
  glGetTransformFeedbacki64_v := nil;
  glCreateBuffers := nil;
  glNamedBufferStorage := nil;
  glNamedBufferData := nil;
  glNamedBufferSubData := nil;
  glCopyNamedBufferSubData := nil;
  glClearNamedBufferData := nil;
  glClearNamedBufferSubData := nil;
  glMapNamedBuffer := nil;
  glMapNamedBufferRange := nil;
  glUnmapNamedBuffer := nil;
  glFlushMappedNamedBufferRange := nil;
  glGetNamedBufferParameteriv := nil;
  glGetNamedBufferParameteri64v := nil;
  glGetNamedBufferPointerv := nil;
  glGetNamedBufferSubData := nil;
  glCreateFramebuffers := nil;
  glNamedFramebufferRenderbuffer := nil;
  glNamedFramebufferParameteri := nil;
  glNamedFramebufferTexture := nil;
  glNamedFramebufferTextureLayer := nil;
  glNamedFramebufferDrawBuffer := nil;
  glNamedFramebufferDrawBuffers := nil;
  glNamedFramebufferReadBuffer := nil;
  glInvalidateNamedFramebufferData := nil;
  glInvalidateNamedFramebufferSubData := nil;
  glClearNamedFramebufferiv := nil;
  glClearNamedFramebufferuiv := nil;
  glClearNamedFramebufferfv := nil;
  glClearNamedFramebufferfi := nil;
  glBlitNamedFramebuffer := nil;
  glCheckNamedFramebufferStatus := nil;
  glGetNamedFramebufferParameteriv := nil;
  glGetNamedFramebufferAttachmentParameteriv := nil;
  glCreateRenderbuffers := nil;
  glNamedRenderbufferStorage := nil;
  glNamedRenderbufferStorageMultisample := nil;
  glGetNamedRenderbufferParameteriv := nil;
  glCreateTextures := nil;
  glTextureBuffer := nil;
  glTextureBufferRange := nil;
  glTextureStorage1D := nil;
  glTextureStorage2D := nil;
  glTextureStorage3D := nil;
  glTextureStorage2DMultisample := nil;
  glTextureStorage3DMultisample := nil;
  glTextureSubImage1D := nil;
  glTextureSubImage2D := nil;
  glTextureSubImage3D := nil;
  glCompressedTextureSubImage1D := nil;
  glCompressedTextureSubImage2D := nil;
  glCompressedTextureSubImage3D := nil;
  glCopyTextureSubImage1D := nil;
  glCopyTextureSubImage2D := nil;
  glCopyTextureSubImage3D := nil;
  glTextureParameterf := nil;
  glTextureParameterfv := nil;
  glTextureParameteri := nil;
  glTextureParameterIiv := nil;
  glTextureParameterIuiv := nil;
  glTextureParameteriv := nil;
  glGenerateTextureMipmap := nil;
  glBindTextureUnit := nil;
  glGetTextureImage := nil;
  glGetCompressedTextureImage := nil;
  glGetTextureLevelParameterfv := nil;
  glGetTextureLevelParameteriv := nil;
  glGetTextureParameterfv := nil;
  glGetTextureParameterIiv := nil;
  glGetTextureParameterIuiv := nil;
  glGetTextureParameteriv := nil;
  glCreateVertexArrays := nil;
  glDisableVertexArrayAttrib := nil;
  glEnableVertexArrayAttrib := nil;
  glVertexArrayElementBuffer := nil;
  glVertexArrayVertexBuffer := nil;
  glVertexArrayVertexBuffers := nil;
  glVertexArrayAttribBinding := nil;
  glVertexArrayAttribFormat := nil;
  glVertexArrayAttribIFormat := nil;
  glVertexArrayAttribLFormat := nil;
  glVertexArrayBindingDivisor := nil;
  glGetVertexArrayiv := nil;
  glGetVertexArrayIndexediv := nil;
  glGetVertexArrayIndexed64iv := nil;
  glCreateSamplers := nil;
  glCreateProgramPipelines := nil;
  glCreateQueries := nil;
  glGetQueryBufferObjecti64v := nil;
  glGetQueryBufferObjectiv := nil;
  glGetQueryBufferObjectui64v := nil;
  glGetQueryBufferObjectuiv := nil;
  glMemoryBarrierByRegion := nil;
  glGetTextureSubImage := nil;
  glGetCompressedTextureSubImage := nil;
  glGetGraphicsResetStatus := nil;
  glGetnCompressedTexImage := nil;
  glGetnTexImage := nil;
  glGetnUniformdv := nil;
  glGetnUniformfv := nil;
  glGetnUniformiv := nil;
  glGetnUniformuiv := nil;
  glReadnPixels := nil;
  glGetnMapdv := nil;
  glGetnMapfv := nil;
  glGetnMapiv := nil;
  glGetnPixelMapfv := nil;
  glGetnPixelMapuiv := nil;
  glGetnPixelMapusv := nil;
  glGetnPolygonStipple := nil;
  glGetnColorTable := nil;
  glGetnConvolutionFilter := nil;
  glGetnSeparableFilter := nil;
  glGetnHistogram := nil;
  glGetnMinmax := nil;
  glTextureBarrier := nil;
end;

procedure LoadOpenGLES_ExtensionCommands(getProc : TGetProcFunc; exts : string; TargetMajorVersion, TargetMinorVersion : integer);
begin
  GL_AMD_program_binary_Z400 := Pos('GL_AMD_program_binary_Z400 ', exts) > 0;
  GL_ANDROID_extension_pack_es31a := Pos('GL_ANDROID_extension_pack_es31a ', exts) > 0;
  GL_ANGLE_depth_texture := Pos('GL_ANGLE_depth_texture ', exts) > 0;
  GL_ANGLE_framebuffer_blit := Pos('GL_ANGLE_framebuffer_blit ', exts) > 0;
  if GL_ANGLE_framebuffer_blit then
  begin
    glBlitFramebufferANGLE := getProc('glBlitFramebufferANGLE',EXTENSION_PROC, 0, GL_ANGLE_framebuffer_blit);
  end;

  GL_ANGLE_framebuffer_multisample := Pos('GL_ANGLE_framebuffer_multisample ', exts) > 0;
  if GL_ANGLE_framebuffer_multisample then
  begin
    glRenderbufferStorageMultisampleANGLE := getProc('glRenderbufferStorageMultisampleANGLE',EXTENSION_PROC, 0, GL_ANGLE_framebuffer_multisample);
  end;

  GL_ANGLE_instanced_arrays := Pos('GL_ANGLE_instanced_arrays ', exts) > 0;
  if GL_ANGLE_instanced_arrays then
  begin
    glDrawArraysInstancedANGLE := getProc('glDrawArraysInstancedANGLE',EXTENSION_PROC, 0, GL_ANGLE_instanced_arrays);
    glDrawElementsInstancedANGLE := getProc('glDrawElementsInstancedANGLE',EXTENSION_PROC, 0, GL_ANGLE_instanced_arrays);
    glVertexAttribDivisorANGLE := getProc('glVertexAttribDivisorANGLE',EXTENSION_PROC, 0, GL_ANGLE_instanced_arrays);
  end;

  GL_ANGLE_pack_reverse_row_order := Pos('GL_ANGLE_pack_reverse_row_order ', exts) > 0;
  GL_ANGLE_program_binary := Pos('GL_ANGLE_program_binary ', exts) > 0;
  GL_ANGLE_texture_compression_dxt3 := Pos('GL_ANGLE_texture_compression_dxt3 ', exts) > 0;
  GL_ANGLE_texture_compression_dxt5 := Pos('GL_ANGLE_texture_compression_dxt5 ', exts) > 0;
  GL_ANGLE_texture_usage := Pos('GL_ANGLE_texture_usage ', exts) > 0;
  GL_ANGLE_translated_shader_source := Pos('GL_ANGLE_translated_shader_source ', exts) > 0;
  if GL_ANGLE_translated_shader_source then
  begin
    glGetTranslatedShaderSourceANGLE := getProc('glGetTranslatedShaderSourceANGLE',EXTENSION_PROC, 0, GL_ANGLE_translated_shader_source);
  end;

  GL_APPLE_clip_distance := Pos('GL_APPLE_clip_distance ', exts) > 0;
  GL_APPLE_color_buffer_packed_float := Pos('GL_APPLE_color_buffer_packed_float ', exts) > 0;
  GL_APPLE_texture_2D_limited_npot := Pos('GL_APPLE_texture_2D_limited_npot ', exts) > 0;
  GL_APPLE_texture_packed_float := Pos('GL_APPLE_texture_packed_float ', exts) > 0;
  GL_ARB_ES2_compatibility := Pos('GL_ARB_ES2_compatibility ', exts) > 0;
  if GL_ARB_ES2_compatibility then
  begin
    glReleaseShaderCompiler := getProc('glReleaseShaderCompiler',EXTENSION_PROC, 0, GL_ARB_ES2_compatibility);
    glShaderBinary := getProc('glShaderBinary',EXTENSION_PROC, 0, GL_ARB_ES2_compatibility);
    glGetShaderPrecisionFormat := getProc('glGetShaderPrecisionFormat',EXTENSION_PROC, 0, GL_ARB_ES2_compatibility);
    glDepthRangef := getProc('glDepthRangef',EXTENSION_PROC, 0, GL_ARB_ES2_compatibility);
    glClearDepthf := getProc('glClearDepthf',EXTENSION_PROC, 0, GL_ARB_ES2_compatibility);
  end;

  GL_ARM_mali_program_binary := Pos('GL_ARM_mali_program_binary ', exts) > 0;
  GL_ARM_mali_shader_binary := Pos('GL_ARM_mali_shader_binary ', exts) > 0;
  GL_ARM_shader_framebuffer_fetch := Pos('GL_ARM_shader_framebuffer_fetch ', exts) > 0;
  GL_ARM_shader_framebuffer_fetch_depth_stencil := Pos('GL_ARM_shader_framebuffer_fetch_depth_stencil ', exts) > 0;
  GL_DMP_program_binary := Pos('GL_DMP_program_binary ', exts) > 0;
  GL_DMP_shader_binary := Pos('GL_DMP_shader_binary ', exts) > 0;
  GL_EXT_color_buffer_half_float := Pos('GL_EXT_color_buffer_half_float ', exts) > 0;
  GL_EXT_copy_image := Pos('GL_EXT_copy_image ', exts) > 0;
  if GL_EXT_copy_image then
  begin
    glCopyImageSubDataEXT := getProc('glCopyImageSubDataEXT',EXTENSION_PROC, 0, GL_EXT_copy_image);
  end;

  GL_EXT_disjoint_timer_query := Pos('GL_EXT_disjoint_timer_query ', exts) > 0;
  if GL_EXT_disjoint_timer_query then
  begin
    glGenQueriesEXT := getProc('glGenQueriesEXT',EXTENSION_PROC, 0, GL_EXT_disjoint_timer_query);
    glDeleteQueriesEXT := getProc('glDeleteQueriesEXT',EXTENSION_PROC, 0, GL_EXT_disjoint_timer_query);
    glIsQueryEXT := getProc('glIsQueryEXT',EXTENSION_PROC, 0, GL_EXT_disjoint_timer_query);
    glBeginQueryEXT := getProc('glBeginQueryEXT',EXTENSION_PROC, 0, GL_EXT_disjoint_timer_query);
    glEndQueryEXT := getProc('glEndQueryEXT',EXTENSION_PROC, 0, GL_EXT_disjoint_timer_query);
    glQueryCounterEXT := getProc('glQueryCounterEXT',EXTENSION_PROC, 0, GL_EXT_disjoint_timer_query);
    glGetQueryivEXT := getProc('glGetQueryivEXT',EXTENSION_PROC, 0, GL_EXT_disjoint_timer_query);
    glGetQueryObjectivEXT := getProc('glGetQueryObjectivEXT',EXTENSION_PROC, 0, GL_EXT_disjoint_timer_query);
    glGetQueryObjectuivEXT := getProc('glGetQueryObjectuivEXT',EXTENSION_PROC, 0, GL_EXT_disjoint_timer_query);
    glGetQueryObjecti64vEXT := getProc('glGetQueryObjecti64vEXT',EXTENSION_PROC, 0, GL_EXT_disjoint_timer_query);
    glGetQueryObjectui64vEXT := getProc('glGetQueryObjectui64vEXT',EXTENSION_PROC, 0, GL_EXT_disjoint_timer_query);
  end;

  GL_EXT_draw_buffers := Pos('GL_EXT_draw_buffers ', exts) > 0;
  if GL_EXT_draw_buffers then
  begin
    glDrawBuffersEXT := getProc('glDrawBuffersEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers);
  end;

  GL_EXT_draw_buffers_indexed := Pos('GL_EXT_draw_buffers_indexed ', exts) > 0;
  if GL_EXT_draw_buffers_indexed then
  begin
    glEnableiEXT := getProc('glEnableiEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers_indexed);
    glDisableiEXT := getProc('glDisableiEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers_indexed);
    glBlendEquationiEXT := getProc('glBlendEquationiEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers_indexed);
    glBlendEquationSeparateiEXT := getProc('glBlendEquationSeparateiEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers_indexed);
    glBlendFunciEXT := getProc('glBlendFunciEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers_indexed);
    glBlendFuncSeparateiEXT := getProc('glBlendFuncSeparateiEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers_indexed);
    glColorMaskiEXT := getProc('glColorMaskiEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers_indexed);
    glIsEnablediEXT := getProc('glIsEnablediEXT',EXTENSION_PROC, 0, GL_EXT_draw_buffers_indexed);
  end;

  GL_EXT_geometry_point_size := Pos('GL_EXT_geometry_point_size ', exts) > 0;
  GL_EXT_geometry_shader := Pos('GL_EXT_geometry_shader ', exts) > 0;
  if GL_EXT_geometry_shader then
  begin
    glFramebufferTextureEXT := getProc('glFramebufferTextureEXT',EXTENSION_PROC, 0, GL_EXT_geometry_shader);
  end;

  GL_EXT_gpu_shader5 := Pos('GL_EXT_gpu_shader5 ', exts) > 0;
  GL_EXT_instanced_arrays := Pos('GL_EXT_instanced_arrays ', exts) > 0;
  if GL_EXT_instanced_arrays then
  begin
    glDrawArraysInstancedEXT := getProc('glDrawArraysInstancedEXT',EXTENSION_PROC, 0, GL_EXT_instanced_arrays);
    glDrawElementsInstancedEXT := getProc('glDrawElementsInstancedEXT',EXTENSION_PROC, 0, GL_EXT_instanced_arrays);
    glVertexAttribDivisorEXT := getProc('glVertexAttribDivisorEXT',EXTENSION_PROC, 0, GL_EXT_instanced_arrays);
  end;

  GL_EXT_multiview_draw_buffers := Pos('GL_EXT_multiview_draw_buffers ', exts) > 0;
  if GL_EXT_multiview_draw_buffers then
  begin
    glReadBufferIndexedEXT := getProc('glReadBufferIndexedEXT',EXTENSION_PROC, 0, GL_EXT_multiview_draw_buffers);
    glDrawBuffersIndexedEXT := getProc('glDrawBuffersIndexedEXT',EXTENSION_PROC, 0, GL_EXT_multiview_draw_buffers);
    glGetIntegeri_vEXT := getProc('glGetIntegeri_vEXT',EXTENSION_PROC, 0, GL_EXT_multiview_draw_buffers);
  end;

  GL_EXT_occlusion_query_boolean := Pos('GL_EXT_occlusion_query_boolean ', exts) > 0;
  if GL_EXT_occlusion_query_boolean then
  begin
//*2
    glGenQueriesEXT := getProc('glGenQueriesEXT',EXTENSION_PROC, 0, GL_EXT_occlusion_query_boolean);
//*2
    glDeleteQueriesEXT := getProc('glDeleteQueriesEXT',EXTENSION_PROC, 0, GL_EXT_occlusion_query_boolean);
//*2
    glIsQueryEXT := getProc('glIsQueryEXT',EXTENSION_PROC, 0, GL_EXT_occlusion_query_boolean);
//*2
    glBeginQueryEXT := getProc('glBeginQueryEXT',EXTENSION_PROC, 0, GL_EXT_occlusion_query_boolean);
//*2
    glEndQueryEXT := getProc('glEndQueryEXT',EXTENSION_PROC, 0, GL_EXT_occlusion_query_boolean);
//*2
    glGetQueryivEXT := getProc('glGetQueryivEXT',EXTENSION_PROC, 0, GL_EXT_occlusion_query_boolean);
//*2
    glGetQueryObjectuivEXT := getProc('glGetQueryObjectuivEXT',EXTENSION_PROC, 0, GL_EXT_occlusion_query_boolean);
  end;

  GL_EXT_primitive_bounding_box := Pos('GL_EXT_primitive_bounding_box ', exts) > 0;
  if GL_EXT_primitive_bounding_box then
  begin
    glPrimitiveBoundingBoxEXT := getProc('glPrimitiveBoundingBoxEXT',EXTENSION_PROC, 0, GL_EXT_primitive_bounding_box);
  end;

  GL_EXT_pvrtc_sRGB := Pos('GL_EXT_pvrtc_sRGB ', exts) > 0;
  GL_EXT_sRGB_write_control := Pos('GL_EXT_sRGB_write_control ', exts) > 0;
  GL_EXT_shader_framebuffer_fetch := Pos('GL_EXT_shader_framebuffer_fetch ', exts) > 0;
  GL_EXT_shader_implicit_conversions := Pos('GL_EXT_shader_implicit_conversions ', exts) > 0;
  GL_EXT_shader_io_blocks := Pos('GL_EXT_shader_io_blocks ', exts) > 0;
  GL_EXT_shader_pixel_local_storage := Pos('GL_EXT_shader_pixel_local_storage ', exts) > 0;
  GL_EXT_shader_texture_lod := Pos('GL_EXT_shader_texture_lod ', exts) > 0;
  GL_EXT_shadow_samplers := Pos('GL_EXT_shadow_samplers ', exts) > 0;
  GL_EXT_tessellation_point_size := Pos('GL_EXT_tessellation_point_size ', exts) > 0;
  GL_EXT_tessellation_shader := Pos('GL_EXT_tessellation_shader ', exts) > 0;
  if GL_EXT_tessellation_shader then
  begin
    glPatchParameteriEXT := getProc('glPatchParameteriEXT',EXTENSION_PROC, 0, GL_EXT_tessellation_shader);
  end;

  GL_EXT_texture_border_clamp := Pos('GL_EXT_texture_border_clamp ', exts) > 0;
  if GL_EXT_texture_border_clamp then
  begin
    glTexParameterIivEXT := getProc('glTexParameterIivEXT',EXTENSION_PROC, 0, GL_EXT_texture_border_clamp);
    glTexParameterIuivEXT := getProc('glTexParameterIuivEXT',EXTENSION_PROC, 0, GL_EXT_texture_border_clamp);
    glGetTexParameterIivEXT := getProc('glGetTexParameterIivEXT',EXTENSION_PROC, 0, GL_EXT_texture_border_clamp);
    glGetTexParameterIuivEXT := getProc('glGetTexParameterIuivEXT',EXTENSION_PROC, 0, GL_EXT_texture_border_clamp);
    glSamplerParameterIivEXT := getProc('glSamplerParameterIivEXT',EXTENSION_PROC, 0, GL_EXT_texture_border_clamp);
    glSamplerParameterIuivEXT := getProc('glSamplerParameterIuivEXT',EXTENSION_PROC, 0, GL_EXT_texture_border_clamp);
    glGetSamplerParameterIivEXT := getProc('glGetSamplerParameterIivEXT',EXTENSION_PROC, 0, GL_EXT_texture_border_clamp);
    glGetSamplerParameterIuivEXT := getProc('glGetSamplerParameterIuivEXT',EXTENSION_PROC, 0, GL_EXT_texture_border_clamp);
  end;

  GL_EXT_texture_buffer := Pos('GL_EXT_texture_buffer ', exts) > 0;
  if GL_EXT_texture_buffer then
  begin
    glTexBufferEXT := getProc('glTexBufferEXT',EXTENSION_PROC, 0, GL_EXT_texture_buffer);
    glTexBufferRangeEXT := getProc('glTexBufferRangeEXT',EXTENSION_PROC, 0, GL_EXT_texture_buffer);
  end;

  GL_EXT_texture_cube_map_array := Pos('GL_EXT_texture_cube_map_array ', exts) > 0;
  GL_EXT_texture_rg := Pos('GL_EXT_texture_rg ', exts) > 0;
  GL_EXT_texture_type_2_10_10_10_REV := Pos('GL_EXT_texture_type_2_10_10_10_REV ', exts) > 0;
  GL_EXT_texture_view := Pos('GL_EXT_texture_view ', exts) > 0;
  if GL_EXT_texture_view then
  begin
    glTextureViewEXT := getProc('glTextureViewEXT',EXTENSION_PROC, 0, GL_EXT_texture_view);
  end;

  GL_EXT_unpack_subimage := Pos('GL_EXT_unpack_subimage ', exts) > 0;
  GL_FJ_shader_binary_GCCSO := Pos('GL_FJ_shader_binary_GCCSO ', exts) > 0;
  GL_IMG_multisampled_render_to_texture := Pos('GL_IMG_multisampled_render_to_texture ', exts) > 0;
  if GL_IMG_multisampled_render_to_texture then
  begin
    glRenderbufferStorageMultisampleIMG := getProc('glRenderbufferStorageMultisampleIMG',EXTENSION_PROC, 0, GL_IMG_multisampled_render_to_texture);
    glFramebufferTexture2DMultisampleIMG := getProc('glFramebufferTexture2DMultisampleIMG',EXTENSION_PROC, 0, GL_IMG_multisampled_render_to_texture);
  end;

  GL_IMG_program_binary := Pos('GL_IMG_program_binary ', exts) > 0;
  GL_IMG_shader_binary := Pos('GL_IMG_shader_binary ', exts) > 0;
  GL_IMG_texture_compression_pvrtc2 := Pos('GL_IMG_texture_compression_pvrtc2 ', exts) > 0;
  GL_IMG_texture_env_enhanced_fixed_function := Pos('GL_IMG_texture_env_enhanced_fixed_function ', exts) > 0;
  GL_IMG_user_clip_plane := Pos('GL_IMG_user_clip_plane ', exts) > 0;
  if GL_IMG_user_clip_plane then
  begin
    glClipPlanefIMG := getProc('glClipPlanefIMG',EXTENSION_PROC, 0, GL_IMG_user_clip_plane);
    glClipPlanexIMG := getProc('glClipPlanexIMG',EXTENSION_PROC, 0, GL_IMG_user_clip_plane);
  end;

  GL_KHR_blend_equation_advanced := Pos('GL_KHR_blend_equation_advanced ', exts) > 0;
  if GL_KHR_blend_equation_advanced then
  begin
    glBlendBarrierKHR := getProc('glBlendBarrierKHR',EXTENSION_PROC, 0, GL_KHR_blend_equation_advanced);
  end;

  GL_NV_copy_buffer := Pos('GL_NV_copy_buffer ', exts) > 0;
  if GL_NV_copy_buffer then
  begin
    glCopyBufferSubDataNV := getProc('glCopyBufferSubDataNV',EXTENSION_PROC, 0, GL_NV_copy_buffer);
  end;

  GL_NV_coverage_sample := Pos('GL_NV_coverage_sample ', exts) > 0;
  if GL_NV_coverage_sample then
  begin
    glCoverageMaskNV := getProc('glCoverageMaskNV',EXTENSION_PROC, 0, GL_NV_coverage_sample);
    glCoverageOperationNV := getProc('glCoverageOperationNV',EXTENSION_PROC, 0, GL_NV_coverage_sample);
  end;

  GL_NV_depth_nonlinear := Pos('GL_NV_depth_nonlinear ', exts) > 0;
  GL_NV_draw_buffers := Pos('GL_NV_draw_buffers ', exts) > 0;
  if GL_NV_draw_buffers then
  begin
    glDrawBuffersNV := getProc('glDrawBuffersNV',EXTENSION_PROC, 0, GL_NV_draw_buffers);
  end;

  GL_NV_draw_instanced := Pos('GL_NV_draw_instanced ', exts) > 0;
  if GL_NV_draw_instanced then
  begin
    glDrawArraysInstancedNV := getProc('glDrawArraysInstancedNV',EXTENSION_PROC, 0, GL_NV_draw_instanced);
    glDrawElementsInstancedNV := getProc('glDrawElementsInstancedNV',EXTENSION_PROC, 0, GL_NV_draw_instanced);
  end;

  GL_NV_explicit_attrib_location := Pos('GL_NV_explicit_attrib_location ', exts) > 0;
  GL_NV_fbo_color_attachments := Pos('GL_NV_fbo_color_attachments ', exts) > 0;
  GL_NV_framebuffer_blit := Pos('GL_NV_framebuffer_blit ', exts) > 0;
  if GL_NV_framebuffer_blit then
  begin
    glBlitFramebufferNV := getProc('glBlitFramebufferNV',EXTENSION_PROC, 0, GL_NV_framebuffer_blit);
  end;

  GL_NV_framebuffer_multisample := Pos('GL_NV_framebuffer_multisample ', exts) > 0;
  if GL_NV_framebuffer_multisample then
  begin
    glRenderbufferStorageMultisampleNV := getProc('glRenderbufferStorageMultisampleNV',EXTENSION_PROC, 0, GL_NV_framebuffer_multisample);
  end;

  GL_NV_generate_mipmap_sRGB := Pos('GL_NV_generate_mipmap_sRGB ', exts) > 0;
  GL_NV_instanced_arrays := Pos('GL_NV_instanced_arrays ', exts) > 0;
  if GL_NV_instanced_arrays then
  begin
    glVertexAttribDivisorNV := getProc('glVertexAttribDivisorNV',EXTENSION_PROC, 0, GL_NV_instanced_arrays);
  end;

  GL_NV_non_square_matrices := Pos('GL_NV_non_square_matrices ', exts) > 0;
  if GL_NV_non_square_matrices then
  begin
    glUniformMatrix2x3fvNV := getProc('glUniformMatrix2x3fvNV',EXTENSION_PROC, 0, GL_NV_non_square_matrices);
    glUniformMatrix3x2fvNV := getProc('glUniformMatrix3x2fvNV',EXTENSION_PROC, 0, GL_NV_non_square_matrices);
    glUniformMatrix2x4fvNV := getProc('glUniformMatrix2x4fvNV',EXTENSION_PROC, 0, GL_NV_non_square_matrices);
    glUniformMatrix4x2fvNV := getProc('glUniformMatrix4x2fvNV',EXTENSION_PROC, 0, GL_NV_non_square_matrices);
    glUniformMatrix3x4fvNV := getProc('glUniformMatrix3x4fvNV',EXTENSION_PROC, 0, GL_NV_non_square_matrices);
    glUniformMatrix4x3fvNV := getProc('glUniformMatrix4x3fvNV',EXTENSION_PROC, 0, GL_NV_non_square_matrices);
  end;

  GL_NV_read_buffer := Pos('GL_NV_read_buffer ', exts) > 0;
  if GL_NV_read_buffer then
  begin
    glReadBufferNV := getProc('glReadBufferNV',EXTENSION_PROC, 0, GL_NV_read_buffer);
  end;

  GL_NV_read_buffer_front := Pos('GL_NV_read_buffer_front ', exts) > 0;
  GL_NV_read_depth := Pos('GL_NV_read_depth ', exts) > 0;
  GL_NV_read_depth_stencil := Pos('GL_NV_read_depth_stencil ', exts) > 0;
  GL_NV_read_stencil := Pos('GL_NV_read_stencil ', exts) > 0;
  GL_NV_sRGB_formats := Pos('GL_NV_sRGB_formats ', exts) > 0;
  GL_NV_shadow_samplers_array := Pos('GL_NV_shadow_samplers_array ', exts) > 0;
  GL_NV_shadow_samplers_cube := Pos('GL_NV_shadow_samplers_cube ', exts) > 0;
  GL_NV_texture_border_clamp := Pos('GL_NV_texture_border_clamp ', exts) > 0;
  GL_NV_texture_compression_s3tc_update := Pos('GL_NV_texture_compression_s3tc_update ', exts) > 0;
  GL_NV_texture_npot_2D_mipmap := Pos('GL_NV_texture_npot_2D_mipmap ', exts) > 0;
  GL_OES_EGL_image := Pos('GL_OES_EGL_image ', exts) > 0;
  if GL_OES_EGL_image then
  begin
    glEGLImageTargetTexture2DOES := getProc('glEGLImageTargetTexture2DOES',EXTENSION_PROC, 0, GL_OES_EGL_image);
    glEGLImageTargetRenderbufferStorageOES := getProc('glEGLImageTargetRenderbufferStorageOES',EXTENSION_PROC, 0, GL_OES_EGL_image);
  end;

  GL_OES_blend_equation_separate := Pos('GL_OES_blend_equation_separate ', exts) > 0;
  if GL_OES_blend_equation_separate then
  begin
    glBlendEquationSeparateOES := getProc('glBlendEquationSeparateOES',EXTENSION_PROC, 0, GL_OES_blend_equation_separate);
  end;

  GL_OES_blend_func_separate := Pos('GL_OES_blend_func_separate ', exts) > 0;
  if GL_OES_blend_func_separate then
  begin
    glBlendFuncSeparateOES := getProc('glBlendFuncSeparateOES',EXTENSION_PROC, 0, GL_OES_blend_func_separate);
  end;

  GL_OES_blend_subtract := Pos('GL_OES_blend_subtract ', exts) > 0;
  if GL_OES_blend_subtract then
  begin
    glBlendEquationOES := getProc('glBlendEquationOES',EXTENSION_PROC, 0, GL_OES_blend_subtract);
  end;

  GL_OES_depth_texture := Pos('GL_OES_depth_texture ', exts) > 0;
  GL_OES_draw_texture := Pos('GL_OES_draw_texture ', exts) > 0;
  if GL_OES_draw_texture then
  begin
    glDrawTexsOES := getProc('glDrawTexsOES',EXTENSION_PROC, 0, GL_OES_draw_texture);
    glDrawTexiOES := getProc('glDrawTexiOES',EXTENSION_PROC, 0, GL_OES_draw_texture);
    glDrawTexxOES := getProc('glDrawTexxOES',EXTENSION_PROC, 0, GL_OES_draw_texture);
    glDrawTexsvOES := getProc('glDrawTexsvOES',EXTENSION_PROC, 0, GL_OES_draw_texture);
    glDrawTexivOES := getProc('glDrawTexivOES',EXTENSION_PROC, 0, GL_OES_draw_texture);
    glDrawTexxvOES := getProc('glDrawTexxvOES',EXTENSION_PROC, 0, GL_OES_draw_texture);
    glDrawTexfOES := getProc('glDrawTexfOES',EXTENSION_PROC, 0, GL_OES_draw_texture);
    glDrawTexfvOES := getProc('glDrawTexfvOES',EXTENSION_PROC, 0, GL_OES_draw_texture);
  end;

  GL_OES_extended_matrix_palette := Pos('GL_OES_extended_matrix_palette ', exts) > 0;
  GL_OES_fragment_precision_high := Pos('GL_OES_fragment_precision_high ', exts) > 0;
  GL_OES_framebuffer_object := Pos('GL_OES_framebuffer_object ', exts) > 0;
  if GL_OES_framebuffer_object then
  begin
    glIsRenderbufferOES := getProc('glIsRenderbufferOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glBindRenderbufferOES := getProc('glBindRenderbufferOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glDeleteRenderbuffersOES := getProc('glDeleteRenderbuffersOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glGenRenderbuffersOES := getProc('glGenRenderbuffersOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glRenderbufferStorageOES := getProc('glRenderbufferStorageOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glGetRenderbufferParameterivOES := getProc('glGetRenderbufferParameterivOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glIsFramebufferOES := getProc('glIsFramebufferOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glBindFramebufferOES := getProc('glBindFramebufferOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glDeleteFramebuffersOES := getProc('glDeleteFramebuffersOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glGenFramebuffersOES := getProc('glGenFramebuffersOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glCheckFramebufferStatusOES := getProc('glCheckFramebufferStatusOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glFramebufferRenderbufferOES := getProc('glFramebufferRenderbufferOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glFramebufferTexture2DOES := getProc('glFramebufferTexture2DOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glGetFramebufferAttachmentParameterivOES := getProc('glGetFramebufferAttachmentParameterivOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
    glGenerateMipmapOES := getProc('glGenerateMipmapOES',EXTENSION_PROC, 0, GL_OES_framebuffer_object);
  end;

  GL_OES_get_program_binary := Pos('GL_OES_get_program_binary ', exts) > 0;
  if GL_OES_get_program_binary then
  begin
    glGetProgramBinaryOES := getProc('glGetProgramBinaryOES',EXTENSION_PROC, 0, GL_OES_get_program_binary);
    glProgramBinaryOES := getProc('glProgramBinaryOES',EXTENSION_PROC, 0, GL_OES_get_program_binary);
  end;

  GL_OES_matrix_get := Pos('GL_OES_matrix_get ', exts) > 0;
  GL_OES_matrix_palette := Pos('GL_OES_matrix_palette ', exts) > 0;
  if GL_OES_matrix_palette then
  begin
    glCurrentPaletteMatrixOES := getProc('glCurrentPaletteMatrixOES',EXTENSION_PROC, 0, GL_OES_matrix_palette);
    glLoadPaletteFromModelViewMatrixOES := getProc('glLoadPaletteFromModelViewMatrixOES',EXTENSION_PROC, 0, GL_OES_matrix_palette);
    glMatrixIndexPointerOES := getProc('glMatrixIndexPointerOES',EXTENSION_PROC, 0, GL_OES_matrix_palette);
    glWeightPointerOES := getProc('glWeightPointerOES',EXTENSION_PROC, 0, GL_OES_matrix_palette);
  end;

  GL_OES_point_size_array := Pos('GL_OES_point_size_array ', exts) > 0;
  if GL_OES_point_size_array then
  begin
    glPointSizePointerOES := getProc('glPointSizePointerOES',EXTENSION_PROC, 0, GL_OES_point_size_array);
  end;

  GL_OES_point_sprite := Pos('GL_OES_point_sprite ', exts) > 0;
  GL_OES_sample_shading := Pos('GL_OES_sample_shading ', exts) > 0;
  if GL_OES_sample_shading then
  begin
    glMinSampleShadingOES := getProc('glMinSampleShadingOES',EXTENSION_PROC, 0, GL_OES_sample_shading);
  end;

  GL_OES_sample_variables := Pos('GL_OES_sample_variables ', exts) > 0;
  GL_OES_shader_image_atomic := Pos('GL_OES_shader_image_atomic ', exts) > 0;
  GL_OES_shader_multisample_interpolation := Pos('GL_OES_shader_multisample_interpolation ', exts) > 0;
  GL_OES_standard_derivatives := Pos('GL_OES_standard_derivatives ', exts) > 0;
  GL_OES_stencil8 := Pos('GL_OES_stencil8 ', exts) > 0;
  GL_OES_stencil_wrap := Pos('GL_OES_stencil_wrap ', exts) > 0;
  GL_OES_surfaceless_context := Pos('GL_OES_surfaceless_context ', exts) > 0;
  GL_OES_texture_3D := Pos('GL_OES_texture_3D ', exts) > 0;
  if GL_OES_texture_3D then
  begin
    glTexImage3DOES := getProc('glTexImage3DOES',EXTENSION_PROC, 0, GL_OES_texture_3D);
    glTexSubImage3DOES := getProc('glTexSubImage3DOES',EXTENSION_PROC, 0, GL_OES_texture_3D);
    glCopyTexSubImage3DOES := getProc('glCopyTexSubImage3DOES',EXTENSION_PROC, 0, GL_OES_texture_3D);
    glCompressedTexImage3DOES := getProc('glCompressedTexImage3DOES',EXTENSION_PROC, 0, GL_OES_texture_3D);
    glCompressedTexSubImage3DOES := getProc('glCompressedTexSubImage3DOES',EXTENSION_PROC, 0, GL_OES_texture_3D);
    glFramebufferTexture3DOES := getProc('glFramebufferTexture3DOES',EXTENSION_PROC, 0, GL_OES_texture_3D);
  end;

  GL_OES_texture_compression_astc := Pos('GL_OES_texture_compression_astc ', exts) > 0;
  GL_OES_texture_cube_map := Pos('GL_OES_texture_cube_map ', exts) > 0;
  if GL_OES_texture_cube_map then
  begin
    glTexGenfOES := getProc('glTexGenfOES',EXTENSION_PROC, 0, GL_OES_texture_cube_map);
    glTexGenfvOES := getProc('glTexGenfvOES',EXTENSION_PROC, 0, GL_OES_texture_cube_map);
    glTexGeniOES := getProc('glTexGeniOES',EXTENSION_PROC, 0, GL_OES_texture_cube_map);
    glTexGenivOES := getProc('glTexGenivOES',EXTENSION_PROC, 0, GL_OES_texture_cube_map);
    glTexGenxOES := getProc('glTexGenxOES',EXTENSION_PROC, 0, GL_OES_texture_cube_map);
    glTexGenxvOES := getProc('glTexGenxvOES',EXTENSION_PROC, 0, GL_OES_texture_cube_map);
    glGetTexGenfvOES := getProc('glGetTexGenfvOES',EXTENSION_PROC, 0, GL_OES_texture_cube_map);
    glGetTexGenivOES := getProc('glGetTexGenivOES',EXTENSION_PROC, 0, GL_OES_texture_cube_map);
    glGetTexGenxvOES := getProc('glGetTexGenxvOES',EXTENSION_PROC, 0, GL_OES_texture_cube_map);
  end;

  GL_OES_texture_env_crossbar := Pos('GL_OES_texture_env_crossbar ', exts) > 0;
  GL_OES_texture_float := Pos('GL_OES_texture_float ', exts) > 0;
  GL_OES_texture_float_linear := Pos('GL_OES_texture_float_linear ', exts) > 0;
  GL_OES_texture_half_float := Pos('GL_OES_texture_half_float ', exts) > 0;
  GL_OES_texture_half_float_linear := Pos('GL_OES_texture_half_float_linear ', exts) > 0;
  GL_OES_texture_mirrored_repeat := Pos('GL_OES_texture_mirrored_repeat ', exts) > 0;
  GL_OES_texture_npot := Pos('GL_OES_texture_npot ', exts) > 0;
  GL_OES_texture_stencil8 := Pos('GL_OES_texture_stencil8 ', exts) > 0;
  GL_OES_texture_storage_multisample_2d_array := Pos('GL_OES_texture_storage_multisample_2d_array ', exts) > 0;
  if GL_OES_texture_storage_multisample_2d_array then
  begin
    glTexStorage3DMultisampleOES := getProc('glTexStorage3DMultisampleOES',EXTENSION_PROC, 0, GL_OES_texture_storage_multisample_2d_array);
  end;

  GL_OES_vertex_half_float := Pos('GL_OES_vertex_half_float ', exts) > 0;
  GL_OES_vertex_type_10_10_10_2 := Pos('GL_OES_vertex_type_10_10_10_2 ', exts) > 0;
  GL_QCOM_alpha_test := Pos('GL_QCOM_alpha_test ', exts) > 0;
  if GL_QCOM_alpha_test then
  begin
    glAlphaFuncQCOM := getProc('glAlphaFuncQCOM',EXTENSION_PROC, 0, GL_QCOM_alpha_test);
  end;

  GL_QCOM_binning_control := Pos('GL_QCOM_binning_control ', exts) > 0;
  GL_VIV_shader_binary := Pos('GL_VIV_shader_binary ', exts) > 0;
end;

procedure ClearOpenGLES_ExtensionCommands;
begin
  GL_AMD_program_binary_Z400 := false;
  GL_ANDROID_extension_pack_es31a := false;
  GL_ANGLE_depth_texture := false;
  GL_ANGLE_framebuffer_blit := false;
  glBlitFramebufferANGLE := nil;
  GL_ANGLE_framebuffer_multisample := false;
  glRenderbufferStorageMultisampleANGLE := nil;
  GL_ANGLE_instanced_arrays := false;
  glDrawArraysInstancedANGLE := nil;
  glDrawElementsInstancedANGLE := nil;
  glVertexAttribDivisorANGLE := nil;
  GL_ANGLE_pack_reverse_row_order := false;
  GL_ANGLE_program_binary := false;
  GL_ANGLE_texture_compression_dxt3 := false;
  GL_ANGLE_texture_compression_dxt5 := false;
  GL_ANGLE_texture_usage := false;
  GL_ANGLE_translated_shader_source := false;
  glGetTranslatedShaderSourceANGLE := nil;
  GL_APPLE_clip_distance := false;
  GL_APPLE_color_buffer_packed_float := false;
  GL_APPLE_texture_2D_limited_npot := false;
  GL_APPLE_texture_packed_float := false;
  GL_ARB_ES2_compatibility := false;
  glReleaseShaderCompiler := nil;
  glShaderBinary := nil;
  glGetShaderPrecisionFormat := nil;
  glDepthRangef := nil;
  glClearDepthf := nil;
  GL_ARM_mali_program_binary := false;
  GL_ARM_mali_shader_binary := false;
  GL_ARM_shader_framebuffer_fetch := false;
  GL_ARM_shader_framebuffer_fetch_depth_stencil := false;
  GL_DMP_program_binary := false;
  GL_DMP_shader_binary := false;
  GL_EXT_color_buffer_half_float := false;
  GL_EXT_copy_image := false;
  glCopyImageSubDataEXT := nil;
  GL_EXT_disjoint_timer_query := false;
  glGenQueriesEXT := nil;
  glDeleteQueriesEXT := nil;
  glIsQueryEXT := nil;
  glBeginQueryEXT := nil;
  glEndQueryEXT := nil;
  glQueryCounterEXT := nil;
  glGetQueryivEXT := nil;
  glGetQueryObjectivEXT := nil;
  glGetQueryObjectuivEXT := nil;
  glGetQueryObjecti64vEXT := nil;
  glGetQueryObjectui64vEXT := nil;
  GL_EXT_draw_buffers := false;
  glDrawBuffersEXT := nil;
  GL_EXT_draw_buffers_indexed := false;
  glEnableiEXT := nil;
  glDisableiEXT := nil;
  glBlendEquationiEXT := nil;
  glBlendEquationSeparateiEXT := nil;
  glBlendFunciEXT := nil;
  glBlendFuncSeparateiEXT := nil;
  glColorMaskiEXT := nil;
  glIsEnablediEXT := nil;
  GL_EXT_geometry_point_size := false;
  GL_EXT_geometry_shader := false;
  glFramebufferTextureEXT := nil;
  GL_EXT_gpu_shader5 := false;
  GL_EXT_instanced_arrays := false;
  glDrawArraysInstancedEXT := nil;
  glDrawElementsInstancedEXT := nil;
  glVertexAttribDivisorEXT := nil;
  GL_EXT_multiview_draw_buffers := false;
  glReadBufferIndexedEXT := nil;
  glDrawBuffersIndexedEXT := nil;
  glGetIntegeri_vEXT := nil;
  GL_EXT_occlusion_query_boolean := false;
  glGenQueriesEXT := nil;
  glDeleteQueriesEXT := nil;
  glIsQueryEXT := nil;
  glBeginQueryEXT := nil;
  glEndQueryEXT := nil;
  glGetQueryivEXT := nil;
  glGetQueryObjectuivEXT := nil;
  GL_EXT_primitive_bounding_box := false;
  glPrimitiveBoundingBoxEXT := nil;
  GL_EXT_pvrtc_sRGB := false;
  GL_EXT_sRGB_write_control := false;
  GL_EXT_shader_framebuffer_fetch := false;
  GL_EXT_shader_implicit_conversions := false;
  GL_EXT_shader_io_blocks := false;
  GL_EXT_shader_pixel_local_storage := false;
  GL_EXT_shader_texture_lod := false;
  GL_EXT_shadow_samplers := false;
  GL_EXT_tessellation_point_size := false;
  GL_EXT_tessellation_shader := false;
  glPatchParameteriEXT := nil;
  GL_EXT_texture_border_clamp := false;
  glTexParameterIivEXT := nil;
  glTexParameterIuivEXT := nil;
  glGetTexParameterIivEXT := nil;
  glGetTexParameterIuivEXT := nil;
  glSamplerParameterIivEXT := nil;
  glSamplerParameterIuivEXT := nil;
  glGetSamplerParameterIivEXT := nil;
  glGetSamplerParameterIuivEXT := nil;
  GL_EXT_texture_buffer := false;
  glTexBufferEXT := nil;
  glTexBufferRangeEXT := nil;
  GL_EXT_texture_cube_map_array := false;
  GL_EXT_texture_rg := false;
  GL_EXT_texture_type_2_10_10_10_REV := false;
  GL_EXT_texture_view := false;
  glTextureViewEXT := nil;
  GL_EXT_unpack_subimage := false;
  GL_FJ_shader_binary_GCCSO := false;
  GL_IMG_multisampled_render_to_texture := false;
  glRenderbufferStorageMultisampleIMG := nil;
  glFramebufferTexture2DMultisampleIMG := nil;
  GL_IMG_program_binary := false;
  GL_IMG_shader_binary := false;
  GL_IMG_texture_compression_pvrtc2 := false;
  GL_IMG_texture_env_enhanced_fixed_function := false;
  GL_IMG_user_clip_plane := false;
  glClipPlanefIMG := nil;
  glClipPlanexIMG := nil;
  GL_KHR_blend_equation_advanced := false;
  glBlendBarrierKHR := nil;
  GL_NV_copy_buffer := false;
  glCopyBufferSubDataNV := nil;
  GL_NV_coverage_sample := false;
  glCoverageMaskNV := nil;
  glCoverageOperationNV := nil;
  GL_NV_depth_nonlinear := false;
  GL_NV_draw_buffers := false;
  glDrawBuffersNV := nil;
  GL_NV_draw_instanced := false;
  glDrawArraysInstancedNV := nil;
  glDrawElementsInstancedNV := nil;
  GL_NV_explicit_attrib_location := false;
  GL_NV_fbo_color_attachments := false;
  GL_NV_framebuffer_blit := false;
  glBlitFramebufferNV := nil;
  GL_NV_framebuffer_multisample := false;
  glRenderbufferStorageMultisampleNV := nil;
  GL_NV_generate_mipmap_sRGB := false;
  GL_NV_instanced_arrays := false;
  glVertexAttribDivisorNV := nil;
  GL_NV_non_square_matrices := false;
  glUniformMatrix2x3fvNV := nil;
  glUniformMatrix3x2fvNV := nil;
  glUniformMatrix2x4fvNV := nil;
  glUniformMatrix4x2fvNV := nil;
  glUniformMatrix3x4fvNV := nil;
  glUniformMatrix4x3fvNV := nil;
  GL_NV_read_buffer := false;
  glReadBufferNV := nil;
  GL_NV_read_buffer_front := false;
  GL_NV_read_depth := false;
  GL_NV_read_depth_stencil := false;
  GL_NV_read_stencil := false;
  GL_NV_sRGB_formats := false;
  GL_NV_shadow_samplers_array := false;
  GL_NV_shadow_samplers_cube := false;
  GL_NV_texture_border_clamp := false;
  GL_NV_texture_compression_s3tc_update := false;
  GL_NV_texture_npot_2D_mipmap := false;
  GL_OES_EGL_image := false;
  glEGLImageTargetTexture2DOES := nil;
  glEGLImageTargetRenderbufferStorageOES := nil;
  GL_OES_blend_equation_separate := false;
  glBlendEquationSeparateOES := nil;
  GL_OES_blend_func_separate := false;
  glBlendFuncSeparateOES := nil;
  GL_OES_blend_subtract := false;
  glBlendEquationOES := nil;
  GL_OES_depth_texture := false;
  GL_OES_draw_texture := false;
  glDrawTexsOES := nil;
  glDrawTexiOES := nil;
  glDrawTexxOES := nil;
  glDrawTexsvOES := nil;
  glDrawTexivOES := nil;
  glDrawTexxvOES := nil;
  glDrawTexfOES := nil;
  glDrawTexfvOES := nil;
  GL_OES_extended_matrix_palette := false;
  GL_OES_fragment_precision_high := false;
  GL_OES_framebuffer_object := false;
  glIsRenderbufferOES := nil;
  glBindRenderbufferOES := nil;
  glDeleteRenderbuffersOES := nil;
  glGenRenderbuffersOES := nil;
  glRenderbufferStorageOES := nil;
  glGetRenderbufferParameterivOES := nil;
  glIsFramebufferOES := nil;
  glBindFramebufferOES := nil;
  glDeleteFramebuffersOES := nil;
  glGenFramebuffersOES := nil;
  glCheckFramebufferStatusOES := nil;
  glFramebufferRenderbufferOES := nil;
  glFramebufferTexture2DOES := nil;
  glGetFramebufferAttachmentParameterivOES := nil;
  glGenerateMipmapOES := nil;
  GL_OES_get_program_binary := false;
  glGetProgramBinaryOES := nil;
  glProgramBinaryOES := nil;
  GL_OES_matrix_get := false;
  GL_OES_matrix_palette := false;
  glCurrentPaletteMatrixOES := nil;
  glLoadPaletteFromModelViewMatrixOES := nil;
  glMatrixIndexPointerOES := nil;
  glWeightPointerOES := nil;
  GL_OES_point_size_array := false;
  glPointSizePointerOES := nil;
  GL_OES_point_sprite := false;
  GL_OES_sample_shading := false;
  glMinSampleShadingOES := nil;
  GL_OES_sample_variables := false;
  GL_OES_shader_image_atomic := false;
  GL_OES_shader_multisample_interpolation := false;
  GL_OES_standard_derivatives := false;
  GL_OES_stencil8 := false;
  GL_OES_stencil_wrap := false;
  GL_OES_surfaceless_context := false;
  GL_OES_texture_3D := false;
  glTexImage3DOES := nil;
  glTexSubImage3DOES := nil;
  glCopyTexSubImage3DOES := nil;
  glCompressedTexImage3DOES := nil;
  glCompressedTexSubImage3DOES := nil;
  glFramebufferTexture3DOES := nil;
  GL_OES_texture_compression_astc := false;
  GL_OES_texture_cube_map := false;
  glTexGenfOES := nil;
  glTexGenfvOES := nil;
  glTexGeniOES := nil;
  glTexGenivOES := nil;
  glTexGenxOES := nil;
  glTexGenxvOES := nil;
  glGetTexGenfvOES := nil;
  glGetTexGenivOES := nil;
  glGetTexGenxvOES := nil;
  GL_OES_texture_env_crossbar := false;
  GL_OES_texture_float := false;
  GL_OES_texture_float_linear := false;
  GL_OES_texture_half_float := false;
  GL_OES_texture_half_float_linear := false;
  GL_OES_texture_mirrored_repeat := false;
  GL_OES_texture_npot := false;
  GL_OES_texture_stencil8 := false;
  GL_OES_texture_storage_multisample_2d_array := false;
  glTexStorage3DMultisampleOES := nil;
  GL_OES_vertex_half_float := false;
  GL_OES_vertex_type_10_10_10_2 := false;
  GL_QCOM_alpha_test := false;
  glAlphaFuncQCOM := nil;
  GL_QCOM_binning_control := false;
  GL_VIV_shader_binary := false;
  EGL_ANDROID_blob_cache := false;
  eglSetBlobCacheFuncsANDROID := nil;
  EGL_ANDROID_framebuffer_target := false;
  EGL_ANDROID_image_native_buffer := false;
  EGL_ANDROID_native_fence_sync := false;
  eglDupNativeFenceFDANDROID := nil;
  EGL_ANDROID_recordable := false;
  EGL_ANGLE_d3d_share_handle_client_buffer := false;
  EGL_ANGLE_query_surface_pointer := false;
  eglQuerySurfacePointerANGLE := nil;
  EGL_ANGLE_surface_d3d_texture_2d_share_handle := false;
  EGL_ARM_pixmap_multisample_discard := false;
  EGL_EXT_buffer_age := false;
  EGL_EXT_client_extensions := false;
  EGL_EXT_create_context_robustness := false;
  EGL_EXT_device_base := false;
  eglQueryDeviceAttribEXT := nil;
  eglQueryDeviceStringEXT := nil;
  eglQueryDevicesEXT := nil;
  eglQueryDisplayAttribEXT := nil;
  EGL_EXT_device_drm := false;
  EGL_EXT_device_openwf := false;
  EGL_EXT_image_dma_buf_import := false;
  EGL_EXT_multiview_window := false;
  EGL_EXT_output_base := false;
  eglGetOutputLayersEXT := nil;
  eglGetOutputPortsEXT := nil;
  eglOutputLayerAttribEXT := nil;
  eglQueryOutputLayerAttribEXT := nil;
  eglQueryOutputLayerStringEXT := nil;
  eglOutputPortAttribEXT := nil;
  eglQueryOutputPortAttribEXT := nil;
  eglQueryOutputPortStringEXT := nil;
  EGL_EXT_output_drm := false;
  EGL_EXT_output_openwf := false;
  EGL_EXT_platform_base := false;
  eglGetPlatformDisplayEXT := nil;
  eglCreatePlatformWindowSurfaceEXT := nil;
  eglCreatePlatformPixmapSurfaceEXT := nil;
  EGL_EXT_platform_device := false;
  EGL_EXT_platform_wayland := false;
  EGL_EXT_platform_x11 := false;
  EGL_EXT_protected_surface := false;
  EGL_EXT_stream_consumer_egloutput := false;
  eglStreamConsumerOutputEXT := nil;
  EGL_EXT_swap_buffers_with_damage := false;
  eglSwapBuffersWithDamageEXT := nil;
  EGL_HI_clientpixmap := false;
  eglCreatePixmapSurfaceHI := nil;
  EGL_HI_colorformats := false;
  EGL_IMG_context_priority := false;
  EGL_KHR_cl_event := false;
  EGL_KHR_cl_event2 := false;
  eglCreateSync64KHR := nil;
  EGL_KHR_config_attribs := false;
  EGL_KHR_client_get_all_proc_addresses := false;
  EGL_KHR_create_context := false;
  EGL_KHR_fence_sync := false;
  EGL_KHR_get_all_proc_addresses := false;
  EGL_KHR_gl_colorspace := false;
  EGL_KHR_gl_renderbuffer_image := false;
  EGL_KHR_gl_texture_2D_image := false;
  EGL_KHR_gl_texture_3D_image := false;
  EGL_KHR_gl_texture_cubemap_image := false;
  EGL_KHR_image := false;
  eglCreateImageKHR := nil;
  eglDestroyImageKHR := nil;
  EGL_KHR_image_base := false;
  eglCreateImageKHR := nil;
  eglDestroyImageKHR := nil;
  EGL_KHR_image_pixmap := false;
  EGL_KHR_lock_surface := false;
  eglLockSurfaceKHR := nil;
  eglUnlockSurfaceKHR := nil;
  EGL_KHR_lock_surface2 := false;
  EGL_KHR_lock_surface3 := false;
  eglLockSurfaceKHR := nil;
  eglUnlockSurfaceKHR := nil;
  eglQuerySurface64KHR := nil;
  EGL_KHR_platform_android := false;
  EGL_KHR_platform_gbm := false;
  EGL_KHR_platform_wayland := false;
  EGL_KHR_platform_x11 := false;
  EGL_KHR_reusable_sync := false;
  eglCreateSyncKHR := nil;
  eglDestroySyncKHR := nil;
  eglClientWaitSyncKHR := nil;
  eglSignalSyncKHR := nil;
  eglGetSyncAttribKHR := nil;
  EGL_KHR_stream := false;
  eglCreateStreamKHR := nil;
  eglDestroyStreamKHR := nil;
  eglStreamAttribKHR := nil;
  eglQueryStreamKHR := nil;
  eglQueryStreamu64KHR := nil;
  EGL_KHR_stream_consumer_gltexture := false;
  eglStreamConsumerGLTextureExternalKHR := nil;
  eglStreamConsumerAcquireKHR := nil;
  eglStreamConsumerReleaseKHR := nil;
  EGL_KHR_stream_cross_process_fd := false;
  eglGetStreamFileDescriptorKHR := nil;
  eglCreateStreamFromFileDescriptorKHR := nil;
  EGL_KHR_stream_fifo := false;
  eglQueryStreamTimeKHR := nil;
  EGL_KHR_stream_producer_aldatalocator := false;
  EGL_KHR_stream_producer_eglsurface := false;
  eglCreateStreamProducerSurfaceKHR := nil;
  EGL_KHR_surfaceless_context := false;
  EGL_KHR_vg_parent_image := false;
  EGL_KHR_wait_sync := false;
  eglWaitSyncKHR := nil;
  EGL_MESA_drm_image := false;
  eglCreateDRMImageMESA := nil;
  eglExportDRMImageMESA := nil;
  EGL_MESA_platform_gbm := false;
  EGL_NOK_swap_region := false;
  eglSwapBuffersRegionNOK := nil;
  EGL_NOK_swap_region2 := false;
  eglSwapBuffersRegion2NOK := nil;
  EGL_NOK_texture_from_pixmap := false;
  EGL_NV_3dvision_surface := false;
  EGL_NV_coverage_sample := false;
  EGL_NV_coverage_sample_resolve := false;
  EGL_NV_cuda_event := false;
  EGL_NV_depth_nonlinear := false;
  EGL_NV_device_cuda := false;
  EGL_NV_native_query := false;
  eglQueryNativeDisplayNV := nil;
  eglQueryNativeWindowNV := nil;
  eglQueryNativePixmapNV := nil;
  EGL_NV_post_convert_rounding := false;
  EGL_NV_post_sub_buffer := false;
  eglPostSubBufferNV := nil;
  EGL_NV_stream_sync := false;
  eglCreateStreamSyncNV := nil;
  EGL_NV_sync := false;
  eglCreateFenceSyncNV := nil;
  eglDestroySyncNV := nil;
  eglFenceNV := nil;
  eglClientWaitSyncNV := nil;
  eglSignalSyncNV := nil;
  eglGetSyncAttribNV := nil;
  EGL_NV_system_time := false;
  eglGetSystemTimeFrequencyNV := nil;
  eglGetSystemTimeNV := nil;
  EGL_TIZEN_image_native_buffer := false;
  EGL_TIZEN_image_native_surface := false;
end;

{$ifdef MSWINDOWS}
procedure LoadWGLCommands(getProc : TGetProcFunc);
begin
  GL_ACTIVE_PROGRAM_EXT := GL_ACTIVE_PROGRAM_EXT_gl;
  {WGL_VERSION_1_0}
  WGL_VERSION_1_0 := true;
  if WGL_VERSION_1_0 then
  begin
    ChoosePixelFormat := getProc('wglChoosePixelFormat',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    DescribePixelFormat := getProc('wglDescribePixelFormat',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    GetEnhMetaFilePixelFormat := getProc('GetEnhMetaFilePixelFormat',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    GetPixelFormat := getProc('wglGetPixelFormat',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    SetPixelFormat := getProc('SetPixelFormat',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    SwapBuffers := getProc('wglSwapBuffers',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglCopyContext := getProc('wglCopyContext',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglCreateContext := getProc('wglCreateContext',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglCreateLayerContext := getProc('wglCreateLayerContext',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglDeleteContext := getProc('wglDeleteContext',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglDescribeLayerPlane := getProc('wglDescribeLayerPlane',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglGetCurrentContext := getProc('wglGetCurrentContext',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglGetCurrentDC := getProc('wglGetCurrentDC',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglGetLayerPaletteEntries := getProc('wglGetLayerPaletteEntries',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglGetProcAddress := getProc('wglGetProcAddress',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglMakeCurrent := getProc('wglMakeCurrent',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglRealizeLayerPalette := getProc('wglRealizeLayerPalette',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglSetLayerPaletteEntries := getProc('wglSetLayerPaletteEntries',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglShareLists := getProc('wglShareLists',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglSwapLayerBuffers := getProc('wglSwapLayerBuffers',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglUseFontBitmaps := getProc('wglUseFontBitmaps',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglUseFontBitmapsA := getProc('wglUseFontBitmapsA',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglUseFontBitmapsW := getProc('wglUseFontBitmapsW',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglUseFontOutlines := getProc('wglUseFontOutlines',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglUseFontOutlinesA := getProc('wglUseFontOutlinesA',PLATFORM_PROC, 0, WGL_VERSION_1_0);
    wglUseFontOutlinesW := getProc('wglUseFontOutlinesW',PLATFORM_PROC, 0, WGL_VERSION_1_0);
  end;

end;

procedure LoadWGLExtensionCommands(getProc : TGetProcFunc; exts : string);
begin
  WGL_3DFX_multisample := Pos('WGL_3DFX_multisample ', exts) > 0;
  WGL_3DL_stereo_control := Pos('WGL_3DL_stereo_control ', exts) > 0;
  if WGL_3DL_stereo_control then
  begin
    wglSetStereoEmitterState3DL := getProc('wglSetStereoEmitterState3DL',EXTENSION_PROC, 0, WGL_3DL_stereo_control);
  end;

  WGL_AMD_gpu_association := Pos('WGL_AMD_gpu_association ', exts) > 0;
  if WGL_AMD_gpu_association then
  begin
    wglGetGPUIDsAMD := getProc('wglGetGPUIDsAMD',EXTENSION_PROC, 0, WGL_AMD_gpu_association);
    wglGetGPUInfoAMD := getProc('wglGetGPUInfoAMD',EXTENSION_PROC, 0, WGL_AMD_gpu_association);
    wglGetContextGPUIDAMD := getProc('wglGetContextGPUIDAMD',EXTENSION_PROC, 0, WGL_AMD_gpu_association);
    wglCreateAssociatedContextAMD := getProc('wglCreateAssociatedContextAMD',EXTENSION_PROC, 0, WGL_AMD_gpu_association);
    wglCreateAssociatedContextAttribsAMD := getProc('wglCreateAssociatedContextAttribsAMD',EXTENSION_PROC, 0, WGL_AMD_gpu_association);
    wglDeleteAssociatedContextAMD := getProc('wglDeleteAssociatedContextAMD',EXTENSION_PROC, 0, WGL_AMD_gpu_association);
    wglMakeAssociatedContextCurrentAMD := getProc('wglMakeAssociatedContextCurrentAMD',EXTENSION_PROC, 0, WGL_AMD_gpu_association);
    wglGetCurrentAssociatedContextAMD := getProc('wglGetCurrentAssociatedContextAMD',EXTENSION_PROC, 0, WGL_AMD_gpu_association);
    wglBlitContextFramebufferAMD := getProc('wglBlitContextFramebufferAMD',EXTENSION_PROC, 0, WGL_AMD_gpu_association);
  end;

  WGL_ARB_buffer_region := Pos('WGL_ARB_buffer_region ', exts) > 0;
  if WGL_ARB_buffer_region then
  begin
    wglCreateBufferRegionARB := getProc('wglCreateBufferRegionARB',EXTENSION_PROC, 0, WGL_ARB_buffer_region);
    wglDeleteBufferRegionARB := getProc('wglDeleteBufferRegionARB',EXTENSION_PROC, 0, WGL_ARB_buffer_region);
    wglSaveBufferRegionARB := getProc('wglSaveBufferRegionARB',EXTENSION_PROC, 0, WGL_ARB_buffer_region);
    wglRestoreBufferRegionARB := getProc('wglRestoreBufferRegionARB',EXTENSION_PROC, 0, WGL_ARB_buffer_region);
  end;

  WGL_ARB_context_flush_control := Pos('WGL_ARB_context_flush_control ', exts) > 0;
  WGL_ARB_create_context := Pos('WGL_ARB_create_context ', exts) > 0;
  if WGL_ARB_create_context then
  begin
    wglCreateContextAttribsARB := getProc('wglCreateContextAttribsARB',EXTENSION_PROC, 0, WGL_ARB_create_context);
  end;

  WGL_ARB_create_context_profile := Pos('WGL_ARB_create_context_profile ', exts) > 0;
  WGL_ARB_create_context_robustness := Pos('WGL_ARB_create_context_robustness ', exts) > 0;
  WGL_ARB_extensions_string := Pos('WGL_ARB_extensions_string ', exts) > 0;
  if WGL_ARB_extensions_string then
  begin
//  wglGetExtensionsStringARB := getProc( 'wglGetExtensionsStringARB'); // Load manually before this function, then get extension string.
  end;

  WGL_ARB_framebuffer_sRGB := Pos('WGL_ARB_framebuffer_sRGB ', exts) > 0;
  WGL_ARB_make_current_read := Pos('WGL_ARB_make_current_read ', exts) > 0;
  if WGL_ARB_make_current_read then
  begin
    wglMakeContextCurrentARB := getProc('wglMakeContextCurrentARB',EXTENSION_PROC, 0, WGL_ARB_make_current_read);
    wglGetCurrentReadDCARB := getProc('wglGetCurrentReadDCARB',EXTENSION_PROC, 0, WGL_ARB_make_current_read);
  end;

  WGL_ARB_multisample := Pos('WGL_ARB_multisample ', exts) > 0;
  WGL_ARB_pbuffer := Pos('WGL_ARB_pbuffer ', exts) > 0;
  if WGL_ARB_pbuffer then
  begin
    wglCreatePbufferARB := getProc('wglCreatePbufferARB',EXTENSION_PROC, 0, WGL_ARB_pbuffer);
    wglGetPbufferDCARB := getProc('wglGetPbufferDCARB',EXTENSION_PROC, 0, WGL_ARB_pbuffer);
    wglReleasePbufferDCARB := getProc('wglReleasePbufferDCARB',EXTENSION_PROC, 0, WGL_ARB_pbuffer);
    wglDestroyPbufferARB := getProc('wglDestroyPbufferARB',EXTENSION_PROC, 0, WGL_ARB_pbuffer);
    wglQueryPbufferARB := getProc('wglQueryPbufferARB',EXTENSION_PROC, 0, WGL_ARB_pbuffer);
  end;

  WGL_ARB_pixel_format := Pos('WGL_ARB_pixel_format ', exts) > 0;
  if WGL_ARB_pixel_format then
  begin
    wglGetPixelFormatAttribivARB := getProc('wglGetPixelFormatAttribivARB',EXTENSION_PROC, 0, WGL_ARB_pixel_format);
    wglGetPixelFormatAttribfvARB := getProc('wglGetPixelFormatAttribfvARB',EXTENSION_PROC, 0, WGL_ARB_pixel_format);
    wglChoosePixelFormatARB := getProc('wglChoosePixelFormatARB',EXTENSION_PROC, 0, WGL_ARB_pixel_format);
  end;

  WGL_ARB_pixel_format_float := Pos('WGL_ARB_pixel_format_float ', exts) > 0;
  WGL_ARB_render_texture := Pos('WGL_ARB_render_texture ', exts) > 0;
  if WGL_ARB_render_texture then
  begin
    wglBindTexImageARB := getProc('wglBindTexImageARB',EXTENSION_PROC, 0, WGL_ARB_render_texture);
    wglReleaseTexImageARB := getProc('wglReleaseTexImageARB',EXTENSION_PROC, 0, WGL_ARB_render_texture);
    wglSetPbufferAttribARB := getProc('wglSetPbufferAttribARB',EXTENSION_PROC, 0, WGL_ARB_render_texture);
  end;

  WGL_ARB_robustness_application_isolation := Pos('WGL_ARB_robustness_application_isolation ', exts) > 0;
  WGL_ARB_robustness_share_group_isolation := Pos('WGL_ARB_robustness_share_group_isolation ', exts) > 0;
  WGL_ATI_pixel_format_float := Pos('WGL_ATI_pixel_format_float ', exts) > 0;
  WGL_EXT_create_context_es_profile := Pos('WGL_EXT_create_context_es_profile ', exts) > 0;
  WGL_EXT_create_context_es2_profile := Pos('WGL_EXT_create_context_es2_profile ', exts) > 0;
  WGL_EXT_depth_float := Pos('WGL_EXT_depth_float ', exts) > 0;
  WGL_EXT_display_color_table := Pos('WGL_EXT_display_color_table ', exts) > 0;
  if WGL_EXT_display_color_table then
  begin
    wglCreateDisplayColorTableEXT := getProc('wglCreateDisplayColorTableEXT',EXTENSION_PROC, 0, WGL_EXT_display_color_table);
    wglLoadDisplayColorTableEXT := getProc('wglLoadDisplayColorTableEXT',EXTENSION_PROC, 0, WGL_EXT_display_color_table);
    wglBindDisplayColorTableEXT := getProc('wglBindDisplayColorTableEXT',EXTENSION_PROC, 0, WGL_EXT_display_color_table);
    wglDestroyDisplayColorTableEXT := getProc('wglDestroyDisplayColorTableEXT',EXTENSION_PROC, 0, WGL_EXT_display_color_table);
  end;

  WGL_EXT_extensions_string := Pos('WGL_EXT_extensions_string ', exts) > 0;
  if WGL_EXT_extensions_string then
  begin
    wglGetExtensionsStringEXT := getProc('wglGetExtensionsStringEXT',EXTENSION_PROC, 0, WGL_EXT_extensions_string);
  end;

  WGL_EXT_framebuffer_sRGB := Pos('WGL_EXT_framebuffer_sRGB ', exts) > 0;
  WGL_EXT_make_current_read := Pos('WGL_EXT_make_current_read ', exts) > 0;
  if WGL_EXT_make_current_read then
  begin
    wglMakeContextCurrentEXT := getProc('wglMakeContextCurrentEXT',EXTENSION_PROC, 0, WGL_EXT_make_current_read);
    wglGetCurrentReadDCEXT := getProc('wglGetCurrentReadDCEXT',EXTENSION_PROC, 0, WGL_EXT_make_current_read);
  end;

  WGL_EXT_multisample := Pos('WGL_EXT_multisample ', exts) > 0;
  WGL_EXT_pbuffer := Pos('WGL_EXT_pbuffer ', exts) > 0;
  if WGL_EXT_pbuffer then
  begin
    wglCreatePbufferEXT := getProc('wglCreatePbufferEXT',EXTENSION_PROC, 0, WGL_EXT_pbuffer);
    wglGetPbufferDCEXT := getProc('wglGetPbufferDCEXT',EXTENSION_PROC, 0, WGL_EXT_pbuffer);
    wglReleasePbufferDCEXT := getProc('wglReleasePbufferDCEXT',EXTENSION_PROC, 0, WGL_EXT_pbuffer);
    wglDestroyPbufferEXT := getProc('wglDestroyPbufferEXT',EXTENSION_PROC, 0, WGL_EXT_pbuffer);
    wglQueryPbufferEXT := getProc('wglQueryPbufferEXT',EXTENSION_PROC, 0, WGL_EXT_pbuffer);
  end;

  WGL_EXT_pixel_format := Pos('WGL_EXT_pixel_format ', exts) > 0;
  if WGL_EXT_pixel_format then
  begin
    wglGetPixelFormatAttribivEXT := getProc('wglGetPixelFormatAttribivEXT',EXTENSION_PROC, 0, WGL_EXT_pixel_format);
    wglGetPixelFormatAttribfvEXT := getProc('wglGetPixelFormatAttribfvEXT',EXTENSION_PROC, 0, WGL_EXT_pixel_format);
    wglChoosePixelFormatEXT := getProc('wglChoosePixelFormatEXT',EXTENSION_PROC, 0, WGL_EXT_pixel_format);
  end;

  WGL_EXT_pixel_format_packed_float := Pos('WGL_EXT_pixel_format_packed_float ', exts) > 0;
  WGL_EXT_swap_control := Pos('WGL_EXT_swap_control ', exts) > 0;
  if WGL_EXT_swap_control then
  begin
    wglSwapIntervalEXT := getProc('wglSwapIntervalEXT',EXTENSION_PROC, 0, WGL_EXT_swap_control);
    wglGetSwapIntervalEXT := getProc('wglGetSwapIntervalEXT',EXTENSION_PROC, 0, WGL_EXT_swap_control);
  end;

  WGL_EXT_swap_control_tear := Pos('WGL_EXT_swap_control_tear ', exts) > 0;
  WGL_I3D_digital_video_control := Pos('WGL_I3D_digital_video_control ', exts) > 0;
  if WGL_I3D_digital_video_control then
  begin
    wglGetDigitalVideoParametersI3D := getProc('wglGetDigitalVideoParametersI3D',EXTENSION_PROC, 0, WGL_I3D_digital_video_control);
    wglSetDigitalVideoParametersI3D := getProc('wglSetDigitalVideoParametersI3D',EXTENSION_PROC, 0, WGL_I3D_digital_video_control);
  end;

  WGL_I3D_gamma := Pos('WGL_I3D_gamma ', exts) > 0;
  if WGL_I3D_gamma then
  begin
    wglGetGammaTableParametersI3D := getProc('wglGetGammaTableParametersI3D',EXTENSION_PROC, 0, WGL_I3D_gamma);
    wglSetGammaTableParametersI3D := getProc('wglSetGammaTableParametersI3D',EXTENSION_PROC, 0, WGL_I3D_gamma);
    wglGetGammaTableI3D := getProc('wglGetGammaTableI3D',EXTENSION_PROC, 0, WGL_I3D_gamma);
    wglSetGammaTableI3D := getProc('wglSetGammaTableI3D',EXTENSION_PROC, 0, WGL_I3D_gamma);
  end;

  WGL_I3D_genlock := Pos('WGL_I3D_genlock ', exts) > 0;
  if WGL_I3D_genlock then
  begin
    wglEnableGenlockI3D := getProc('wglEnableGenlockI3D',EXTENSION_PROC, 0, WGL_I3D_genlock);
    wglDisableGenlockI3D := getProc('wglDisableGenlockI3D',EXTENSION_PROC, 0, WGL_I3D_genlock);
    wglIsEnabledGenlockI3D := getProc('wglIsEnabledGenlockI3D',EXTENSION_PROC, 0, WGL_I3D_genlock);
    wglGenlockSourceI3D := getProc('wglGenlockSourceI3D',EXTENSION_PROC, 0, WGL_I3D_genlock);
    wglGetGenlockSourceI3D := getProc('wglGetGenlockSourceI3D',EXTENSION_PROC, 0, WGL_I3D_genlock);
    wglGenlockSourceEdgeI3D := getProc('wglGenlockSourceEdgeI3D',EXTENSION_PROC, 0, WGL_I3D_genlock);
    wglGetGenlockSourceEdgeI3D := getProc('wglGetGenlockSourceEdgeI3D',EXTENSION_PROC, 0, WGL_I3D_genlock);
    wglGenlockSampleRateI3D := getProc('wglGenlockSampleRateI3D',EXTENSION_PROC, 0, WGL_I3D_genlock);
    wglGetGenlockSampleRateI3D := getProc('wglGetGenlockSampleRateI3D',EXTENSION_PROC, 0, WGL_I3D_genlock);
    wglGenlockSourceDelayI3D := getProc('wglGenlockSourceDelayI3D',EXTENSION_PROC, 0, WGL_I3D_genlock);
    wglGetGenlockSourceDelayI3D := getProc('wglGetGenlockSourceDelayI3D',EXTENSION_PROC, 0, WGL_I3D_genlock);
    wglQueryGenlockMaxSourceDelayI3D := getProc('wglQueryGenlockMaxSourceDelayI3D',EXTENSION_PROC, 0, WGL_I3D_genlock);
  end;

  WGL_I3D_image_buffer := Pos('WGL_I3D_image_buffer ', exts) > 0;
  if WGL_I3D_image_buffer then
  begin
    wglCreateImageBufferI3D := getProc('wglCreateImageBufferI3D',EXTENSION_PROC, 0, WGL_I3D_image_buffer);
    wglDestroyImageBufferI3D := getProc('wglDestroyImageBufferI3D',EXTENSION_PROC, 0, WGL_I3D_image_buffer);
    wglAssociateImageBufferEventsI3D := getProc('wglAssociateImageBufferEventsI3D',EXTENSION_PROC, 0, WGL_I3D_image_buffer);
    wglReleaseImageBufferEventsI3D := getProc('wglReleaseImageBufferEventsI3D',EXTENSION_PROC, 0, WGL_I3D_image_buffer);
  end;

  WGL_I3D_swap_frame_lock := Pos('WGL_I3D_swap_frame_lock ', exts) > 0;
  if WGL_I3D_swap_frame_lock then
  begin
    wglEnableFrameLockI3D := getProc('wglEnableFrameLockI3D',EXTENSION_PROC, 0, WGL_I3D_swap_frame_lock);
    wglDisableFrameLockI3D := getProc('wglDisableFrameLockI3D',EXTENSION_PROC, 0, WGL_I3D_swap_frame_lock);
    wglIsEnabledFrameLockI3D := getProc('wglIsEnabledFrameLockI3D',EXTENSION_PROC, 0, WGL_I3D_swap_frame_lock);
    wglQueryFrameLockMasterI3D := getProc('wglQueryFrameLockMasterI3D',EXTENSION_PROC, 0, WGL_I3D_swap_frame_lock);
  end;

  WGL_I3D_swap_frame_usage := Pos('WGL_I3D_swap_frame_usage ', exts) > 0;
  if WGL_I3D_swap_frame_usage then
  begin
    wglGetFrameUsageI3D := getProc('wglGetFrameUsageI3D',EXTENSION_PROC, 0, WGL_I3D_swap_frame_usage);
    wglBeginFrameTrackingI3D := getProc('wglBeginFrameTrackingI3D',EXTENSION_PROC, 0, WGL_I3D_swap_frame_usage);
    wglEndFrameTrackingI3D := getProc('wglEndFrameTrackingI3D',EXTENSION_PROC, 0, WGL_I3D_swap_frame_usage);
    wglQueryFrameTrackingI3D := getProc('wglQueryFrameTrackingI3D',EXTENSION_PROC, 0, WGL_I3D_swap_frame_usage);
  end;

  WGL_NV_copy_image := Pos('WGL_NV_copy_image ', exts) > 0;
  if WGL_NV_copy_image then
  begin
    wglCopyImageSubDataNV := getProc('wglCopyImageSubDataNV',EXTENSION_PROC, 0, WGL_NV_copy_image);
  end;

  WGL_NV_delay_before_swap := Pos('WGL_NV_delay_before_swap ', exts) > 0;
  if WGL_NV_delay_before_swap then
  begin
    wglDelayBeforeSwapNV := getProc('wglDelayBeforeSwapNV',EXTENSION_PROC, 0, WGL_NV_delay_before_swap);
  end;

  WGL_NV_DX_interop := Pos('WGL_NV_DX_interop ', exts) > 0;
  if WGL_NV_DX_interop then
  begin
    wglDXSetResourceShareHandleNV := getProc('wglDXSetResourceShareHandleNV',EXTENSION_PROC, 0, WGL_NV_DX_interop);
    wglDXOpenDeviceNV := getProc('wglDXOpenDeviceNV',EXTENSION_PROC, 0, WGL_NV_DX_interop);
    wglDXCloseDeviceNV := getProc('wglDXCloseDeviceNV',EXTENSION_PROC, 0, WGL_NV_DX_interop);
    wglDXRegisterObjectNV := getProc('wglDXRegisterObjectNV',EXTENSION_PROC, 0, WGL_NV_DX_interop);
    wglDXUnregisterObjectNV := getProc('wglDXUnregisterObjectNV',EXTENSION_PROC, 0, WGL_NV_DX_interop);
    wglDXObjectAccessNV := getProc('wglDXObjectAccessNV',EXTENSION_PROC, 0, WGL_NV_DX_interop);
    wglDXLockObjectsNV := getProc('wglDXLockObjectsNV',EXTENSION_PROC, 0, WGL_NV_DX_interop);
    wglDXUnlockObjectsNV := getProc('wglDXUnlockObjectsNV',EXTENSION_PROC, 0, WGL_NV_DX_interop);
  end;

  WGL_NV_DX_interop2 := Pos('WGL_NV_DX_interop2 ', exts) > 0;
  WGL_NV_float_buffer := Pos('WGL_NV_float_buffer ', exts) > 0;
  WGL_NV_gpu_affinity := Pos('WGL_NV_gpu_affinity ', exts) > 0;
  if WGL_NV_gpu_affinity then
  begin
    wglEnumGpusNV := getProc('wglEnumGpusNV',EXTENSION_PROC, 0, WGL_NV_gpu_affinity);
    wglEnumGpuDevicesNV := getProc('wglEnumGpuDevicesNV',EXTENSION_PROC, 0, WGL_NV_gpu_affinity);
    wglCreateAffinityDCNV := getProc('wglCreateAffinityDCNV',EXTENSION_PROC, 0, WGL_NV_gpu_affinity);
    wglEnumGpusFromAffinityDCNV := getProc('wglEnumGpusFromAffinityDCNV',EXTENSION_PROC, 0, WGL_NV_gpu_affinity);
    wglDeleteDCNV := getProc('wglDeleteDCNV',EXTENSION_PROC, 0, WGL_NV_gpu_affinity);
  end;

  WGL_NV_multisample_coverage := Pos('WGL_NV_multisample_coverage ', exts) > 0;
  WGL_NV_present_video := Pos('WGL_NV_present_video ', exts) > 0;
  if WGL_NV_present_video then
  begin
    wglEnumerateVideoDevicesNV := getProc('wglEnumerateVideoDevicesNV',EXTENSION_PROC, 0, WGL_NV_present_video);
    wglBindVideoDeviceNV := getProc('wglBindVideoDeviceNV',EXTENSION_PROC, 0, WGL_NV_present_video);
    wglQueryCurrentContextNV := getProc('wglQueryCurrentContextNV',EXTENSION_PROC, 0, WGL_NV_present_video);
  end;

  WGL_NV_render_depth_texture := Pos('WGL_NV_render_depth_texture ', exts) > 0;
  WGL_NV_render_texture_rectangle := Pos('WGL_NV_render_texture_rectangle ', exts) > 0;
  WGL_NV_swap_group := Pos('WGL_NV_swap_group ', exts) > 0;
  if WGL_NV_swap_group then
  begin
    wglJoinSwapGroupNV := getProc('wglJoinSwapGroupNV',EXTENSION_PROC, 0, WGL_NV_swap_group);
    wglBindSwapBarrierNV := getProc('wglBindSwapBarrierNV',EXTENSION_PROC, 0, WGL_NV_swap_group);
    wglQuerySwapGroupNV := getProc('wglQuerySwapGroupNV',EXTENSION_PROC, 0, WGL_NV_swap_group);
    wglQueryMaxSwapGroupsNV := getProc('wglQueryMaxSwapGroupsNV',EXTENSION_PROC, 0, WGL_NV_swap_group);
    wglQueryFrameCountNV := getProc('wglQueryFrameCountNV',EXTENSION_PROC, 0, WGL_NV_swap_group);
    wglResetFrameCountNV := getProc('wglResetFrameCountNV',EXTENSION_PROC, 0, WGL_NV_swap_group);
  end;

  WGL_NV_video_capture := Pos('WGL_NV_video_capture ', exts) > 0;
  if WGL_NV_video_capture then
  begin
    wglBindVideoCaptureDeviceNV := getProc('wglBindVideoCaptureDeviceNV',EXTENSION_PROC, 0, WGL_NV_video_capture);
    wglEnumerateVideoCaptureDevicesNV := getProc('wglEnumerateVideoCaptureDevicesNV',EXTENSION_PROC, 0, WGL_NV_video_capture);
    wglLockVideoCaptureDeviceNV := getProc('wglLockVideoCaptureDeviceNV',EXTENSION_PROC, 0, WGL_NV_video_capture);
    wglQueryVideoCaptureDeviceNV := getProc('wglQueryVideoCaptureDeviceNV',EXTENSION_PROC, 0, WGL_NV_video_capture);
    wglReleaseVideoCaptureDeviceNV := getProc('wglReleaseVideoCaptureDeviceNV',EXTENSION_PROC, 0, WGL_NV_video_capture);
  end;

  WGL_NV_video_output := Pos('WGL_NV_video_output ', exts) > 0;
  if WGL_NV_video_output then
  begin
    wglGetVideoDeviceNV := getProc('wglGetVideoDeviceNV',EXTENSION_PROC, 0, WGL_NV_video_output);
    wglReleaseVideoDeviceNV := getProc('wglReleaseVideoDeviceNV',EXTENSION_PROC, 0, WGL_NV_video_output);
    wglBindVideoImageNV := getProc('wglBindVideoImageNV',EXTENSION_PROC, 0, WGL_NV_video_output);
    wglReleaseVideoImageNV := getProc('wglReleaseVideoImageNV',EXTENSION_PROC, 0, WGL_NV_video_output);
    wglSendPbufferToVideoNV := getProc('wglSendPbufferToVideoNV',EXTENSION_PROC, 0, WGL_NV_video_output);
    wglGetVideoInfoNV := getProc('wglGetVideoInfoNV',EXTENSION_PROC, 0, WGL_NV_video_output);
  end;

  WGL_NV_vertex_array_range := Pos('WGL_NV_vertex_array_range ', exts) > 0;
  if WGL_NV_vertex_array_range then
  begin
    wglAllocateMemoryNV := getProc('wglAllocateMemoryNV',EXTENSION_PROC, 0, WGL_NV_vertex_array_range);
    wglFreeMemoryNV := getProc('wglFreeMemoryNV',EXTENSION_PROC, 0, WGL_NV_vertex_array_range);
  end;

  WGL_OML_sync_control := Pos('WGL_OML_sync_control ', exts) > 0;
  if WGL_OML_sync_control then
  begin
    wglGetSyncValuesOML := getProc('wglGetSyncValuesOML',EXTENSION_PROC, 0, WGL_OML_sync_control);
    wglGetMscRateOML := getProc('wglGetMscRateOML',EXTENSION_PROC, 0, WGL_OML_sync_control);
    wglSwapBuffersMscOML := getProc('wglSwapBuffersMscOML',EXTENSION_PROC, 0, WGL_OML_sync_control);
    wglSwapLayerBuffersMscOML := getProc('wglSwapLayerBuffersMscOML',EXTENSION_PROC, 0, WGL_OML_sync_control);
    wglWaitForMscOML := getProc('wglWaitForMscOML',EXTENSION_PROC, 0, WGL_OML_sync_control);
    wglWaitForSbcOML := getProc('wglWaitForSbcOML',EXTENSION_PROC, 0, WGL_OML_sync_control);
  end;

end;

procedure ClearWGLCommands;
begin
  {WGL_VERSION_1_0}
  WGL_VERSION_1_0 := false;
  ChoosePixelFormat := nil;
  DescribePixelFormat := nil;
  GetEnhMetaFilePixelFormat := nil;
  GetPixelFormat := nil;
  SetPixelFormat := nil;
  SwapBuffers := nil;
  wglCopyContext := nil;
  wglCreateContext := nil;
  wglCreateLayerContext := nil;
  wglDeleteContext := nil;
  wglDescribeLayerPlane := nil;
  wglGetCurrentContext := nil;
  wglGetCurrentDC := nil;
  wglGetLayerPaletteEntries := nil;
  wglGetProcAddress := nil;
  wglMakeCurrent := nil;
  wglRealizeLayerPalette := nil;
  wglSetLayerPaletteEntries := nil;
  wglShareLists := nil;
  wglSwapLayerBuffers := nil;
  wglUseFontBitmaps := nil;
  wglUseFontBitmapsA := nil;
  wglUseFontBitmapsW := nil;
  wglUseFontOutlines := nil;
  wglUseFontOutlinesA := nil;
  wglUseFontOutlinesW := nil;
end;
{$endif}

{$if Defined(MSWINDOWS) or Defined(ANDROID)}
procedure LoadEGLCommands(getProc : TGetProcFunc);
begin
  GL_ACTIVE_PROGRAM_EXT := GL_ACTIVE_PROGRAM_EXT_gles;
  {EGL_VERSION_1_0}
  EGL_VERSION_1_0 := true;
  if EGL_VERSION_1_0 then
  begin
    eglChooseConfig := getProc('eglChooseConfig',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglCopyBuffers := getProc('eglCopyBuffers',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglCreateContext := getProc('eglCreateContext',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglCreatePbufferSurface := getProc('eglCreatePbufferSurface',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglCreatePixmapSurface := getProc('eglCreatePixmapSurface',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglCreateWindowSurface := getProc('eglCreateWindowSurface',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglDestroyContext := getProc('eglDestroyContext',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglDestroySurface := getProc('eglDestroySurface',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglGetConfigAttrib := getProc('eglGetConfigAttrib',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglGetConfigs := getProc('eglGetConfigs',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglGetCurrentDisplay := getProc('eglGetCurrentDisplay',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglGetCurrentSurface := getProc('eglGetCurrentSurface',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglGetDisplay := getProc('eglGetDisplay',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglGetError := getProc('eglGetError',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglGetProcAddress := getProc('eglGetProcAddress',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglInitialize := getProc('eglInitialize',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglMakeCurrent := getProc('eglMakeCurrent',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglQueryContext := getProc('eglQueryContext',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglQueryString := getProc('eglQueryString',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglQuerySurface := getProc('eglQuerySurface',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglSwapBuffers := getProc('eglSwapBuffers',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglTerminate := getProc('eglTerminate',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglWaitGL := getProc('eglWaitGL',PLATFORM_PROC, 0, EGL_VERSION_1_0);
    eglWaitNative := getProc('eglWaitNative',PLATFORM_PROC, 0, EGL_VERSION_1_0);
  end;

  {EGL_VERSION_1_1}
  EGL_VERSION_1_1 := true;
  if EGL_VERSION_1_1 then
  begin
    eglBindTexImage := getProc('eglBindTexImage',PLATFORM_PROC, 0, EGL_VERSION_1_1);
    eglReleaseTexImage := getProc('eglReleaseTexImage',PLATFORM_PROC, 0, EGL_VERSION_1_1);
    eglSurfaceAttrib := getProc('eglSurfaceAttrib',PLATFORM_PROC, 0, EGL_VERSION_1_1);
    eglSwapInterval := getProc('eglSwapInterval',PLATFORM_PROC, 0, EGL_VERSION_1_1);
  end;

  {EGL_VERSION_1_2}
  EGL_VERSION_1_2 := true;
  if EGL_VERSION_1_2 then
  begin
    eglBindAPI := getProc('eglBindAPI',PLATFORM_PROC, 0, EGL_VERSION_1_2);
    eglQueryAPI := getProc('eglQueryAPI',PLATFORM_PROC, 0, EGL_VERSION_1_2);
    eglCreatePbufferFromClientBuffer := getProc('eglCreatePbufferFromClientBuffer',PLATFORM_PROC, 0, EGL_VERSION_1_2);
    eglReleaseThread := getProc('eglReleaseThread',PLATFORM_PROC, 0, EGL_VERSION_1_2);
    eglWaitClient := getProc('eglWaitClient',PLATFORM_PROC, 0, EGL_VERSION_1_2);
  end;

  {EGL_VERSION_1_3}
  EGL_VERSION_1_3 := true;
  if EGL_VERSION_1_3 then
  begin
  end;

  {EGL_VERSION_1_4}
  EGL_VERSION_1_4 := true;
  if EGL_VERSION_1_4 then
  begin
    eglGetCurrentContext := getProc('eglGetCurrentContext',PLATFORM_PROC, 0, EGL_VERSION_1_4);
  end;

  {EGL_VERSION_1_5}
  EGL_VERSION_1_5 := true;
  if EGL_VERSION_1_5 then
  begin
    eglCreateSync := getProc('eglCreateSync',PLATFORM_PROC, 0, EGL_VERSION_1_5);
    eglDestroySync := getProc('eglDestroySync',PLATFORM_PROC, 0, EGL_VERSION_1_5);
    eglClientWaitSync := getProc('eglClientWaitSync',PLATFORM_PROC, 0, EGL_VERSION_1_5);
    eglGetSyncAttrib := getProc('eglGetSyncAttrib',PLATFORM_PROC, 0, EGL_VERSION_1_5);
    eglCreateImage := getProc('eglCreateImage',PLATFORM_PROC, 0, EGL_VERSION_1_5);
    eglDestroyImage := getProc('eglDestroyImage',PLATFORM_PROC, 0, EGL_VERSION_1_5);
    eglGetPlatformDisplay := getProc('eglGetPlatformDisplay',PLATFORM_PROC, 0, EGL_VERSION_1_5);
    eglCreatePlatformWindowSurface := getProc('eglCreatePlatformWindowSurface',PLATFORM_PROC, 0, EGL_VERSION_1_5);
    eglCreatePlatformPixmapSurface := getProc('eglCreatePlatformPixmapSurface',PLATFORM_PROC, 0, EGL_VERSION_1_5);
    eglWaitSync := getProc('eglWaitSync',PLATFORM_PROC, 0, EGL_VERSION_1_5);
  end;

end;

procedure LoadEGLExtensionCommands(Display : EGLDisplay; getProc : TGetProcFunc; exts : string);
begin
  EGL_ANDROID_blob_cache := Pos('EGL_ANDROID_blob_cache ', exts) > 0;
  if EGL_ANDROID_blob_cache then
  begin
    eglSetBlobCacheFuncsANDROID := getProc('eglSetBlobCacheFuncsANDROID',EXTENSION_PROC, 0, EGL_ANDROID_blob_cache);
  end;

  EGL_ANDROID_framebuffer_target := Pos('EGL_ANDROID_framebuffer_target ', exts) > 0;
  EGL_ANDROID_image_native_buffer := Pos('EGL_ANDROID_image_native_buffer ', exts) > 0;
  EGL_ANDROID_native_fence_sync := Pos('EGL_ANDROID_native_fence_sync ', exts) > 0;
  if EGL_ANDROID_native_fence_sync then
  begin
    eglDupNativeFenceFDANDROID := getProc('eglDupNativeFenceFDANDROID',EXTENSION_PROC, 0, EGL_ANDROID_native_fence_sync);
  end;

  EGL_ANDROID_recordable := Pos('EGL_ANDROID_recordable ', exts) > 0;
  EGL_ANGLE_d3d_share_handle_client_buffer := Pos('EGL_ANGLE_d3d_share_handle_client_buffer ', exts) > 0;
  EGL_ANGLE_query_surface_pointer := Pos('EGL_ANGLE_query_surface_pointer ', exts) > 0;
  if EGL_ANGLE_query_surface_pointer then
  begin
    eglQuerySurfacePointerANGLE := getProc('eglQuerySurfacePointerANGLE',EXTENSION_PROC, 0, EGL_ANGLE_query_surface_pointer);
  end;

  EGL_ANGLE_surface_d3d_texture_2d_share_handle := Pos('EGL_ANGLE_surface_d3d_texture_2d_share_handle ', exts) > 0;
  EGL_ARM_pixmap_multisample_discard := Pos('EGL_ARM_pixmap_multisample_discard ', exts) > 0;
  EGL_EXT_buffer_age := Pos('EGL_EXT_buffer_age ', exts) > 0;
  EGL_EXT_client_extensions := Pos('EGL_EXT_client_extensions ', exts) > 0;
  EGL_EXT_create_context_robustness := Pos('EGL_EXT_create_context_robustness ', exts) > 0;
  EGL_EXT_device_base := Pos('EGL_EXT_device_base ', exts) > 0;
  if EGL_EXT_device_base then
  begin
    eglQueryDeviceAttribEXT := getProc('eglQueryDeviceAttribEXT',EXTENSION_PROC, 0, EGL_EXT_device_base);
    eglQueryDeviceStringEXT := getProc('eglQueryDeviceStringEXT',EXTENSION_PROC, 0, EGL_EXT_device_base);
    eglQueryDevicesEXT := getProc('eglQueryDevicesEXT',EXTENSION_PROC, 0, EGL_EXT_device_base);
    eglQueryDisplayAttribEXT := getProc('eglQueryDisplayAttribEXT',EXTENSION_PROC, 0, EGL_EXT_device_base);
  end;

  EGL_EXT_device_drm := Pos('EGL_EXT_device_drm ', exts) > 0;
  EGL_EXT_device_openwf := Pos('EGL_EXT_device_openwf ', exts) > 0;
  EGL_EXT_image_dma_buf_import := Pos('EGL_EXT_image_dma_buf_import ', exts) > 0;
  EGL_EXT_multiview_window := Pos('EGL_EXT_multiview_window ', exts) > 0;
  EGL_EXT_output_base := Pos('EGL_EXT_output_base ', exts) > 0;
  if EGL_EXT_output_base then
  begin
    eglGetOutputLayersEXT := getProc('eglGetOutputLayersEXT',EXTENSION_PROC, 0, EGL_EXT_output_base);
    eglGetOutputPortsEXT := getProc('eglGetOutputPortsEXT',EXTENSION_PROC, 0, EGL_EXT_output_base);
    eglOutputLayerAttribEXT := getProc('eglOutputLayerAttribEXT',EXTENSION_PROC, 0, EGL_EXT_output_base);
    eglQueryOutputLayerAttribEXT := getProc('eglQueryOutputLayerAttribEXT',EXTENSION_PROC, 0, EGL_EXT_output_base);
    eglQueryOutputLayerStringEXT := getProc('eglQueryOutputLayerStringEXT',EXTENSION_PROC, 0, EGL_EXT_output_base);
    eglOutputPortAttribEXT := getProc('eglOutputPortAttribEXT',EXTENSION_PROC, 0, EGL_EXT_output_base);
    eglQueryOutputPortAttribEXT := getProc('eglQueryOutputPortAttribEXT',EXTENSION_PROC, 0, EGL_EXT_output_base);
    eglQueryOutputPortStringEXT := getProc('eglQueryOutputPortStringEXT',EXTENSION_PROC, 0, EGL_EXT_output_base);
  end;

  EGL_EXT_output_drm := Pos('EGL_EXT_output_drm ', exts) > 0;
  EGL_EXT_output_openwf := Pos('EGL_EXT_output_openwf ', exts) > 0;
  EGL_EXT_platform_base := Pos('EGL_EXT_platform_base ', exts) > 0;
  if EGL_EXT_platform_base then
  begin
    eglGetPlatformDisplayEXT := getProc('eglGetPlatformDisplayEXT',EXTENSION_PROC, 0, EGL_EXT_platform_base);
    eglCreatePlatformWindowSurfaceEXT := getProc('eglCreatePlatformWindowSurfaceEXT',EXTENSION_PROC, 0, EGL_EXT_platform_base);
    eglCreatePlatformPixmapSurfaceEXT := getProc('eglCreatePlatformPixmapSurfaceEXT',EXTENSION_PROC, 0, EGL_EXT_platform_base);
  end;

  EGL_EXT_platform_device := Pos('EGL_EXT_platform_device ', exts) > 0;
  EGL_EXT_platform_wayland := Pos('EGL_EXT_platform_wayland ', exts) > 0;
  EGL_EXT_platform_x11 := Pos('EGL_EXT_platform_x11 ', exts) > 0;
  EGL_EXT_protected_surface := Pos('EGL_EXT_protected_surface ', exts) > 0;
  EGL_EXT_stream_consumer_egloutput := Pos('EGL_EXT_stream_consumer_egloutput ', exts) > 0;
  if EGL_EXT_stream_consumer_egloutput then
  begin
    eglStreamConsumerOutputEXT := getProc('eglStreamConsumerOutputEXT',EXTENSION_PROC, 0, EGL_EXT_stream_consumer_egloutput);
  end;

  EGL_EXT_swap_buffers_with_damage := Pos('EGL_EXT_swap_buffers_with_damage ', exts) > 0;
  if EGL_EXT_swap_buffers_with_damage then
  begin
    eglSwapBuffersWithDamageEXT := getProc('eglSwapBuffersWithDamageEXT',EXTENSION_PROC, 0, EGL_EXT_swap_buffers_with_damage);
  end;

  EGL_HI_clientpixmap := Pos('EGL_HI_clientpixmap ', exts) > 0;
  if EGL_HI_clientpixmap then
  begin
    eglCreatePixmapSurfaceHI := getProc('eglCreatePixmapSurfaceHI',EXTENSION_PROC, 0, EGL_HI_clientpixmap);
  end;

  EGL_HI_colorformats := Pos('EGL_HI_colorformats ', exts) > 0;
  EGL_IMG_context_priority := Pos('EGL_IMG_context_priority ', exts) > 0;
  EGL_KHR_cl_event := Pos('EGL_KHR_cl_event ', exts) > 0;
  EGL_KHR_cl_event2 := Pos('EGL_KHR_cl_event2 ', exts) > 0;
  if EGL_KHR_cl_event2 then
  begin
    eglCreateSync64KHR := getProc('eglCreateSync64KHR',EXTENSION_PROC, 0, EGL_KHR_cl_event2);
  end;

  EGL_KHR_config_attribs := Pos('EGL_KHR_config_attribs ', exts) > 0;
  EGL_KHR_client_get_all_proc_addresses := Pos('EGL_KHR_client_get_all_proc_addresses ', exts) > 0;
  EGL_KHR_create_context := Pos('EGL_KHR_create_context ', exts) > 0;
  EGL_KHR_fence_sync := Pos('EGL_KHR_fence_sync ', exts) > 0;
  EGL_KHR_get_all_proc_addresses := Pos('EGL_KHR_get_all_proc_addresses ', exts) > 0;
  EGL_KHR_gl_colorspace := Pos('EGL_KHR_gl_colorspace ', exts) > 0;
  EGL_KHR_gl_renderbuffer_image := Pos('EGL_KHR_gl_renderbuffer_image ', exts) > 0;
  EGL_KHR_gl_texture_2D_image := Pos('EGL_KHR_gl_texture_2D_image ', exts) > 0;
  EGL_KHR_gl_texture_3D_image := Pos('EGL_KHR_gl_texture_3D_image ', exts) > 0;
  EGL_KHR_gl_texture_cubemap_image := Pos('EGL_KHR_gl_texture_cubemap_image ', exts) > 0;
  EGL_KHR_image := Pos('EGL_KHR_image ', exts) > 0;
  if EGL_KHR_image then
  begin
    eglCreateImageKHR := getProc('eglCreateImageKHR',EXTENSION_PROC, 0, EGL_KHR_image);
    eglDestroyImageKHR := getProc('eglDestroyImageKHR',EXTENSION_PROC, 0, EGL_KHR_image);
  end;

  EGL_KHR_image_base := Pos('EGL_KHR_image_base ', exts) > 0;
  if EGL_KHR_image_base then
  begin
//*2
    eglCreateImageKHR := getProc('eglCreateImageKHR',EXTENSION_PROC, 0, EGL_KHR_image_base);
//*2
    eglDestroyImageKHR := getProc('eglDestroyImageKHR',EXTENSION_PROC, 0, EGL_KHR_image_base);
  end;

  EGL_KHR_image_pixmap := Pos('EGL_KHR_image_pixmap ', exts) > 0;
  EGL_KHR_lock_surface := Pos('EGL_KHR_lock_surface ', exts) > 0;
  if EGL_KHR_lock_surface then
  begin
    eglLockSurfaceKHR := getProc('eglLockSurfaceKHR',EXTENSION_PROC, 0, EGL_KHR_lock_surface);
    eglUnlockSurfaceKHR := getProc('eglUnlockSurfaceKHR',EXTENSION_PROC, 0, EGL_KHR_lock_surface);
  end;

  EGL_KHR_lock_surface2 := Pos('EGL_KHR_lock_surface2 ', exts) > 0;
  EGL_KHR_lock_surface3 := Pos('EGL_KHR_lock_surface3 ', exts) > 0;
  if EGL_KHR_lock_surface3 then
  begin
//*2
    eglLockSurfaceKHR := getProc('eglLockSurfaceKHR',EXTENSION_PROC, 0, EGL_KHR_lock_surface3);
//*2
    eglUnlockSurfaceKHR := getProc('eglUnlockSurfaceKHR',EXTENSION_PROC, 0, EGL_KHR_lock_surface3);
    eglQuerySurface64KHR := getProc('eglQuerySurface64KHR',EXTENSION_PROC, 0, EGL_KHR_lock_surface3);
  end;

  EGL_KHR_platform_android := Pos('EGL_KHR_platform_android ', exts) > 0;
  EGL_KHR_platform_gbm := Pos('EGL_KHR_platform_gbm ', exts) > 0;
  EGL_KHR_platform_wayland := Pos('EGL_KHR_platform_wayland ', exts) > 0;
  EGL_KHR_platform_x11 := Pos('EGL_KHR_platform_x11 ', exts) > 0;
  EGL_KHR_reusable_sync := Pos('EGL_KHR_reusable_sync ', exts) > 0;
  if EGL_KHR_reusable_sync then
  begin
    eglCreateSyncKHR := getProc('eglCreateSyncKHR',EXTENSION_PROC, 0, EGL_KHR_reusable_sync);
    eglDestroySyncKHR := getProc('eglDestroySyncKHR',EXTENSION_PROC, 0, EGL_KHR_reusable_sync);
    eglClientWaitSyncKHR := getProc('eglClientWaitSyncKHR',EXTENSION_PROC, 0, EGL_KHR_reusable_sync);
    eglSignalSyncKHR := getProc('eglSignalSyncKHR',EXTENSION_PROC, 0, EGL_KHR_reusable_sync);
    eglGetSyncAttribKHR := getProc('eglGetSyncAttribKHR',EXTENSION_PROC, 0, EGL_KHR_reusable_sync);
  end;

  EGL_KHR_stream := Pos('EGL_KHR_stream ', exts) > 0;
  if EGL_KHR_stream then
  begin
    eglCreateStreamKHR := getProc('eglCreateStreamKHR',EXTENSION_PROC, 0, EGL_KHR_stream);
    eglDestroyStreamKHR := getProc('eglDestroyStreamKHR',EXTENSION_PROC, 0, EGL_KHR_stream);
    eglStreamAttribKHR := getProc('eglStreamAttribKHR',EXTENSION_PROC, 0, EGL_KHR_stream);
    eglQueryStreamKHR := getProc('eglQueryStreamKHR',EXTENSION_PROC, 0, EGL_KHR_stream);
    eglQueryStreamu64KHR := getProc('eglQueryStreamu64KHR',EXTENSION_PROC, 0, EGL_KHR_stream);
  end;

  EGL_KHR_stream_consumer_gltexture := Pos('EGL_KHR_stream_consumer_gltexture ', exts) > 0;
  if EGL_KHR_stream_consumer_gltexture then
  begin
    eglStreamConsumerGLTextureExternalKHR := getProc('eglStreamConsumerGLTextureExternalKHR',EXTENSION_PROC, 0, EGL_KHR_stream_consumer_gltexture);
    eglStreamConsumerAcquireKHR := getProc('eglStreamConsumerAcquireKHR',EXTENSION_PROC, 0, EGL_KHR_stream_consumer_gltexture);
    eglStreamConsumerReleaseKHR := getProc('eglStreamConsumerReleaseKHR',EXTENSION_PROC, 0, EGL_KHR_stream_consumer_gltexture);
  end;

  EGL_KHR_stream_cross_process_fd := Pos('EGL_KHR_stream_cross_process_fd ', exts) > 0;
  if EGL_KHR_stream_cross_process_fd then
  begin
    eglGetStreamFileDescriptorKHR := getProc('eglGetStreamFileDescriptorKHR',EXTENSION_PROC, 0, EGL_KHR_stream_cross_process_fd);
    eglCreateStreamFromFileDescriptorKHR := getProc('eglCreateStreamFromFileDescriptorKHR',EXTENSION_PROC, 0, EGL_KHR_stream_cross_process_fd);
  end;

  EGL_KHR_stream_fifo := Pos('EGL_KHR_stream_fifo ', exts) > 0;
  if EGL_KHR_stream_fifo then
  begin
    eglQueryStreamTimeKHR := getProc('eglQueryStreamTimeKHR',EXTENSION_PROC, 0, EGL_KHR_stream_fifo);
  end;

  EGL_KHR_stream_producer_aldatalocator := Pos('EGL_KHR_stream_producer_aldatalocator ', exts) > 0;
  EGL_KHR_stream_producer_eglsurface := Pos('EGL_KHR_stream_producer_eglsurface ', exts) > 0;
  if EGL_KHR_stream_producer_eglsurface then
  begin
    eglCreateStreamProducerSurfaceKHR := getProc('eglCreateStreamProducerSurfaceKHR',EXTENSION_PROC, 0, EGL_KHR_stream_producer_eglsurface);
  end;

  EGL_KHR_surfaceless_context := Pos('EGL_KHR_surfaceless_context ', exts) > 0;
  EGL_KHR_vg_parent_image := Pos('EGL_KHR_vg_parent_image ', exts) > 0;
  EGL_KHR_wait_sync := Pos('EGL_KHR_wait_sync ', exts) > 0;
  if EGL_KHR_wait_sync then
  begin
    eglWaitSyncKHR := getProc('eglWaitSyncKHR',EXTENSION_PROC, 0, EGL_KHR_wait_sync);
  end;

  EGL_MESA_drm_image := Pos('EGL_MESA_drm_image ', exts) > 0;
  if EGL_MESA_drm_image then
  begin
    eglCreateDRMImageMESA := getProc('eglCreateDRMImageMESA',EXTENSION_PROC, 0, EGL_MESA_drm_image);
    eglExportDRMImageMESA := getProc('eglExportDRMImageMESA',EXTENSION_PROC, 0, EGL_MESA_drm_image);
  end;

  EGL_MESA_platform_gbm := Pos('EGL_MESA_platform_gbm ', exts) > 0;
  EGL_NOK_swap_region := Pos('EGL_NOK_swap_region ', exts) > 0;
  if EGL_NOK_swap_region then
  begin
    eglSwapBuffersRegionNOK := getProc('eglSwapBuffersRegionNOK',EXTENSION_PROC, 0, EGL_NOK_swap_region);
  end;

  EGL_NOK_swap_region2 := Pos('EGL_NOK_swap_region2 ', exts) > 0;
  if EGL_NOK_swap_region2 then
  begin
    eglSwapBuffersRegion2NOK := getProc('eglSwapBuffersRegion2NOK',EXTENSION_PROC, 0, EGL_NOK_swap_region2);
  end;

  EGL_NOK_texture_from_pixmap := Pos('EGL_NOK_texture_from_pixmap ', exts) > 0;
  EGL_NV_3dvision_surface := Pos('EGL_NV_3dvision_surface ', exts) > 0;
  EGL_NV_coverage_sample := Pos('EGL_NV_coverage_sample ', exts) > 0;
  EGL_NV_coverage_sample_resolve := Pos('EGL_NV_coverage_sample_resolve ', exts) > 0;
  EGL_NV_cuda_event := Pos('EGL_NV_cuda_event ', exts) > 0;
  EGL_NV_depth_nonlinear := Pos('EGL_NV_depth_nonlinear ', exts) > 0;
  EGL_NV_device_cuda := Pos('EGL_NV_device_cuda ', exts) > 0;
  EGL_NV_native_query := Pos('EGL_NV_native_query ', exts) > 0;
  if EGL_NV_native_query then
  begin
    eglQueryNativeDisplayNV := getProc('eglQueryNativeDisplayNV',EXTENSION_PROC, 0, EGL_NV_native_query);
    eglQueryNativeWindowNV := getProc('eglQueryNativeWindowNV',EXTENSION_PROC, 0, EGL_NV_native_query);
    eglQueryNativePixmapNV := getProc('eglQueryNativePixmapNV',EXTENSION_PROC, 0, EGL_NV_native_query);
  end;

  EGL_NV_post_convert_rounding := Pos('EGL_NV_post_convert_rounding ', exts) > 0;
  EGL_NV_post_sub_buffer := Pos('EGL_NV_post_sub_buffer ', exts) > 0;
  if EGL_NV_post_sub_buffer then
  begin
    eglPostSubBufferNV := getProc('eglPostSubBufferNV',EXTENSION_PROC, 0, EGL_NV_post_sub_buffer);
  end;

  EGL_NV_stream_sync := Pos('EGL_NV_stream_sync ', exts) > 0;
  if EGL_NV_stream_sync then
  begin
    eglCreateStreamSyncNV := getProc('eglCreateStreamSyncNV',EXTENSION_PROC, 0, EGL_NV_stream_sync);
  end;

  EGL_NV_sync := Pos('EGL_NV_sync ', exts) > 0;
  if EGL_NV_sync then
  begin
    eglCreateFenceSyncNV := getProc('eglCreateFenceSyncNV',EXTENSION_PROC, 0, EGL_NV_sync);
    eglDestroySyncNV := getProc('eglDestroySyncNV',EXTENSION_PROC, 0, EGL_NV_sync);
    eglFenceNV := getProc('eglFenceNV',EXTENSION_PROC, 0, EGL_NV_sync);
    eglClientWaitSyncNV := getProc('eglClientWaitSyncNV',EXTENSION_PROC, 0, EGL_NV_sync);
    eglSignalSyncNV := getProc('eglSignalSyncNV',EXTENSION_PROC, 0, EGL_NV_sync);
    eglGetSyncAttribNV := getProc('eglGetSyncAttribNV',EXTENSION_PROC, 0, EGL_NV_sync);
  end;

  EGL_NV_system_time := Pos('EGL_NV_system_time ', exts) > 0;
  if EGL_NV_system_time then
  begin
    eglGetSystemTimeFrequencyNV := getProc('eglGetSystemTimeFrequencyNV',EXTENSION_PROC, 0, EGL_NV_system_time);
    eglGetSystemTimeNV := getProc('eglGetSystemTimeNV',EXTENSION_PROC, 0, EGL_NV_system_time);
  end;

  EGL_TIZEN_image_native_buffer := Pos('EGL_TIZEN_image_native_buffer ', exts) > 0;
  EGL_TIZEN_image_native_surface := Pos('EGL_TIZEN_image_native_surface ', exts) > 0;
end;

procedure ClearEGLCommands;
begin
  {EGL_VERSION_1_0}
  EGL_VERSION_1_0 := false;
  eglChooseConfig := nil;
  eglCopyBuffers := nil;
  eglCreateContext := nil;
  eglCreatePbufferSurface := nil;
  eglCreatePixmapSurface := nil;
  eglCreateWindowSurface := nil;
  eglDestroyContext := nil;
  eglDestroySurface := nil;
  eglGetConfigAttrib := nil;
  eglGetConfigs := nil;
  eglGetCurrentDisplay := nil;
  eglGetCurrentSurface := nil;
  eglGetDisplay := nil;
  eglGetError := nil;
  eglGetProcAddress := nil;
  eglInitialize := nil;
  eglMakeCurrent := nil;
  eglQueryContext := nil;
  eglQueryString := nil;
  eglQuerySurface := nil;
  eglSwapBuffers := nil;
  eglTerminate := nil;
  eglWaitGL := nil;
  eglWaitNative := nil;
  {EGL_VERSION_1_1}
  EGL_VERSION_1_1 := false;
  eglBindTexImage := nil;
  eglReleaseTexImage := nil;
  eglSurfaceAttrib := nil;
  eglSwapInterval := nil;
  {EGL_VERSION_1_2}
  EGL_VERSION_1_2 := false;
  eglBindAPI := nil;
  eglQueryAPI := nil;
  eglCreatePbufferFromClientBuffer := nil;
  eglReleaseThread := nil;
  eglWaitClient := nil;
  {EGL_VERSION_1_3}
  EGL_VERSION_1_3 := false;
  {EGL_VERSION_1_4}
  EGL_VERSION_1_4 := false;
  eglGetCurrentContext := nil;
  {EGL_VERSION_1_5}
  EGL_VERSION_1_5 := false;
  eglCreateSync := nil;
  eglDestroySync := nil;
  eglClientWaitSync := nil;
  eglGetSyncAttrib := nil;
  eglCreateImage := nil;
  eglDestroyImage := nil;
  eglGetPlatformDisplay := nil;
  eglCreatePlatformWindowSurface := nil;
  eglCreatePlatformPixmapSurface := nil;
  eglWaitSync := nil;
end;
{$endif}

procedure ClearCommands;
begin
{$ifdef MSWINDOWS}
  ClearWGLCommands;
{$endif}
{$if Defined(MSWINDOWS) or Defined(ANDROID)}
  ClearEGLCommands;
{$endif}
  ClearOpenGL_Commands;
  ClearOpenGLES_Commands;
  ClearOpenGL_ExtensionCommands;
  ClearOpenGLES_ExtensionCommands;
end;

{#HELPER_IMPL_END#}

{ TGLOption }

constructor TGLOption.Create(R, G, B, A, Depth, Stencil: integer; doublebuffered: Boolean);
begin
  self.RSize := R;
  self.GSize := G;
  self.BSize := B;
  self.ASize := A;
  self.DepthSize := Depth;
  self.StencilSize := Stencil;
  self.DoubleBuffered := doublebuffered;
  self.Flags := 0;
end;

end.
